#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8398
#define LARGE_STATE_COUNT 2169
#define SYMBOL_COUNT 524
#define ALIAS_COUNT 5
#define TOKEN_COUNT 214
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_class = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_COLON = 96,
  anon_sym_if = 97,
  anon_sym_else = 98,
  anon_sym_switch = 99,
  anon_sym_case = 100,
  anon_sym_default = 101,
  anon_sym_while = 102,
  anon_sym_do = 103,
  anon_sym_for = 104,
  anon_sym_return = 105,
  anon_sym_break = 106,
  anon_sym_continue = 107,
  anon_sym_goto = 108,
  anon_sym___try = 109,
  anon_sym___except = 110,
  anon_sym___finally = 111,
  anon_sym___leave = 112,
  anon_sym_QMARK = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_and_eq = 124,
  anon_sym_or_eq = 125,
  anon_sym_xor_eq = 126,
  anon_sym_not = 127,
  anon_sym_compl = 128,
  anon_sym_LT_EQ_GT = 129,
  anon_sym_or = 130,
  anon_sym_and = 131,
  anon_sym_bitor = 132,
  anon_sym_xor = 133,
  anon_sym_bitand = 134,
  anon_sym_not_eq = 135,
  anon_sym_DASH_DASH = 136,
  anon_sym_PLUS_PLUS = 137,
  anon_sym_sizeof = 138,
  anon_sym___alignof__ = 139,
  anon_sym___alignof = 140,
  anon_sym__alignof = 141,
  anon_sym_alignof = 142,
  anon_sym__Alignof = 143,
  anon_sym_offsetof = 144,
  anon_sym__Generic = 145,
  anon_sym_asm = 146,
  anon_sym___asm__ = 147,
  anon_sym_DOT = 148,
  anon_sym_DOT_STAR = 149,
  anon_sym_DASH_GT = 150,
  sym_number_literal = 151,
  anon_sym_L_SQUOTE = 152,
  anon_sym_u_SQUOTE = 153,
  anon_sym_U_SQUOTE = 154,
  anon_sym_u8_SQUOTE = 155,
  anon_sym_SQUOTE = 156,
  aux_sym_char_literal_token1 = 157,
  anon_sym_L_DQUOTE = 158,
  anon_sym_u_DQUOTE = 159,
  anon_sym_U_DQUOTE = 160,
  anon_sym_u8_DQUOTE = 161,
  anon_sym_DQUOTE = 162,
  aux_sym_string_literal_token1 = 163,
  sym_escape_sequence = 164,
  sym_system_lib_string = 165,
  sym_true = 166,
  sym_false = 167,
  anon_sym_NULL = 168,
  anon_sym_nullptr = 169,
  sym_comment = 170,
  sym_auto = 171,
  anon_sym_decltype = 172,
  anon_sym_final = 173,
  anon_sym_override = 174,
  sym_virtual = 175,
  anon_sym_alignas = 176,
  anon_sym_explicit = 177,
  anon_sym_typename = 178,
  anon_sym_template = 179,
  anon_sym_GT2 = 180,
  anon_sym_operator = 181,
  anon_sym_try = 182,
  anon_sym_delete = 183,
  anon_sym_0 = 184,
  anon_sym_friend = 185,
  anon_sym_public = 186,
  anon_sym_private = 187,
  anon_sym_protected = 188,
  anon_sym_noexcept = 189,
  anon_sym_throw = 190,
  anon_sym_namespace = 191,
  anon_sym_using = 192,
  anon_sym_static_assert = 193,
  anon_sym_concept = 194,
  anon_sym_co_return = 195,
  anon_sym_co_yield = 196,
  anon_sym_catch = 197,
  anon_sym_R_DQUOTE = 198,
  anon_sym_LR_DQUOTE = 199,
  anon_sym_uR_DQUOTE = 200,
  anon_sym_UR_DQUOTE = 201,
  anon_sym_u8R_DQUOTE = 202,
  anon_sym_co_await = 203,
  anon_sym_new = 204,
  anon_sym_requires = 205,
  anon_sym_DASH_GT_STAR = 206,
  anon_sym_LPAREN_RPAREN = 207,
  anon_sym_LBRACK_RBRACK = 208,
  anon_sym_DQUOTE_DQUOTE = 209,
  sym_this = 210,
  sym_literal_suffix = 211,
  sym_raw_string_delimiter = 212,
  sym_raw_string_content = 213,
  sym_translation_unit = 214,
  sym_preproc_include = 215,
  sym_preproc_def = 216,
  sym_preproc_function_def = 217,
  sym_preproc_params = 218,
  sym_preproc_call = 219,
  sym_preproc_if = 220,
  sym_preproc_ifdef = 221,
  sym_preproc_else = 222,
  sym_preproc_elif = 223,
  sym_preproc_elifdef = 224,
  sym_preproc_if_in_field_declaration_list = 225,
  sym_preproc_ifdef_in_field_declaration_list = 226,
  sym_preproc_else_in_field_declaration_list = 227,
  sym_preproc_elif_in_field_declaration_list = 228,
  sym_preproc_elifdef_in_field_declaration_list = 229,
  sym_preproc_if_in_enumerator_list = 230,
  sym_preproc_ifdef_in_enumerator_list = 231,
  sym_preproc_else_in_enumerator_list = 232,
  sym_preproc_elif_in_enumerator_list = 233,
  sym_preproc_elifdef_in_enumerator_list = 234,
  sym_preproc_if_in_enumerator_list_no_comma = 235,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 236,
  sym_preproc_else_in_enumerator_list_no_comma = 237,
  sym_preproc_elif_in_enumerator_list_no_comma = 238,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 239,
  sym__preproc_expression = 240,
  sym_preproc_parenthesized_expression = 241,
  sym_preproc_defined = 242,
  sym_preproc_unary_expression = 243,
  sym_preproc_call_expression = 244,
  sym_preproc_argument_list = 245,
  sym_preproc_binary_expression = 246,
  sym_function_definition = 247,
  sym_declaration = 248,
  sym_type_definition = 249,
  sym__type_definition_type = 250,
  sym__type_definition_declarators = 251,
  sym__declaration_modifiers = 252,
  sym__declaration_specifiers = 253,
  sym_linkage_specification = 254,
  sym_attribute_specifier = 255,
  sym_attribute = 256,
  sym_attribute_declaration = 257,
  sym_ms_declspec_modifier = 258,
  sym_ms_based_modifier = 259,
  sym_ms_call_modifier = 260,
  sym_ms_unaligned_ptr_modifier = 261,
  sym_ms_pointer_modifier = 262,
  sym_declaration_list = 263,
  sym__declarator = 264,
  sym__field_declarator = 265,
  sym__type_declarator = 266,
  sym__abstract_declarator = 267,
  sym_parenthesized_declarator = 268,
  sym_parenthesized_field_declarator = 269,
  sym_parenthesized_type_declarator = 270,
  sym_abstract_parenthesized_declarator = 271,
  sym_attributed_declarator = 272,
  sym_attributed_field_declarator = 273,
  sym_attributed_type_declarator = 274,
  sym_pointer_declarator = 275,
  sym_pointer_field_declarator = 276,
  sym_pointer_type_declarator = 277,
  sym_abstract_pointer_declarator = 278,
  sym_function_declarator = 279,
  sym_function_field_declarator = 280,
  sym_function_type_declarator = 281,
  sym_abstract_function_declarator = 282,
  sym_array_declarator = 283,
  sym_array_field_declarator = 284,
  sym_array_type_declarator = 285,
  sym_abstract_array_declarator = 286,
  sym_init_declarator = 287,
  sym_compound_statement = 288,
  sym_storage_class_specifier = 289,
  sym_type_qualifier = 290,
  sym__type_specifier = 291,
  sym_sized_type_specifier = 292,
  sym_enum_specifier = 293,
  sym_enumerator_list = 294,
  sym_struct_specifier = 295,
  sym_union_specifier = 296,
  sym_field_declaration_list = 297,
  sym__field_declaration_list_item = 298,
  sym_field_declaration = 299,
  sym_bitfield_clause = 300,
  sym_enumerator = 301,
  sym_parameter_list = 302,
  sym_parameter_declaration = 303,
  sym_attributed_statement = 304,
  sym_labeled_statement = 305,
  sym__top_level_expression_statement = 306,
  sym_expression_statement = 307,
  sym_if_statement = 308,
  sym_else_clause = 309,
  sym_switch_statement = 310,
  sym_case_statement = 311,
  sym_while_statement = 312,
  sym_do_statement = 313,
  sym_for_statement = 314,
  sym__for_statement_body = 315,
  sym_return_statement = 316,
  sym_break_statement = 317,
  sym_continue_statement = 318,
  sym_goto_statement = 319,
  sym_seh_try_statement = 320,
  sym_seh_except_clause = 321,
  sym_seh_finally_clause = 322,
  sym_seh_leave_statement = 323,
  sym__expression = 324,
  sym__expression_not_binary = 325,
  sym__string = 326,
  sym_comma_expression = 327,
  sym_conditional_expression = 328,
  sym_assignment_expression = 329,
  sym_pointer_expression = 330,
  sym_unary_expression = 331,
  sym_binary_expression = 332,
  sym_update_expression = 333,
  sym_cast_expression = 334,
  sym_type_descriptor = 335,
  sym_sizeof_expression = 336,
  sym_alignof_expression = 337,
  sym_offsetof_expression = 338,
  sym_generic_expression = 339,
  sym_subscript_expression = 340,
  sym_call_expression = 341,
  sym_gnu_asm_expression = 342,
  sym_gnu_asm_qualifier = 343,
  sym_gnu_asm_output_operand_list = 344,
  sym_gnu_asm_output_operand = 345,
  sym_gnu_asm_input_operand_list = 346,
  sym_gnu_asm_input_operand = 347,
  sym_gnu_asm_clobber_list = 348,
  sym_gnu_asm_goto_list = 349,
  sym_argument_list = 350,
  sym_field_expression = 351,
  sym_compound_literal_expression = 352,
  sym_parenthesized_expression = 353,
  sym_initializer_list = 354,
  sym_initializer_pair = 355,
  sym_subscript_designator = 356,
  sym_subscript_range_designator = 357,
  sym_field_designator = 358,
  sym_char_literal = 359,
  sym_concatenated_string = 360,
  sym_string_literal = 361,
  sym_null = 362,
  sym__empty_declaration = 363,
  sym_placeholder_type_specifier = 364,
  sym_decltype_auto = 365,
  sym_decltype = 366,
  sym__class_declaration = 367,
  sym__class_declaration_item = 368,
  sym_class_specifier = 369,
  sym__class_name = 370,
  sym_virtual_specifier = 371,
  sym_alignas_specifier = 372,
  sym_explicit_function_specifier = 373,
  sym_base_class_clause = 374,
  sym__enum_base_clause = 375,
  sym_dependent_type = 376,
  sym_template_declaration = 377,
  sym_template_instantiation = 378,
  sym_template_parameter_list = 379,
  sym_type_parameter_declaration = 380,
  sym_variadic_type_parameter_declaration = 381,
  sym_optional_type_parameter_declaration = 382,
  sym_template_template_parameter_declaration = 383,
  sym_optional_parameter_declaration = 384,
  sym_variadic_parameter_declaration = 385,
  sym_variadic_declarator = 386,
  sym_variadic_reference_declarator = 387,
  sym_operator_cast = 388,
  sym_field_initializer_list = 389,
  sym_field_initializer = 390,
  sym_inline_method_definition = 391,
  sym__constructor_specifiers = 392,
  sym_operator_cast_definition = 393,
  sym_operator_cast_declaration = 394,
  sym_constructor_try_statement = 395,
  sym_constructor_or_destructor_definition = 396,
  sym_constructor_or_destructor_declaration = 397,
  sym_default_method_clause = 398,
  sym_delete_method_clause = 399,
  sym_pure_virtual_clause = 400,
  sym_friend_declaration = 401,
  sym_access_specifier = 402,
  sym_reference_declarator = 403,
  sym_reference_field_declarator = 404,
  sym_reference_type_declarator = 405,
  sym_abstract_reference_declarator = 406,
  sym_structured_binding_declarator = 407,
  sym_ref_qualifier = 408,
  sym__function_declarator_seq = 409,
  sym__function_attributes_start = 410,
  sym__function_exception_specification = 411,
  sym__function_attributes_end = 412,
  sym__function_postfix = 413,
  sym_trailing_return_type = 414,
  sym_noexcept = 415,
  sym_throw_specifier = 416,
  sym_template_type = 417,
  sym_template_method = 418,
  sym_template_function = 419,
  sym_template_argument_list = 420,
  sym_namespace_definition = 421,
  sym_namespace_alias_definition = 422,
  sym__namespace_specifier = 423,
  sym_nested_namespace_specifier = 424,
  sym_using_declaration = 425,
  sym_alias_declaration = 426,
  sym_static_assert_declaration = 427,
  sym_concept_definition = 428,
  sym_for_range_loop = 429,
  sym__for_range_loop_body = 430,
  sym_init_statement = 431,
  sym_condition_clause = 432,
  sym_condition_declaration = 433,
  sym_co_return_statement = 434,
  sym_co_yield_statement = 435,
  sym_throw_statement = 436,
  sym_try_statement = 437,
  sym_catch_clause = 438,
  sym_raw_string_literal = 439,
  sym_subscript_argument_list = 440,
  sym_co_await_expression = 441,
  sym_new_expression = 442,
  sym_new_declarator = 443,
  sym_delete_expression = 444,
  sym_type_requirement = 445,
  sym_compound_requirement = 446,
  sym__requirement = 447,
  sym_requirement_seq = 448,
  sym_constraint_conjunction = 449,
  sym_constraint_disjunction = 450,
  sym__requirement_clause_constraint = 451,
  sym_requires_clause = 452,
  sym_requires_parameter_list = 453,
  sym_requires_expression = 454,
  sym_lambda_expression = 455,
  sym_lambda_capture_specifier = 456,
  sym_lambda_default_capture = 457,
  sym__fold_operator = 458,
  sym__binary_fold_operator = 459,
  sym__unary_left_fold = 460,
  sym__unary_right_fold = 461,
  sym__binary_fold = 462,
  sym_fold_expression = 463,
  sym_parameter_pack_expansion = 464,
  sym_type_parameter_pack_expansion = 465,
  sym_destructor_name = 466,
  sym_dependent_identifier = 467,
  sym_dependent_field_identifier = 468,
  sym_dependent_type_identifier = 469,
  sym__scope_resolution = 470,
  sym_qualified_field_identifier = 471,
  sym_qualified_identifier = 472,
  sym_qualified_type_identifier = 473,
  sym_qualified_operator_cast_identifier = 474,
  sym__assignment_expression_lhs = 475,
  sym_operator_name = 476,
  sym_user_defined_literal = 477,
  aux_sym_translation_unit_repeat1 = 478,
  aux_sym_preproc_params_repeat1 = 479,
  aux_sym_preproc_if_repeat1 = 480,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 481,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 482,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 483,
  aux_sym_preproc_argument_list_repeat1 = 484,
  aux_sym_declaration_repeat1 = 485,
  aux_sym_type_definition_repeat1 = 486,
  aux_sym__type_definition_type_repeat1 = 487,
  aux_sym__type_definition_declarators_repeat1 = 488,
  aux_sym__declaration_specifiers_repeat1 = 489,
  aux_sym_attribute_declaration_repeat1 = 490,
  aux_sym_attributed_declarator_repeat1 = 491,
  aux_sym_pointer_declarator_repeat1 = 492,
  aux_sym_sized_type_specifier_repeat1 = 493,
  aux_sym_enumerator_list_repeat1 = 494,
  aux_sym_field_declaration_repeat1 = 495,
  aux_sym_parameter_list_repeat1 = 496,
  aux_sym_case_statement_repeat1 = 497,
  aux_sym_generic_expression_repeat1 = 498,
  aux_sym_gnu_asm_expression_repeat1 = 499,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 500,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 501,
  aux_sym_gnu_asm_clobber_list_repeat1 = 502,
  aux_sym_gnu_asm_goto_list_repeat1 = 503,
  aux_sym_argument_list_repeat1 = 504,
  aux_sym_initializer_list_repeat1 = 505,
  aux_sym_initializer_pair_repeat1 = 506,
  aux_sym_char_literal_repeat1 = 507,
  aux_sym_concatenated_string_repeat1 = 508,
  aux_sym_string_literal_repeat1 = 509,
  aux_sym__class_declaration_repeat1 = 510,
  aux_sym_base_class_clause_repeat1 = 511,
  aux_sym_template_parameter_list_repeat1 = 512,
  aux_sym_field_initializer_list_repeat1 = 513,
  aux_sym_operator_cast_definition_repeat1 = 514,
  aux_sym_constructor_try_statement_repeat1 = 515,
  aux_sym_structured_binding_declarator_repeat1 = 516,
  aux_sym__function_postfix_repeat1 = 517,
  aux_sym_throw_specifier_repeat1 = 518,
  aux_sym_template_argument_list_repeat1 = 519,
  aux_sym_subscript_argument_list_repeat1 = 520,
  aux_sym_requirement_seq_repeat1 = 521,
  aux_sym_requires_parameter_list_repeat1 = 522,
  aux_sym_lambda_capture_specifier_repeat1 = 523,
  alias_sym_field_identifier = 524,
  alias_sym_namespace_identifier = 525,
  alias_sym_simple_requirement = 526,
  alias_sym_statement_identifier = 527,
  alias_sym_type_identifier = 528,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_0] = "0",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [sym_virtual] = sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_0] = anon_sym_0,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 15,
  [17] = 15,
  [18] = 18,
  [19] = 19,
  [20] = 14,
  [21] = 21,
  [22] = 13,
  [23] = 23,
  [24] = 13,
  [25] = 25,
  [26] = 14,
  [27] = 14,
  [28] = 25,
  [29] = 25,
  [30] = 13,
  [31] = 25,
  [32] = 15,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 34,
  [39] = 33,
  [40] = 40,
  [41] = 41,
  [42] = 40,
  [43] = 40,
  [44] = 44,
  [45] = 35,
  [46] = 35,
  [47] = 35,
  [48] = 35,
  [49] = 40,
  [50] = 40,
  [51] = 35,
  [52] = 40,
  [53] = 35,
  [54] = 40,
  [55] = 35,
  [56] = 33,
  [57] = 35,
  [58] = 35,
  [59] = 34,
  [60] = 40,
  [61] = 40,
  [62] = 40,
  [63] = 37,
  [64] = 35,
  [65] = 35,
  [66] = 40,
  [67] = 35,
  [68] = 40,
  [69] = 35,
  [70] = 34,
  [71] = 37,
  [72] = 37,
  [73] = 35,
  [74] = 35,
  [75] = 40,
  [76] = 40,
  [77] = 40,
  [78] = 40,
  [79] = 40,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 84,
  [88] = 82,
  [89] = 84,
  [90] = 86,
  [91] = 83,
  [92] = 82,
  [93] = 84,
  [94] = 83,
  [95] = 86,
  [96] = 85,
  [97] = 82,
  [98] = 83,
  [99] = 85,
  [100] = 85,
  [101] = 86,
  [102] = 83,
  [103] = 84,
  [104] = 82,
  [105] = 85,
  [106] = 86,
  [107] = 107,
  [108] = 107,
  [109] = 107,
  [110] = 107,
  [111] = 107,
  [112] = 107,
  [113] = 113,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 117,
  [118] = 114,
  [119] = 114,
  [120] = 114,
  [121] = 121,
  [122] = 121,
  [123] = 121,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 125,
  [128] = 128,
  [129] = 129,
  [130] = 125,
  [131] = 125,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 134,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 138,
  [141] = 141,
  [142] = 137,
  [143] = 137,
  [144] = 144,
  [145] = 135,
  [146] = 125,
  [147] = 135,
  [148] = 132,
  [149] = 134,
  [150] = 141,
  [151] = 144,
  [152] = 152,
  [153] = 133,
  [154] = 139,
  [155] = 144,
  [156] = 139,
  [157] = 135,
  [158] = 132,
  [159] = 133,
  [160] = 152,
  [161] = 152,
  [162] = 132,
  [163] = 133,
  [164] = 144,
  [165] = 138,
  [166] = 138,
  [167] = 152,
  [168] = 137,
  [169] = 135,
  [170] = 141,
  [171] = 139,
  [172] = 144,
  [173] = 138,
  [174] = 137,
  [175] = 152,
  [176] = 141,
  [177] = 139,
  [178] = 133,
  [179] = 134,
  [180] = 132,
  [181] = 133,
  [182] = 132,
  [183] = 134,
  [184] = 141,
  [185] = 152,
  [186] = 144,
  [187] = 138,
  [188] = 137,
  [189] = 141,
  [190] = 139,
  [191] = 125,
  [192] = 134,
  [193] = 193,
  [194] = 125,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 197,
  [199] = 197,
  [200] = 196,
  [201] = 201,
  [202] = 197,
  [203] = 196,
  [204] = 197,
  [205] = 196,
  [206] = 197,
  [207] = 196,
  [208] = 196,
  [209] = 197,
  [210] = 196,
  [211] = 197,
  [212] = 196,
  [213] = 197,
  [214] = 214,
  [215] = 196,
  [216] = 197,
  [217] = 196,
  [218] = 197,
  [219] = 197,
  [220] = 196,
  [221] = 196,
  [222] = 197,
  [223] = 196,
  [224] = 224,
  [225] = 126,
  [226] = 226,
  [227] = 227,
  [228] = 128,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 195,
  [317] = 193,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 195,
  [324] = 324,
  [325] = 193,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 193,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 195,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 385,
  [387] = 387,
  [388] = 387,
  [389] = 389,
  [390] = 387,
  [391] = 387,
  [392] = 384,
  [393] = 387,
  [394] = 385,
  [395] = 384,
  [396] = 214,
  [397] = 387,
  [398] = 387,
  [399] = 387,
  [400] = 387,
  [401] = 401,
  [402] = 401,
  [403] = 214,
  [404] = 387,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 387,
  [409] = 387,
  [410] = 387,
  [411] = 389,
  [412] = 387,
  [413] = 387,
  [414] = 387,
  [415] = 415,
  [416] = 387,
  [417] = 201,
  [418] = 201,
  [419] = 401,
  [420] = 389,
  [421] = 224,
  [422] = 422,
  [423] = 226,
  [424] = 424,
  [425] = 128,
  [426] = 126,
  [427] = 422,
  [428] = 227,
  [429] = 226,
  [430] = 224,
  [431] = 126,
  [432] = 226,
  [433] = 128,
  [434] = 224,
  [435] = 435,
  [436] = 227,
  [437] = 227,
  [438] = 305,
  [439] = 303,
  [440] = 268,
  [441] = 259,
  [442] = 258,
  [443] = 279,
  [444] = 280,
  [445] = 280,
  [446] = 249,
  [447] = 268,
  [448] = 302,
  [449] = 253,
  [450] = 253,
  [451] = 247,
  [452] = 301,
  [453] = 297,
  [454] = 280,
  [455] = 295,
  [456] = 241,
  [457] = 238,
  [458] = 286,
  [459] = 284,
  [460] = 230,
  [461] = 262,
  [462] = 255,
  [463] = 301,
  [464] = 229,
  [465] = 235,
  [466] = 236,
  [467] = 237,
  [468] = 239,
  [469] = 240,
  [470] = 242,
  [471] = 279,
  [472] = 297,
  [473] = 295,
  [474] = 252,
  [475] = 286,
  [476] = 244,
  [477] = 265,
  [478] = 259,
  [479] = 275,
  [480] = 284,
  [481] = 230,
  [482] = 262,
  [483] = 255,
  [484] = 235,
  [485] = 236,
  [486] = 271,
  [487] = 237,
  [488] = 239,
  [489] = 240,
  [490] = 242,
  [491] = 244,
  [492] = 245,
  [493] = 245,
  [494] = 246,
  [495] = 254,
  [496] = 248,
  [497] = 250,
  [498] = 231,
  [499] = 229,
  [500] = 264,
  [501] = 252,
  [502] = 278,
  [503] = 281,
  [504] = 282,
  [505] = 233,
  [506] = 285,
  [507] = 287,
  [508] = 246,
  [509] = 288,
  [510] = 289,
  [511] = 248,
  [512] = 251,
  [513] = 305,
  [514] = 299,
  [515] = 304,
  [516] = 300,
  [517] = 250,
  [518] = 260,
  [519] = 298,
  [520] = 257,
  [521] = 296,
  [522] = 256,
  [523] = 292,
  [524] = 291,
  [525] = 303,
  [526] = 283,
  [527] = 277,
  [528] = 276,
  [529] = 274,
  [530] = 234,
  [531] = 267,
  [532] = 261,
  [533] = 275,
  [534] = 243,
  [535] = 257,
  [536] = 258,
  [537] = 263,
  [538] = 264,
  [539] = 249,
  [540] = 278,
  [541] = 266,
  [542] = 269,
  [543] = 281,
  [544] = 282,
  [545] = 270,
  [546] = 261,
  [547] = 267,
  [548] = 243,
  [549] = 279,
  [550] = 285,
  [551] = 259,
  [552] = 274,
  [553] = 243,
  [554] = 272,
  [555] = 273,
  [556] = 232,
  [557] = 238,
  [558] = 229,
  [559] = 252,
  [560] = 287,
  [561] = 288,
  [562] = 276,
  [563] = 277,
  [564] = 256,
  [565] = 283,
  [566] = 291,
  [567] = 257,
  [568] = 292,
  [569] = 260,
  [570] = 296,
  [571] = 298,
  [572] = 300,
  [573] = 294,
  [574] = 304,
  [575] = 299,
  [576] = 263,
  [577] = 302,
  [578] = 251,
  [579] = 289,
  [580] = 288,
  [581] = 266,
  [582] = 287,
  [583] = 285,
  [584] = 256,
  [585] = 282,
  [586] = 281,
  [587] = 278,
  [588] = 263,
  [589] = 264,
  [590] = 266,
  [591] = 269,
  [592] = 270,
  [593] = 269,
  [594] = 250,
  [595] = 270,
  [596] = 265,
  [597] = 275,
  [598] = 289,
  [599] = 251,
  [600] = 271,
  [601] = 271,
  [602] = 248,
  [603] = 246,
  [604] = 272,
  [605] = 245,
  [606] = 244,
  [607] = 242,
  [608] = 240,
  [609] = 239,
  [610] = 237,
  [611] = 236,
  [612] = 265,
  [613] = 272,
  [614] = 235,
  [615] = 255,
  [616] = 262,
  [617] = 260,
  [618] = 230,
  [619] = 273,
  [620] = 284,
  [621] = 286,
  [622] = 295,
  [623] = 297,
  [624] = 301,
  [625] = 253,
  [626] = 302,
  [627] = 268,
  [628] = 305,
  [629] = 299,
  [630] = 304,
  [631] = 300,
  [632] = 290,
  [633] = 298,
  [634] = 296,
  [635] = 292,
  [636] = 273,
  [637] = 258,
  [638] = 291,
  [639] = 283,
  [640] = 277,
  [641] = 276,
  [642] = 274,
  [643] = 247,
  [644] = 290,
  [645] = 293,
  [646] = 267,
  [647] = 293,
  [648] = 234,
  [649] = 261,
  [650] = 254,
  [651] = 233,
  [652] = 238,
  [653] = 231,
  [654] = 290,
  [655] = 293,
  [656] = 232,
  [657] = 294,
  [658] = 303,
  [659] = 241,
  [660] = 232,
  [661] = 234,
  [662] = 231,
  [663] = 254,
  [664] = 249,
  [665] = 247,
  [666] = 241,
  [667] = 233,
  [668] = 294,
  [669] = 364,
  [670] = 366,
  [671] = 383,
  [672] = 375,
  [673] = 356,
  [674] = 370,
  [675] = 369,
  [676] = 368,
  [677] = 320,
  [678] = 364,
  [679] = 362,
  [680] = 361,
  [681] = 357,
  [682] = 359,
  [683] = 358,
  [684] = 350,
  [685] = 308,
  [686] = 354,
  [687] = 352,
  [688] = 322,
  [689] = 315,
  [690] = 367,
  [691] = 313,
  [692] = 352,
  [693] = 358,
  [694] = 359,
  [695] = 362,
  [696] = 369,
  [697] = 370,
  [698] = 698,
  [699] = 332,
  [700] = 330,
  [701] = 335,
  [702] = 322,
  [703] = 377,
  [704] = 365,
  [705] = 308,
  [706] = 351,
  [707] = 201,
  [708] = 350,
  [709] = 345,
  [710] = 345,
  [711] = 344,
  [712] = 337,
  [713] = 343,
  [714] = 344,
  [715] = 346,
  [716] = 310,
  [717] = 355,
  [718] = 307,
  [719] = 329,
  [720] = 348,
  [721] = 373,
  [722] = 374,
  [723] = 321,
  [724] = 328,
  [725] = 379,
  [726] = 324,
  [727] = 381,
  [728] = 377,
  [729] = 353,
  [730] = 378,
  [731] = 371,
  [732] = 342,
  [733] = 349,
  [734] = 347,
  [735] = 341,
  [736] = 125,
  [737] = 320,
  [738] = 376,
  [739] = 339,
  [740] = 357,
  [741] = 361,
  [742] = 319,
  [743] = 315,
  [744] = 375,
  [745] = 383,
  [746] = 313,
  [747] = 311,
  [748] = 306,
  [749] = 382,
  [750] = 381,
  [751] = 354,
  [752] = 371,
  [753] = 380,
  [754] = 378,
  [755] = 374,
  [756] = 373,
  [757] = 348,
  [758] = 379,
  [759] = 380,
  [760] = 382,
  [761] = 319,
  [762] = 340,
  [763] = 342,
  [764] = 336,
  [765] = 337,
  [766] = 333,
  [767] = 327,
  [768] = 355,
  [769] = 356,
  [770] = 331,
  [771] = 376,
  [772] = 349,
  [773] = 367,
  [774] = 335,
  [775] = 307,
  [776] = 338,
  [777] = 332,
  [778] = 330,
  [779] = 310,
  [780] = 331,
  [781] = 327,
  [782] = 329,
  [783] = 328,
  [784] = 324,
  [785] = 341,
  [786] = 326,
  [787] = 321,
  [788] = 259,
  [789] = 338,
  [790] = 339,
  [791] = 214,
  [792] = 311,
  [793] = 318,
  [794] = 306,
  [795] = 365,
  [796] = 334,
  [797] = 368,
  [798] = 351,
  [799] = 326,
  [800] = 366,
  [801] = 346,
  [802] = 333,
  [803] = 334,
  [804] = 353,
  [805] = 336,
  [806] = 343,
  [807] = 318,
  [808] = 340,
  [809] = 309,
  [810] = 347,
  [811] = 309,
  [812] = 322,
  [813] = 379,
  [814] = 125,
  [815] = 354,
  [816] = 319,
  [817] = 352,
  [818] = 818,
  [819] = 375,
  [820] = 359,
  [821] = 358,
  [822] = 307,
  [823] = 328,
  [824] = 340,
  [825] = 345,
  [826] = 342,
  [827] = 306,
  [828] = 329,
  [829] = 311,
  [830] = 383,
  [831] = 364,
  [832] = 336,
  [833] = 330,
  [834] = 382,
  [835] = 310,
  [836] = 369,
  [837] = 381,
  [838] = 332,
  [839] = 344,
  [840] = 334,
  [841] = 335,
  [842] = 353,
  [843] = 371,
  [844] = 378,
  [845] = 349,
  [846] = 337,
  [847] = 347,
  [848] = 125,
  [849] = 355,
  [850] = 341,
  [851] = 374,
  [852] = 333,
  [853] = 308,
  [854] = 324,
  [855] = 373,
  [856] = 315,
  [857] = 348,
  [858] = 346,
  [859] = 326,
  [860] = 339,
  [861] = 338,
  [862] = 343,
  [863] = 313,
  [864] = 366,
  [865] = 380,
  [866] = 362,
  [867] = 361,
  [868] = 350,
  [869] = 357,
  [870] = 331,
  [871] = 370,
  [872] = 327,
  [873] = 367,
  [874] = 318,
  [875] = 376,
  [876] = 368,
  [877] = 377,
  [878] = 320,
  [879] = 365,
  [880] = 351,
  [881] = 356,
  [882] = 321,
  [883] = 309,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 884,
  [888] = 884,
  [889] = 889,
  [890] = 698,
  [891] = 886,
  [892] = 884,
  [893] = 125,
  [894] = 886,
  [895] = 886,
  [896] = 698,
  [897] = 884,
  [898] = 884,
  [899] = 886,
  [900] = 125,
  [901] = 884,
  [902] = 886,
  [903] = 884,
  [904] = 886,
  [905] = 125,
  [906] = 884,
  [907] = 886,
  [908] = 884,
  [909] = 886,
  [910] = 886,
  [911] = 911,
  [912] = 912,
  [913] = 912,
  [914] = 914,
  [915] = 915,
  [916] = 914,
  [917] = 914,
  [918] = 918,
  [919] = 914,
  [920] = 914,
  [921] = 914,
  [922] = 914,
  [923] = 923,
  [924] = 923,
  [925] = 923,
  [926] = 923,
  [927] = 923,
  [928] = 923,
  [929] = 923,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 936,
  [938] = 195,
  [939] = 939,
  [940] = 940,
  [941] = 934,
  [942] = 942,
  [943] = 942,
  [944] = 933,
  [945] = 934,
  [946] = 934,
  [947] = 933,
  [948] = 948,
  [949] = 193,
  [950] = 932,
  [951] = 933,
  [952] = 952,
  [953] = 948,
  [954] = 942,
  [955] = 952,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 958,
  [960] = 942,
  [961] = 227,
  [962] = 128,
  [963] = 224,
  [964] = 126,
  [965] = 226,
  [966] = 289,
  [967] = 252,
  [968] = 286,
  [969] = 261,
  [970] = 295,
  [971] = 247,
  [972] = 299,
  [973] = 243,
  [974] = 274,
  [975] = 248,
  [976] = 276,
  [977] = 269,
  [978] = 270,
  [979] = 305,
  [980] = 277,
  [981] = 272,
  [982] = 257,
  [983] = 267,
  [984] = 283,
  [985] = 234,
  [986] = 300,
  [987] = 230,
  [988] = 918,
  [989] = 288,
  [990] = 262,
  [991] = 297,
  [992] = 265,
  [993] = 255,
  [994] = 256,
  [995] = 915,
  [996] = 301,
  [997] = 233,
  [998] = 291,
  [999] = 232,
  [1000] = 231,
  [1001] = 253,
  [1002] = 235,
  [1003] = 254,
  [1004] = 273,
  [1005] = 292,
  [1006] = 246,
  [1007] = 303,
  [1008] = 302,
  [1009] = 290,
  [1010] = 260,
  [1011] = 238,
  [1012] = 282,
  [1013] = 266,
  [1014] = 245,
  [1015] = 287,
  [1016] = 268,
  [1017] = 250,
  [1018] = 244,
  [1019] = 258,
  [1020] = 264,
  [1021] = 294,
  [1022] = 296,
  [1023] = 242,
  [1024] = 930,
  [1025] = 298,
  [1026] = 285,
  [1027] = 241,
  [1028] = 240,
  [1029] = 281,
  [1030] = 249,
  [1031] = 263,
  [1032] = 271,
  [1033] = 251,
  [1034] = 275,
  [1035] = 239,
  [1036] = 284,
  [1037] = 237,
  [1038] = 278,
  [1039] = 304,
  [1040] = 229,
  [1041] = 280,
  [1042] = 236,
  [1043] = 279,
  [1044] = 293,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1047,
  [1049] = 1047,
  [1050] = 1046,
  [1051] = 1047,
  [1052] = 1047,
  [1053] = 1047,
  [1054] = 1046,
  [1055] = 1046,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1046,
  [1059] = 1059,
  [1060] = 1047,
  [1061] = 1046,
  [1062] = 1059,
  [1063] = 1059,
  [1064] = 1046,
  [1065] = 1047,
  [1066] = 1046,
  [1067] = 1059,
  [1068] = 1059,
  [1069] = 1046,
  [1070] = 1059,
  [1071] = 1047,
  [1072] = 1072,
  [1073] = 1072,
  [1074] = 1072,
  [1075] = 1075,
  [1076] = 1072,
  [1077] = 1077,
  [1078] = 1075,
  [1079] = 1072,
  [1080] = 1075,
  [1081] = 1077,
  [1082] = 1077,
  [1083] = 1072,
  [1084] = 1075,
  [1085] = 1077,
  [1086] = 1086,
  [1087] = 1075,
  [1088] = 1086,
  [1089] = 1075,
  [1090] = 1077,
  [1091] = 1091,
  [1092] = 1086,
  [1093] = 1093,
  [1094] = 1093,
  [1095] = 1093,
  [1096] = 1093,
  [1097] = 1093,
  [1098] = 1093,
  [1099] = 1093,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1101,
  [1103] = 1103,
  [1104] = 1103,
  [1105] = 1100,
  [1106] = 1103,
  [1107] = 1100,
  [1108] = 1100,
  [1109] = 1101,
  [1110] = 1100,
  [1111] = 1103,
  [1112] = 1100,
  [1113] = 1100,
  [1114] = 1100,
  [1115] = 1103,
  [1116] = 1116,
  [1117] = 1100,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1122,
  [1125] = 1125,
  [1126] = 1125,
  [1127] = 1127,
  [1128] = 1122,
  [1129] = 1129,
  [1130] = 1125,
  [1131] = 1127,
  [1132] = 1125,
  [1133] = 1127,
  [1134] = 1123,
  [1135] = 1122,
  [1136] = 1123,
  [1137] = 1123,
  [1138] = 1122,
  [1139] = 1139,
  [1140] = 1122,
  [1141] = 1123,
  [1142] = 1142,
  [1143] = 1123,
  [1144] = 1127,
  [1145] = 1127,
  [1146] = 1123,
  [1147] = 1122,
  [1148] = 1125,
  [1149] = 1127,
  [1150] = 1127,
  [1151] = 1127,
  [1152] = 1125,
  [1153] = 1119,
  [1154] = 1123,
  [1155] = 1122,
  [1156] = 1122,
  [1157] = 1123,
  [1158] = 1125,
  [1159] = 1123,
  [1160] = 1122,
  [1161] = 1127,
  [1162] = 1127,
  [1163] = 1123,
  [1164] = 1122,
  [1165] = 1127,
  [1166] = 1166,
  [1167] = 1119,
  [1168] = 1127,
  [1169] = 1169,
  [1170] = 1125,
  [1171] = 1171,
  [1172] = 1127,
  [1173] = 1123,
  [1174] = 1125,
  [1175] = 1125,
  [1176] = 1125,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1122,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1125,
  [1184] = 1122,
  [1185] = 1185,
  [1186] = 1125,
  [1187] = 1123,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1192,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1191,
  [1198] = 1198,
  [1199] = 1191,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1191,
  [1204] = 1191,
  [1205] = 1192,
  [1206] = 1191,
  [1207] = 1191,
  [1208] = 1192,
  [1209] = 1192,
  [1210] = 1192,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1192,
  [1214] = 1192,
  [1215] = 1195,
  [1216] = 1192,
  [1217] = 1191,
  [1218] = 1191,
  [1219] = 1192,
  [1220] = 1195,
  [1221] = 1191,
  [1222] = 1222,
  [1223] = 1195,
  [1224] = 1191,
  [1225] = 1195,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1192,
  [1230] = 1230,
  [1231] = 1192,
  [1232] = 1192,
  [1233] = 1191,
  [1234] = 1234,
  [1235] = 1195,
  [1236] = 1195,
  [1237] = 1237,
  [1238] = 1191,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1241,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1241,
  [1247] = 1241,
  [1248] = 1248,
  [1249] = 1248,
  [1250] = 1248,
  [1251] = 1248,
  [1252] = 1248,
  [1253] = 1248,
  [1254] = 1248,
  [1255] = 1248,
  [1256] = 1248,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1248,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1281,
  [1286] = 1241,
  [1287] = 1243,
  [1288] = 1244,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1262,
  [1293] = 1263,
  [1294] = 1266,
  [1295] = 1267,
  [1296] = 1268,
  [1297] = 1269,
  [1298] = 1270,
  [1299] = 1271,
  [1300] = 1272,
  [1301] = 1273,
  [1302] = 1274,
  [1303] = 1239,
  [1304] = 1275,
  [1305] = 1276,
  [1306] = 1277,
  [1307] = 1280,
  [1308] = 1282,
  [1309] = 1283,
  [1310] = 1284,
  [1311] = 1311,
  [1312] = 1289,
  [1313] = 1290,
  [1314] = 1291,
  [1315] = 1241,
  [1316] = 1311,
  [1317] = 1317,
  [1318] = 1240,
  [1319] = 1265,
  [1320] = 1264,
  [1321] = 1261,
  [1322] = 1322,
  [1323] = 1317,
  [1324] = 1258,
  [1325] = 1241,
  [1326] = 1257,
  [1327] = 1241,
  [1328] = 1241,
  [1329] = 1322,
  [1330] = 1241,
  [1331] = 1244,
  [1332] = 1243,
  [1333] = 1241,
  [1334] = 1317,
  [1335] = 1261,
  [1336] = 1336,
  [1337] = 1244,
  [1338] = 1243,
  [1339] = 1241,
  [1340] = 1261,
  [1341] = 1241,
  [1342] = 1243,
  [1343] = 1244,
  [1344] = 1258,
  [1345] = 1317,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1355,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1358,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1360,
  [1368] = 1368,
  [1369] = 1348,
  [1370] = 1349,
  [1371] = 1350,
  [1372] = 1351,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1352,
  [1376] = 1354,
  [1377] = 1368,
  [1378] = 1360,
  [1379] = 1366,
  [1380] = 1357,
  [1381] = 1365,
  [1382] = 1382,
  [1383] = 1346,
  [1384] = 1363,
  [1385] = 1385,
  [1386] = 1362,
  [1387] = 1362,
  [1388] = 1363,
  [1389] = 1389,
  [1390] = 1365,
  [1391] = 1355,
  [1392] = 1366,
  [1393] = 1351,
  [1394] = 1368,
  [1395] = 1395,
  [1396] = 1348,
  [1397] = 1347,
  [1398] = 1349,
  [1399] = 1350,
  [1400] = 1351,
  [1401] = 1352,
  [1402] = 1354,
  [1403] = 1351,
  [1404] = 1350,
  [1405] = 1349,
  [1406] = 1357,
  [1407] = 1362,
  [1408] = 1363,
  [1409] = 1365,
  [1410] = 1366,
  [1411] = 1360,
  [1412] = 1368,
  [1413] = 1355,
  [1414] = 1348,
  [1415] = 1349,
  [1416] = 1350,
  [1417] = 1351,
  [1418] = 1358,
  [1419] = 1352,
  [1420] = 1354,
  [1421] = 1348,
  [1422] = 1362,
  [1423] = 1363,
  [1424] = 1365,
  [1425] = 1361,
  [1426] = 1366,
  [1427] = 1358,
  [1428] = 1360,
  [1429] = 1368,
  [1430] = 1348,
  [1431] = 1349,
  [1432] = 1350,
  [1433] = 1360,
  [1434] = 1361,
  [1435] = 1352,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1354,
  [1439] = 1366,
  [1440] = 1440,
  [1441] = 1365,
  [1442] = 1442,
  [1443] = 1352,
  [1444] = 1354,
  [1445] = 1363,
  [1446] = 1446,
  [1447] = 1362,
  [1448] = 1352,
  [1449] = 1449,
  [1450] = 1354,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1357,
  [1455] = 1361,
  [1456] = 1355,
  [1457] = 1354,
  [1458] = 1353,
  [1459] = 1436,
  [1460] = 1352,
  [1461] = 1452,
  [1462] = 1352,
  [1463] = 1364,
  [1464] = 1364,
  [1465] = 1351,
  [1466] = 1350,
  [1467] = 1349,
  [1468] = 1348,
  [1469] = 1368,
  [1470] = 1389,
  [1471] = 1360,
  [1472] = 1366,
  [1473] = 1365,
  [1474] = 1355,
  [1475] = 1363,
  [1476] = 1362,
  [1477] = 1355,
  [1478] = 1395,
  [1479] = 1347,
  [1480] = 1480,
  [1481] = 1352,
  [1482] = 1354,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1364,
  [1489] = 1351,
  [1490] = 1350,
  [1491] = 1349,
  [1492] = 1348,
  [1493] = 1368,
  [1494] = 1360,
  [1495] = 1366,
  [1496] = 1365,
  [1497] = 1363,
  [1498] = 1362,
  [1499] = 1353,
  [1500] = 1500,
  [1501] = 1389,
  [1502] = 1361,
  [1503] = 1503,
  [1504] = 1362,
  [1505] = 1361,
  [1506] = 1363,
  [1507] = 1365,
  [1508] = 1366,
  [1509] = 1361,
  [1510] = 1355,
  [1511] = 1360,
  [1512] = 1361,
  [1513] = 1368,
  [1514] = 1348,
  [1515] = 1349,
  [1516] = 1350,
  [1517] = 1351,
  [1518] = 1364,
  [1519] = 1486,
  [1520] = 1347,
  [1521] = 1521,
  [1522] = 1368,
  [1523] = 1442,
  [1524] = 1395,
  [1525] = 1355,
  [1526] = 1395,
  [1527] = 1385,
  [1528] = 1346,
  [1529] = 1361,
  [1530] = 1451,
  [1531] = 1355,
  [1532] = 1486,
  [1533] = 1533,
  [1534] = 1389,
  [1535] = 1535,
  [1536] = 1503,
  [1537] = 1389,
  [1538] = 1487,
  [1539] = 1395,
  [1540] = 1358,
  [1541] = 1500,
  [1542] = 1361,
  [1543] = 1543,
  [1544] = 1486,
  [1545] = 1442,
  [1546] = 1483,
  [1547] = 1385,
  [1548] = 1346,
  [1549] = 1451,
  [1550] = 1483,
  [1551] = 1487,
  [1552] = 1347,
  [1553] = 1500,
  [1554] = 1554,
  [1555] = 1486,
  [1556] = 1442,
  [1557] = 1385,
  [1558] = 1362,
  [1559] = 1346,
  [1560] = 1363,
  [1561] = 1451,
  [1562] = 1483,
  [1563] = 1365,
  [1564] = 1487,
  [1565] = 1500,
  [1566] = 1389,
  [1567] = 1357,
  [1568] = 1442,
  [1569] = 1366,
  [1570] = 1385,
  [1571] = 1346,
  [1572] = 1451,
  [1573] = 1483,
  [1574] = 1389,
  [1575] = 1347,
  [1576] = 1360,
  [1577] = 1486,
  [1578] = 1361,
  [1579] = 1442,
  [1580] = 1368,
  [1581] = 1385,
  [1582] = 1395,
  [1583] = 1451,
  [1584] = 1483,
  [1585] = 1364,
  [1586] = 1486,
  [1587] = 1442,
  [1588] = 1385,
  [1589] = 1451,
  [1590] = 1389,
  [1591] = 1373,
  [1592] = 1348,
  [1593] = 1374,
  [1594] = 1349,
  [1595] = 1352,
  [1596] = 1354,
  [1597] = 1350,
  [1598] = 1351,
  [1599] = 1395,
  [1600] = 1347,
  [1601] = 1364,
  [1602] = 1395,
  [1603] = 1358,
  [1604] = 1521,
  [1605] = 1352,
  [1606] = 1354,
  [1607] = 1347,
  [1608] = 1363,
  [1609] = 1395,
  [1610] = 1521,
  [1611] = 1521,
  [1612] = 1521,
  [1613] = 1521,
  [1614] = 1521,
  [1615] = 1357,
  [1616] = 1354,
  [1617] = 1362,
  [1618] = 1352,
  [1619] = 1363,
  [1620] = 1365,
  [1621] = 1366,
  [1622] = 1360,
  [1623] = 1368,
  [1624] = 1348,
  [1625] = 1349,
  [1626] = 1355,
  [1627] = 1350,
  [1628] = 1351,
  [1629] = 1347,
  [1630] = 1395,
  [1631] = 1347,
  [1632] = 1395,
  [1633] = 1395,
  [1634] = 1389,
  [1635] = 1389,
  [1636] = 1500,
  [1637] = 1364,
  [1638] = 1364,
  [1639] = 1351,
  [1640] = 1350,
  [1641] = 1349,
  [1642] = 1348,
  [1643] = 1368,
  [1644] = 1360,
  [1645] = 1361,
  [1646] = 1366,
  [1647] = 1364,
  [1648] = 1365,
  [1649] = 1363,
  [1650] = 1650,
  [1651] = 1362,
  [1652] = 1364,
  [1653] = 1361,
  [1654] = 1355,
  [1655] = 1347,
  [1656] = 1487,
  [1657] = 1355,
  [1658] = 1389,
  [1659] = 1389,
  [1660] = 1362,
  [1661] = 1365,
  [1662] = 1364,
  [1663] = 1366,
  [1664] = 1360,
  [1665] = 1395,
  [1666] = 1347,
  [1667] = 1347,
  [1668] = 1354,
  [1669] = 1368,
  [1670] = 1348,
  [1671] = 1349,
  [1672] = 1350,
  [1673] = 1351,
  [1674] = 1389,
  [1675] = 1364,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1685,
  [1687] = 1687,
  [1688] = 315,
  [1689] = 368,
  [1690] = 1687,
  [1691] = 1687,
  [1692] = 1687,
  [1693] = 1693,
  [1694] = 1680,
  [1695] = 1680,
  [1696] = 1678,
  [1697] = 1677,
  [1698] = 1682,
  [1699] = 1699,
  [1700] = 1681,
  [1701] = 1683,
  [1702] = 1684,
  [1703] = 1680,
  [1704] = 1679,
  [1705] = 1676,
  [1706] = 1684,
  [1707] = 1681,
  [1708] = 1086,
  [1709] = 1684,
  [1710] = 1683,
  [1711] = 1682,
  [1712] = 1676,
  [1713] = 1678,
  [1714] = 1679,
  [1715] = 1677,
  [1716] = 1086,
  [1717] = 1682,
  [1718] = 1684,
  [1719] = 1681,
  [1720] = 1683,
  [1721] = 1677,
  [1722] = 1678,
  [1723] = 1679,
  [1724] = 1676,
  [1725] = 1684,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1727,
  [1729] = 1727,
  [1730] = 1727,
  [1731] = 1731,
  [1732] = 1731,
  [1733] = 1731,
  [1734] = 1731,
  [1735] = 1735,
  [1736] = 1731,
  [1737] = 1731,
  [1738] = 1731,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1757,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1684,
  [1762] = 1684,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1678,
  [1768] = 1679,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1676,
  [1772] = 1681,
  [1773] = 1677,
  [1774] = 1682,
  [1775] = 1683,
  [1776] = 193,
  [1777] = 1678,
  [1778] = 195,
  [1779] = 1679,
  [1780] = 1780,
  [1781] = 1676,
  [1782] = 1782,
  [1783] = 1764,
  [1784] = 201,
  [1785] = 1677,
  [1786] = 1681,
  [1787] = 1682,
  [1788] = 1683,
  [1789] = 1780,
  [1790] = 1780,
  [1791] = 214,
  [1792] = 1735,
  [1793] = 1780,
  [1794] = 1684,
  [1795] = 1795,
  [1796] = 259,
  [1797] = 259,
  [1798] = 1680,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1680,
  [1803] = 1803,
  [1804] = 128,
  [1805] = 1801,
  [1806] = 126,
  [1807] = 224,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1810,
  [1814] = 1814,
  [1815] = 1810,
  [1816] = 1801,
  [1817] = 1810,
  [1818] = 1818,
  [1819] = 1801,
  [1820] = 1801,
  [1821] = 1801,
  [1822] = 1822,
  [1823] = 1801,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 375,
  [1828] = 311,
  [1829] = 306,
  [1830] = 313,
  [1831] = 339,
  [1832] = 354,
  [1833] = 326,
  [1834] = 1834,
  [1835] = 271,
  [1836] = 335,
  [1837] = 320,
  [1838] = 358,
  [1839] = 241,
  [1840] = 247,
  [1841] = 368,
  [1842] = 1842,
  [1843] = 279,
  [1844] = 340,
  [1845] = 1677,
  [1846] = 1681,
  [1847] = 1682,
  [1848] = 315,
  [1849] = 322,
  [1850] = 355,
  [1851] = 1683,
  [1852] = 331,
  [1853] = 1853,
  [1854] = 356,
  [1855] = 366,
  [1856] = 1726,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 258,
  [1860] = 1860,
  [1861] = 324,
  [1862] = 328,
  [1863] = 1676,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 364,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1858,
  [1871] = 310,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1676,
  [1877] = 1679,
  [1878] = 1678,
  [1879] = 1680,
  [1880] = 362,
  [1881] = 359,
  [1882] = 329,
  [1883] = 1679,
  [1884] = 327,
  [1885] = 1885,
  [1886] = 321,
  [1887] = 1678,
  [1888] = 330,
  [1889] = 346,
  [1890] = 1885,
  [1891] = 319,
  [1892] = 1892,
  [1893] = 332,
  [1894] = 350,
  [1895] = 1872,
  [1896] = 308,
  [1897] = 1872,
  [1898] = 379,
  [1899] = 341,
  [1900] = 1684,
  [1901] = 1901,
  [1902] = 1814,
  [1903] = 349,
  [1904] = 343,
  [1905] = 1905,
  [1906] = 361,
  [1907] = 1812,
  [1908] = 318,
  [1909] = 1857,
  [1910] = 1892,
  [1911] = 1911,
  [1912] = 1677,
  [1913] = 260,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 257,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 256,
  [1921] = 1921,
  [1922] = 309,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 357,
  [1926] = 383,
  [1927] = 1683,
  [1928] = 294,
  [1929] = 1682,
  [1930] = 1681,
  [1931] = 1735,
  [1932] = 1932,
  [1933] = 1853,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 338,
  [1937] = 303,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 381,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1754,
  [1954] = 201,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1901,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1901,
  [1970] = 1754,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 193,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1756,
  [1985] = 1726,
  [1986] = 201,
  [1987] = 214,
  [1988] = 1988,
  [1989] = 1735,
  [1990] = 1741,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1684,
  [1994] = 1756,
  [1995] = 1901,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 195,
  [1999] = 1901,
  [2000] = 193,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 1735,
  [2004] = 1957,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 1735,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 214,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1735,
  [2016] = 2016,
  [2017] = 1741,
  [2018] = 2018,
  [2019] = 1901,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 1974,
  [2024] = 195,
  [2025] = 2025,
  [2026] = 1769,
  [2027] = 1735,
  [2028] = 1766,
  [2029] = 2029,
  [2030] = 1765,
  [2031] = 2031,
  [2032] = 1905,
  [2033] = 2033,
  [2034] = 259,
  [2035] = 2016,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2011,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2011,
  [2042] = 2029,
  [2043] = 259,
  [2044] = 1834,
  [2045] = 1735,
  [2046] = 1842,
  [2047] = 259,
  [2048] = 2036,
  [2049] = 2029,
  [2050] = 2029,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2029,
  [2054] = 2014,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 1741,
  [2060] = 2060,
  [2061] = 2002,
  [2062] = 259,
  [2063] = 1770,
  [2064] = 2064,
  [2065] = 2029,
  [2066] = 2066,
  [2067] = 1756,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1754,
  [2072] = 2072,
  [2073] = 2016,
  [2074] = 2074,
  [2075] = 2018,
  [2076] = 2029,
  [2077] = 1735,
  [2078] = 1735,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 1980,
  [2084] = 2025,
  [2085] = 2022,
  [2086] = 2086,
  [2087] = 2021,
  [2088] = 2020,
  [2089] = 2010,
  [2090] = 2009,
  [2091] = 2091,
  [2092] = 128,
  [2093] = 126,
  [2094] = 1812,
  [2095] = 2006,
  [2096] = 2070,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 128,
  [2101] = 1814,
  [2102] = 2102,
  [2103] = 1979,
  [2104] = 2104,
  [2105] = 1973,
  [2106] = 126,
  [2107] = 2107,
  [2108] = 1972,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2086,
  [2114] = 1975,
  [2115] = 2115,
  [2116] = 2080,
  [2117] = 2111,
  [2118] = 2109,
  [2119] = 1976,
  [2120] = 1808,
  [2121] = 1971,
  [2122] = 1977,
  [2123] = 1680,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 1764,
  [2127] = 1992,
  [2128] = 2082,
  [2129] = 224,
  [2130] = 2001,
  [2131] = 1809,
  [2132] = 1983,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 1988,
  [2137] = 1959,
  [2138] = 1958,
  [2139] = 1956,
  [2140] = 1764,
  [2141] = 224,
  [2142] = 1991,
  [2143] = 1955,
  [2144] = 2144,
  [2145] = 2125,
  [2146] = 1982,
  [2147] = 2014,
  [2148] = 2008,
  [2149] = 2013,
  [2150] = 1997,
  [2151] = 1962,
  [2152] = 1812,
  [2153] = 1814,
  [2154] = 1968,
  [2155] = 1981,
  [2156] = 1960,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2082,
  [2161] = 1961,
  [2162] = 1963,
  [2163] = 1967,
  [2164] = 1965,
  [2165] = 2124,
  [2166] = 1964,
  [2167] = 2082,
  [2168] = 2115,
  [2169] = 279,
  [2170] = 332,
  [2171] = 354,
  [2172] = 324,
  [2173] = 303,
  [2174] = 1934,
  [2175] = 2125,
  [2176] = 319,
  [2177] = 322,
  [2178] = 1941,
  [2179] = 1932,
  [2180] = 309,
  [2181] = 2181,
  [2182] = 358,
  [2183] = 311,
  [2184] = 294,
  [2185] = 318,
  [2186] = 306,
  [2187] = 343,
  [2188] = 1770,
  [2189] = 2189,
  [2190] = 1921,
  [2191] = 358,
  [2192] = 1940,
  [2193] = 359,
  [2194] = 1946,
  [2195] = 346,
  [2196] = 1947,
  [2197] = 362,
  [2198] = 310,
  [2199] = 2107,
  [2200] = 339,
  [2201] = 338,
  [2202] = 1924,
  [2203] = 364,
  [2204] = 359,
  [2205] = 1769,
  [2206] = 331,
  [2207] = 327,
  [2208] = 1923,
  [2209] = 241,
  [2210] = 308,
  [2211] = 350,
  [2212] = 247,
  [2213] = 1921,
  [2214] = 1949,
  [2215] = 1770,
  [2216] = 1766,
  [2217] = 381,
  [2218] = 1950,
  [2219] = 1765,
  [2220] = 1754,
  [2221] = 313,
  [2222] = 1765,
  [2223] = 1825,
  [2224] = 362,
  [2225] = 346,
  [2226] = 1951,
  [2227] = 271,
  [2228] = 343,
  [2229] = 379,
  [2230] = 1941,
  [2231] = 321,
  [2232] = 1684,
  [2233] = 326,
  [2234] = 1914,
  [2235] = 309,
  [2236] = 381,
  [2237] = 319,
  [2238] = 349,
  [2239] = 1824,
  [2240] = 321,
  [2241] = 327,
  [2242] = 915,
  [2243] = 308,
  [2244] = 2086,
  [2245] = 1919,
  [2246] = 1875,
  [2247] = 331,
  [2248] = 1874,
  [2249] = 1873,
  [2250] = 1868,
  [2251] = 357,
  [2252] = 1935,
  [2253] = 1940,
  [2254] = 1919,
  [2255] = 338,
  [2256] = 379,
  [2257] = 1952,
  [2258] = 1946,
  [2259] = 1865,
  [2260] = 341,
  [2261] = 1864,
  [2262] = 366,
  [2263] = 1942,
  [2264] = 2109,
  [2265] = 1826,
  [2266] = 349,
  [2267] = 2267,
  [2268] = 241,
  [2269] = 1945,
  [2270] = 350,
  [2271] = 1918,
  [2272] = 247,
  [2273] = 361,
  [2274] = 340,
  [2275] = 1944,
  [2276] = 322,
  [2277] = 2277,
  [2278] = 1860,
  [2279] = 257,
  [2280] = 256,
  [2281] = 256,
  [2282] = 320,
  [2283] = 1916,
  [2284] = 1938,
  [2285] = 2285,
  [2286] = 271,
  [2287] = 2111,
  [2288] = 366,
  [2289] = 339,
  [2290] = 1939,
  [2291] = 1916,
  [2292] = 1918,
  [2293] = 1939,
  [2294] = 330,
  [2295] = 1875,
  [2296] = 1874,
  [2297] = 1938,
  [2298] = 1924,
  [2299] = 1741,
  [2300] = 356,
  [2301] = 1873,
  [2302] = 355,
  [2303] = 1915,
  [2304] = 2304,
  [2305] = 375,
  [2306] = 1951,
  [2307] = 383,
  [2308] = 1923,
  [2309] = 2080,
  [2310] = 335,
  [2311] = 257,
  [2312] = 332,
  [2313] = 1943,
  [2314] = 335,
  [2315] = 1825,
  [2316] = 2316,
  [2317] = 368,
  [2318] = 279,
  [2319] = 330,
  [2320] = 1868,
  [2321] = 313,
  [2322] = 329,
  [2323] = 1867,
  [2324] = 315,
  [2325] = 328,
  [2326] = 324,
  [2327] = 328,
  [2328] = 260,
  [2329] = 1914,
  [2330] = 341,
  [2331] = 320,
  [2332] = 2332,
  [2333] = 311,
  [2334] = 306,
  [2335] = 258,
  [2336] = 1950,
  [2337] = 315,
  [2338] = 294,
  [2339] = 1782,
  [2340] = 1865,
  [2341] = 1756,
  [2342] = 1947,
  [2343] = 1949,
  [2344] = 1824,
  [2345] = 326,
  [2346] = 1826,
  [2347] = 356,
  [2348] = 2107,
  [2349] = 1864,
  [2350] = 354,
  [2351] = 383,
  [2352] = 2124,
  [2353] = 1915,
  [2354] = 340,
  [2355] = 1769,
  [2356] = 258,
  [2357] = 1943,
  [2358] = 1860,
  [2359] = 1952,
  [2360] = 375,
  [2361] = 329,
  [2362] = 1935,
  [2363] = 1867,
  [2364] = 1934,
  [2365] = 1814,
  [2366] = 2115,
  [2367] = 918,
  [2368] = 357,
  [2369] = 1932,
  [2370] = 364,
  [2371] = 361,
  [2372] = 368,
  [2373] = 355,
  [2374] = 318,
  [2375] = 303,
  [2376] = 1766,
  [2377] = 1945,
  [2378] = 310,
  [2379] = 260,
  [2380] = 1812,
  [2381] = 1942,
  [2382] = 1944,
  [2383] = 1683,
  [2384] = 2384,
  [2385] = 1766,
  [2386] = 1858,
  [2387] = 2011,
  [2388] = 1858,
  [2389] = 1769,
  [2390] = 1770,
  [2391] = 1766,
  [2392] = 1764,
  [2393] = 1769,
  [2394] = 1765,
  [2395] = 1766,
  [2396] = 2396,
  [2397] = 1679,
  [2398] = 2016,
  [2399] = 2011,
  [2400] = 128,
  [2401] = 126,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 1770,
  [2405] = 1769,
  [2406] = 1677,
  [2407] = 1681,
  [2408] = 1682,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 918,
  [2412] = 1770,
  [2413] = 2413,
  [2414] = 1765,
  [2415] = 2415,
  [2416] = 1853,
  [2417] = 1678,
  [2418] = 1782,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 1765,
  [2422] = 1974,
  [2423] = 915,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 1853,
  [2427] = 2018,
  [2428] = 1885,
  [2429] = 1857,
  [2430] = 1676,
  [2431] = 1764,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 1857,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2016,
  [2444] = 1885,
  [2445] = 1974,
  [2446] = 1743,
  [2447] = 1753,
  [2448] = 2448,
  [2449] = 1770,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 1746,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2267,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 126,
  [2460] = 2460,
  [2461] = 2267,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2018,
  [2466] = 2466,
  [2467] = 1769,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2419,
  [2471] = 1782,
  [2472] = 2472,
  [2473] = 1748,
  [2474] = 1765,
  [2475] = 2475,
  [2476] = 1745,
  [2477] = 1747,
  [2478] = 1752,
  [2479] = 2285,
  [2480] = 1749,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 1764,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 1744,
  [2488] = 128,
  [2489] = 1740,
  [2490] = 1766,
  [2491] = 2491,
  [2492] = 2285,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2016,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2277,
  [2504] = 2439,
  [2505] = 2505,
  [2506] = 1750,
  [2507] = 1742,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 1751,
  [2514] = 2304,
  [2515] = 1996,
  [2516] = 2036,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 1739,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2011,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 1755,
  [2535] = 2005,
  [2536] = 1812,
  [2537] = 1814,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2285,
  [2542] = 1741,
  [2543] = 2080,
  [2544] = 2115,
  [2545] = 2069,
  [2546] = 2072,
  [2547] = 2040,
  [2548] = 2548,
  [2549] = 2033,
  [2550] = 1782,
  [2551] = 2080,
  [2552] = 2115,
  [2553] = 2039,
  [2554] = 2111,
  [2555] = 1769,
  [2556] = 2086,
  [2557] = 2109,
  [2558] = 1770,
  [2559] = 2125,
  [2560] = 2064,
  [2561] = 2561,
  [2562] = 2051,
  [2563] = 2057,
  [2564] = 2125,
  [2565] = 2111,
  [2566] = 1754,
  [2567] = 2109,
  [2568] = 2124,
  [2569] = 2086,
  [2570] = 2570,
  [2571] = 1756,
  [2572] = 2055,
  [2573] = 2066,
  [2574] = 2124,
  [2575] = 2036,
  [2576] = 2052,
  [2577] = 2037,
  [2578] = 1808,
  [2579] = 2579,
  [2580] = 2267,
  [2581] = 1765,
  [2582] = 1809,
  [2583] = 2583,
  [2584] = 1766,
  [2585] = 2107,
  [2586] = 2277,
  [2587] = 2111,
  [2588] = 1726,
  [2589] = 1769,
  [2590] = 1765,
  [2591] = 2109,
  [2592] = 2080,
  [2593] = 1809,
  [2594] = 1858,
  [2595] = 2304,
  [2596] = 2124,
  [2597] = 2018,
  [2598] = 1842,
  [2599] = 2115,
  [2600] = 1834,
  [2601] = 1766,
  [2602] = 2086,
  [2603] = 2018,
  [2604] = 1770,
  [2605] = 1808,
  [2606] = 1885,
  [2607] = 2125,
  [2608] = 1782,
  [2609] = 2011,
  [2610] = 1764,
  [2611] = 1905,
  [2612] = 1853,
  [2613] = 1782,
  [2614] = 1857,
  [2615] = 2107,
  [2616] = 2016,
  [2617] = 1885,
  [2618] = 1973,
  [2619] = 1976,
  [2620] = 1992,
  [2621] = 2025,
  [2622] = 2010,
  [2623] = 2022,
  [2624] = 2624,
  [2625] = 2021,
  [2626] = 2013,
  [2627] = 1818,
  [2628] = 2020,
  [2629] = 1726,
  [2630] = 1964,
  [2631] = 1800,
  [2632] = 1967,
  [2633] = 2008,
  [2634] = 1811,
  [2635] = 1955,
  [2636] = 1979,
  [2637] = 1983,
  [2638] = 1991,
  [2639] = 2639,
  [2640] = 1965,
  [2641] = 2641,
  [2642] = 1988,
  [2643] = 1822,
  [2644] = 1968,
  [2645] = 1971,
  [2646] = 1972,
  [2647] = 1853,
  [2648] = 1963,
  [2649] = 1961,
  [2650] = 1960,
  [2651] = 1857,
  [2652] = 2652,
  [2653] = 1977,
  [2654] = 1809,
  [2655] = 1980,
  [2656] = 1981,
  [2657] = 1982,
  [2658] = 2107,
  [2659] = 2009,
  [2660] = 2006,
  [2661] = 1974,
  [2662] = 2011,
  [2663] = 1956,
  [2664] = 1958,
  [2665] = 1997,
  [2666] = 1959,
  [2667] = 2277,
  [2668] = 1962,
  [2669] = 1858,
  [2670] = 2016,
  [2671] = 2036,
  [2672] = 1808,
  [2673] = 2001,
  [2674] = 2304,
  [2675] = 1975,
  [2676] = 1726,
  [2677] = 2124,
  [2678] = 2086,
  [2679] = 2125,
  [2680] = 1974,
  [2681] = 2109,
  [2682] = 2111,
  [2683] = 2005,
  [2684] = 1726,
  [2685] = 2109,
  [2686] = 1676,
  [2687] = 2005,
  [2688] = 1800,
  [2689] = 1679,
  [2690] = 1678,
  [2691] = 1683,
  [2692] = 1682,
  [2693] = 2086,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2115,
  [2697] = 2697,
  [2698] = 1996,
  [2699] = 1764,
  [2700] = 2080,
  [2701] = 1681,
  [2702] = 2702,
  [2703] = 1677,
  [2704] = 2111,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2115,
  [2708] = 2080,
  [2709] = 1769,
  [2710] = 2710,
  [2711] = 2124,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 1808,
  [2715] = 2125,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 1818,
  [2719] = 1809,
  [2720] = 2720,
  [2721] = 1885,
  [2722] = 1857,
  [2723] = 1853,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 1822,
  [2727] = 1996,
  [2728] = 1770,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 1765,
  [2733] = 1766,
  [2734] = 1858,
  [2735] = 1811,
  [2736] = 1726,
  [2737] = 1683,
  [2738] = 2304,
  [2739] = 1857,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 1885,
  [2743] = 2064,
  [2744] = 275,
  [2745] = 2051,
  [2746] = 1676,
  [2747] = 2051,
  [2748] = 2748,
  [2749] = 1679,
  [2750] = 2052,
  [2751] = 1885,
  [2752] = 1678,
  [2753] = 2277,
  [2754] = 2005,
  [2755] = 2741,
  [2756] = 2756,
  [2757] = 2039,
  [2758] = 2758,
  [2759] = 1996,
  [2760] = 1857,
  [2761] = 2057,
  [2762] = 2475,
  [2763] = 2055,
  [2764] = 1858,
  [2765] = 2052,
  [2766] = 1682,
  [2767] = 2066,
  [2768] = 2741,
  [2769] = 2037,
  [2770] = 1681,
  [2771] = 2483,
  [2772] = 2039,
  [2773] = 1858,
  [2774] = 2014,
  [2775] = 2107,
  [2776] = 2107,
  [2777] = 2037,
  [2778] = 2057,
  [2779] = 1684,
  [2780] = 2780,
  [2781] = 2529,
  [2782] = 2064,
  [2783] = 1853,
  [2784] = 2741,
  [2785] = 1974,
  [2786] = 1676,
  [2787] = 2033,
  [2788] = 2040,
  [2789] = 2789,
  [2790] = 1974,
  [2791] = 2518,
  [2792] = 2792,
  [2793] = 2069,
  [2794] = 1677,
  [2795] = 2072,
  [2796] = 1679,
  [2797] = 1853,
  [2798] = 1681,
  [2799] = 2509,
  [2800] = 1682,
  [2801] = 1683,
  [2802] = 1678,
  [2803] = 1679,
  [2804] = 1678,
  [2805] = 1683,
  [2806] = 2462,
  [2807] = 2066,
  [2808] = 2460,
  [2809] = 1676,
  [2810] = 1682,
  [2811] = 1681,
  [2812] = 1677,
  [2813] = 252,
  [2814] = 2055,
  [2815] = 2033,
  [2816] = 2072,
  [2817] = 2458,
  [2818] = 2457,
  [2819] = 2456,
  [2820] = 2820,
  [2821] = 2069,
  [2822] = 2454,
  [2823] = 1677,
  [2824] = 2040,
  [2825] = 2712,
  [2826] = 2706,
  [2827] = 1811,
  [2828] = 1834,
  [2829] = 2694,
  [2830] = 1834,
  [2831] = 2056,
  [2832] = 1800,
  [2833] = 2060,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 1905,
  [2837] = 2720,
  [2838] = 1977,
  [2839] = 1977,
  [2840] = 2064,
  [2841] = 2834,
  [2842] = 2717,
  [2843] = 2843,
  [2844] = 2697,
  [2845] = 2834,
  [2846] = 2729,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2716,
  [2850] = 2725,
  [2851] = 1982,
  [2852] = 2834,
  [2853] = 2724,
  [2854] = 2780,
  [2855] = 2031,
  [2856] = 1822,
  [2857] = 1842,
  [2858] = 1960,
  [2859] = 2695,
  [2860] = 2860,
  [2861] = 2713,
  [2862] = 1960,
  [2863] = 1976,
  [2864] = 2702,
  [2865] = 1982,
  [2866] = 2051,
  [2867] = 2052,
  [2868] = 2710,
  [2869] = 2834,
  [2870] = 2037,
  [2871] = 2039,
  [2872] = 1842,
  [2873] = 2055,
  [2874] = 2025,
  [2875] = 2025,
  [2876] = 1818,
  [2877] = 2033,
  [2878] = 2705,
  [2879] = 2040,
  [2880] = 2834,
  [2881] = 2069,
  [2882] = 2882,
  [2883] = 2072,
  [2884] = 1726,
  [2885] = 1905,
  [2886] = 1959,
  [2887] = 2731,
  [2888] = 2730,
  [2889] = 2740,
  [2890] = 2058,
  [2891] = 2847,
  [2892] = 1680,
  [2893] = 2074,
  [2894] = 1974,
  [2895] = 1959,
  [2896] = 2792,
  [2897] = 1976,
  [2898] = 2057,
  [2899] = 2847,
  [2900] = 1680,
  [2901] = 2066,
  [2902] = 2834,
  [2903] = 2104,
  [2904] = 2031,
  [2905] = 2905,
  [2906] = 1955,
  [2907] = 1991,
  [2908] = 2908,
  [2909] = 2005,
  [2910] = 2905,
  [2911] = 2908,
  [2912] = 2905,
  [2913] = 2908,
  [2914] = 2908,
  [2915] = 1834,
  [2916] = 2006,
  [2917] = 2009,
  [2918] = 2010,
  [2919] = 2060,
  [2920] = 2020,
  [2921] = 2021,
  [2922] = 2022,
  [2923] = 2908,
  [2924] = 2905,
  [2925] = 2908,
  [2926] = 2056,
  [2927] = 1996,
  [2928] = 1992,
  [2929] = 1983,
  [2930] = 1965,
  [2931] = 1963,
  [2932] = 1961,
  [2933] = 1956,
  [2934] = 1973,
  [2935] = 1975,
  [2936] = 2905,
  [2937] = 1981,
  [2938] = 1964,
  [2939] = 1967,
  [2940] = 1968,
  [2941] = 1971,
  [2942] = 1972,
  [2943] = 1980,
  [2944] = 2058,
  [2945] = 1979,
  [2946] = 1958,
  [2947] = 1977,
  [2948] = 1982,
  [2949] = 2008,
  [2950] = 2013,
  [2951] = 1997,
  [2952] = 1962,
  [2953] = 2070,
  [2954] = 2001,
  [2955] = 1988,
  [2956] = 1968,
  [2957] = 1955,
  [2958] = 2074,
  [2959] = 1991,
  [2960] = 2006,
  [2961] = 2009,
  [2962] = 2010,
  [2963] = 2020,
  [2964] = 2021,
  [2965] = 2022,
  [2966] = 2908,
  [2967] = 1992,
  [2968] = 2905,
  [2969] = 1983,
  [2970] = 1965,
  [2971] = 1963,
  [2972] = 1961,
  [2973] = 1956,
  [2974] = 1958,
  [2975] = 1973,
  [2976] = 1975,
  [2977] = 2014,
  [2978] = 1967,
  [2979] = 1964,
  [2980] = 1971,
  [2981] = 1972,
  [2982] = 1980,
  [2983] = 1981,
  [2984] = 1680,
  [2985] = 1979,
  [2986] = 2135,
  [2987] = 1684,
  [2988] = 2008,
  [2989] = 2102,
  [2990] = 2013,
  [2991] = 1997,
  [2992] = 1962,
  [2993] = 2005,
  [2994] = 2001,
  [2995] = 1988,
  [2996] = 1960,
  [2997] = 2070,
  [2998] = 2081,
  [2999] = 2014,
  [3000] = 2110,
  [3001] = 1814,
  [3002] = 1996,
  [3003] = 1812,
  [3004] = 2025,
  [3005] = 2091,
  [3006] = 1905,
  [3007] = 1959,
  [3008] = 1976,
  [3009] = 1842,
  [3010] = 2006,
  [3011] = 2018,
  [3012] = 2070,
  [3013] = 1975,
  [3014] = 1973,
  [3015] = 2860,
  [3016] = 1958,
  [3017] = 3017,
  [3018] = 1956,
  [3019] = 1961,
  [3020] = 2409,
  [3021] = 1963,
  [3022] = 1965,
  [3023] = 1983,
  [3024] = 1964,
  [3025] = 1992,
  [3026] = 1967,
  [3027] = 1968,
  [3028] = 2022,
  [3029] = 2021,
  [3030] = 2720,
  [3031] = 2020,
  [3032] = 2402,
  [3033] = 2010,
  [3034] = 2009,
  [3035] = 1971,
  [3036] = 2424,
  [3037] = 2717,
  [3038] = 2725,
  [3039] = 1972,
  [3040] = 1980,
  [3041] = 2410,
  [3042] = 2413,
  [3043] = 2729,
  [3044] = 2384,
  [3045] = 1991,
  [3046] = 2716,
  [3047] = 2724,
  [3048] = 2713,
  [3049] = 2051,
  [3050] = 1955,
  [3051] = 2712,
  [3052] = 2710,
  [3053] = 2052,
  [3054] = 1981,
  [3055] = 2706,
  [3056] = 2705,
  [3057] = 1979,
  [3058] = 2731,
  [3059] = 2730,
  [3060] = 1680,
  [3061] = 2316,
  [3062] = 2036,
  [3063] = 2008,
  [3064] = 2403,
  [3065] = 2013,
  [3066] = 2434,
  [3067] = 1997,
  [3068] = 1962,
  [3069] = 2434,
  [3070] = 2694,
  [3071] = 2001,
  [3072] = 1684,
  [3073] = 1988,
  [3074] = 2055,
  [3075] = 2066,
  [3076] = 2091,
  [3077] = 2730,
  [3078] = 2695,
  [3079] = 1814,
  [3080] = 2070,
  [3081] = 2057,
  [3082] = 2037,
  [3083] = 2014,
  [3084] = 2697,
  [3085] = 2694,
  [3086] = 2731,
  [3087] = 2039,
  [3088] = 2729,
  [3089] = 2442,
  [3090] = 2064,
  [3091] = 2725,
  [3092] = 2402,
  [3093] = 2181,
  [3094] = 2434,
  [3095] = 2702,
  [3096] = 2860,
  [3097] = 2332,
  [3098] = 2882,
  [3099] = 2695,
  [3100] = 1812,
  [3101] = 2135,
  [3102] = 2882,
  [3103] = 2697,
  [3104] = 2110,
  [3105] = 2702,
  [3106] = 2434,
  [3107] = 2102,
  [3108] = 2720,
  [3109] = 3109,
  [3110] = 2033,
  [3111] = 2705,
  [3112] = 2717,
  [3113] = 2081,
  [3114] = 2069,
  [3115] = 2706,
  [3116] = 2710,
  [3117] = 2712,
  [3118] = 2040,
  [3119] = 2072,
  [3120] = 2713,
  [3121] = 2724,
  [3122] = 2716,
  [3123] = 2104,
  [3124] = 1834,
  [3125] = 3125,
  [3126] = 2051,
  [3127] = 2037,
  [3128] = 3128,
  [3129] = 2434,
  [3130] = 2442,
  [3131] = 2702,
  [3132] = 2189,
  [3133] = 2522,
  [3134] = 2039,
  [3135] = 2064,
  [3136] = 2843,
  [3137] = 3137,
  [3138] = 1977,
  [3139] = 2420,
  [3140] = 3137,
  [3141] = 1982,
  [3142] = 2413,
  [3143] = 2403,
  [3144] = 3137,
  [3145] = 2697,
  [3146] = 2512,
  [3147] = 2695,
  [3148] = 2731,
  [3149] = 2740,
  [3150] = 2133,
  [3151] = 2011,
  [3152] = 2112,
  [3153] = 2705,
  [3154] = 2134,
  [3155] = 2057,
  [3156] = 2706,
  [3157] = 1974,
  [3158] = 2792,
  [3159] = 2710,
  [3160] = 3137,
  [3161] = 2181,
  [3162] = 2072,
  [3163] = 2694,
  [3164] = 2712,
  [3165] = 2713,
  [3166] = 2724,
  [3167] = 2716,
  [3168] = 1754,
  [3169] = 2415,
  [3170] = 1976,
  [3171] = 2482,
  [3172] = 1905,
  [3173] = 1959,
  [3174] = 2384,
  [3175] = 2729,
  [3176] = 1960,
  [3177] = 3137,
  [3178] = 1684,
  [3179] = 2069,
  [3180] = 2332,
  [3181] = 2040,
  [3182] = 2434,
  [3183] = 2434,
  [3184] = 2792,
  [3185] = 3185,
  [3186] = 1756,
  [3187] = 2052,
  [3188] = 2033,
  [3189] = 2099,
  [3190] = 2403,
  [3191] = 2098,
  [3192] = 2097,
  [3193] = 2740,
  [3194] = 1741,
  [3195] = 2522,
  [3196] = 1782,
  [3197] = 2730,
  [3198] = 1842,
  [3199] = 3137,
  [3200] = 2396,
  [3201] = 3185,
  [3202] = 2717,
  [3203] = 3137,
  [3204] = 2413,
  [3205] = 2483,
  [3206] = 2720,
  [3207] = 2512,
  [3208] = 2409,
  [3209] = 2410,
  [3210] = 918,
  [3211] = 2316,
  [3212] = 1684,
  [3213] = 2144,
  [3214] = 2025,
  [3215] = 2018,
  [3216] = 2725,
  [3217] = 2424,
  [3218] = 2425,
  [3219] = 3219,
  [3220] = 1808,
  [3221] = 2055,
  [3222] = 2424,
  [3223] = 2780,
  [3224] = 2725,
  [3225] = 2066,
  [3226] = 2482,
  [3227] = 2016,
  [3228] = 2780,
  [3229] = 1809,
  [3230] = 2882,
  [3231] = 2860,
  [3232] = 2157,
  [3233] = 2158,
  [3234] = 2434,
  [3235] = 2720,
  [3236] = 2694,
  [3237] = 3137,
  [3238] = 2717,
  [3239] = 2729,
  [3240] = 2079,
  [3241] = 2695,
  [3242] = 2384,
  [3243] = 2697,
  [3244] = 2702,
  [3245] = 2159,
  [3246] = 2410,
  [3247] = 2716,
  [3248] = 2409,
  [3249] = 2462,
  [3250] = 2402,
  [3251] = 2724,
  [3252] = 2460,
  [3253] = 2442,
  [3254] = 3125,
  [3255] = 3185,
  [3256] = 2458,
  [3257] = 3137,
  [3258] = 915,
  [3259] = 2730,
  [3260] = 2731,
  [3261] = 2705,
  [3262] = 2706,
  [3263] = 2713,
  [3264] = 2712,
  [3265] = 2710,
  [3266] = 2457,
  [3267] = 2456,
  [3268] = 2454,
  [3269] = 2495,
  [3270] = 1743,
  [3271] = 2512,
  [3272] = 2036,
  [3273] = 2494,
  [3274] = 126,
  [3275] = 2466,
  [3276] = 2502,
  [3277] = 2448,
  [3278] = 2014,
  [3279] = 3279,
  [3280] = 3280,
  [3281] = 1746,
  [3282] = 2482,
  [3283] = 2002,
  [3284] = 2420,
  [3285] = 2011,
  [3286] = 3286,
  [3287] = 2036,
  [3288] = 2519,
  [3289] = 1739,
  [3290] = 2157,
  [3291] = 2539,
  [3292] = 2740,
  [3293] = 3280,
  [3294] = 2538,
  [3295] = 2493,
  [3296] = 2099,
  [3297] = 2098,
  [3298] = 2097,
  [3299] = 1755,
  [3300] = 2158,
  [3301] = 2525,
  [3302] = 2079,
  [3303] = 1765,
  [3304] = 2434,
  [3305] = 2481,
  [3306] = 2529,
  [3307] = 128,
  [3308] = 2522,
  [3309] = 2464,
  [3310] = 2792,
  [3311] = 1770,
  [3312] = 1753,
  [3313] = 3313,
  [3314] = 2144,
  [3315] = 3315,
  [3316] = 1955,
  [3317] = 3286,
  [3318] = 1991,
  [3319] = 1769,
  [3320] = 3280,
  [3321] = 3279,
  [3322] = 2159,
  [3323] = 2441,
  [3324] = 1745,
  [3325] = 1747,
  [3326] = 2463,
  [3327] = 1740,
  [3328] = 1988,
  [3329] = 1752,
  [3330] = 2433,
  [3331] = 3280,
  [3332] = 2001,
  [3333] = 2843,
  [3334] = 1766,
  [3335] = 2419,
  [3336] = 2016,
  [3337] = 2134,
  [3338] = 2501,
  [3339] = 1748,
  [3340] = 2505,
  [3341] = 2532,
  [3342] = 3313,
  [3343] = 2133,
  [3344] = 2451,
  [3345] = 3345,
  [3346] = 2070,
  [3347] = 3279,
  [3348] = 3345,
  [3349] = 126,
  [3350] = 2533,
  [3351] = 3286,
  [3352] = 3352,
  [3353] = 918,
  [3354] = 3315,
  [3355] = 2780,
  [3356] = 1962,
  [3357] = 1997,
  [3358] = 1751,
  [3359] = 2013,
  [3360] = 2008,
  [3361] = 2540,
  [3362] = 2434,
  [3363] = 3279,
  [3364] = 1755,
  [3365] = 3345,
  [3366] = 1739,
  [3367] = 2396,
  [3368] = 2304,
  [3369] = 1741,
  [3370] = 2509,
  [3371] = 1751,
  [3372] = 915,
  [3373] = 2415,
  [3374] = 3374,
  [3375] = 2517,
  [3376] = 2453,
  [3377] = 2277,
  [3378] = 3378,
  [3379] = 3280,
  [3380] = 2006,
  [3381] = 2009,
  [3382] = 2010,
  [3383] = 3345,
  [3384] = 2520,
  [3385] = 2020,
  [3386] = 1979,
  [3387] = 3378,
  [3388] = 2021,
  [3389] = 2022,
  [3390] = 1743,
  [3391] = 2485,
  [3392] = 1750,
  [3393] = 2135,
  [3394] = 2454,
  [3395] = 2486,
  [3396] = 2456,
  [3397] = 2457,
  [3398] = 2458,
  [3399] = 2498,
  [3400] = 2460,
  [3401] = 2036,
  [3402] = 2462,
  [3403] = 3345,
  [3404] = 2524,
  [3405] = 2499,
  [3406] = 2497,
  [3407] = 2425,
  [3408] = 2523,
  [3409] = 1742,
  [3410] = 1752,
  [3411] = 2491,
  [3412] = 2496,
  [3413] = 2450,
  [3414] = 2070,
  [3415] = 3315,
  [3416] = 1753,
  [3417] = 1740,
  [3418] = 2104,
  [3419] = 1744,
  [3420] = 2189,
  [3421] = 1992,
  [3422] = 1754,
  [3423] = 1744,
  [3424] = 1749,
  [3425] = 128,
  [3426] = 1749,
  [3427] = 1747,
  [3428] = 2526,
  [3429] = 3315,
  [3430] = 1745,
  [3431] = 1981,
  [3432] = 1980,
  [3433] = 3345,
  [3434] = 2530,
  [3435] = 2475,
  [3436] = 1972,
  [3437] = 1971,
  [3438] = 1968,
  [3439] = 3280,
  [3440] = 2402,
  [3441] = 1967,
  [3442] = 3442,
  [3443] = 1964,
  [3444] = 1983,
  [3445] = 2641,
  [3446] = 1965,
  [3447] = 2432,
  [3448] = 1963,
  [3449] = 2468,
  [3450] = 2435,
  [3451] = 2518,
  [3452] = 1961,
  [3453] = 2436,
  [3454] = 3345,
  [3455] = 1956,
  [3456] = 2437,
  [3457] = 1756,
  [3458] = 2438,
  [3459] = 1958,
  [3460] = 3313,
  [3461] = 2018,
  [3462] = 2472,
  [3463] = 1973,
  [3464] = 1975,
  [3465] = 1746,
  [3466] = 2843,
  [3467] = 2091,
  [3468] = 3313,
  [3469] = 3315,
  [3470] = 3286,
  [3471] = 3286,
  [3472] = 3279,
  [3473] = 1748,
  [3474] = 3279,
  [3475] = 2081,
  [3476] = 2439,
  [3477] = 3315,
  [3478] = 2469,
  [3479] = 2508,
  [3480] = 2112,
  [3481] = 2528,
  [3482] = 1750,
  [3483] = 2527,
  [3484] = 3286,
  [3485] = 2511,
  [3486] = 2510,
  [3487] = 2483,
  [3488] = 2434,
  [3489] = 1742,
  [3490] = 2437,
  [3491] = 2694,
  [3492] = 2731,
  [3493] = 2710,
  [3494] = 2730,
  [3495] = 2483,
  [3496] = 2712,
  [3497] = 2509,
  [3498] = 2713,
  [3499] = 2724,
  [3500] = 2716,
  [3501] = 915,
  [3502] = 2384,
  [3503] = 2729,
  [3504] = 2843,
  [3505] = 1740,
  [3506] = 1753,
  [3507] = 2442,
  [3508] = 2450,
  [3509] = 2472,
  [3510] = 2469,
  [3511] = 2843,
  [3512] = 1782,
  [3513] = 2107,
  [3514] = 2508,
  [3515] = 3017,
  [3516] = 2517,
  [3517] = 1808,
  [3518] = 2125,
  [3519] = 2528,
  [3520] = 2439,
  [3521] = 2843,
  [3522] = 918,
  [3523] = 2835,
  [3524] = 2706,
  [3525] = 2124,
  [3526] = 3442,
  [3527] = 2482,
  [3528] = 2086,
  [3529] = 2511,
  [3530] = 2115,
  [3531] = 2080,
  [3532] = 2529,
  [3533] = 2717,
  [3534] = 2510,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 2705,
  [3538] = 1750,
  [3539] = 2448,
  [3540] = 2441,
  [3541] = 2453,
  [3542] = 1684,
  [3543] = 2433,
  [3544] = 1739,
  [3545] = 1755,
  [3546] = 2527,
  [3547] = 2526,
  [3548] = 2540,
  [3549] = 2848,
  [3550] = 2518,
  [3551] = 2530,
  [3552] = 2720,
  [3553] = 2486,
  [3554] = 2485,
  [3555] = 2702,
  [3556] = 2502,
  [3557] = 2532,
  [3558] = 2533,
  [3559] = 1749,
  [3560] = 2523,
  [3561] = 1808,
  [3562] = 3378,
  [3563] = 2491,
  [3564] = 2505,
  [3565] = 2124,
  [3566] = 2181,
  [3567] = 1744,
  [3568] = 2464,
  [3569] = 2481,
  [3570] = 2475,
  [3571] = 1752,
  [3572] = 2432,
  [3573] = 1747,
  [3574] = 1745,
  [3575] = 2493,
  [3576] = 2497,
  [3577] = 2499,
  [3578] = 2468,
  [3579] = 2697,
  [3580] = 2524,
  [3581] = 2436,
  [3582] = 1809,
  [3583] = 2462,
  [3584] = 2538,
  [3585] = 2512,
  [3586] = 2501,
  [3587] = 2438,
  [3588] = 2695,
  [3589] = 2460,
  [3590] = 2458,
  [3591] = 2125,
  [3592] = 2457,
  [3593] = 2498,
  [3594] = 2456,
  [3595] = 1809,
  [3596] = 2520,
  [3597] = 1743,
  [3598] = 1742,
  [3599] = 1764,
  [3600] = 1751,
  [3601] = 2495,
  [3602] = 2451,
  [3603] = 128,
  [3604] = 2424,
  [3605] = 126,
  [3606] = 1676,
  [3607] = 1679,
  [3608] = 2454,
  [3609] = 1678,
  [3610] = 1746,
  [3611] = 1683,
  [3612] = 2725,
  [3613] = 2466,
  [3614] = 1682,
  [3615] = 1681,
  [3616] = 2494,
  [3617] = 2463,
  [3618] = 2410,
  [3619] = 2409,
  [3620] = 3378,
  [3621] = 2435,
  [3622] = 2525,
  [3623] = 1748,
  [3624] = 2539,
  [3625] = 2419,
  [3626] = 2522,
  [3627] = 2496,
  [3628] = 2086,
  [3629] = 2115,
  [3630] = 2413,
  [3631] = 2109,
  [3632] = 2080,
  [3633] = 1812,
  [3634] = 1814,
  [3635] = 1677,
  [3636] = 2111,
  [3637] = 2519,
  [3638] = 2111,
  [3639] = 2109,
  [3640] = 2304,
  [3641] = 3378,
  [3642] = 2277,
  [3643] = 3378,
  [3644] = 3378,
  [3645] = 3378,
  [3646] = 2740,
  [3647] = 1812,
  [3648] = 2304,
  [3649] = 2624,
  [3650] = 1766,
  [3651] = 2792,
  [3652] = 1858,
  [3653] = 1677,
  [3654] = 1681,
  [3655] = 3378,
  [3656] = 2181,
  [3657] = 1682,
  [3658] = 3378,
  [3659] = 1683,
  [3660] = 1678,
  [3661] = 1679,
  [3662] = 2396,
  [3663] = 1676,
  [3664] = 1765,
  [3665] = 3378,
  [3666] = 1770,
  [3667] = 2780,
  [3668] = 2277,
  [3669] = 1857,
  [3670] = 1853,
  [3671] = 1769,
  [3672] = 1885,
  [3673] = 2107,
  [3674] = 1809,
  [3675] = 1684,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3378,
  [3679] = 1808,
  [3680] = 1814,
  [3681] = 2501,
  [3682] = 1749,
  [3683] = 2532,
  [3684] = 2505,
  [3685] = 3378,
  [3686] = 2486,
  [3687] = 2396,
  [3688] = 2384,
  [3689] = 2464,
  [3690] = 2481,
  [3691] = 126,
  [3692] = 2494,
  [3693] = 2520,
  [3694] = 2525,
  [3695] = 2493,
  [3696] = 2538,
  [3697] = 2539,
  [3698] = 2519,
  [3699] = 1809,
  [3700] = 1822,
  [3701] = 1811,
  [3702] = 1800,
  [3703] = 1818,
  [3704] = 128,
  [3705] = 2451,
  [3706] = 2530,
  [3707] = 2409,
  [3708] = 2526,
  [3709] = 2485,
  [3710] = 1751,
  [3711] = 2496,
  [3712] = 2410,
  [3713] = 1770,
  [3714] = 2495,
  [3715] = 2518,
  [3716] = 1748,
  [3717] = 2463,
  [3718] = 2466,
  [3719] = 1746,
  [3720] = 2451,
  [3721] = 2501,
  [3722] = 1745,
  [3723] = 1747,
  [3724] = 1765,
  [3725] = 1752,
  [3726] = 2442,
  [3727] = 2529,
  [3728] = 1766,
  [3729] = 1743,
  [3730] = 2439,
  [3731] = 1680,
  [3732] = 1742,
  [3733] = 2533,
  [3734] = 2498,
  [3735] = 3378,
  [3736] = 3378,
  [3737] = 2413,
  [3738] = 2540,
  [3739] = 1755,
  [3740] = 1739,
  [3741] = 2424,
  [3742] = 1753,
  [3743] = 2508,
  [3744] = 1740,
  [3745] = 2472,
  [3746] = 2469,
  [3747] = 2419,
  [3748] = 2509,
  [3749] = 2508,
  [3750] = 1769,
  [3751] = 2036,
  [3752] = 2528,
  [3753] = 1770,
  [3754] = 2527,
  [3755] = 1769,
  [3756] = 2511,
  [3757] = 1769,
  [3758] = 2524,
  [3759] = 1765,
  [3760] = 1770,
  [3761] = 1974,
  [3762] = 1766,
  [3763] = 2524,
  [3764] = 2475,
  [3765] = 2510,
  [3766] = 2499,
  [3767] = 1750,
  [3768] = 2497,
  [3769] = 3378,
  [3770] = 1744,
  [3771] = 1808,
  [3772] = 2464,
  [3773] = 2540,
  [3774] = 1996,
  [3775] = 2497,
  [3776] = 2499,
  [3777] = 3378,
  [3778] = 2496,
  [3779] = 2505,
  [3780] = 2520,
  [3781] = 2005,
  [3782] = 2525,
  [3783] = 2532,
  [3784] = 2472,
  [3785] = 2469,
  [3786] = 3378,
  [3787] = 2493,
  [3788] = 2494,
  [3789] = 2538,
  [3790] = 1770,
  [3791] = 3791,
  [3792] = 1996,
  [3793] = 2466,
  [3794] = 2463,
  [3795] = 2485,
  [3796] = 2539,
  [3797] = 3017,
  [3798] = 2277,
  [3799] = 1765,
  [3800] = 2304,
  [3801] = 2486,
  [3802] = 2481,
  [3803] = 1766,
  [3804] = 2498,
  [3805] = 1769,
  [3806] = 2526,
  [3807] = 2510,
  [3808] = 2495,
  [3809] = 2511,
  [3810] = 2530,
  [3811] = 2527,
  [3812] = 2528,
  [3813] = 2005,
  [3814] = 2018,
  [3815] = 2519,
  [3816] = 2533,
  [3817] = 3817,
  [3818] = 1684,
  [3819] = 2051,
  [3820] = 2052,
  [3821] = 2036,
  [3822] = 2057,
  [3823] = 2057,
  [3824] = 1811,
  [3825] = 2055,
  [3826] = 2037,
  [3827] = 2066,
  [3828] = 2039,
  [3829] = 3352,
  [3830] = 2064,
  [3831] = 3831,
  [3832] = 3817,
  [3833] = 1800,
  [3834] = 2052,
  [3835] = 2051,
  [3836] = 3831,
  [3837] = 3374,
  [3838] = 2072,
  [3839] = 2033,
  [3840] = 2040,
  [3841] = 2069,
  [3842] = 2069,
  [3843] = 2072,
  [3844] = 2135,
  [3845] = 3845,
  [3846] = 1822,
  [3847] = 2040,
  [3848] = 2066,
  [3849] = 2033,
  [3850] = 3850,
  [3851] = 2055,
  [3852] = 2039,
  [3853] = 2104,
  [3854] = 3817,
  [3855] = 3831,
  [3856] = 2081,
  [3857] = 2064,
  [3858] = 1818,
  [3859] = 2037,
  [3860] = 2091,
  [3861] = 1976,
  [3862] = 3862,
  [3863] = 3863,
  [3864] = 3864,
  [3865] = 3865,
  [3866] = 3863,
  [3867] = 3867,
  [3868] = 1834,
  [3869] = 3869,
  [3870] = 3864,
  [3871] = 3863,
  [3872] = 3865,
  [3873] = 3873,
  [3874] = 3863,
  [3875] = 3864,
  [3876] = 3862,
  [3877] = 3869,
  [3878] = 3865,
  [3879] = 3862,
  [3880] = 3873,
  [3881] = 3867,
  [3882] = 3863,
  [3883] = 3862,
  [3884] = 3378,
  [3885] = 3865,
  [3886] = 3886,
  [3887] = 3863,
  [3888] = 3886,
  [3889] = 3873,
  [3890] = 3863,
  [3891] = 3873,
  [3892] = 3862,
  [3893] = 1959,
  [3894] = 3831,
  [3895] = 1842,
  [3896] = 3864,
  [3897] = 3863,
  [3898] = 3898,
  [3899] = 3865,
  [3900] = 1680,
  [3901] = 1809,
  [3902] = 3867,
  [3903] = 3886,
  [3904] = 3864,
  [3905] = 1960,
  [3906] = 3863,
  [3907] = 3869,
  [3908] = 3867,
  [3909] = 3865,
  [3910] = 3886,
  [3911] = 1977,
  [3912] = 3378,
  [3913] = 3869,
  [3914] = 3864,
  [3915] = 3863,
  [3916] = 3916,
  [3917] = 3867,
  [3918] = 3864,
  [3919] = 3017,
  [3920] = 3378,
  [3921] = 1808,
  [3922] = 3865,
  [3923] = 3873,
  [3924] = 1982,
  [3925] = 3886,
  [3926] = 3865,
  [3927] = 3865,
  [3928] = 2025,
  [3929] = 1905,
  [3930] = 3873,
  [3931] = 3867,
  [3932] = 3862,
  [3933] = 3869,
  [3934] = 3867,
  [3935] = 3862,
  [3936] = 3863,
  [3937] = 3867,
  [3938] = 3869,
  [3939] = 3862,
  [3940] = 3864,
  [3941] = 3867,
  [3942] = 3863,
  [3943] = 3886,
  [3944] = 3864,
  [3945] = 3378,
  [3946] = 3817,
  [3947] = 3862,
  [3948] = 2022,
  [3949] = 1811,
  [3950] = 3817,
  [3951] = 3951,
  [3952] = 1991,
  [3953] = 3817,
  [3954] = 3951,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3951,
  [3958] = 3951,
  [3959] = 1988,
  [3960] = 2001,
  [3961] = 3951,
  [3962] = 1962,
  [3963] = 3831,
  [3964] = 1997,
  [3965] = 2013,
  [3966] = 2008,
  [3967] = 2304,
  [3968] = 3951,
  [3969] = 1979,
  [3970] = 3951,
  [3971] = 3831,
  [3972] = 3951,
  [3973] = 1782,
  [3974] = 3974,
  [3975] = 3951,
  [3976] = 1981,
  [3977] = 1980,
  [3978] = 3951,
  [3979] = 1818,
  [3980] = 1684,
  [3981] = 1992,
  [3982] = 1972,
  [3983] = 1971,
  [3984] = 1968,
  [3985] = 2006,
  [3986] = 1967,
  [3987] = 2277,
  [3988] = 1964,
  [3989] = 2009,
  [3990] = 1983,
  [3991] = 3951,
  [3992] = 2010,
  [3993] = 3951,
  [3994] = 1965,
  [3995] = 2020,
  [3996] = 1955,
  [3997] = 1963,
  [3998] = 1961,
  [3999] = 2021,
  [4000] = 2277,
  [4001] = 1956,
  [4002] = 1973,
  [4003] = 1958,
  [4004] = 1975,
  [4005] = 3951,
  [4006] = 1822,
  [4007] = 2304,
  [4008] = 3951,
  [4009] = 1800,
  [4010] = 2717,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 2695,
  [4015] = 4011,
  [4016] = 4013,
  [4017] = 4013,
  [4018] = 3831,
  [4019] = 1818,
  [4020] = 2509,
  [4021] = 2529,
  [4022] = 4022,
  [4023] = 2705,
  [4024] = 4024,
  [4025] = 2706,
  [4026] = 2710,
  [4027] = 2712,
  [4028] = 2713,
  [4029] = 2724,
  [4030] = 2716,
  [4031] = 4024,
  [4032] = 4011,
  [4033] = 4024,
  [4034] = 2697,
  [4035] = 2729,
  [4036] = 2731,
  [4037] = 2730,
  [4038] = 3817,
  [4039] = 4024,
  [4040] = 4011,
  [4041] = 1811,
  [4042] = 4024,
  [4043] = 3791,
  [4044] = 4024,
  [4045] = 4013,
  [4046] = 4013,
  [4047] = 4011,
  [4048] = 4013,
  [4049] = 1822,
  [4050] = 4011,
  [4051] = 2694,
  [4052] = 2702,
  [4053] = 1800,
  [4054] = 4054,
  [4055] = 2725,
  [4056] = 2518,
  [4057] = 4022,
  [4058] = 2720,
  [4059] = 2475,
  [4060] = 2091,
  [4061] = 2135,
  [4062] = 2780,
  [4063] = 2561,
  [4064] = 2583,
  [4065] = 3817,
  [4066] = 3345,
  [4067] = 2081,
  [4068] = 3345,
  [4069] = 2792,
  [4070] = 1680,
  [4071] = 2740,
  [4072] = 2104,
  [4073] = 3831,
  [4074] = 2792,
  [4075] = 4075,
  [4076] = 2419,
  [4077] = 4075,
  [4078] = 2740,
  [4079] = 247,
  [4080] = 4080,
  [4081] = 315,
  [4082] = 2439,
  [4083] = 4083,
  [4084] = 241,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4086,
  [4088] = 3831,
  [4089] = 4075,
  [4090] = 4090,
  [4091] = 4075,
  [4092] = 4090,
  [4093] = 4093,
  [4094] = 279,
  [4095] = 3817,
  [4096] = 4090,
  [4097] = 4086,
  [4098] = 4093,
  [4099] = 2780,
  [4100] = 4093,
  [4101] = 4075,
  [4102] = 1693,
  [4103] = 4090,
  [4104] = 4086,
  [4105] = 4083,
  [4106] = 4093,
  [4107] = 4083,
  [4108] = 2277,
  [4109] = 271,
  [4110] = 4080,
  [4111] = 4075,
  [4112] = 4080,
  [4113] = 4085,
  [4114] = 4086,
  [4115] = 4086,
  [4116] = 4085,
  [4117] = 368,
  [4118] = 4090,
  [4119] = 4119,
  [4120] = 2419,
  [4121] = 2439,
  [4122] = 4093,
  [4123] = 4093,
  [4124] = 4090,
  [4125] = 4086,
  [4126] = 4093,
  [4127] = 2304,
  [4128] = 4075,
  [4129] = 4090,
  [4130] = 2036,
  [4131] = 2706,
  [4132] = 2036,
  [4133] = 4080,
  [4134] = 1808,
  [4135] = 1809,
  [4136] = 2697,
  [4137] = 2717,
  [4138] = 3817,
  [4139] = 3831,
  [4140] = 2694,
  [4141] = 4141,
  [4142] = 2731,
  [4143] = 2018,
  [4144] = 2720,
  [4145] = 4145,
  [4146] = 2705,
  [4147] = 2695,
  [4148] = 3956,
  [4149] = 3955,
  [4150] = 2725,
  [4151] = 4085,
  [4152] = 2729,
  [4153] = 2730,
  [4154] = 1680,
  [4155] = 2702,
  [4156] = 2716,
  [4157] = 2724,
  [4158] = 2713,
  [4159] = 2712,
  [4160] = 2710,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 1748,
  [4164] = 4080,
  [4165] = 4165,
  [4166] = 4166,
  [4167] = 126,
  [4168] = 2652,
  [4169] = 1753,
  [4170] = 2702,
  [4171] = 1740,
  [4172] = 4172,
  [4173] = 4162,
  [4174] = 4174,
  [4175] = 2725,
  [4176] = 2081,
  [4177] = 4177,
  [4178] = 3831,
  [4179] = 4166,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 2697,
  [4183] = 4183,
  [4184] = 2730,
  [4185] = 2731,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 2624,
  [4190] = 2695,
  [4191] = 4191,
  [4192] = 4119,
  [4193] = 2705,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4191,
  [4197] = 4186,
  [4198] = 2706,
  [4199] = 4191,
  [4200] = 3817,
  [4201] = 2016,
  [4202] = 4191,
  [4203] = 4191,
  [4204] = 4204,
  [4205] = 2710,
  [4206] = 4191,
  [4207] = 1752,
  [4208] = 2712,
  [4209] = 1739,
  [4210] = 4161,
  [4211] = 2713,
  [4212] = 4191,
  [4213] = 4213,
  [4214] = 2724,
  [4215] = 2694,
  [4216] = 1755,
  [4217] = 4161,
  [4218] = 4191,
  [4219] = 4191,
  [4220] = 2011,
  [4221] = 4186,
  [4222] = 128,
  [4223] = 4174,
  [4224] = 4119,
  [4225] = 2716,
  [4226] = 4204,
  [4227] = 4191,
  [4228] = 2729,
  [4229] = 2104,
  [4230] = 4181,
  [4231] = 2135,
  [4232] = 4183,
  [4233] = 1742,
  [4234] = 4187,
  [4235] = 1751,
  [4236] = 1750,
  [4237] = 4191,
  [4238] = 4191,
  [4239] = 4161,
  [4240] = 4085,
  [4241] = 4191,
  [4242] = 4191,
  [4243] = 4181,
  [4244] = 4181,
  [4245] = 4187,
  [4246] = 4181,
  [4247] = 4247,
  [4248] = 4187,
  [4249] = 4183,
  [4250] = 1743,
  [4251] = 4161,
  [4252] = 4161,
  [4253] = 4191,
  [4254] = 4187,
  [4255] = 2717,
  [4256] = 4085,
  [4257] = 4181,
  [4258] = 4183,
  [4259] = 2639,
  [4260] = 4260,
  [4261] = 4183,
  [4262] = 4161,
  [4263] = 2091,
  [4264] = 4080,
  [4265] = 4191,
  [4266] = 4187,
  [4267] = 4181,
  [4268] = 3831,
  [4269] = 3817,
  [4270] = 4183,
  [4271] = 1749,
  [4272] = 1744,
  [4273] = 4191,
  [4274] = 4274,
  [4275] = 1746,
  [4276] = 1745,
  [4277] = 2720,
  [4278] = 1764,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 1747,
  [4283] = 2409,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 2702,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 2717,
  [4292] = 2717,
  [4293] = 4293,
  [4294] = 3817,
  [4295] = 3831,
  [4296] = 1684,
  [4297] = 4286,
  [4298] = 4290,
  [4299] = 4290,
  [4300] = 4080,
  [4301] = 4286,
  [4302] = 4287,
  [4303] = 4145,
  [4304] = 4304,
  [4305] = 4290,
  [4306] = 4286,
  [4307] = 4307,
  [4308] = 4085,
  [4309] = 2694,
  [4310] = 4287,
  [4311] = 2018,
  [4312] = 4312,
  [4313] = 2695,
  [4314] = 2697,
  [4315] = 2702,
  [4316] = 4316,
  [4317] = 4317,
  [4318] = 2720,
  [4319] = 4319,
  [4320] = 4280,
  [4321] = 2424,
  [4322] = 4316,
  [4323] = 4323,
  [4324] = 2725,
  [4325] = 4325,
  [4326] = 4287,
  [4327] = 2730,
  [4328] = 2729,
  [4329] = 2384,
  [4330] = 4317,
  [4331] = 2697,
  [4332] = 2716,
  [4333] = 4333,
  [4334] = 2724,
  [4335] = 2713,
  [4336] = 2712,
  [4337] = 2710,
  [4338] = 4284,
  [4339] = 3125,
  [4340] = 4289,
  [4341] = 2706,
  [4342] = 2705,
  [4343] = 2731,
  [4344] = 2705,
  [4345] = 4012,
  [4346] = 2725,
  [4347] = 2730,
  [4348] = 4293,
  [4349] = 2740,
  [4350] = 4350,
  [4351] = 1684,
  [4352] = 4352,
  [4353] = 4333,
  [4354] = 2792,
  [4355] = 2706,
  [4356] = 2710,
  [4357] = 4290,
  [4358] = 2731,
  [4359] = 4284,
  [4360] = 4360,
  [4361] = 2181,
  [4362] = 2410,
  [4363] = 2713,
  [4364] = 2724,
  [4365] = 2442,
  [4366] = 4284,
  [4367] = 4284,
  [4368] = 4287,
  [4369] = 4360,
  [4370] = 2413,
  [4371] = 4371,
  [4372] = 4290,
  [4373] = 4316,
  [4374] = 4317,
  [4375] = 2442,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4333,
  [4379] = 4379,
  [4380] = 4286,
  [4381] = 4381,
  [4382] = 4360,
  [4383] = 2716,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4284,
  [4387] = 2694,
  [4388] = 4287,
  [4389] = 4389,
  [4390] = 2729,
  [4391] = 4284,
  [4392] = 2694,
  [4393] = 4284,
  [4394] = 4394,
  [4395] = 4287,
  [4396] = 2717,
  [4397] = 2720,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 2695,
  [4401] = 2780,
  [4402] = 4284,
  [4403] = 4284,
  [4404] = 2729,
  [4405] = 2725,
  [4406] = 2695,
  [4407] = 2716,
  [4408] = 2724,
  [4409] = 3831,
  [4410] = 4410,
  [4411] = 2424,
  [4412] = 2713,
  [4413] = 2712,
  [4414] = 2697,
  [4415] = 2712,
  [4416] = 2702,
  [4417] = 4284,
  [4418] = 2730,
  [4419] = 2731,
  [4420] = 2413,
  [4421] = 4284,
  [4422] = 2384,
  [4423] = 4376,
  [4424] = 4119,
  [4425] = 4284,
  [4426] = 2720,
  [4427] = 2705,
  [4428] = 3817,
  [4429] = 2409,
  [4430] = 2706,
  [4431] = 2410,
  [4432] = 4432,
  [4433] = 2710,
  [4434] = 4085,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4437,
  [4439] = 4439,
  [4440] = 2124,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 2125,
  [4446] = 4446,
  [4447] = 4447,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4435,
  [4452] = 2109,
  [4453] = 2111,
  [4454] = 4450,
  [4455] = 4436,
  [4456] = 4456,
  [4457] = 2107,
  [4458] = 4446,
  [4459] = 4449,
  [4460] = 4443,
  [4461] = 4448,
  [4462] = 4462,
  [4463] = 4449,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4437,
  [4467] = 4443,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 4447,
  [4471] = 4442,
  [4472] = 4437,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4437,
  [4477] = 2277,
  [4478] = 4475,
  [4479] = 2304,
  [4480] = 4447,
  [4481] = 4481,
  [4482] = 4475,
  [4483] = 4483,
  [4484] = 4447,
  [4485] = 4485,
  [4486] = 4475,
  [4487] = 4474,
  [4488] = 4475,
  [4489] = 1869,
  [4490] = 4490,
  [4491] = 4469,
  [4492] = 4435,
  [4493] = 4360,
  [4494] = 4494,
  [4495] = 4448,
  [4496] = 4496,
  [4497] = 4475,
  [4498] = 2792,
  [4499] = 4499,
  [4500] = 4481,
  [4501] = 1764,
  [4502] = 4443,
  [4503] = 2080,
  [4504] = 2115,
  [4505] = 4469,
  [4506] = 4506,
  [4507] = 4475,
  [4508] = 4443,
  [4509] = 2011,
  [4510] = 2740,
  [4511] = 4481,
  [4512] = 4333,
  [4513] = 4473,
  [4514] = 2086,
  [4515] = 4481,
  [4516] = 4483,
  [4517] = 4444,
  [4518] = 4518,
  [4519] = 2016,
  [4520] = 4444,
  [4521] = 4450,
  [4522] = 4469,
  [4523] = 4481,
  [4524] = 4317,
  [4525] = 4435,
  [4526] = 4449,
  [4527] = 4483,
  [4528] = 4473,
  [4529] = 4469,
  [4530] = 4448,
  [4531] = 4448,
  [4532] = 4443,
  [4533] = 4080,
  [4534] = 4534,
  [4535] = 4475,
  [4536] = 4536,
  [4537] = 4483,
  [4538] = 4538,
  [4539] = 1809,
  [4540] = 2036,
  [4541] = 4316,
  [4542] = 4444,
  [4543] = 4444,
  [4544] = 2780,
  [4545] = 4545,
  [4546] = 4483,
  [4547] = 4547,
  [4548] = 4473,
  [4549] = 4475,
  [4550] = 1808,
  [4551] = 4469,
  [4552] = 2396,
  [4553] = 4435,
  [4554] = 4437,
  [4555] = 4473,
  [4556] = 4448,
  [4557] = 4449,
  [4558] = 4435,
  [4559] = 4469,
  [4560] = 4449,
  [4561] = 4448,
  [4562] = 4435,
  [4563] = 4443,
  [4564] = 4465,
  [4565] = 4450,
  [4566] = 4566,
  [4567] = 2499,
  [4568] = 2527,
  [4569] = 2519,
  [4570] = 4570,
  [4571] = 2505,
  [4572] = 3817,
  [4573] = 2464,
  [4574] = 2494,
  [4575] = 2524,
  [4576] = 2501,
  [4577] = 4577,
  [4578] = 2466,
  [4579] = 4085,
  [4580] = 4080,
  [4581] = 2529,
  [4582] = 2528,
  [4583] = 2481,
  [4584] = 2472,
  [4585] = 2518,
  [4586] = 2509,
  [4587] = 2511,
  [4588] = 4570,
  [4589] = 2485,
  [4590] = 4590,
  [4591] = 2510,
  [4592] = 2533,
  [4593] = 2538,
  [4594] = 4360,
  [4595] = 4595,
  [4596] = 4570,
  [4597] = 2496,
  [4598] = 2493,
  [4599] = 4595,
  [4600] = 1782,
  [4601] = 2520,
  [4602] = 4570,
  [4603] = 4317,
  [4604] = 4570,
  [4605] = 2439,
  [4606] = 4333,
  [4607] = 4607,
  [4608] = 4316,
  [4609] = 2475,
  [4610] = 2525,
  [4611] = 2497,
  [4612] = 2532,
  [4613] = 4317,
  [4614] = 2419,
  [4615] = 3831,
  [4616] = 2486,
  [4617] = 2451,
  [4618] = 2463,
  [4619] = 2540,
  [4620] = 2018,
  [4621] = 4621,
  [4622] = 4570,
  [4623] = 2498,
  [4624] = 2508,
  [4625] = 2530,
  [4626] = 4333,
  [4627] = 2469,
  [4628] = 4316,
  [4629] = 4570,
  [4630] = 2539,
  [4631] = 4360,
  [4632] = 2495,
  [4633] = 2526,
  [4634] = 2277,
  [4635] = 4360,
  [4636] = 2415,
  [4637] = 2124,
  [4638] = 2109,
  [4639] = 4639,
  [4640] = 1853,
  [4641] = 2014,
  [4642] = 4595,
  [4643] = 2080,
  [4644] = 4085,
  [4645] = 2115,
  [4646] = 1726,
  [4647] = 2304,
  [4648] = 2086,
  [4649] = 4333,
  [4650] = 1677,
  [4651] = 2125,
  [4652] = 2111,
  [4653] = 2036,
  [4654] = 2420,
  [4655] = 2002,
  [4656] = 1885,
  [4657] = 1782,
  [4658] = 4595,
  [4659] = 1681,
  [4660] = 1682,
  [4661] = 1857,
  [4662] = 1683,
  [4663] = 4316,
  [4664] = 2425,
  [4665] = 4317,
  [4666] = 1678,
  [4667] = 1869,
  [4668] = 4080,
  [4669] = 1858,
  [4670] = 1679,
  [4671] = 1676,
  [4672] = 2018,
  [4673] = 4333,
  [4674] = 1809,
  [4675] = 4595,
  [4676] = 4317,
  [4677] = 4316,
  [4678] = 4595,
  [4679] = 4590,
  [4680] = 4360,
  [4681] = 1782,
  [4682] = 4577,
  [4683] = 1808,
  [4684] = 1869,
  [4685] = 1996,
  [4686] = 2107,
  [4687] = 4607,
  [4688] = 1809,
  [4689] = 4080,
  [4690] = 4595,
  [4691] = 2005,
  [4692] = 4595,
  [4693] = 4595,
  [4694] = 2277,
  [4695] = 4085,
  [4696] = 4595,
  [4697] = 4595,
  [4698] = 1974,
  [4699] = 4595,
  [4700] = 4700,
  [4701] = 2304,
  [4702] = 1808,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4595,
  [4707] = 4085,
  [4708] = 4316,
  [4709] = 4317,
  [4710] = 4333,
  [4711] = 2036,
  [4712] = 4360,
  [4713] = 2055,
  [4714] = 2066,
  [4715] = 1905,
  [4716] = 4703,
  [4717] = 4704,
  [4718] = 4718,
  [4719] = 4718,
  [4720] = 4703,
  [4721] = 4703,
  [4722] = 4718,
  [4723] = 4704,
  [4724] = 2072,
  [4725] = 2069,
  [4726] = 4704,
  [4727] = 4704,
  [4728] = 4728,
  [4729] = 4595,
  [4730] = 4728,
  [4731] = 1808,
  [4732] = 4704,
  [4733] = 4718,
  [4734] = 2051,
  [4735] = 4703,
  [4736] = 2040,
  [4737] = 2033,
  [4738] = 2052,
  [4739] = 4703,
  [4740] = 4703,
  [4741] = 4741,
  [4742] = 1809,
  [4743] = 2064,
  [4744] = 4080,
  [4745] = 4718,
  [4746] = 4718,
  [4747] = 2039,
  [4748] = 4595,
  [4749] = 2002,
  [4750] = 4085,
  [4751] = 4595,
  [4752] = 2057,
  [4753] = 4080,
  [4754] = 4741,
  [4755] = 2037,
  [4756] = 4704,
  [4757] = 4718,
  [4758] = 1991,
  [4759] = 1967,
  [4760] = 4741,
  [4761] = 4761,
  [4762] = 4316,
  [4763] = 1992,
  [4764] = 4764,
  [4765] = 1956,
  [4766] = 1983,
  [4767] = 4764,
  [4768] = 4333,
  [4769] = 1965,
  [4770] = 4317,
  [4771] = 4771,
  [4772] = 4764,
  [4773] = 1963,
  [4774] = 1961,
  [4775] = 1960,
  [4776] = 4771,
  [4777] = 1977,
  [4778] = 4771,
  [4779] = 4771,
  [4780] = 1958,
  [4781] = 1959,
  [4782] = 4771,
  [4783] = 2022,
  [4784] = 1973,
  [4785] = 1975,
  [4786] = 4764,
  [4787] = 1976,
  [4788] = 4771,
  [4789] = 2036,
  [4790] = 4728,
  [4791] = 4764,
  [4792] = 1964,
  [4793] = 2001,
  [4794] = 2021,
  [4795] = 2005,
  [4796] = 1988,
  [4797] = 4764,
  [4798] = 1968,
  [4799] = 2020,
  [4800] = 4728,
  [4801] = 4771,
  [4802] = 2010,
  [4803] = 4764,
  [4804] = 1971,
  [4805] = 2009,
  [4806] = 1972,
  [4807] = 2006,
  [4808] = 4771,
  [4809] = 4764,
  [4810] = 1980,
  [4811] = 4741,
  [4812] = 1981,
  [4813] = 4360,
  [4814] = 4764,
  [4815] = 1982,
  [4816] = 1962,
  [4817] = 2025,
  [4818] = 1955,
  [4819] = 1996,
  [4820] = 4595,
  [4821] = 1979,
  [4822] = 4595,
  [4823] = 2008,
  [4824] = 2013,
  [4825] = 1997,
  [4826] = 4771,
  [4827] = 2277,
  [4828] = 2304,
  [4829] = 4317,
  [4830] = 4728,
  [4831] = 2039,
  [4832] = 4741,
  [4833] = 4741,
  [4834] = 4741,
  [4835] = 2064,
  [4836] = 4728,
  [4837] = 4360,
  [4838] = 4316,
  [4839] = 4728,
  [4840] = 4333,
  [4841] = 4728,
  [4842] = 4842,
  [4843] = 2037,
  [4844] = 2304,
  [4845] = 4333,
  [4846] = 2057,
  [4847] = 2066,
  [4848] = 2304,
  [4849] = 2055,
  [4850] = 2072,
  [4851] = 2277,
  [4852] = 4842,
  [4853] = 2069,
  [4854] = 4741,
  [4855] = 2040,
  [4856] = 2277,
  [4857] = 4728,
  [4858] = 4741,
  [4859] = 4728,
  [4860] = 2051,
  [4861] = 2033,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4741,
  [4865] = 2052,
  [4866] = 4316,
  [4867] = 4728,
  [4868] = 4080,
  [4869] = 4741,
  [4870] = 2018,
  [4871] = 4862,
  [4872] = 4085,
  [4873] = 4728,
  [4874] = 4863,
  [4875] = 4741,
  [4876] = 4876,
  [4877] = 4728,
  [4878] = 4876,
  [4879] = 4876,
  [4880] = 4333,
  [4881] = 4881,
  [4882] = 4741,
  [4883] = 1977,
  [4884] = 2025,
  [4885] = 4876,
  [4886] = 4886,
  [4887] = 4886,
  [4888] = 4881,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4876,
  [4892] = 4886,
  [4893] = 4881,
  [4894] = 4890,
  [4895] = 4876,
  [4896] = 4896,
  [4897] = 4890,
  [4898] = 4898,
  [4899] = 4316,
  [4900] = 4595,
  [4901] = 4876,
  [4902] = 1960,
  [4903] = 4876,
  [4904] = 4876,
  [4905] = 1959,
  [4906] = 4876,
  [4907] = 4741,
  [4908] = 4886,
  [4909] = 4881,
  [4910] = 1976,
  [4911] = 4886,
  [4912] = 4881,
  [4913] = 4881,
  [4914] = 4876,
  [4915] = 4595,
  [4916] = 1869,
  [4917] = 4917,
  [4918] = 4886,
  [4919] = 4890,
  [4920] = 4741,
  [4921] = 4741,
  [4922] = 4881,
  [4923] = 4876,
  [4924] = 4728,
  [4925] = 4360,
  [4926] = 4876,
  [4927] = 1842,
  [4928] = 4876,
  [4929] = 4886,
  [4930] = 4886,
  [4931] = 4881,
  [4932] = 4595,
  [4933] = 4876,
  [4934] = 4934,
  [4935] = 4317,
  [4936] = 4317,
  [4937] = 4728,
  [4938] = 1905,
  [4939] = 1982,
  [4940] = 4876,
  [4941] = 4595,
  [4942] = 4890,
  [4943] = 4876,
  [4944] = 4333,
  [4945] = 4316,
  [4946] = 4881,
  [4947] = 4876,
  [4948] = 4728,
  [4949] = 4876,
  [4950] = 4360,
  [4951] = 2641,
  [4952] = 1869,
  [4953] = 4886,
  [4954] = 1834,
  [4955] = 1956,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 1996,
  [4960] = 2022,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4956,
  [4964] = 2021,
  [4965] = 2020,
  [4966] = 4958,
  [4967] = 2010,
  [4968] = 2009,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 2006,
  [4975] = 4972,
  [4976] = 1988,
  [4977] = 2005,
  [4978] = 4957,
  [4979] = 1991,
  [4980] = 1955,
  [4981] = 4961,
  [4982] = 4958,
  [4983] = 4962,
  [4984] = 4956,
  [4985] = 4969,
  [4986] = 4970,
  [4987] = 4971,
  [4988] = 1992,
  [4989] = 4972,
  [4990] = 1965,
  [4991] = 2001,
  [4992] = 1963,
  [4993] = 4993,
  [4994] = 4956,
  [4995] = 4962,
  [4996] = 4957,
  [4997] = 4961,
  [4998] = 4998,
  [4999] = 4961,
  [5000] = 4962,
  [5001] = 5001,
  [5002] = 4956,
  [5003] = 1961,
  [5004] = 1958,
  [5005] = 1973,
  [5006] = 4961,
  [5007] = 4962,
  [5008] = 4958,
  [5009] = 4956,
  [5010] = 1975,
  [5011] = 4961,
  [5012] = 4962,
  [5013] = 4956,
  [5014] = 2014,
  [5015] = 4961,
  [5016] = 4969,
  [5017] = 4962,
  [5018] = 4956,
  [5019] = 1983,
  [5020] = 4961,
  [5021] = 4962,
  [5022] = 4956,
  [5023] = 4961,
  [5024] = 4962,
  [5025] = 4956,
  [5026] = 4969,
  [5027] = 4961,
  [5028] = 4962,
  [5029] = 4956,
  [5030] = 4969,
  [5031] = 4970,
  [5032] = 4971,
  [5033] = 4970,
  [5034] = 4962,
  [5035] = 4961,
  [5036] = 4962,
  [5037] = 4956,
  [5038] = 4961,
  [5039] = 4962,
  [5040] = 4956,
  [5041] = 4961,
  [5042] = 4971,
  [5043] = 4972,
  [5044] = 4962,
  [5045] = 4956,
  [5046] = 4961,
  [5047] = 4962,
  [5048] = 4956,
  [5049] = 4961,
  [5050] = 4962,
  [5051] = 4956,
  [5052] = 4961,
  [5053] = 4961,
  [5054] = 4962,
  [5055] = 4957,
  [5056] = 4956,
  [5057] = 4998,
  [5058] = 4958,
  [5059] = 4961,
  [5060] = 4962,
  [5061] = 4956,
  [5062] = 1964,
  [5063] = 4998,
  [5064] = 4957,
  [5065] = 4957,
  [5066] = 4970,
  [5067] = 4971,
  [5068] = 1967,
  [5069] = 1968,
  [5070] = 4972,
  [5071] = 1971,
  [5072] = 1972,
  [5073] = 4957,
  [5074] = 4958,
  [5075] = 4971,
  [5076] = 4970,
  [5077] = 4969,
  [5078] = 1962,
  [5079] = 1980,
  [5080] = 1981,
  [5081] = 1997,
  [5082] = 2070,
  [5083] = 2013,
  [5084] = 1979,
  [5085] = 4969,
  [5086] = 3791,
  [5087] = 4728,
  [5088] = 2036,
  [5089] = 4741,
  [5090] = 4998,
  [5091] = 4972,
  [5092] = 2304,
  [5093] = 2277,
  [5094] = 2008,
  [5095] = 4972,
  [5096] = 4970,
  [5097] = 4728,
  [5098] = 4741,
  [5099] = 4971,
  [5100] = 2080,
  [5101] = 5101,
  [5102] = 4316,
  [5103] = 2086,
  [5104] = 5104,
  [5105] = 5101,
  [5106] = 5104,
  [5107] = 5101,
  [5108] = 4317,
  [5109] = 5101,
  [5110] = 2109,
  [5111] = 5111,
  [5112] = 4333,
  [5113] = 5101,
  [5114] = 5101,
  [5115] = 5101,
  [5116] = 2111,
  [5117] = 5117,
  [5118] = 5101,
  [5119] = 5117,
  [5120] = 2102,
  [5121] = 5101,
  [5122] = 5101,
  [5123] = 2641,
  [5124] = 5111,
  [5125] = 5101,
  [5126] = 5126,
  [5127] = 2011,
  [5128] = 5101,
  [5129] = 5101,
  [5130] = 2115,
  [5131] = 2125,
  [5132] = 5101,
  [5133] = 2124,
  [5134] = 2016,
  [5135] = 4360,
  [5136] = 5101,
  [5137] = 5101,
  [5138] = 5101,
  [5139] = 5139,
  [5140] = 5101,
  [5141] = 2072,
  [5142] = 5117,
  [5143] = 2052,
  [5144] = 2055,
  [5145] = 5111,
  [5146] = 2033,
  [5147] = 2037,
  [5148] = 4741,
  [5149] = 2064,
  [5150] = 2066,
  [5151] = 4728,
  [5152] = 4741,
  [5153] = 2057,
  [5154] = 4728,
  [5155] = 2039,
  [5156] = 4728,
  [5157] = 5111,
  [5158] = 2069,
  [5159] = 4741,
  [5160] = 4728,
  [5161] = 2051,
  [5162] = 4741,
  [5163] = 2040,
  [5164] = 5104,
  [5165] = 5117,
  [5166] = 5104,
  [5167] = 5117,
  [5168] = 3955,
  [5169] = 5111,
  [5170] = 5111,
  [5171] = 5104,
  [5172] = 5104,
  [5173] = 5104,
  [5174] = 5104,
  [5175] = 5104,
  [5176] = 5117,
  [5177] = 5117,
  [5178] = 5104,
  [5179] = 5111,
  [5180] = 5117,
  [5181] = 5181,
  [5182] = 3956,
  [5183] = 5117,
  [5184] = 5117,
  [5185] = 5104,
  [5186] = 5111,
  [5187] = 5111,
  [5188] = 5111,
  [5189] = 5111,
  [5190] = 5104,
  [5191] = 5117,
  [5192] = 5111,
  [5193] = 5181,
  [5194] = 5117,
  [5195] = 2107,
  [5196] = 5181,
  [5197] = 5181,
  [5198] = 5111,
  [5199] = 5199,
  [5200] = 5199,
  [5201] = 5117,
  [5202] = 5117,
  [5203] = 5199,
  [5204] = 5104,
  [5205] = 5117,
  [5206] = 3374,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5199,
  [5210] = 5199,
  [5211] = 5111,
  [5212] = 5111,
  [5213] = 5104,
  [5214] = 5104,
  [5215] = 5199,
  [5216] = 5111,
  [5217] = 5117,
  [5218] = 5104,
  [5219] = 5199,
  [5220] = 5111,
  [5221] = 5117,
  [5222] = 5104,
  [5223] = 5117,
  [5224] = 5224,
  [5225] = 5111,
  [5226] = 5104,
  [5227] = 5224,
  [5228] = 5228,
  [5229] = 3352,
  [5230] = 5224,
  [5231] = 5224,
  [5232] = 5232,
  [5233] = 5232,
  [5234] = 5232,
  [5235] = 1869,
  [5236] = 5236,
  [5237] = 5104,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5238,
  [5241] = 5104,
  [5242] = 5117,
  [5243] = 5238,
  [5244] = 5239,
  [5245] = 5238,
  [5246] = 5239,
  [5247] = 5117,
  [5248] = 5238,
  [5249] = 5111,
  [5250] = 5111,
  [5251] = 5251,
  [5252] = 5104,
  [5253] = 5253,
  [5254] = 5236,
  [5255] = 5255,
  [5256] = 5255,
  [5257] = 5239,
  [5258] = 5236,
  [5259] = 5238,
  [5260] = 5238,
  [5261] = 5224,
  [5262] = 5111,
  [5263] = 5239,
  [5264] = 5236,
  [5265] = 5238,
  [5266] = 5224,
  [5267] = 5236,
  [5268] = 5236,
  [5269] = 5239,
  [5270] = 5238,
  [5271] = 5239,
  [5272] = 5239,
  [5273] = 5239,
  [5274] = 5255,
  [5275] = 5238,
  [5276] = 5238,
  [5277] = 5239,
  [5278] = 5239,
  [5279] = 5238,
  [5280] = 5280,
  [5281] = 5236,
  [5282] = 5239,
  [5283] = 5117,
  [5284] = 5239,
  [5285] = 5238,
  [5286] = 5104,
  [5287] = 5111,
  [5288] = 5117,
  [5289] = 5238,
  [5290] = 5239,
  [5291] = 5236,
  [5292] = 5239,
  [5293] = 5238,
  [5294] = 5238,
  [5295] = 5236,
  [5296] = 5239,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5298,
  [5301] = 5298,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5299,
  [5305] = 5297,
  [5306] = 5306,
  [5307] = 5302,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5308,
  [5311] = 5306,
  [5312] = 5308,
  [5313] = 5297,
  [5314] = 5306,
  [5315] = 5299,
  [5316] = 5298,
  [5317] = 5299,
  [5318] = 5306,
  [5319] = 5297,
  [5320] = 5308,
  [5321] = 5306,
  [5322] = 5297,
  [5323] = 5302,
  [5324] = 5298,
  [5325] = 5299,
  [5326] = 5297,
  [5327] = 5298,
  [5328] = 5297,
  [5329] = 5306,
  [5330] = 5308,
  [5331] = 5308,
  [5332] = 5306,
  [5333] = 5297,
  [5334] = 5299,
  [5335] = 5298,
  [5336] = 5280,
  [5337] = 5308,
  [5338] = 5297,
  [5339] = 5306,
  [5340] = 5297,
  [5341] = 5299,
  [5342] = 5298,
  [5343] = 5299,
  [5344] = 5308,
  [5345] = 5298,
  [5346] = 5299,
  [5347] = 5308,
  [5348] = 5308,
  [5349] = 5306,
  [5350] = 5299,
  [5351] = 5298,
  [5352] = 5299,
  [5353] = 5308,
  [5354] = 5309,
  [5355] = 5355,
  [5356] = 5306,
  [5357] = 2002,
  [5358] = 5308,
  [5359] = 5298,
  [5360] = 5298,
  [5361] = 5299,
  [5362] = 5299,
  [5363] = 5306,
  [5364] = 5297,
  [5365] = 5308,
  [5366] = 5309,
  [5367] = 5298,
  [5368] = 5308,
  [5369] = 5298,
  [5370] = 5297,
  [5371] = 5306,
  [5372] = 5297,
  [5373] = 5297,
  [5374] = 5298,
  [5375] = 5306,
  [5376] = 5297,
  [5377] = 5306,
  [5378] = 5306,
  [5379] = 5308,
  [5380] = 5306,
  [5381] = 5298,
  [5382] = 5297,
  [5383] = 5297,
  [5384] = 5299,
  [5385] = 5308,
  [5386] = 5298,
  [5387] = 5299,
  [5388] = 5299,
  [5389] = 5298,
  [5390] = 5299,
  [5391] = 5308,
  [5392] = 5308,
  [5393] = 5306,
  [5394] = 5297,
  [5395] = 5299,
  [5396] = 5224,
  [5397] = 5306,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5400,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5398,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5410,
  [5413] = 5413,
  [5414] = 5224,
  [5415] = 5407,
  [5416] = 5407,
  [5417] = 5398,
  [5418] = 5418,
  [5419] = 5413,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5409,
  [5424] = 5424,
  [5425] = 5406,
  [5426] = 5398,
  [5427] = 5427,
  [5428] = 5413,
  [5429] = 5409,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5407,
  [5437] = 5407,
  [5438] = 5438,
  [5439] = 5398,
  [5440] = 5413,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5409,
  [5444] = 5398,
  [5445] = 5400,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 5413,
  [5450] = 5450,
  [5451] = 5409,
  [5452] = 5409,
  [5453] = 2780,
  [5454] = 5420,
  [5455] = 5409,
  [5456] = 5398,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5413,
  [5460] = 5413,
  [5461] = 5442,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5413,
  [5465] = 5465,
  [5466] = 5406,
  [5467] = 5467,
  [5468] = 5468,
  [5469] = 5407,
  [5470] = 5407,
  [5471] = 5251,
  [5472] = 5472,
  [5473] = 5435,
  [5474] = 5399,
  [5475] = 5475,
  [5476] = 5406,
  [5477] = 5413,
  [5478] = 5407,
  [5479] = 5479,
  [5480] = 5253,
  [5481] = 5407,
  [5482] = 5442,
  [5483] = 5434,
  [5484] = 5447,
  [5485] = 5448,
  [5486] = 5450,
  [5487] = 5413,
  [5488] = 5488,
  [5489] = 5413,
  [5490] = 5409,
  [5491] = 5472,
  [5492] = 5409,
  [5493] = 5413,
  [5494] = 5458,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5468,
  [5499] = 5462,
  [5500] = 5413,
  [5501] = 1744,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5503,
  [5505] = 2419,
  [5506] = 5503,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5508,
  [5513] = 5479,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 2439,
  [5519] = 5511,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5408,
  [5523] = 5465,
  [5524] = 2780,
  [5525] = 5402,
  [5526] = 5463,
  [5527] = 5509,
  [5528] = 5517,
  [5529] = 5507,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5517,
  [5534] = 1755,
  [5535] = 1752,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 1747,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 1739,
  [5542] = 5531,
  [5543] = 5539,
  [5544] = 5418,
  [5545] = 1745,
  [5546] = 5546,
  [5547] = 5531,
  [5548] = 5539,
  [5549] = 5540,
  [5550] = 5550,
  [5551] = 5550,
  [5552] = 5503,
  [5553] = 5509,
  [5554] = 5508,
  [5555] = 5539,
  [5556] = 5507,
  [5557] = 5515,
  [5558] = 5404,
  [5559] = 5503,
  [5560] = 5560,
  [5561] = 5521,
  [5562] = 5515,
  [5563] = 5431,
  [5564] = 5433,
  [5565] = 5517,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5438,
  [5569] = 5569,
  [5570] = 5532,
  [5571] = 5496,
  [5572] = 5488,
  [5573] = 5516,
  [5574] = 5516,
  [5575] = 5575,
  [5576] = 5532,
  [5577] = 5467,
  [5578] = 5578,
  [5579] = 1746,
  [5580] = 5421,
  [5581] = 5581,
  [5582] = 5503,
  [5583] = 1751,
  [5584] = 5540,
  [5585] = 5507,
  [5586] = 5521,
  [5587] = 1748,
  [5588] = 5532,
  [5589] = 5550,
  [5590] = 5422,
  [5591] = 5427,
  [5592] = 5475,
  [5593] = 1753,
  [5594] = 1740,
  [5595] = 5595,
  [5596] = 5550,
  [5597] = 5550,
  [5598] = 5539,
  [5599] = 5515,
  [5600] = 5430,
  [5601] = 5578,
  [5602] = 5532,
  [5603] = 5539,
  [5604] = 5508,
  [5605] = 5521,
  [5606] = 5606,
  [5607] = 5578,
  [5608] = 5509,
  [5609] = 5516,
  [5610] = 5515,
  [5611] = 5578,
  [5612] = 5507,
  [5613] = 1742,
  [5614] = 126,
  [5615] = 5224,
  [5616] = 5515,
  [5617] = 2439,
  [5618] = 1743,
  [5619] = 1750,
  [5620] = 1749,
  [5621] = 5550,
  [5622] = 128,
  [5623] = 5623,
  [5624] = 5531,
  [5625] = 5503,
  [5626] = 5532,
  [5627] = 5627,
  [5628] = 5507,
  [5629] = 2419,
  [5630] = 5630,
  [5631] = 5507,
  [5632] = 5514,
  [5633] = 5627,
  [5634] = 5532,
  [5635] = 5635,
  [5636] = 5532,
  [5637] = 2102,
  [5638] = 5507,
  [5639] = 5550,
  [5640] = 5530,
  [5641] = 5515,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5515,
  [5645] = 5645,
  [5646] = 5550,
  [5647] = 5224,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5649,
  [5654] = 5654,
  [5655] = 1741,
  [5656] = 5656,
  [5657] = 5649,
  [5658] = 5507,
  [5659] = 5656,
  [5660] = 5656,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5649,
  [5664] = 5649,
  [5665] = 5652,
  [5666] = 1756,
  [5667] = 5667,
  [5668] = 5656,
  [5669] = 5652,
  [5670] = 5656,
  [5671] = 5507,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5652,
  [5675] = 5532,
  [5676] = 5507,
  [5677] = 5649,
  [5678] = 5532,
  [5679] = 5550,
  [5680] = 1754,
  [5681] = 5656,
  [5682] = 5515,
  [5683] = 5683,
  [5684] = 5515,
  [5685] = 5656,
  [5686] = 5550,
  [5687] = 5649,
  [5688] = 5515,
  [5689] = 5507,
  [5690] = 5690,
  [5691] = 5532,
  [5692] = 1808,
  [5693] = 5693,
  [5694] = 5550,
  [5695] = 5695,
  [5696] = 5224,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5532,
  [5703] = 5515,
  [5704] = 5652,
  [5705] = 5656,
  [5706] = 5649,
  [5707] = 1809,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5224,
  [5711] = 5550,
  [5712] = 5649,
  [5713] = 5708,
  [5714] = 5714,
  [5715] = 5656,
  [5716] = 5716,
  [5717] = 5656,
  [5718] = 5649,
  [5719] = 5719,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5516,
  [5725] = 5520,
  [5726] = 5578,
  [5727] = 5727,
  [5728] = 5532,
  [5729] = 5532,
  [5730] = 2439,
  [5731] = 1746,
  [5732] = 5521,
  [5733] = 915,
  [5734] = 5727,
  [5735] = 1749,
  [5736] = 1744,
  [5737] = 1743,
  [5738] = 5516,
  [5739] = 5515,
  [5740] = 5727,
  [5741] = 2419,
  [5742] = 5224,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 1752,
  [5746] = 5746,
  [5747] = 5727,
  [5748] = 1755,
  [5749] = 5727,
  [5750] = 5727,
  [5751] = 5727,
  [5752] = 1745,
  [5753] = 5509,
  [5754] = 5550,
  [5755] = 1739,
  [5756] = 5578,
  [5757] = 5757,
  [5758] = 5727,
  [5759] = 1748,
  [5760] = 5727,
  [5761] = 5727,
  [5762] = 5521,
  [5763] = 5727,
  [5764] = 5727,
  [5765] = 1742,
  [5766] = 5507,
  [5767] = 5508,
  [5768] = 1750,
  [5769] = 5507,
  [5770] = 5595,
  [5771] = 2402,
  [5772] = 1740,
  [5773] = 5509,
  [5774] = 5550,
  [5775] = 5515,
  [5776] = 5727,
  [5777] = 1751,
  [5778] = 5727,
  [5779] = 126,
  [5780] = 5727,
  [5781] = 1753,
  [5782] = 5727,
  [5783] = 5727,
  [5784] = 1747,
  [5785] = 5224,
  [5786] = 918,
  [5787] = 128,
  [5788] = 5508,
  [5789] = 5727,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 2482,
  [5794] = 5790,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5507,
  [5798] = 5795,
  [5799] = 5790,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5515,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5804,
  [5807] = 5795,
  [5808] = 5795,
  [5809] = 5791,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 2074,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5804,
  [5817] = 5795,
  [5818] = 5818,
  [5819] = 5532,
  [5820] = 5804,
  [5821] = 5821,
  [5822] = 5804,
  [5823] = 5790,
  [5824] = 2031,
  [5825] = 5825,
  [5826] = 5550,
  [5827] = 5827,
  [5828] = 5804,
  [5829] = 5800,
  [5830] = 2102,
  [5831] = 5790,
  [5832] = 5790,
  [5833] = 5795,
  [5834] = 2522,
  [5835] = 5507,
  [5836] = 5515,
  [5837] = 2434,
  [5838] = 5790,
  [5839] = 5550,
  [5840] = 5804,
  [5841] = 5804,
  [5842] = 2058,
  [5843] = 2060,
  [5844] = 2056,
  [5845] = 5801,
  [5846] = 5800,
  [5847] = 5800,
  [5848] = 5805,
  [5849] = 5801,
  [5850] = 5805,
  [5851] = 5851,
  [5852] = 5818,
  [5853] = 5791,
  [5854] = 5532,
  [5855] = 5818,
  [5856] = 5804,
  [5857] = 5795,
  [5858] = 5804,
  [5859] = 5814,
  [5860] = 5810,
  [5861] = 5811,
  [5862] = 5813,
  [5863] = 5811,
  [5864] = 5810,
  [5865] = 5813,
  [5866] = 5814,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5521,
  [5870] = 1770,
  [5871] = 1684,
  [5872] = 5578,
  [5873] = 5578,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5690,
  [5877] = 5814,
  [5878] = 5813,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5709,
  [5882] = 5509,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5723,
  [5886] = 5811,
  [5887] = 5810,
  [5888] = 5888,
  [5889] = 5868,
  [5890] = 5693,
  [5891] = 5650,
  [5892] = 5892,
  [5893] = 5509,
  [5894] = 5508,
  [5895] = 5868,
  [5896] = 1766,
  [5897] = 5716,
  [5898] = 5719,
  [5899] = 5899,
  [5900] = 5672,
  [5901] = 5868,
  [5902] = 5507,
  [5903] = 5509,
  [5904] = 5888,
  [5905] = 5905,
  [5906] = 5875,
  [5907] = 5879,
  [5908] = 5888,
  [5909] = 5516,
  [5910] = 5868,
  [5911] = 5888,
  [5912] = 5888,
  [5913] = 5884,
  [5914] = 5791,
  [5915] = 5875,
  [5916] = 5224,
  [5917] = 5875,
  [5918] = 5509,
  [5919] = 5805,
  [5920] = 5532,
  [5921] = 5883,
  [5922] = 5922,
  [5923] = 5801,
  [5924] = 5516,
  [5925] = 5899,
  [5926] = 5550,
  [5927] = 5515,
  [5928] = 5899,
  [5929] = 5578,
  [5930] = 5930,
  [5931] = 5578,
  [5932] = 5721,
  [5933] = 1765,
  [5934] = 5654,
  [5935] = 5521,
  [5936] = 5888,
  [5937] = 5868,
  [5938] = 5521,
  [5939] = 5818,
  [5940] = 5516,
  [5941] = 5888,
  [5942] = 5875,
  [5943] = 5943,
  [5944] = 5899,
  [5945] = 5888,
  [5946] = 5673,
  [5947] = 5930,
  [5948] = 5515,
  [5949] = 2419,
  [5950] = 5950,
  [5951] = 5701,
  [5952] = 5720,
  [5953] = 5550,
  [5954] = 2110,
  [5955] = 5955,
  [5956] = 5888,
  [5957] = 2439,
  [5958] = 5516,
  [5959] = 5683,
  [5960] = 5532,
  [5961] = 5899,
  [5962] = 2439,
  [5963] = 5698,
  [5964] = 5888,
  [5965] = 5508,
  [5966] = 5667,
  [5967] = 5507,
  [5968] = 5508,
  [5969] = 5969,
  [5970] = 5888,
  [5971] = 5950,
  [5972] = 5888,
  [5973] = 5521,
  [5974] = 5888,
  [5975] = 5899,
  [5976] = 5888,
  [5977] = 5888,
  [5978] = 1769,
  [5979] = 5651,
  [5980] = 5699,
  [5981] = 5868,
  [5982] = 5888,
  [5983] = 5899,
  [5984] = 5984,
  [5985] = 5697,
  [5986] = 5875,
  [5987] = 5662,
  [5988] = 5888,
  [5989] = 5888,
  [5990] = 5700,
  [5991] = 2419,
  [5992] = 5875,
  [5993] = 5888,
  [5994] = 5508,
  [5995] = 5995,
  [5996] = 5515,
  [5997] = 5997,
  [5998] = 2462,
  [5999] = 2460,
  [6000] = 6000,
  [6001] = 5995,
  [6002] = 5997,
  [6003] = 5801,
  [6004] = 2458,
  [6005] = 2457,
  [6006] = 2456,
  [6007] = 5791,
  [6008] = 2454,
  [6009] = 5801,
  [6010] = 5805,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 5791,
  [6014] = 5997,
  [6015] = 5810,
  [6016] = 5811,
  [6017] = 5813,
  [6018] = 5814,
  [6019] = 5818,
  [6020] = 5818,
  [6021] = 5997,
  [6022] = 6022,
  [6023] = 5805,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 5997,
  [6027] = 6012,
  [6028] = 2074,
  [6029] = 2058,
  [6030] = 2060,
  [6031] = 5997,
  [6032] = 2031,
  [6033] = 6033,
  [6034] = 2056,
  [6035] = 2483,
  [6036] = 6025,
  [6037] = 6012,
  [6038] = 6038,
  [6039] = 5811,
  [6040] = 6040,
  [6041] = 5995,
  [6042] = 2144,
  [6043] = 5997,
  [6044] = 5995,
  [6045] = 5810,
  [6046] = 2112,
  [6047] = 6025,
  [6048] = 6024,
  [6049] = 6000,
  [6050] = 6000,
  [6051] = 2159,
  [6052] = 2079,
  [6053] = 6053,
  [6054] = 2158,
  [6055] = 2157,
  [6056] = 6056,
  [6057] = 2097,
  [6058] = 5995,
  [6059] = 6025,
  [6060] = 6060,
  [6061] = 6012,
  [6062] = 2099,
  [6063] = 5515,
  [6064] = 5997,
  [6065] = 5995,
  [6066] = 2512,
  [6067] = 6067,
  [6068] = 6000,
  [6069] = 6069,
  [6070] = 6025,
  [6071] = 5997,
  [6072] = 6024,
  [6073] = 6000,
  [6074] = 5995,
  [6075] = 6025,
  [6076] = 5995,
  [6077] = 6033,
  [6078] = 6024,
  [6079] = 2134,
  [6080] = 2133,
  [6081] = 5995,
  [6082] = 5550,
  [6083] = 5532,
  [6084] = 2098,
  [6085] = 5507,
  [6086] = 5813,
  [6087] = 6087,
  [6088] = 5814,
  [6089] = 5997,
  [6090] = 5995,
  [6091] = 5550,
  [6092] = 6092,
  [6093] = 6025,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 5532,
  [6097] = 5507,
  [6098] = 5509,
  [6099] = 5516,
  [6100] = 6100,
  [6101] = 6100,
  [6102] = 2058,
  [6103] = 6103,
  [6104] = 5508,
  [6105] = 2060,
  [6106] = 6100,
  [6107] = 6107,
  [6108] = 5521,
  [6109] = 5801,
  [6110] = 6100,
  [6111] = 5805,
  [6112] = 6100,
  [6113] = 2074,
  [6114] = 5578,
  [6115] = 5884,
  [6116] = 6100,
  [6117] = 5515,
  [6118] = 6100,
  [6119] = 5516,
  [6120] = 5930,
  [6121] = 5507,
  [6122] = 5810,
  [6123] = 6100,
  [6124] = 5811,
  [6125] = 5813,
  [6126] = 5814,
  [6127] = 5532,
  [6128] = 5550,
  [6129] = 5509,
  [6130] = 5550,
  [6131] = 5532,
  [6132] = 6100,
  [6133] = 6100,
  [6134] = 6100,
  [6135] = 6100,
  [6136] = 5950,
  [6137] = 5578,
  [6138] = 2031,
  [6139] = 5515,
  [6140] = 2110,
  [6141] = 5507,
  [6142] = 6100,
  [6143] = 2056,
  [6144] = 5508,
  [6145] = 5521,
  [6146] = 5955,
  [6147] = 5818,
  [6148] = 2419,
  [6149] = 5879,
  [6150] = 5883,
  [6151] = 6100,
  [6152] = 6100,
  [6153] = 6100,
  [6154] = 3845,
  [6155] = 2439,
  [6156] = 5791,
  [6157] = 6100,
  [6158] = 6100,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 6100,
  [6162] = 2110,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 6169,
  [6170] = 6170,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 5883,
  [6175] = 5791,
  [6176] = 5801,
  [6177] = 6163,
  [6178] = 5930,
  [6179] = 6163,
  [6180] = 6180,
  [6181] = 6166,
  [6182] = 6182,
  [6183] = 6166,
  [6184] = 6170,
  [6185] = 2439,
  [6186] = 6186,
  [6187] = 5508,
  [6188] = 5818,
  [6189] = 5521,
  [6190] = 6172,
  [6191] = 6191,
  [6192] = 5805,
  [6193] = 5813,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 5810,
  [6197] = 6172,
  [6198] = 5811,
  [6199] = 6199,
  [6200] = 5578,
  [6201] = 6166,
  [6202] = 6202,
  [6203] = 5813,
  [6204] = 6204,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6172,
  [6208] = 6208,
  [6209] = 6163,
  [6210] = 5578,
  [6211] = 5814,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6172,
  [6215] = 6170,
  [6216] = 5814,
  [6217] = 5509,
  [6218] = 6172,
  [6219] = 6170,
  [6220] = 5791,
  [6221] = 6166,
  [6222] = 6170,
  [6223] = 5508,
  [6224] = 5801,
  [6225] = 2419,
  [6226] = 5521,
  [6227] = 6227,
  [6228] = 5879,
  [6229] = 6170,
  [6230] = 6230,
  [6231] = 6163,
  [6232] = 6166,
  [6233] = 6163,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 2435,
  [6237] = 6166,
  [6238] = 6170,
  [6239] = 6172,
  [6240] = 6240,
  [6241] = 5516,
  [6242] = 5950,
  [6243] = 6243,
  [6244] = 6163,
  [6245] = 6245,
  [6246] = 5516,
  [6247] = 5884,
  [6248] = 5509,
  [6249] = 6249,
  [6250] = 1676,
  [6251] = 5813,
  [6252] = 5814,
  [6253] = 5818,
  [6254] = 6254,
  [6255] = 5811,
  [6256] = 6256,
  [6257] = 1683,
  [6258] = 1682,
  [6259] = 6259,
  [6260] = 5810,
  [6261] = 6261,
  [6262] = 6254,
  [6263] = 6263,
  [6264] = 6254,
  [6265] = 6265,
  [6266] = 1681,
  [6267] = 5791,
  [6268] = 6254,
  [6269] = 6269,
  [6270] = 5805,
  [6271] = 6254,
  [6272] = 5801,
  [6273] = 1677,
  [6274] = 6274,
  [6275] = 6254,
  [6276] = 1678,
  [6277] = 6254,
  [6278] = 6254,
  [6279] = 6279,
  [6280] = 1679,
  [6281] = 6256,
  [6282] = 6254,
  [6283] = 6254,
  [6284] = 6254,
  [6285] = 6254,
  [6286] = 6254,
  [6287] = 6287,
  [6288] = 5805,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6290,
  [6292] = 6290,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6290,
  [6296] = 6290,
  [6297] = 6294,
  [6298] = 6294,
  [6299] = 6293,
  [6300] = 6290,
  [6301] = 5801,
  [6302] = 6290,
  [6303] = 6293,
  [6304] = 6293,
  [6305] = 6293,
  [6306] = 6290,
  [6307] = 6307,
  [6308] = 6290,
  [6309] = 6290,
  [6310] = 6289,
  [6311] = 6290,
  [6312] = 6307,
  [6313] = 6290,
  [6314] = 6314,
  [6315] = 5744,
  [6316] = 6290,
  [6317] = 6307,
  [6318] = 6290,
  [6319] = 6290,
  [6320] = 6290,
  [6321] = 6289,
  [6322] = 6290,
  [6323] = 5810,
  [6324] = 6290,
  [6325] = 2439,
  [6326] = 5811,
  [6327] = 6307,
  [6328] = 5813,
  [6329] = 6289,
  [6330] = 6294,
  [6331] = 5818,
  [6332] = 6290,
  [6333] = 6333,
  [6334] = 6290,
  [6335] = 5757,
  [6336] = 5791,
  [6337] = 2419,
  [6338] = 6293,
  [6339] = 6293,
  [6340] = 5814,
  [6341] = 6290,
  [6342] = 5905,
  [6343] = 5814,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6346,
  [6348] = 5813,
  [6349] = 6349,
  [6350] = 6350,
  [6351] = 6350,
  [6352] = 5883,
  [6353] = 6344,
  [6354] = 5744,
  [6355] = 5811,
  [6356] = 5810,
  [6357] = 6350,
  [6358] = 5757,
  [6359] = 5930,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 5950,
  [6363] = 6346,
  [6364] = 6346,
  [6365] = 5818,
  [6366] = 5879,
  [6367] = 5791,
  [6368] = 5805,
  [6369] = 5969,
  [6370] = 6370,
  [6371] = 5801,
  [6372] = 6344,
  [6373] = 6346,
  [6374] = 6346,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 5892,
  [6379] = 6379,
  [6380] = 5880,
  [6381] = 5884,
  [6382] = 5943,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 6385,
  [6386] = 6344,
  [6387] = 6350,
  [6388] = 6346,
  [6389] = 2434,
  [6390] = 6390,
  [6391] = 2060,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 2056,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 2031,
  [6398] = 6396,
  [6399] = 5805,
  [6400] = 6400,
  [6401] = 5791,
  [6402] = 5801,
  [6403] = 5814,
  [6404] = 5818,
  [6405] = 6405,
  [6406] = 2570,
  [6407] = 5805,
  [6408] = 6393,
  [6409] = 6405,
  [6410] = 5811,
  [6411] = 6392,
  [6412] = 5813,
  [6413] = 6413,
  [6414] = 5813,
  [6415] = 2548,
  [6416] = 5810,
  [6417] = 5818,
  [6418] = 6418,
  [6419] = 5791,
  [6420] = 6396,
  [6421] = 5810,
  [6422] = 6422,
  [6423] = 5811,
  [6424] = 6396,
  [6425] = 6393,
  [6426] = 6426,
  [6427] = 2579,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6405,
  [6431] = 5814,
  [6432] = 6393,
  [6433] = 2434,
  [6434] = 6392,
  [6435] = 6405,
  [6436] = 6392,
  [6437] = 6437,
  [6438] = 5801,
  [6439] = 6439,
  [6440] = 2074,
  [6441] = 2058,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6444,
  [6446] = 6443,
  [6447] = 6442,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6444,
  [6454] = 6444,
  [6455] = 6455,
  [6456] = 6442,
  [6457] = 6457,
  [6458] = 6451,
  [6459] = 6459,
  [6460] = 6444,
  [6461] = 6443,
  [6462] = 6442,
  [6463] = 2110,
  [6464] = 6107,
  [6465] = 6443,
  [6466] = 6448,
  [6467] = 6442,
  [6468] = 6468,
  [6469] = 6469,
  [6470] = 6443,
  [6471] = 6448,
  [6472] = 6472,
  [6473] = 6452,
  [6474] = 6474,
  [6475] = 6444,
  [6476] = 6448,
  [6477] = 6477,
  [6478] = 2434,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6443,
  [6482] = 6442,
  [6483] = 6448,
  [6484] = 2434,
  [6485] = 6442,
  [6486] = 6444,
  [6487] = 6487,
  [6488] = 6160,
  [6489] = 6448,
  [6490] = 6490,
  [6491] = 6103,
  [6492] = 6492,
  [6493] = 6448,
  [6494] = 6443,
  [6495] = 6495,
  [6496] = 6496,
  [6497] = 6497,
  [6498] = 6498,
  [6499] = 5791,
  [6500] = 6500,
  [6501] = 5805,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6496,
  [6506] = 6506,
  [6507] = 5801,
  [6508] = 5810,
  [6509] = 5811,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6510,
  [6516] = 6516,
  [6517] = 6517,
  [6518] = 6518,
  [6519] = 5813,
  [6520] = 6518,
  [6521] = 6500,
  [6522] = 6495,
  [6523] = 5814,
  [6524] = 6518,
  [6525] = 6504,
  [6526] = 6518,
  [6527] = 6506,
  [6528] = 6528,
  [6529] = 6504,
  [6530] = 6496,
  [6531] = 6495,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6513,
  [6535] = 6506,
  [6536] = 6533,
  [6537] = 6510,
  [6538] = 6517,
  [6539] = 6500,
  [6540] = 6540,
  [6541] = 6532,
  [6542] = 6533,
  [6543] = 6513,
  [6544] = 6518,
  [6545] = 6528,
  [6546] = 6532,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 2434,
  [6550] = 2434,
  [6551] = 6512,
  [6552] = 5818,
  [6553] = 6510,
  [6554] = 2332,
  [6555] = 6540,
  [6556] = 6556,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6558,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6564,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6556,
  [6571] = 6571,
  [6572] = 6572,
  [6573] = 6560,
  [6574] = 6574,
  [6575] = 6559,
  [6576] = 6569,
  [6577] = 6559,
  [6578] = 6569,
  [6579] = 6572,
  [6580] = 6580,
  [6581] = 6581,
  [6582] = 6559,
  [6583] = 6583,
  [6584] = 6584,
  [6585] = 6585,
  [6586] = 6586,
  [6587] = 6569,
  [6588] = 6588,
  [6589] = 6589,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 6580,
  [6593] = 6591,
  [6594] = 6580,
  [6595] = 6559,
  [6596] = 6581,
  [6597] = 6571,
  [6598] = 6572,
  [6599] = 6599,
  [6600] = 6600,
  [6601] = 6569,
  [6602] = 6599,
  [6603] = 6586,
  [6604] = 6600,
  [6605] = 6560,
  [6606] = 6580,
  [6607] = 6580,
  [6608] = 6559,
  [6609] = 6599,
  [6610] = 6610,
  [6611] = 6564,
  [6612] = 6569,
  [6613] = 6561,
  [6614] = 6567,
  [6615] = 6557,
  [6616] = 6572,
  [6617] = 6580,
  [6618] = 6560,
  [6619] = 6556,
  [6620] = 6559,
  [6621] = 6621,
  [6622] = 6569,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6562,
  [6626] = 6560,
  [6627] = 6562,
  [6628] = 6628,
  [6629] = 6561,
  [6630] = 6558,
  [6631] = 6580,
  [6632] = 6571,
  [6633] = 6574,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6559,
  [6637] = 6580,
  [6638] = 6600,
  [6639] = 6568,
  [6640] = 6567,
  [6641] = 6568,
  [6642] = 6569,
  [6643] = 6591,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6556,
  [6647] = 6569,
  [6648] = 6561,
  [6649] = 6559,
  [6650] = 6580,
  [6651] = 6583,
  [6652] = 6559,
  [6653] = 6581,
  [6654] = 6574,
  [6655] = 6583,
  [6656] = 6656,
  [6657] = 6657,
  [6658] = 6599,
  [6659] = 6659,
  [6660] = 6559,
  [6661] = 6661,
  [6662] = 6569,
  [6663] = 6569,
  [6664] = 6664,
  [6665] = 6599,
  [6666] = 6586,
  [6667] = 6559,
  [6668] = 6583,
  [6669] = 6580,
  [6670] = 6580,
  [6671] = 6562,
  [6672] = 6556,
  [6673] = 6673,
  [6674] = 6583,
  [6675] = 6559,
  [6676] = 6559,
  [6677] = 6583,
  [6678] = 6580,
  [6679] = 6569,
  [6680] = 6680,
  [6681] = 6561,
  [6682] = 6590,
  [6683] = 6590,
  [6684] = 6574,
  [6685] = 6600,
  [6686] = 6590,
  [6687] = 6571,
  [6688] = 6572,
  [6689] = 6583,
  [6690] = 6591,
  [6691] = 6560,
  [6692] = 6562,
  [6693] = 6568,
  [6694] = 6558,
  [6695] = 6580,
  [6696] = 6580,
  [6697] = 6557,
  [6698] = 6583,
  [6699] = 5757,
  [6700] = 6569,
  [6701] = 6644,
  [6702] = 6574,
  [6703] = 6599,
  [6704] = 6581,
  [6705] = 6705,
  [6706] = 6572,
  [6707] = 6556,
  [6708] = 6586,
  [6709] = 6562,
  [6710] = 6710,
  [6711] = 6599,
  [6712] = 6569,
  [6713] = 6644,
  [6714] = 6591,
  [6715] = 6556,
  [6716] = 6559,
  [6717] = 6580,
  [6718] = 6583,
  [6719] = 6557,
  [6720] = 6599,
  [6721] = 6556,
  [6722] = 6590,
  [6723] = 6581,
  [6724] = 6572,
  [6725] = 6574,
  [6726] = 6567,
  [6727] = 6558,
  [6728] = 6583,
  [6729] = 6569,
  [6730] = 6644,
  [6731] = 6558,
  [6732] = 6560,
  [6733] = 6559,
  [6734] = 6734,
  [6735] = 6735,
  [6736] = 6567,
  [6737] = 6568,
  [6738] = 6600,
  [6739] = 6558,
  [6740] = 6571,
  [6741] = 6599,
  [6742] = 6590,
  [6743] = 6567,
  [6744] = 6568,
  [6745] = 6568,
  [6746] = 6567,
  [6747] = 6558,
  [6748] = 6556,
  [6749] = 6559,
  [6750] = 6572,
  [6751] = 6580,
  [6752] = 6560,
  [6753] = 6600,
  [6754] = 6599,
  [6755] = 6564,
  [6756] = 6557,
  [6757] = 6569,
  [6758] = 6591,
  [6759] = 6574,
  [6760] = 6574,
  [6761] = 6571,
  [6762] = 6559,
  [6763] = 6581,
  [6764] = 6583,
  [6765] = 6571,
  [6766] = 6599,
  [6767] = 6600,
  [6768] = 6556,
  [6769] = 6586,
  [6770] = 6770,
  [6771] = 6556,
  [6772] = 6572,
  [6773] = 6773,
  [6774] = 6774,
  [6775] = 6644,
  [6776] = 6568,
  [6777] = 6561,
  [6778] = 6571,
  [6779] = 6569,
  [6780] = 6571,
  [6781] = 6591,
  [6782] = 6581,
  [6783] = 6600,
  [6784] = 6561,
  [6785] = 6586,
  [6786] = 6569,
  [6787] = 6567,
  [6788] = 6600,
  [6789] = 6571,
  [6790] = 6591,
  [6791] = 6791,
  [6792] = 6568,
  [6793] = 6567,
  [6794] = 6558,
  [6795] = 6560,
  [6796] = 6557,
  [6797] = 6569,
  [6798] = 6557,
  [6799] = 6580,
  [6800] = 6800,
  [6801] = 6599,
  [6802] = 6591,
  [6803] = 6803,
  [6804] = 6644,
  [6805] = 6557,
  [6806] = 6586,
  [6807] = 6590,
  [6808] = 6808,
  [6809] = 6557,
  [6810] = 6558,
  [6811] = 6591,
  [6812] = 6574,
  [6813] = 6559,
  [6814] = 6583,
  [6815] = 6556,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6818,
  [6819] = 6819,
  [6820] = 6818,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6822,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6829,
  [6836] = 6819,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6822,
  [6842] = 6842,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 6845,
  [6846] = 6846,
  [6847] = 6819,
  [6848] = 6817,
  [6849] = 6849,
  [6850] = 6850,
  [6851] = 6834,
  [6852] = 6852,
  [6853] = 6853,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6856,
  [6857] = 6857,
  [6858] = 2434,
  [6859] = 6859,
  [6860] = 6833,
  [6861] = 6861,
  [6862] = 6862,
  [6863] = 6863,
  [6864] = 6864,
  [6865] = 6818,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6838,
  [6869] = 6830,
  [6870] = 6867,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6873,
  [6874] = 6845,
  [6875] = 6866,
  [6876] = 6876,
  [6877] = 6872,
  [6878] = 6878,
  [6879] = 6834,
  [6880] = 6861,
  [6881] = 6829,
  [6882] = 6882,
  [6883] = 6878,
  [6884] = 6884,
  [6885] = 6825,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6878,
  [6889] = 6830,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 6828,
  [6893] = 6893,
  [6894] = 6830,
  [6895] = 6882,
  [6896] = 6829,
  [6897] = 6897,
  [6898] = 6839,
  [6899] = 6840,
  [6900] = 6900,
  [6901] = 6901,
  [6902] = 6833,
  [6903] = 6890,
  [6904] = 6904,
  [6905] = 6872,
  [6906] = 6906,
  [6907] = 6826,
  [6908] = 6864,
  [6909] = 6909,
  [6910] = 6861,
  [6911] = 6890,
  [6912] = 6904,
  [6913] = 6855,
  [6914] = 6914,
  [6915] = 6872,
  [6916] = 6891,
  [6917] = 6917,
  [6918] = 6918,
  [6919] = 6838,
  [6920] = 6830,
  [6921] = 6921,
  [6922] = 6839,
  [6923] = 6867,
  [6924] = 6924,
  [6925] = 6866,
  [6926] = 6838,
  [6927] = 6909,
  [6928] = 6891,
  [6929] = 6842,
  [6930] = 6867,
  [6931] = 6854,
  [6932] = 6866,
  [6933] = 6900,
  [6934] = 6891,
  [6935] = 6900,
  [6936] = 6817,
  [6937] = 6937,
  [6938] = 6884,
  [6939] = 6861,
  [6940] = 6940,
  [6941] = 6941,
  [6942] = 6864,
  [6943] = 6906,
  [6944] = 6840,
  [6945] = 227,
  [6946] = 6833,
  [6947] = 6909,
  [6948] = 6948,
  [6949] = 6917,
  [6950] = 6950,
  [6951] = 6866,
  [6952] = 6867,
  [6953] = 6838,
  [6954] = 6954,
  [6955] = 6900,
  [6956] = 6956,
  [6957] = 6855,
  [6958] = 6914,
  [6959] = 6959,
  [6960] = 6826,
  [6961] = 6909,
  [6962] = 6839,
  [6963] = 6840,
  [6964] = 6964,
  [6965] = 6818,
  [6966] = 6826,
  [6967] = 6837,
  [6968] = 6968,
  [6969] = 6840,
  [6970] = 6834,
  [6971] = 6878,
  [6972] = 6822,
  [6973] = 6973,
  [6974] = 6842,
  [6975] = 6854,
  [6976] = 6855,
  [6977] = 6977,
  [6978] = 6854,
  [6979] = 6839,
  [6980] = 6853,
  [6981] = 6829,
  [6982] = 6982,
  [6983] = 6822,
  [6984] = 6853,
  [6985] = 6861,
  [6986] = 6845,
  [6987] = 6853,
  [6988] = 6988,
  [6989] = 6817,
  [6990] = 6990,
  [6991] = 6830,
  [6992] = 6834,
  [6993] = 6993,
  [6994] = 6878,
  [6995] = 6830,
  [6996] = 6996,
  [6997] = 6997,
  [6998] = 6833,
  [6999] = 6826,
  [7000] = 6864,
  [7001] = 7001,
  [7002] = 6828,
  [7003] = 7003,
  [7004] = 6864,
  [7005] = 6837,
  [7006] = 6906,
  [7007] = 6819,
  [7008] = 6993,
  [7009] = 6906,
  [7010] = 6817,
  [7011] = 6884,
  [7012] = 7012,
  [7013] = 6855,
  [7014] = 6854,
  [7015] = 6842,
  [7016] = 6853,
  [7017] = 6882,
  [7018] = 6830,
  [7019] = 6917,
  [7020] = 6866,
  [7021] = 6867,
  [7022] = 6838,
  [7023] = 6861,
  [7024] = 6856,
  [7025] = 6917,
  [7026] = 6819,
  [7027] = 6822,
  [7028] = 6817,
  [7029] = 6890,
  [7030] = 6833,
  [7031] = 6817,
  [7032] = 6900,
  [7033] = 6864,
  [7034] = 6866,
  [7035] = 6842,
  [7036] = 6993,
  [7037] = 6818,
  [7038] = 6837,
  [7039] = 7039,
  [7040] = 6830,
  [7041] = 6891,
  [7042] = 7042,
  [7043] = 7043,
  [7044] = 6914,
  [7045] = 6817,
  [7046] = 6866,
  [7047] = 6867,
  [7048] = 6838,
  [7049] = 7049,
  [7050] = 6830,
  [7051] = 6909,
  [7052] = 7052,
  [7053] = 6822,
  [7054] = 6822,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 6818,
  [7058] = 7058,
  [7059] = 6918,
  [7060] = 6876,
  [7061] = 7061,
  [7062] = 6914,
  [7063] = 7063,
  [7064] = 6830,
  [7065] = 6866,
  [7066] = 7066,
  [7067] = 6909,
  [7068] = 6817,
  [7069] = 6866,
  [7070] = 6867,
  [7071] = 6838,
  [7072] = 6853,
  [7073] = 6826,
  [7074] = 6854,
  [7075] = 6867,
  [7076] = 7076,
  [7077] = 6825,
  [7078] = 6838,
  [7079] = 6855,
  [7080] = 6830,
  [7081] = 6856,
  [7082] = 7082,
  [7083] = 6819,
  [7084] = 6817,
  [7085] = 6882,
  [7086] = 6830,
  [7087] = 7087,
  [7088] = 6842,
  [7089] = 6842,
  [7090] = 6817,
  [7091] = 6866,
  [7092] = 6867,
  [7093] = 6838,
  [7094] = 6825,
  [7095] = 6842,
  [7096] = 6819,
  [7097] = 6837,
  [7098] = 6856,
  [7099] = 7099,
  [7100] = 6837,
  [7101] = 6345,
  [7102] = 6853,
  [7103] = 6993,
  [7104] = 6819,
  [7105] = 6856,
  [7106] = 7106,
  [7107] = 6830,
  [7108] = 6878,
  [7109] = 6993,
  [7110] = 7003,
  [7111] = 6817,
  [7112] = 6866,
  [7113] = 6867,
  [7114] = 6838,
  [7115] = 6817,
  [7116] = 6956,
  [7117] = 6834,
  [7118] = 6829,
  [7119] = 6826,
  [7120] = 7120,
  [7121] = 6890,
  [7122] = 6842,
  [7123] = 6882,
  [7124] = 6904,
  [7125] = 6839,
  [7126] = 6840,
  [7127] = 6867,
  [7128] = 6830,
  [7129] = 6818,
  [7130] = 6833,
  [7131] = 6817,
  [7132] = 6866,
  [7133] = 6867,
  [7134] = 6838,
  [7135] = 6864,
  [7136] = 6854,
  [7137] = 7137,
  [7138] = 6855,
  [7139] = 6993,
  [7140] = 6840,
  [7141] = 6872,
  [7142] = 226,
  [7143] = 6861,
  [7144] = 7144,
  [7145] = 6872,
  [7146] = 6993,
  [7147] = 6890,
  [7148] = 6830,
  [7149] = 6882,
  [7150] = 6817,
  [7151] = 6817,
  [7152] = 6866,
  [7153] = 6867,
  [7154] = 6838,
  [7155] = 6830,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 6872,
  [7159] = 7159,
  [7160] = 6917,
  [7161] = 6918,
  [7162] = 6837,
  [7163] = 6838,
  [7164] = 6838,
  [7165] = 6867,
  [7166] = 6866,
  [7167] = 7167,
  [7168] = 6830,
  [7169] = 6891,
  [7170] = 6900,
  [7171] = 6817,
  [7172] = 6866,
  [7173] = 6867,
  [7174] = 6838,
  [7175] = 6842,
  [7176] = 6853,
  [7177] = 6826,
  [7178] = 6838,
  [7179] = 6830,
  [7180] = 6854,
  [7181] = 6828,
  [7182] = 6867,
  [7183] = 6830,
  [7184] = 7184,
  [7185] = 6884,
  [7186] = 6842,
  [7187] = 6866,
  [7188] = 6917,
  [7189] = 6855,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 6891,
  [7193] = 6828,
  [7194] = 6909,
  [7195] = 6842,
  [7196] = 6828,
  [7197] = 6856,
  [7198] = 7198,
  [7199] = 7199,
  [7200] = 6900,
  [7201] = 6882,
  [7202] = 6878,
  [7203] = 7003,
  [7204] = 6890,
  [7205] = 6904,
  [7206] = 6818,
  [7207] = 7207,
  [7208] = 6872,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7211,
  [7212] = 6839,
  [7213] = 6829,
  [7214] = 7214,
  [7215] = 7215,
  [7216] = 7216,
  [7217] = 7217,
  [7218] = 7218,
  [7219] = 7219,
  [7220] = 7220,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 7220,
  [7224] = 7224,
  [7225] = 7214,
  [7226] = 7216,
  [7227] = 7215,
  [7228] = 7228,
  [7229] = 7229,
  [7230] = 7224,
  [7231] = 7231,
  [7232] = 7232,
  [7233] = 7233,
  [7234] = 7229,
  [7235] = 7235,
  [7236] = 7232,
  [7237] = 2527,
  [7238] = 7238,
  [7239] = 7233,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 7218,
  [7243] = 7218,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7233,
  [7250] = 7214,
  [7251] = 7245,
  [7252] = 7222,
  [7253] = 7229,
  [7254] = 7235,
  [7255] = 7255,
  [7256] = 7219,
  [7257] = 7235,
  [7258] = 7258,
  [7259] = 7233,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7221,
  [7264] = 7221,
  [7265] = 7222,
  [7266] = 7233,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7233,
  [7273] = 7218,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7240,
  [7277] = 7222,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7267,
  [7281] = 7270,
  [7282] = 7282,
  [7283] = 7219,
  [7284] = 7262,
  [7285] = 7285,
  [7286] = 7218,
  [7287] = 7268,
  [7288] = 7288,
  [7289] = 7233,
  [7290] = 7222,
  [7291] = 7270,
  [7292] = 7245,
  [7293] = 7271,
  [7294] = 7221,
  [7295] = 7218,
  [7296] = 7219,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7233,
  [7301] = 7301,
  [7302] = 7278,
  [7303] = 7279,
  [7304] = 7278,
  [7305] = 7279,
  [7306] = 7278,
  [7307] = 7267,
  [7308] = 7282,
  [7309] = 7235,
  [7310] = 7224,
  [7311] = 7278,
  [7312] = 7216,
  [7313] = 7247,
  [7314] = 7278,
  [7315] = 7267,
  [7316] = 7232,
  [7317] = 7270,
  [7318] = 7220,
  [7319] = 7319,
  [7320] = 7262,
  [7321] = 7321,
  [7322] = 7279,
  [7323] = 7233,
  [7324] = 7235,
  [7325] = 7285,
  [7326] = 7301,
  [7327] = 7233,
  [7328] = 7285,
  [7329] = 7219,
  [7330] = 7299,
  [7331] = 7246,
  [7332] = 7222,
  [7333] = 7222,
  [7334] = 7288,
  [7335] = 7232,
  [7336] = 7299,
  [7337] = 7228,
  [7338] = 7338,
  [7339] = 7214,
  [7340] = 7229,
  [7341] = 7218,
  [7342] = 7258,
  [7343] = 7282,
  [7344] = 7344,
  [7345] = 7268,
  [7346] = 7346,
  [7347] = 7271,
  [7348] = 7246,
  [7349] = 7278,
  [7350] = 7279,
  [7351] = 7351,
  [7352] = 7282,
  [7353] = 7245,
  [7354] = 7269,
  [7355] = 7240,
  [7356] = 7356,
  [7357] = 7220,
  [7358] = 7261,
  [7359] = 7285,
  [7360] = 7267,
  [7361] = 7270,
  [7362] = 7233,
  [7363] = 7363,
  [7364] = 7262,
  [7365] = 7365,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7368,
  [7369] = 7219,
  [7370] = 7244,
  [7371] = 7222,
  [7372] = 7224,
  [7373] = 7373,
  [7374] = 7220,
  [7375] = 7375,
  [7376] = 7376,
  [7377] = 7214,
  [7378] = 7378,
  [7379] = 7218,
  [7380] = 7271,
  [7381] = 7381,
  [7382] = 7344,
  [7383] = 7383,
  [7384] = 7258,
  [7385] = 7385,
  [7386] = 7285,
  [7387] = 7215,
  [7388] = 7278,
  [7389] = 7288,
  [7390] = 7267,
  [7391] = 7216,
  [7392] = 7392,
  [7393] = 7270,
  [7394] = 7247,
  [7395] = 7214,
  [7396] = 7222,
  [7397] = 7271,
  [7398] = 7218,
  [7399] = 7282,
  [7400] = 7246,
  [7401] = 7278,
  [7402] = 7285,
  [7403] = 7279,
  [7404] = 7218,
  [7405] = 7261,
  [7406] = 7218,
  [7407] = 7365,
  [7408] = 7224,
  [7409] = 7228,
  [7410] = 7220,
  [7411] = 7411,
  [7412] = 7412,
  [7413] = 7413,
  [7414] = 7224,
  [7415] = 7415,
  [7416] = 7267,
  [7417] = 7270,
  [7418] = 2485,
  [7419] = 7269,
  [7420] = 7222,
  [7421] = 7262,
  [7422] = 7233,
  [7423] = 7423,
  [7424] = 7279,
  [7425] = 7240,
  [7426] = 7258,
  [7427] = 7245,
  [7428] = 7428,
  [7429] = 7232,
  [7430] = 7282,
  [7431] = 7219,
  [7432] = 7432,
  [7433] = 7222,
  [7434] = 7301,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7271,
  [7438] = 7240,
  [7439] = 7218,
  [7440] = 7219,
  [7441] = 7233,
  [7442] = 7232,
  [7443] = 7240,
  [7444] = 7233,
  [7445] = 7344,
  [7446] = 7282,
  [7447] = 7247,
  [7448] = 7262,
  [7449] = 7228,
  [7450] = 7271,
  [7451] = 7262,
  [7452] = 7247,
  [7453] = 7224,
  [7454] = 7268,
  [7455] = 7220,
  [7456] = 7269,
  [7457] = 7214,
  [7458] = 7270,
  [7459] = 7267,
  [7460] = 7270,
  [7461] = 7260,
  [7462] = 7258,
  [7463] = 7267,
  [7464] = 7244,
  [7465] = 7246,
  [7466] = 7271,
  [7467] = 2486,
  [7468] = 7246,
  [7469] = 7278,
  [7470] = 7214,
  [7471] = 7218,
  [7472] = 7262,
  [7473] = 7473,
  [7474] = 7299,
  [7475] = 2538,
  [7476] = 7233,
  [7477] = 7269,
  [7478] = 7288,
  [7479] = 7479,
  [7480] = 7278,
  [7481] = 7261,
  [7482] = 7482,
  [7483] = 7279,
  [7484] = 7214,
  [7485] = 7260,
  [7486] = 7261,
  [7487] = 7301,
  [7488] = 7244,
  [7489] = 7299,
  [7490] = 7299,
  [7491] = 7269,
  [7492] = 2532,
  [7493] = 7215,
  [7494] = 2505,
  [7495] = 7260,
  [7496] = 7269,
  [7497] = 7279,
  [7498] = 7261,
  [7499] = 7246,
  [7500] = 7267,
  [7501] = 7269,
  [7502] = 7270,
  [7503] = 7262,
  [7504] = 7269,
  [7505] = 2464,
  [7506] = 2481,
  [7507] = 7246,
  [7508] = 7229,
  [7509] = 7269,
  [7510] = 7510,
  [7511] = 7288,
  [7512] = 7269,
  [7513] = 7269,
  [7514] = 7269,
  [7515] = 7233,
  [7516] = 7240,
  [7517] = 7232,
  [7518] = 7219,
  [7519] = 7218,
  [7520] = 7258,
  [7521] = 7222,
  [7522] = 7224,
  [7523] = 7279,
  [7524] = 7344,
  [7525] = 7216,
  [7526] = 7268,
  [7527] = 7215,
  [7528] = 7528,
  [7529] = 2493,
  [7530] = 7278,
  [7531] = 7220,
  [7532] = 7269,
  [7533] = 7269,
  [7534] = 7344,
  [7535] = 7269,
  [7536] = 7218,
  [7537] = 7269,
  [7538] = 7270,
  [7539] = 7344,
  [7540] = 7214,
  [7541] = 7229,
  [7542] = 7235,
  [7543] = 2519,
  [7544] = 7267,
  [7545] = 7270,
  [7546] = 7215,
  [7547] = 7218,
  [7548] = 7344,
  [7549] = 7261,
  [7550] = 7267,
  [7551] = 7247,
  [7552] = 7262,
  [7553] = 7553,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7559,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 7563,
  [7564] = 7564,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7575,
  [7576] = 7576,
  [7577] = 7577,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7577,
  [7581] = 7578,
  [7582] = 7582,
  [7583] = 7566,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7586,
  [7587] = 7587,
  [7588] = 7588,
  [7589] = 1770,
  [7590] = 7590,
  [7591] = 7591,
  [7592] = 7592,
  [7593] = 7593,
  [7594] = 7594,
  [7595] = 7554,
  [7596] = 7596,
  [7597] = 7553,
  [7598] = 7598,
  [7599] = 7599,
  [7600] = 7600,
  [7601] = 7601,
  [7602] = 7602,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 7606,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7603,
  [7610] = 7561,
  [7611] = 7606,
  [7612] = 7612,
  [7613] = 7604,
  [7614] = 7573,
  [7615] = 7562,
  [7616] = 7558,
  [7617] = 7586,
  [7618] = 7618,
  [7619] = 7619,
  [7620] = 7579,
  [7621] = 7578,
  [7622] = 7577,
  [7623] = 7623,
  [7624] = 7563,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7627,
  [7628] = 7625,
  [7629] = 7629,
  [7630] = 7630,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 7565,
  [7634] = 7634,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7556,
  [7640] = 7563,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 7564,
  [7645] = 7565,
  [7646] = 7606,
  [7647] = 7560,
  [7648] = 7604,
  [7649] = 7560,
  [7650] = 7650,
  [7651] = 7556,
  [7652] = 7652,
  [7653] = 7641,
  [7654] = 7654,
  [7655] = 7655,
  [7656] = 7564,
  [7657] = 7652,
  [7658] = 7641,
  [7659] = 7652,
  [7660] = 7641,
  [7661] = 1769,
  [7662] = 7601,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7665,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 7652,
  [7669] = 7641,
  [7670] = 7554,
  [7671] = 7671,
  [7672] = 7672,
  [7673] = 7652,
  [7674] = 7641,
  [7675] = 7675,
  [7676] = 7565,
  [7677] = 7652,
  [7678] = 7641,
  [7679] = 7623,
  [7680] = 7572,
  [7681] = 7582,
  [7682] = 7575,
  [7683] = 7585,
  [7684] = 7577,
  [7685] = 7578,
  [7686] = 7579,
  [7687] = 7652,
  [7688] = 7641,
  [7689] = 5404,
  [7690] = 7590,
  [7691] = 7652,
  [7692] = 7641,
  [7693] = 7586,
  [7694] = 7566,
  [7695] = 7600,
  [7696] = 7599,
  [7697] = 7584,
  [7698] = 7582,
  [7699] = 7643,
  [7700] = 7700,
  [7701] = 7571,
  [7702] = 7630,
  [7703] = 7567,
  [7704] = 7704,
  [7705] = 7603,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 7708,
  [7709] = 7606,
  [7710] = 7710,
  [7711] = 7604,
  [7712] = 7712,
  [7713] = 7713,
  [7714] = 7652,
  [7715] = 7643,
  [7716] = 7641,
  [7717] = 7637,
  [7718] = 7566,
  [7719] = 7556,
  [7720] = 7600,
  [7721] = 7599,
  [7722] = 7652,
  [7723] = 7584,
  [7724] = 7560,
  [7725] = 7643,
  [7726] = 7726,
  [7727] = 7571,
  [7728] = 7728,
  [7729] = 7588,
  [7730] = 7564,
  [7731] = 7567,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7736,
  [7737] = 7707,
  [7738] = 7738,
  [7739] = 7739,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7743,
  [7744] = 7565,
  [7745] = 7745,
  [7746] = 7650,
  [7747] = 7747,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7652,
  [7751] = 7579,
  [7752] = 7752,
  [7753] = 7641,
  [7754] = 7637,
  [7755] = 7566,
  [7756] = 7600,
  [7757] = 7586,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 7599,
  [7761] = 7642,
  [7762] = 7675,
  [7763] = 7745,
  [7764] = 7584,
  [7765] = 7749,
  [7766] = 7603,
  [7767] = 7582,
  [7768] = 7629,
  [7769] = 7606,
  [7770] = 7770,
  [7771] = 7604,
  [7772] = 7571,
  [7773] = 7556,
  [7774] = 7567,
  [7775] = 7775,
  [7776] = 7776,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7564,
  [7781] = 7781,
  [7782] = 7555,
  [7783] = 7734,
  [7784] = 7735,
  [7785] = 7736,
  [7786] = 7707,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7603,
  [7791] = 7791,
  [7792] = 7675,
  [7793] = 7565,
  [7794] = 7743,
  [7795] = 7652,
  [7796] = 7713,
  [7797] = 7643,
  [7798] = 7798,
  [7799] = 7579,
  [7800] = 7800,
  [7801] = 7641,
  [7802] = 7802,
  [7803] = 7734,
  [7804] = 7804,
  [7805] = 7586,
  [7806] = 7735,
  [7807] = 7736,
  [7808] = 7638,
  [7809] = 7707,
  [7810] = 7637,
  [7811] = 7811,
  [7812] = 7562,
  [7813] = 7566,
  [7814] = 7603,
  [7815] = 7748,
  [7816] = 7816,
  [7817] = 7606,
  [7818] = 7602,
  [7819] = 7604,
  [7820] = 7747,
  [7821] = 7556,
  [7822] = 7600,
  [7823] = 7599,
  [7824] = 7598,
  [7825] = 7553,
  [7826] = 7596,
  [7827] = 7567,
  [7828] = 7593,
  [7829] = 7584,
  [7830] = 7582,
  [7831] = 7831,
  [7832] = 7571,
  [7833] = 7833,
  [7834] = 7567,
  [7835] = 7590,
  [7836] = 7565,
  [7837] = 7837,
  [7838] = 7625,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7734,
  [7842] = 7735,
  [7843] = 7843,
  [7844] = 7736,
  [7845] = 7586,
  [7846] = 7707,
  [7847] = 7816,
  [7848] = 7848,
  [7849] = 5402,
  [7850] = 7569,
  [7851] = 7851,
  [7852] = 7852,
  [7853] = 7853,
  [7854] = 7606,
  [7855] = 7855,
  [7856] = 7604,
  [7857] = 7675,
  [7858] = 7743,
  [7859] = 7652,
  [7860] = 7713,
  [7861] = 7643,
  [7862] = 7787,
  [7863] = 7565,
  [7864] = 7585,
  [7865] = 7571,
  [7866] = 7866,
  [7867] = 7586,
  [7868] = 7641,
  [7869] = 7638,
  [7870] = 7604,
  [7871] = 7637,
  [7872] = 7629,
  [7873] = 7873,
  [7874] = 7562,
  [7875] = 7565,
  [7876] = 7566,
  [7877] = 7877,
  [7878] = 7586,
  [7879] = 7602,
  [7880] = 7604,
  [7881] = 7881,
  [7882] = 7600,
  [7883] = 7734,
  [7884] = 7565,
  [7885] = 7586,
  [7886] = 7604,
  [7887] = 7599,
  [7888] = 7586,
  [7889] = 7604,
  [7890] = 7598,
  [7891] = 7586,
  [7892] = 7604,
  [7893] = 7586,
  [7894] = 7604,
  [7895] = 7586,
  [7896] = 7604,
  [7897] = 7586,
  [7898] = 7604,
  [7899] = 7586,
  [7900] = 7604,
  [7901] = 7586,
  [7902] = 7604,
  [7903] = 7903,
  [7904] = 7553,
  [7905] = 7905,
  [7906] = 7906,
  [7907] = 7596,
  [7908] = 7908,
  [7909] = 7909,
  [7910] = 7910,
  [7911] = 7911,
  [7912] = 7912,
  [7913] = 7593,
  [7914] = 7914,
  [7915] = 7915,
  [7916] = 7584,
  [7917] = 7917,
  [7918] = 7568,
  [7919] = 7582,
  [7920] = 7707,
  [7921] = 7921,
  [7922] = 7802,
  [7923] = 7923,
  [7924] = 7571,
  [7925] = 7925,
  [7926] = 7569,
  [7927] = 7573,
  [7928] = 7567,
  [7929] = 7929,
  [7930] = 7590,
  [7931] = 7587,
  [7932] = 6502,
  [7933] = 7557,
  [7934] = 7934,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7735,
  [7938] = 7627,
  [7939] = 7632,
  [7940] = 7625,
  [7941] = 7736,
  [7942] = 7574,
  [7943] = 7554,
  [7944] = 7601,
  [7945] = 7707,
  [7946] = 7946,
  [7947] = 7745,
  [7948] = 7787,
  [7949] = 7734,
  [7950] = 7735,
  [7951] = 7736,
  [7952] = 7707,
  [7953] = 7953,
  [7954] = 7582,
  [7955] = 7955,
  [7956] = 7816,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7953,
  [7960] = 7600,
  [7961] = 7961,
  [7962] = 7925,
  [7963] = 7963,
  [7964] = 7964,
  [7965] = 7905,
  [7966] = 7577,
  [7967] = 7843,
  [7968] = 7968,
  [7969] = 7578,
  [7970] = 7811,
  [7971] = 7971,
  [7972] = 7903,
  [7973] = 7973,
  [7974] = 7675,
  [7975] = 7743,
  [7976] = 7652,
  [7977] = 7591,
  [7978] = 7713,
  [7979] = 7643,
  [7980] = 7585,
  [7981] = 7579,
  [7982] = 7582,
  [7983] = 7983,
  [7984] = 7641,
  [7985] = 7638,
  [7986] = 7637,
  [7987] = 7629,
  [7988] = 7623,
  [7989] = 7989,
  [7990] = 7671,
  [7991] = 7562,
  [7992] = 7992,
  [7993] = 7566,
  [7994] = 7994,
  [7995] = 7666,
  [7996] = 7602,
  [7997] = 7600,
  [7998] = 7637,
  [7999] = 7743,
  [8000] = 7599,
  [8001] = 7598,
  [8002] = 7596,
  [8003] = 7955,
  [8004] = 7593,
  [8005] = 8005,
  [8006] = 7638,
  [8007] = 7584,
  [8008] = 7567,
  [8009] = 7641,
  [8010] = 7568,
  [8011] = 7582,
  [8012] = 8012,
  [8013] = 8013,
  [8014] = 8014,
  [8015] = 8015,
  [8016] = 7571,
  [8017] = 7569,
  [8018] = 7787,
  [8019] = 8019,
  [8020] = 8020,
  [8021] = 7590,
  [8022] = 8022,
  [8023] = 8023,
  [8024] = 8024,
  [8025] = 7837,
  [8026] = 7625,
  [8027] = 7601,
  [8028] = 7742,
  [8029] = 7572,
  [8030] = 7575,
  [8031] = 7741,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 7739,
  [8035] = 7584,
  [8036] = 7745,
  [8037] = 7733,
  [8038] = 7749,
  [8039] = 7816,
  [8040] = 8040,
  [8041] = 8041,
  [8042] = 8042,
  [8043] = 8043,
  [8044] = 7787,
  [8045] = 7734,
  [8046] = 8046,
  [8047] = 8047,
  [8048] = 8048,
  [8049] = 8049,
  [8050] = 8050,
  [8051] = 7735,
  [8052] = 7736,
  [8053] = 7707,
  [8054] = 7816,
  [8055] = 7568,
  [8056] = 8056,
  [8057] = 7811,
  [8058] = 8058,
  [8059] = 8059,
  [8060] = 7816,
  [8061] = 8061,
  [8062] = 7582,
  [8063] = 8063,
  [8064] = 7843,
  [8065] = 7905,
  [8066] = 7707,
  [8067] = 7925,
  [8068] = 7736,
  [8069] = 7735,
  [8070] = 7734,
  [8071] = 7802,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 7593,
  [8075] = 8075,
  [8076] = 7598,
  [8077] = 7675,
  [8078] = 7743,
  [8079] = 7726,
  [8080] = 7652,
  [8081] = 7713,
  [8082] = 7643,
  [8083] = 7585,
  [8084] = 7906,
  [8085] = 7909,
  [8086] = 7912,
  [8087] = 8087,
  [8088] = 7914,
  [8089] = 7586,
  [8090] = 7707,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 7587,
  [8094] = 7655,
  [8095] = 7557,
  [8096] = 7641,
  [8097] = 7638,
  [8098] = 7837,
  [8099] = 7627,
  [8100] = 7632,
  [8101] = 7554,
  [8102] = 7637,
  [8103] = 7582,
  [8104] = 7955,
  [8105] = 7666,
  [8106] = 7629,
  [8107] = 8107,
  [8108] = 7903,
  [8109] = 7591,
  [8110] = 8110,
  [8111] = 7623,
  [8112] = 7906,
  [8113] = 7912,
  [8114] = 8114,
  [8115] = 7914,
  [8116] = 8116,
  [8117] = 7562,
  [8118] = 7587,
  [8119] = 7566,
  [8120] = 7557,
  [8121] = 8121,
  [8122] = 7636,
  [8123] = 7627,
  [8124] = 7632,
  [8125] = 7955,
  [8126] = 7608,
  [8127] = 7602,
  [8128] = 8128,
  [8129] = 7903,
  [8130] = 7591,
  [8131] = 7600,
  [8132] = 7906,
  [8133] = 7912,
  [8134] = 7599,
  [8135] = 7914,
  [8136] = 8136,
  [8137] = 7636,
  [8138] = 7587,
  [8139] = 7557,
  [8140] = 7553,
  [8141] = 7596,
  [8142] = 7627,
  [8143] = 7632,
  [8144] = 7955,
  [8145] = 8145,
  [8146] = 7749,
  [8147] = 7745,
  [8148] = 7903,
  [8149] = 7591,
  [8150] = 7593,
  [8151] = 7906,
  [8152] = 7912,
  [8153] = 7584,
  [8154] = 7914,
  [8155] = 7568,
  [8156] = 7582,
  [8157] = 7557,
  [8158] = 7553,
  [8159] = 7571,
  [8160] = 7627,
  [8161] = 7632,
  [8162] = 7955,
  [8163] = 7569,
  [8164] = 8164,
  [8165] = 7567,
  [8166] = 7903,
  [8167] = 7591,
  [8168] = 8168,
  [8169] = 7906,
  [8170] = 7588,
  [8171] = 7914,
  [8172] = 7590,
  [8173] = 7554,
  [8174] = 7575,
  [8175] = 7572,
  [8176] = 7627,
  [8177] = 7632,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 7601,
  [8181] = 7903,
  [8182] = 7652,
  [8183] = 7906,
  [8184] = 7914,
  [8185] = 7625,
  [8186] = 7632,
  [8187] = 7713,
  [8188] = 7601,
  [8189] = 7903,
  [8190] = 8190,
  [8191] = 7906,
  [8192] = 7914,
  [8193] = 7572,
  [8194] = 7632,
  [8195] = 7575,
  [8196] = 7903,
  [8197] = 7906,
  [8198] = 7914,
  [8199] = 7632,
  [8200] = 7903,
  [8201] = 7632,
  [8202] = 7903,
  [8203] = 7632,
  [8204] = 7903,
  [8205] = 7632,
  [8206] = 7903,
  [8207] = 7632,
  [8208] = 7903,
  [8209] = 7632,
  [8210] = 7903,
  [8211] = 7632,
  [8212] = 7903,
  [8213] = 7632,
  [8214] = 7903,
  [8215] = 5467,
  [8216] = 8216,
  [8217] = 7909,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 8220,
  [8221] = 7745,
  [8222] = 8222,
  [8223] = 7749,
  [8224] = 7625,
  [8225] = 8225,
  [8226] = 7787,
  [8227] = 8227,
  [8228] = 7734,
  [8229] = 7735,
  [8230] = 7736,
  [8231] = 7707,
  [8232] = 7816,
  [8233] = 7596,
  [8234] = 7953,
  [8235] = 8087,
  [8236] = 7837,
  [8237] = 7675,
  [8238] = 7598,
  [8239] = 8239,
  [8240] = 7608,
  [8241] = 7843,
  [8242] = 7905,
  [8243] = 7925,
  [8244] = 7607,
  [8245] = 7564,
  [8246] = 7655,
  [8247] = 7554,
  [8248] = 8248,
  [8249] = 7602,
  [8250] = 7599,
  [8251] = 8251,
  [8252] = 8219,
  [8253] = 8218,
  [8254] = 7590,
  [8255] = 8255,
  [8256] = 8256,
  [8257] = 7588,
  [8258] = 7707,
  [8259] = 8259,
  [8260] = 8260,
  [8261] = 7915,
  [8262] = 7914,
  [8263] = 7567,
  [8264] = 7671,
  [8265] = 7600,
  [8266] = 7748,
  [8267] = 7747,
  [8268] = 7743,
  [8269] = 7742,
  [8270] = 8270,
  [8271] = 8271,
  [8272] = 7912,
  [8273] = 7560,
  [8274] = 7843,
  [8275] = 7905,
  [8276] = 7909,
  [8277] = 7741,
  [8278] = 7925,
  [8279] = 7739,
  [8280] = 7733,
  [8281] = 7726,
  [8282] = 7652,
  [8283] = 7713,
  [8284] = 5418,
  [8285] = 8285,
  [8286] = 7712,
  [8287] = 7710,
  [8288] = 7708,
  [8289] = 7712,
  [8290] = 7706,
  [8291] = 7908,
  [8292] = 7704,
  [8293] = 7710,
  [8294] = 7600,
  [8295] = 7643,
  [8296] = 7600,
  [8297] = 7909,
  [8298] = 8218,
  [8299] = 8219,
  [8300] = 7708,
  [8301] = 7906,
  [8302] = 7585,
  [8303] = 7953,
  [8304] = 8087,
  [8305] = 7650,
  [8306] = 7571,
  [8307] = 7655,
  [8308] = 7909,
  [8309] = 8218,
  [8310] = 8219,
  [8311] = 7641,
  [8312] = 7638,
  [8313] = 7953,
  [8314] = 8087,
  [8315] = 7637,
  [8316] = 7666,
  [8317] = 7629,
  [8318] = 8218,
  [8319] = 8219,
  [8320] = 7706,
  [8321] = 7623,
  [8322] = 7953,
  [8323] = 8087,
  [8324] = 7558,
  [8325] = 7562,
  [8326] = 8218,
  [8327] = 8219,
  [8328] = 7566,
  [8329] = 7704,
  [8330] = 7953,
  [8331] = 8087,
  [8332] = 7636,
  [8333] = 7608,
  [8334] = 8218,
  [8335] = 8219,
  [8336] = 7602,
  [8337] = 7953,
  [8338] = 8087,
  [8339] = 8339,
  [8340] = 7569,
  [8341] = 7953,
  [8342] = 8087,
  [8343] = 8343,
  [8344] = 7600,
  [8345] = 8087,
  [8346] = 8346,
  [8347] = 8087,
  [8348] = 7599,
  [8349] = 8087,
  [8350] = 7598,
  [8351] = 8087,
  [8352] = 7553,
  [8353] = 8087,
  [8354] = 7596,
  [8355] = 8087,
  [8356] = 8356,
  [8357] = 8087,
  [8358] = 7593,
  [8359] = 8087,
  [8360] = 8360,
  [8361] = 8087,
  [8362] = 8271,
  [8363] = 7631,
  [8364] = 7584,
  [8365] = 8271,
  [8366] = 7631,
  [8367] = 8367,
  [8368] = 8271,
  [8369] = 7631,
  [8370] = 7568,
  [8371] = 8271,
  [8372] = 7631,
  [8373] = 7582,
  [8374] = 8271,
  [8375] = 7631,
  [8376] = 7578,
  [8377] = 7631,
  [8378] = 7631,
  [8379] = 7631,
  [8380] = 7631,
  [8381] = 7631,
  [8382] = 7631,
  [8383] = 7631,
  [8384] = 7631,
  [8385] = 7631,
  [8386] = 7631,
  [8387] = 7631,
  [8388] = 7577,
  [8389] = 8389,
  [8390] = 7563,
  [8391] = 7574,
  [8392] = 7556,
  [8393] = 8270,
  [8394] = 8270,
  [8395] = 8270,
  [8396] = 8270,
  [8397] = 8270,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 340,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(188);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(188);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(97);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(101);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(101);
      if (lookahead == '\r') SKIP(99);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '\n', 345,
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 415,
        '-', 405,
        '/', 424,
        '<', 450,
        '=', 271,
        '>', 441,
      );
      if (lookahead == '\\') SKIP(100);
      if (lookahead == '^') ADVANCE(433);
      if (lookahead == '|') ADVANCE(432);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0) ADVANCE(527);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(340);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(516);
      if (lookahead == '\\') ADVANCE(515);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(517);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(178);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(178);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 119,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 145,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 14,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 16,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 268,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 121,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 280,
        '\\', 26,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 281,
        '\\', 80,
        '^', 434,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 283,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 269,
        '>', 272,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 6,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 430,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 291,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 440,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 10,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 285,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 274,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 8,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 12,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 18,
        ']', 465,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 637,
        ':', 268,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 32,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 402,
        '\'', 513,
        '(', 401,
        ')', 343,
        '+', 420,
        '-', 413,
        '.', 312,
        '/', 252,
        '0', 495,
        'L', 554,
        'U', 555,
        '\\', 98,
        'u', 556,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 44,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 650,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 544,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 650,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 30,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 40,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 54,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 54,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 28,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 42,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 58,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 58,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 544,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 650,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 270,
        '#', 303,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 36,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 270,
        '#', 288,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 405,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 450,
        '=', 271,
        '>', 441,
        '[', 462,
        '\\', 22,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '0', 636,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 34,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 129,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 147,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 50,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 125,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 68,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 56,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 46,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 157,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 48,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 70,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 82,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 66,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 143,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 143,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 155,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 127,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 72,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 86,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 462,
        '\\', 78,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 135,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 141,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 141,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 464,
        '\\', 153,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '*', 423,
        '+', 421,
        ',', 342,
        '-', 414,
        '.', 251,
        '/', 425,
        '<', 448,
        '=', 467,
        '>', 442,
        '\\', 90,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 467,
        '>', 441,
        '?', 472,
        '[', 462,
        '\\', 38,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 52,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 131,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 151,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 139,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 64,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 522,
        '&', 436,
        '(', 401,
        '*', 422,
        '/', 252,
        ':', 268,
        'L', 538,
        'U', 542,
        '[', 462,
        '\\', 76,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 545,
        'v', 605,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '"', 522,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        'L', 537,
        'R', 539,
        'U', 541,
        '\\', 103,
        'u', 544,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(538);
      if (lookahead == 'U') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      END_STATE();
    case 235:
      if (lookahead == '"') ADVANCE(646);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 292,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 60,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 284,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 20,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 286,
        '&', 436,
        '(', 401,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 268,
        ';', 455,
        '[', 462,
        '\\', 24,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 62,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 88,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 94,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 84,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 92,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 401,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 463,
        '\\', 105,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 401,
        '/', 252,
        ':', 268,
        'F', 562,
        'T', 566,
        '[', 461,
        '\\', 96,
        'f', 572,
        't', 613,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(644);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(341);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 269:
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(273);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(533);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 279:
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(458);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(292);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(354);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(356);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(298);
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 306:
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 307:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 308:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 309:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 310:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(528);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(368);
      END_STATE();
    case 334:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 335:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(381);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '\r') ADVANCE(627);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(362);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(369);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(367);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == 's') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(393);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(482);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(483);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 311,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'B') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 316,
        '.', 308,
        'L', 503,
        'l', 506,
        'P', 307,
        'p', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(525);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(549);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(550);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(535);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'b') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(534);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'g') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'h') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 's') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(558);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'z') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(633);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_0);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(653);
      if (lookahead == 'R') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(655);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(420);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(426);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(438);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(444);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(447);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(452);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(453);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(456);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(468);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(470);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(471);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 421:
      if (lookahead == 'b') ADVANCE(480);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 425:
      if (lookahead == 'p') ADVANCE(482);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 427:
      if (lookahead == 's') ADVANCE(484);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(485);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(491);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(492);
      END_STATE();
    case 437:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 438:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 439:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(496);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 444:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 445:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(500);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(501);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 450:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(505);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(509);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 466:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 473:
      if (lookahead == 'd') ADVANCE(520);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_virtual);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 478:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 479:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 480:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 484:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'c') ADVANCE(532);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(534);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 493:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 494:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 502:
      if (lookahead == 't') ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 512:
      if (lookahead == 'd') ADVANCE(543);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 518:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(546);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 526:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 527:
      if (lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 528:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 531:
      if (lookahead == '_') ADVANCE(552);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 534:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 535:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(557);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 545:
      if (lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 546:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 549:
      if (lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 551:
      if (lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 555:
      if (lookahead == 'd') ADVANCE(565);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(568);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(569);
      END_STATE();
    case 562:
      if (lookahead == '_') ADVANCE(570);
      END_STATE();
    case 563:
      if (lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 567:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 335},
  [2] = {.lex_state = 335},
  [3] = {.lex_state = 335},
  [4] = {.lex_state = 335},
  [5] = {.lex_state = 335},
  [6] = {.lex_state = 335},
  [7] = {.lex_state = 335},
  [8] = {.lex_state = 335},
  [9] = {.lex_state = 335},
  [10] = {.lex_state = 335},
  [11] = {.lex_state = 335},
  [12] = {.lex_state = 335},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 335},
  [35] = {.lex_state = 335},
  [36] = {.lex_state = 335},
  [37] = {.lex_state = 335},
  [38] = {.lex_state = 335},
  [39] = {.lex_state = 335},
  [40] = {.lex_state = 335},
  [41] = {.lex_state = 172},
  [42] = {.lex_state = 335},
  [43] = {.lex_state = 335},
  [44] = {.lex_state = 172},
  [45] = {.lex_state = 335},
  [46] = {.lex_state = 335},
  [47] = {.lex_state = 335},
  [48] = {.lex_state = 335},
  [49] = {.lex_state = 335},
  [50] = {.lex_state = 335},
  [51] = {.lex_state = 335},
  [52] = {.lex_state = 335},
  [53] = {.lex_state = 335},
  [54] = {.lex_state = 335},
  [55] = {.lex_state = 335},
  [56] = {.lex_state = 172},
  [57] = {.lex_state = 335},
  [58] = {.lex_state = 335},
  [59] = {.lex_state = 335},
  [60] = {.lex_state = 335},
  [61] = {.lex_state = 335},
  [62] = {.lex_state = 335},
  [63] = {.lex_state = 335},
  [64] = {.lex_state = 335},
  [65] = {.lex_state = 335},
  [66] = {.lex_state = 335},
  [67] = {.lex_state = 335},
  [68] = {.lex_state = 335},
  [69] = {.lex_state = 335},
  [70] = {.lex_state = 335},
  [71] = {.lex_state = 335},
  [72] = {.lex_state = 335},
  [73] = {.lex_state = 335},
  [74] = {.lex_state = 335},
  [75] = {.lex_state = 335},
  [76] = {.lex_state = 335},
  [77] = {.lex_state = 335},
  [78] = {.lex_state = 335},
  [79] = {.lex_state = 335},
  [80] = {.lex_state = 335},
  [81] = {.lex_state = 335},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 335},
  [88] = {.lex_state = 172},
  [89] = {.lex_state = 172},
  [90] = {.lex_state = 172},
  [91] = {.lex_state = 172},
  [92] = {.lex_state = 335},
  [93] = {.lex_state = 335},
  [94] = {.lex_state = 335},
  [95] = {.lex_state = 335},
  [96] = {.lex_state = 172},
  [97] = {.lex_state = 335},
  [98] = {.lex_state = 335},
  [99] = {.lex_state = 335},
  [100] = {.lex_state = 335},
  [101] = {.lex_state = 335},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 171},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 171},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 173},
  [122] = {.lex_state = 173},
  [123] = {.lex_state = 173},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 162},
  [126] = {.lex_state = 335},
  [127] = {.lex_state = 162},
  [128] = {.lex_state = 335},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 164},
  [131] = {.lex_state = 162},
  [132] = {.lex_state = 171},
  [133] = {.lex_state = 171},
  [134] = {.lex_state = 171},
  [135] = {.lex_state = 171},
  [136] = {.lex_state = 171},
  [137] = {.lex_state = 171},
  [138] = {.lex_state = 171},
  [139] = {.lex_state = 171},
  [140] = {.lex_state = 171},
  [141] = {.lex_state = 171},
  [142] = {.lex_state = 171},
  [143] = {.lex_state = 171},
  [144] = {.lex_state = 171},
  [145] = {.lex_state = 171},
  [146] = {.lex_state = 162},
  [147] = {.lex_state = 171},
  [148] = {.lex_state = 171},
  [149] = {.lex_state = 171},
  [150] = {.lex_state = 171},
  [151] = {.lex_state = 171},
  [152] = {.lex_state = 171},
  [153] = {.lex_state = 171},
  [154] = {.lex_state = 171},
  [155] = {.lex_state = 171},
  [156] = {.lex_state = 171},
  [157] = {.lex_state = 171},
  [158] = {.lex_state = 171},
  [159] = {.lex_state = 171},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 171},
  [162] = {.lex_state = 171},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 171},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 171},
  [169] = {.lex_state = 171},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 171},
  [173] = {.lex_state = 171},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 171},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 171},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 165},
  [192] = {.lex_state = 171},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 164},
  [195] = {.lex_state = 169},
  [196] = {.lex_state = 174},
  [197] = {.lex_state = 174},
  [198] = {.lex_state = 174},
  [199] = {.lex_state = 174},
  [200] = {.lex_state = 174},
  [201] = {.lex_state = 169},
  [202] = {.lex_state = 174},
  [203] = {.lex_state = 174},
  [204] = {.lex_state = 174},
  [205] = {.lex_state = 174},
  [206] = {.lex_state = 174},
  [207] = {.lex_state = 174},
  [208] = {.lex_state = 174},
  [209] = {.lex_state = 174},
  [210] = {.lex_state = 174},
  [211] = {.lex_state = 174},
  [212] = {.lex_state = 174},
  [213] = {.lex_state = 174},
  [214] = {.lex_state = 169},
  [215] = {.lex_state = 174},
  [216] = {.lex_state = 174},
  [217] = {.lex_state = 174},
  [218] = {.lex_state = 174},
  [219] = {.lex_state = 174},
  [220] = {.lex_state = 174},
  [221] = {.lex_state = 174},
  [222] = {.lex_state = 174},
  [223] = {.lex_state = 174},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 169},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 169},
  [229] = {.lex_state = 169},
  [230] = {.lex_state = 169},
  [231] = {.lex_state = 169},
  [232] = {.lex_state = 169},
  [233] = {.lex_state = 169},
  [234] = {.lex_state = 169},
  [235] = {.lex_state = 169},
  [236] = {.lex_state = 169},
  [237] = {.lex_state = 169},
  [238] = {.lex_state = 169},
  [239] = {.lex_state = 169},
  [240] = {.lex_state = 169},
  [241] = {.lex_state = 169},
  [242] = {.lex_state = 169},
  [243] = {.lex_state = 169},
  [244] = {.lex_state = 169},
  [245] = {.lex_state = 169},
  [246] = {.lex_state = 169},
  [247] = {.lex_state = 169},
  [248] = {.lex_state = 169},
  [249] = {.lex_state = 169},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 169},
  [252] = {.lex_state = 169},
  [253] = {.lex_state = 169},
  [254] = {.lex_state = 169},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 169},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 169},
  [264] = {.lex_state = 169},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 169},
  [269] = {.lex_state = 169},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 169},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 169},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 169},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 169},
  [284] = {.lex_state = 169},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 169},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 169},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 169},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 169},
  [294] = {.lex_state = 169},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 169},
  [299] = {.lex_state = 169},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 169},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 169},
  [307] = {.lex_state = 169},
  [308] = {.lex_state = 169},
  [309] = {.lex_state = 169},
  [310] = {.lex_state = 169},
  [311] = {.lex_state = 169},
  [312] = {.lex_state = 171},
  [313] = {.lex_state = 169},
  [314] = {.lex_state = 171},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 172},
  [317] = {.lex_state = 335},
  [318] = {.lex_state = 169},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 169},
  [321] = {.lex_state = 169},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 335},
  [324] = {.lex_state = 169},
  [325] = {.lex_state = 335},
  [326] = {.lex_state = 169},
  [327] = {.lex_state = 169},
  [328] = {.lex_state = 169},
  [329] = {.lex_state = 169},
  [330] = {.lex_state = 169},
  [331] = {.lex_state = 169},
  [332] = {.lex_state = 169},
  [333] = {.lex_state = 169},
  [334] = {.lex_state = 169},
  [335] = {.lex_state = 169},
  [336] = {.lex_state = 169},
  [337] = {.lex_state = 169},
  [338] = {.lex_state = 169},
  [339] = {.lex_state = 169},
  [340] = {.lex_state = 169},
  [341] = {.lex_state = 169},
  [342] = {.lex_state = 169},
  [343] = {.lex_state = 169},
  [344] = {.lex_state = 169},
  [345] = {.lex_state = 169},
  [346] = {.lex_state = 169},
  [347] = {.lex_state = 169},
  [348] = {.lex_state = 169},
  [349] = {.lex_state = 169},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 169},
  [352] = {.lex_state = 169},
  [353] = {.lex_state = 169},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 169},
  [356] = {.lex_state = 169},
  [357] = {.lex_state = 169},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 169},
  [360] = {.lex_state = 171},
  [361] = {.lex_state = 169},
  [362] = {.lex_state = 169},
  [363] = {.lex_state = 172},
  [364] = {.lex_state = 169},
  [365] = {.lex_state = 169},
  [366] = {.lex_state = 169},
  [367] = {.lex_state = 169},
  [368] = {.lex_state = 169},
  [369] = {.lex_state = 169},
  [370] = {.lex_state = 169},
  [371] = {.lex_state = 169},
  [372] = {.lex_state = 335},
  [373] = {.lex_state = 169},
  [374] = {.lex_state = 169},
  [375] = {.lex_state = 169},
  [376] = {.lex_state = 169},
  [377] = {.lex_state = 169},
  [378] = {.lex_state = 169},
  [379] = {.lex_state = 169},
  [380] = {.lex_state = 169},
  [381] = {.lex_state = 169},
  [382] = {.lex_state = 169},
  [383] = {.lex_state = 169},
  [384] = {.lex_state = 237},
  [385] = {.lex_state = 237},
  [386] = {.lex_state = 237},
  [387] = {.lex_state = 174},
  [388] = {.lex_state = 174},
  [389] = {.lex_state = 237},
  [390] = {.lex_state = 174},
  [391] = {.lex_state = 174},
  [392] = {.lex_state = 237},
  [393] = {.lex_state = 174},
  [394] = {.lex_state = 237},
  [395] = {.lex_state = 237},
  [396] = {.lex_state = 335},
  [397] = {.lex_state = 174},
  [398] = {.lex_state = 174},
  [399] = {.lex_state = 174},
  [400] = {.lex_state = 174},
  [401] = {.lex_state = 237},
  [402] = {.lex_state = 237},
  [403] = {.lex_state = 172},
  [404] = {.lex_state = 174},
  [405] = {.lex_state = 237},
  [406] = {.lex_state = 237},
  [407] = {.lex_state = 237},
  [408] = {.lex_state = 174},
  [409] = {.lex_state = 174},
  [410] = {.lex_state = 174},
  [411] = {.lex_state = 237},
  [412] = {.lex_state = 174},
  [413] = {.lex_state = 174},
  [414] = {.lex_state = 174},
  [415] = {.lex_state = 237},
  [416] = {.lex_state = 174},
  [417] = {.lex_state = 172},
  [418] = {.lex_state = 335},
  [419] = {.lex_state = 237},
  [420] = {.lex_state = 237},
  [421] = {.lex_state = 172},
  [422] = {.lex_state = 173},
  [423] = {.lex_state = 335},
  [424] = {.lex_state = 174},
  [425] = {.lex_state = 172},
  [426] = {.lex_state = 335},
  [427] = {.lex_state = 173},
  [428] = {.lex_state = 172},
  [429] = {.lex_state = 335},
  [430] = {.lex_state = 335},
  [431] = {.lex_state = 172},
  [432] = {.lex_state = 172},
  [433] = {.lex_state = 335},
  [434] = {.lex_state = 335},
  [435] = {.lex_state = 171},
  [436] = {.lex_state = 335},
  [437] = {.lex_state = 335},
  [438] = {.lex_state = 335},
  [439] = {.lex_state = 335},
  [440] = {.lex_state = 335},
  [441] = {.lex_state = 172},
  [442] = {.lex_state = 335},
  [443] = {.lex_state = 335},
  [444] = {.lex_state = 335},
  [445] = {.lex_state = 172},
  [446] = {.lex_state = 335},
  [447] = {.lex_state = 172},
  [448] = {.lex_state = 172},
  [449] = {.lex_state = 335},
  [450] = {.lex_state = 172},
  [451] = {.lex_state = 335},
  [452] = {.lex_state = 172},
  [453] = {.lex_state = 172},
  [454] = {.lex_state = 335},
  [455] = {.lex_state = 172},
  [456] = {.lex_state = 335},
  [457] = {.lex_state = 335},
  [458] = {.lex_state = 172},
  [459] = {.lex_state = 172},
  [460] = {.lex_state = 172},
  [461] = {.lex_state = 172},
  [462] = {.lex_state = 172},
  [463] = {.lex_state = 335},
  [464] = {.lex_state = 172},
  [465] = {.lex_state = 172},
  [466] = {.lex_state = 172},
  [467] = {.lex_state = 172},
  [468] = {.lex_state = 172},
  [469] = {.lex_state = 172},
  [470] = {.lex_state = 172},
  [471] = {.lex_state = 335},
  [472] = {.lex_state = 335},
  [473] = {.lex_state = 335},
  [474] = {.lex_state = 172},
  [475] = {.lex_state = 335},
  [476] = {.lex_state = 172},
  [477] = {.lex_state = 335},
  [478] = {.lex_state = 335},
  [479] = {.lex_state = 335},
  [480] = {.lex_state = 335},
  [481] = {.lex_state = 335},
  [482] = {.lex_state = 335},
  [483] = {.lex_state = 335},
  [484] = {.lex_state = 335},
  [485] = {.lex_state = 335},
  [486] = {.lex_state = 335},
  [487] = {.lex_state = 335},
  [488] = {.lex_state = 335},
  [489] = {.lex_state = 335},
  [490] = {.lex_state = 335},
  [491] = {.lex_state = 335},
  [492] = {.lex_state = 335},
  [493] = {.lex_state = 172},
  [494] = {.lex_state = 172},
  [495] = {.lex_state = 335},
  [496] = {.lex_state = 172},
  [497] = {.lex_state = 172},
  [498] = {.lex_state = 335},
  [499] = {.lex_state = 335},
  [500] = {.lex_state = 172},
  [501] = {.lex_state = 335},
  [502] = {.lex_state = 172},
  [503] = {.lex_state = 172},
  [504] = {.lex_state = 172},
  [505] = {.lex_state = 335},
  [506] = {.lex_state = 172},
  [507] = {.lex_state = 172},
  [508] = {.lex_state = 335},
  [509] = {.lex_state = 172},
  [510] = {.lex_state = 172},
  [511] = {.lex_state = 335},
  [512] = {.lex_state = 172},
  [513] = {.lex_state = 172},
  [514] = {.lex_state = 172},
  [515] = {.lex_state = 172},
  [516] = {.lex_state = 172},
  [517] = {.lex_state = 335},
  [518] = {.lex_state = 335},
  [519] = {.lex_state = 172},
  [520] = {.lex_state = 335},
  [521] = {.lex_state = 172},
  [522] = {.lex_state = 335},
  [523] = {.lex_state = 172},
  [524] = {.lex_state = 172},
  [525] = {.lex_state = 172},
  [526] = {.lex_state = 172},
  [527] = {.lex_state = 172},
  [528] = {.lex_state = 172},
  [529] = {.lex_state = 172},
  [530] = {.lex_state = 335},
  [531] = {.lex_state = 172},
  [532] = {.lex_state = 172},
  [533] = {.lex_state = 172},
  [534] = {.lex_state = 335},
  [535] = {.lex_state = 172},
  [536] = {.lex_state = 172},
  [537] = {.lex_state = 172},
  [538] = {.lex_state = 335},
  [539] = {.lex_state = 172},
  [540] = {.lex_state = 335},
  [541] = {.lex_state = 172},
  [542] = {.lex_state = 172},
  [543] = {.lex_state = 335},
  [544] = {.lex_state = 335},
  [545] = {.lex_state = 172},
  [546] = {.lex_state = 335},
  [547] = {.lex_state = 335},
  [548] = {.lex_state = 335},
  [549] = {.lex_state = 172},
  [550] = {.lex_state = 335},
  [551] = {.lex_state = 335},
  [552] = {.lex_state = 335},
  [553] = {.lex_state = 172},
  [554] = {.lex_state = 172},
  [555] = {.lex_state = 172},
  [556] = {.lex_state = 335},
  [557] = {.lex_state = 335},
  [558] = {.lex_state = 335},
  [559] = {.lex_state = 335},
  [560] = {.lex_state = 335},
  [561] = {.lex_state = 335},
  [562] = {.lex_state = 335},
  [563] = {.lex_state = 335},
  [564] = {.lex_state = 335},
  [565] = {.lex_state = 335},
  [566] = {.lex_state = 335},
  [567] = {.lex_state = 335},
  [568] = {.lex_state = 335},
  [569] = {.lex_state = 335},
  [570] = {.lex_state = 335},
  [571] = {.lex_state = 335},
  [572] = {.lex_state = 335},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 335},
  [575] = {.lex_state = 335},
  [576] = {.lex_state = 335},
  [577] = {.lex_state = 335},
  [578] = {.lex_state = 335},
  [579] = {.lex_state = 335},
  [580] = {.lex_state = 335},
  [581] = {.lex_state = 335},
  [582] = {.lex_state = 335},
  [583] = {.lex_state = 335},
  [584] = {.lex_state = 172},
  [585] = {.lex_state = 335},
  [586] = {.lex_state = 335},
  [587] = {.lex_state = 335},
  [588] = {.lex_state = 335},
  [589] = {.lex_state = 335},
  [590] = {.lex_state = 335},
  [591] = {.lex_state = 335},
  [592] = {.lex_state = 335},
  [593] = {.lex_state = 335},
  [594] = {.lex_state = 335},
  [595] = {.lex_state = 335},
  [596] = {.lex_state = 335},
  [597] = {.lex_state = 335},
  [598] = {.lex_state = 335},
  [599] = {.lex_state = 335},
  [600] = {.lex_state = 172},
  [601] = {.lex_state = 335},
  [602] = {.lex_state = 335},
  [603] = {.lex_state = 335},
  [604] = {.lex_state = 335},
  [605] = {.lex_state = 335},
  [606] = {.lex_state = 335},
  [607] = {.lex_state = 335},
  [608] = {.lex_state = 335},
  [609] = {.lex_state = 335},
  [610] = {.lex_state = 335},
  [611] = {.lex_state = 335},
  [612] = {.lex_state = 172},
  [613] = {.lex_state = 335},
  [614] = {.lex_state = 335},
  [615] = {.lex_state = 335},
  [616] = {.lex_state = 335},
  [617] = {.lex_state = 172},
  [618] = {.lex_state = 335},
  [619] = {.lex_state = 335},
  [620] = {.lex_state = 335},
  [621] = {.lex_state = 335},
  [622] = {.lex_state = 335},
  [623] = {.lex_state = 335},
  [624] = {.lex_state = 335},
  [625] = {.lex_state = 335},
  [626] = {.lex_state = 335},
  [627] = {.lex_state = 335},
  [628] = {.lex_state = 335},
  [629] = {.lex_state = 335},
  [630] = {.lex_state = 335},
  [631] = {.lex_state = 335},
  [632] = {.lex_state = 172},
  [633] = {.lex_state = 335},
  [634] = {.lex_state = 335},
  [635] = {.lex_state = 335},
  [636] = {.lex_state = 335},
  [637] = {.lex_state = 335},
  [638] = {.lex_state = 335},
  [639] = {.lex_state = 335},
  [640] = {.lex_state = 335},
  [641] = {.lex_state = 335},
  [642] = {.lex_state = 335},
  [643] = {.lex_state = 172},
  [644] = {.lex_state = 335},
  [645] = {.lex_state = 172},
  [646] = {.lex_state = 335},
  [647] = {.lex_state = 335},
  [648] = {.lex_state = 172},
  [649] = {.lex_state = 335},
  [650] = {.lex_state = 335},
  [651] = {.lex_state = 172},
  [652] = {.lex_state = 172},
  [653] = {.lex_state = 335},
  [654] = {.lex_state = 335},
  [655] = {.lex_state = 335},
  [656] = {.lex_state = 335},
  [657] = {.lex_state = 335},
  [658] = {.lex_state = 335},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 172},
  [661] = {.lex_state = 335},
  [662] = {.lex_state = 172},
  [663] = {.lex_state = 172},
  [664] = {.lex_state = 335},
  [665] = {.lex_state = 335},
  [666] = {.lex_state = 335},
  [667] = {.lex_state = 335},
  [668] = {.lex_state = 335},
  [669] = {.lex_state = 172},
  [670] = {.lex_state = 335},
  [671] = {.lex_state = 172},
  [672] = {.lex_state = 172},
  [673] = {.lex_state = 172},
  [674] = {.lex_state = 335},
  [675] = {.lex_state = 335},
  [676] = {.lex_state = 335},
  [677] = {.lex_state = 335},
  [678] = {.lex_state = 335},
  [679] = {.lex_state = 335},
  [680] = {.lex_state = 172},
  [681] = {.lex_state = 172},
  [682] = {.lex_state = 335},
  [683] = {.lex_state = 335},
  [684] = {.lex_state = 172},
  [685] = {.lex_state = 172},
  [686] = {.lex_state = 335},
  [687] = {.lex_state = 335},
  [688] = {.lex_state = 172},
  [689] = {.lex_state = 335},
  [690] = {.lex_state = 172},
  [691] = {.lex_state = 335},
  [692] = {.lex_state = 172},
  [693] = {.lex_state = 172},
  [694] = {.lex_state = 172},
  [695] = {.lex_state = 172},
  [696] = {.lex_state = 172},
  [697] = {.lex_state = 172},
  [698] = {.lex_state = 237},
  [699] = {.lex_state = 172},
  [700] = {.lex_state = 172},
  [701] = {.lex_state = 172},
  [702] = {.lex_state = 335},
  [703] = {.lex_state = 335},
  [704] = {.lex_state = 335},
  [705] = {.lex_state = 335},
  [706] = {.lex_state = 335},
  [707] = {.lex_state = 335},
  [708] = {.lex_state = 335},
  [709] = {.lex_state = 172},
  [710] = {.lex_state = 335},
  [711] = {.lex_state = 172},
  [712] = {.lex_state = 172},
  [713] = {.lex_state = 335},
  [714] = {.lex_state = 335},
  [715] = {.lex_state = 335},
  [716] = {.lex_state = 172},
  [717] = {.lex_state = 172},
  [718] = {.lex_state = 335},
  [719] = {.lex_state = 172},
  [720] = {.lex_state = 335},
  [721] = {.lex_state = 335},
  [722] = {.lex_state = 335},
  [723] = {.lex_state = 172},
  [724] = {.lex_state = 172},
  [725] = {.lex_state = 172},
  [726] = {.lex_state = 172},
  [727] = {.lex_state = 172},
  [728] = {.lex_state = 172},
  [729] = {.lex_state = 335},
  [730] = {.lex_state = 335},
  [731] = {.lex_state = 335},
  [732] = {.lex_state = 335},
  [733] = {.lex_state = 335},
  [734] = {.lex_state = 335},
  [735] = {.lex_state = 335},
  [736] = {.lex_state = 163},
  [737] = {.lex_state = 172},
  [738] = {.lex_state = 172},
  [739] = {.lex_state = 335},
  [740] = {.lex_state = 335},
  [741] = {.lex_state = 335},
  [742] = {.lex_state = 335},
  [743] = {.lex_state = 172},
  [744] = {.lex_state = 335},
  [745] = {.lex_state = 335},
  [746] = {.lex_state = 172},
  [747] = {.lex_state = 335},
  [748] = {.lex_state = 335},
  [749] = {.lex_state = 335},
  [750] = {.lex_state = 335},
  [751] = {.lex_state = 172},
  [752] = {.lex_state = 172},
  [753] = {.lex_state = 335},
  [754] = {.lex_state = 172},
  [755] = {.lex_state = 172},
  [756] = {.lex_state = 172},
  [757] = {.lex_state = 172},
  [758] = {.lex_state = 335},
  [759] = {.lex_state = 172},
  [760] = {.lex_state = 172},
  [761] = {.lex_state = 172},
  [762] = {.lex_state = 335},
  [763] = {.lex_state = 172},
  [764] = {.lex_state = 172},
  [765] = {.lex_state = 335},
  [766] = {.lex_state = 172},
  [767] = {.lex_state = 172},
  [768] = {.lex_state = 335},
  [769] = {.lex_state = 335},
  [770] = {.lex_state = 172},
  [771] = {.lex_state = 335},
  [772] = {.lex_state = 172},
  [773] = {.lex_state = 335},
  [774] = {.lex_state = 335},
  [775] = {.lex_state = 172},
  [776] = {.lex_state = 335},
  [777] = {.lex_state = 335},
  [778] = {.lex_state = 335},
  [779] = {.lex_state = 335},
  [780] = {.lex_state = 335},
  [781] = {.lex_state = 335},
  [782] = {.lex_state = 335},
  [783] = {.lex_state = 335},
  [784] = {.lex_state = 335},
  [785] = {.lex_state = 172},
  [786] = {.lex_state = 172},
  [787] = {.lex_state = 335},
  [788] = {.lex_state = 335},
  [789] = {.lex_state = 172},
  [790] = {.lex_state = 172},
  [791] = {.lex_state = 335},
  [792] = {.lex_state = 172},
  [793] = {.lex_state = 335},
  [794] = {.lex_state = 172},
  [795] = {.lex_state = 172},
  [796] = {.lex_state = 172},
  [797] = {.lex_state = 172},
  [798] = {.lex_state = 172},
  [799] = {.lex_state = 335},
  [800] = {.lex_state = 172},
  [801] = {.lex_state = 172},
  [802] = {.lex_state = 335},
  [803] = {.lex_state = 335},
  [804] = {.lex_state = 172},
  [805] = {.lex_state = 335},
  [806] = {.lex_state = 172},
  [807] = {.lex_state = 172},
  [808] = {.lex_state = 172},
  [809] = {.lex_state = 335},
  [810] = {.lex_state = 172},
  [811] = {.lex_state = 172},
  [812] = {.lex_state = 335},
  [813] = {.lex_state = 335},
  [814] = {.lex_state = 163},
  [815] = {.lex_state = 335},
  [816] = {.lex_state = 335},
  [817] = {.lex_state = 335},
  [818] = {.lex_state = 335},
  [819] = {.lex_state = 335},
  [820] = {.lex_state = 335},
  [821] = {.lex_state = 335},
  [822] = {.lex_state = 335},
  [823] = {.lex_state = 335},
  [824] = {.lex_state = 335},
  [825] = {.lex_state = 335},
  [826] = {.lex_state = 335},
  [827] = {.lex_state = 335},
  [828] = {.lex_state = 335},
  [829] = {.lex_state = 335},
  [830] = {.lex_state = 335},
  [831] = {.lex_state = 335},
  [832] = {.lex_state = 335},
  [833] = {.lex_state = 335},
  [834] = {.lex_state = 335},
  [835] = {.lex_state = 335},
  [836] = {.lex_state = 335},
  [837] = {.lex_state = 335},
  [838] = {.lex_state = 335},
  [839] = {.lex_state = 335},
  [840] = {.lex_state = 335},
  [841] = {.lex_state = 335},
  [842] = {.lex_state = 335},
  [843] = {.lex_state = 335},
  [844] = {.lex_state = 335},
  [845] = {.lex_state = 335},
  [846] = {.lex_state = 335},
  [847] = {.lex_state = 335},
  [848] = {.lex_state = 163},
  [849] = {.lex_state = 335},
  [850] = {.lex_state = 335},
  [851] = {.lex_state = 335},
  [852] = {.lex_state = 335},
  [853] = {.lex_state = 335},
  [854] = {.lex_state = 335},
  [855] = {.lex_state = 335},
  [856] = {.lex_state = 335},
  [857] = {.lex_state = 335},
  [858] = {.lex_state = 335},
  [859] = {.lex_state = 335},
  [860] = {.lex_state = 335},
  [861] = {.lex_state = 335},
  [862] = {.lex_state = 335},
  [863] = {.lex_state = 335},
  [864] = {.lex_state = 335},
  [865] = {.lex_state = 335},
  [866] = {.lex_state = 335},
  [867] = {.lex_state = 335},
  [868] = {.lex_state = 335},
  [869] = {.lex_state = 335},
  [870] = {.lex_state = 335},
  [871] = {.lex_state = 335},
  [872] = {.lex_state = 335},
  [873] = {.lex_state = 335},
  [874] = {.lex_state = 335},
  [875] = {.lex_state = 335},
  [876] = {.lex_state = 335},
  [877] = {.lex_state = 335},
  [878] = {.lex_state = 335},
  [879] = {.lex_state = 335},
  [880] = {.lex_state = 335},
  [881] = {.lex_state = 335},
  [882] = {.lex_state = 335},
  [883] = {.lex_state = 335},
  [884] = {.lex_state = 193},
  [885] = {.lex_state = 238},
  [886] = {.lex_state = 193},
  [887] = {.lex_state = 193},
  [888] = {.lex_state = 193},
  [889] = {.lex_state = 238},
  [890] = {.lex_state = 238},
  [891] = {.lex_state = 193},
  [892] = {.lex_state = 193},
  [893] = {.lex_state = 163},
  [894] = {.lex_state = 193},
  [895] = {.lex_state = 193},
  [896] = {.lex_state = 193},
  [897] = {.lex_state = 193},
  [898] = {.lex_state = 193},
  [899] = {.lex_state = 193},
  [900] = {.lex_state = 163},
  [901] = {.lex_state = 193},
  [902] = {.lex_state = 193},
  [903] = {.lex_state = 193},
  [904] = {.lex_state = 193},
  [905] = {.lex_state = 166},
  [906] = {.lex_state = 193},
  [907] = {.lex_state = 193},
  [908] = {.lex_state = 193},
  [909] = {.lex_state = 193},
  [910] = {.lex_state = 193},
  [911] = {.lex_state = 163},
  [912] = {.lex_state = 167},
  [913] = {.lex_state = 167},
  [914] = {.lex_state = 237},
  [915] = {.lex_state = 335},
  [916] = {.lex_state = 237},
  [917] = {.lex_state = 237},
  [918] = {.lex_state = 335},
  [919] = {.lex_state = 237},
  [920] = {.lex_state = 237},
  [921] = {.lex_state = 237},
  [922] = {.lex_state = 237},
  [923] = {.lex_state = 237},
  [924] = {.lex_state = 237},
  [925] = {.lex_state = 237},
  [926] = {.lex_state = 237},
  [927] = {.lex_state = 237},
  [928] = {.lex_state = 237},
  [929] = {.lex_state = 237},
  [930] = {.lex_state = 335},
  [931] = {.lex_state = 186},
  [932] = {.lex_state = 174},
  [933] = {.lex_state = 174},
  [934] = {.lex_state = 174},
  [935] = {.lex_state = 174},
  [936] = {.lex_state = 174},
  [937] = {.lex_state = 174},
  [938] = {.lex_state = 171},
  [939] = {.lex_state = 174},
  [940] = {.lex_state = 174},
  [941] = {.lex_state = 174},
  [942] = {.lex_state = 186},
  [943] = {.lex_state = 186},
  [944] = {.lex_state = 174},
  [945] = {.lex_state = 174},
  [946] = {.lex_state = 174},
  [947] = {.lex_state = 174},
  [948] = {.lex_state = 174},
  [949] = {.lex_state = 171},
  [950] = {.lex_state = 174},
  [951] = {.lex_state = 174},
  [952] = {.lex_state = 174},
  [953] = {.lex_state = 174},
  [954] = {.lex_state = 186},
  [955] = {.lex_state = 174},
  [956] = {.lex_state = 174},
  [957] = {.lex_state = 174},
  [958] = {.lex_state = 173},
  [959] = {.lex_state = 173},
  [960] = {.lex_state = 186},
  [961] = {.lex_state = 171},
  [962] = {.lex_state = 171},
  [963] = {.lex_state = 171},
  [964] = {.lex_state = 171},
  [965] = {.lex_state = 171},
  [966] = {.lex_state = 171},
  [967] = {.lex_state = 171},
  [968] = {.lex_state = 171},
  [969] = {.lex_state = 171},
  [970] = {.lex_state = 171},
  [971] = {.lex_state = 171},
  [972] = {.lex_state = 171},
  [973] = {.lex_state = 171},
  [974] = {.lex_state = 171},
  [975] = {.lex_state = 171},
  [976] = {.lex_state = 171},
  [977] = {.lex_state = 171},
  [978] = {.lex_state = 171},
  [979] = {.lex_state = 171},
  [980] = {.lex_state = 171},
  [981] = {.lex_state = 171},
  [982] = {.lex_state = 171},
  [983] = {.lex_state = 171},
  [984] = {.lex_state = 171},
  [985] = {.lex_state = 171},
  [986] = {.lex_state = 171},
  [987] = {.lex_state = 171},
  [988] = {.lex_state = 171},
  [989] = {.lex_state = 171},
  [990] = {.lex_state = 171},
  [991] = {.lex_state = 171},
  [992] = {.lex_state = 171},
  [993] = {.lex_state = 171},
  [994] = {.lex_state = 171},
  [995] = {.lex_state = 171},
  [996] = {.lex_state = 171},
  [997] = {.lex_state = 171},
  [998] = {.lex_state = 171},
  [999] = {.lex_state = 171},
  [1000] = {.lex_state = 171},
  [1001] = {.lex_state = 171},
  [1002] = {.lex_state = 171},
  [1003] = {.lex_state = 171},
  [1004] = {.lex_state = 171},
  [1005] = {.lex_state = 171},
  [1006] = {.lex_state = 171},
  [1007] = {.lex_state = 171},
  [1008] = {.lex_state = 171},
  [1009] = {.lex_state = 171},
  [1010] = {.lex_state = 171},
  [1011] = {.lex_state = 171},
  [1012] = {.lex_state = 171},
  [1013] = {.lex_state = 171},
  [1014] = {.lex_state = 171},
  [1015] = {.lex_state = 171},
  [1016] = {.lex_state = 171},
  [1017] = {.lex_state = 171},
  [1018] = {.lex_state = 171},
  [1019] = {.lex_state = 171},
  [1020] = {.lex_state = 171},
  [1021] = {.lex_state = 171},
  [1022] = {.lex_state = 171},
  [1023] = {.lex_state = 171},
  [1024] = {.lex_state = 171},
  [1025] = {.lex_state = 171},
  [1026] = {.lex_state = 171},
  [1027] = {.lex_state = 171},
  [1028] = {.lex_state = 171},
  [1029] = {.lex_state = 171},
  [1030] = {.lex_state = 171},
  [1031] = {.lex_state = 171},
  [1032] = {.lex_state = 171},
  [1033] = {.lex_state = 171},
  [1034] = {.lex_state = 171},
  [1035] = {.lex_state = 171},
  [1036] = {.lex_state = 171},
  [1037] = {.lex_state = 171},
  [1038] = {.lex_state = 171},
  [1039] = {.lex_state = 171},
  [1040] = {.lex_state = 171},
  [1041] = {.lex_state = 171},
  [1042] = {.lex_state = 171},
  [1043] = {.lex_state = 171},
  [1044] = {.lex_state = 171},
  [1045] = {.lex_state = 237},
  [1046] = {.lex_state = 174},
  [1047] = {.lex_state = 174},
  [1048] = {.lex_state = 174},
  [1049] = {.lex_state = 174},
  [1050] = {.lex_state = 174},
  [1051] = {.lex_state = 174},
  [1052] = {.lex_state = 174},
  [1053] = {.lex_state = 174},
  [1054] = {.lex_state = 174},
  [1055] = {.lex_state = 174},
  [1056] = {.lex_state = 174},
  [1057] = {.lex_state = 174},
  [1058] = {.lex_state = 174},
  [1059] = {.lex_state = 174},
  [1060] = {.lex_state = 174},
  [1061] = {.lex_state = 174},
  [1062] = {.lex_state = 174},
  [1063] = {.lex_state = 174},
  [1064] = {.lex_state = 174},
  [1065] = {.lex_state = 174},
  [1066] = {.lex_state = 174},
  [1067] = {.lex_state = 174},
  [1068] = {.lex_state = 174},
  [1069] = {.lex_state = 174},
  [1070] = {.lex_state = 174},
  [1071] = {.lex_state = 174},
  [1072] = {.lex_state = 174},
  [1073] = {.lex_state = 174},
  [1074] = {.lex_state = 174},
  [1075] = {.lex_state = 174},
  [1076] = {.lex_state = 174},
  [1077] = {.lex_state = 186},
  [1078] = {.lex_state = 174},
  [1079] = {.lex_state = 174},
  [1080] = {.lex_state = 174},
  [1081] = {.lex_state = 186},
  [1082] = {.lex_state = 186},
  [1083] = {.lex_state = 174},
  [1084] = {.lex_state = 174},
  [1085] = {.lex_state = 186},
  [1086] = {.lex_state = 186},
  [1087] = {.lex_state = 174},
  [1088] = {.lex_state = 182},
  [1089] = {.lex_state = 174},
  [1090] = {.lex_state = 186},
  [1091] = {.lex_state = 174},
  [1092] = {.lex_state = 186},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 174},
  [1096] = {.lex_state = 174},
  [1097] = {.lex_state = 174},
  [1098] = {.lex_state = 174},
  [1099] = {.lex_state = 174},
  [1100] = {.lex_state = 174},
  [1101] = {.lex_state = 175},
  [1102] = {.lex_state = 175},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 175},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 174},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 173},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 174},
  [1126] = {.lex_state = 174},
  [1127] = {.lex_state = 173},
  [1128] = {.lex_state = 174},
  [1129] = {.lex_state = 174},
  [1130] = {.lex_state = 174},
  [1131] = {.lex_state = 173},
  [1132] = {.lex_state = 174},
  [1133] = {.lex_state = 173},
  [1134] = {.lex_state = 173},
  [1135] = {.lex_state = 174},
  [1136] = {.lex_state = 173},
  [1137] = {.lex_state = 173},
  [1138] = {.lex_state = 174},
  [1139] = {.lex_state = 174},
  [1140] = {.lex_state = 174},
  [1141] = {.lex_state = 173},
  [1142] = {.lex_state = 174},
  [1143] = {.lex_state = 173},
  [1144] = {.lex_state = 173},
  [1145] = {.lex_state = 173},
  [1146] = {.lex_state = 173},
  [1147] = {.lex_state = 174},
  [1148] = {.lex_state = 174},
  [1149] = {.lex_state = 173},
  [1150] = {.lex_state = 173},
  [1151] = {.lex_state = 173},
  [1152] = {.lex_state = 174},
  [1153] = {.lex_state = 174},
  [1154] = {.lex_state = 173},
  [1155] = {.lex_state = 174},
  [1156] = {.lex_state = 174},
  [1157] = {.lex_state = 173},
  [1158] = {.lex_state = 174},
  [1159] = {.lex_state = 173},
  [1160] = {.lex_state = 174},
  [1161] = {.lex_state = 173},
  [1162] = {.lex_state = 173},
  [1163] = {.lex_state = 173},
  [1164] = {.lex_state = 174},
  [1165] = {.lex_state = 173},
  [1166] = {.lex_state = 174},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 173},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 173},
  [1173] = {.lex_state = 173},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 174},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 173},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 174},
  [1207] = {.lex_state = 174},
  [1208] = {.lex_state = 174},
  [1209] = {.lex_state = 174},
  [1210] = {.lex_state = 174},
  [1211] = {.lex_state = 174},
  [1212] = {.lex_state = 174},
  [1213] = {.lex_state = 174},
  [1214] = {.lex_state = 174},
  [1215] = {.lex_state = 174},
  [1216] = {.lex_state = 174},
  [1217] = {.lex_state = 174},
  [1218] = {.lex_state = 174},
  [1219] = {.lex_state = 174},
  [1220] = {.lex_state = 174},
  [1221] = {.lex_state = 174},
  [1222] = {.lex_state = 174},
  [1223] = {.lex_state = 174},
  [1224] = {.lex_state = 174},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 174},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 174},
  [1262] = {.lex_state = 174},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 174},
  [1267] = {.lex_state = 174},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 174},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 174},
  [1273] = {.lex_state = 174},
  [1274] = {.lex_state = 174},
  [1275] = {.lex_state = 174},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 174},
  [1278] = {.lex_state = 174},
  [1279] = {.lex_state = 174},
  [1280] = {.lex_state = 174},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 174},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 174},
  [1292] = {.lex_state = 174},
  [1293] = {.lex_state = 174},
  [1294] = {.lex_state = 174},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 174},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 174},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 174},
  [1310] = {.lex_state = 174},
  [1311] = {.lex_state = 174},
  [1312] = {.lex_state = 174},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 174},
  [1316] = {.lex_state = 174},
  [1317] = {.lex_state = 174},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 174},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 174},
  [1333] = {.lex_state = 174},
  [1334] = {.lex_state = 174},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 174},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 174},
  [1352] = {.lex_state = 174},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 174},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 174},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 174},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 174},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 174},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 174},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 174},
  [1498] = {.lex_state = 174},
  [1499] = {.lex_state = 174},
  [1500] = {.lex_state = 174},
  [1501] = {.lex_state = 174},
  [1502] = {.lex_state = 174},
  [1503] = {.lex_state = 174},
  [1504] = {.lex_state = 174},
  [1505] = {.lex_state = 174},
  [1506] = {.lex_state = 174},
  [1507] = {.lex_state = 174},
  [1508] = {.lex_state = 174},
  [1509] = {.lex_state = 174},
  [1510] = {.lex_state = 174},
  [1511] = {.lex_state = 174},
  [1512] = {.lex_state = 174},
  [1513] = {.lex_state = 174},
  [1514] = {.lex_state = 174},
  [1515] = {.lex_state = 174},
  [1516] = {.lex_state = 174},
  [1517] = {.lex_state = 174},
  [1518] = {.lex_state = 174},
  [1519] = {.lex_state = 174},
  [1520] = {.lex_state = 174},
  [1521] = {.lex_state = 174},
  [1522] = {.lex_state = 174},
  [1523] = {.lex_state = 174},
  [1524] = {.lex_state = 174},
  [1525] = {.lex_state = 174},
  [1526] = {.lex_state = 174},
  [1527] = {.lex_state = 174},
  [1528] = {.lex_state = 174},
  [1529] = {.lex_state = 174},
  [1530] = {.lex_state = 174},
  [1531] = {.lex_state = 174},
  [1532] = {.lex_state = 174},
  [1533] = {.lex_state = 174},
  [1534] = {.lex_state = 174},
  [1535] = {.lex_state = 174},
  [1536] = {.lex_state = 174},
  [1537] = {.lex_state = 174},
  [1538] = {.lex_state = 174},
  [1539] = {.lex_state = 174},
  [1540] = {.lex_state = 174},
  [1541] = {.lex_state = 174},
  [1542] = {.lex_state = 174},
  [1543] = {.lex_state = 174},
  [1544] = {.lex_state = 174},
  [1545] = {.lex_state = 174},
  [1546] = {.lex_state = 174},
  [1547] = {.lex_state = 174},
  [1548] = {.lex_state = 174},
  [1549] = {.lex_state = 174},
  [1550] = {.lex_state = 174},
  [1551] = {.lex_state = 174},
  [1552] = {.lex_state = 174},
  [1553] = {.lex_state = 174},
  [1554] = {.lex_state = 174},
  [1555] = {.lex_state = 174},
  [1556] = {.lex_state = 174},
  [1557] = {.lex_state = 174},
  [1558] = {.lex_state = 174},
  [1559] = {.lex_state = 174},
  [1560] = {.lex_state = 174},
  [1561] = {.lex_state = 174},
  [1562] = {.lex_state = 174},
  [1563] = {.lex_state = 174},
  [1564] = {.lex_state = 174},
  [1565] = {.lex_state = 174},
  [1566] = {.lex_state = 174},
  [1567] = {.lex_state = 174},
  [1568] = {.lex_state = 174},
  [1569] = {.lex_state = 174},
  [1570] = {.lex_state = 174},
  [1571] = {.lex_state = 174},
  [1572] = {.lex_state = 174},
  [1573] = {.lex_state = 174},
  [1574] = {.lex_state = 174},
  [1575] = {.lex_state = 174},
  [1576] = {.lex_state = 174},
  [1577] = {.lex_state = 174},
  [1578] = {.lex_state = 174},
  [1579] = {.lex_state = 174},
  [1580] = {.lex_state = 174},
  [1581] = {.lex_state = 174},
  [1582] = {.lex_state = 174},
  [1583] = {.lex_state = 174},
  [1584] = {.lex_state = 174},
  [1585] = {.lex_state = 174},
  [1586] = {.lex_state = 174},
  [1587] = {.lex_state = 174},
  [1588] = {.lex_state = 174},
  [1589] = {.lex_state = 174},
  [1590] = {.lex_state = 174},
  [1591] = {.lex_state = 174},
  [1592] = {.lex_state = 174},
  [1593] = {.lex_state = 174},
  [1594] = {.lex_state = 174},
  [1595] = {.lex_state = 174},
  [1596] = {.lex_state = 174},
  [1597] = {.lex_state = 174},
  [1598] = {.lex_state = 174},
  [1599] = {.lex_state = 174},
  [1600] = {.lex_state = 174},
  [1601] = {.lex_state = 174},
  [1602] = {.lex_state = 174},
  [1603] = {.lex_state = 174},
  [1604] = {.lex_state = 174},
  [1605] = {.lex_state = 174},
  [1606] = {.lex_state = 174},
  [1607] = {.lex_state = 174},
  [1608] = {.lex_state = 174},
  [1609] = {.lex_state = 174},
  [1610] = {.lex_state = 174},
  [1611] = {.lex_state = 174},
  [1612] = {.lex_state = 174},
  [1613] = {.lex_state = 174},
  [1614] = {.lex_state = 174},
  [1615] = {.lex_state = 174},
  [1616] = {.lex_state = 174},
  [1617] = {.lex_state = 174},
  [1618] = {.lex_state = 174},
  [1619] = {.lex_state = 174},
  [1620] = {.lex_state = 174},
  [1621] = {.lex_state = 174},
  [1622] = {.lex_state = 174},
  [1623] = {.lex_state = 174},
  [1624] = {.lex_state = 174},
  [1625] = {.lex_state = 174},
  [1626] = {.lex_state = 174},
  [1627] = {.lex_state = 174},
  [1628] = {.lex_state = 174},
  [1629] = {.lex_state = 174},
  [1630] = {.lex_state = 174},
  [1631] = {.lex_state = 174},
  [1632] = {.lex_state = 174},
  [1633] = {.lex_state = 174},
  [1634] = {.lex_state = 174},
  [1635] = {.lex_state = 174},
  [1636] = {.lex_state = 174},
  [1637] = {.lex_state = 174},
  [1638] = {.lex_state = 174},
  [1639] = {.lex_state = 174},
  [1640] = {.lex_state = 174},
  [1641] = {.lex_state = 174},
  [1642] = {.lex_state = 174},
  [1643] = {.lex_state = 174},
  [1644] = {.lex_state = 174},
  [1645] = {.lex_state = 174},
  [1646] = {.lex_state = 174},
  [1647] = {.lex_state = 174},
  [1648] = {.lex_state = 174},
  [1649] = {.lex_state = 174},
  [1650] = {.lex_state = 174},
  [1651] = {.lex_state = 174},
  [1652] = {.lex_state = 174},
  [1653] = {.lex_state = 174},
  [1654] = {.lex_state = 174},
  [1655] = {.lex_state = 174},
  [1656] = {.lex_state = 174},
  [1657] = {.lex_state = 174},
  [1658] = {.lex_state = 174},
  [1659] = {.lex_state = 174},
  [1660] = {.lex_state = 174},
  [1661] = {.lex_state = 174},
  [1662] = {.lex_state = 174},
  [1663] = {.lex_state = 174},
  [1664] = {.lex_state = 174},
  [1665] = {.lex_state = 174},
  [1666] = {.lex_state = 174},
  [1667] = {.lex_state = 174},
  [1668] = {.lex_state = 174},
  [1669] = {.lex_state = 174},
  [1670] = {.lex_state = 174},
  [1671] = {.lex_state = 174},
  [1672] = {.lex_state = 174},
  [1673] = {.lex_state = 174},
  [1674] = {.lex_state = 174},
  [1675] = {.lex_state = 174},
  [1676] = {.lex_state = 194},
  [1677] = {.lex_state = 194},
  [1678] = {.lex_state = 194},
  [1679] = {.lex_state = 194},
  [1680] = {.lex_state = 194},
  [1681] = {.lex_state = 194},
  [1682] = {.lex_state = 194},
  [1683] = {.lex_state = 194},
  [1684] = {.lex_state = 194},
  [1685] = {.lex_state = 237},
  [1686] = {.lex_state = 237},
  [1687] = {.lex_state = 237},
  [1688] = {.lex_state = 171},
  [1689] = {.lex_state = 171},
  [1690] = {.lex_state = 237},
  [1691] = {.lex_state = 237},
  [1692] = {.lex_state = 237},
  [1693] = {.lex_state = 171},
  [1694] = {.lex_state = 192},
  [1695] = {.lex_state = 194},
  [1696] = {.lex_state = 192},
  [1697] = {.lex_state = 192},
  [1698] = {.lex_state = 192},
  [1699] = {.lex_state = 182},
  [1700] = {.lex_state = 192},
  [1701] = {.lex_state = 192},
  [1702] = {.lex_state = 192},
  [1703] = {.lex_state = 194},
  [1704] = {.lex_state = 192},
  [1705] = {.lex_state = 192},
  [1706] = {.lex_state = 194},
  [1707] = {.lex_state = 223},
  [1708] = {.lex_state = 183},
  [1709] = {.lex_state = 194},
  [1710] = {.lex_state = 223},
  [1711] = {.lex_state = 223},
  [1712] = {.lex_state = 223},
  [1713] = {.lex_state = 223},
  [1714] = {.lex_state = 223},
  [1715] = {.lex_state = 223},
  [1716] = {.lex_state = 187},
  [1717] = {.lex_state = 192},
  [1718] = {.lex_state = 192},
  [1719] = {.lex_state = 192},
  [1720] = {.lex_state = 192},
  [1721] = {.lex_state = 192},
  [1722] = {.lex_state = 192},
  [1723] = {.lex_state = 192},
  [1724] = {.lex_state = 192},
  [1725] = {.lex_state = 223},
  [1726] = {.lex_state = 237},
  [1727] = {.lex_state = 237},
  [1728] = {.lex_state = 237},
  [1729] = {.lex_state = 237},
  [1730] = {.lex_state = 237},
  [1731] = {.lex_state = 237},
  [1732] = {.lex_state = 237},
  [1733] = {.lex_state = 237},
  [1734] = {.lex_state = 237},
  [1735] = {.lex_state = 177},
  [1736] = {.lex_state = 237},
  [1737] = {.lex_state = 237},
  [1738] = {.lex_state = 237},
  [1739] = {.lex_state = 237},
  [1740] = {.lex_state = 237},
  [1741] = {.lex_state = 179},
  [1742] = {.lex_state = 237},
  [1743] = {.lex_state = 237},
  [1744] = {.lex_state = 237},
  [1745] = {.lex_state = 237},
  [1746] = {.lex_state = 237},
  [1747] = {.lex_state = 237},
  [1748] = {.lex_state = 237},
  [1749] = {.lex_state = 237},
  [1750] = {.lex_state = 237},
  [1751] = {.lex_state = 237},
  [1752] = {.lex_state = 237},
  [1753] = {.lex_state = 237},
  [1754] = {.lex_state = 179},
  [1755] = {.lex_state = 237},
  [1756] = {.lex_state = 179},
  [1757] = {.lex_state = 237},
  [1758] = {.lex_state = 237},
  [1759] = {.lex_state = 171},
  [1760] = {.lex_state = 237},
  [1761] = {.lex_state = 223},
  [1762] = {.lex_state = 223},
  [1763] = {.lex_state = 171},
  [1764] = {.lex_state = 203},
  [1765] = {.lex_state = 179},
  [1766] = {.lex_state = 179},
  [1767] = {.lex_state = 207},
  [1768] = {.lex_state = 207},
  [1769] = {.lex_state = 179},
  [1770] = {.lex_state = 179},
  [1771] = {.lex_state = 207},
  [1772] = {.lex_state = 207},
  [1773] = {.lex_state = 207},
  [1774] = {.lex_state = 207},
  [1775] = {.lex_state = 207},
  [1776] = {.lex_state = 237},
  [1777] = {.lex_state = 214},
  [1778] = {.lex_state = 237},
  [1779] = {.lex_state = 214},
  [1780] = {.lex_state = 237},
  [1781] = {.lex_state = 214},
  [1782] = {.lex_state = 197},
  [1783] = {.lex_state = 198},
  [1784] = {.lex_state = 237},
  [1785] = {.lex_state = 214},
  [1786] = {.lex_state = 214},
  [1787] = {.lex_state = 214},
  [1788] = {.lex_state = 214},
  [1789] = {.lex_state = 237},
  [1790] = {.lex_state = 237},
  [1791] = {.lex_state = 237},
  [1792] = {.lex_state = 177},
  [1793] = {.lex_state = 237},
  [1794] = {.lex_state = 192},
  [1795] = {.lex_state = 237},
  [1796] = {.lex_state = 237},
  [1797] = {.lex_state = 237},
  [1798] = {.lex_state = 192},
  [1799] = {.lex_state = 237},
  [1800] = {.lex_state = 197},
  [1801] = {.lex_state = 223},
  [1802] = {.lex_state = 207},
  [1803] = {.lex_state = 237},
  [1804] = {.lex_state = 237},
  [1805] = {.lex_state = 223},
  [1806] = {.lex_state = 237},
  [1807] = {.lex_state = 237},
  [1808] = {.lex_state = 195},
  [1809] = {.lex_state = 195},
  [1810] = {.lex_state = 223},
  [1811] = {.lex_state = 197},
  [1812] = {.lex_state = 179},
  [1813] = {.lex_state = 223},
  [1814] = {.lex_state = 179},
  [1815] = {.lex_state = 223},
  [1816] = {.lex_state = 223},
  [1817] = {.lex_state = 223},
  [1818] = {.lex_state = 197},
  [1819] = {.lex_state = 223},
  [1820] = {.lex_state = 223},
  [1821] = {.lex_state = 223},
  [1822] = {.lex_state = 197},
  [1823] = {.lex_state = 223},
  [1824] = {.lex_state = 237},
  [1825] = {.lex_state = 237},
  [1826] = {.lex_state = 237},
  [1827] = {.lex_state = 237},
  [1828] = {.lex_state = 237},
  [1829] = {.lex_state = 237},
  [1830] = {.lex_state = 237},
  [1831] = {.lex_state = 237},
  [1832] = {.lex_state = 237},
  [1833] = {.lex_state = 237},
  [1834] = {.lex_state = 224},
  [1835] = {.lex_state = 237},
  [1836] = {.lex_state = 237},
  [1837] = {.lex_state = 237},
  [1838] = {.lex_state = 237},
  [1839] = {.lex_state = 237},
  [1840] = {.lex_state = 237},
  [1841] = {.lex_state = 237},
  [1842] = {.lex_state = 224},
  [1843] = {.lex_state = 237},
  [1844] = {.lex_state = 237},
  [1845] = {.lex_state = 224},
  [1846] = {.lex_state = 224},
  [1847] = {.lex_state = 224},
  [1848] = {.lex_state = 237},
  [1849] = {.lex_state = 237},
  [1850] = {.lex_state = 237},
  [1851] = {.lex_state = 224},
  [1852] = {.lex_state = 237},
  [1853] = {.lex_state = 224},
  [1854] = {.lex_state = 237},
  [1855] = {.lex_state = 237},
  [1856] = {.lex_state = 195},
  [1857] = {.lex_state = 224},
  [1858] = {.lex_state = 195},
  [1859] = {.lex_state = 237},
  [1860] = {.lex_state = 237},
  [1861] = {.lex_state = 237},
  [1862] = {.lex_state = 237},
  [1863] = {.lex_state = 224},
  [1864] = {.lex_state = 237},
  [1865] = {.lex_state = 237},
  [1866] = {.lex_state = 237},
  [1867] = {.lex_state = 237},
  [1868] = {.lex_state = 237},
  [1869] = {.lex_state = 174},
  [1870] = {.lex_state = 224},
  [1871] = {.lex_state = 237},
  [1872] = {.lex_state = 182},
  [1873] = {.lex_state = 237},
  [1874] = {.lex_state = 237},
  [1875] = {.lex_state = 237},
  [1876] = {.lex_state = 195},
  [1877] = {.lex_state = 195},
  [1878] = {.lex_state = 195},
  [1879] = {.lex_state = 214},
  [1880] = {.lex_state = 237},
  [1881] = {.lex_state = 237},
  [1882] = {.lex_state = 237},
  [1883] = {.lex_state = 224},
  [1884] = {.lex_state = 237},
  [1885] = {.lex_state = 224},
  [1886] = {.lex_state = 237},
  [1887] = {.lex_state = 224},
  [1888] = {.lex_state = 237},
  [1889] = {.lex_state = 237},
  [1890] = {.lex_state = 195},
  [1891] = {.lex_state = 237},
  [1892] = {.lex_state = 186},
  [1893] = {.lex_state = 237},
  [1894] = {.lex_state = 237},
  [1895] = {.lex_state = 186},
  [1896] = {.lex_state = 237},
  [1897] = {.lex_state = 186},
  [1898] = {.lex_state = 237},
  [1899] = {.lex_state = 237},
  [1900] = {.lex_state = 207},
  [1901] = {.lex_state = 177},
  [1902] = {.lex_state = 179},
  [1903] = {.lex_state = 237},
  [1904] = {.lex_state = 237},
  [1905] = {.lex_state = 203},
  [1906] = {.lex_state = 237},
  [1907] = {.lex_state = 179},
  [1908] = {.lex_state = 237},
  [1909] = {.lex_state = 195},
  [1910] = {.lex_state = 182},
  [1911] = {.lex_state = 177},
  [1912] = {.lex_state = 195},
  [1913] = {.lex_state = 237},
  [1914] = {.lex_state = 237},
  [1915] = {.lex_state = 237},
  [1916] = {.lex_state = 237},
  [1917] = {.lex_state = 237},
  [1918] = {.lex_state = 237},
  [1919] = {.lex_state = 237},
  [1920] = {.lex_state = 237},
  [1921] = {.lex_state = 237},
  [1922] = {.lex_state = 237},
  [1923] = {.lex_state = 237},
  [1924] = {.lex_state = 237},
  [1925] = {.lex_state = 237},
  [1926] = {.lex_state = 237},
  [1927] = {.lex_state = 195},
  [1928] = {.lex_state = 237},
  [1929] = {.lex_state = 195},
  [1930] = {.lex_state = 195},
  [1931] = {.lex_state = 177},
  [1932] = {.lex_state = 237},
  [1933] = {.lex_state = 195},
  [1934] = {.lex_state = 237},
  [1935] = {.lex_state = 237},
  [1936] = {.lex_state = 237},
  [1937] = {.lex_state = 237},
  [1938] = {.lex_state = 237},
  [1939] = {.lex_state = 237},
  [1940] = {.lex_state = 237},
  [1941] = {.lex_state = 237},
  [1942] = {.lex_state = 237},
  [1943] = {.lex_state = 237},
  [1944] = {.lex_state = 237},
  [1945] = {.lex_state = 237},
  [1946] = {.lex_state = 237},
  [1947] = {.lex_state = 237},
  [1948] = {.lex_state = 237},
  [1949] = {.lex_state = 237},
  [1950] = {.lex_state = 237},
  [1951] = {.lex_state = 237},
  [1952] = {.lex_state = 237},
  [1953] = {.lex_state = 185},
  [1954] = {.lex_state = 238},
  [1955] = {.lex_state = 203},
  [1956] = {.lex_state = 203},
  [1957] = {.lex_state = 177},
  [1958] = {.lex_state = 203},
  [1959] = {.lex_state = 203},
  [1960] = {.lex_state = 203},
  [1961] = {.lex_state = 203},
  [1962] = {.lex_state = 203},
  [1963] = {.lex_state = 203},
  [1964] = {.lex_state = 203},
  [1965] = {.lex_state = 203},
  [1966] = {.lex_state = 177},
  [1967] = {.lex_state = 203},
  [1968] = {.lex_state = 203},
  [1969] = {.lex_state = 177},
  [1970] = {.lex_state = 179},
  [1971] = {.lex_state = 203},
  [1972] = {.lex_state = 203},
  [1973] = {.lex_state = 203},
  [1974] = {.lex_state = 197},
  [1975] = {.lex_state = 203},
  [1976] = {.lex_state = 203},
  [1977] = {.lex_state = 203},
  [1978] = {.lex_state = 238},
  [1979] = {.lex_state = 203},
  [1980] = {.lex_state = 203},
  [1981] = {.lex_state = 203},
  [1982] = {.lex_state = 203},
  [1983] = {.lex_state = 203},
  [1984] = {.lex_state = 185},
  [1985] = {.lex_state = 202},
  [1986] = {.lex_state = 193},
  [1987] = {.lex_state = 193},
  [1988] = {.lex_state = 203},
  [1989] = {.lex_state = 177},
  [1990] = {.lex_state = 179},
  [1991] = {.lex_state = 203},
  [1992] = {.lex_state = 203},
  [1993] = {.lex_state = 214},
  [1994] = {.lex_state = 179},
  [1995] = {.lex_state = 177},
  [1996] = {.lex_state = 197},
  [1997] = {.lex_state = 203},
  [1998] = {.lex_state = 238},
  [1999] = {.lex_state = 177},
  [2000] = {.lex_state = 193},
  [2001] = {.lex_state = 203},
  [2002] = {.lex_state = 237},
  [2003] = {.lex_state = 183},
  [2004] = {.lex_state = 177},
  [2005] = {.lex_state = 197},
  [2006] = {.lex_state = 203},
  [2007] = {.lex_state = 177},
  [2008] = {.lex_state = 203},
  [2009] = {.lex_state = 203},
  [2010] = {.lex_state = 203},
  [2011] = {.lex_state = 203},
  [2012] = {.lex_state = 238},
  [2013] = {.lex_state = 203},
  [2014] = {.lex_state = 237},
  [2015] = {.lex_state = 183},
  [2016] = {.lex_state = 203},
  [2017] = {.lex_state = 185},
  [2018] = {.lex_state = 195},
  [2019] = {.lex_state = 177},
  [2020] = {.lex_state = 203},
  [2021] = {.lex_state = 203},
  [2022] = {.lex_state = 203},
  [2023] = {.lex_state = 203},
  [2024] = {.lex_state = 193},
  [2025] = {.lex_state = 203},
  [2026] = {.lex_state = 179},
  [2027] = {.lex_state = 187},
  [2028] = {.lex_state = 179},
  [2029] = {.lex_state = 237},
  [2030] = {.lex_state = 179},
  [2031] = {.lex_state = 196},
  [2032] = {.lex_state = 197},
  [2033] = {.lex_state = 197},
  [2034] = {.lex_state = 193},
  [2035] = {.lex_state = 198},
  [2036] = {.lex_state = 195},
  [2037] = {.lex_state = 197},
  [2038] = {.lex_state = 198},
  [2039] = {.lex_state = 197},
  [2040] = {.lex_state = 197},
  [2041] = {.lex_state = 198},
  [2042] = {.lex_state = 237},
  [2043] = {.lex_state = 238},
  [2044] = {.lex_state = 195},
  [2045] = {.lex_state = 177},
  [2046] = {.lex_state = 195},
  [2047] = {.lex_state = 193},
  [2048] = {.lex_state = 195},
  [2049] = {.lex_state = 237},
  [2050] = {.lex_state = 237},
  [2051] = {.lex_state = 197},
  [2052] = {.lex_state = 197},
  [2053] = {.lex_state = 237},
  [2054] = {.lex_state = 204},
  [2055] = {.lex_state = 197},
  [2056] = {.lex_state = 196},
  [2057] = {.lex_state = 197},
  [2058] = {.lex_state = 196},
  [2059] = {.lex_state = 189},
  [2060] = {.lex_state = 196},
  [2061] = {.lex_state = 174},
  [2062] = {.lex_state = 238},
  [2063] = {.lex_state = 179},
  [2064] = {.lex_state = 197},
  [2065] = {.lex_state = 237},
  [2066] = {.lex_state = 197},
  [2067] = {.lex_state = 189},
  [2068] = {.lex_state = 237},
  [2069] = {.lex_state = 197},
  [2070] = {.lex_state = 204},
  [2071] = {.lex_state = 189},
  [2072] = {.lex_state = 197},
  [2073] = {.lex_state = 198},
  [2074] = {.lex_state = 196},
  [2075] = {.lex_state = 195},
  [2076] = {.lex_state = 237},
  [2077] = {.lex_state = 177},
  [2078] = {.lex_state = 187},
  [2079] = {.lex_state = 196},
  [2080] = {.lex_state = 204},
  [2081] = {.lex_state = 197},
  [2082] = {.lex_state = 237},
  [2083] = {.lex_state = 197},
  [2084] = {.lex_state = 197},
  [2085] = {.lex_state = 197},
  [2086] = {.lex_state = 204},
  [2087] = {.lex_state = 197},
  [2088] = {.lex_state = 197},
  [2089] = {.lex_state = 197},
  [2090] = {.lex_state = 197},
  [2091] = {.lex_state = 197},
  [2092] = {.lex_state = 238},
  [2093] = {.lex_state = 238},
  [2094] = {.lex_state = 185},
  [2095] = {.lex_state = 197},
  [2096] = {.lex_state = 197},
  [2097] = {.lex_state = 196},
  [2098] = {.lex_state = 196},
  [2099] = {.lex_state = 196},
  [2100] = {.lex_state = 193},
  [2101] = {.lex_state = 185},
  [2102] = {.lex_state = 196},
  [2103] = {.lex_state = 197},
  [2104] = {.lex_state = 197},
  [2105] = {.lex_state = 197},
  [2106] = {.lex_state = 193},
  [2107] = {.lex_state = 204},
  [2108] = {.lex_state = 197},
  [2109] = {.lex_state = 204},
  [2110] = {.lex_state = 196},
  [2111] = {.lex_state = 204},
  [2112] = {.lex_state = 196},
  [2113] = {.lex_state = 197},
  [2114] = {.lex_state = 197},
  [2115] = {.lex_state = 197},
  [2116] = {.lex_state = 197},
  [2117] = {.lex_state = 197},
  [2118] = {.lex_state = 197},
  [2119] = {.lex_state = 197},
  [2120] = {.lex_state = 237},
  [2121] = {.lex_state = 197},
  [2122] = {.lex_state = 197},
  [2123] = {.lex_state = 195},
  [2124] = {.lex_state = 197},
  [2125] = {.lex_state = 197},
  [2126] = {.lex_state = 197},
  [2127] = {.lex_state = 197},
  [2128] = {.lex_state = 237},
  [2129] = {.lex_state = 193},
  [2130] = {.lex_state = 197},
  [2131] = {.lex_state = 237},
  [2132] = {.lex_state = 197},
  [2133] = {.lex_state = 196},
  [2134] = {.lex_state = 196},
  [2135] = {.lex_state = 197},
  [2136] = {.lex_state = 197},
  [2137] = {.lex_state = 197},
  [2138] = {.lex_state = 197},
  [2139] = {.lex_state = 197},
  [2140] = {.lex_state = 237},
  [2141] = {.lex_state = 238},
  [2142] = {.lex_state = 197},
  [2143] = {.lex_state = 197},
  [2144] = {.lex_state = 196},
  [2145] = {.lex_state = 204},
  [2146] = {.lex_state = 197},
  [2147] = {.lex_state = 197},
  [2148] = {.lex_state = 197},
  [2149] = {.lex_state = 197},
  [2150] = {.lex_state = 197},
  [2151] = {.lex_state = 197},
  [2152] = {.lex_state = 179},
  [2153] = {.lex_state = 179},
  [2154] = {.lex_state = 197},
  [2155] = {.lex_state = 197},
  [2156] = {.lex_state = 197},
  [2157] = {.lex_state = 196},
  [2158] = {.lex_state = 196},
  [2159] = {.lex_state = 196},
  [2160] = {.lex_state = 237},
  [2161] = {.lex_state = 197},
  [2162] = {.lex_state = 197},
  [2163] = {.lex_state = 197},
  [2164] = {.lex_state = 197},
  [2165] = {.lex_state = 204},
  [2166] = {.lex_state = 197},
  [2167] = {.lex_state = 237},
  [2168] = {.lex_state = 204},
  [2169] = {.lex_state = 193},
  [2170] = {.lex_state = 193},
  [2171] = {.lex_state = 238},
  [2172] = {.lex_state = 193},
  [2173] = {.lex_state = 193},
  [2174] = {.lex_state = 238},
  [2175] = {.lex_state = 197},
  [2176] = {.lex_state = 193},
  [2177] = {.lex_state = 238},
  [2178] = {.lex_state = 193},
  [2179] = {.lex_state = 238},
  [2180] = {.lex_state = 193},
  [2181] = {.lex_state = 197},
  [2182] = {.lex_state = 238},
  [2183] = {.lex_state = 193},
  [2184] = {.lex_state = 193},
  [2185] = {.lex_state = 193},
  [2186] = {.lex_state = 193},
  [2187] = {.lex_state = 193},
  [2188] = {.lex_state = 185},
  [2189] = {.lex_state = 195},
  [2190] = {.lex_state = 193},
  [2191] = {.lex_state = 193},
  [2192] = {.lex_state = 193},
  [2193] = {.lex_state = 238},
  [2194] = {.lex_state = 193},
  [2195] = {.lex_state = 193},
  [2196] = {.lex_state = 193},
  [2197] = {.lex_state = 238},
  [2198] = {.lex_state = 193},
  [2199] = {.lex_state = 197},
  [2200] = {.lex_state = 193},
  [2201] = {.lex_state = 193},
  [2202] = {.lex_state = 238},
  [2203] = {.lex_state = 238},
  [2204] = {.lex_state = 193},
  [2205] = {.lex_state = 179},
  [2206] = {.lex_state = 193},
  [2207] = {.lex_state = 193},
  [2208] = {.lex_state = 238},
  [2209] = {.lex_state = 193},
  [2210] = {.lex_state = 238},
  [2211] = {.lex_state = 238},
  [2212] = {.lex_state = 193},
  [2213] = {.lex_state = 238},
  [2214] = {.lex_state = 193},
  [2215] = {.lex_state = 179},
  [2216] = {.lex_state = 179},
  [2217] = {.lex_state = 238},
  [2218] = {.lex_state = 193},
  [2219] = {.lex_state = 179},
  [2220] = {.lex_state = 185},
  [2221] = {.lex_state = 238},
  [2222] = {.lex_state = 185},
  [2223] = {.lex_state = 193},
  [2224] = {.lex_state = 193},
  [2225] = {.lex_state = 238},
  [2226] = {.lex_state = 193},
  [2227] = {.lex_state = 238},
  [2228] = {.lex_state = 238},
  [2229] = {.lex_state = 193},
  [2230] = {.lex_state = 238},
  [2231] = {.lex_state = 193},
  [2232] = {.lex_state = 195},
  [2233] = {.lex_state = 193},
  [2234] = {.lex_state = 193},
  [2235] = {.lex_state = 238},
  [2236] = {.lex_state = 193},
  [2237] = {.lex_state = 238},
  [2238] = {.lex_state = 193},
  [2239] = {.lex_state = 193},
  [2240] = {.lex_state = 238},
  [2241] = {.lex_state = 238},
  [2242] = {.lex_state = 236},
  [2243] = {.lex_state = 193},
  [2244] = {.lex_state = 197},
  [2245] = {.lex_state = 238},
  [2246] = {.lex_state = 193},
  [2247] = {.lex_state = 238},
  [2248] = {.lex_state = 193},
  [2249] = {.lex_state = 193},
  [2250] = {.lex_state = 193},
  [2251] = {.lex_state = 238},
  [2252] = {.lex_state = 238},
  [2253] = {.lex_state = 238},
  [2254] = {.lex_state = 193},
  [2255] = {.lex_state = 238},
  [2256] = {.lex_state = 238},
  [2257] = {.lex_state = 238},
  [2258] = {.lex_state = 238},
  [2259] = {.lex_state = 193},
  [2260] = {.lex_state = 238},
  [2261] = {.lex_state = 193},
  [2262] = {.lex_state = 193},
  [2263] = {.lex_state = 193},
  [2264] = {.lex_state = 197},
  [2265] = {.lex_state = 238},
  [2266] = {.lex_state = 238},
  [2267] = {.lex_state = 239},
  [2268] = {.lex_state = 238},
  [2269] = {.lex_state = 238},
  [2270] = {.lex_state = 193},
  [2271] = {.lex_state = 238},
  [2272] = {.lex_state = 238},
  [2273] = {.lex_state = 238},
  [2274] = {.lex_state = 193},
  [2275] = {.lex_state = 238},
  [2276] = {.lex_state = 193},
  [2277] = {.lex_state = 197},
  [2278] = {.lex_state = 193},
  [2279] = {.lex_state = 193},
  [2280] = {.lex_state = 238},
  [2281] = {.lex_state = 193},
  [2282] = {.lex_state = 193},
  [2283] = {.lex_state = 193},
  [2284] = {.lex_state = 238},
  [2285] = {.lex_state = 239},
  [2286] = {.lex_state = 193},
  [2287] = {.lex_state = 197},
  [2288] = {.lex_state = 238},
  [2289] = {.lex_state = 238},
  [2290] = {.lex_state = 238},
  [2291] = {.lex_state = 238},
  [2292] = {.lex_state = 193},
  [2293] = {.lex_state = 193},
  [2294] = {.lex_state = 193},
  [2295] = {.lex_state = 238},
  [2296] = {.lex_state = 238},
  [2297] = {.lex_state = 193},
  [2298] = {.lex_state = 193},
  [2299] = {.lex_state = 185},
  [2300] = {.lex_state = 238},
  [2301] = {.lex_state = 238},
  [2302] = {.lex_state = 238},
  [2303] = {.lex_state = 238},
  [2304] = {.lex_state = 197},
  [2305] = {.lex_state = 238},
  [2306] = {.lex_state = 238},
  [2307] = {.lex_state = 238},
  [2308] = {.lex_state = 193},
  [2309] = {.lex_state = 197},
  [2310] = {.lex_state = 238},
  [2311] = {.lex_state = 238},
  [2312] = {.lex_state = 238},
  [2313] = {.lex_state = 193},
  [2314] = {.lex_state = 193},
  [2315] = {.lex_state = 238},
  [2316] = {.lex_state = 195},
  [2317] = {.lex_state = 238},
  [2318] = {.lex_state = 238},
  [2319] = {.lex_state = 238},
  [2320] = {.lex_state = 238},
  [2321] = {.lex_state = 193},
  [2322] = {.lex_state = 238},
  [2323] = {.lex_state = 238},
  [2324] = {.lex_state = 193},
  [2325] = {.lex_state = 238},
  [2326] = {.lex_state = 238},
  [2327] = {.lex_state = 193},
  [2328] = {.lex_state = 238},
  [2329] = {.lex_state = 238},
  [2330] = {.lex_state = 193},
  [2331] = {.lex_state = 238},
  [2332] = {.lex_state = 195},
  [2333] = {.lex_state = 238},
  [2334] = {.lex_state = 238},
  [2335] = {.lex_state = 238},
  [2336] = {.lex_state = 238},
  [2337] = {.lex_state = 238},
  [2338] = {.lex_state = 238},
  [2339] = {.lex_state = 204},
  [2340] = {.lex_state = 238},
  [2341] = {.lex_state = 185},
  [2342] = {.lex_state = 238},
  [2343] = {.lex_state = 238},
  [2344] = {.lex_state = 238},
  [2345] = {.lex_state = 238},
  [2346] = {.lex_state = 193},
  [2347] = {.lex_state = 193},
  [2348] = {.lex_state = 197},
  [2349] = {.lex_state = 238},
  [2350] = {.lex_state = 193},
  [2351] = {.lex_state = 193},
  [2352] = {.lex_state = 197},
  [2353] = {.lex_state = 193},
  [2354] = {.lex_state = 238},
  [2355] = {.lex_state = 185},
  [2356] = {.lex_state = 193},
  [2357] = {.lex_state = 238},
  [2358] = {.lex_state = 238},
  [2359] = {.lex_state = 193},
  [2360] = {.lex_state = 193},
  [2361] = {.lex_state = 193},
  [2362] = {.lex_state = 193},
  [2363] = {.lex_state = 193},
  [2364] = {.lex_state = 193},
  [2365] = {.lex_state = 189},
  [2366] = {.lex_state = 197},
  [2367] = {.lex_state = 236},
  [2368] = {.lex_state = 193},
  [2369] = {.lex_state = 193},
  [2370] = {.lex_state = 193},
  [2371] = {.lex_state = 193},
  [2372] = {.lex_state = 193},
  [2373] = {.lex_state = 193},
  [2374] = {.lex_state = 238},
  [2375] = {.lex_state = 238},
  [2376] = {.lex_state = 185},
  [2377] = {.lex_state = 193},
  [2378] = {.lex_state = 238},
  [2379] = {.lex_state = 193},
  [2380] = {.lex_state = 189},
  [2381] = {.lex_state = 238},
  [2382] = {.lex_state = 193},
  [2383] = {.lex_state = 237},
  [2384] = {.lex_state = 197},
  [2385] = {.lex_state = 189},
  [2386] = {.lex_state = 236},
  [2387] = {.lex_state = 228},
  [2388] = {.lex_state = 237},
  [2389] = {.lex_state = 185},
  [2390] = {.lex_state = 189},
  [2391] = {.lex_state = 185},
  [2392] = {.lex_state = 228},
  [2393] = {.lex_state = 189},
  [2394] = {.lex_state = 179},
  [2395] = {.lex_state = 179},
  [2396] = {.lex_state = 197},
  [2397] = {.lex_state = 237},
  [2398] = {.lex_state = 228},
  [2399] = {.lex_state = 210},
  [2400] = {.lex_state = 237},
  [2401] = {.lex_state = 237},
  [2402] = {.lex_state = 201},
  [2403] = {.lex_state = 197},
  [2404] = {.lex_state = 179},
  [2405] = {.lex_state = 179},
  [2406] = {.lex_state = 237},
  [2407] = {.lex_state = 237},
  [2408] = {.lex_state = 237},
  [2409] = {.lex_state = 197},
  [2410] = {.lex_state = 197},
  [2411] = {.lex_state = 196},
  [2412] = {.lex_state = 185},
  [2413] = {.lex_state = 197},
  [2414] = {.lex_state = 189},
  [2415] = {.lex_state = 196},
  [2416] = {.lex_state = 236},
  [2417] = {.lex_state = 237},
  [2418] = {.lex_state = 208},
  [2419] = {.lex_state = 237},
  [2420] = {.lex_state = 196},
  [2421] = {.lex_state = 185},
  [2422] = {.lex_state = 237},
  [2423] = {.lex_state = 196},
  [2424] = {.lex_state = 197},
  [2425] = {.lex_state = 196},
  [2426] = {.lex_state = 237},
  [2427] = {.lex_state = 207},
  [2428] = {.lex_state = 236},
  [2429] = {.lex_state = 236},
  [2430] = {.lex_state = 237},
  [2431] = {.lex_state = 210},
  [2432] = {.lex_state = 197},
  [2433] = {.lex_state = 197},
  [2434] = {.lex_state = 197},
  [2435] = {.lex_state = 197},
  [2436] = {.lex_state = 197},
  [2437] = {.lex_state = 197},
  [2438] = {.lex_state = 197},
  [2439] = {.lex_state = 237},
  [2440] = {.lex_state = 237},
  [2441] = {.lex_state = 197},
  [2442] = {.lex_state = 197},
  [2443] = {.lex_state = 210},
  [2444] = {.lex_state = 237},
  [2445] = {.lex_state = 236},
  [2446] = {.lex_state = 197},
  [2447] = {.lex_state = 197},
  [2448] = {.lex_state = 197},
  [2449] = {.lex_state = 189},
  [2450] = {.lex_state = 197},
  [2451] = {.lex_state = 197},
  [2452] = {.lex_state = 197},
  [2453] = {.lex_state = 197},
  [2454] = {.lex_state = 197},
  [2455] = {.lex_state = 239},
  [2456] = {.lex_state = 197},
  [2457] = {.lex_state = 197},
  [2458] = {.lex_state = 197},
  [2459] = {.lex_state = 197},
  [2460] = {.lex_state = 197},
  [2461] = {.lex_state = 202},
  [2462] = {.lex_state = 197},
  [2463] = {.lex_state = 197},
  [2464] = {.lex_state = 197},
  [2465] = {.lex_state = 214},
  [2466] = {.lex_state = 197},
  [2467] = {.lex_state = 189},
  [2468] = {.lex_state = 197},
  [2469] = {.lex_state = 197},
  [2470] = {.lex_state = 197},
  [2471] = {.lex_state = 215},
  [2472] = {.lex_state = 197},
  [2473] = {.lex_state = 197},
  [2474] = {.lex_state = 189},
  [2475] = {.lex_state = 197},
  [2476] = {.lex_state = 197},
  [2477] = {.lex_state = 197},
  [2478] = {.lex_state = 197},
  [2479] = {.lex_state = 239},
  [2480] = {.lex_state = 197},
  [2481] = {.lex_state = 197},
  [2482] = {.lex_state = 197},
  [2483] = {.lex_state = 197},
  [2484] = {.lex_state = 218},
  [2485] = {.lex_state = 197},
  [2486] = {.lex_state = 197},
  [2487] = {.lex_state = 197},
  [2488] = {.lex_state = 197},
  [2489] = {.lex_state = 197},
  [2490] = {.lex_state = 189},
  [2491] = {.lex_state = 197},
  [2492] = {.lex_state = 202},
  [2493] = {.lex_state = 197},
  [2494] = {.lex_state = 197},
  [2495] = {.lex_state = 197},
  [2496] = {.lex_state = 197},
  [2497] = {.lex_state = 197},
  [2498] = {.lex_state = 197},
  [2499] = {.lex_state = 197},
  [2500] = {.lex_state = 218},
  [2501] = {.lex_state = 197},
  [2502] = {.lex_state = 197},
  [2503] = {.lex_state = 197},
  [2504] = {.lex_state = 197},
  [2505] = {.lex_state = 197},
  [2506] = {.lex_state = 197},
  [2507] = {.lex_state = 197},
  [2508] = {.lex_state = 197},
  [2509] = {.lex_state = 197},
  [2510] = {.lex_state = 197},
  [2511] = {.lex_state = 197},
  [2512] = {.lex_state = 197},
  [2513] = {.lex_state = 197},
  [2514] = {.lex_state = 197},
  [2515] = {.lex_state = 204},
  [2516] = {.lex_state = 207},
  [2517] = {.lex_state = 197},
  [2518] = {.lex_state = 197},
  [2519] = {.lex_state = 197},
  [2520] = {.lex_state = 197},
  [2521] = {.lex_state = 197},
  [2522] = {.lex_state = 197},
  [2523] = {.lex_state = 197},
  [2524] = {.lex_state = 197},
  [2525] = {.lex_state = 197},
  [2526] = {.lex_state = 197},
  [2527] = {.lex_state = 197},
  [2528] = {.lex_state = 197},
  [2529] = {.lex_state = 197},
  [2530] = {.lex_state = 197},
  [2531] = {.lex_state = 218},
  [2532] = {.lex_state = 197},
  [2533] = {.lex_state = 197},
  [2534] = {.lex_state = 197},
  [2535] = {.lex_state = 204},
  [2536] = {.lex_state = 185},
  [2537] = {.lex_state = 185},
  [2538] = {.lex_state = 197},
  [2539] = {.lex_state = 197},
  [2540] = {.lex_state = 197},
  [2541] = {.lex_state = 202},
  [2542] = {.lex_state = 181},
  [2543] = {.lex_state = 227},
  [2544] = {.lex_state = 227},
  [2545] = {.lex_state = 204},
  [2546] = {.lex_state = 204},
  [2547] = {.lex_state = 204},
  [2548] = {.lex_state = 237},
  [2549] = {.lex_state = 204},
  [2550] = {.lex_state = 227},
  [2551] = {.lex_state = 207},
  [2552] = {.lex_state = 207},
  [2553] = {.lex_state = 204},
  [2554] = {.lex_state = 207},
  [2555] = {.lex_state = 185},
  [2556] = {.lex_state = 227},
  [2557] = {.lex_state = 207},
  [2558] = {.lex_state = 185},
  [2559] = {.lex_state = 227},
  [2560] = {.lex_state = 204},
  [2561] = {.lex_state = 236},
  [2562] = {.lex_state = 204},
  [2563] = {.lex_state = 204},
  [2564] = {.lex_state = 207},
  [2565] = {.lex_state = 227},
  [2566] = {.lex_state = 181},
  [2567] = {.lex_state = 227},
  [2568] = {.lex_state = 207},
  [2569] = {.lex_state = 207},
  [2570] = {.lex_state = 237},
  [2571] = {.lex_state = 181},
  [2572] = {.lex_state = 204},
  [2573] = {.lex_state = 204},
  [2574] = {.lex_state = 227},
  [2575] = {.lex_state = 214},
  [2576] = {.lex_state = 204},
  [2577] = {.lex_state = 204},
  [2578] = {.lex_state = 207},
  [2579] = {.lex_state = 237},
  [2580] = {.lex_state = 202},
  [2581] = {.lex_state = 185},
  [2582] = {.lex_state = 207},
  [2583] = {.lex_state = 236},
  [2584] = {.lex_state = 185},
  [2585] = {.lex_state = 207},
  [2586] = {.lex_state = 208},
  [2587] = {.lex_state = 214},
  [2588] = {.lex_state = 207},
  [2589] = {.lex_state = 185},
  [2590] = {.lex_state = 185},
  [2591] = {.lex_state = 214},
  [2592] = {.lex_state = 214},
  [2593] = {.lex_state = 214},
  [2594] = {.lex_state = 207},
  [2595] = {.lex_state = 208},
  [2596] = {.lex_state = 214},
  [2597] = {.lex_state = 207},
  [2598] = {.lex_state = 236},
  [2599] = {.lex_state = 214},
  [2600] = {.lex_state = 236},
  [2601] = {.lex_state = 185},
  [2602] = {.lex_state = 214},
  [2603] = {.lex_state = 236},
  [2604] = {.lex_state = 185},
  [2605] = {.lex_state = 214},
  [2606] = {.lex_state = 207},
  [2607] = {.lex_state = 214},
  [2608] = {.lex_state = 208},
  [2609] = {.lex_state = 210},
  [2610] = {.lex_state = 210},
  [2611] = {.lex_state = 236},
  [2612] = {.lex_state = 207},
  [2613] = {.lex_state = 236},
  [2614] = {.lex_state = 207},
  [2615] = {.lex_state = 227},
  [2616] = {.lex_state = 210},
  [2617] = {.lex_state = 214},
  [2618] = {.lex_state = 236},
  [2619] = {.lex_state = 236},
  [2620] = {.lex_state = 236},
  [2621] = {.lex_state = 236},
  [2622] = {.lex_state = 236},
  [2623] = {.lex_state = 236},
  [2624] = {.lex_state = 236},
  [2625] = {.lex_state = 236},
  [2626] = {.lex_state = 236},
  [2627] = {.lex_state = 207},
  [2628] = {.lex_state = 236},
  [2629] = {.lex_state = 214},
  [2630] = {.lex_state = 236},
  [2631] = {.lex_state = 207},
  [2632] = {.lex_state = 236},
  [2633] = {.lex_state = 236},
  [2634] = {.lex_state = 207},
  [2635] = {.lex_state = 236},
  [2636] = {.lex_state = 236},
  [2637] = {.lex_state = 236},
  [2638] = {.lex_state = 236},
  [2639] = {.lex_state = 236},
  [2640] = {.lex_state = 236},
  [2641] = {.lex_state = 236},
  [2642] = {.lex_state = 236},
  [2643] = {.lex_state = 207},
  [2644] = {.lex_state = 236},
  [2645] = {.lex_state = 236},
  [2646] = {.lex_state = 236},
  [2647] = {.lex_state = 214},
  [2648] = {.lex_state = 236},
  [2649] = {.lex_state = 236},
  [2650] = {.lex_state = 236},
  [2651] = {.lex_state = 214},
  [2652] = {.lex_state = 236},
  [2653] = {.lex_state = 236},
  [2654] = {.lex_state = 174},
  [2655] = {.lex_state = 236},
  [2656] = {.lex_state = 236},
  [2657] = {.lex_state = 236},
  [2658] = {.lex_state = 214},
  [2659] = {.lex_state = 236},
  [2660] = {.lex_state = 236},
  [2661] = {.lex_state = 208},
  [2662] = {.lex_state = 237},
  [2663] = {.lex_state = 236},
  [2664] = {.lex_state = 236},
  [2665] = {.lex_state = 236},
  [2666] = {.lex_state = 236},
  [2667] = {.lex_state = 215},
  [2668] = {.lex_state = 236},
  [2669] = {.lex_state = 214},
  [2670] = {.lex_state = 237},
  [2671] = {.lex_state = 207},
  [2672] = {.lex_state = 174},
  [2673] = {.lex_state = 236},
  [2674] = {.lex_state = 215},
  [2675] = {.lex_state = 236},
  [2676] = {.lex_state = 207},
  [2677] = {.lex_state = 236},
  [2678] = {.lex_state = 236},
  [2679] = {.lex_state = 236},
  [2680] = {.lex_state = 215},
  [2681] = {.lex_state = 236},
  [2682] = {.lex_state = 236},
  [2683] = {.lex_state = 207},
  [2684] = {.lex_state = 226},
  [2685] = {.lex_state = 207},
  [2686] = {.lex_state = 226},
  [2687] = {.lex_state = 227},
  [2688] = {.lex_state = 214},
  [2689] = {.lex_state = 226},
  [2690] = {.lex_state = 226},
  [2691] = {.lex_state = 226},
  [2692] = {.lex_state = 226},
  [2693] = {.lex_state = 207},
  [2694] = {.lex_state = 197},
  [2695] = {.lex_state = 197},
  [2696] = {.lex_state = 207},
  [2697] = {.lex_state = 197},
  [2698] = {.lex_state = 227},
  [2699] = {.lex_state = 236},
  [2700] = {.lex_state = 207},
  [2701] = {.lex_state = 226},
  [2702] = {.lex_state = 197},
  [2703] = {.lex_state = 226},
  [2704] = {.lex_state = 207},
  [2705] = {.lex_state = 197},
  [2706] = {.lex_state = 197},
  [2707] = {.lex_state = 236},
  [2708] = {.lex_state = 236},
  [2709] = {.lex_state = 181},
  [2710] = {.lex_state = 197},
  [2711] = {.lex_state = 207},
  [2712] = {.lex_state = 197},
  [2713] = {.lex_state = 197},
  [2714] = {.lex_state = 207},
  [2715] = {.lex_state = 207},
  [2716] = {.lex_state = 197},
  [2717] = {.lex_state = 197},
  [2718] = {.lex_state = 214},
  [2719] = {.lex_state = 207},
  [2720] = {.lex_state = 197},
  [2721] = {.lex_state = 226},
  [2722] = {.lex_state = 226},
  [2723] = {.lex_state = 226},
  [2724] = {.lex_state = 197},
  [2725] = {.lex_state = 197},
  [2726] = {.lex_state = 214},
  [2727] = {.lex_state = 207},
  [2728] = {.lex_state = 181},
  [2729] = {.lex_state = 197},
  [2730] = {.lex_state = 197},
  [2731] = {.lex_state = 197},
  [2732] = {.lex_state = 181},
  [2733] = {.lex_state = 181},
  [2734] = {.lex_state = 226},
  [2735] = {.lex_state = 214},
  [2736] = {.lex_state = 174},
  [2737] = {.lex_state = 236},
  [2738] = {.lex_state = 208},
  [2739] = {.lex_state = 174},
  [2740] = {.lex_state = 199},
  [2741] = {.lex_state = 231},
  [2742] = {.lex_state = 174},
  [2743] = {.lex_state = 207},
  [2744] = {.lex_state = 174},
  [2745] = {.lex_state = 207},
  [2746] = {.lex_state = 236},
  [2747] = {.lex_state = 227},
  [2748] = {.lex_state = 174},
  [2749] = {.lex_state = 236},
  [2750] = {.lex_state = 227},
  [2751] = {.lex_state = 207},
  [2752] = {.lex_state = 236},
  [2753] = {.lex_state = 208},
  [2754] = {.lex_state = 214},
  [2755] = {.lex_state = 231},
  [2756] = {.lex_state = 174},
  [2757] = {.lex_state = 207},
  [2758] = {.lex_state = 174},
  [2759] = {.lex_state = 214},
  [2760] = {.lex_state = 207},
  [2761] = {.lex_state = 227},
  [2762] = {.lex_state = 225},
  [2763] = {.lex_state = 207},
  [2764] = {.lex_state = 207},
  [2765] = {.lex_state = 207},
  [2766] = {.lex_state = 236},
  [2767] = {.lex_state = 207},
  [2768] = {.lex_state = 231},
  [2769] = {.lex_state = 227},
  [2770] = {.lex_state = 236},
  [2771] = {.lex_state = 196},
  [2772] = {.lex_state = 227},
  [2773] = {.lex_state = 174},
  [2774] = {.lex_state = 236},
  [2775] = {.lex_state = 236},
  [2776] = {.lex_state = 207},
  [2777] = {.lex_state = 207},
  [2778] = {.lex_state = 207},
  [2779] = {.lex_state = 194},
  [2780] = {.lex_state = 199},
  [2781] = {.lex_state = 225},
  [2782] = {.lex_state = 227},
  [2783] = {.lex_state = 174},
  [2784] = {.lex_state = 231},
  [2785] = {.lex_state = 174},
  [2786] = {.lex_state = 174},
  [2787] = {.lex_state = 227},
  [2788] = {.lex_state = 227},
  [2789] = {.lex_state = 174},
  [2790] = {.lex_state = 227},
  [2791] = {.lex_state = 225},
  [2792] = {.lex_state = 199},
  [2793] = {.lex_state = 227},
  [2794] = {.lex_state = 207},
  [2795] = {.lex_state = 227},
  [2796] = {.lex_state = 174},
  [2797] = {.lex_state = 207},
  [2798] = {.lex_state = 207},
  [2799] = {.lex_state = 225},
  [2800] = {.lex_state = 207},
  [2801] = {.lex_state = 207},
  [2802] = {.lex_state = 207},
  [2803] = {.lex_state = 207},
  [2804] = {.lex_state = 174},
  [2805] = {.lex_state = 174},
  [2806] = {.lex_state = 196},
  [2807] = {.lex_state = 227},
  [2808] = {.lex_state = 196},
  [2809] = {.lex_state = 207},
  [2810] = {.lex_state = 174},
  [2811] = {.lex_state = 174},
  [2812] = {.lex_state = 174},
  [2813] = {.lex_state = 174},
  [2814] = {.lex_state = 227},
  [2815] = {.lex_state = 207},
  [2816] = {.lex_state = 207},
  [2817] = {.lex_state = 196},
  [2818] = {.lex_state = 196},
  [2819] = {.lex_state = 196},
  [2820] = {.lex_state = 174},
  [2821] = {.lex_state = 207},
  [2822] = {.lex_state = 196},
  [2823] = {.lex_state = 236},
  [2824] = {.lex_state = 207},
  [2825] = {.lex_state = 197},
  [2826] = {.lex_state = 197},
  [2827] = {.lex_state = 207},
  [2828] = {.lex_state = 226},
  [2829] = {.lex_state = 197},
  [2830] = {.lex_state = 207},
  [2831] = {.lex_state = 192},
  [2832] = {.lex_state = 207},
  [2833] = {.lex_state = 192},
  [2834] = {.lex_state = 223},
  [2835] = {.lex_state = 236},
  [2836] = {.lex_state = 227},
  [2837] = {.lex_state = 197},
  [2838] = {.lex_state = 227},
  [2839] = {.lex_state = 207},
  [2840] = {.lex_state = 214},
  [2841] = {.lex_state = 223},
  [2842] = {.lex_state = 197},
  [2843] = {.lex_state = 197},
  [2844] = {.lex_state = 197},
  [2845] = {.lex_state = 223},
  [2846] = {.lex_state = 197},
  [2847] = {.lex_state = 207},
  [2848] = {.lex_state = 236},
  [2849] = {.lex_state = 197},
  [2850] = {.lex_state = 197},
  [2851] = {.lex_state = 227},
  [2852] = {.lex_state = 223},
  [2853] = {.lex_state = 197},
  [2854] = {.lex_state = 199},
  [2855] = {.lex_state = 192},
  [2856] = {.lex_state = 207},
  [2857] = {.lex_state = 226},
  [2858] = {.lex_state = 227},
  [2859] = {.lex_state = 197},
  [2860] = {.lex_state = 239},
  [2861] = {.lex_state = 197},
  [2862] = {.lex_state = 207},
  [2863] = {.lex_state = 227},
  [2864] = {.lex_state = 197},
  [2865] = {.lex_state = 207},
  [2866] = {.lex_state = 214},
  [2867] = {.lex_state = 214},
  [2868] = {.lex_state = 197},
  [2869] = {.lex_state = 223},
  [2870] = {.lex_state = 214},
  [2871] = {.lex_state = 214},
  [2872] = {.lex_state = 207},
  [2873] = {.lex_state = 214},
  [2874] = {.lex_state = 207},
  [2875] = {.lex_state = 227},
  [2876] = {.lex_state = 207},
  [2877] = {.lex_state = 214},
  [2878] = {.lex_state = 197},
  [2879] = {.lex_state = 214},
  [2880] = {.lex_state = 223},
  [2881] = {.lex_state = 214},
  [2882] = {.lex_state = 239},
  [2883] = {.lex_state = 214},
  [2884] = {.lex_state = 236},
  [2885] = {.lex_state = 207},
  [2886] = {.lex_state = 207},
  [2887] = {.lex_state = 197},
  [2888] = {.lex_state = 197},
  [2889] = {.lex_state = 199},
  [2890] = {.lex_state = 192},
  [2891] = {.lex_state = 207},
  [2892] = {.lex_state = 194},
  [2893] = {.lex_state = 192},
  [2894] = {.lex_state = 208},
  [2895] = {.lex_state = 227},
  [2896] = {.lex_state = 199},
  [2897] = {.lex_state = 207},
  [2898] = {.lex_state = 214},
  [2899] = {.lex_state = 207},
  [2900] = {.lex_state = 192},
  [2901] = {.lex_state = 214},
  [2902] = {.lex_state = 223},
  [2903] = {.lex_state = 207},
  [2904] = {.lex_state = 217},
  [2905] = {.lex_state = 168},
  [2906] = {.lex_state = 207},
  [2907] = {.lex_state = 207},
  [2908] = {.lex_state = 223},
  [2909] = {.lex_state = 236},
  [2910] = {.lex_state = 168},
  [2911] = {.lex_state = 223},
  [2912] = {.lex_state = 168},
  [2913] = {.lex_state = 223},
  [2914] = {.lex_state = 223},
  [2915] = {.lex_state = 214},
  [2916] = {.lex_state = 207},
  [2917] = {.lex_state = 207},
  [2918] = {.lex_state = 207},
  [2919] = {.lex_state = 217},
  [2920] = {.lex_state = 207},
  [2921] = {.lex_state = 207},
  [2922] = {.lex_state = 207},
  [2923] = {.lex_state = 223},
  [2924] = {.lex_state = 168},
  [2925] = {.lex_state = 223},
  [2926] = {.lex_state = 217},
  [2927] = {.lex_state = 236},
  [2928] = {.lex_state = 207},
  [2929] = {.lex_state = 207},
  [2930] = {.lex_state = 207},
  [2931] = {.lex_state = 207},
  [2932] = {.lex_state = 207},
  [2933] = {.lex_state = 207},
  [2934] = {.lex_state = 207},
  [2935] = {.lex_state = 207},
  [2936] = {.lex_state = 168},
  [2937] = {.lex_state = 207},
  [2938] = {.lex_state = 207},
  [2939] = {.lex_state = 207},
  [2940] = {.lex_state = 207},
  [2941] = {.lex_state = 207},
  [2942] = {.lex_state = 207},
  [2943] = {.lex_state = 207},
  [2944] = {.lex_state = 217},
  [2945] = {.lex_state = 207},
  [2946] = {.lex_state = 207},
  [2947] = {.lex_state = 214},
  [2948] = {.lex_state = 214},
  [2949] = {.lex_state = 207},
  [2950] = {.lex_state = 207},
  [2951] = {.lex_state = 207},
  [2952] = {.lex_state = 207},
  [2953] = {.lex_state = 207},
  [2954] = {.lex_state = 207},
  [2955] = {.lex_state = 207},
  [2956] = {.lex_state = 227},
  [2957] = {.lex_state = 227},
  [2958] = {.lex_state = 217},
  [2959] = {.lex_state = 227},
  [2960] = {.lex_state = 227},
  [2961] = {.lex_state = 227},
  [2962] = {.lex_state = 227},
  [2963] = {.lex_state = 227},
  [2964] = {.lex_state = 227},
  [2965] = {.lex_state = 227},
  [2966] = {.lex_state = 223},
  [2967] = {.lex_state = 227},
  [2968] = {.lex_state = 168},
  [2969] = {.lex_state = 227},
  [2970] = {.lex_state = 227},
  [2971] = {.lex_state = 227},
  [2972] = {.lex_state = 227},
  [2973] = {.lex_state = 227},
  [2974] = {.lex_state = 227},
  [2975] = {.lex_state = 227},
  [2976] = {.lex_state = 227},
  [2977] = {.lex_state = 227},
  [2978] = {.lex_state = 227},
  [2979] = {.lex_state = 227},
  [2980] = {.lex_state = 227},
  [2981] = {.lex_state = 227},
  [2982] = {.lex_state = 227},
  [2983] = {.lex_state = 227},
  [2984] = {.lex_state = 207},
  [2985] = {.lex_state = 227},
  [2986] = {.lex_state = 207},
  [2987] = {.lex_state = 192},
  [2988] = {.lex_state = 227},
  [2989] = {.lex_state = 192},
  [2990] = {.lex_state = 227},
  [2991] = {.lex_state = 227},
  [2992] = {.lex_state = 227},
  [2993] = {.lex_state = 207},
  [2994] = {.lex_state = 227},
  [2995] = {.lex_state = 227},
  [2996] = {.lex_state = 214},
  [2997] = {.lex_state = 227},
  [2998] = {.lex_state = 207},
  [2999] = {.lex_state = 207},
  [3000] = {.lex_state = 192},
  [3001] = {.lex_state = 181},
  [3002] = {.lex_state = 207},
  [3003] = {.lex_state = 181},
  [3004] = {.lex_state = 214},
  [3005] = {.lex_state = 207},
  [3006] = {.lex_state = 214},
  [3007] = {.lex_state = 214},
  [3008] = {.lex_state = 214},
  [3009] = {.lex_state = 214},
  [3010] = {.lex_state = 214},
  [3011] = {.lex_state = 236},
  [3012] = {.lex_state = 214},
  [3013] = {.lex_state = 214},
  [3014] = {.lex_state = 214},
  [3015] = {.lex_state = 239},
  [3016] = {.lex_state = 214},
  [3017] = {.lex_state = 236},
  [3018] = {.lex_state = 214},
  [3019] = {.lex_state = 214},
  [3020] = {.lex_state = 207},
  [3021] = {.lex_state = 214},
  [3022] = {.lex_state = 214},
  [3023] = {.lex_state = 214},
  [3024] = {.lex_state = 214},
  [3025] = {.lex_state = 214},
  [3026] = {.lex_state = 214},
  [3027] = {.lex_state = 214},
  [3028] = {.lex_state = 214},
  [3029] = {.lex_state = 214},
  [3030] = {.lex_state = 207},
  [3031] = {.lex_state = 214},
  [3032] = {.lex_state = 209},
  [3033] = {.lex_state = 214},
  [3034] = {.lex_state = 214},
  [3035] = {.lex_state = 214},
  [3036] = {.lex_state = 207},
  [3037] = {.lex_state = 207},
  [3038] = {.lex_state = 207},
  [3039] = {.lex_state = 214},
  [3040] = {.lex_state = 214},
  [3041] = {.lex_state = 207},
  [3042] = {.lex_state = 207},
  [3043] = {.lex_state = 207},
  [3044] = {.lex_state = 207},
  [3045] = {.lex_state = 214},
  [3046] = {.lex_state = 207},
  [3047] = {.lex_state = 207},
  [3048] = {.lex_state = 207},
  [3049] = {.lex_state = 207},
  [3050] = {.lex_state = 214},
  [3051] = {.lex_state = 207},
  [3052] = {.lex_state = 207},
  [3053] = {.lex_state = 207},
  [3054] = {.lex_state = 214},
  [3055] = {.lex_state = 207},
  [3056] = {.lex_state = 207},
  [3057] = {.lex_state = 214},
  [3058] = {.lex_state = 207},
  [3059] = {.lex_state = 207},
  [3060] = {.lex_state = 214},
  [3061] = {.lex_state = 207},
  [3062] = {.lex_state = 236},
  [3063] = {.lex_state = 214},
  [3064] = {.lex_state = 207},
  [3065] = {.lex_state = 214},
  [3066] = {.lex_state = 192},
  [3067] = {.lex_state = 214},
  [3068] = {.lex_state = 214},
  [3069] = {.lex_state = 194},
  [3070] = {.lex_state = 197},
  [3071] = {.lex_state = 214},
  [3072] = {.lex_state = 207},
  [3073] = {.lex_state = 214},
  [3074] = {.lex_state = 207},
  [3075] = {.lex_state = 207},
  [3076] = {.lex_state = 214},
  [3077] = {.lex_state = 197},
  [3078] = {.lex_state = 197},
  [3079] = {.lex_state = 181},
  [3080] = {.lex_state = 242},
  [3081] = {.lex_state = 207},
  [3082] = {.lex_state = 207},
  [3083] = {.lex_state = 214},
  [3084] = {.lex_state = 197},
  [3085] = {.lex_state = 207},
  [3086] = {.lex_state = 197},
  [3087] = {.lex_state = 207},
  [3088] = {.lex_state = 197},
  [3089] = {.lex_state = 207},
  [3090] = {.lex_state = 207},
  [3091] = {.lex_state = 197},
  [3092] = {.lex_state = 216},
  [3093] = {.lex_state = 207},
  [3094] = {.lex_state = 192},
  [3095] = {.lex_state = 197},
  [3096] = {.lex_state = 202},
  [3097] = {.lex_state = 207},
  [3098] = {.lex_state = 202},
  [3099] = {.lex_state = 207},
  [3100] = {.lex_state = 181},
  [3101] = {.lex_state = 214},
  [3102] = {.lex_state = 239},
  [3103] = {.lex_state = 207},
  [3104] = {.lex_state = 217},
  [3105] = {.lex_state = 207},
  [3106] = {.lex_state = 194},
  [3107] = {.lex_state = 217},
  [3108] = {.lex_state = 197},
  [3109] = {.lex_state = 236},
  [3110] = {.lex_state = 207},
  [3111] = {.lex_state = 197},
  [3112] = {.lex_state = 197},
  [3113] = {.lex_state = 214},
  [3114] = {.lex_state = 207},
  [3115] = {.lex_state = 197},
  [3116] = {.lex_state = 197},
  [3117] = {.lex_state = 197},
  [3118] = {.lex_state = 207},
  [3119] = {.lex_state = 207},
  [3120] = {.lex_state = 197},
  [3121] = {.lex_state = 197},
  [3122] = {.lex_state = 197},
  [3123] = {.lex_state = 214},
  [3124] = {.lex_state = 207},
  [3125] = {.lex_state = 192},
  [3126] = {.lex_state = 236},
  [3127] = {.lex_state = 236},
  [3128] = {.lex_state = 197},
  [3129] = {.lex_state = 207},
  [3130] = {.lex_state = 214},
  [3131] = {.lex_state = 214},
  [3132] = {.lex_state = 207},
  [3133] = {.lex_state = 194},
  [3134] = {.lex_state = 236},
  [3135] = {.lex_state = 236},
  [3136] = {.lex_state = 197},
  [3137] = {.lex_state = 207},
  [3138] = {.lex_state = 207},
  [3139] = {.lex_state = 192},
  [3140] = {.lex_state = 207},
  [3141] = {.lex_state = 207},
  [3142] = {.lex_state = 214},
  [3143] = {.lex_state = 197},
  [3144] = {.lex_state = 207},
  [3145] = {.lex_state = 214},
  [3146] = {.lex_state = 194},
  [3147] = {.lex_state = 214},
  [3148] = {.lex_state = 214},
  [3149] = {.lex_state = 199},
  [3150] = {.lex_state = 192},
  [3151] = {.lex_state = 237},
  [3152] = {.lex_state = 192},
  [3153] = {.lex_state = 214},
  [3154] = {.lex_state = 192},
  [3155] = {.lex_state = 236},
  [3156] = {.lex_state = 214},
  [3157] = {.lex_state = 240},
  [3158] = {.lex_state = 199},
  [3159] = {.lex_state = 214},
  [3160] = {.lex_state = 207},
  [3161] = {.lex_state = 214},
  [3162] = {.lex_state = 236},
  [3163] = {.lex_state = 214},
  [3164] = {.lex_state = 214},
  [3165] = {.lex_state = 214},
  [3166] = {.lex_state = 214},
  [3167] = {.lex_state = 214},
  [3168] = {.lex_state = 181},
  [3169] = {.lex_state = 192},
  [3170] = {.lex_state = 207},
  [3171] = {.lex_state = 194},
  [3172] = {.lex_state = 207},
  [3173] = {.lex_state = 207},
  [3174] = {.lex_state = 214},
  [3175] = {.lex_state = 214},
  [3176] = {.lex_state = 207},
  [3177] = {.lex_state = 207},
  [3178] = {.lex_state = 214},
  [3179] = {.lex_state = 236},
  [3180] = {.lex_state = 214},
  [3181] = {.lex_state = 236},
  [3182] = {.lex_state = 197},
  [3183] = {.lex_state = 207},
  [3184] = {.lex_state = 211},
  [3185] = {.lex_state = 194},
  [3186] = {.lex_state = 181},
  [3187] = {.lex_state = 236},
  [3188] = {.lex_state = 236},
  [3189] = {.lex_state = 192},
  [3190] = {.lex_state = 214},
  [3191] = {.lex_state = 192},
  [3192] = {.lex_state = 192},
  [3193] = {.lex_state = 211},
  [3194] = {.lex_state = 181},
  [3195] = {.lex_state = 192},
  [3196] = {.lex_state = 204},
  [3197] = {.lex_state = 214},
  [3198] = {.lex_state = 207},
  [3199] = {.lex_state = 207},
  [3200] = {.lex_state = 207},
  [3201] = {.lex_state = 192},
  [3202] = {.lex_state = 214},
  [3203] = {.lex_state = 207},
  [3204] = {.lex_state = 197},
  [3205] = {.lex_state = 192},
  [3206] = {.lex_state = 214},
  [3207] = {.lex_state = 192},
  [3208] = {.lex_state = 197},
  [3209] = {.lex_state = 197},
  [3210] = {.lex_state = 192},
  [3211] = {.lex_state = 214},
  [3212] = {.lex_state = 226},
  [3213] = {.lex_state = 192},
  [3214] = {.lex_state = 207},
  [3215] = {.lex_state = 202},
  [3216] = {.lex_state = 197},
  [3217] = {.lex_state = 197},
  [3218] = {.lex_state = 192},
  [3219] = {.lex_state = 174},
  [3220] = {.lex_state = 236},
  [3221] = {.lex_state = 236},
  [3222] = {.lex_state = 214},
  [3223] = {.lex_state = 211},
  [3224] = {.lex_state = 214},
  [3225] = {.lex_state = 236},
  [3226] = {.lex_state = 192},
  [3227] = {.lex_state = 237},
  [3228] = {.lex_state = 199},
  [3229] = {.lex_state = 236},
  [3230] = {.lex_state = 202},
  [3231] = {.lex_state = 202},
  [3232] = {.lex_state = 192},
  [3233] = {.lex_state = 192},
  [3234] = {.lex_state = 207},
  [3235] = {.lex_state = 197},
  [3236] = {.lex_state = 197},
  [3237] = {.lex_state = 207},
  [3238] = {.lex_state = 197},
  [3239] = {.lex_state = 197},
  [3240] = {.lex_state = 192},
  [3241] = {.lex_state = 197},
  [3242] = {.lex_state = 197},
  [3243] = {.lex_state = 197},
  [3244] = {.lex_state = 197},
  [3245] = {.lex_state = 192},
  [3246] = {.lex_state = 214},
  [3247] = {.lex_state = 197},
  [3248] = {.lex_state = 214},
  [3249] = {.lex_state = 192},
  [3250] = {.lex_state = 213},
  [3251] = {.lex_state = 197},
  [3252] = {.lex_state = 192},
  [3253] = {.lex_state = 197},
  [3254] = {.lex_state = 194},
  [3255] = {.lex_state = 194},
  [3256] = {.lex_state = 192},
  [3257] = {.lex_state = 207},
  [3258] = {.lex_state = 192},
  [3259] = {.lex_state = 197},
  [3260] = {.lex_state = 197},
  [3261] = {.lex_state = 197},
  [3262] = {.lex_state = 197},
  [3263] = {.lex_state = 197},
  [3264] = {.lex_state = 197},
  [3265] = {.lex_state = 197},
  [3266] = {.lex_state = 192},
  [3267] = {.lex_state = 192},
  [3268] = {.lex_state = 192},
  [3269] = {.lex_state = 207},
  [3270] = {.lex_state = 207},
  [3271] = {.lex_state = 207},
  [3272] = {.lex_state = 202},
  [3273] = {.lex_state = 207},
  [3274] = {.lex_state = 204},
  [3275] = {.lex_state = 207},
  [3276] = {.lex_state = 207},
  [3277] = {.lex_state = 207},
  [3278] = {.lex_state = 207},
  [3279] = {.lex_state = 202},
  [3280] = {.lex_state = 202},
  [3281] = {.lex_state = 207},
  [3282] = {.lex_state = 207},
  [3283] = {.lex_state = 236},
  [3284] = {.lex_state = 217},
  [3285] = {.lex_state = 203},
  [3286] = {.lex_state = 202},
  [3287] = {.lex_state = 202},
  [3288] = {.lex_state = 207},
  [3289] = {.lex_state = 204},
  [3290] = {.lex_state = 217},
  [3291] = {.lex_state = 207},
  [3292] = {.lex_state = 219},
  [3293] = {.lex_state = 202},
  [3294] = {.lex_state = 207},
  [3295] = {.lex_state = 207},
  [3296] = {.lex_state = 217},
  [3297] = {.lex_state = 217},
  [3298] = {.lex_state = 217},
  [3299] = {.lex_state = 204},
  [3300] = {.lex_state = 217},
  [3301] = {.lex_state = 207},
  [3302] = {.lex_state = 217},
  [3303] = {.lex_state = 181},
  [3304] = {.lex_state = 197},
  [3305] = {.lex_state = 207},
  [3306] = {.lex_state = 207},
  [3307] = {.lex_state = 204},
  [3308] = {.lex_state = 207},
  [3309] = {.lex_state = 207},
  [3310] = {.lex_state = 219},
  [3311] = {.lex_state = 181},
  [3312] = {.lex_state = 204},
  [3313] = {.lex_state = 237},
  [3314] = {.lex_state = 217},
  [3315] = {.lex_state = 202},
  [3316] = {.lex_state = 207},
  [3317] = {.lex_state = 202},
  [3318] = {.lex_state = 207},
  [3319] = {.lex_state = 181},
  [3320] = {.lex_state = 202},
  [3321] = {.lex_state = 202},
  [3322] = {.lex_state = 217},
  [3323] = {.lex_state = 207},
  [3324] = {.lex_state = 207},
  [3325] = {.lex_state = 207},
  [3326] = {.lex_state = 207},
  [3327] = {.lex_state = 204},
  [3328] = {.lex_state = 207},
  [3329] = {.lex_state = 207},
  [3330] = {.lex_state = 207},
  [3331] = {.lex_state = 202},
  [3332] = {.lex_state = 207},
  [3333] = {.lex_state = 207},
  [3334] = {.lex_state = 181},
  [3335] = {.lex_state = 207},
  [3336] = {.lex_state = 203},
  [3337] = {.lex_state = 217},
  [3338] = {.lex_state = 207},
  [3339] = {.lex_state = 207},
  [3340] = {.lex_state = 207},
  [3341] = {.lex_state = 207},
  [3342] = {.lex_state = 237},
  [3343] = {.lex_state = 217},
  [3344] = {.lex_state = 207},
  [3345] = {.lex_state = 237},
  [3346] = {.lex_state = 207},
  [3347] = {.lex_state = 202},
  [3348] = {.lex_state = 237},
  [3349] = {.lex_state = 207},
  [3350] = {.lex_state = 207},
  [3351] = {.lex_state = 202},
  [3352] = {.lex_state = 236},
  [3353] = {.lex_state = 217},
  [3354] = {.lex_state = 202},
  [3355] = {.lex_state = 219},
  [3356] = {.lex_state = 207},
  [3357] = {.lex_state = 207},
  [3358] = {.lex_state = 207},
  [3359] = {.lex_state = 207},
  [3360] = {.lex_state = 207},
  [3361] = {.lex_state = 207},
  [3362] = {.lex_state = 214},
  [3363] = {.lex_state = 202},
  [3364] = {.lex_state = 207},
  [3365] = {.lex_state = 237},
  [3366] = {.lex_state = 207},
  [3367] = {.lex_state = 214},
  [3368] = {.lex_state = 223},
  [3369] = {.lex_state = 191},
  [3370] = {.lex_state = 207},
  [3371] = {.lex_state = 204},
  [3372] = {.lex_state = 217},
  [3373] = {.lex_state = 217},
  [3374] = {.lex_state = 236},
  [3375] = {.lex_state = 207},
  [3376] = {.lex_state = 207},
  [3377] = {.lex_state = 223},
  [3378] = {.lex_state = 236},
  [3379] = {.lex_state = 202},
  [3380] = {.lex_state = 207},
  [3381] = {.lex_state = 207},
  [3382] = {.lex_state = 207},
  [3383] = {.lex_state = 237},
  [3384] = {.lex_state = 207},
  [3385] = {.lex_state = 207},
  [3386] = {.lex_state = 207},
  [3387] = {.lex_state = 236},
  [3388] = {.lex_state = 207},
  [3389] = {.lex_state = 207},
  [3390] = {.lex_state = 204},
  [3391] = {.lex_state = 207},
  [3392] = {.lex_state = 204},
  [3393] = {.lex_state = 207},
  [3394] = {.lex_state = 207},
  [3395] = {.lex_state = 207},
  [3396] = {.lex_state = 207},
  [3397] = {.lex_state = 207},
  [3398] = {.lex_state = 207},
  [3399] = {.lex_state = 207},
  [3400] = {.lex_state = 207},
  [3401] = {.lex_state = 236},
  [3402] = {.lex_state = 207},
  [3403] = {.lex_state = 237},
  [3404] = {.lex_state = 207},
  [3405] = {.lex_state = 207},
  [3406] = {.lex_state = 207},
  [3407] = {.lex_state = 217},
  [3408] = {.lex_state = 207},
  [3409] = {.lex_state = 204},
  [3410] = {.lex_state = 204},
  [3411] = {.lex_state = 207},
  [3412] = {.lex_state = 207},
  [3413] = {.lex_state = 207},
  [3414] = {.lex_state = 236},
  [3415] = {.lex_state = 202},
  [3416] = {.lex_state = 207},
  [3417] = {.lex_state = 207},
  [3418] = {.lex_state = 207},
  [3419] = {.lex_state = 204},
  [3420] = {.lex_state = 214},
  [3421] = {.lex_state = 207},
  [3422] = {.lex_state = 191},
  [3423] = {.lex_state = 207},
  [3424] = {.lex_state = 207},
  [3425] = {.lex_state = 207},
  [3426] = {.lex_state = 204},
  [3427] = {.lex_state = 204},
  [3428] = {.lex_state = 207},
  [3429] = {.lex_state = 202},
  [3430] = {.lex_state = 204},
  [3431] = {.lex_state = 207},
  [3432] = {.lex_state = 207},
  [3433] = {.lex_state = 237},
  [3434] = {.lex_state = 207},
  [3435] = {.lex_state = 207},
  [3436] = {.lex_state = 207},
  [3437] = {.lex_state = 207},
  [3438] = {.lex_state = 207},
  [3439] = {.lex_state = 202},
  [3440] = {.lex_state = 221},
  [3441] = {.lex_state = 207},
  [3442] = {.lex_state = 236},
  [3443] = {.lex_state = 207},
  [3444] = {.lex_state = 207},
  [3445] = {.lex_state = 236},
  [3446] = {.lex_state = 207},
  [3447] = {.lex_state = 207},
  [3448] = {.lex_state = 207},
  [3449] = {.lex_state = 207},
  [3450] = {.lex_state = 207},
  [3451] = {.lex_state = 207},
  [3452] = {.lex_state = 207},
  [3453] = {.lex_state = 207},
  [3454] = {.lex_state = 237},
  [3455] = {.lex_state = 207},
  [3456] = {.lex_state = 207},
  [3457] = {.lex_state = 191},
  [3458] = {.lex_state = 207},
  [3459] = {.lex_state = 207},
  [3460] = {.lex_state = 237},
  [3461] = {.lex_state = 202},
  [3462] = {.lex_state = 207},
  [3463] = {.lex_state = 207},
  [3464] = {.lex_state = 207},
  [3465] = {.lex_state = 204},
  [3466] = {.lex_state = 197},
  [3467] = {.lex_state = 207},
  [3468] = {.lex_state = 237},
  [3469] = {.lex_state = 202},
  [3470] = {.lex_state = 202},
  [3471] = {.lex_state = 202},
  [3472] = {.lex_state = 202},
  [3473] = {.lex_state = 204},
  [3474] = {.lex_state = 202},
  [3475] = {.lex_state = 207},
  [3476] = {.lex_state = 207},
  [3477] = {.lex_state = 202},
  [3478] = {.lex_state = 207},
  [3479] = {.lex_state = 207},
  [3480] = {.lex_state = 217},
  [3481] = {.lex_state = 207},
  [3482] = {.lex_state = 207},
  [3483] = {.lex_state = 207},
  [3484] = {.lex_state = 202},
  [3485] = {.lex_state = 207},
  [3486] = {.lex_state = 207},
  [3487] = {.lex_state = 207},
  [3488] = {.lex_state = 214},
  [3489] = {.lex_state = 207},
  [3490] = {.lex_state = 214},
  [3491] = {.lex_state = 207},
  [3492] = {.lex_state = 207},
  [3493] = {.lex_state = 207},
  [3494] = {.lex_state = 207},
  [3495] = {.lex_state = 214},
  [3496] = {.lex_state = 207},
  [3497] = {.lex_state = 214},
  [3498] = {.lex_state = 207},
  [3499] = {.lex_state = 207},
  [3500] = {.lex_state = 207},
  [3501] = {.lex_state = 237},
  [3502] = {.lex_state = 207},
  [3503] = {.lex_state = 207},
  [3504] = {.lex_state = 214},
  [3505] = {.lex_state = 214},
  [3506] = {.lex_state = 214},
  [3507] = {.lex_state = 207},
  [3508] = {.lex_state = 214},
  [3509] = {.lex_state = 214},
  [3510] = {.lex_state = 214},
  [3511] = {.lex_state = 197},
  [3512] = {.lex_state = 240},
  [3513] = {.lex_state = 236},
  [3514] = {.lex_state = 214},
  [3515] = {.lex_state = 236},
  [3516] = {.lex_state = 214},
  [3517] = {.lex_state = 236},
  [3518] = {.lex_state = 236},
  [3519] = {.lex_state = 214},
  [3520] = {.lex_state = 214},
  [3521] = {.lex_state = 197},
  [3522] = {.lex_state = 237},
  [3523] = {.lex_state = 237},
  [3524] = {.lex_state = 207},
  [3525] = {.lex_state = 236},
  [3526] = {.lex_state = 237},
  [3527] = {.lex_state = 214},
  [3528] = {.lex_state = 236},
  [3529] = {.lex_state = 214},
  [3530] = {.lex_state = 236},
  [3531] = {.lex_state = 236},
  [3532] = {.lex_state = 214},
  [3533] = {.lex_state = 207},
  [3534] = {.lex_state = 214},
  [3535] = {.lex_state = 237},
  [3536] = {.lex_state = 236},
  [3537] = {.lex_state = 207},
  [3538] = {.lex_state = 214},
  [3539] = {.lex_state = 214},
  [3540] = {.lex_state = 214},
  [3541] = {.lex_state = 214},
  [3542] = {.lex_state = 207},
  [3543] = {.lex_state = 214},
  [3544] = {.lex_state = 214},
  [3545] = {.lex_state = 214},
  [3546] = {.lex_state = 214},
  [3547] = {.lex_state = 214},
  [3548] = {.lex_state = 214},
  [3549] = {.lex_state = 237},
  [3550] = {.lex_state = 214},
  [3551] = {.lex_state = 214},
  [3552] = {.lex_state = 207},
  [3553] = {.lex_state = 214},
  [3554] = {.lex_state = 214},
  [3555] = {.lex_state = 207},
  [3556] = {.lex_state = 214},
  [3557] = {.lex_state = 214},
  [3558] = {.lex_state = 214},
  [3559] = {.lex_state = 214},
  [3560] = {.lex_state = 214},
  [3561] = {.lex_state = 202},
  [3562] = {.lex_state = 240},
  [3563] = {.lex_state = 214},
  [3564] = {.lex_state = 214},
  [3565] = {.lex_state = 202},
  [3566] = {.lex_state = 207},
  [3567] = {.lex_state = 214},
  [3568] = {.lex_state = 214},
  [3569] = {.lex_state = 214},
  [3570] = {.lex_state = 214},
  [3571] = {.lex_state = 214},
  [3572] = {.lex_state = 214},
  [3573] = {.lex_state = 214},
  [3574] = {.lex_state = 214},
  [3575] = {.lex_state = 214},
  [3576] = {.lex_state = 214},
  [3577] = {.lex_state = 214},
  [3578] = {.lex_state = 214},
  [3579] = {.lex_state = 207},
  [3580] = {.lex_state = 214},
  [3581] = {.lex_state = 214},
  [3582] = {.lex_state = 202},
  [3583] = {.lex_state = 214},
  [3584] = {.lex_state = 214},
  [3585] = {.lex_state = 214},
  [3586] = {.lex_state = 214},
  [3587] = {.lex_state = 214},
  [3588] = {.lex_state = 207},
  [3589] = {.lex_state = 214},
  [3590] = {.lex_state = 214},
  [3591] = {.lex_state = 202},
  [3592] = {.lex_state = 214},
  [3593] = {.lex_state = 214},
  [3594] = {.lex_state = 214},
  [3595] = {.lex_state = 236},
  [3596] = {.lex_state = 214},
  [3597] = {.lex_state = 214},
  [3598] = {.lex_state = 214},
  [3599] = {.lex_state = 202},
  [3600] = {.lex_state = 214},
  [3601] = {.lex_state = 214},
  [3602] = {.lex_state = 214},
  [3603] = {.lex_state = 214},
  [3604] = {.lex_state = 207},
  [3605] = {.lex_state = 214},
  [3606] = {.lex_state = 197},
  [3607] = {.lex_state = 197},
  [3608] = {.lex_state = 214},
  [3609] = {.lex_state = 197},
  [3610] = {.lex_state = 214},
  [3611] = {.lex_state = 197},
  [3612] = {.lex_state = 207},
  [3613] = {.lex_state = 214},
  [3614] = {.lex_state = 197},
  [3615] = {.lex_state = 197},
  [3616] = {.lex_state = 214},
  [3617] = {.lex_state = 214},
  [3618] = {.lex_state = 207},
  [3619] = {.lex_state = 207},
  [3620] = {.lex_state = 240},
  [3621] = {.lex_state = 214},
  [3622] = {.lex_state = 214},
  [3623] = {.lex_state = 214},
  [3624] = {.lex_state = 214},
  [3625] = {.lex_state = 214},
  [3626] = {.lex_state = 214},
  [3627] = {.lex_state = 214},
  [3628] = {.lex_state = 202},
  [3629] = {.lex_state = 202},
  [3630] = {.lex_state = 207},
  [3631] = {.lex_state = 236},
  [3632] = {.lex_state = 202},
  [3633] = {.lex_state = 181},
  [3634] = {.lex_state = 181},
  [3635] = {.lex_state = 197},
  [3636] = {.lex_state = 236},
  [3637] = {.lex_state = 214},
  [3638] = {.lex_state = 202},
  [3639] = {.lex_state = 202},
  [3640] = {.lex_state = 236},
  [3641] = {.lex_state = 240},
  [3642] = {.lex_state = 204},
  [3643] = {.lex_state = 236},
  [3644] = {.lex_state = 236},
  [3645] = {.lex_state = 236},
  [3646] = {.lex_state = 211},
  [3647] = {.lex_state = 191},
  [3648] = {.lex_state = 204},
  [3649] = {.lex_state = 237},
  [3650] = {.lex_state = 181},
  [3651] = {.lex_state = 211},
  [3652] = {.lex_state = 202},
  [3653] = {.lex_state = 202},
  [3654] = {.lex_state = 202},
  [3655] = {.lex_state = 240},
  [3656] = {.lex_state = 204},
  [3657] = {.lex_state = 202},
  [3658] = {.lex_state = 236},
  [3659] = {.lex_state = 202},
  [3660] = {.lex_state = 202},
  [3661] = {.lex_state = 202},
  [3662] = {.lex_state = 207},
  [3663] = {.lex_state = 202},
  [3664] = {.lex_state = 181},
  [3665] = {.lex_state = 240},
  [3666] = {.lex_state = 181},
  [3667] = {.lex_state = 211},
  [3668] = {.lex_state = 236},
  [3669] = {.lex_state = 202},
  [3670] = {.lex_state = 202},
  [3671] = {.lex_state = 181},
  [3672] = {.lex_state = 202},
  [3673] = {.lex_state = 202},
  [3674] = {.lex_state = 236},
  [3675] = {.lex_state = 202},
  [3676] = {.lex_state = 223},
  [3677] = {.lex_state = 236},
  [3678] = {.lex_state = 240},
  [3679] = {.lex_state = 236},
  [3680] = {.lex_state = 191},
  [3681] = {.lex_state = 207},
  [3682] = {.lex_state = 207},
  [3683] = {.lex_state = 207},
  [3684] = {.lex_state = 207},
  [3685] = {.lex_state = 223},
  [3686] = {.lex_state = 207},
  [3687] = {.lex_state = 204},
  [3688] = {.lex_state = 202},
  [3689] = {.lex_state = 207},
  [3690] = {.lex_state = 207},
  [3691] = {.lex_state = 207},
  [3692] = {.lex_state = 207},
  [3693] = {.lex_state = 207},
  [3694] = {.lex_state = 207},
  [3695] = {.lex_state = 207},
  [3696] = {.lex_state = 207},
  [3697] = {.lex_state = 207},
  [3698] = {.lex_state = 207},
  [3699] = {.lex_state = 202},
  [3700] = {.lex_state = 202},
  [3701] = {.lex_state = 202},
  [3702] = {.lex_state = 202},
  [3703] = {.lex_state = 202},
  [3704] = {.lex_state = 207},
  [3705] = {.lex_state = 204},
  [3706] = {.lex_state = 207},
  [3707] = {.lex_state = 202},
  [3708] = {.lex_state = 207},
  [3709] = {.lex_state = 207},
  [3710] = {.lex_state = 207},
  [3711] = {.lex_state = 207},
  [3712] = {.lex_state = 202},
  [3713] = {.lex_state = 237},
  [3714] = {.lex_state = 207},
  [3715] = {.lex_state = 207},
  [3716] = {.lex_state = 207},
  [3717] = {.lex_state = 207},
  [3718] = {.lex_state = 207},
  [3719] = {.lex_state = 207},
  [3720] = {.lex_state = 207},
  [3721] = {.lex_state = 204},
  [3722] = {.lex_state = 207},
  [3723] = {.lex_state = 207},
  [3724] = {.lex_state = 191},
  [3725] = {.lex_state = 207},
  [3726] = {.lex_state = 202},
  [3727] = {.lex_state = 207},
  [3728] = {.lex_state = 191},
  [3729] = {.lex_state = 207},
  [3730] = {.lex_state = 207},
  [3731] = {.lex_state = 236},
  [3732] = {.lex_state = 207},
  [3733] = {.lex_state = 207},
  [3734] = {.lex_state = 207},
  [3735] = {.lex_state = 223},
  [3736] = {.lex_state = 223},
  [3737] = {.lex_state = 202},
  [3738] = {.lex_state = 207},
  [3739] = {.lex_state = 207},
  [3740] = {.lex_state = 207},
  [3741] = {.lex_state = 202},
  [3742] = {.lex_state = 207},
  [3743] = {.lex_state = 204},
  [3744] = {.lex_state = 207},
  [3745] = {.lex_state = 207},
  [3746] = {.lex_state = 207},
  [3747] = {.lex_state = 207},
  [3748] = {.lex_state = 207},
  [3749] = {.lex_state = 207},
  [3750] = {.lex_state = 237},
  [3751] = {.lex_state = 236},
  [3752] = {.lex_state = 207},
  [3753] = {.lex_state = 191},
  [3754] = {.lex_state = 207},
  [3755] = {.lex_state = 181},
  [3756] = {.lex_state = 207},
  [3757] = {.lex_state = 191},
  [3758] = {.lex_state = 204},
  [3759] = {.lex_state = 181},
  [3760] = {.lex_state = 181},
  [3761] = {.lex_state = 204},
  [3762] = {.lex_state = 181},
  [3763] = {.lex_state = 207},
  [3764] = {.lex_state = 207},
  [3765] = {.lex_state = 207},
  [3766] = {.lex_state = 207},
  [3767] = {.lex_state = 207},
  [3768] = {.lex_state = 207},
  [3769] = {.lex_state = 223},
  [3770] = {.lex_state = 207},
  [3771] = {.lex_state = 202},
  [3772] = {.lex_state = 204},
  [3773] = {.lex_state = 204},
  [3774] = {.lex_state = 236},
  [3775] = {.lex_state = 204},
  [3776] = {.lex_state = 204},
  [3777] = {.lex_state = 236},
  [3778] = {.lex_state = 204},
  [3779] = {.lex_state = 204},
  [3780] = {.lex_state = 204},
  [3781] = {.lex_state = 236},
  [3782] = {.lex_state = 204},
  [3783] = {.lex_state = 204},
  [3784] = {.lex_state = 204},
  [3785] = {.lex_state = 204},
  [3786] = {.lex_state = 236},
  [3787] = {.lex_state = 204},
  [3788] = {.lex_state = 204},
  [3789] = {.lex_state = 204},
  [3790] = {.lex_state = 191},
  [3791] = {.lex_state = 242},
  [3792] = {.lex_state = 202},
  [3793] = {.lex_state = 204},
  [3794] = {.lex_state = 204},
  [3795] = {.lex_state = 204},
  [3796] = {.lex_state = 204},
  [3797] = {.lex_state = 236},
  [3798] = {.lex_state = 204},
  [3799] = {.lex_state = 191},
  [3800] = {.lex_state = 204},
  [3801] = {.lex_state = 204},
  [3802] = {.lex_state = 204},
  [3803] = {.lex_state = 191},
  [3804] = {.lex_state = 204},
  [3805] = {.lex_state = 191},
  [3806] = {.lex_state = 204},
  [3807] = {.lex_state = 204},
  [3808] = {.lex_state = 204},
  [3809] = {.lex_state = 204},
  [3810] = {.lex_state = 204},
  [3811] = {.lex_state = 204},
  [3812] = {.lex_state = 204},
  [3813] = {.lex_state = 202},
  [3814] = {.lex_state = 226},
  [3815] = {.lex_state = 204},
  [3816] = {.lex_state = 204},
  [3817] = {.lex_state = 236},
  [3818] = {.lex_state = 223},
  [3819] = {.lex_state = 236},
  [3820] = {.lex_state = 236},
  [3821] = {.lex_state = 226},
  [3822] = {.lex_state = 202},
  [3823] = {.lex_state = 236},
  [3824] = {.lex_state = 202},
  [3825] = {.lex_state = 202},
  [3826] = {.lex_state = 236},
  [3827] = {.lex_state = 202},
  [3828] = {.lex_state = 236},
  [3829] = {.lex_state = 223},
  [3830] = {.lex_state = 236},
  [3831] = {.lex_state = 236},
  [3832] = {.lex_state = 240},
  [3833] = {.lex_state = 202},
  [3834] = {.lex_state = 202},
  [3835] = {.lex_state = 202},
  [3836] = {.lex_state = 240},
  [3837] = {.lex_state = 223},
  [3838] = {.lex_state = 202},
  [3839] = {.lex_state = 236},
  [3840] = {.lex_state = 236},
  [3841] = {.lex_state = 236},
  [3842] = {.lex_state = 202},
  [3843] = {.lex_state = 236},
  [3844] = {.lex_state = 204},
  [3845] = {.lex_state = 237},
  [3846] = {.lex_state = 202},
  [3847] = {.lex_state = 202},
  [3848] = {.lex_state = 236},
  [3849] = {.lex_state = 202},
  [3850] = {.lex_state = 237},
  [3851] = {.lex_state = 236},
  [3852] = {.lex_state = 202},
  [3853] = {.lex_state = 204},
  [3854] = {.lex_state = 240},
  [3855] = {.lex_state = 240},
  [3856] = {.lex_state = 204},
  [3857] = {.lex_state = 202},
  [3858] = {.lex_state = 202},
  [3859] = {.lex_state = 202},
  [3860] = {.lex_state = 204},
  [3861] = {.lex_state = 202},
  [3862] = {.lex_state = 237},
  [3863] = {.lex_state = 237},
  [3864] = {.lex_state = 237},
  [3865] = {.lex_state = 237},
  [3866] = {.lex_state = 237},
  [3867] = {.lex_state = 237},
  [3868] = {.lex_state = 202},
  [3869] = {.lex_state = 237},
  [3870] = {.lex_state = 237},
  [3871] = {.lex_state = 237},
  [3872] = {.lex_state = 237},
  [3873] = {.lex_state = 237},
  [3874] = {.lex_state = 237},
  [3875] = {.lex_state = 237},
  [3876] = {.lex_state = 237},
  [3877] = {.lex_state = 237},
  [3878] = {.lex_state = 237},
  [3879] = {.lex_state = 237},
  [3880] = {.lex_state = 237},
  [3881] = {.lex_state = 237},
  [3882] = {.lex_state = 237},
  [3883] = {.lex_state = 237},
  [3884] = {.lex_state = 240},
  [3885] = {.lex_state = 237},
  [3886] = {.lex_state = 237},
  [3887] = {.lex_state = 237},
  [3888] = {.lex_state = 237},
  [3889] = {.lex_state = 237},
  [3890] = {.lex_state = 237},
  [3891] = {.lex_state = 237},
  [3892] = {.lex_state = 237},
  [3893] = {.lex_state = 202},
  [3894] = {.lex_state = 239},
  [3895] = {.lex_state = 202},
  [3896] = {.lex_state = 237},
  [3897] = {.lex_state = 237},
  [3898] = {.lex_state = 237},
  [3899] = {.lex_state = 237},
  [3900] = {.lex_state = 236},
  [3901] = {.lex_state = 226},
  [3902] = {.lex_state = 237},
  [3903] = {.lex_state = 237},
  [3904] = {.lex_state = 237},
  [3905] = {.lex_state = 202},
  [3906] = {.lex_state = 237},
  [3907] = {.lex_state = 237},
  [3908] = {.lex_state = 237},
  [3909] = {.lex_state = 237},
  [3910] = {.lex_state = 237},
  [3911] = {.lex_state = 202},
  [3912] = {.lex_state = 240},
  [3913] = {.lex_state = 237},
  [3914] = {.lex_state = 237},
  [3915] = {.lex_state = 237},
  [3916] = {.lex_state = 237},
  [3917] = {.lex_state = 237},
  [3918] = {.lex_state = 237},
  [3919] = {.lex_state = 236},
  [3920] = {.lex_state = 240},
  [3921] = {.lex_state = 226},
  [3922] = {.lex_state = 237},
  [3923] = {.lex_state = 237},
  [3924] = {.lex_state = 202},
  [3925] = {.lex_state = 237},
  [3926] = {.lex_state = 237},
  [3927] = {.lex_state = 237},
  [3928] = {.lex_state = 202},
  [3929] = {.lex_state = 202},
  [3930] = {.lex_state = 237},
  [3931] = {.lex_state = 237},
  [3932] = {.lex_state = 237},
  [3933] = {.lex_state = 237},
  [3934] = {.lex_state = 237},
  [3935] = {.lex_state = 237},
  [3936] = {.lex_state = 237},
  [3937] = {.lex_state = 237},
  [3938] = {.lex_state = 237},
  [3939] = {.lex_state = 237},
  [3940] = {.lex_state = 237},
  [3941] = {.lex_state = 237},
  [3942] = {.lex_state = 237},
  [3943] = {.lex_state = 237},
  [3944] = {.lex_state = 237},
  [3945] = {.lex_state = 240},
  [3946] = {.lex_state = 239},
  [3947] = {.lex_state = 237},
  [3948] = {.lex_state = 202},
  [3949] = {.lex_state = 204},
  [3950] = {.lex_state = 236},
  [3951] = {.lex_state = 237},
  [3952] = {.lex_state = 202},
  [3953] = {.lex_state = 240},
  [3954] = {.lex_state = 237},
  [3955] = {.lex_state = 242},
  [3956] = {.lex_state = 242},
  [3957] = {.lex_state = 237},
  [3958] = {.lex_state = 237},
  [3959] = {.lex_state = 202},
  [3960] = {.lex_state = 202},
  [3961] = {.lex_state = 237},
  [3962] = {.lex_state = 202},
  [3963] = {.lex_state = 236},
  [3964] = {.lex_state = 202},
  [3965] = {.lex_state = 202},
  [3966] = {.lex_state = 202},
  [3967] = {.lex_state = 240},
  [3968] = {.lex_state = 237},
  [3969] = {.lex_state = 202},
  [3970] = {.lex_state = 237},
  [3971] = {.lex_state = 240},
  [3972] = {.lex_state = 237},
  [3973] = {.lex_state = 240},
  [3974] = {.lex_state = 237},
  [3975] = {.lex_state = 237},
  [3976] = {.lex_state = 202},
  [3977] = {.lex_state = 202},
  [3978] = {.lex_state = 237},
  [3979] = {.lex_state = 204},
  [3980] = {.lex_state = 236},
  [3981] = {.lex_state = 202},
  [3982] = {.lex_state = 202},
  [3983] = {.lex_state = 202},
  [3984] = {.lex_state = 202},
  [3985] = {.lex_state = 202},
  [3986] = {.lex_state = 202},
  [3987] = {.lex_state = 240},
  [3988] = {.lex_state = 202},
  [3989] = {.lex_state = 202},
  [3990] = {.lex_state = 202},
  [3991] = {.lex_state = 237},
  [3992] = {.lex_state = 202},
  [3993] = {.lex_state = 237},
  [3994] = {.lex_state = 202},
  [3995] = {.lex_state = 202},
  [3996] = {.lex_state = 202},
  [3997] = {.lex_state = 202},
  [3998] = {.lex_state = 202},
  [3999] = {.lex_state = 202},
  [4000] = {.lex_state = 227},
  [4001] = {.lex_state = 202},
  [4002] = {.lex_state = 202},
  [4003] = {.lex_state = 202},
  [4004] = {.lex_state = 202},
  [4005] = {.lex_state = 237},
  [4006] = {.lex_state = 204},
  [4007] = {.lex_state = 227},
  [4008] = {.lex_state = 237},
  [4009] = {.lex_state = 204},
  [4010] = {.lex_state = 202},
  [4011] = {.lex_state = 202},
  [4012] = {.lex_state = 202},
  [4013] = {.lex_state = 202},
  [4014] = {.lex_state = 202},
  [4015] = {.lex_state = 202},
  [4016] = {.lex_state = 202},
  [4017] = {.lex_state = 202},
  [4018] = {.lex_state = 223},
  [4019] = {.lex_state = 227},
  [4020] = {.lex_state = 204},
  [4021] = {.lex_state = 204},
  [4022] = {.lex_state = 239},
  [4023] = {.lex_state = 202},
  [4024] = {.lex_state = 202},
  [4025] = {.lex_state = 202},
  [4026] = {.lex_state = 202},
  [4027] = {.lex_state = 202},
  [4028] = {.lex_state = 202},
  [4029] = {.lex_state = 202},
  [4030] = {.lex_state = 202},
  [4031] = {.lex_state = 202},
  [4032] = {.lex_state = 202},
  [4033] = {.lex_state = 202},
  [4034] = {.lex_state = 202},
  [4035] = {.lex_state = 202},
  [4036] = {.lex_state = 202},
  [4037] = {.lex_state = 202},
  [4038] = {.lex_state = 223},
  [4039] = {.lex_state = 202},
  [4040] = {.lex_state = 202},
  [4041] = {.lex_state = 227},
  [4042] = {.lex_state = 202},
  [4043] = {.lex_state = 239},
  [4044] = {.lex_state = 202},
  [4045] = {.lex_state = 202},
  [4046] = {.lex_state = 202},
  [4047] = {.lex_state = 202},
  [4048] = {.lex_state = 202},
  [4049] = {.lex_state = 227},
  [4050] = {.lex_state = 202},
  [4051] = {.lex_state = 202},
  [4052] = {.lex_state = 202},
  [4053] = {.lex_state = 227},
  [4054] = {.lex_state = 239},
  [4055] = {.lex_state = 202},
  [4056] = {.lex_state = 204},
  [4057] = {.lex_state = 239},
  [4058] = {.lex_state = 202},
  [4059] = {.lex_state = 204},
  [4060] = {.lex_state = 202},
  [4061] = {.lex_state = 202},
  [4062] = {.lex_state = 205},
  [4063] = {.lex_state = 223},
  [4064] = {.lex_state = 223},
  [4065] = {.lex_state = 202},
  [4066] = {.lex_state = 237},
  [4067] = {.lex_state = 202},
  [4068] = {.lex_state = 237},
  [4069] = {.lex_state = 205},
  [4070] = {.lex_state = 236},
  [4071] = {.lex_state = 205},
  [4072] = {.lex_state = 202},
  [4073] = {.lex_state = 202},
  [4074] = {.lex_state = 205},
  [4075] = {.lex_state = 237},
  [4076] = {.lex_state = 202},
  [4077] = {.lex_state = 237},
  [4078] = {.lex_state = 205},
  [4079] = {.lex_state = 237},
  [4080] = {.lex_state = 236},
  [4081] = {.lex_state = 237},
  [4082] = {.lex_state = 202},
  [4083] = {.lex_state = 202},
  [4084] = {.lex_state = 237},
  [4085] = {.lex_state = 236},
  [4086] = {.lex_state = 237},
  [4087] = {.lex_state = 237},
  [4088] = {.lex_state = 239},
  [4089] = {.lex_state = 237},
  [4090] = {.lex_state = 237},
  [4091] = {.lex_state = 237},
  [4092] = {.lex_state = 237},
  [4093] = {.lex_state = 237},
  [4094] = {.lex_state = 237},
  [4095] = {.lex_state = 239},
  [4096] = {.lex_state = 237},
  [4097] = {.lex_state = 237},
  [4098] = {.lex_state = 237},
  [4099] = {.lex_state = 205},
  [4100] = {.lex_state = 237},
  [4101] = {.lex_state = 237},
  [4102] = {.lex_state = 237},
  [4103] = {.lex_state = 237},
  [4104] = {.lex_state = 237},
  [4105] = {.lex_state = 202},
  [4106] = {.lex_state = 237},
  [4107] = {.lex_state = 202},
  [4108] = {.lex_state = 240},
  [4109] = {.lex_state = 237},
  [4110] = {.lex_state = 240},
  [4111] = {.lex_state = 237},
  [4112] = {.lex_state = 240},
  [4113] = {.lex_state = 240},
  [4114] = {.lex_state = 237},
  [4115] = {.lex_state = 237},
  [4116] = {.lex_state = 240},
  [4117] = {.lex_state = 237},
  [4118] = {.lex_state = 237},
  [4119] = {.lex_state = 239},
  [4120] = {.lex_state = 204},
  [4121] = {.lex_state = 204},
  [4122] = {.lex_state = 237},
  [4123] = {.lex_state = 237},
  [4124] = {.lex_state = 237},
  [4125] = {.lex_state = 237},
  [4126] = {.lex_state = 237},
  [4127] = {.lex_state = 240},
  [4128] = {.lex_state = 237},
  [4129] = {.lex_state = 237},
  [4130] = {.lex_state = 236},
  [4131] = {.lex_state = 202},
  [4132] = {.lex_state = 236},
  [4133] = {.lex_state = 239},
  [4134] = {.lex_state = 236},
  [4135] = {.lex_state = 236},
  [4136] = {.lex_state = 202},
  [4137] = {.lex_state = 202},
  [4138] = {.lex_state = 240},
  [4139] = {.lex_state = 240},
  [4140] = {.lex_state = 202},
  [4141] = {.lex_state = 202},
  [4142] = {.lex_state = 202},
  [4143] = {.lex_state = 236},
  [4144] = {.lex_state = 202},
  [4145] = {.lex_state = 236},
  [4146] = {.lex_state = 202},
  [4147] = {.lex_state = 202},
  [4148] = {.lex_state = 239},
  [4149] = {.lex_state = 239},
  [4150] = {.lex_state = 202},
  [4151] = {.lex_state = 239},
  [4152] = {.lex_state = 202},
  [4153] = {.lex_state = 202},
  [4154] = {.lex_state = 236},
  [4155] = {.lex_state = 202},
  [4156] = {.lex_state = 202},
  [4157] = {.lex_state = 202},
  [4158] = {.lex_state = 202},
  [4159] = {.lex_state = 202},
  [4160] = {.lex_state = 202},
  [4161] = {.lex_state = 202},
  [4162] = {.lex_state = 223},
  [4163] = {.lex_state = 227},
  [4164] = {.lex_state = 240},
  [4165] = {.lex_state = 222},
  [4166] = {.lex_state = 223},
  [4167] = {.lex_state = 227},
  [4168] = {.lex_state = 223},
  [4169] = {.lex_state = 227},
  [4170] = {.lex_state = 202},
  [4171] = {.lex_state = 227},
  [4172] = {.lex_state = 223},
  [4173] = {.lex_state = 223},
  [4174] = {.lex_state = 223},
  [4175] = {.lex_state = 202},
  [4176] = {.lex_state = 227},
  [4177] = {.lex_state = 202},
  [4178] = {.lex_state = 239},
  [4179] = {.lex_state = 223},
  [4180] = {.lex_state = 223},
  [4181] = {.lex_state = 202},
  [4182] = {.lex_state = 202},
  [4183] = {.lex_state = 202},
  [4184] = {.lex_state = 202},
  [4185] = {.lex_state = 202},
  [4186] = {.lex_state = 202},
  [4187] = {.lex_state = 202},
  [4188] = {.lex_state = 202},
  [4189] = {.lex_state = 223},
  [4190] = {.lex_state = 202},
  [4191] = {.lex_state = 227},
  [4192] = {.lex_state = 202},
  [4193] = {.lex_state = 202},
  [4194] = {.lex_state = 202},
  [4195] = {.lex_state = 202},
  [4196] = {.lex_state = 227},
  [4197] = {.lex_state = 202},
  [4198] = {.lex_state = 202},
  [4199] = {.lex_state = 227},
  [4200] = {.lex_state = 239},
  [4201] = {.lex_state = 242},
  [4202] = {.lex_state = 227},
  [4203] = {.lex_state = 227},
  [4204] = {.lex_state = 223},
  [4205] = {.lex_state = 202},
  [4206] = {.lex_state = 227},
  [4207] = {.lex_state = 227},
  [4208] = {.lex_state = 202},
  [4209] = {.lex_state = 227},
  [4210] = {.lex_state = 202},
  [4211] = {.lex_state = 202},
  [4212] = {.lex_state = 227},
  [4213] = {.lex_state = 223},
  [4214] = {.lex_state = 202},
  [4215] = {.lex_state = 202},
  [4216] = {.lex_state = 227},
  [4217] = {.lex_state = 202},
  [4218] = {.lex_state = 227},
  [4219] = {.lex_state = 227},
  [4220] = {.lex_state = 242},
  [4221] = {.lex_state = 202},
  [4222] = {.lex_state = 227},
  [4223] = {.lex_state = 223},
  [4224] = {.lex_state = 239},
  [4225] = {.lex_state = 202},
  [4226] = {.lex_state = 223},
  [4227] = {.lex_state = 227},
  [4228] = {.lex_state = 202},
  [4229] = {.lex_state = 227},
  [4230] = {.lex_state = 202},
  [4231] = {.lex_state = 227},
  [4232] = {.lex_state = 202},
  [4233] = {.lex_state = 227},
  [4234] = {.lex_state = 202},
  [4235] = {.lex_state = 227},
  [4236] = {.lex_state = 227},
  [4237] = {.lex_state = 227},
  [4238] = {.lex_state = 227},
  [4239] = {.lex_state = 202},
  [4240] = {.lex_state = 236},
  [4241] = {.lex_state = 227},
  [4242] = {.lex_state = 227},
  [4243] = {.lex_state = 202},
  [4244] = {.lex_state = 202},
  [4245] = {.lex_state = 202},
  [4246] = {.lex_state = 202},
  [4247] = {.lex_state = 202},
  [4248] = {.lex_state = 202},
  [4249] = {.lex_state = 202},
  [4250] = {.lex_state = 227},
  [4251] = {.lex_state = 202},
  [4252] = {.lex_state = 202},
  [4253] = {.lex_state = 227},
  [4254] = {.lex_state = 202},
  [4255] = {.lex_state = 202},
  [4256] = {.lex_state = 240},
  [4257] = {.lex_state = 202},
  [4258] = {.lex_state = 202},
  [4259] = {.lex_state = 223},
  [4260] = {.lex_state = 202},
  [4261] = {.lex_state = 202},
  [4262] = {.lex_state = 202},
  [4263] = {.lex_state = 227},
  [4264] = {.lex_state = 236},
  [4265] = {.lex_state = 227},
  [4266] = {.lex_state = 202},
  [4267] = {.lex_state = 202},
  [4268] = {.lex_state = 204},
  [4269] = {.lex_state = 204},
  [4270] = {.lex_state = 202},
  [4271] = {.lex_state = 227},
  [4272] = {.lex_state = 227},
  [4273] = {.lex_state = 227},
  [4274] = {.lex_state = 202},
  [4275] = {.lex_state = 227},
  [4276] = {.lex_state = 227},
  [4277] = {.lex_state = 202},
  [4278] = {.lex_state = 242},
  [4279] = {.lex_state = 202},
  [4280] = {.lex_state = 202},
  [4281] = {.lex_state = 202},
  [4282] = {.lex_state = 227},
  [4283] = {.lex_state = 227},
  [4284] = {.lex_state = 204},
  [4285] = {.lex_state = 202},
  [4286] = {.lex_state = 202},
  [4287] = {.lex_state = 202},
  [4288] = {.lex_state = 227},
  [4289] = {.lex_state = 227},
  [4290] = {.lex_state = 202},
  [4291] = {.lex_state = 227},
  [4292] = {.lex_state = 204},
  [4293] = {.lex_state = 227},
  [4294] = {.lex_state = 239},
  [4295] = {.lex_state = 239},
  [4296] = {.lex_state = 223},
  [4297] = {.lex_state = 202},
  [4298] = {.lex_state = 202},
  [4299] = {.lex_state = 202},
  [4300] = {.lex_state = 223},
  [4301] = {.lex_state = 202},
  [4302] = {.lex_state = 202},
  [4303] = {.lex_state = 240},
  [4304] = {.lex_state = 202},
  [4305] = {.lex_state = 202},
  [4306] = {.lex_state = 202},
  [4307] = {.lex_state = 202},
  [4308] = {.lex_state = 223},
  [4309] = {.lex_state = 202},
  [4310] = {.lex_state = 202},
  [4311] = {.lex_state = 239},
  [4312] = {.lex_state = 202},
  [4313] = {.lex_state = 202},
  [4314] = {.lex_state = 202},
  [4315] = {.lex_state = 202},
  [4316] = {.lex_state = 240},
  [4317] = {.lex_state = 240},
  [4318] = {.lex_state = 204},
  [4319] = {.lex_state = 202},
  [4320] = {.lex_state = 204},
  [4321] = {.lex_state = 227},
  [4322] = {.lex_state = 236},
  [4323] = {.lex_state = 202},
  [4324] = {.lex_state = 204},
  [4325] = {.lex_state = 202},
  [4326] = {.lex_state = 202},
  [4327] = {.lex_state = 202},
  [4328] = {.lex_state = 227},
  [4329] = {.lex_state = 227},
  [4330] = {.lex_state = 236},
  [4331] = {.lex_state = 227},
  [4332] = {.lex_state = 227},
  [4333] = {.lex_state = 236},
  [4334] = {.lex_state = 227},
  [4335] = {.lex_state = 227},
  [4336] = {.lex_state = 227},
  [4337] = {.lex_state = 227},
  [4338] = {.lex_state = 204},
  [4339] = {.lex_state = 223},
  [4340] = {.lex_state = 202},
  [4341] = {.lex_state = 227},
  [4342] = {.lex_state = 227},
  [4343] = {.lex_state = 227},
  [4344] = {.lex_state = 202},
  [4345] = {.lex_state = 202},
  [4346] = {.lex_state = 227},
  [4347] = {.lex_state = 227},
  [4348] = {.lex_state = 202},
  [4349] = {.lex_state = 205},
  [4350] = {.lex_state = 202},
  [4351] = {.lex_state = 226},
  [4352] = {.lex_state = 202},
  [4353] = {.lex_state = 240},
  [4354] = {.lex_state = 205},
  [4355] = {.lex_state = 202},
  [4356] = {.lex_state = 202},
  [4357] = {.lex_state = 202},
  [4358] = {.lex_state = 202},
  [4359] = {.lex_state = 204},
  [4360] = {.lex_state = 236},
  [4361] = {.lex_state = 227},
  [4362] = {.lex_state = 227},
  [4363] = {.lex_state = 202},
  [4364] = {.lex_state = 202},
  [4365] = {.lex_state = 204},
  [4366] = {.lex_state = 204},
  [4367] = {.lex_state = 204},
  [4368] = {.lex_state = 202},
  [4369] = {.lex_state = 240},
  [4370] = {.lex_state = 227},
  [4371] = {.lex_state = 202},
  [4372] = {.lex_state = 202},
  [4373] = {.lex_state = 240},
  [4374] = {.lex_state = 240},
  [4375] = {.lex_state = 227},
  [4376] = {.lex_state = 202},
  [4377] = {.lex_state = 202},
  [4378] = {.lex_state = 240},
  [4379] = {.lex_state = 202},
  [4380] = {.lex_state = 202},
  [4381] = {.lex_state = 202},
  [4382] = {.lex_state = 240},
  [4383] = {.lex_state = 202},
  [4384] = {.lex_state = 202},
  [4385] = {.lex_state = 202},
  [4386] = {.lex_state = 204},
  [4387] = {.lex_state = 204},
  [4388] = {.lex_state = 202},
  [4389] = {.lex_state = 202},
  [4390] = {.lex_state = 202},
  [4391] = {.lex_state = 204},
  [4392] = {.lex_state = 227},
  [4393] = {.lex_state = 204},
  [4394] = {.lex_state = 202},
  [4395] = {.lex_state = 202},
  [4396] = {.lex_state = 202},
  [4397] = {.lex_state = 202},
  [4398] = {.lex_state = 202},
  [4399] = {.lex_state = 202},
  [4400] = {.lex_state = 227},
  [4401] = {.lex_state = 205},
  [4402] = {.lex_state = 204},
  [4403] = {.lex_state = 204},
  [4404] = {.lex_state = 204},
  [4405] = {.lex_state = 202},
  [4406] = {.lex_state = 204},
  [4407] = {.lex_state = 204},
  [4408] = {.lex_state = 204},
  [4409] = {.lex_state = 202},
  [4410] = {.lex_state = 227},
  [4411] = {.lex_state = 204},
  [4412] = {.lex_state = 204},
  [4413] = {.lex_state = 204},
  [4414] = {.lex_state = 204},
  [4415] = {.lex_state = 202},
  [4416] = {.lex_state = 204},
  [4417] = {.lex_state = 204},
  [4418] = {.lex_state = 204},
  [4419] = {.lex_state = 204},
  [4420] = {.lex_state = 204},
  [4421] = {.lex_state = 204},
  [4422] = {.lex_state = 204},
  [4423] = {.lex_state = 227},
  [4424] = {.lex_state = 202},
  [4425] = {.lex_state = 204},
  [4426] = {.lex_state = 227},
  [4427] = {.lex_state = 204},
  [4428] = {.lex_state = 202},
  [4429] = {.lex_state = 204},
  [4430] = {.lex_state = 204},
  [4431] = {.lex_state = 204},
  [4432] = {.lex_state = 202},
  [4433] = {.lex_state = 204},
  [4434] = {.lex_state = 202},
  [4435] = {.lex_state = 202},
  [4436] = {.lex_state = 202},
  [4437] = {.lex_state = 202},
  [4438] = {.lex_state = 202},
  [4439] = {.lex_state = 202},
  [4440] = {.lex_state = 240},
  [4441] = {.lex_state = 202},
  [4442] = {.lex_state = 202},
  [4443] = {.lex_state = 202},
  [4444] = {.lex_state = 202},
  [4445] = {.lex_state = 240},
  [4446] = {.lex_state = 202},
  [4447] = {.lex_state = 202},
  [4448] = {.lex_state = 202},
  [4449] = {.lex_state = 202},
  [4450] = {.lex_state = 202},
  [4451] = {.lex_state = 202},
  [4452] = {.lex_state = 240},
  [4453] = {.lex_state = 240},
  [4454] = {.lex_state = 202},
  [4455] = {.lex_state = 202},
  [4456] = {.lex_state = 202},
  [4457] = {.lex_state = 240},
  [4458] = {.lex_state = 202},
  [4459] = {.lex_state = 202},
  [4460] = {.lex_state = 202},
  [4461] = {.lex_state = 202},
  [4462] = {.lex_state = 202},
  [4463] = {.lex_state = 202},
  [4464] = {.lex_state = 202},
  [4465] = {.lex_state = 202},
  [4466] = {.lex_state = 202},
  [4467] = {.lex_state = 202},
  [4468] = {.lex_state = 202},
  [4469] = {.lex_state = 202},
  [4470] = {.lex_state = 202},
  [4471] = {.lex_state = 202},
  [4472] = {.lex_state = 202},
  [4473] = {.lex_state = 202},
  [4474] = {.lex_state = 202},
  [4475] = {.lex_state = 202},
  [4476] = {.lex_state = 202},
  [4477] = {.lex_state = 240},
  [4478] = {.lex_state = 202},
  [4479] = {.lex_state = 240},
  [4480] = {.lex_state = 202},
  [4481] = {.lex_state = 204},
  [4482] = {.lex_state = 202},
  [4483] = {.lex_state = 202},
  [4484] = {.lex_state = 202},
  [4485] = {.lex_state = 202},
  [4486] = {.lex_state = 202},
  [4487] = {.lex_state = 202},
  [4488] = {.lex_state = 202},
  [4489] = {.lex_state = 236},
  [4490] = {.lex_state = 202},
  [4491] = {.lex_state = 202},
  [4492] = {.lex_state = 202},
  [4493] = {.lex_state = 239},
  [4494] = {.lex_state = 202},
  [4495] = {.lex_state = 202},
  [4496] = {.lex_state = 202},
  [4497] = {.lex_state = 202},
  [4498] = {.lex_state = 229},
  [4499] = {.lex_state = 202},
  [4500] = {.lex_state = 204},
  [4501] = {.lex_state = 243},
  [4502] = {.lex_state = 202},
  [4503] = {.lex_state = 240},
  [4504] = {.lex_state = 240},
  [4505] = {.lex_state = 202},
  [4506] = {.lex_state = 202},
  [4507] = {.lex_state = 202},
  [4508] = {.lex_state = 202},
  [4509] = {.lex_state = 243},
  [4510] = {.lex_state = 229},
  [4511] = {.lex_state = 204},
  [4512] = {.lex_state = 239},
  [4513] = {.lex_state = 202},
  [4514] = {.lex_state = 240},
  [4515] = {.lex_state = 204},
  [4516] = {.lex_state = 202},
  [4517] = {.lex_state = 202},
  [4518] = {.lex_state = 202},
  [4519] = {.lex_state = 243},
  [4520] = {.lex_state = 202},
  [4521] = {.lex_state = 202},
  [4522] = {.lex_state = 202},
  [4523] = {.lex_state = 204},
  [4524] = {.lex_state = 239},
  [4525] = {.lex_state = 202},
  [4526] = {.lex_state = 202},
  [4527] = {.lex_state = 202},
  [4528] = {.lex_state = 202},
  [4529] = {.lex_state = 202},
  [4530] = {.lex_state = 202},
  [4531] = {.lex_state = 202},
  [4532] = {.lex_state = 202},
  [4533] = {.lex_state = 202},
  [4534] = {.lex_state = 202},
  [4535] = {.lex_state = 202},
  [4536] = {.lex_state = 202},
  [4537] = {.lex_state = 202},
  [4538] = {.lex_state = 202},
  [4539] = {.lex_state = 239},
  [4540] = {.lex_state = 239},
  [4541] = {.lex_state = 239},
  [4542] = {.lex_state = 202},
  [4543] = {.lex_state = 202},
  [4544] = {.lex_state = 229},
  [4545] = {.lex_state = 202},
  [4546] = {.lex_state = 202},
  [4547] = {.lex_state = 202},
  [4548] = {.lex_state = 202},
  [4549] = {.lex_state = 202},
  [4550] = {.lex_state = 239},
  [4551] = {.lex_state = 202},
  [4552] = {.lex_state = 227},
  [4553] = {.lex_state = 202},
  [4554] = {.lex_state = 202},
  [4555] = {.lex_state = 202},
  [4556] = {.lex_state = 202},
  [4557] = {.lex_state = 202},
  [4558] = {.lex_state = 202},
  [4559] = {.lex_state = 202},
  [4560] = {.lex_state = 202},
  [4561] = {.lex_state = 202},
  [4562] = {.lex_state = 202},
  [4563] = {.lex_state = 202},
  [4564] = {.lex_state = 202},
  [4565] = {.lex_state = 202},
  [4566] = {.lex_state = 202},
  [4567] = {.lex_state = 227},
  [4568] = {.lex_state = 227},
  [4569] = {.lex_state = 227},
  [4570] = {.lex_state = 202},
  [4571] = {.lex_state = 227},
  [4572] = {.lex_state = 204},
  [4573] = {.lex_state = 227},
  [4574] = {.lex_state = 227},
  [4575] = {.lex_state = 227},
  [4576] = {.lex_state = 227},
  [4577] = {.lex_state = 236},
  [4578] = {.lex_state = 227},
  [4579] = {.lex_state = 239},
  [4580] = {.lex_state = 239},
  [4581] = {.lex_state = 227},
  [4582] = {.lex_state = 227},
  [4583] = {.lex_state = 227},
  [4584] = {.lex_state = 227},
  [4585] = {.lex_state = 227},
  [4586] = {.lex_state = 227},
  [4587] = {.lex_state = 227},
  [4588] = {.lex_state = 202},
  [4589] = {.lex_state = 227},
  [4590] = {.lex_state = 236},
  [4591] = {.lex_state = 227},
  [4592] = {.lex_state = 227},
  [4593] = {.lex_state = 227},
  [4594] = {.lex_state = 236},
  [4595] = {.lex_state = 236},
  [4596] = {.lex_state = 202},
  [4597] = {.lex_state = 227},
  [4598] = {.lex_state = 227},
  [4599] = {.lex_state = 236},
  [4600] = {.lex_state = 240},
  [4601] = {.lex_state = 227},
  [4602] = {.lex_state = 202},
  [4603] = {.lex_state = 240},
  [4604] = {.lex_state = 202},
  [4605] = {.lex_state = 227},
  [4606] = {.lex_state = 240},
  [4607] = {.lex_state = 236},
  [4608] = {.lex_state = 236},
  [4609] = {.lex_state = 227},
  [4610] = {.lex_state = 227},
  [4611] = {.lex_state = 227},
  [4612] = {.lex_state = 227},
  [4613] = {.lex_state = 236},
  [4614] = {.lex_state = 227},
  [4615] = {.lex_state = 204},
  [4616] = {.lex_state = 227},
  [4617] = {.lex_state = 227},
  [4618] = {.lex_state = 227},
  [4619] = {.lex_state = 227},
  [4620] = {.lex_state = 239},
  [4621] = {.lex_state = 202},
  [4622] = {.lex_state = 202},
  [4623] = {.lex_state = 227},
  [4624] = {.lex_state = 227},
  [4625] = {.lex_state = 227},
  [4626] = {.lex_state = 236},
  [4627] = {.lex_state = 227},
  [4628] = {.lex_state = 240},
  [4629] = {.lex_state = 202},
  [4630] = {.lex_state = 227},
  [4631] = {.lex_state = 240},
  [4632] = {.lex_state = 227},
  [4633] = {.lex_state = 227},
  [4634] = {.lex_state = 240},
  [4635] = {.lex_state = 223},
  [4636] = {.lex_state = 240},
  [4637] = {.lex_state = 239},
  [4638] = {.lex_state = 239},
  [4639] = {.lex_state = 202},
  [4640] = {.lex_state = 239},
  [4641] = {.lex_state = 240},
  [4642] = {.lex_state = 240},
  [4643] = {.lex_state = 239},
  [4644] = {.lex_state = 240},
  [4645] = {.lex_state = 239},
  [4646] = {.lex_state = 239},
  [4647] = {.lex_state = 240},
  [4648] = {.lex_state = 239},
  [4649] = {.lex_state = 223},
  [4650] = {.lex_state = 239},
  [4651] = {.lex_state = 239},
  [4652] = {.lex_state = 239},
  [4653] = {.lex_state = 239},
  [4654] = {.lex_state = 240},
  [4655] = {.lex_state = 239},
  [4656] = {.lex_state = 239},
  [4657] = {.lex_state = 241},
  [4658] = {.lex_state = 240},
  [4659] = {.lex_state = 239},
  [4660] = {.lex_state = 239},
  [4661] = {.lex_state = 239},
  [4662] = {.lex_state = 239},
  [4663] = {.lex_state = 223},
  [4664] = {.lex_state = 240},
  [4665] = {.lex_state = 223},
  [4666] = {.lex_state = 239},
  [4667] = {.lex_state = 240},
  [4668] = {.lex_state = 240},
  [4669] = {.lex_state = 239},
  [4670] = {.lex_state = 239},
  [4671] = {.lex_state = 239},
  [4672] = {.lex_state = 239},
  [4673] = {.lex_state = 202},
  [4674] = {.lex_state = 239},
  [4675] = {.lex_state = 236},
  [4676] = {.lex_state = 202},
  [4677] = {.lex_state = 202},
  [4678] = {.lex_state = 236},
  [4679] = {.lex_state = 240},
  [4680] = {.lex_state = 202},
  [4681] = {.lex_state = 203},
  [4682] = {.lex_state = 240},
  [4683] = {.lex_state = 239},
  [4684] = {.lex_state = 237},
  [4685] = {.lex_state = 240},
  [4686] = {.lex_state = 239},
  [4687] = {.lex_state = 240},
  [4688] = {.lex_state = 239},
  [4689] = {.lex_state = 204},
  [4690] = {.lex_state = 240},
  [4691] = {.lex_state = 240},
  [4692] = {.lex_state = 240},
  [4693] = {.lex_state = 236},
  [4694] = {.lex_state = 241},
  [4695] = {.lex_state = 204},
  [4696] = {.lex_state = 240},
  [4697] = {.lex_state = 236},
  [4698] = {.lex_state = 241},
  [4699] = {.lex_state = 240},
  [4700] = {.lex_state = 237},
  [4701] = {.lex_state = 241},
  [4702] = {.lex_state = 239},
  [4703] = {.lex_state = 237},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 236},
  [4706] = {.lex_state = 223},
  [4707] = {.lex_state = 239},
  [4708] = {.lex_state = 239},
  [4709] = {.lex_state = 239},
  [4710] = {.lex_state = 239},
  [4711] = {.lex_state = 239},
  [4712] = {.lex_state = 239},
  [4713] = {.lex_state = 240},
  [4714] = {.lex_state = 240},
  [4715] = {.lex_state = 240},
  [4716] = {.lex_state = 237},
  [4717] = {.lex_state = 237},
  [4718] = {.lex_state = 237},
  [4719] = {.lex_state = 237},
  [4720] = {.lex_state = 237},
  [4721] = {.lex_state = 237},
  [4722] = {.lex_state = 237},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 240},
  [4725] = {.lex_state = 240},
  [4726] = {.lex_state = 237},
  [4727] = {.lex_state = 237},
  [4728] = {.lex_state = 236},
  [4729] = {.lex_state = 223},
  [4730] = {.lex_state = 236},
  [4731] = {.lex_state = 237},
  [4732] = {.lex_state = 237},
  [4733] = {.lex_state = 237},
  [4734] = {.lex_state = 240},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 240},
  [4737] = {.lex_state = 240},
  [4738] = {.lex_state = 240},
  [4739] = {.lex_state = 237},
  [4740] = {.lex_state = 237},
  [4741] = {.lex_state = 236},
  [4742] = {.lex_state = 237},
  [4743] = {.lex_state = 240},
  [4744] = {.lex_state = 239},
  [4745] = {.lex_state = 237},
  [4746] = {.lex_state = 237},
  [4747] = {.lex_state = 240},
  [4748] = {.lex_state = 223},
  [4749] = {.lex_state = 240},
  [4750] = {.lex_state = 202},
  [4751] = {.lex_state = 223},
  [4752] = {.lex_state = 240},
  [4753] = {.lex_state = 202},
  [4754] = {.lex_state = 236},
  [4755] = {.lex_state = 240},
  [4756] = {.lex_state = 237},
  [4757] = {.lex_state = 237},
  [4758] = {.lex_state = 240},
  [4759] = {.lex_state = 240},
  [4760] = {.lex_state = 240},
  [4761] = {.lex_state = 240},
  [4762] = {.lex_state = 240},
  [4763] = {.lex_state = 240},
  [4764] = {.lex_state = 237},
  [4765] = {.lex_state = 240},
  [4766] = {.lex_state = 240},
  [4767] = {.lex_state = 237},
  [4768] = {.lex_state = 240},
  [4769] = {.lex_state = 240},
  [4770] = {.lex_state = 240},
  [4771] = {.lex_state = 237},
  [4772] = {.lex_state = 237},
  [4773] = {.lex_state = 240},
  [4774] = {.lex_state = 240},
  [4775] = {.lex_state = 240},
  [4776] = {.lex_state = 237},
  [4777] = {.lex_state = 240},
  [4778] = {.lex_state = 237},
  [4779] = {.lex_state = 237},
  [4780] = {.lex_state = 240},
  [4781] = {.lex_state = 240},
  [4782] = {.lex_state = 237},
  [4783] = {.lex_state = 240},
  [4784] = {.lex_state = 240},
  [4785] = {.lex_state = 240},
  [4786] = {.lex_state = 237},
  [4787] = {.lex_state = 240},
  [4788] = {.lex_state = 237},
  [4789] = {.lex_state = 236},
  [4790] = {.lex_state = 240},
  [4791] = {.lex_state = 237},
  [4792] = {.lex_state = 240},
  [4793] = {.lex_state = 240},
  [4794] = {.lex_state = 240},
  [4795] = {.lex_state = 239},
  [4796] = {.lex_state = 240},
  [4797] = {.lex_state = 237},
  [4798] = {.lex_state = 240},
  [4799] = {.lex_state = 240},
  [4800] = {.lex_state = 240},
  [4801] = {.lex_state = 237},
  [4802] = {.lex_state = 240},
  [4803] = {.lex_state = 237},
  [4804] = {.lex_state = 240},
  [4805] = {.lex_state = 240},
  [4806] = {.lex_state = 240},
  [4807] = {.lex_state = 240},
  [4808] = {.lex_state = 237},
  [4809] = {.lex_state = 237},
  [4810] = {.lex_state = 240},
  [4811] = {.lex_state = 240},
  [4812] = {.lex_state = 240},
  [4813] = {.lex_state = 240},
  [4814] = {.lex_state = 237},
  [4815] = {.lex_state = 240},
  [4816] = {.lex_state = 240},
  [4817] = {.lex_state = 240},
  [4818] = {.lex_state = 240},
  [4819] = {.lex_state = 239},
  [4820] = {.lex_state = 236},
  [4821] = {.lex_state = 240},
  [4822] = {.lex_state = 236},
  [4823] = {.lex_state = 240},
  [4824] = {.lex_state = 240},
  [4825] = {.lex_state = 240},
  [4826] = {.lex_state = 237},
  [4827] = {.lex_state = 203},
  [4828] = {.lex_state = 204},
  [4829] = {.lex_state = 204},
  [4830] = {.lex_state = 236},
  [4831] = {.lex_state = 239},
  [4832] = {.lex_state = 236},
  [4833] = {.lex_state = 240},
  [4834] = {.lex_state = 236},
  [4835] = {.lex_state = 239},
  [4836] = {.lex_state = 236},
  [4837] = {.lex_state = 204},
  [4838] = {.lex_state = 204},
  [4839] = {.lex_state = 240},
  [4840] = {.lex_state = 204},
  [4841] = {.lex_state = 240},
  [4842] = {.lex_state = 223},
  [4843] = {.lex_state = 239},
  [4844] = {.lex_state = 203},
  [4845] = {.lex_state = 239},
  [4846] = {.lex_state = 239},
  [4847] = {.lex_state = 239},
  [4848] = {.lex_state = 227},
  [4849] = {.lex_state = 239},
  [4850] = {.lex_state = 239},
  [4851] = {.lex_state = 227},
  [4852] = {.lex_state = 223},
  [4853] = {.lex_state = 239},
  [4854] = {.lex_state = 240},
  [4855] = {.lex_state = 239},
  [4856] = {.lex_state = 204},
  [4857] = {.lex_state = 240},
  [4858] = {.lex_state = 236},
  [4859] = {.lex_state = 240},
  [4860] = {.lex_state = 239},
  [4861] = {.lex_state = 239},
  [4862] = {.lex_state = 223},
  [4863] = {.lex_state = 223},
  [4864] = {.lex_state = 236},
  [4865] = {.lex_state = 239},
  [4866] = {.lex_state = 239},
  [4867] = {.lex_state = 236},
  [4868] = {.lex_state = 204},
  [4869] = {.lex_state = 240},
  [4870] = {.lex_state = 237},
  [4871] = {.lex_state = 223},
  [4872] = {.lex_state = 204},
  [4873] = {.lex_state = 236},
  [4874] = {.lex_state = 223},
  [4875] = {.lex_state = 240},
  [4876] = {.lex_state = 237},
  [4877] = {.lex_state = 194},
  [4878] = {.lex_state = 237},
  [4879] = {.lex_state = 237},
  [4880] = {.lex_state = 202},
  [4881] = {.lex_state = 237},
  [4882] = {.lex_state = 194},
  [4883] = {.lex_state = 239},
  [4884] = {.lex_state = 239},
  [4885] = {.lex_state = 237},
  [4886] = {.lex_state = 237},
  [4887] = {.lex_state = 237},
  [4888] = {.lex_state = 237},
  [4889] = {.lex_state = 202},
  [4890] = {.lex_state = 202},
  [4891] = {.lex_state = 237},
  [4892] = {.lex_state = 237},
  [4893] = {.lex_state = 237},
  [4894] = {.lex_state = 202},
  [4895] = {.lex_state = 237},
  [4896] = {.lex_state = 202},
  [4897] = {.lex_state = 202},
  [4898] = {.lex_state = 202},
  [4899] = {.lex_state = 202},
  [4900] = {.lex_state = 240},
  [4901] = {.lex_state = 237},
  [4902] = {.lex_state = 239},
  [4903] = {.lex_state = 237},
  [4904] = {.lex_state = 237},
  [4905] = {.lex_state = 239},
  [4906] = {.lex_state = 237},
  [4907] = {.lex_state = 194},
  [4908] = {.lex_state = 237},
  [4909] = {.lex_state = 237},
  [4910] = {.lex_state = 239},
  [4911] = {.lex_state = 237},
  [4912] = {.lex_state = 237},
  [4913] = {.lex_state = 237},
  [4914] = {.lex_state = 237},
  [4915] = {.lex_state = 240},
  [4916] = {.lex_state = 239},
  [4917] = {.lex_state = 237},
  [4918] = {.lex_state = 237},
  [4919] = {.lex_state = 202},
  [4920] = {.lex_state = 194},
  [4921] = {.lex_state = 194},
  [4922] = {.lex_state = 237},
  [4923] = {.lex_state = 237},
  [4924] = {.lex_state = 194},
  [4925] = {.lex_state = 202},
  [4926] = {.lex_state = 237},
  [4927] = {.lex_state = 239},
  [4928] = {.lex_state = 237},
  [4929] = {.lex_state = 237},
  [4930] = {.lex_state = 237},
  [4931] = {.lex_state = 237},
  [4932] = {.lex_state = 240},
  [4933] = {.lex_state = 237},
  [4934] = {.lex_state = 237},
  [4935] = {.lex_state = 202},
  [4936] = {.lex_state = 239},
  [4937] = {.lex_state = 194},
  [4938] = {.lex_state = 239},
  [4939] = {.lex_state = 239},
  [4940] = {.lex_state = 237},
  [4941] = {.lex_state = 240},
  [4942] = {.lex_state = 202},
  [4943] = {.lex_state = 237},
  [4944] = {.lex_state = 239},
  [4945] = {.lex_state = 239},
  [4946] = {.lex_state = 237},
  [4947] = {.lex_state = 237},
  [4948] = {.lex_state = 194},
  [4949] = {.lex_state = 237},
  [4950] = {.lex_state = 239},
  [4951] = {.lex_state = 239},
  [4952] = {.lex_state = 239},
  [4953] = {.lex_state = 237},
  [4954] = {.lex_state = 239},
  [4955] = {.lex_state = 239},
  [4956] = {.lex_state = 194},
  [4957] = {.lex_state = 202},
  [4958] = {.lex_state = 202},
  [4959] = {.lex_state = 237},
  [4960] = {.lex_state = 239},
  [4961] = {.lex_state = 194},
  [4962] = {.lex_state = 194},
  [4963] = {.lex_state = 194},
  [4964] = {.lex_state = 239},
  [4965] = {.lex_state = 239},
  [4966] = {.lex_state = 202},
  [4967] = {.lex_state = 239},
  [4968] = {.lex_state = 239},
  [4969] = {.lex_state = 194},
  [4970] = {.lex_state = 194},
  [4971] = {.lex_state = 194},
  [4972] = {.lex_state = 202},
  [4973] = {.lex_state = 202},
  [4974] = {.lex_state = 239},
  [4975] = {.lex_state = 202},
  [4976] = {.lex_state = 239},
  [4977] = {.lex_state = 237},
  [4978] = {.lex_state = 202},
  [4979] = {.lex_state = 239},
  [4980] = {.lex_state = 239},
  [4981] = {.lex_state = 194},
  [4982] = {.lex_state = 202},
  [4983] = {.lex_state = 194},
  [4984] = {.lex_state = 194},
  [4985] = {.lex_state = 194},
  [4986] = {.lex_state = 194},
  [4987] = {.lex_state = 194},
  [4988] = {.lex_state = 239},
  [4989] = {.lex_state = 202},
  [4990] = {.lex_state = 239},
  [4991] = {.lex_state = 239},
  [4992] = {.lex_state = 239},
  [4993] = {.lex_state = 202},
  [4994] = {.lex_state = 194},
  [4995] = {.lex_state = 194},
  [4996] = {.lex_state = 202},
  [4997] = {.lex_state = 194},
  [4998] = {.lex_state = 202},
  [4999] = {.lex_state = 194},
  [5000] = {.lex_state = 194},
  [5001] = {.lex_state = 202},
  [5002] = {.lex_state = 194},
  [5003] = {.lex_state = 239},
  [5004] = {.lex_state = 239},
  [5005] = {.lex_state = 239},
  [5006] = {.lex_state = 194},
  [5007] = {.lex_state = 194},
  [5008] = {.lex_state = 202},
  [5009] = {.lex_state = 194},
  [5010] = {.lex_state = 239},
  [5011] = {.lex_state = 194},
  [5012] = {.lex_state = 194},
  [5013] = {.lex_state = 194},
  [5014] = {.lex_state = 239},
  [5015] = {.lex_state = 194},
  [5016] = {.lex_state = 194},
  [5017] = {.lex_state = 194},
  [5018] = {.lex_state = 194},
  [5019] = {.lex_state = 239},
  [5020] = {.lex_state = 194},
  [5021] = {.lex_state = 194},
  [5022] = {.lex_state = 194},
  [5023] = {.lex_state = 194},
  [5024] = {.lex_state = 194},
  [5025] = {.lex_state = 194},
  [5026] = {.lex_state = 194},
  [5027] = {.lex_state = 194},
  [5028] = {.lex_state = 194},
  [5029] = {.lex_state = 194},
  [5030] = {.lex_state = 194},
  [5031] = {.lex_state = 194},
  [5032] = {.lex_state = 194},
  [5033] = {.lex_state = 194},
  [5034] = {.lex_state = 194},
  [5035] = {.lex_state = 194},
  [5036] = {.lex_state = 194},
  [5037] = {.lex_state = 194},
  [5038] = {.lex_state = 194},
  [5039] = {.lex_state = 194},
  [5040] = {.lex_state = 194},
  [5041] = {.lex_state = 194},
  [5042] = {.lex_state = 194},
  [5043] = {.lex_state = 202},
  [5044] = {.lex_state = 194},
  [5045] = {.lex_state = 194},
  [5046] = {.lex_state = 194},
  [5047] = {.lex_state = 194},
  [5048] = {.lex_state = 194},
  [5049] = {.lex_state = 194},
  [5050] = {.lex_state = 194},
  [5051] = {.lex_state = 194},
  [5052] = {.lex_state = 194},
  [5053] = {.lex_state = 194},
  [5054] = {.lex_state = 194},
  [5055] = {.lex_state = 202},
  [5056] = {.lex_state = 194},
  [5057] = {.lex_state = 202},
  [5058] = {.lex_state = 202},
  [5059] = {.lex_state = 194},
  [5060] = {.lex_state = 194},
  [5061] = {.lex_state = 194},
  [5062] = {.lex_state = 239},
  [5063] = {.lex_state = 202},
  [5064] = {.lex_state = 202},
  [5065] = {.lex_state = 202},
  [5066] = {.lex_state = 194},
  [5067] = {.lex_state = 194},
  [5068] = {.lex_state = 239},
  [5069] = {.lex_state = 239},
  [5070] = {.lex_state = 202},
  [5071] = {.lex_state = 239},
  [5072] = {.lex_state = 239},
  [5073] = {.lex_state = 202},
  [5074] = {.lex_state = 202},
  [5075] = {.lex_state = 194},
  [5076] = {.lex_state = 194},
  [5077] = {.lex_state = 194},
  [5078] = {.lex_state = 239},
  [5079] = {.lex_state = 239},
  [5080] = {.lex_state = 239},
  [5081] = {.lex_state = 239},
  [5082] = {.lex_state = 239},
  [5083] = {.lex_state = 239},
  [5084] = {.lex_state = 239},
  [5085] = {.lex_state = 194},
  [5086] = {.lex_state = 204},
  [5087] = {.lex_state = 236},
  [5088] = {.lex_state = 237},
  [5089] = {.lex_state = 236},
  [5090] = {.lex_state = 202},
  [5091] = {.lex_state = 202},
  [5092] = {.lex_state = 240},
  [5093] = {.lex_state = 240},
  [5094] = {.lex_state = 239},
  [5095] = {.lex_state = 202},
  [5096] = {.lex_state = 194},
  [5097] = {.lex_state = 236},
  [5098] = {.lex_state = 236},
  [5099] = {.lex_state = 194},
  [5100] = {.lex_state = 237},
  [5101] = {.lex_state = 194},
  [5102] = {.lex_state = 204},
  [5103] = {.lex_state = 237},
  [5104] = {.lex_state = 236},
  [5105] = {.lex_state = 194},
  [5106] = {.lex_state = 236},
  [5107] = {.lex_state = 194},
  [5108] = {.lex_state = 204},
  [5109] = {.lex_state = 194},
  [5110] = {.lex_state = 237},
  [5111] = {.lex_state = 236},
  [5112] = {.lex_state = 204},
  [5113] = {.lex_state = 194},
  [5114] = {.lex_state = 194},
  [5115] = {.lex_state = 194},
  [5116] = {.lex_state = 237},
  [5117] = {.lex_state = 236},
  [5118] = {.lex_state = 194},
  [5119] = {.lex_state = 236},
  [5120] = {.lex_state = 236},
  [5121] = {.lex_state = 194},
  [5122] = {.lex_state = 194},
  [5123] = {.lex_state = 202},
  [5124] = {.lex_state = 236},
  [5125] = {.lex_state = 194},
  [5126] = {.lex_state = 237},
  [5127] = {.lex_state = 237},
  [5128] = {.lex_state = 194},
  [5129] = {.lex_state = 194},
  [5130] = {.lex_state = 237},
  [5131] = {.lex_state = 237},
  [5132] = {.lex_state = 194},
  [5133] = {.lex_state = 237},
  [5134] = {.lex_state = 237},
  [5135] = {.lex_state = 204},
  [5136] = {.lex_state = 194},
  [5137] = {.lex_state = 194},
  [5138] = {.lex_state = 194},
  [5139] = {.lex_state = 237},
  [5140] = {.lex_state = 194},
  [5141] = {.lex_state = 237},
  [5142] = {.lex_state = 240},
  [5143] = {.lex_state = 237},
  [5144] = {.lex_state = 237},
  [5145] = {.lex_state = 240},
  [5146] = {.lex_state = 237},
  [5147] = {.lex_state = 237},
  [5148] = {.lex_state = 196},
  [5149] = {.lex_state = 237},
  [5150] = {.lex_state = 237},
  [5151] = {.lex_state = 196},
  [5152] = {.lex_state = 196},
  [5153] = {.lex_state = 237},
  [5154] = {.lex_state = 196},
  [5155] = {.lex_state = 237},
  [5156] = {.lex_state = 196},
  [5157] = {.lex_state = 240},
  [5158] = {.lex_state = 237},
  [5159] = {.lex_state = 196},
  [5160] = {.lex_state = 196},
  [5161] = {.lex_state = 237},
  [5162] = {.lex_state = 196},
  [5163] = {.lex_state = 237},
  [5164] = {.lex_state = 240},
  [5165] = {.lex_state = 240},
  [5166] = {.lex_state = 240},
  [5167] = {.lex_state = 240},
  [5168] = {.lex_state = 204},
  [5169] = {.lex_state = 240},
  [5170] = {.lex_state = 236},
  [5171] = {.lex_state = 236},
  [5172] = {.lex_state = 236},
  [5173] = {.lex_state = 236},
  [5174] = {.lex_state = 240},
  [5175] = {.lex_state = 240},
  [5176] = {.lex_state = 236},
  [5177] = {.lex_state = 236},
  [5178] = {.lex_state = 240},
  [5179] = {.lex_state = 240},
  [5180] = {.lex_state = 240},
  [5181] = {.lex_state = 237},
  [5182] = {.lex_state = 204},
  [5183] = {.lex_state = 240},
  [5184] = {.lex_state = 236},
  [5185] = {.lex_state = 236},
  [5186] = {.lex_state = 236},
  [5187] = {.lex_state = 236},
  [5188] = {.lex_state = 236},
  [5189] = {.lex_state = 240},
  [5190] = {.lex_state = 240},
  [5191] = {.lex_state = 240},
  [5192] = {.lex_state = 240},
  [5193] = {.lex_state = 237},
  [5194] = {.lex_state = 236},
  [5195] = {.lex_state = 237},
  [5196] = {.lex_state = 237},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 194},
  [5199] = {.lex_state = 248},
  [5200] = {.lex_state = 248},
  [5201] = {.lex_state = 194},
  [5202] = {.lex_state = 194},
  [5203] = {.lex_state = 248},
  [5204] = {.lex_state = 194},
  [5205] = {.lex_state = 194},
  [5206] = {.lex_state = 239},
  [5207] = {.lex_state = 237},
  [5208] = {.lex_state = 237},
  [5209] = {.lex_state = 248},
  [5210] = {.lex_state = 248},
  [5211] = {.lex_state = 194},
  [5212] = {.lex_state = 194},
  [5213] = {.lex_state = 194},
  [5214] = {.lex_state = 194},
  [5215] = {.lex_state = 248},
  [5216] = {.lex_state = 194},
  [5217] = {.lex_state = 194},
  [5218] = {.lex_state = 194},
  [5219] = {.lex_state = 248},
  [5220] = {.lex_state = 236},
  [5221] = {.lex_state = 236},
  [5222] = {.lex_state = 236},
  [5223] = {.lex_state = 236},
  [5224] = {.lex_state = 236},
  [5225] = {.lex_state = 236},
  [5226] = {.lex_state = 236},
  [5227] = {.lex_state = 240},
  [5228] = {.lex_state = 223},
  [5229] = {.lex_state = 239},
  [5230] = {.lex_state = 240},
  [5231] = {.lex_state = 239},
  [5232] = {.lex_state = 240},
  [5233] = {.lex_state = 240},
  [5234] = {.lex_state = 240},
  [5235] = {.lex_state = 204},
  [5236] = {.lex_state = 248},
  [5237] = {.lex_state = 196},
  [5238] = {.lex_state = 248},
  [5239] = {.lex_state = 248},
  [5240] = {.lex_state = 248},
  [5241] = {.lex_state = 196},
  [5242] = {.lex_state = 196},
  [5243] = {.lex_state = 248},
  [5244] = {.lex_state = 248},
  [5245] = {.lex_state = 248},
  [5246] = {.lex_state = 248},
  [5247] = {.lex_state = 196},
  [5248] = {.lex_state = 248},
  [5249] = {.lex_state = 196},
  [5250] = {.lex_state = 196},
  [5251] = {.lex_state = 236},
  [5252] = {.lex_state = 196},
  [5253] = {.lex_state = 236},
  [5254] = {.lex_state = 248},
  [5255] = {.lex_state = 223},
  [5256] = {.lex_state = 223},
  [5257] = {.lex_state = 248},
  [5258] = {.lex_state = 248},
  [5259] = {.lex_state = 248},
  [5260] = {.lex_state = 248},
  [5261] = {.lex_state = 236},
  [5262] = {.lex_state = 196},
  [5263] = {.lex_state = 248},
  [5264] = {.lex_state = 248},
  [5265] = {.lex_state = 248},
  [5266] = {.lex_state = 240},
  [5267] = {.lex_state = 248},
  [5268] = {.lex_state = 248},
  [5269] = {.lex_state = 248},
  [5270] = {.lex_state = 248},
  [5271] = {.lex_state = 248},
  [5272] = {.lex_state = 248},
  [5273] = {.lex_state = 248},
  [5274] = {.lex_state = 223},
  [5275] = {.lex_state = 248},
  [5276] = {.lex_state = 248},
  [5277] = {.lex_state = 248},
  [5278] = {.lex_state = 248},
  [5279] = {.lex_state = 248},
  [5280] = {.lex_state = 193},
  [5281] = {.lex_state = 248},
  [5282] = {.lex_state = 248},
  [5283] = {.lex_state = 196},
  [5284] = {.lex_state = 248},
  [5285] = {.lex_state = 248},
  [5286] = {.lex_state = 196},
  [5287] = {.lex_state = 196},
  [5288] = {.lex_state = 196},
  [5289] = {.lex_state = 248},
  [5290] = {.lex_state = 248},
  [5291] = {.lex_state = 248},
  [5292] = {.lex_state = 248},
  [5293] = {.lex_state = 248},
  [5294] = {.lex_state = 248},
  [5295] = {.lex_state = 248},
  [5296] = {.lex_state = 248},
  [5297] = {.lex_state = 194},
  [5298] = {.lex_state = 194},
  [5299] = {.lex_state = 194},
  [5300] = {.lex_state = 194},
  [5301] = {.lex_state = 194},
  [5302] = {.lex_state = 176},
  [5303] = {.lex_state = 223},
  [5304] = {.lex_state = 194},
  [5305] = {.lex_state = 194},
  [5306] = {.lex_state = 194},
  [5307] = {.lex_state = 176},
  [5308] = {.lex_state = 194},
  [5309] = {.lex_state = 193},
  [5310] = {.lex_state = 194},
  [5311] = {.lex_state = 194},
  [5312] = {.lex_state = 194},
  [5313] = {.lex_state = 194},
  [5314] = {.lex_state = 194},
  [5315] = {.lex_state = 194},
  [5316] = {.lex_state = 194},
  [5317] = {.lex_state = 194},
  [5318] = {.lex_state = 194},
  [5319] = {.lex_state = 194},
  [5320] = {.lex_state = 194},
  [5321] = {.lex_state = 194},
  [5322] = {.lex_state = 194},
  [5323] = {.lex_state = 176},
  [5324] = {.lex_state = 194},
  [5325] = {.lex_state = 194},
  [5326] = {.lex_state = 194},
  [5327] = {.lex_state = 194},
  [5328] = {.lex_state = 194},
  [5329] = {.lex_state = 194},
  [5330] = {.lex_state = 194},
  [5331] = {.lex_state = 194},
  [5332] = {.lex_state = 194},
  [5333] = {.lex_state = 194},
  [5334] = {.lex_state = 194},
  [5335] = {.lex_state = 194},
  [5336] = {.lex_state = 101},
  [5337] = {.lex_state = 194},
  [5338] = {.lex_state = 194},
  [5339] = {.lex_state = 194},
  [5340] = {.lex_state = 194},
  [5341] = {.lex_state = 194},
  [5342] = {.lex_state = 194},
  [5343] = {.lex_state = 194},
  [5344] = {.lex_state = 194},
  [5345] = {.lex_state = 194},
  [5346] = {.lex_state = 194},
  [5347] = {.lex_state = 194},
  [5348] = {.lex_state = 194},
  [5349] = {.lex_state = 194},
  [5350] = {.lex_state = 194},
  [5351] = {.lex_state = 194},
  [5352] = {.lex_state = 194},
  [5353] = {.lex_state = 194},
  [5354] = {.lex_state = 193},
  [5355] = {.lex_state = 240},
  [5356] = {.lex_state = 194},
  [5357] = {.lex_state = 204},
  [5358] = {.lex_state = 194},
  [5359] = {.lex_state = 194},
  [5360] = {.lex_state = 194},
  [5361] = {.lex_state = 194},
  [5362] = {.lex_state = 194},
  [5363] = {.lex_state = 194},
  [5364] = {.lex_state = 194},
  [5365] = {.lex_state = 194},
  [5366] = {.lex_state = 193},
  [5367] = {.lex_state = 194},
  [5368] = {.lex_state = 194},
  [5369] = {.lex_state = 194},
  [5370] = {.lex_state = 194},
  [5371] = {.lex_state = 194},
  [5372] = {.lex_state = 194},
  [5373] = {.lex_state = 194},
  [5374] = {.lex_state = 194},
  [5375] = {.lex_state = 194},
  [5376] = {.lex_state = 194},
  [5377] = {.lex_state = 194},
  [5378] = {.lex_state = 194},
  [5379] = {.lex_state = 194},
  [5380] = {.lex_state = 194},
  [5381] = {.lex_state = 194},
  [5382] = {.lex_state = 194},
  [5383] = {.lex_state = 194},
  [5384] = {.lex_state = 194},
  [5385] = {.lex_state = 194},
  [5386] = {.lex_state = 194},
  [5387] = {.lex_state = 194},
  [5388] = {.lex_state = 194},
  [5389] = {.lex_state = 194},
  [5390] = {.lex_state = 194},
  [5391] = {.lex_state = 194},
  [5392] = {.lex_state = 194},
  [5393] = {.lex_state = 194},
  [5394] = {.lex_state = 194},
  [5395] = {.lex_state = 194},
  [5396] = {.lex_state = 223},
  [5397] = {.lex_state = 194},
  [5398] = {.lex_state = 236},
  [5399] = {.lex_state = 176},
  [5400] = {.lex_state = 223},
  [5401] = {.lex_state = 223},
  [5402] = {.lex_state = 193},
  [5403] = {.lex_state = 176},
  [5404] = {.lex_state = 193},
  [5405] = {.lex_state = 236},
  [5406] = {.lex_state = 176},
  [5407] = {.lex_state = 237},
  [5408] = {.lex_state = 193},
  [5409] = {.lex_state = 237},
  [5410] = {.lex_state = 176},
  [5411] = {.lex_state = 176},
  [5412] = {.lex_state = 176},
  [5413] = {.lex_state = 223},
  [5414] = {.lex_state = 202},
  [5415] = {.lex_state = 237},
  [5416] = {.lex_state = 237},
  [5417] = {.lex_state = 236},
  [5418] = {.lex_state = 193},
  [5419] = {.lex_state = 223},
  [5420] = {.lex_state = 176},
  [5421] = {.lex_state = 193},
  [5422] = {.lex_state = 193},
  [5423] = {.lex_state = 237},
  [5424] = {.lex_state = 193},
  [5425] = {.lex_state = 176},
  [5426] = {.lex_state = 236},
  [5427] = {.lex_state = 193},
  [5428] = {.lex_state = 223},
  [5429] = {.lex_state = 237},
  [5430] = {.lex_state = 193},
  [5431] = {.lex_state = 193},
  [5432] = {.lex_state = 176},
  [5433] = {.lex_state = 193},
  [5434] = {.lex_state = 176},
  [5435] = {.lex_state = 176},
  [5436] = {.lex_state = 237},
  [5437] = {.lex_state = 237},
  [5438] = {.lex_state = 193},
  [5439] = {.lex_state = 236},
  [5440] = {.lex_state = 223},
  [5441] = {.lex_state = 176},
  [5442] = {.lex_state = 176},
  [5443] = {.lex_state = 237},
  [5444] = {.lex_state = 236},
  [5445] = {.lex_state = 223},
  [5446] = {.lex_state = 176},
  [5447] = {.lex_state = 176},
  [5448] = {.lex_state = 176},
  [5449] = {.lex_state = 223},
  [5450] = {.lex_state = 176},
  [5451] = {.lex_state = 237},
  [5452] = {.lex_state = 237},
  [5453] = {.lex_state = 193},
  [5454] = {.lex_state = 176},
  [5455] = {.lex_state = 237},
  [5456] = {.lex_state = 236},
  [5457] = {.lex_state = 176},
  [5458] = {.lex_state = 176},
  [5459] = {.lex_state = 223},
  [5460] = {.lex_state = 223},
  [5461] = {.lex_state = 176},
  [5462] = {.lex_state = 176},
  [5463] = {.lex_state = 193},
  [5464] = {.lex_state = 223},
  [5465] = {.lex_state = 193},
  [5466] = {.lex_state = 176},
  [5467] = {.lex_state = 193},
  [5468] = {.lex_state = 176},
  [5469] = {.lex_state = 237},
  [5470] = {.lex_state = 237},
  [5471] = {.lex_state = 240},
  [5472] = {.lex_state = 176},
  [5473] = {.lex_state = 176},
  [5474] = {.lex_state = 176},
  [5475] = {.lex_state = 193},
  [5476] = {.lex_state = 176},
  [5477] = {.lex_state = 223},
  [5478] = {.lex_state = 237},
  [5479] = {.lex_state = 193},
  [5480] = {.lex_state = 240},
  [5481] = {.lex_state = 237},
  [5482] = {.lex_state = 176},
  [5483] = {.lex_state = 176},
  [5484] = {.lex_state = 176},
  [5485] = {.lex_state = 176},
  [5486] = {.lex_state = 176},
  [5487] = {.lex_state = 223},
  [5488] = {.lex_state = 193},
  [5489] = {.lex_state = 223},
  [5490] = {.lex_state = 237},
  [5491] = {.lex_state = 176},
  [5492] = {.lex_state = 237},
  [5493] = {.lex_state = 223},
  [5494] = {.lex_state = 176},
  [5495] = {.lex_state = 176},
  [5496] = {.lex_state = 193},
  [5497] = {.lex_state = 176},
  [5498] = {.lex_state = 176},
  [5499] = {.lex_state = 176},
  [5500] = {.lex_state = 223},
  [5501] = {.lex_state = 240},
  [5502] = {.lex_state = 240},
  [5503] = {.lex_state = 237},
  [5504] = {.lex_state = 237},
  [5505] = {.lex_state = 240},
  [5506] = {.lex_state = 237},
  [5507] = {.lex_state = 240},
  [5508] = {.lex_state = 236},
  [5509] = {.lex_state = 240},
  [5510] = {.lex_state = 240},
  [5511] = {.lex_state = 193},
  [5512] = {.lex_state = 240},
  [5513] = {.lex_state = 101},
  [5514] = {.lex_state = 236},
  [5515] = {.lex_state = 240},
  [5516] = {.lex_state = 236},
  [5517] = {.lex_state = 237},
  [5518] = {.lex_state = 236},
  [5519] = {.lex_state = 193},
  [5520] = {.lex_state = 240},
  [5521] = {.lex_state = 236},
  [5522] = {.lex_state = 101},
  [5523] = {.lex_state = 101},
  [5524] = {.lex_state = 101},
  [5525] = {.lex_state = 101},
  [5526] = {.lex_state = 101},
  [5527] = {.lex_state = 240},
  [5528] = {.lex_state = 237},
  [5529] = {.lex_state = 236},
  [5530] = {.lex_state = 236},
  [5531] = {.lex_state = 101},
  [5532] = {.lex_state = 236},
  [5533] = {.lex_state = 237},
  [5534] = {.lex_state = 240},
  [5535] = {.lex_state = 240},
  [5536] = {.lex_state = 237},
  [5537] = {.lex_state = 101},
  [5538] = {.lex_state = 240},
  [5539] = {.lex_state = 223},
  [5540] = {.lex_state = 101},
  [5541] = {.lex_state = 240},
  [5542] = {.lex_state = 101},
  [5543] = {.lex_state = 223},
  [5544] = {.lex_state = 101},
  [5545] = {.lex_state = 240},
  [5546] = {.lex_state = 101},
  [5547] = {.lex_state = 101},
  [5548] = {.lex_state = 223},
  [5549] = {.lex_state = 101},
  [5550] = {.lex_state = 240},
  [5551] = {.lex_state = 236},
  [5552] = {.lex_state = 237},
  [5553] = {.lex_state = 236},
  [5554] = {.lex_state = 240},
  [5555] = {.lex_state = 223},
  [5556] = {.lex_state = 240},
  [5557] = {.lex_state = 240},
  [5558] = {.lex_state = 101},
  [5559] = {.lex_state = 237},
  [5560] = {.lex_state = 101},
  [5561] = {.lex_state = 240},
  [5562] = {.lex_state = 236},
  [5563] = {.lex_state = 101},
  [5564] = {.lex_state = 101},
  [5565] = {.lex_state = 237},
  [5566] = {.lex_state = 240},
  [5567] = {.lex_state = 101},
  [5568] = {.lex_state = 101},
  [5569] = {.lex_state = 240},
  [5570] = {.lex_state = 240},
  [5571] = {.lex_state = 101},
  [5572] = {.lex_state = 101},
  [5573] = {.lex_state = 240},
  [5574] = {.lex_state = 240},
  [5575] = {.lex_state = 101},
  [5576] = {.lex_state = 240},
  [5577] = {.lex_state = 101},
  [5578] = {.lex_state = 236},
  [5579] = {.lex_state = 240},
  [5580] = {.lex_state = 101},
  [5581] = {.lex_state = 240},
  [5582] = {.lex_state = 237},
  [5583] = {.lex_state = 240},
  [5584] = {.lex_state = 101},
  [5585] = {.lex_state = 240},
  [5586] = {.lex_state = 240},
  [5587] = {.lex_state = 240},
  [5588] = {.lex_state = 240},
  [5589] = {.lex_state = 240},
  [5590] = {.lex_state = 101},
  [5591] = {.lex_state = 101},
  [5592] = {.lex_state = 101},
  [5593] = {.lex_state = 240},
  [5594] = {.lex_state = 240},
  [5595] = {.lex_state = 240},
  [5596] = {.lex_state = 240},
  [5597] = {.lex_state = 240},
  [5598] = {.lex_state = 223},
  [5599] = {.lex_state = 240},
  [5600] = {.lex_state = 101},
  [5601] = {.lex_state = 240},
  [5602] = {.lex_state = 240},
  [5603] = {.lex_state = 223},
  [5604] = {.lex_state = 236},
  [5605] = {.lex_state = 236},
  [5606] = {.lex_state = 101},
  [5607] = {.lex_state = 236},
  [5608] = {.lex_state = 236},
  [5609] = {.lex_state = 236},
  [5610] = {.lex_state = 240},
  [5611] = {.lex_state = 240},
  [5612] = {.lex_state = 240},
  [5613] = {.lex_state = 240},
  [5614] = {.lex_state = 240},
  [5615] = {.lex_state = 239},
  [5616] = {.lex_state = 236},
  [5617] = {.lex_state = 240},
  [5618] = {.lex_state = 240},
  [5619] = {.lex_state = 240},
  [5620] = {.lex_state = 240},
  [5621] = {.lex_state = 236},
  [5622] = {.lex_state = 240},
  [5623] = {.lex_state = 240},
  [5624] = {.lex_state = 101},
  [5625] = {.lex_state = 237},
  [5626] = {.lex_state = 236},
  [5627] = {.lex_state = 236},
  [5628] = {.lex_state = 236},
  [5629] = {.lex_state = 236},
  [5630] = {.lex_state = 101},
  [5631] = {.lex_state = 239},
  [5632] = {.lex_state = 240},
  [5633] = {.lex_state = 240},
  [5634] = {.lex_state = 239},
  [5635] = {.lex_state = 240},
  [5636] = {.lex_state = 239},
  [5637] = {.lex_state = 240},
  [5638] = {.lex_state = 239},
  [5639] = {.lex_state = 239},
  [5640] = {.lex_state = 240},
  [5641] = {.lex_state = 239},
  [5642] = {.lex_state = 194},
  [5643] = {.lex_state = 194},
  [5644] = {.lex_state = 239},
  [5645] = {.lex_state = 194},
  [5646] = {.lex_state = 239},
  [5647] = {.lex_state = 240},
  [5648] = {.lex_state = 194},
  [5649] = {.lex_state = 202},
  [5650] = {.lex_state = 240},
  [5651] = {.lex_state = 240},
  [5652] = {.lex_state = 236},
  [5653] = {.lex_state = 202},
  [5654] = {.lex_state = 240},
  [5655] = {.lex_state = 232},
  [5656] = {.lex_state = 173},
  [5657] = {.lex_state = 202},
  [5658] = {.lex_state = 240},
  [5659] = {.lex_state = 173},
  [5660] = {.lex_state = 173},
  [5661] = {.lex_state = 236},
  [5662] = {.lex_state = 240},
  [5663] = {.lex_state = 202},
  [5664] = {.lex_state = 202},
  [5665] = {.lex_state = 236},
  [5666] = {.lex_state = 232},
  [5667] = {.lex_state = 240},
  [5668] = {.lex_state = 173},
  [5669] = {.lex_state = 236},
  [5670] = {.lex_state = 173},
  [5671] = {.lex_state = 240},
  [5672] = {.lex_state = 240},
  [5673] = {.lex_state = 240},
  [5674] = {.lex_state = 236},
  [5675] = {.lex_state = 240},
  [5676] = {.lex_state = 236},
  [5677] = {.lex_state = 202},
  [5678] = {.lex_state = 236},
  [5679] = {.lex_state = 236},
  [5680] = {.lex_state = 232},
  [5681] = {.lex_state = 173},
  [5682] = {.lex_state = 240},
  [5683] = {.lex_state = 240},
  [5684] = {.lex_state = 236},
  [5685] = {.lex_state = 173},
  [5686] = {.lex_state = 240},
  [5687] = {.lex_state = 202},
  [5688] = {.lex_state = 240},
  [5689] = {.lex_state = 236},
  [5690] = {.lex_state = 240},
  [5691] = {.lex_state = 236},
  [5692] = {.lex_state = 239},
  [5693] = {.lex_state = 240},
  [5694] = {.lex_state = 236},
  [5695] = {.lex_state = 232},
  [5696] = {.lex_state = 239},
  [5697] = {.lex_state = 240},
  [5698] = {.lex_state = 240},
  [5699] = {.lex_state = 240},
  [5700] = {.lex_state = 240},
  [5701] = {.lex_state = 240},
  [5702] = {.lex_state = 240},
  [5703] = {.lex_state = 236},
  [5704] = {.lex_state = 236},
  [5705] = {.lex_state = 173},
  [5706] = {.lex_state = 202},
  [5707] = {.lex_state = 239},
  [5708] = {.lex_state = 223},
  [5709] = {.lex_state = 240},
  [5710] = {.lex_state = 204},
  [5711] = {.lex_state = 240},
  [5712] = {.lex_state = 202},
  [5713] = {.lex_state = 223},
  [5714] = {.lex_state = 223},
  [5715] = {.lex_state = 173},
  [5716] = {.lex_state = 240},
  [5717] = {.lex_state = 173},
  [5718] = {.lex_state = 202},
  [5719] = {.lex_state = 240},
  [5720] = {.lex_state = 240},
  [5721] = {.lex_state = 240},
  [5722] = {.lex_state = 223},
  [5723] = {.lex_state = 240},
  [5724] = {.lex_state = 239},
  [5725] = {.lex_state = 241},
  [5726] = {.lex_state = 239},
  [5727] = {.lex_state = 237},
  [5728] = {.lex_state = 194},
  [5729] = {.lex_state = 194},
  [5730] = {.lex_state = 239},
  [5731] = {.lex_state = 239},
  [5732] = {.lex_state = 239},
  [5733] = {.lex_state = 240},
  [5734] = {.lex_state = 237},
  [5735] = {.lex_state = 239},
  [5736] = {.lex_state = 239},
  [5737] = {.lex_state = 239},
  [5738] = {.lex_state = 239},
  [5739] = {.lex_state = 194},
  [5740] = {.lex_state = 237},
  [5741] = {.lex_state = 239},
  [5742] = {.lex_state = 173},
  [5743] = {.lex_state = 236},
  [5744] = {.lex_state = 236},
  [5745] = {.lex_state = 239},
  [5746] = {.lex_state = 194},
  [5747] = {.lex_state = 237},
  [5748] = {.lex_state = 239},
  [5749] = {.lex_state = 237},
  [5750] = {.lex_state = 237},
  [5751] = {.lex_state = 237},
  [5752] = {.lex_state = 239},
  [5753] = {.lex_state = 239},
  [5754] = {.lex_state = 194},
  [5755] = {.lex_state = 239},
  [5756] = {.lex_state = 239},
  [5757] = {.lex_state = 236},
  [5758] = {.lex_state = 237},
  [5759] = {.lex_state = 239},
  [5760] = {.lex_state = 237},
  [5761] = {.lex_state = 237},
  [5762] = {.lex_state = 239},
  [5763] = {.lex_state = 237},
  [5764] = {.lex_state = 237},
  [5765] = {.lex_state = 239},
  [5766] = {.lex_state = 194},
  [5767] = {.lex_state = 239},
  [5768] = {.lex_state = 239},
  [5769] = {.lex_state = 194},
  [5770] = {.lex_state = 241},
  [5771] = {.lex_state = 247},
  [5772] = {.lex_state = 239},
  [5773] = {.lex_state = 239},
  [5774] = {.lex_state = 194},
  [5775] = {.lex_state = 194},
  [5776] = {.lex_state = 237},
  [5777] = {.lex_state = 239},
  [5778] = {.lex_state = 237},
  [5779] = {.lex_state = 239},
  [5780] = {.lex_state = 237},
  [5781] = {.lex_state = 239},
  [5782] = {.lex_state = 237},
  [5783] = {.lex_state = 237},
  [5784] = {.lex_state = 239},
  [5785] = {.lex_state = 173},
  [5786] = {.lex_state = 240},
  [5787] = {.lex_state = 239},
  [5788] = {.lex_state = 239},
  [5789] = {.lex_state = 237},
  [5790] = {.lex_state = 186},
  [5791] = {.lex_state = 236},
  [5792] = {.lex_state = 194},
  [5793] = {.lex_state = 240},
  [5794] = {.lex_state = 186},
  [5795] = {.lex_state = 186},
  [5796] = {.lex_state = 194},
  [5797] = {.lex_state = 214},
  [5798] = {.lex_state = 186},
  [5799] = {.lex_state = 186},
  [5800] = {.lex_state = 194},
  [5801] = {.lex_state = 240},
  [5802] = {.lex_state = 186},
  [5803] = {.lex_state = 214},
  [5804] = {.lex_state = 173},
  [5805] = {.lex_state = 240},
  [5806] = {.lex_state = 173},
  [5807] = {.lex_state = 186},
  [5808] = {.lex_state = 186},
  [5809] = {.lex_state = 240},
  [5810] = {.lex_state = 240},
  [5811] = {.lex_state = 240},
  [5812] = {.lex_state = 236},
  [5813] = {.lex_state = 240},
  [5814] = {.lex_state = 240},
  [5815] = {.lex_state = 240},
  [5816] = {.lex_state = 173},
  [5817] = {.lex_state = 186},
  [5818] = {.lex_state = 240},
  [5819] = {.lex_state = 214},
  [5820] = {.lex_state = 173},
  [5821] = {.lex_state = 194},
  [5822] = {.lex_state = 173},
  [5823] = {.lex_state = 186},
  [5824] = {.lex_state = 236},
  [5825] = {.lex_state = 179},
  [5826] = {.lex_state = 214},
  [5827] = {.lex_state = 194},
  [5828] = {.lex_state = 173},
  [5829] = {.lex_state = 194},
  [5830] = {.lex_state = 236},
  [5831] = {.lex_state = 186},
  [5832] = {.lex_state = 186},
  [5833] = {.lex_state = 186},
  [5834] = {.lex_state = 240},
  [5835] = {.lex_state = 214},
  [5836] = {.lex_state = 214},
  [5837] = {.lex_state = 240},
  [5838] = {.lex_state = 186},
  [5839] = {.lex_state = 214},
  [5840] = {.lex_state = 173},
  [5841] = {.lex_state = 173},
  [5842] = {.lex_state = 236},
  [5843] = {.lex_state = 236},
  [5844] = {.lex_state = 236},
  [5845] = {.lex_state = 240},
  [5846] = {.lex_state = 194},
  [5847] = {.lex_state = 194},
  [5848] = {.lex_state = 236},
  [5849] = {.lex_state = 236},
  [5850] = {.lex_state = 240},
  [5851] = {.lex_state = 194},
  [5852] = {.lex_state = 236},
  [5853] = {.lex_state = 240},
  [5854] = {.lex_state = 214},
  [5855] = {.lex_state = 240},
  [5856] = {.lex_state = 173},
  [5857] = {.lex_state = 186},
  [5858] = {.lex_state = 173},
  [5859] = {.lex_state = 236},
  [5860] = {.lex_state = 240},
  [5861] = {.lex_state = 240},
  [5862] = {.lex_state = 236},
  [5863] = {.lex_state = 236},
  [5864] = {.lex_state = 236},
  [5865] = {.lex_state = 240},
  [5866] = {.lex_state = 240},
  [5867] = {.lex_state = 194},
  [5868] = {.lex_state = 240},
  [5869] = {.lex_state = 194},
  [5870] = {.lex_state = 232},
  [5871] = {.lex_state = 236},
  [5872] = {.lex_state = 197},
  [5873] = {.lex_state = 194},
  [5874] = {.lex_state = 194},
  [5875] = {.lex_state = 240},
  [5876] = {.lex_state = 241},
  [5877] = {.lex_state = 239},
  [5878] = {.lex_state = 239},
  [5879] = {.lex_state = 236},
  [5880] = {.lex_state = 240},
  [5881] = {.lex_state = 241},
  [5882] = {.lex_state = 194},
  [5883] = {.lex_state = 240},
  [5884] = {.lex_state = 236},
  [5885] = {.lex_state = 241},
  [5886] = {.lex_state = 239},
  [5887] = {.lex_state = 239},
  [5888] = {.lex_state = 194},
  [5889] = {.lex_state = 240},
  [5890] = {.lex_state = 241},
  [5891] = {.lex_state = 241},
  [5892] = {.lex_state = 240},
  [5893] = {.lex_state = 194},
  [5894] = {.lex_state = 194},
  [5895] = {.lex_state = 240},
  [5896] = {.lex_state = 232},
  [5897] = {.lex_state = 241},
  [5898] = {.lex_state = 241},
  [5899] = {.lex_state = 186},
  [5900] = {.lex_state = 241},
  [5901] = {.lex_state = 240},
  [5902] = {.lex_state = 214},
  [5903] = {.lex_state = 197},
  [5904] = {.lex_state = 194},
  [5905] = {.lex_state = 240},
  [5906] = {.lex_state = 240},
  [5907] = {.lex_state = 240},
  [5908] = {.lex_state = 194},
  [5909] = {.lex_state = 194},
  [5910] = {.lex_state = 240},
  [5911] = {.lex_state = 194},
  [5912] = {.lex_state = 194},
  [5913] = {.lex_state = 240},
  [5914] = {.lex_state = 239},
  [5915] = {.lex_state = 240},
  [5916] = {.lex_state = 203},
  [5917] = {.lex_state = 240},
  [5918] = {.lex_state = 197},
  [5919] = {.lex_state = 239},
  [5920] = {.lex_state = 214},
  [5921] = {.lex_state = 236},
  [5922] = {.lex_state = 194},
  [5923] = {.lex_state = 239},
  [5924] = {.lex_state = 194},
  [5925] = {.lex_state = 186},
  [5926] = {.lex_state = 214},
  [5927] = {.lex_state = 214},
  [5928] = {.lex_state = 186},
  [5929] = {.lex_state = 194},
  [5930] = {.lex_state = 240},
  [5931] = {.lex_state = 197},
  [5932] = {.lex_state = 241},
  [5933] = {.lex_state = 232},
  [5934] = {.lex_state = 241},
  [5935] = {.lex_state = 197},
  [5936] = {.lex_state = 194},
  [5937] = {.lex_state = 240},
  [5938] = {.lex_state = 194},
  [5939] = {.lex_state = 239},
  [5940] = {.lex_state = 197},
  [5941] = {.lex_state = 194},
  [5942] = {.lex_state = 240},
  [5943] = {.lex_state = 240},
  [5944] = {.lex_state = 186},
  [5945] = {.lex_state = 194},
  [5946] = {.lex_state = 241},
  [5947] = {.lex_state = 236},
  [5948] = {.lex_state = 214},
  [5949] = {.lex_state = 197},
  [5950] = {.lex_state = 236},
  [5951] = {.lex_state = 241},
  [5952] = {.lex_state = 241},
  [5953] = {.lex_state = 214},
  [5954] = {.lex_state = 236},
  [5955] = {.lex_state = 236},
  [5956] = {.lex_state = 194},
  [5957] = {.lex_state = 194},
  [5958] = {.lex_state = 197},
  [5959] = {.lex_state = 241},
  [5960] = {.lex_state = 214},
  [5961] = {.lex_state = 186},
  [5962] = {.lex_state = 197},
  [5963] = {.lex_state = 241},
  [5964] = {.lex_state = 194},
  [5965] = {.lex_state = 197},
  [5966] = {.lex_state = 241},
  [5967] = {.lex_state = 214},
  [5968] = {.lex_state = 197},
  [5969] = {.lex_state = 240},
  [5970] = {.lex_state = 194},
  [5971] = {.lex_state = 240},
  [5972] = {.lex_state = 194},
  [5973] = {.lex_state = 197},
  [5974] = {.lex_state = 194},
  [5975] = {.lex_state = 186},
  [5976] = {.lex_state = 194},
  [5977] = {.lex_state = 194},
  [5978] = {.lex_state = 232},
  [5979] = {.lex_state = 241},
  [5980] = {.lex_state = 241},
  [5981] = {.lex_state = 240},
  [5982] = {.lex_state = 194},
  [5983] = {.lex_state = 186},
  [5984] = {.lex_state = 194},
  [5985] = {.lex_state = 241},
  [5986] = {.lex_state = 240},
  [5987] = {.lex_state = 241},
  [5988] = {.lex_state = 194},
  [5989] = {.lex_state = 194},
  [5990] = {.lex_state = 241},
  [5991] = {.lex_state = 194},
  [5992] = {.lex_state = 240},
  [5993] = {.lex_state = 194},
  [5994] = {.lex_state = 194},
  [5995] = {.lex_state = 192},
  [5996] = {.lex_state = 196},
  [5997] = {.lex_state = 192},
  [5998] = {.lex_state = 240},
  [5999] = {.lex_state = 240},
  [6000] = {.lex_state = 194},
  [6001] = {.lex_state = 192},
  [6002] = {.lex_state = 192},
  [6003] = {.lex_state = 240},
  [6004] = {.lex_state = 240},
  [6005] = {.lex_state = 240},
  [6006] = {.lex_state = 240},
  [6007] = {.lex_state = 240},
  [6008] = {.lex_state = 240},
  [6009] = {.lex_state = 236},
  [6010] = {.lex_state = 236},
  [6011] = {.lex_state = 194},
  [6012] = {.lex_state = 240},
  [6013] = {.lex_state = 236},
  [6014] = {.lex_state = 192},
  [6015] = {.lex_state = 236},
  [6016] = {.lex_state = 236},
  [6017] = {.lex_state = 236},
  [6018] = {.lex_state = 236},
  [6019] = {.lex_state = 236},
  [6020] = {.lex_state = 240},
  [6021] = {.lex_state = 192},
  [6022] = {.lex_state = 240},
  [6023] = {.lex_state = 240},
  [6024] = {.lex_state = 240},
  [6025] = {.lex_state = 0},
  [6026] = {.lex_state = 192},
  [6027] = {.lex_state = 240},
  [6028] = {.lex_state = 240},
  [6029] = {.lex_state = 240},
  [6030] = {.lex_state = 240},
  [6031] = {.lex_state = 192},
  [6032] = {.lex_state = 240},
  [6033] = {.lex_state = 173},
  [6034] = {.lex_state = 240},
  [6035] = {.lex_state = 240},
  [6036] = {.lex_state = 0},
  [6037] = {.lex_state = 240},
  [6038] = {.lex_state = 240},
  [6039] = {.lex_state = 240},
  [6040] = {.lex_state = 240},
  [6041] = {.lex_state = 192},
  [6042] = {.lex_state = 240},
  [6043] = {.lex_state = 192},
  [6044] = {.lex_state = 192},
  [6045] = {.lex_state = 240},
  [6046] = {.lex_state = 240},
  [6047] = {.lex_state = 0},
  [6048] = {.lex_state = 240},
  [6049] = {.lex_state = 194},
  [6050] = {.lex_state = 194},
  [6051] = {.lex_state = 240},
  [6052] = {.lex_state = 240},
  [6053] = {.lex_state = 240},
  [6054] = {.lex_state = 240},
  [6055] = {.lex_state = 240},
  [6056] = {.lex_state = 194},
  [6057] = {.lex_state = 240},
  [6058] = {.lex_state = 192},
  [6059] = {.lex_state = 0},
  [6060] = {.lex_state = 173},
  [6061] = {.lex_state = 240},
  [6062] = {.lex_state = 240},
  [6063] = {.lex_state = 196},
  [6064] = {.lex_state = 192},
  [6065] = {.lex_state = 192},
  [6066] = {.lex_state = 240},
  [6067] = {.lex_state = 240},
  [6068] = {.lex_state = 194},
  [6069] = {.lex_state = 240},
  [6070] = {.lex_state = 0},
  [6071] = {.lex_state = 192},
  [6072] = {.lex_state = 240},
  [6073] = {.lex_state = 194},
  [6074] = {.lex_state = 192},
  [6075] = {.lex_state = 0},
  [6076] = {.lex_state = 192},
  [6077] = {.lex_state = 173},
  [6078] = {.lex_state = 240},
  [6079] = {.lex_state = 240},
  [6080] = {.lex_state = 240},
  [6081] = {.lex_state = 192},
  [6082] = {.lex_state = 196},
  [6083] = {.lex_state = 196},
  [6084] = {.lex_state = 240},
  [6085] = {.lex_state = 196},
  [6086] = {.lex_state = 240},
  [6087] = {.lex_state = 240},
  [6088] = {.lex_state = 240},
  [6089] = {.lex_state = 192},
  [6090] = {.lex_state = 192},
  [6091] = {.lex_state = 196},
  [6092] = {.lex_state = 240},
  [6093] = {.lex_state = 0},
  [6094] = {.lex_state = 240},
  [6095] = {.lex_state = 240},
  [6096] = {.lex_state = 196},
  [6097] = {.lex_state = 196},
  [6098] = {.lex_state = 214},
  [6099] = {.lex_state = 214},
  [6100] = {.lex_state = 194},
  [6101] = {.lex_state = 194},
  [6102] = {.lex_state = 194},
  [6103] = {.lex_state = 240},
  [6104] = {.lex_state = 214},
  [6105] = {.lex_state = 194},
  [6106] = {.lex_state = 194},
  [6107] = {.lex_state = 240},
  [6108] = {.lex_state = 214},
  [6109] = {.lex_state = 194},
  [6110] = {.lex_state = 194},
  [6111] = {.lex_state = 194},
  [6112] = {.lex_state = 194},
  [6113] = {.lex_state = 194},
  [6114] = {.lex_state = 214},
  [6115] = {.lex_state = 335},
  [6116] = {.lex_state = 194},
  [6117] = {.lex_state = 197},
  [6118] = {.lex_state = 194},
  [6119] = {.lex_state = 214},
  [6120] = {.lex_state = 335},
  [6121] = {.lex_state = 197},
  [6122] = {.lex_state = 194},
  [6123] = {.lex_state = 194},
  [6124] = {.lex_state = 194},
  [6125] = {.lex_state = 194},
  [6126] = {.lex_state = 194},
  [6127] = {.lex_state = 197},
  [6128] = {.lex_state = 197},
  [6129] = {.lex_state = 214},
  [6130] = {.lex_state = 197},
  [6131] = {.lex_state = 197},
  [6132] = {.lex_state = 194},
  [6133] = {.lex_state = 194},
  [6134] = {.lex_state = 194},
  [6135] = {.lex_state = 194},
  [6136] = {.lex_state = 335},
  [6137] = {.lex_state = 214},
  [6138] = {.lex_state = 194},
  [6139] = {.lex_state = 197},
  [6140] = {.lex_state = 240},
  [6141] = {.lex_state = 197},
  [6142] = {.lex_state = 194},
  [6143] = {.lex_state = 194},
  [6144] = {.lex_state = 214},
  [6145] = {.lex_state = 214},
  [6146] = {.lex_state = 240},
  [6147] = {.lex_state = 194},
  [6148] = {.lex_state = 214},
  [6149] = {.lex_state = 335},
  [6150] = {.lex_state = 335},
  [6151] = {.lex_state = 194},
  [6152] = {.lex_state = 194},
  [6153] = {.lex_state = 194},
  [6154] = {.lex_state = 202},
  [6155] = {.lex_state = 214},
  [6156] = {.lex_state = 194},
  [6157] = {.lex_state = 194},
  [6158] = {.lex_state = 194},
  [6159] = {.lex_state = 0},
  [6160] = {.lex_state = 240},
  [6161] = {.lex_state = 194},
  [6162] = {.lex_state = 194},
  [6163] = {.lex_state = 194},
  [6164] = {.lex_state = 194},
  [6165] = {.lex_state = 240},
  [6166] = {.lex_state = 194},
  [6167] = {.lex_state = 194},
  [6168] = {.lex_state = 194},
  [6169] = {.lex_state = 194},
  [6170] = {.lex_state = 194},
  [6171] = {.lex_state = 240},
  [6172] = {.lex_state = 194},
  [6173] = {.lex_state = 194},
  [6174] = {.lex_state = 194},
  [6175] = {.lex_state = 207},
  [6176] = {.lex_state = 239},
  [6177] = {.lex_state = 194},
  [6178] = {.lex_state = 194},
  [6179] = {.lex_state = 194},
  [6180] = {.lex_state = 194},
  [6181] = {.lex_state = 194},
  [6182] = {.lex_state = 194},
  [6183] = {.lex_state = 194},
  [6184] = {.lex_state = 194},
  [6185] = {.lex_state = 196},
  [6186] = {.lex_state = 194},
  [6187] = {.lex_state = 196},
  [6188] = {.lex_state = 207},
  [6189] = {.lex_state = 196},
  [6190] = {.lex_state = 194},
  [6191] = {.lex_state = 194},
  [6192] = {.lex_state = 207},
  [6193] = {.lex_state = 239},
  [6194] = {.lex_state = 240},
  [6195] = {.lex_state = 194},
  [6196] = {.lex_state = 207},
  [6197] = {.lex_state = 194},
  [6198] = {.lex_state = 207},
  [6199] = {.lex_state = 194},
  [6200] = {.lex_state = 196},
  [6201] = {.lex_state = 194},
  [6202] = {.lex_state = 194},
  [6203] = {.lex_state = 207},
  [6204] = {.lex_state = 240},
  [6205] = {.lex_state = 194},
  [6206] = {.lex_state = 240},
  [6207] = {.lex_state = 194},
  [6208] = {.lex_state = 194},
  [6209] = {.lex_state = 194},
  [6210] = {.lex_state = 196},
  [6211] = {.lex_state = 207},
  [6212] = {.lex_state = 194},
  [6213] = {.lex_state = 194},
  [6214] = {.lex_state = 194},
  [6215] = {.lex_state = 194},
  [6216] = {.lex_state = 239},
  [6217] = {.lex_state = 196},
  [6218] = {.lex_state = 194},
  [6219] = {.lex_state = 194},
  [6220] = {.lex_state = 239},
  [6221] = {.lex_state = 194},
  [6222] = {.lex_state = 194},
  [6223] = {.lex_state = 196},
  [6224] = {.lex_state = 207},
  [6225] = {.lex_state = 196},
  [6226] = {.lex_state = 196},
  [6227] = {.lex_state = 194},
  [6228] = {.lex_state = 194},
  [6229] = {.lex_state = 194},
  [6230] = {.lex_state = 240},
  [6231] = {.lex_state = 194},
  [6232] = {.lex_state = 194},
  [6233] = {.lex_state = 194},
  [6234] = {.lex_state = 194},
  [6235] = {.lex_state = 240},
  [6236] = {.lex_state = 240},
  [6237] = {.lex_state = 194},
  [6238] = {.lex_state = 194},
  [6239] = {.lex_state = 194},
  [6240] = {.lex_state = 192},
  [6241] = {.lex_state = 196},
  [6242] = {.lex_state = 194},
  [6243] = {.lex_state = 240},
  [6244] = {.lex_state = 194},
  [6245] = {.lex_state = 240},
  [6246] = {.lex_state = 196},
  [6247] = {.lex_state = 194},
  [6248] = {.lex_state = 196},
  [6249] = {.lex_state = 179},
  [6250] = {.lex_state = 240},
  [6251] = {.lex_state = 214},
  [6252] = {.lex_state = 214},
  [6253] = {.lex_state = 214},
  [6254] = {.lex_state = 223},
  [6255] = {.lex_state = 214},
  [6256] = {.lex_state = 335},
  [6257] = {.lex_state = 240},
  [6258] = {.lex_state = 240},
  [6259] = {.lex_state = 194},
  [6260] = {.lex_state = 214},
  [6261] = {.lex_state = 194},
  [6262] = {.lex_state = 223},
  [6263] = {.lex_state = 335},
  [6264] = {.lex_state = 223},
  [6265] = {.lex_state = 179},
  [6266] = {.lex_state = 240},
  [6267] = {.lex_state = 214},
  [6268] = {.lex_state = 223},
  [6269] = {.lex_state = 194},
  [6270] = {.lex_state = 214},
  [6271] = {.lex_state = 223},
  [6272] = {.lex_state = 214},
  [6273] = {.lex_state = 240},
  [6274] = {.lex_state = 194},
  [6275] = {.lex_state = 223},
  [6276] = {.lex_state = 240},
  [6277] = {.lex_state = 223},
  [6278] = {.lex_state = 223},
  [6279] = {.lex_state = 194},
  [6280] = {.lex_state = 240},
  [6281] = {.lex_state = 335},
  [6282] = {.lex_state = 223},
  [6283] = {.lex_state = 223},
  [6284] = {.lex_state = 223},
  [6285] = {.lex_state = 223},
  [6286] = {.lex_state = 223},
  [6287] = {.lex_state = 194},
  [6288] = {.lex_state = 196},
  [6289] = {.lex_state = 194},
  [6290] = {.lex_state = 194},
  [6291] = {.lex_state = 194},
  [6292] = {.lex_state = 194},
  [6293] = {.lex_state = 194},
  [6294] = {.lex_state = 233},
  [6295] = {.lex_state = 194},
  [6296] = {.lex_state = 194},
  [6297] = {.lex_state = 233},
  [6298] = {.lex_state = 233},
  [6299] = {.lex_state = 194},
  [6300] = {.lex_state = 194},
  [6301] = {.lex_state = 196},
  [6302] = {.lex_state = 194},
  [6303] = {.lex_state = 194},
  [6304] = {.lex_state = 194},
  [6305] = {.lex_state = 194},
  [6306] = {.lex_state = 194},
  [6307] = {.lex_state = 194},
  [6308] = {.lex_state = 194},
  [6309] = {.lex_state = 194},
  [6310] = {.lex_state = 194},
  [6311] = {.lex_state = 194},
  [6312] = {.lex_state = 194},
  [6313] = {.lex_state = 194},
  [6314] = {.lex_state = 194},
  [6315] = {.lex_state = 335},
  [6316] = {.lex_state = 194},
  [6317] = {.lex_state = 194},
  [6318] = {.lex_state = 194},
  [6319] = {.lex_state = 194},
  [6320] = {.lex_state = 194},
  [6321] = {.lex_state = 194},
  [6322] = {.lex_state = 194},
  [6323] = {.lex_state = 196},
  [6324] = {.lex_state = 194},
  [6325] = {.lex_state = 202},
  [6326] = {.lex_state = 196},
  [6327] = {.lex_state = 194},
  [6328] = {.lex_state = 196},
  [6329] = {.lex_state = 194},
  [6330] = {.lex_state = 233},
  [6331] = {.lex_state = 196},
  [6332] = {.lex_state = 194},
  [6333] = {.lex_state = 173},
  [6334] = {.lex_state = 194},
  [6335] = {.lex_state = 335},
  [6336] = {.lex_state = 196},
  [6337] = {.lex_state = 202},
  [6338] = {.lex_state = 194},
  [6339] = {.lex_state = 194},
  [6340] = {.lex_state = 196},
  [6341] = {.lex_state = 194},
  [6342] = {.lex_state = 335},
  [6343] = {.lex_state = 197},
  [6344] = {.lex_state = 335},
  [6345] = {.lex_state = 236},
  [6346] = {.lex_state = 335},
  [6347] = {.lex_state = 335},
  [6348] = {.lex_state = 197},
  [6349] = {.lex_state = 223},
  [6350] = {.lex_state = 335},
  [6351] = {.lex_state = 335},
  [6352] = {.lex_state = 196},
  [6353] = {.lex_state = 335},
  [6354] = {.lex_state = 236},
  [6355] = {.lex_state = 197},
  [6356] = {.lex_state = 197},
  [6357] = {.lex_state = 335},
  [6358] = {.lex_state = 236},
  [6359] = {.lex_state = 196},
  [6360] = {.lex_state = 335},
  [6361] = {.lex_state = 173},
  [6362] = {.lex_state = 196},
  [6363] = {.lex_state = 335},
  [6364] = {.lex_state = 335},
  [6365] = {.lex_state = 197},
  [6366] = {.lex_state = 196},
  [6367] = {.lex_state = 197},
  [6368] = {.lex_state = 197},
  [6369] = {.lex_state = 335},
  [6370] = {.lex_state = 194},
  [6371] = {.lex_state = 197},
  [6372] = {.lex_state = 335},
  [6373] = {.lex_state = 335},
  [6374] = {.lex_state = 335},
  [6375] = {.lex_state = 173},
  [6376] = {.lex_state = 335},
  [6377] = {.lex_state = 196},
  [6378] = {.lex_state = 335},
  [6379] = {.lex_state = 194},
  [6380] = {.lex_state = 335},
  [6381] = {.lex_state = 196},
  [6382] = {.lex_state = 335},
  [6383] = {.lex_state = 335},
  [6384] = {.lex_state = 335},
  [6385] = {.lex_state = 223},
  [6386] = {.lex_state = 335},
  [6387] = {.lex_state = 335},
  [6388] = {.lex_state = 335},
  [6389] = {.lex_state = 242},
  [6390] = {.lex_state = 239},
  [6391] = {.lex_state = 196},
  [6392] = {.lex_state = 194},
  [6393] = {.lex_state = 194},
  [6394] = {.lex_state = 196},
  [6395] = {.lex_state = 173},
  [6396] = {.lex_state = 335},
  [6397] = {.lex_state = 196},
  [6398] = {.lex_state = 335},
  [6399] = {.lex_state = 173},
  [6400] = {.lex_state = 335},
  [6401] = {.lex_state = 173},
  [6402] = {.lex_state = 173},
  [6403] = {.lex_state = 173},
  [6404] = {.lex_state = 173},
  [6405] = {.lex_state = 335},
  [6406] = {.lex_state = 202},
  [6407] = {.lex_state = 173},
  [6408] = {.lex_state = 194},
  [6409] = {.lex_state = 335},
  [6410] = {.lex_state = 173},
  [6411] = {.lex_state = 194},
  [6412] = {.lex_state = 173},
  [6413] = {.lex_state = 173},
  [6414] = {.lex_state = 173},
  [6415] = {.lex_state = 202},
  [6416] = {.lex_state = 173},
  [6417] = {.lex_state = 173},
  [6418] = {.lex_state = 173},
  [6419] = {.lex_state = 173},
  [6420] = {.lex_state = 335},
  [6421] = {.lex_state = 173},
  [6422] = {.lex_state = 194},
  [6423] = {.lex_state = 173},
  [6424] = {.lex_state = 335},
  [6425] = {.lex_state = 194},
  [6426] = {.lex_state = 335},
  [6427] = {.lex_state = 202},
  [6428] = {.lex_state = 173},
  [6429] = {.lex_state = 173},
  [6430] = {.lex_state = 335},
  [6431] = {.lex_state = 173},
  [6432] = {.lex_state = 194},
  [6433] = {.lex_state = 236},
  [6434] = {.lex_state = 194},
  [6435] = {.lex_state = 335},
  [6436] = {.lex_state = 194},
  [6437] = {.lex_state = 173},
  [6438] = {.lex_state = 173},
  [6439] = {.lex_state = 173},
  [6440] = {.lex_state = 196},
  [6441] = {.lex_state = 196},
  [6442] = {.lex_state = 236},
  [6443] = {.lex_state = 194},
  [6444] = {.lex_state = 236},
  [6445] = {.lex_state = 236},
  [6446] = {.lex_state = 194},
  [6447] = {.lex_state = 236},
  [6448] = {.lex_state = 194},
  [6449] = {.lex_state = 194},
  [6450] = {.lex_state = 192},
  [6451] = {.lex_state = 173},
  [6452] = {.lex_state = 194},
  [6453] = {.lex_state = 236},
  [6454] = {.lex_state = 236},
  [6455] = {.lex_state = 0},
  [6456] = {.lex_state = 236},
  [6457] = {.lex_state = 194},
  [6458] = {.lex_state = 173},
  [6459] = {.lex_state = 192},
  [6460] = {.lex_state = 236},
  [6461] = {.lex_state = 194},
  [6462] = {.lex_state = 236},
  [6463] = {.lex_state = 196},
  [6464] = {.lex_state = 335},
  [6465] = {.lex_state = 194},
  [6466] = {.lex_state = 194},
  [6467] = {.lex_state = 236},
  [6468] = {.lex_state = 192},
  [6469] = {.lex_state = 192},
  [6470] = {.lex_state = 194},
  [6471] = {.lex_state = 194},
  [6472] = {.lex_state = 192},
  [6473] = {.lex_state = 194},
  [6474] = {.lex_state = 192},
  [6475] = {.lex_state = 236},
  [6476] = {.lex_state = 194},
  [6477] = {.lex_state = 192},
  [6478] = {.lex_state = 335},
  [6479] = {.lex_state = 192},
  [6480] = {.lex_state = 192},
  [6481] = {.lex_state = 194},
  [6482] = {.lex_state = 236},
  [6483] = {.lex_state = 194},
  [6484] = {.lex_state = 335},
  [6485] = {.lex_state = 236},
  [6486] = {.lex_state = 236},
  [6487] = {.lex_state = 0},
  [6488] = {.lex_state = 335},
  [6489] = {.lex_state = 194},
  [6490] = {.lex_state = 192},
  [6491] = {.lex_state = 335},
  [6492] = {.lex_state = 192},
  [6493] = {.lex_state = 194},
  [6494] = {.lex_state = 194},
  [6495] = {.lex_state = 194},
  [6496] = {.lex_state = 194},
  [6497] = {.lex_state = 194},
  [6498] = {.lex_state = 236},
  [6499] = {.lex_state = 179},
  [6500] = {.lex_state = 194},
  [6501] = {.lex_state = 179},
  [6502] = {.lex_state = 194},
  [6503] = {.lex_state = 214},
  [6504] = {.lex_state = 194},
  [6505] = {.lex_state = 194},
  [6506] = {.lex_state = 194},
  [6507] = {.lex_state = 179},
  [6508] = {.lex_state = 179},
  [6509] = {.lex_state = 179},
  [6510] = {.lex_state = 194},
  [6511] = {.lex_state = 335},
  [6512] = {.lex_state = 173},
  [6513] = {.lex_state = 194},
  [6514] = {.lex_state = 194},
  [6515] = {.lex_state = 194},
  [6516] = {.lex_state = 214},
  [6517] = {.lex_state = 173},
  [6518] = {.lex_state = 194},
  [6519] = {.lex_state = 179},
  [6520] = {.lex_state = 194},
  [6521] = {.lex_state = 194},
  [6522] = {.lex_state = 194},
  [6523] = {.lex_state = 179},
  [6524] = {.lex_state = 194},
  [6525] = {.lex_state = 194},
  [6526] = {.lex_state = 194},
  [6527] = {.lex_state = 194},
  [6528] = {.lex_state = 335},
  [6529] = {.lex_state = 194},
  [6530] = {.lex_state = 194},
  [6531] = {.lex_state = 194},
  [6532] = {.lex_state = 194},
  [6533] = {.lex_state = 194},
  [6534] = {.lex_state = 194},
  [6535] = {.lex_state = 194},
  [6536] = {.lex_state = 194},
  [6537] = {.lex_state = 194},
  [6538] = {.lex_state = 173},
  [6539] = {.lex_state = 194},
  [6540] = {.lex_state = 173},
  [6541] = {.lex_state = 194},
  [6542] = {.lex_state = 194},
  [6543] = {.lex_state = 194},
  [6544] = {.lex_state = 194},
  [6545] = {.lex_state = 335},
  [6546] = {.lex_state = 194},
  [6547] = {.lex_state = 194},
  [6548] = {.lex_state = 194},
  [6549] = {.lex_state = 335},
  [6550] = {.lex_state = 335},
  [6551] = {.lex_state = 173},
  [6552] = {.lex_state = 179},
  [6553] = {.lex_state = 194},
  [6554] = {.lex_state = 335},
  [6555] = {.lex_state = 173},
  [6556] = {.lex_state = 179},
  [6557] = {.lex_state = 194},
  [6558] = {.lex_state = 173},
  [6559] = {.lex_state = 108},
  [6560] = {.lex_state = 335},
  [6561] = {.lex_state = 179},
  [6562] = {.lex_state = 194},
  [6563] = {.lex_state = 173},
  [6564] = {.lex_state = 335},
  [6565] = {.lex_state = 335},
  [6566] = {.lex_state = 335},
  [6567] = {.lex_state = 194},
  [6568] = {.lex_state = 194},
  [6569] = {.lex_state = 108},
  [6570] = {.lex_state = 179},
  [6571] = {.lex_state = 173},
  [6572] = {.lex_state = 335},
  [6573] = {.lex_state = 335},
  [6574] = {.lex_state = 335},
  [6575] = {.lex_state = 108},
  [6576] = {.lex_state = 108},
  [6577] = {.lex_state = 108},
  [6578] = {.lex_state = 108},
  [6579] = {.lex_state = 335},
  [6580] = {.lex_state = 0},
  [6581] = {.lex_state = 110},
  [6582] = {.lex_state = 108},
  [6583] = {.lex_state = 115},
  [6584] = {.lex_state = 173},
  [6585] = {.lex_state = 194},
  [6586] = {.lex_state = 236},
  [6587] = {.lex_state = 108},
  [6588] = {.lex_state = 179},
  [6589] = {.lex_state = 0},
  [6590] = {.lex_state = 335},
  [6591] = {.lex_state = 173},
  [6592] = {.lex_state = 0},
  [6593] = {.lex_state = 173},
  [6594] = {.lex_state = 0},
  [6595] = {.lex_state = 108},
  [6596] = {.lex_state = 110},
  [6597] = {.lex_state = 173},
  [6598] = {.lex_state = 335},
  [6599] = {.lex_state = 179},
  [6600] = {.lex_state = 194},
  [6601] = {.lex_state = 108},
  [6602] = {.lex_state = 179},
  [6603] = {.lex_state = 236},
  [6604] = {.lex_state = 194},
  [6605] = {.lex_state = 335},
  [6606] = {.lex_state = 0},
  [6607] = {.lex_state = 0},
  [6608] = {.lex_state = 108},
  [6609] = {.lex_state = 179},
  [6610] = {.lex_state = 214},
  [6611] = {.lex_state = 335},
  [6612] = {.lex_state = 108},
  [6613] = {.lex_state = 179},
  [6614] = {.lex_state = 194},
  [6615] = {.lex_state = 194},
  [6616] = {.lex_state = 335},
  [6617] = {.lex_state = 0},
  [6618] = {.lex_state = 335},
  [6619] = {.lex_state = 179},
  [6620] = {.lex_state = 108},
  [6621] = {.lex_state = 236},
  [6622] = {.lex_state = 108},
  [6623] = {.lex_state = 194},
  [6624] = {.lex_state = 179},
  [6625] = {.lex_state = 194},
  [6626] = {.lex_state = 335},
  [6627] = {.lex_state = 194},
  [6628] = {.lex_state = 236},
  [6629] = {.lex_state = 179},
  [6630] = {.lex_state = 173},
  [6631] = {.lex_state = 0},
  [6632] = {.lex_state = 173},
  [6633] = {.lex_state = 335},
  [6634] = {.lex_state = 115},
  [6635] = {.lex_state = 0},
  [6636] = {.lex_state = 108},
  [6637] = {.lex_state = 0},
  [6638] = {.lex_state = 194},
  [6639] = {.lex_state = 194},
  [6640] = {.lex_state = 194},
  [6641] = {.lex_state = 194},
  [6642] = {.lex_state = 108},
  [6643] = {.lex_state = 173},
  [6644] = {.lex_state = 335},
  [6645] = {.lex_state = 194},
  [6646] = {.lex_state = 179},
  [6647] = {.lex_state = 108},
  [6648] = {.lex_state = 179},
  [6649] = {.lex_state = 108},
  [6650] = {.lex_state = 0},
  [6651] = {.lex_state = 115},
  [6652] = {.lex_state = 108},
  [6653] = {.lex_state = 110},
  [6654] = {.lex_state = 335},
  [6655] = {.lex_state = 115},
  [6656] = {.lex_state = 179},
  [6657] = {.lex_state = 236},
  [6658] = {.lex_state = 179},
  [6659] = {.lex_state = 179},
  [6660] = {.lex_state = 108},
  [6661] = {.lex_state = 194},
  [6662] = {.lex_state = 108},
  [6663] = {.lex_state = 108},
  [6664] = {.lex_state = 108},
  [6665] = {.lex_state = 179},
  [6666] = {.lex_state = 236},
  [6667] = {.lex_state = 108},
  [6668] = {.lex_state = 115},
  [6669] = {.lex_state = 0},
  [6670] = {.lex_state = 0},
  [6671] = {.lex_state = 194},
  [6672] = {.lex_state = 179},
  [6673] = {.lex_state = 179},
  [6674] = {.lex_state = 115},
  [6675] = {.lex_state = 108},
  [6676] = {.lex_state = 108},
  [6677] = {.lex_state = 115},
  [6678] = {.lex_state = 0},
  [6679] = {.lex_state = 108},
  [6680] = {.lex_state = 179},
  [6681] = {.lex_state = 179},
  [6682] = {.lex_state = 335},
  [6683] = {.lex_state = 335},
  [6684] = {.lex_state = 335},
  [6685] = {.lex_state = 194},
  [6686] = {.lex_state = 335},
  [6687] = {.lex_state = 173},
  [6688] = {.lex_state = 335},
  [6689] = {.lex_state = 115},
  [6690] = {.lex_state = 173},
  [6691] = {.lex_state = 335},
  [6692] = {.lex_state = 194},
  [6693] = {.lex_state = 194},
  [6694] = {.lex_state = 173},
  [6695] = {.lex_state = 0},
  [6696] = {.lex_state = 0},
  [6697] = {.lex_state = 194},
  [6698] = {.lex_state = 115},
  [6699] = {.lex_state = 335},
  [6700] = {.lex_state = 108},
  [6701] = {.lex_state = 335},
  [6702] = {.lex_state = 335},
  [6703] = {.lex_state = 179},
  [6704] = {.lex_state = 110},
  [6705] = {.lex_state = 179},
  [6706] = {.lex_state = 335},
  [6707] = {.lex_state = 179},
  [6708] = {.lex_state = 236},
  [6709] = {.lex_state = 194},
  [6710] = {.lex_state = 194},
  [6711] = {.lex_state = 179},
  [6712] = {.lex_state = 108},
  [6713] = {.lex_state = 335},
  [6714] = {.lex_state = 173},
  [6715] = {.lex_state = 179},
  [6716] = {.lex_state = 108},
  [6717] = {.lex_state = 0},
  [6718] = {.lex_state = 115},
  [6719] = {.lex_state = 194},
  [6720] = {.lex_state = 179},
  [6721] = {.lex_state = 179},
  [6722] = {.lex_state = 335},
  [6723] = {.lex_state = 110},
  [6724] = {.lex_state = 335},
  [6725] = {.lex_state = 335},
  [6726] = {.lex_state = 194},
  [6727] = {.lex_state = 173},
  [6728] = {.lex_state = 115},
  [6729] = {.lex_state = 108},
  [6730] = {.lex_state = 335},
  [6731] = {.lex_state = 173},
  [6732] = {.lex_state = 335},
  [6733] = {.lex_state = 108},
  [6734] = {.lex_state = 0},
  [6735] = {.lex_state = 194},
  [6736] = {.lex_state = 194},
  [6737] = {.lex_state = 194},
  [6738] = {.lex_state = 194},
  [6739] = {.lex_state = 173},
  [6740] = {.lex_state = 173},
  [6741] = {.lex_state = 179},
  [6742] = {.lex_state = 335},
  [6743] = {.lex_state = 194},
  [6744] = {.lex_state = 194},
  [6745] = {.lex_state = 194},
  [6746] = {.lex_state = 194},
  [6747] = {.lex_state = 173},
  [6748] = {.lex_state = 179},
  [6749] = {.lex_state = 108},
  [6750] = {.lex_state = 335},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 335},
  [6753] = {.lex_state = 194},
  [6754] = {.lex_state = 179},
  [6755] = {.lex_state = 335},
  [6756] = {.lex_state = 194},
  [6757] = {.lex_state = 108},
  [6758] = {.lex_state = 173},
  [6759] = {.lex_state = 335},
  [6760] = {.lex_state = 335},
  [6761] = {.lex_state = 173},
  [6762] = {.lex_state = 108},
  [6763] = {.lex_state = 110},
  [6764] = {.lex_state = 115},
  [6765] = {.lex_state = 173},
  [6766] = {.lex_state = 179},
  [6767] = {.lex_state = 194},
  [6768] = {.lex_state = 179},
  [6769] = {.lex_state = 236},
  [6770] = {.lex_state = 335},
  [6771] = {.lex_state = 179},
  [6772] = {.lex_state = 335},
  [6773] = {.lex_state = 194},
  [6774] = {.lex_state = 194},
  [6775] = {.lex_state = 335},
  [6776] = {.lex_state = 194},
  [6777] = {.lex_state = 179},
  [6778] = {.lex_state = 173},
  [6779] = {.lex_state = 108},
  [6780] = {.lex_state = 173},
  [6781] = {.lex_state = 173},
  [6782] = {.lex_state = 110},
  [6783] = {.lex_state = 194},
  [6784] = {.lex_state = 179},
  [6785] = {.lex_state = 236},
  [6786] = {.lex_state = 108},
  [6787] = {.lex_state = 194},
  [6788] = {.lex_state = 194},
  [6789] = {.lex_state = 173},
  [6790] = {.lex_state = 173},
  [6791] = {.lex_state = 179},
  [6792] = {.lex_state = 194},
  [6793] = {.lex_state = 194},
  [6794] = {.lex_state = 173},
  [6795] = {.lex_state = 335},
  [6796] = {.lex_state = 194},
  [6797] = {.lex_state = 108},
  [6798] = {.lex_state = 194},
  [6799] = {.lex_state = 0},
  [6800] = {.lex_state = 179},
  [6801] = {.lex_state = 179},
  [6802] = {.lex_state = 173},
  [6803] = {.lex_state = 194},
  [6804] = {.lex_state = 335},
  [6805] = {.lex_state = 194},
  [6806] = {.lex_state = 236},
  [6807] = {.lex_state = 335},
  [6808] = {.lex_state = 0},
  [6809] = {.lex_state = 194},
  [6810] = {.lex_state = 173},
  [6811] = {.lex_state = 173},
  [6812] = {.lex_state = 335},
  [6813] = {.lex_state = 108},
  [6814] = {.lex_state = 115},
  [6815] = {.lex_state = 179},
  [6816] = {.lex_state = 0},
  [6817] = {.lex_state = 0},
  [6818] = {.lex_state = 194},
  [6819] = {.lex_state = 335},
  [6820] = {.lex_state = 194},
  [6821] = {.lex_state = 0},
  [6822] = {.lex_state = 335},
  [6823] = {.lex_state = 0},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 0},
  [6828] = {.lex_state = 194},
  [6829] = {.lex_state = 179},
  [6830] = {.lex_state = 194},
  [6831] = {.lex_state = 194},
  [6832] = {.lex_state = 335},
  [6833] = {.lex_state = 179},
  [6834] = {.lex_state = 0},
  [6835] = {.lex_state = 179},
  [6836] = {.lex_state = 335},
  [6837] = {.lex_state = 0},
  [6838] = {.lex_state = 0},
  [6839] = {.lex_state = 179},
  [6840] = {.lex_state = 179},
  [6841] = {.lex_state = 335},
  [6842] = {.lex_state = 115},
  [6843] = {.lex_state = 0},
  [6844] = {.lex_state = 0},
  [6845] = {.lex_state = 0},
  [6846] = {.lex_state = 179},
  [6847] = {.lex_state = 335},
  [6848] = {.lex_state = 0},
  [6849] = {.lex_state = 0},
  [6850] = {.lex_state = 0},
  [6851] = {.lex_state = 0},
  [6852] = {.lex_state = 0},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 0},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 0},
  [6858] = {.lex_state = 335},
  [6859] = {.lex_state = 179},
  [6860] = {.lex_state = 179},
  [6861] = {.lex_state = 0},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 0},
  [6864] = {.lex_state = 179},
  [6865] = {.lex_state = 194},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 0},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 194},
  [6870] = {.lex_state = 0},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 0},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 0},
  [6875] = {.lex_state = 0},
  [6876] = {.lex_state = 0},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 194},
  [6879] = {.lex_state = 0},
  [6880] = {.lex_state = 0},
  [6881] = {.lex_state = 179},
  [6882] = {.lex_state = 194},
  [6883] = {.lex_state = 194},
  [6884] = {.lex_state = 0},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 179},
  [6888] = {.lex_state = 194},
  [6889] = {.lex_state = 194},
  [6890] = {.lex_state = 194},
  [6891] = {.lex_state = 179},
  [6892] = {.lex_state = 194},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 194},
  [6895] = {.lex_state = 194},
  [6896] = {.lex_state = 179},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 179},
  [6899] = {.lex_state = 179},
  [6900] = {.lex_state = 179},
  [6901] = {.lex_state = 0},
  [6902] = {.lex_state = 179},
  [6903] = {.lex_state = 194},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 0},
  [6906] = {.lex_state = 112},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 179},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 194},
  [6912] = {.lex_state = 0},
  [6913] = {.lex_state = 0},
  [6914] = {.lex_state = 0},
  [6915] = {.lex_state = 0},
  [6916] = {.lex_state = 179},
  [6917] = {.lex_state = 0},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 194},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 179},
  [6923] = {.lex_state = 0},
  [6924] = {.lex_state = 0},
  [6925] = {.lex_state = 0},
  [6926] = {.lex_state = 0},
  [6927] = {.lex_state = 0},
  [6928] = {.lex_state = 179},
  [6929] = {.lex_state = 115},
  [6930] = {.lex_state = 0},
  [6931] = {.lex_state = 0},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 179},
  [6934] = {.lex_state = 179},
  [6935] = {.lex_state = 179},
  [6936] = {.lex_state = 0},
  [6937] = {.lex_state = 179},
  [6938] = {.lex_state = 0},
  [6939] = {.lex_state = 0},
  [6940] = {.lex_state = 179},
  [6941] = {.lex_state = 194},
  [6942] = {.lex_state = 179},
  [6943] = {.lex_state = 112},
  [6944] = {.lex_state = 179},
  [6945] = {.lex_state = 194},
  [6946] = {.lex_state = 179},
  [6947] = {.lex_state = 0},
  [6948] = {.lex_state = 0},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 0},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 179},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 0},
  [6959] = {.lex_state = 0},
  [6960] = {.lex_state = 0},
  [6961] = {.lex_state = 0},
  [6962] = {.lex_state = 179},
  [6963] = {.lex_state = 179},
  [6964] = {.lex_state = 0},
  [6965] = {.lex_state = 194},
  [6966] = {.lex_state = 0},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 179},
  [6970] = {.lex_state = 0},
  [6971] = {.lex_state = 194},
  [6972] = {.lex_state = 335},
  [6973] = {.lex_state = 0},
  [6974] = {.lex_state = 115},
  [6975] = {.lex_state = 0},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 0},
  [6978] = {.lex_state = 0},
  [6979] = {.lex_state = 179},
  [6980] = {.lex_state = 0},
  [6981] = {.lex_state = 179},
  [6982] = {.lex_state = 0},
  [6983] = {.lex_state = 335},
  [6984] = {.lex_state = 0},
  [6985] = {.lex_state = 0},
  [6986] = {.lex_state = 0},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 0},
  [6991] = {.lex_state = 194},
  [6992] = {.lex_state = 0},
  [6993] = {.lex_state = 179},
  [6994] = {.lex_state = 194},
  [6995] = {.lex_state = 194},
  [6996] = {.lex_state = 0},
  [6997] = {.lex_state = 0},
  [6998] = {.lex_state = 179},
  [6999] = {.lex_state = 0},
  [7000] = {.lex_state = 179},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 194},
  [7003] = {.lex_state = 0},
  [7004] = {.lex_state = 179},
  [7005] = {.lex_state = 0},
  [7006] = {.lex_state = 112},
  [7007] = {.lex_state = 335},
  [7008] = {.lex_state = 179},
  [7009] = {.lex_state = 112},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 0},
  [7012] = {.lex_state = 0},
  [7013] = {.lex_state = 0},
  [7014] = {.lex_state = 0},
  [7015] = {.lex_state = 115},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 194},
  [7018] = {.lex_state = 194},
  [7019] = {.lex_state = 0},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 0},
  [7022] = {.lex_state = 0},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 0},
  [7026] = {.lex_state = 335},
  [7027] = {.lex_state = 335},
  [7028] = {.lex_state = 0},
  [7029] = {.lex_state = 194},
  [7030] = {.lex_state = 179},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 179},
  [7033] = {.lex_state = 179},
  [7034] = {.lex_state = 0},
  [7035] = {.lex_state = 115},
  [7036] = {.lex_state = 179},
  [7037] = {.lex_state = 194},
  [7038] = {.lex_state = 0},
  [7039] = {.lex_state = 194},
  [7040] = {.lex_state = 194},
  [7041] = {.lex_state = 179},
  [7042] = {.lex_state = 194},
  [7043] = {.lex_state = 179},
  [7044] = {.lex_state = 0},
  [7045] = {.lex_state = 0},
  [7046] = {.lex_state = 0},
  [7047] = {.lex_state = 0},
  [7048] = {.lex_state = 0},
  [7049] = {.lex_state = 173},
  [7050] = {.lex_state = 194},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 179},
  [7053] = {.lex_state = 335},
  [7054] = {.lex_state = 335},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 0},
  [7057] = {.lex_state = 194},
  [7058] = {.lex_state = 0},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 0},
  [7063] = {.lex_state = 0},
  [7064] = {.lex_state = 194},
  [7065] = {.lex_state = 0},
  [7066] = {.lex_state = 0},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 0},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 0},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 0},
  [7080] = {.lex_state = 194},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 173},
  [7083] = {.lex_state = 335},
  [7084] = {.lex_state = 0},
  [7085] = {.lex_state = 194},
  [7086] = {.lex_state = 194},
  [7087] = {.lex_state = 335},
  [7088] = {.lex_state = 115},
  [7089] = {.lex_state = 115},
  [7090] = {.lex_state = 0},
  [7091] = {.lex_state = 0},
  [7092] = {.lex_state = 0},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 0},
  [7095] = {.lex_state = 115},
  [7096] = {.lex_state = 335},
  [7097] = {.lex_state = 0},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 179},
  [7100] = {.lex_state = 0},
  [7101] = {.lex_state = 335},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 179},
  [7104] = {.lex_state = 335},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 194},
  [7108] = {.lex_state = 194},
  [7109] = {.lex_state = 179},
  [7110] = {.lex_state = 0},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 0},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 0},
  [7115] = {.lex_state = 0},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 179},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 194},
  [7122] = {.lex_state = 115},
  [7123] = {.lex_state = 194},
  [7124] = {.lex_state = 0},
  [7125] = {.lex_state = 179},
  [7126] = {.lex_state = 179},
  [7127] = {.lex_state = 0},
  [7128] = {.lex_state = 194},
  [7129] = {.lex_state = 194},
  [7130] = {.lex_state = 179},
  [7131] = {.lex_state = 0},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 0},
  [7134] = {.lex_state = 0},
  [7135] = {.lex_state = 179},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 179},
  [7140] = {.lex_state = 179},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 194},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 173},
  [7145] = {.lex_state = 0},
  [7146] = {.lex_state = 179},
  [7147] = {.lex_state = 194},
  [7148] = {.lex_state = 194},
  [7149] = {.lex_state = 194},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 0},
  [7154] = {.lex_state = 0},
  [7155] = {.lex_state = 194},
  [7156] = {.lex_state = 0},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 0},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 194},
  [7169] = {.lex_state = 179},
  [7170] = {.lex_state = 179},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 115},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 0},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 194},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 194},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 194},
  [7184] = {.lex_state = 214},
  [7185] = {.lex_state = 0},
  [7186] = {.lex_state = 115},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 162},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 179},
  [7193] = {.lex_state = 194},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 115},
  [7196] = {.lex_state = 194},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 335},
  [7200] = {.lex_state = 179},
  [7201] = {.lex_state = 194},
  [7202] = {.lex_state = 194},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 194},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 194},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 179},
  [7213] = {.lex_state = 179},
  [7214] = {.lex_state = 335},
  [7215] = {.lex_state = 335},
  [7216] = {.lex_state = 335},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 194},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 194},
  [7225] = {.lex_state = 335},
  [7226] = {.lex_state = 335},
  [7227] = {.lex_state = 335},
  [7228] = {.lex_state = 335},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 194},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 335},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 335},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 194},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 335},
  [7240] = {.lex_state = 111},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 194},
  [7243] = {.lex_state = 194},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 335},
  [7249] = {.lex_state = 335},
  [7250] = {.lex_state = 335},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 335},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 335},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 335},
  [7260] = {.lex_state = 0},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 335},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 335},
  [7269] = {.lex_state = 335, .external_lex_state = 2},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 335},
  [7272] = {.lex_state = 335},
  [7273] = {.lex_state = 194},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 194},
  [7276] = {.lex_state = 111},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 335},
  [7286] = {.lex_state = 194},
  [7287] = {.lex_state = 335},
  [7288] = {.lex_state = 335},
  [7289] = {.lex_state = 335},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 335},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 194},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 335},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 0},
  [7309] = {.lex_state = 335},
  [7310] = {.lex_state = 194},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 335},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 335},
  [7324] = {.lex_state = 335},
  [7325] = {.lex_state = 335},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 335},
  [7328] = {.lex_state = 335},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 335},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 335},
  [7338] = {.lex_state = 0},
  [7339] = {.lex_state = 335},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 194},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 111},
  [7345] = {.lex_state = 335},
  [7346] = {.lex_state = 0},
  [7347] = {.lex_state = 335},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 335, .external_lex_state = 2},
  [7355] = {.lex_state = 111},
  [7356] = {.lex_state = 111},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 335},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 335},
  [7363] = {.lex_state = 111},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 194},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 194},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 335},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 335},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 194},
  [7380] = {.lex_state = 335},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 111},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 335},
  [7387] = {.lex_state = 335},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 335},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 335},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 335},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 335},
  [7398] = {.lex_state = 194},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 335},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 194},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 194},
  [7407] = {.lex_state = 194},
  [7408] = {.lex_state = 194},
  [7409] = {.lex_state = 335},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 335},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 194},
  [7415] = {.lex_state = 111},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 194},
  [7419] = {.lex_state = 335, .external_lex_state = 2},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 335},
  [7423] = {.lex_state = 335},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 111},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 194},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 335},
  [7438] = {.lex_state = 111},
  [7439] = {.lex_state = 194},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 335},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 111},
  [7444] = {.lex_state = 335},
  [7445] = {.lex_state = 111},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 335},
  [7450] = {.lex_state = 335},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 194},
  [7454] = {.lex_state = 335},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 335, .external_lex_state = 2},
  [7457] = {.lex_state = 335},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 335},
  [7467] = {.lex_state = 194},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 335},
  [7471] = {.lex_state = 194},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 194},
  [7476] = {.lex_state = 335},
  [7477] = {.lex_state = 335, .external_lex_state = 2},
  [7478] = {.lex_state = 335},
  [7479] = {.lex_state = 194},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 335},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 335, .external_lex_state = 2},
  [7492] = {.lex_state = 194},
  [7493] = {.lex_state = 335},
  [7494] = {.lex_state = 194},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 335, .external_lex_state = 2},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 0},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 335, .external_lex_state = 2},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 335, .external_lex_state = 2},
  [7505] = {.lex_state = 194},
  [7506] = {.lex_state = 194},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 335, .external_lex_state = 2},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 335},
  [7512] = {.lex_state = 335, .external_lex_state = 2},
  [7513] = {.lex_state = 335, .external_lex_state = 2},
  [7514] = {.lex_state = 335, .external_lex_state = 2},
  [7515] = {.lex_state = 335},
  [7516] = {.lex_state = 111},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 194},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 194},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 111},
  [7525] = {.lex_state = 335},
  [7526] = {.lex_state = 335},
  [7527] = {.lex_state = 335},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 194},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 335, .external_lex_state = 2},
  [7533] = {.lex_state = 335, .external_lex_state = 2},
  [7534] = {.lex_state = 111},
  [7535] = {.lex_state = 335, .external_lex_state = 2},
  [7536] = {.lex_state = 194},
  [7537] = {.lex_state = 335, .external_lex_state = 2},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 111},
  [7540] = {.lex_state = 335},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 335},
  [7543] = {.lex_state = 194},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 335},
  [7547] = {.lex_state = 194},
  [7548] = {.lex_state = 111},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 335},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 194},
  [7557] = {.lex_state = 335},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 194},
  [7561] = {.lex_state = 335},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 194},
  [7564] = {.lex_state = 335},
  [7565] = {.lex_state = 335},
  [7566] = {.lex_state = 0},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 194},
  [7574] = {.lex_state = 179},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 194},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 194},
  [7588] = {.lex_state = 171},
  [7589] = {.lex_state = 112},
  [7590] = {.lex_state = 112},
  [7591] = {.lex_state = 179},
  [7592] = {.lex_state = 194},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 335},
  [7595] = {.lex_state = 335},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 194},
  [7600] = {.lex_state = 179},
  [7601] = {.lex_state = 194},
  [7602] = {.lex_state = 112},
  [7603] = {.lex_state = 194},
  [7604] = {.lex_state = 0, .external_lex_state = 2},
  [7605] = {.lex_state = 194},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 0},
  [7608] = {.lex_state = 171},
  [7609] = {.lex_state = 194},
  [7610] = {.lex_state = 335},
  [7611] = {.lex_state = 0},
  [7612] = {.lex_state = 194},
  [7613] = {.lex_state = 0, .external_lex_state = 2},
  [7614] = {.lex_state = 194},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 194},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 194},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 194},
  [7627] = {.lex_state = 335},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 194},
  [7631] = {.lex_state = 335},
  [7632] = {.lex_state = 0, .external_lex_state = 3},
  [7633] = {.lex_state = 335},
  [7634] = {.lex_state = 335},
  [7635] = {.lex_state = 194},
  [7636] = {.lex_state = 171},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 194},
  [7640] = {.lex_state = 194},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 194},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 335},
  [7645] = {.lex_state = 335},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 194},
  [7648] = {.lex_state = 0, .external_lex_state = 2},
  [7649] = {.lex_state = 194},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 194},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 179},
  [7655] = {.lex_state = 171},
  [7656] = {.lex_state = 335},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 112},
  [7662] = {.lex_state = 194},
  [7663] = {.lex_state = 171},
  [7664] = {.lex_state = 171},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 171},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 335},
  [7671] = {.lex_state = 171},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 335},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 194},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 112},
  [7690] = {.lex_state = 112},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 179},
  [7696] = {.lex_state = 194},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 194},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 171},
  [7705] = {.lex_state = 194},
  [7706] = {.lex_state = 171},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0, .external_lex_state = 2},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 194},
  [7720] = {.lex_state = 179},
  [7721] = {.lex_state = 194},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 194},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 171},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 194},
  [7729] = {.lex_state = 171},
  [7730] = {.lex_state = 335},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 335},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 194},
  [7752] = {.lex_state = 194},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 179},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 335},
  [7759] = {.lex_state = 335},
  [7760] = {.lex_state = 194},
  [7761] = {.lex_state = 194},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 194},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 335},
  [7771] = {.lex_state = 0, .external_lex_state = 2},
  [7772] = {.lex_state = 0},
  [7773] = {.lex_state = 194},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 194},
  [7779] = {.lex_state = 194},
  [7780] = {.lex_state = 335},
  [7781] = {.lex_state = 194},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 194},
  [7788] = {.lex_state = 194},
  [7789] = {.lex_state = 194},
  [7790] = {.lex_state = 194},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 335},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 194},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 0},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 169},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 194},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 112},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 112},
  [7819] = {.lex_state = 0, .external_lex_state = 2},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 194},
  [7822] = {.lex_state = 179},
  [7823] = {.lex_state = 194},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 194},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 112},
  [7836] = {.lex_state = 335},
  [7837] = {.lex_state = 112},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 171},
  [7840] = {.lex_state = 194},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 112},
  [7848] = {.lex_state = 194},
  [7849] = {.lex_state = 112},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 171},
  [7852] = {.lex_state = 194},
  [7853] = {.lex_state = 171},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 194},
  [7856] = {.lex_state = 0, .external_lex_state = 2},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 194},
  [7863] = {.lex_state = 335},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 171},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0, .external_lex_state = 2},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 335},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 112},
  [7880] = {.lex_state = 0, .external_lex_state = 2},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 179},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 335},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0, .external_lex_state = 2},
  [7887] = {.lex_state = 194},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0, .external_lex_state = 2},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 0, .external_lex_state = 2},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0, .external_lex_state = 2},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0, .external_lex_state = 2},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0, .external_lex_state = 2},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0, .external_lex_state = 2},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0, .external_lex_state = 2},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 335},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 335},
  [7909] = {.lex_state = 335},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 335},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 335},
  [7915] = {.lex_state = 335},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 335},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 179},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 194},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 171},
  [7930] = {.lex_state = 112},
  [7931] = {.lex_state = 194},
  [7932] = {.lex_state = 179},
  [7933] = {.lex_state = 335},
  [7934] = {.lex_state = 171},
  [7935] = {.lex_state = 172},
  [7936] = {.lex_state = 169},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 335},
  [7939] = {.lex_state = 0, .external_lex_state = 3},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 179},
  [7943] = {.lex_state = 335},
  [7944] = {.lex_state = 194},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 335},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 194},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 194},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 112},
  [7957] = {.lex_state = 169},
  [7958] = {.lex_state = 169},
  [7959] = {.lex_state = 194},
  [7960] = {.lex_state = 179},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 179},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 171},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 179},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 194},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 171},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 335},
  [7990] = {.lex_state = 171},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 194},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 112},
  [7997] = {.lex_state = 179},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 194},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 171},
  [8013] = {.lex_state = 169},
  [8014] = {.lex_state = 171},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 194},
  [8019] = {.lex_state = 194},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 112},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 335},
  [8025] = {.lex_state = 112},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 194},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 335},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 112},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 194},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 112},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 237},
  [8057] = {.lex_state = 0},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 112},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 179},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 171},
  [8073] = {.lex_state = 193},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 171},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 171},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 335},
  [8085] = {.lex_state = 335},
  [8086] = {.lex_state = 335},
  [8087] = {.lex_state = 0, .external_lex_state = 3},
  [8088] = {.lex_state = 335},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 194},
  [8094] = {.lex_state = 171},
  [8095] = {.lex_state = 335},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 112},
  [8099] = {.lex_state = 335},
  [8100] = {.lex_state = 0, .external_lex_state = 3},
  [8101] = {.lex_state = 335},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 171},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 179},
  [8110] = {.lex_state = 171},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 335},
  [8113] = {.lex_state = 335},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 335},
  [8116] = {.lex_state = 335},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 194},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 335},
  [8121] = {.lex_state = 171},
  [8122] = {.lex_state = 171},
  [8123] = {.lex_state = 335},
  [8124] = {.lex_state = 0, .external_lex_state = 3},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 171},
  [8127] = {.lex_state = 112},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 179},
  [8131] = {.lex_state = 179},
  [8132] = {.lex_state = 335},
  [8133] = {.lex_state = 335},
  [8134] = {.lex_state = 194},
  [8135] = {.lex_state = 335},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 171},
  [8138] = {.lex_state = 194},
  [8139] = {.lex_state = 335},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 335},
  [8143] = {.lex_state = 0, .external_lex_state = 3},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 179},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 335},
  [8152] = {.lex_state = 335},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 335},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 335},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 0},
  [8160] = {.lex_state = 335},
  [8161] = {.lex_state = 0, .external_lex_state = 3},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 171},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 179},
  [8168] = {.lex_state = 171},
  [8169] = {.lex_state = 335},
  [8170] = {.lex_state = 171},
  [8171] = {.lex_state = 335},
  [8172] = {.lex_state = 112},
  [8173] = {.lex_state = 335},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 335},
  [8177] = {.lex_state = 0, .external_lex_state = 3},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 194},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 335},
  [8184] = {.lex_state = 335},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 0, .external_lex_state = 3},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 194},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 335},
  [8191] = {.lex_state = 335},
  [8192] = {.lex_state = 335},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 0, .external_lex_state = 3},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 335},
  [8198] = {.lex_state = 335},
  [8199] = {.lex_state = 0, .external_lex_state = 3},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0, .external_lex_state = 3},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 0, .external_lex_state = 3},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 0, .external_lex_state = 3},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0, .external_lex_state = 3},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0, .external_lex_state = 3},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0, .external_lex_state = 3},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0, .external_lex_state = 3},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 112},
  [8216] = {.lex_state = 171},
  [8217] = {.lex_state = 335},
  [8218] = {.lex_state = 335},
  [8219] = {.lex_state = 194},
  [8220] = {.lex_state = 171},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 335},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 194},
  [8226] = {.lex_state = 194},
  [8227] = {.lex_state = 194},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 112},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 194},
  [8235] = {.lex_state = 0, .external_lex_state = 3},
  [8236] = {.lex_state = 112},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 171},
  [8240] = {.lex_state = 171},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 179},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 335},
  [8246] = {.lex_state = 171},
  [8247] = {.lex_state = 335},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 112},
  [8250] = {.lex_state = 194},
  [8251] = {.lex_state = 0},
  [8252] = {.lex_state = 194},
  [8253] = {.lex_state = 335},
  [8254] = {.lex_state = 112},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 171},
  [8258] = {.lex_state = 0},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 171},
  [8261] = {.lex_state = 335},
  [8262] = {.lex_state = 335},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 171},
  [8265] = {.lex_state = 179},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 335},
  [8271] = {.lex_state = 335},
  [8272] = {.lex_state = 335},
  [8273] = {.lex_state = 194},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 0},
  [8276] = {.lex_state = 335},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 179},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 171},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 112},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 171},
  [8291] = {.lex_state = 335},
  [8292] = {.lex_state = 171},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 179},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 179},
  [8297] = {.lex_state = 335},
  [8298] = {.lex_state = 335},
  [8299] = {.lex_state = 194},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 335},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 194},
  [8304] = {.lex_state = 0, .external_lex_state = 3},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 171},
  [8308] = {.lex_state = 335},
  [8309] = {.lex_state = 335},
  [8310] = {.lex_state = 194},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 194},
  [8314] = {.lex_state = 0, .external_lex_state = 3},
  [8315] = {.lex_state = 0},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 335},
  [8319] = {.lex_state = 194},
  [8320] = {.lex_state = 171},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 194},
  [8323] = {.lex_state = 0, .external_lex_state = 3},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 0},
  [8326] = {.lex_state = 335},
  [8327] = {.lex_state = 194},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 171},
  [8330] = {.lex_state = 194},
  [8331] = {.lex_state = 0, .external_lex_state = 3},
  [8332] = {.lex_state = 171},
  [8333] = {.lex_state = 171},
  [8334] = {.lex_state = 335},
  [8335] = {.lex_state = 194},
  [8336] = {.lex_state = 112},
  [8337] = {.lex_state = 194},
  [8338] = {.lex_state = 0, .external_lex_state = 3},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 194},
  [8342] = {.lex_state = 0, .external_lex_state = 3},
  [8343] = {.lex_state = 171},
  [8344] = {.lex_state = 179},
  [8345] = {.lex_state = 0, .external_lex_state = 3},
  [8346] = {.lex_state = 194},
  [8347] = {.lex_state = 0, .external_lex_state = 3},
  [8348] = {.lex_state = 194},
  [8349] = {.lex_state = 0, .external_lex_state = 3},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0, .external_lex_state = 3},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 0, .external_lex_state = 3},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0, .external_lex_state = 3},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 0, .external_lex_state = 3},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 0, .external_lex_state = 3},
  [8360] = {.lex_state = 0},
  [8361] = {.lex_state = 0, .external_lex_state = 3},
  [8362] = {.lex_state = 335},
  [8363] = {.lex_state = 335},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 335},
  [8366] = {.lex_state = 335},
  [8367] = {.lex_state = 171},
  [8368] = {.lex_state = 335},
  [8369] = {.lex_state = 335},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 335},
  [8372] = {.lex_state = 335},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 335},
  [8375] = {.lex_state = 335},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 335},
  [8378] = {.lex_state = 335},
  [8379] = {.lex_state = 335},
  [8380] = {.lex_state = 335},
  [8381] = {.lex_state = 335},
  [8382] = {.lex_state = 335},
  [8383] = {.lex_state = 335},
  [8384] = {.lex_state = 335},
  [8385] = {.lex_state = 335},
  [8386] = {.lex_state = 335},
  [8387] = {.lex_state = 335},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 194},
  [8390] = {.lex_state = 194},
  [8391] = {.lex_state = 179},
  [8392] = {.lex_state = 194},
  [8393] = {.lex_state = 335},
  [8394] = {.lex_state = 335},
  [8395] = {.lex_state = 335},
  [8396] = {.lex_state = 335},
  [8397] = {.lex_state = 335},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8248),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2042),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6072),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2834),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym__expression] = STATE(4621),
    [sym__expression_not_binary] = STATE(4639),
    [sym__string] = STATE(4639),
    [sym_conditional_expression] = STATE(4639),
    [sym_assignment_expression] = STATE(4639),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(4639),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(4639),
    [sym_cast_expression] = STATE(4639),
    [sym_sizeof_expression] = STATE(4639),
    [sym_alignof_expression] = STATE(4639),
    [sym_offsetof_expression] = STATE(4639),
    [sym_generic_expression] = STATE(4639),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(4639),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(4639),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(4639),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1810),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6444),
    [sym__constructor_specifiers] = STATE(1810),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(4639),
    [sym_new_expression] = STATE(4639),
    [sym_delete_expression] = STATE(4639),
    [sym_requires_clause] = STATE(4639),
    [sym_requires_expression] = STATE(4639),
    [sym_lambda_expression] = STATE(4639),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(4639),
    [sym_parameter_pack_expansion] = STATE(4639),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6444),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1810),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [2] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [3] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [4] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [5] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [6] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [7] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [8] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [9] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(45),
    [sym_co_return_statement] = STATE(45),
    [sym_co_yield_statement] = STATE(45),
    [sym_throw_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [10] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(45),
    [sym_co_return_statement] = STATE(45),
    [sym_co_yield_statement] = STATE(45),
    [sym_throw_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [11] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_case_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(55),
    [sym_co_return_statement] = STATE(55),
    [sym_co_yield_statement] = STATE(55),
    [sym_throw_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [12] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(4141),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [13] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8332),
    [sym_preproc_elif] = STATE(8332),
    [sym_preproc_elifdef] = STATE(8332),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [14] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(7608),
    [sym_preproc_elif] = STATE(7608),
    [sym_preproc_elifdef] = STATE(7608),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [15] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8170),
    [sym_preproc_elif] = STATE(8170),
    [sym_preproc_elifdef] = STATE(8170),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(22),
    [sym_co_return_statement] = STATE(22),
    [sym_co_yield_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [16] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(7729),
    [sym_preproc_elif] = STATE(7729),
    [sym_preproc_elifdef] = STATE(7729),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [17] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(7588),
    [sym_preproc_elif] = STATE(7588),
    [sym_preproc_elifdef] = STATE(7588),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(24),
    [sym_co_return_statement] = STATE(24),
    [sym_co_yield_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [18] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8164),
    [sym_preproc_elif] = STATE(8164),
    [sym_preproc_elifdef] = STATE(8164),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [19] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(8239),
    [sym_preproc_elif] = STATE(8239),
    [sym_preproc_elifdef] = STATE(8239),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(21),
    [sym_co_return_statement] = STATE(21),
    [sym_co_yield_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [20] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8126),
    [sym_preproc_elif] = STATE(8126),
    [sym_preproc_elifdef] = STATE(8126),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(31),
    [sym_co_return_statement] = STATE(31),
    [sym_co_yield_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [21] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8260),
    [sym_preproc_elif] = STATE(8260),
    [sym_preproc_elifdef] = STATE(8260),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [22] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8122),
    [sym_preproc_elif] = STATE(8122),
    [sym_preproc_elifdef] = STATE(8122),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [23] = {
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(8072),
    [sym_preproc_elif] = STATE(8072),
    [sym_preproc_elifdef] = STATE(8072),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(18),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_case_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_seh_try_statement] = STATE(18),
    [sym_seh_leave_statement] = STATE(18),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(18),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(18),
    [sym_template_instantiation] = STATE(18),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(18),
    [sym_operator_cast_declaration] = STATE(18),
    [sym_constructor_or_destructor_definition] = STATE(18),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(18),
    [sym_namespace_alias_definition] = STATE(18),
    [sym_using_declaration] = STATE(18),
    [sym_alias_declaration] = STATE(18),
    [sym_static_assert_declaration] = STATE(18),
    [sym_concept_definition] = STATE(18),
    [sym_for_range_loop] = STATE(18),
    [sym_co_return_statement] = STATE(18),
    [sym_co_yield_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [24] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7636),
    [sym_preproc_elif] = STATE(7636),
    [sym_preproc_elifdef] = STATE(7636),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [25] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8307),
    [sym_preproc_elif] = STATE(8307),
    [sym_preproc_elifdef] = STATE(8307),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [26] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8240),
    [sym_preproc_elif] = STATE(8240),
    [sym_preproc_elifdef] = STATE(8240),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(29),
    [sym_co_return_statement] = STATE(29),
    [sym_co_yield_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [27] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8333),
    [sym_preproc_elif] = STATE(8333),
    [sym_preproc_elifdef] = STATE(8333),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(25),
    [sym_co_return_statement] = STATE(25),
    [sym_co_yield_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [28] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7655),
    [sym_preproc_elif] = STATE(7655),
    [sym_preproc_elifdef] = STATE(7655),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [29] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8246),
    [sym_preproc_elif] = STATE(8246),
    [sym_preproc_elifdef] = STATE(8246),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [30] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8137),
    [sym_preproc_elif] = STATE(8137),
    [sym_preproc_elifdef] = STATE(8137),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [31] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8094),
    [sym_preproc_elif] = STATE(8094),
    [sym_preproc_elifdef] = STATE(8094),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [32] = {
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(8257),
    [sym_preproc_elif] = STATE(8257),
    [sym_preproc_elifdef] = STATE(8257),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(13),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_case_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_goto_statement] = STATE(13),
    [sym_seh_try_statement] = STATE(13),
    [sym_seh_leave_statement] = STATE(13),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(13),
    [sym_co_return_statement] = STATE(13),
    [sym_co_yield_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(257),
    [aux_sym_preproc_include_token1] = ACTIONS(259),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(267),
    [aux_sym_preproc_else_token1] = ACTIONS(269),
    [aux_sym_preproc_elif_token1] = ACTIONS(271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(273),
    [sym_preproc_directive] = ACTIONS(275),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(283),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(287),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(315),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(323),
    [anon_sym_static_assert] = ACTIONS(325),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [33] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6048),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1815),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1815),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1815),
    [sym_identifier] = ACTIONS(371),
    [aux_sym_preproc_include_token1] = ACTIONS(374),
    [aux_sym_preproc_def_token1] = ACTIONS(377),
    [aux_sym_preproc_if_token1] = ACTIONS(380),
    [aux_sym_preproc_if_token2] = ACTIONS(383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(385),
    [aux_sym_preproc_else_token1] = ACTIONS(383),
    [aux_sym_preproc_elif_token1] = ACTIONS(383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(383),
    [sym_preproc_directive] = ACTIONS(388),
    [anon_sym_LPAREN2] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym___extension__] = ACTIONS(415),
    [anon_sym_typedef] = ACTIONS(418),
    [anon_sym_extern] = ACTIONS(421),
    [anon_sym___attribute__] = ACTIONS(424),
    [anon_sym_COLON_COLON] = ACTIONS(427),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___based] = ACTIONS(436),
    [anon_sym___cdecl] = ACTIONS(439),
    [anon_sym___clrcall] = ACTIONS(439),
    [anon_sym___stdcall] = ACTIONS(439),
    [anon_sym___fastcall] = ACTIONS(439),
    [anon_sym___thiscall] = ACTIONS(439),
    [anon_sym___vectorcall] = ACTIONS(439),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_signed] = ACTIONS(445),
    [anon_sym_unsigned] = ACTIONS(445),
    [anon_sym_long] = ACTIONS(445),
    [anon_sym_short] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_register] = ACTIONS(451),
    [anon_sym_inline] = ACTIONS(454),
    [anon_sym___inline] = ACTIONS(451),
    [anon_sym___inline__] = ACTIONS(451),
    [anon_sym___forceinline] = ACTIONS(451),
    [anon_sym_thread_local] = ACTIONS(451),
    [anon_sym___thread] = ACTIONS(451),
    [anon_sym_const] = ACTIONS(457),
    [anon_sym_constexpr] = ACTIONS(457),
    [anon_sym_volatile] = ACTIONS(457),
    [anon_sym_restrict] = ACTIONS(457),
    [anon_sym___restrict__] = ACTIONS(457),
    [anon_sym__Atomic] = ACTIONS(457),
    [anon_sym__Noreturn] = ACTIONS(457),
    [anon_sym_noreturn] = ACTIONS(457),
    [anon_sym_mutable] = ACTIONS(457),
    [anon_sym_constinit] = ACTIONS(457),
    [anon_sym_consteval] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_class] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(469),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_if] = ACTIONS(475),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_case] = ACTIONS(481),
    [anon_sym_default] = ACTIONS(484),
    [anon_sym_while] = ACTIONS(487),
    [anon_sym_do] = ACTIONS(490),
    [anon_sym_for] = ACTIONS(493),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(499),
    [anon_sym_continue] = ACTIONS(502),
    [anon_sym_goto] = ACTIONS(505),
    [anon_sym___try] = ACTIONS(508),
    [anon_sym___leave] = ACTIONS(511),
    [anon_sym_not] = ACTIONS(400),
    [anon_sym_compl] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_sizeof] = ACTIONS(517),
    [anon_sym___alignof__] = ACTIONS(520),
    [anon_sym___alignof] = ACTIONS(520),
    [anon_sym__alignof] = ACTIONS(520),
    [anon_sym_alignof] = ACTIONS(520),
    [anon_sym__Alignof] = ACTIONS(520),
    [anon_sym_offsetof] = ACTIONS(523),
    [anon_sym__Generic] = ACTIONS(526),
    [anon_sym_asm] = ACTIONS(529),
    [anon_sym___asm__] = ACTIONS(529),
    [sym_number_literal] = ACTIONS(532),
    [anon_sym_L_SQUOTE] = ACTIONS(535),
    [anon_sym_u_SQUOTE] = ACTIONS(535),
    [anon_sym_U_SQUOTE] = ACTIONS(535),
    [anon_sym_u8_SQUOTE] = ACTIONS(535),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(547),
    [anon_sym_decltype] = ACTIONS(550),
    [sym_virtual] = ACTIONS(553),
    [anon_sym_alignas] = ACTIONS(556),
    [anon_sym_explicit] = ACTIONS(559),
    [anon_sym_typename] = ACTIONS(562),
    [anon_sym_template] = ACTIONS(565),
    [anon_sym_operator] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_delete] = ACTIONS(574),
    [anon_sym_throw] = ACTIONS(577),
    [anon_sym_namespace] = ACTIONS(580),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_static_assert] = ACTIONS(586),
    [anon_sym_concept] = ACTIONS(589),
    [anon_sym_co_return] = ACTIONS(592),
    [anon_sym_co_yield] = ACTIONS(595),
    [anon_sym_R_DQUOTE] = ACTIONS(598),
    [anon_sym_LR_DQUOTE] = ACTIONS(598),
    [anon_sym_uR_DQUOTE] = ACTIONS(598),
    [anon_sym_UR_DQUOTE] = ACTIONS(598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(598),
    [anon_sym_co_await] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_requires] = ACTIONS(607),
    [sym_this] = ACTIONS(541),
  },
  [34] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(614),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [35] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [36] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [37] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [38] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [39] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(624),
    [aux_sym_preproc_include_token1] = ACTIONS(627),
    [aux_sym_preproc_def_token1] = ACTIONS(630),
    [aux_sym_preproc_if_token1] = ACTIONS(633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(636),
    [sym_preproc_directive] = ACTIONS(639),
    [anon_sym_LPAREN2] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym___extension__] = ACTIONS(645),
    [anon_sym_typedef] = ACTIONS(648),
    [anon_sym_extern] = ACTIONS(651),
    [anon_sym___attribute__] = ACTIONS(424),
    [anon_sym_COLON_COLON] = ACTIONS(427),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___based] = ACTIONS(436),
    [anon_sym___cdecl] = ACTIONS(439),
    [anon_sym___clrcall] = ACTIONS(439),
    [anon_sym___stdcall] = ACTIONS(439),
    [anon_sym___fastcall] = ACTIONS(439),
    [anon_sym___thiscall] = ACTIONS(439),
    [anon_sym___vectorcall] = ACTIONS(439),
    [anon_sym_LBRACE] = ACTIONS(654),
    [anon_sym_RBRACE] = ACTIONS(657),
    [anon_sym_signed] = ACTIONS(445),
    [anon_sym_unsigned] = ACTIONS(445),
    [anon_sym_long] = ACTIONS(445),
    [anon_sym_short] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_register] = ACTIONS(451),
    [anon_sym_inline] = ACTIONS(659),
    [anon_sym___inline] = ACTIONS(451),
    [anon_sym___inline__] = ACTIONS(451),
    [anon_sym___forceinline] = ACTIONS(451),
    [anon_sym_thread_local] = ACTIONS(451),
    [anon_sym___thread] = ACTIONS(451),
    [anon_sym_const] = ACTIONS(457),
    [anon_sym_constexpr] = ACTIONS(457),
    [anon_sym_volatile] = ACTIONS(457),
    [anon_sym_restrict] = ACTIONS(457),
    [anon_sym___restrict__] = ACTIONS(457),
    [anon_sym__Atomic] = ACTIONS(457),
    [anon_sym__Noreturn] = ACTIONS(457),
    [anon_sym_noreturn] = ACTIONS(457),
    [anon_sym_mutable] = ACTIONS(457),
    [anon_sym_constinit] = ACTIONS(457),
    [anon_sym_consteval] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_class] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(469),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_switch] = ACTIONS(665),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_default] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(674),
    [anon_sym_do] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(680),
    [anon_sym_return] = ACTIONS(683),
    [anon_sym_break] = ACTIONS(686),
    [anon_sym_continue] = ACTIONS(689),
    [anon_sym_goto] = ACTIONS(692),
    [anon_sym___try] = ACTIONS(695),
    [anon_sym___leave] = ACTIONS(698),
    [anon_sym_not] = ACTIONS(400),
    [anon_sym_compl] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_sizeof] = ACTIONS(517),
    [anon_sym___alignof__] = ACTIONS(520),
    [anon_sym___alignof] = ACTIONS(520),
    [anon_sym__alignof] = ACTIONS(520),
    [anon_sym_alignof] = ACTIONS(520),
    [anon_sym__Alignof] = ACTIONS(520),
    [anon_sym_offsetof] = ACTIONS(523),
    [anon_sym__Generic] = ACTIONS(526),
    [anon_sym_asm] = ACTIONS(529),
    [anon_sym___asm__] = ACTIONS(529),
    [sym_number_literal] = ACTIONS(532),
    [anon_sym_L_SQUOTE] = ACTIONS(535),
    [anon_sym_u_SQUOTE] = ACTIONS(535),
    [anon_sym_U_SQUOTE] = ACTIONS(535),
    [anon_sym_u8_SQUOTE] = ACTIONS(535),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(547),
    [anon_sym_decltype] = ACTIONS(550),
    [sym_virtual] = ACTIONS(553),
    [anon_sym_alignas] = ACTIONS(556),
    [anon_sym_explicit] = ACTIONS(559),
    [anon_sym_typename] = ACTIONS(562),
    [anon_sym_template] = ACTIONS(701),
    [anon_sym_operator] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(704),
    [anon_sym_delete] = ACTIONS(574),
    [anon_sym_throw] = ACTIONS(707),
    [anon_sym_namespace] = ACTIONS(710),
    [anon_sym_using] = ACTIONS(713),
    [anon_sym_static_assert] = ACTIONS(716),
    [anon_sym_concept] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(722),
    [anon_sym_co_yield] = ACTIONS(725),
    [anon_sym_R_DQUOTE] = ACTIONS(598),
    [anon_sym_LR_DQUOTE] = ACTIONS(598),
    [anon_sym_uR_DQUOTE] = ACTIONS(598),
    [anon_sym_UR_DQUOTE] = ACTIONS(598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(598),
    [anon_sym_co_await] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_requires] = ACTIONS(607),
    [sym_this] = ACTIONS(541),
  },
  [40] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [41] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2053),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6078),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2902),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1817),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(6475),
    [sym__constructor_specifiers] = STATE(1817),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(44),
    [sym_co_return_statement] = STATE(44),
    [sym_co_yield_statement] = STATE(44),
    [sym_throw_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6475),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1817),
    [sym_identifier] = ACTIONS(730),
    [aux_sym_preproc_include_token1] = ACTIONS(732),
    [aux_sym_preproc_def_token1] = ACTIONS(734),
    [aux_sym_preproc_if_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token2] = ACTIONS(738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(742),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(750),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(754),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(782),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(790),
    [anon_sym_static_assert] = ACTIONS(792),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [42] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [43] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [44] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2053),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6078),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2902),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1817),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6475),
    [sym__constructor_specifiers] = STATE(1817),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6475),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1817),
    [sym_identifier] = ACTIONS(730),
    [aux_sym_preproc_include_token1] = ACTIONS(732),
    [aux_sym_preproc_def_token1] = ACTIONS(734),
    [aux_sym_preproc_if_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token2] = ACTIONS(804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(742),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(750),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(754),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(782),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(790),
    [anon_sym_static_assert] = ACTIONS(792),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [45] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [46] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [47] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [48] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [49] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [50] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(48),
    [sym_co_return_statement] = STATE(48),
    [sym_co_yield_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [51] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(53),
    [sym_co_return_statement] = STATE(53),
    [sym_co_yield_statement] = STATE(53),
    [sym_throw_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [53] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [54] = {
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_case_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(58),
    [sym_co_return_statement] = STATE(58),
    [sym_co_yield_statement] = STATE(58),
    [sym_throw_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [55] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [56] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2053),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6078),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2902),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1817),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6475),
    [sym__constructor_specifiers] = STATE(1817),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6475),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1817),
    [sym_identifier] = ACTIONS(828),
    [aux_sym_preproc_include_token1] = ACTIONS(831),
    [aux_sym_preproc_def_token1] = ACTIONS(834),
    [aux_sym_preproc_if_token1] = ACTIONS(837),
    [aux_sym_preproc_if_token2] = ACTIONS(383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(840),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(409),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym___extension__] = ACTIONS(849),
    [anon_sym_typedef] = ACTIONS(852),
    [anon_sym_extern] = ACTIONS(855),
    [anon_sym___attribute__] = ACTIONS(424),
    [anon_sym_COLON_COLON] = ACTIONS(427),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___based] = ACTIONS(436),
    [anon_sym___cdecl] = ACTIONS(439),
    [anon_sym___clrcall] = ACTIONS(439),
    [anon_sym___stdcall] = ACTIONS(439),
    [anon_sym___fastcall] = ACTIONS(439),
    [anon_sym___thiscall] = ACTIONS(439),
    [anon_sym___vectorcall] = ACTIONS(439),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_signed] = ACTIONS(445),
    [anon_sym_unsigned] = ACTIONS(445),
    [anon_sym_long] = ACTIONS(445),
    [anon_sym_short] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_register] = ACTIONS(451),
    [anon_sym_inline] = ACTIONS(861),
    [anon_sym___inline] = ACTIONS(451),
    [anon_sym___inline__] = ACTIONS(451),
    [anon_sym___forceinline] = ACTIONS(451),
    [anon_sym_thread_local] = ACTIONS(451),
    [anon_sym___thread] = ACTIONS(451),
    [anon_sym_const] = ACTIONS(457),
    [anon_sym_constexpr] = ACTIONS(457),
    [anon_sym_volatile] = ACTIONS(457),
    [anon_sym_restrict] = ACTIONS(457),
    [anon_sym___restrict__] = ACTIONS(457),
    [anon_sym__Atomic] = ACTIONS(457),
    [anon_sym__Noreturn] = ACTIONS(457),
    [anon_sym_noreturn] = ACTIONS(457),
    [anon_sym_mutable] = ACTIONS(457),
    [anon_sym_constinit] = ACTIONS(457),
    [anon_sym_consteval] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_class] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(469),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(867),
    [anon_sym_case] = ACTIONS(870),
    [anon_sym_default] = ACTIONS(873),
    [anon_sym_while] = ACTIONS(876),
    [anon_sym_do] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(885),
    [anon_sym_break] = ACTIONS(888),
    [anon_sym_continue] = ACTIONS(891),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym___try] = ACTIONS(897),
    [anon_sym___leave] = ACTIONS(900),
    [anon_sym_not] = ACTIONS(400),
    [anon_sym_compl] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_sizeof] = ACTIONS(517),
    [anon_sym___alignof__] = ACTIONS(520),
    [anon_sym___alignof] = ACTIONS(520),
    [anon_sym__alignof] = ACTIONS(520),
    [anon_sym_alignof] = ACTIONS(520),
    [anon_sym__Alignof] = ACTIONS(520),
    [anon_sym_offsetof] = ACTIONS(523),
    [anon_sym__Generic] = ACTIONS(526),
    [anon_sym_asm] = ACTIONS(529),
    [anon_sym___asm__] = ACTIONS(529),
    [sym_number_literal] = ACTIONS(532),
    [anon_sym_L_SQUOTE] = ACTIONS(535),
    [anon_sym_u_SQUOTE] = ACTIONS(535),
    [anon_sym_U_SQUOTE] = ACTIONS(535),
    [anon_sym_u8_SQUOTE] = ACTIONS(535),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(547),
    [anon_sym_decltype] = ACTIONS(550),
    [sym_virtual] = ACTIONS(553),
    [anon_sym_alignas] = ACTIONS(556),
    [anon_sym_explicit] = ACTIONS(559),
    [anon_sym_typename] = ACTIONS(562),
    [anon_sym_template] = ACTIONS(903),
    [anon_sym_operator] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(906),
    [anon_sym_delete] = ACTIONS(574),
    [anon_sym_throw] = ACTIONS(909),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_using] = ACTIONS(915),
    [anon_sym_static_assert] = ACTIONS(918),
    [anon_sym_concept] = ACTIONS(921),
    [anon_sym_co_return] = ACTIONS(924),
    [anon_sym_co_yield] = ACTIONS(927),
    [anon_sym_R_DQUOTE] = ACTIONS(598),
    [anon_sym_LR_DQUOTE] = ACTIONS(598),
    [anon_sym_uR_DQUOTE] = ACTIONS(598),
    [anon_sym_UR_DQUOTE] = ACTIONS(598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(598),
    [anon_sym_co_await] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_requires] = ACTIONS(607),
    [sym_this] = ACTIONS(541),
  },
  [57] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [58] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [59] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [60] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(35),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(35),
    [sym_labeled_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_switch_statement] = STATE(35),
    [sym_case_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym_seh_try_statement] = STATE(35),
    [sym_seh_leave_statement] = STATE(35),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(35),
    [sym_co_return_statement] = STATE(35),
    [sym_co_yield_statement] = STATE(35),
    [sym_throw_statement] = STATE(35),
    [sym_try_statement] = STATE(35),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [61] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [62] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [63] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [64] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [65] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [66] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [67] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [68] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [69] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [70] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [71] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [72] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [73] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [74] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [75] = {
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_case_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(57),
    [sym_co_return_statement] = STATE(57),
    [sym_co_yield_statement] = STATE(57),
    [sym_throw_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [76] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_case_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(55),
    [sym_co_return_statement] = STATE(55),
    [sym_co_yield_statement] = STATE(55),
    [sym_throw_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [77] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [78] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [79] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6024),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1813),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1813),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(45),
    [sym_co_return_statement] = STATE(45),
    [sym_co_yield_statement] = STATE(45),
    [sym_throw_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1813),
    [sym_identifier] = ACTIONS(610),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [80] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2042),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6072),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2834),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym__expression] = STATE(4621),
    [sym__expression_not_binary] = STATE(4639),
    [sym__string] = STATE(4639),
    [sym_conditional_expression] = STATE(4639),
    [sym_assignment_expression] = STATE(4639),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(4639),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(4639),
    [sym_cast_expression] = STATE(4639),
    [sym_sizeof_expression] = STATE(4639),
    [sym_alignof_expression] = STATE(4639),
    [sym_offsetof_expression] = STATE(4639),
    [sym_generic_expression] = STATE(4639),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(4639),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(4639),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(4639),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1810),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6444),
    [sym__constructor_specifiers] = STATE(1810),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(4639),
    [sym_new_expression] = STATE(4639),
    [sym_delete_expression] = STATE(4639),
    [sym_requires_clause] = STATE(4639),
    [sym_requires_expression] = STATE(4639),
    [sym_lambda_expression] = STATE(4639),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(4639),
    [sym_parameter_pack_expansion] = STATE(4639),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6444),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1810),
    [ts_builtin_sym_end] = ACTIONS(976),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [81] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(930),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2042),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6072),
    [sym_array_declarator] = STATE(6069),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2834),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym__expression] = STATE(4621),
    [sym__expression_not_binary] = STATE(4639),
    [sym__string] = STATE(4639),
    [sym_conditional_expression] = STATE(4639),
    [sym_assignment_expression] = STATE(4639),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(4639),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(4639),
    [sym_cast_expression] = STATE(4639),
    [sym_sizeof_expression] = STATE(4639),
    [sym_alignof_expression] = STATE(4639),
    [sym_offsetof_expression] = STATE(4639),
    [sym_generic_expression] = STATE(4639),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(4639),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(4639),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(4639),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1810),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6444),
    [sym__constructor_specifiers] = STATE(1810),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(4339),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(4639),
    [sym_new_expression] = STATE(4639),
    [sym_delete_expression] = STATE(4639),
    [sym_requires_clause] = STATE(4639),
    [sym_requires_expression] = STATE(4639),
    [sym_lambda_expression] = STATE(4639),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(4639),
    [sym_parameter_pack_expansion] = STATE(4639),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5256),
    [sym_qualified_identifier] = STATE(3185),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_qualified_operator_cast_identifier] = STATE(6444),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1810),
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(980),
    [aux_sym_preproc_include_token1] = ACTIONS(983),
    [aux_sym_preproc_def_token1] = ACTIONS(986),
    [aux_sym_preproc_if_token1] = ACTIONS(989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(992),
    [sym_preproc_directive] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(998),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_AMP_AMP] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym___extension__] = ACTIONS(1019),
    [anon_sym_typedef] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1025),
    [anon_sym___attribute__] = ACTIONS(1028),
    [anon_sym_COLON_COLON] = ACTIONS(1031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1034),
    [anon_sym___declspec] = ACTIONS(1037),
    [anon_sym___based] = ACTIONS(1040),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(1049),
    [anon_sym_unsigned] = ACTIONS(1049),
    [anon_sym_long] = ACTIONS(1049),
    [anon_sym_short] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_register] = ACTIONS(1055),
    [anon_sym_inline] = ACTIONS(1058),
    [anon_sym___inline] = ACTIONS(1055),
    [anon_sym___inline__] = ACTIONS(1055),
    [anon_sym___forceinline] = ACTIONS(1055),
    [anon_sym_thread_local] = ACTIONS(1055),
    [anon_sym___thread] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(1061),
    [anon_sym_constexpr] = ACTIONS(1061),
    [anon_sym_volatile] = ACTIONS(1061),
    [anon_sym_restrict] = ACTIONS(1061),
    [anon_sym___restrict__] = ACTIONS(1061),
    [anon_sym__Atomic] = ACTIONS(1061),
    [anon_sym__Noreturn] = ACTIONS(1061),
    [anon_sym_noreturn] = ACTIONS(1061),
    [anon_sym_mutable] = ACTIONS(1061),
    [anon_sym_constinit] = ACTIONS(1061),
    [anon_sym_consteval] = ACTIONS(1061),
    [sym_primitive_type] = ACTIONS(1064),
    [anon_sym_enum] = ACTIONS(1067),
    [anon_sym_class] = ACTIONS(1070),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_union] = ACTIONS(1076),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_switch] = ACTIONS(1082),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1103),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1109),
    [anon_sym_not] = ACTIONS(1007),
    [anon_sym_compl] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_sizeof] = ACTIONS(1115),
    [anon_sym___alignof__] = ACTIONS(1118),
    [anon_sym___alignof] = ACTIONS(1118),
    [anon_sym__alignof] = ACTIONS(1118),
    [anon_sym_alignof] = ACTIONS(1118),
    [anon_sym__Alignof] = ACTIONS(1118),
    [anon_sym_offsetof] = ACTIONS(1121),
    [anon_sym__Generic] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1127),
    [anon_sym___asm__] = ACTIONS(1127),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1136),
    [anon_sym_u_DQUOTE] = ACTIONS(1136),
    [anon_sym_U_DQUOTE] = ACTIONS(1136),
    [anon_sym_u8_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_nullptr] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1145),
    [anon_sym_decltype] = ACTIONS(1148),
    [sym_virtual] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1154),
    [anon_sym_explicit] = ACTIONS(1157),
    [anon_sym_typename] = ACTIONS(1160),
    [anon_sym_template] = ACTIONS(1163),
    [anon_sym_operator] = ACTIONS(1166),
    [anon_sym_try] = ACTIONS(1169),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_namespace] = ACTIONS(1178),
    [anon_sym_using] = ACTIONS(1181),
    [anon_sym_static_assert] = ACTIONS(1184),
    [anon_sym_concept] = ACTIONS(1187),
    [anon_sym_co_return] = ACTIONS(1190),
    [anon_sym_co_yield] = ACTIONS(1193),
    [anon_sym_R_DQUOTE] = ACTIONS(1196),
    [anon_sym_LR_DQUOTE] = ACTIONS(1196),
    [anon_sym_uR_DQUOTE] = ACTIONS(1196),
    [anon_sym_UR_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1196),
    [anon_sym_co_await] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_requires] = ACTIONS(1205),
    [sym_this] = ACTIONS(1139),
  },
  [82] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [aux_sym_preproc_else_token1] = ACTIONS(1211),
    [aux_sym_preproc_elif_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1233),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___based] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1257),
    [anon_sym_unsigned] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1305),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_not] = ACTIONS(1219),
    [anon_sym_compl] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1211),
    [anon_sym_typename] = ACTIONS(1359),
    [anon_sym_template] = ACTIONS(1362),
    [anon_sym_operator] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_delete] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1371),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_static_assert] = ACTIONS(1211),
    [anon_sym_concept] = ACTIONS(1211),
    [anon_sym_co_return] = ACTIONS(1374),
    [anon_sym_co_yield] = ACTIONS(1377),
    [anon_sym_R_DQUOTE] = ACTIONS(1380),
    [anon_sym_LR_DQUOTE] = ACTIONS(1380),
    [anon_sym_uR_DQUOTE] = ACTIONS(1380),
    [anon_sym_UR_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1380),
    [anon_sym_co_await] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_requires] = ACTIONS(1389),
    [sym_this] = ACTIONS(1341),
  },
  [83] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1394),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_using] = ACTIONS(1394),
    [anon_sym_static_assert] = ACTIONS(1394),
    [anon_sym_concept] = ACTIONS(1394),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [84] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [aux_sym_preproc_else_token1] = ACTIONS(1412),
    [aux_sym_preproc_elif_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1412),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1412),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(1412),
    [anon_sym_using] = ACTIONS(1412),
    [anon_sym_static_assert] = ACTIONS(1412),
    [anon_sym_concept] = ACTIONS(1412),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [85] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [86] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4890),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym___extension__] = ACTIONS(279),
    [anon_sym_typedef] = ACTIONS(281),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [87] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4897),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1412),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1412),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1412),
    [anon_sym_using] = ACTIONS(1412),
    [anon_sym_static_assert] = ACTIONS(1412),
    [anon_sym_concept] = ACTIONS(1412),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [88] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4894),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___based] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1257),
    [anon_sym_unsigned] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1447),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1459),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1471),
    [anon_sym___try] = ACTIONS(1474),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_not] = ACTIONS(1219),
    [anon_sym_compl] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1211),
    [anon_sym_typename] = ACTIONS(1359),
    [anon_sym_template] = ACTIONS(1362),
    [anon_sym_operator] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1480),
    [anon_sym_delete] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1483),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_static_assert] = ACTIONS(1211),
    [anon_sym_concept] = ACTIONS(1211),
    [anon_sym_co_return] = ACTIONS(1486),
    [anon_sym_co_yield] = ACTIONS(1489),
    [anon_sym_R_DQUOTE] = ACTIONS(1380),
    [anon_sym_LR_DQUOTE] = ACTIONS(1380),
    [anon_sym_uR_DQUOTE] = ACTIONS(1380),
    [anon_sym_UR_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1380),
    [anon_sym_co_await] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_requires] = ACTIONS(1389),
    [sym_this] = ACTIONS(1341),
  },
  [89] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4894),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1412),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1412),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1412),
    [anon_sym_using] = ACTIONS(1412),
    [anon_sym_static_assert] = ACTIONS(1412),
    [anon_sym_concept] = ACTIONS(1412),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [90] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4894),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [91] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4894),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1394),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_using] = ACTIONS(1394),
    [anon_sym_static_assert] = ACTIONS(1394),
    [anon_sym_concept] = ACTIONS(1394),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [92] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1503),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___based] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1257),
    [anon_sym_unsigned] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_do] = ACTIONS(1518),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1527),
    [anon_sym_continue] = ACTIONS(1530),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1536),
    [anon_sym___leave] = ACTIONS(1539),
    [anon_sym_not] = ACTIONS(1219),
    [anon_sym_compl] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1211),
    [anon_sym_typename] = ACTIONS(1359),
    [anon_sym_template] = ACTIONS(1362),
    [anon_sym_operator] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1542),
    [anon_sym_delete] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_static_assert] = ACTIONS(1211),
    [anon_sym_concept] = ACTIONS(1211),
    [anon_sym_co_return] = ACTIONS(1548),
    [anon_sym_co_yield] = ACTIONS(1551),
    [anon_sym_R_DQUOTE] = ACTIONS(1380),
    [anon_sym_LR_DQUOTE] = ACTIONS(1380),
    [anon_sym_uR_DQUOTE] = ACTIONS(1380),
    [anon_sym_UR_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1380),
    [anon_sym_co_await] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_requires] = ACTIONS(1389),
    [sym_this] = ACTIONS(1341),
  },
  [93] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1554),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1412),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1412),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1412),
    [anon_sym_using] = ACTIONS(1412),
    [anon_sym_static_assert] = ACTIONS(1412),
    [anon_sym_concept] = ACTIONS(1412),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [94] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4897),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1394),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_using] = ACTIONS(1394),
    [anon_sym_static_assert] = ACTIONS(1394),
    [anon_sym_concept] = ACTIONS(1394),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [95] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1554),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [96] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4894),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [97] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4897),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1556),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym___extension__] = ACTIONS(1562),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___based] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_signed] = ACTIONS(1257),
    [anon_sym_unsigned] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1571),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1574),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_for] = ACTIONS(1583),
    [anon_sym_return] = ACTIONS(1586),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1592),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym___try] = ACTIONS(1598),
    [anon_sym___leave] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1219),
    [anon_sym_compl] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1211),
    [anon_sym_typename] = ACTIONS(1359),
    [anon_sym_template] = ACTIONS(1362),
    [anon_sym_operator] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_static_assert] = ACTIONS(1211),
    [anon_sym_concept] = ACTIONS(1211),
    [anon_sym_co_return] = ACTIONS(1610),
    [anon_sym_co_yield] = ACTIONS(1613),
    [anon_sym_R_DQUOTE] = ACTIONS(1380),
    [anon_sym_LR_DQUOTE] = ACTIONS(1380),
    [anon_sym_uR_DQUOTE] = ACTIONS(1380),
    [anon_sym_UR_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1380),
    [anon_sym_co_await] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_requires] = ACTIONS(1389),
    [sym_this] = ACTIONS(1341),
  },
  [98] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1554),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1394),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1394),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1394),
    [anon_sym_using] = ACTIONS(1394),
    [anon_sym_static_assert] = ACTIONS(1394),
    [anon_sym_concept] = ACTIONS(1394),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [99] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1554),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [100] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4897),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1416),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(1416),
    [anon_sym_static_assert] = ACTIONS(1416),
    [anon_sym_concept] = ACTIONS(1416),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [101] = {
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4897),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(94),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP_AMP] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1420),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(1420),
    [anon_sym_static_assert] = ACTIONS(1420),
    [anon_sym_concept] = ACTIONS(1420),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [102] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4919),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym___extension__] = ACTIONS(1620),
    [anon_sym_typedef] = ACTIONS(1622),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [103] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4919),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym___extension__] = ACTIONS(1620),
    [anon_sym_typedef] = ACTIONS(1622),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_else] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [104] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4919),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1662),
    [anon_sym_typedef] = ACTIONS(1665),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_signed] = ACTIONS(1257),
    [anon_sym_unsigned] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1686),
    [anon_sym_break] = ACTIONS(1689),
    [anon_sym_continue] = ACTIONS(1692),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym___try] = ACTIONS(1698),
    [anon_sym___leave] = ACTIONS(1701),
    [anon_sym_not] = ACTIONS(1219),
    [anon_sym_compl] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_typename] = ACTIONS(1359),
    [anon_sym_template] = ACTIONS(1362),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1707),
    [anon_sym_co_return] = ACTIONS(1710),
    [anon_sym_co_yield] = ACTIONS(1713),
    [anon_sym_R_DQUOTE] = ACTIONS(1380),
    [anon_sym_LR_DQUOTE] = ACTIONS(1380),
    [anon_sym_uR_DQUOTE] = ACTIONS(1380),
    [anon_sym_UR_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1380),
    [anon_sym_co_await] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_requires] = ACTIONS(1389),
    [sym_this] = ACTIONS(1341),
  },
  [105] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4919),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym___extension__] = ACTIONS(1620),
    [anon_sym_typedef] = ACTIONS(1622),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_else] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [106] = {
    [sym_declaration] = STATE(102),
    [sym_type_definition] = STATE(102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4919),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(1024),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_compound_statement] = STATE(102),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_attributed_statement] = STATE(102),
    [sym_labeled_statement] = STATE(102),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(102),
    [sym_switch_statement] = STATE(102),
    [sym_while_statement] = STATE(102),
    [sym_do_statement] = STATE(102),
    [sym_for_statement] = STATE(102),
    [sym_return_statement] = STATE(102),
    [sym_break_statement] = STATE(102),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(102),
    [sym_seh_try_statement] = STATE(102),
    [sym_seh_leave_statement] = STATE(102),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(102),
    [sym_co_return_statement] = STATE(102),
    [sym_co_yield_statement] = STATE(102),
    [sym_throw_statement] = STATE(102),
    [sym_try_statement] = STATE(102),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_case_statement_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(1616),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym___extension__] = ACTIONS(1620),
    [anon_sym_typedef] = ACTIONS(1622),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_else] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [107] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(7684),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(7685),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [108] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(7966),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(7969),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [109] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(7580),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(7581),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [110] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(7622),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(7621),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [111] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(8388),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(8376),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [112] = {
    [sym_declaration] = STATE(312),
    [sym_type_definition] = STATE(4102),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4896),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(4102),
    [sym__for_statement_body] = STATE(7577),
    [sym__expression] = STATE(4350),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7968),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(4102),
    [sym__for_range_loop_body] = STATE(7578),
    [sym_init_statement] = STATE(2068),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1720),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1726),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [113] = {
    [sym_declaration] = STATE(1693),
    [sym_type_definition] = STATE(1693),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4898),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_expression_statement] = STATE(1693),
    [sym__expression] = STATE(4260),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_alias_declaration] = STATE(1693),
    [sym_init_statement] = STATE(124),
    [sym_condition_declaration] = STATE(7963),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym___extension__] = ACTIONS(1620),
    [anon_sym_typedef] = ACTIONS(1622),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [114] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3237),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8230),
    [sym__unary_right_fold] = STATE(8229),
    [sym__binary_fold] = STATE(8228),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [115] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3177),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8052),
    [sym__unary_right_fold] = STATE(8051),
    [sym__binary_fold] = STATE(8045),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [116] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3144),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7951),
    [sym__unary_right_fold] = STATE(7950),
    [sym__binary_fold] = STATE(7949),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [117] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_compound_statement] = STATE(7038),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7185),
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7038),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7185),
    [sym_variadic_parameter_declaration] = STATE(7185),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5493),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(1798),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [118] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3257),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [119] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3199),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [120] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym__expression] = STATE(3137),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7394),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7807),
    [sym__unary_right_fold] = STATE(7806),
    [sym__binary_fold] = STATE(7803),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1746),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [121] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(4993),
    [sym__declarator] = STATE(6376),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2899),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7811),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7809),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3125),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7807),
    [sym__unary_right_fold] = STATE(7806),
    [sym__binary_fold] = STATE(7803),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3201),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7802),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1804),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [122] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(4993),
    [sym__declarator] = STATE(6376),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7945),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3125),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3201),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1804),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [123] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(4993),
    [sym__declarator] = STATE(6376),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8066),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3125),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3201),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1804),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(5001),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__expression] = STATE(4381),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7672),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7247),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3374),
    [sym_template_function] = STATE(3806),
    [sym_condition_declaration] = STATE(7672),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5419),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(3352),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [125] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [aux_sym_preproc_if_token2] = ACTIONS(1876),
    [aux_sym_preproc_else_token1] = ACTIONS(1876),
    [aux_sym_preproc_elif_token1] = ACTIONS(1874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1878),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1920),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_EQ] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___except] = ACTIONS(1922),
    [anon_sym___finally] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1922),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [anon_sym_final] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_GT2] = ACTIONS(1920),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [127] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1926),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_RBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [128] = {
    [ts_builtin_sym_end] = ACTIONS(1948),
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_include_token1] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1948),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym___cdecl] = ACTIONS(1950),
    [anon_sym___clrcall] = ACTIONS(1950),
    [anon_sym___stdcall] = ACTIONS(1950),
    [anon_sym___fastcall] = ACTIONS(1950),
    [anon_sym___thiscall] = ACTIONS(1950),
    [anon_sym___vectorcall] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym___try] = ACTIONS(1950),
    [anon_sym___except] = ACTIONS(1950),
    [anon_sym___finally] = ACTIONS(1950),
    [anon_sym___leave] = ACTIONS(1950),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_compl] = ACTIONS(1950),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym___alignof__] = ACTIONS(1950),
    [anon_sym___alignof] = ACTIONS(1950),
    [anon_sym__alignof] = ACTIONS(1950),
    [anon_sym_alignof] = ACTIONS(1950),
    [anon_sym__Alignof] = ACTIONS(1950),
    [anon_sym_offsetof] = ACTIONS(1950),
    [anon_sym__Generic] = ACTIONS(1950),
    [anon_sym_asm] = ACTIONS(1950),
    [anon_sym___asm__] = ACTIONS(1950),
    [sym_number_literal] = ACTIONS(1948),
    [anon_sym_L_SQUOTE] = ACTIONS(1948),
    [anon_sym_u_SQUOTE] = ACTIONS(1948),
    [anon_sym_U_SQUOTE] = ACTIONS(1948),
    [anon_sym_u8_SQUOTE] = ACTIONS(1948),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1950),
    [anon_sym_nullptr] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [anon_sym_final] = ACTIONS(1950),
    [anon_sym_override] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_GT2] = ACTIONS(1948),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_namespace] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_concept] = ACTIONS(1950),
    [anon_sym_co_return] = ACTIONS(1950),
    [anon_sym_co_yield] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_requires] = ACTIONS(1950),
    [sym_this] = ACTIONS(1950),
  },
  [129] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(4279),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7411),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [130] = {
    [sym__expression] = STATE(3089),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_initializer_list] = STATE(3462),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1810),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1874),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1876),
    [sym_this] = ACTIONS(1852),
  },
  [131] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___attribute__] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [132] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(541),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(541),
    [sym_case_statement] = STATE(541),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_seh_try_statement] = STATE(541),
    [sym_seh_leave_statement] = STATE(541),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(541),
    [sym_co_return_statement] = STATE(541),
    [sym_co_yield_statement] = STATE(541),
    [sym_throw_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [133] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(429),
    [sym_attributed_statement] = STATE(429),
    [sym_labeled_statement] = STATE(429),
    [sym_expression_statement] = STATE(429),
    [sym_if_statement] = STATE(429),
    [sym_switch_statement] = STATE(429),
    [sym_case_statement] = STATE(429),
    [sym_while_statement] = STATE(429),
    [sym_do_statement] = STATE(429),
    [sym_for_statement] = STATE(429),
    [sym_return_statement] = STATE(429),
    [sym_break_statement] = STATE(429),
    [sym_continue_statement] = STATE(429),
    [sym_goto_statement] = STATE(429),
    [sym_seh_try_statement] = STATE(429),
    [sym_seh_leave_statement] = STATE(429),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(429),
    [sym_co_return_statement] = STATE(429),
    [sym_co_yield_statement] = STATE(429),
    [sym_throw_statement] = STATE(429),
    [sym_try_statement] = STATE(429),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [134] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(613),
    [sym_attributed_statement] = STATE(613),
    [sym_labeled_statement] = STATE(613),
    [sym_expression_statement] = STATE(613),
    [sym_if_statement] = STATE(613),
    [sym_switch_statement] = STATE(613),
    [sym_case_statement] = STATE(613),
    [sym_while_statement] = STATE(613),
    [sym_do_statement] = STATE(613),
    [sym_for_statement] = STATE(613),
    [sym_return_statement] = STATE(613),
    [sym_break_statement] = STATE(613),
    [sym_continue_statement] = STATE(613),
    [sym_goto_statement] = STATE(613),
    [sym_seh_try_statement] = STATE(613),
    [sym_seh_leave_statement] = STATE(613),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(613),
    [sym_co_return_statement] = STATE(613),
    [sym_co_yield_statement] = STATE(613),
    [sym_throw_statement] = STATE(613),
    [sym_try_statement] = STATE(613),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [135] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(8093),
    [sym_attributed_statement] = STATE(8093),
    [sym_labeled_statement] = STATE(8093),
    [sym_expression_statement] = STATE(8093),
    [sym_if_statement] = STATE(8093),
    [sym_switch_statement] = STATE(8093),
    [sym_case_statement] = STATE(8093),
    [sym_while_statement] = STATE(8093),
    [sym_do_statement] = STATE(8093),
    [sym_for_statement] = STATE(8093),
    [sym_return_statement] = STATE(8093),
    [sym_break_statement] = STATE(8093),
    [sym_continue_statement] = STATE(8093),
    [sym_goto_statement] = STATE(8093),
    [sym_seh_try_statement] = STATE(8093),
    [sym_seh_leave_statement] = STATE(8093),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(8093),
    [sym_co_return_statement] = STATE(8093),
    [sym_co_yield_statement] = STATE(8093),
    [sym_throw_statement] = STATE(8093),
    [sym_try_statement] = STATE(8093),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [136] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(272),
    [sym_attributed_statement] = STATE(272),
    [sym_labeled_statement] = STATE(272),
    [sym_expression_statement] = STATE(272),
    [sym_if_statement] = STATE(272),
    [sym_switch_statement] = STATE(272),
    [sym_case_statement] = STATE(272),
    [sym_while_statement] = STATE(272),
    [sym_do_statement] = STATE(272),
    [sym_for_statement] = STATE(272),
    [sym_return_statement] = STATE(272),
    [sym_break_statement] = STATE(272),
    [sym_continue_statement] = STATE(272),
    [sym_goto_statement] = STATE(272),
    [sym_seh_try_statement] = STATE(272),
    [sym_seh_leave_statement] = STATE(272),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(272),
    [sym_co_return_statement] = STATE(272),
    [sym_co_yield_statement] = STATE(272),
    [sym_throw_statement] = STATE(272),
    [sym_try_statement] = STATE(272),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [137] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(496),
    [sym_attributed_statement] = STATE(494),
    [sym_labeled_statement] = STATE(493),
    [sym_expression_statement] = STATE(476),
    [sym_if_statement] = STATE(470),
    [sym_switch_statement] = STATE(469),
    [sym_case_statement] = STATE(468),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(465),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(461),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(459),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(455),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(453),
    [sym_co_return_statement] = STATE(452),
    [sym_co_yield_statement] = STATE(450),
    [sym_throw_statement] = STATE(448),
    [sym_try_statement] = STATE(447),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [138] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(562),
    [sym_attributed_statement] = STATE(563),
    [sym_labeled_statement] = STATE(565),
    [sym_expression_statement] = STATE(566),
    [sym_if_statement] = STATE(568),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(571),
    [sym_while_statement] = STATE(572),
    [sym_do_statement] = STATE(574),
    [sym_for_statement] = STATE(575),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(578),
    [sym_continue_statement] = STATE(579),
    [sym_goto_statement] = STATE(580),
    [sym_seh_try_statement] = STATE(582),
    [sym_seh_leave_statement] = STATE(583),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(585),
    [sym_co_return_statement] = STATE(586),
    [sym_co_yield_statement] = STATE(587),
    [sym_throw_statement] = STATE(589),
    [sym_try_statement] = STATE(594),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [139] = {
    [sym_attribute_declaration] = STATE(141),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [140] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(528),
    [sym_attributed_statement] = STATE(527),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(524),
    [sym_if_statement] = STATE(523),
    [sym_switch_statement] = STATE(521),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(514),
    [sym_return_statement] = STATE(513),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(510),
    [sym_goto_statement] = STATE(509),
    [sym_seh_try_statement] = STATE(507),
    [sym_seh_leave_statement] = STATE(506),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(504),
    [sym_co_return_statement] = STATE(503),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(497),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [141] = {
    [sym_attribute_declaration] = STATE(141),
    [sym_compound_statement] = STATE(243),
    [sym_attributed_statement] = STATE(243),
    [sym_labeled_statement] = STATE(243),
    [sym_expression_statement] = STATE(243),
    [sym_if_statement] = STATE(243),
    [sym_switch_statement] = STATE(243),
    [sym_case_statement] = STATE(243),
    [sym_while_statement] = STATE(243),
    [sym_do_statement] = STATE(243),
    [sym_for_statement] = STATE(243),
    [sym_return_statement] = STATE(243),
    [sym_break_statement] = STATE(243),
    [sym_continue_statement] = STATE(243),
    [sym_goto_statement] = STATE(243),
    [sym_seh_try_statement] = STATE(243),
    [sym_seh_leave_statement] = STATE(243),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(243),
    [sym_co_return_statement] = STATE(243),
    [sym_co_yield_statement] = STATE(243),
    [sym_throw_statement] = STATE(243),
    [sym_try_statement] = STATE(243),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(2004),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_switch] = ACTIONS(2040),
    [anon_sym_case] = ACTIONS(2043),
    [anon_sym_default] = ACTIONS(2046),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2052),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2064),
    [anon_sym_goto] = ACTIONS(2067),
    [anon_sym___try] = ACTIONS(2070),
    [anon_sym___leave] = ACTIONS(2073),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2115),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_co_return] = ACTIONS(2124),
    [anon_sym_co_yield] = ACTIONS(2127),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [142] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(602),
    [sym_attributed_statement] = STATE(603),
    [sym_labeled_statement] = STATE(605),
    [sym_expression_statement] = STATE(606),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(608),
    [sym_case_statement] = STATE(609),
    [sym_while_statement] = STATE(610),
    [sym_do_statement] = STATE(611),
    [sym_for_statement] = STATE(614),
    [sym_return_statement] = STATE(615),
    [sym_break_statement] = STATE(616),
    [sym_continue_statement] = STATE(618),
    [sym_goto_statement] = STATE(620),
    [sym_seh_try_statement] = STATE(621),
    [sym_seh_leave_statement] = STATE(622),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(623),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(625),
    [sym_throw_statement] = STATE(626),
    [sym_try_statement] = STATE(627),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [143] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(511),
    [sym_attributed_statement] = STATE(508),
    [sym_labeled_statement] = STATE(492),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(490),
    [sym_switch_statement] = STATE(489),
    [sym_case_statement] = STATE(488),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(484),
    [sym_return_statement] = STATE(483),
    [sym_break_statement] = STATE(482),
    [sym_continue_statement] = STATE(481),
    [sym_goto_statement] = STATE(480),
    [sym_seh_try_statement] = STATE(475),
    [sym_seh_leave_statement] = STATE(473),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(463),
    [sym_co_yield_statement] = STATE(449),
    [sym_throw_statement] = STATE(577),
    [sym_try_statement] = STATE(440),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [144] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(531),
    [sym_attributed_statement] = STATE(531),
    [sym_labeled_statement] = STATE(531),
    [sym_expression_statement] = STATE(531),
    [sym_if_statement] = STATE(531),
    [sym_switch_statement] = STATE(531),
    [sym_case_statement] = STATE(531),
    [sym_while_statement] = STATE(531),
    [sym_do_statement] = STATE(531),
    [sym_for_statement] = STATE(531),
    [sym_return_statement] = STATE(531),
    [sym_break_statement] = STATE(531),
    [sym_continue_statement] = STATE(531),
    [sym_goto_statement] = STATE(531),
    [sym_seh_try_statement] = STATE(531),
    [sym_seh_leave_statement] = STATE(531),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(531),
    [sym_co_return_statement] = STATE(531),
    [sym_co_yield_statement] = STATE(531),
    [sym_throw_statement] = STATE(531),
    [sym_try_statement] = STATE(531),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [145] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(7587),
    [sym_attributed_statement] = STATE(7587),
    [sym_labeled_statement] = STATE(7587),
    [sym_expression_statement] = STATE(7587),
    [sym_if_statement] = STATE(7587),
    [sym_switch_statement] = STATE(7587),
    [sym_case_statement] = STATE(7587),
    [sym_while_statement] = STATE(7587),
    [sym_do_statement] = STATE(7587),
    [sym_for_statement] = STATE(7587),
    [sym_return_statement] = STATE(7587),
    [sym_break_statement] = STATE(7587),
    [sym_continue_statement] = STATE(7587),
    [sym_goto_statement] = STATE(7587),
    [sym_seh_try_statement] = STATE(7587),
    [sym_seh_leave_statement] = STATE(7587),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(7587),
    [sym_co_return_statement] = STATE(7587),
    [sym_co_yield_statement] = STATE(7587),
    [sym_throw_statement] = STATE(7587),
    [sym_try_statement] = STATE(7587),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [146] = {
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_COLON] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [147] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(8118),
    [sym_attributed_statement] = STATE(8118),
    [sym_labeled_statement] = STATE(8118),
    [sym_expression_statement] = STATE(8118),
    [sym_if_statement] = STATE(8118),
    [sym_switch_statement] = STATE(8118),
    [sym_case_statement] = STATE(8118),
    [sym_while_statement] = STATE(8118),
    [sym_do_statement] = STATE(8118),
    [sym_for_statement] = STATE(8118),
    [sym_return_statement] = STATE(8118),
    [sym_break_statement] = STATE(8118),
    [sym_continue_statement] = STATE(8118),
    [sym_goto_statement] = STATE(8118),
    [sym_seh_try_statement] = STATE(8118),
    [sym_seh_leave_statement] = STATE(8118),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(8118),
    [sym_co_return_statement] = STATE(8118),
    [sym_co_yield_statement] = STATE(8118),
    [sym_throw_statement] = STATE(8118),
    [sym_try_statement] = STATE(8118),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [148] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(1013),
    [sym_attributed_statement] = STATE(1013),
    [sym_labeled_statement] = STATE(1013),
    [sym_expression_statement] = STATE(1013),
    [sym_if_statement] = STATE(1013),
    [sym_switch_statement] = STATE(1013),
    [sym_case_statement] = STATE(1013),
    [sym_while_statement] = STATE(1013),
    [sym_do_statement] = STATE(1013),
    [sym_for_statement] = STATE(1013),
    [sym_return_statement] = STATE(1013),
    [sym_break_statement] = STATE(1013),
    [sym_continue_statement] = STATE(1013),
    [sym_goto_statement] = STATE(1013),
    [sym_seh_try_statement] = STATE(1013),
    [sym_seh_leave_statement] = STATE(1013),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(1013),
    [sym_co_return_statement] = STATE(1013),
    [sym_co_yield_statement] = STATE(1013),
    [sym_throw_statement] = STATE(1013),
    [sym_try_statement] = STATE(1013),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [149] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(981),
    [sym_attributed_statement] = STATE(981),
    [sym_labeled_statement] = STATE(981),
    [sym_expression_statement] = STATE(981),
    [sym_if_statement] = STATE(981),
    [sym_switch_statement] = STATE(981),
    [sym_case_statement] = STATE(981),
    [sym_while_statement] = STATE(981),
    [sym_do_statement] = STATE(981),
    [sym_for_statement] = STATE(981),
    [sym_return_statement] = STATE(981),
    [sym_break_statement] = STATE(981),
    [sym_continue_statement] = STATE(981),
    [sym_goto_statement] = STATE(981),
    [sym_seh_try_statement] = STATE(981),
    [sym_seh_leave_statement] = STATE(981),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(981),
    [sym_co_return_statement] = STATE(981),
    [sym_co_yield_statement] = STATE(981),
    [sym_throw_statement] = STATE(981),
    [sym_try_statement] = STATE(981),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [150] = {
    [sym_attribute_declaration] = STATE(150),
    [sym_compound_statement] = STATE(973),
    [sym_attributed_statement] = STATE(973),
    [sym_labeled_statement] = STATE(973),
    [sym_expression_statement] = STATE(973),
    [sym_if_statement] = STATE(973),
    [sym_switch_statement] = STATE(973),
    [sym_case_statement] = STATE(973),
    [sym_while_statement] = STATE(973),
    [sym_do_statement] = STATE(973),
    [sym_for_statement] = STATE(973),
    [sym_return_statement] = STATE(973),
    [sym_break_statement] = STATE(973),
    [sym_continue_statement] = STATE(973),
    [sym_goto_statement] = STATE(973),
    [sym_seh_try_statement] = STATE(973),
    [sym_seh_leave_statement] = STATE(973),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(973),
    [sym_co_return_statement] = STATE(973),
    [sym_co_yield_statement] = STATE(973),
    [sym_throw_statement] = STATE(973),
    [sym_try_statement] = STATE(973),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(150),
    [sym_identifier] = ACTIONS(2156),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_goto] = ACTIONS(2195),
    [anon_sym___try] = ACTIONS(2198),
    [anon_sym___leave] = ACTIONS(2201),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2213),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [151] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(547),
    [sym_attributed_statement] = STATE(547),
    [sym_labeled_statement] = STATE(547),
    [sym_expression_statement] = STATE(547),
    [sym_if_statement] = STATE(547),
    [sym_switch_statement] = STATE(547),
    [sym_case_statement] = STATE(547),
    [sym_while_statement] = STATE(547),
    [sym_do_statement] = STATE(547),
    [sym_for_statement] = STATE(547),
    [sym_return_statement] = STATE(547),
    [sym_break_statement] = STATE(547),
    [sym_continue_statement] = STATE(547),
    [sym_goto_statement] = STATE(547),
    [sym_seh_try_statement] = STATE(547),
    [sym_seh_leave_statement] = STATE(547),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(547),
    [sym_co_return_statement] = STATE(547),
    [sym_co_yield_statement] = STATE(547),
    [sym_throw_statement] = STATE(547),
    [sym_try_statement] = STATE(547),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [152] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(428),
    [sym_attributed_statement] = STATE(428),
    [sym_labeled_statement] = STATE(428),
    [sym_expression_statement] = STATE(428),
    [sym_if_statement] = STATE(428),
    [sym_switch_statement] = STATE(428),
    [sym_case_statement] = STATE(428),
    [sym_while_statement] = STATE(428),
    [sym_do_statement] = STATE(428),
    [sym_for_statement] = STATE(428),
    [sym_return_statement] = STATE(428),
    [sym_break_statement] = STATE(428),
    [sym_continue_statement] = STATE(428),
    [sym_goto_statement] = STATE(428),
    [sym_seh_try_statement] = STATE(428),
    [sym_seh_leave_statement] = STATE(428),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(428),
    [sym_co_return_statement] = STATE(428),
    [sym_co_yield_statement] = STATE(428),
    [sym_throw_statement] = STATE(428),
    [sym_try_statement] = STATE(428),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [153] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(432),
    [sym_attributed_statement] = STATE(432),
    [sym_labeled_statement] = STATE(432),
    [sym_expression_statement] = STATE(432),
    [sym_if_statement] = STATE(432),
    [sym_switch_statement] = STATE(432),
    [sym_case_statement] = STATE(432),
    [sym_while_statement] = STATE(432),
    [sym_do_statement] = STATE(432),
    [sym_for_statement] = STATE(432),
    [sym_return_statement] = STATE(432),
    [sym_break_statement] = STATE(432),
    [sym_continue_statement] = STATE(432),
    [sym_goto_statement] = STATE(432),
    [sym_seh_try_statement] = STATE(432),
    [sym_seh_leave_statement] = STATE(432),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(432),
    [sym_co_return_statement] = STATE(432),
    [sym_co_yield_statement] = STATE(432),
    [sym_throw_statement] = STATE(432),
    [sym_try_statement] = STATE(432),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [154] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(534),
    [sym_attributed_statement] = STATE(534),
    [sym_labeled_statement] = STATE(534),
    [sym_expression_statement] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_switch_statement] = STATE(534),
    [sym_case_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_do_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_return_statement] = STATE(534),
    [sym_break_statement] = STATE(534),
    [sym_continue_statement] = STATE(534),
    [sym_goto_statement] = STATE(534),
    [sym_seh_try_statement] = STATE(534),
    [sym_seh_leave_statement] = STATE(534),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(534),
    [sym_co_return_statement] = STATE(534),
    [sym_co_yield_statement] = STATE(534),
    [sym_throw_statement] = STATE(534),
    [sym_try_statement] = STATE(534),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [155] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(646),
    [sym_attributed_statement] = STATE(646),
    [sym_labeled_statement] = STATE(646),
    [sym_expression_statement] = STATE(646),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_case_statement] = STATE(646),
    [sym_while_statement] = STATE(646),
    [sym_do_statement] = STATE(646),
    [sym_for_statement] = STATE(646),
    [sym_return_statement] = STATE(646),
    [sym_break_statement] = STATE(646),
    [sym_continue_statement] = STATE(646),
    [sym_goto_statement] = STATE(646),
    [sym_seh_try_statement] = STATE(646),
    [sym_seh_leave_statement] = STATE(646),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(646),
    [sym_co_return_statement] = STATE(646),
    [sym_co_yield_statement] = STATE(646),
    [sym_throw_statement] = STATE(646),
    [sym_try_statement] = STATE(646),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [156] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(548),
    [sym_attributed_statement] = STATE(548),
    [sym_labeled_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(548),
    [sym_case_statement] = STATE(548),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_seh_try_statement] = STATE(548),
    [sym_seh_leave_statement] = STATE(548),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(548),
    [sym_co_return_statement] = STATE(548),
    [sym_co_yield_statement] = STATE(548),
    [sym_throw_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(8138),
    [sym_attributed_statement] = STATE(8138),
    [sym_labeled_statement] = STATE(8138),
    [sym_expression_statement] = STATE(8138),
    [sym_if_statement] = STATE(8138),
    [sym_switch_statement] = STATE(8138),
    [sym_case_statement] = STATE(8138),
    [sym_while_statement] = STATE(8138),
    [sym_do_statement] = STATE(8138),
    [sym_for_statement] = STATE(8138),
    [sym_return_statement] = STATE(8138),
    [sym_break_statement] = STATE(8138),
    [sym_continue_statement] = STATE(8138),
    [sym_goto_statement] = STATE(8138),
    [sym_seh_try_statement] = STATE(8138),
    [sym_seh_leave_statement] = STATE(8138),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(8138),
    [sym_co_return_statement] = STATE(8138),
    [sym_co_yield_statement] = STATE(8138),
    [sym_throw_statement] = STATE(8138),
    [sym_try_statement] = STATE(8138),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [158] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(581),
    [sym_attributed_statement] = STATE(581),
    [sym_labeled_statement] = STATE(581),
    [sym_expression_statement] = STATE(581),
    [sym_if_statement] = STATE(581),
    [sym_switch_statement] = STATE(581),
    [sym_case_statement] = STATE(581),
    [sym_while_statement] = STATE(581),
    [sym_do_statement] = STATE(581),
    [sym_for_statement] = STATE(581),
    [sym_return_statement] = STATE(581),
    [sym_break_statement] = STATE(581),
    [sym_continue_statement] = STATE(581),
    [sym_goto_statement] = STATE(581),
    [sym_seh_try_statement] = STATE(581),
    [sym_seh_leave_statement] = STATE(581),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(581),
    [sym_co_return_statement] = STATE(581),
    [sym_co_yield_statement] = STATE(581),
    [sym_throw_statement] = STATE(581),
    [sym_try_statement] = STATE(581),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(226),
    [sym_attributed_statement] = STATE(226),
    [sym_labeled_statement] = STATE(226),
    [sym_expression_statement] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_case_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_return_statement] = STATE(226),
    [sym_break_statement] = STATE(226),
    [sym_continue_statement] = STATE(226),
    [sym_goto_statement] = STATE(226),
    [sym_seh_try_statement] = STATE(226),
    [sym_seh_leave_statement] = STATE(226),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(226),
    [sym_co_return_statement] = STATE(226),
    [sym_co_yield_statement] = STATE(226),
    [sym_throw_statement] = STATE(226),
    [sym_try_statement] = STATE(226),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(961),
    [sym_attributed_statement] = STATE(961),
    [sym_labeled_statement] = STATE(961),
    [sym_expression_statement] = STATE(961),
    [sym_if_statement] = STATE(961),
    [sym_switch_statement] = STATE(961),
    [sym_case_statement] = STATE(961),
    [sym_while_statement] = STATE(961),
    [sym_do_statement] = STATE(961),
    [sym_for_statement] = STATE(961),
    [sym_return_statement] = STATE(961),
    [sym_break_statement] = STATE(961),
    [sym_continue_statement] = STATE(961),
    [sym_goto_statement] = STATE(961),
    [sym_seh_try_statement] = STATE(961),
    [sym_seh_leave_statement] = STATE(961),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(961),
    [sym_co_return_statement] = STATE(961),
    [sym_co_yield_statement] = STATE(961),
    [sym_throw_statement] = STATE(961),
    [sym_try_statement] = STATE(961),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(436),
    [sym_attributed_statement] = STATE(436),
    [sym_labeled_statement] = STATE(436),
    [sym_expression_statement] = STATE(436),
    [sym_if_statement] = STATE(436),
    [sym_switch_statement] = STATE(436),
    [sym_case_statement] = STATE(436),
    [sym_while_statement] = STATE(436),
    [sym_do_statement] = STATE(436),
    [sym_for_statement] = STATE(436),
    [sym_return_statement] = STATE(436),
    [sym_break_statement] = STATE(436),
    [sym_continue_statement] = STATE(436),
    [sym_goto_statement] = STATE(436),
    [sym_seh_try_statement] = STATE(436),
    [sym_seh_leave_statement] = STATE(436),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(436),
    [sym_co_return_statement] = STATE(436),
    [sym_co_yield_statement] = STATE(436),
    [sym_throw_statement] = STATE(436),
    [sym_try_statement] = STATE(436),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(965),
    [sym_attributed_statement] = STATE(965),
    [sym_labeled_statement] = STATE(965),
    [sym_expression_statement] = STATE(965),
    [sym_if_statement] = STATE(965),
    [sym_switch_statement] = STATE(965),
    [sym_case_statement] = STATE(965),
    [sym_while_statement] = STATE(965),
    [sym_do_statement] = STATE(965),
    [sym_for_statement] = STATE(965),
    [sym_return_statement] = STATE(965),
    [sym_break_statement] = STATE(965),
    [sym_continue_statement] = STATE(965),
    [sym_goto_statement] = STATE(965),
    [sym_seh_try_statement] = STATE(965),
    [sym_seh_leave_statement] = STATE(965),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(965),
    [sym_co_return_statement] = STATE(965),
    [sym_co_yield_statement] = STATE(965),
    [sym_throw_statement] = STATE(965),
    [sym_try_statement] = STATE(965),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym_seh_try_statement] = STATE(267),
    [sym_seh_leave_statement] = STATE(267),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(267),
    [sym_co_return_statement] = STATE(267),
    [sym_co_yield_statement] = STATE(267),
    [sym_throw_statement] = STATE(267),
    [sym_try_statement] = STATE(267),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(641),
    [sym_attributed_statement] = STATE(640),
    [sym_labeled_statement] = STATE(639),
    [sym_expression_statement] = STATE(638),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(634),
    [sym_case_statement] = STATE(633),
    [sym_while_statement] = STATE(631),
    [sym_do_statement] = STATE(630),
    [sym_for_statement] = STATE(629),
    [sym_return_statement] = STATE(628),
    [sym_break_statement] = STATE(599),
    [sym_continue_statement] = STATE(598),
    [sym_goto_statement] = STATE(561),
    [sym_seh_try_statement] = STATE(560),
    [sym_seh_leave_statement] = STATE(550),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(544),
    [sym_co_return_statement] = STATE(543),
    [sym_co_yield_statement] = STATE(540),
    [sym_throw_statement] = STATE(538),
    [sym_try_statement] = STATE(517),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(976),
    [sym_attributed_statement] = STATE(980),
    [sym_labeled_statement] = STATE(984),
    [sym_expression_statement] = STATE(998),
    [sym_if_statement] = STATE(1005),
    [sym_switch_statement] = STATE(1022),
    [sym_case_statement] = STATE(1025),
    [sym_while_statement] = STATE(986),
    [sym_do_statement] = STATE(1039),
    [sym_for_statement] = STATE(972),
    [sym_return_statement] = STATE(979),
    [sym_break_statement] = STATE(1033),
    [sym_continue_statement] = STATE(966),
    [sym_goto_statement] = STATE(989),
    [sym_seh_try_statement] = STATE(1015),
    [sym_seh_leave_statement] = STATE(1026),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(1012),
    [sym_co_return_statement] = STATE(1029),
    [sym_co_yield_statement] = STATE(1038),
    [sym_throw_statement] = STATE(1020),
    [sym_try_statement] = STATE(1017),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(227),
    [sym_attributed_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_case_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_goto_statement] = STATE(227),
    [sym_seh_try_statement] = STATE(227),
    [sym_seh_leave_statement] = STATE(227),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(227),
    [sym_co_return_statement] = STATE(227),
    [sym_co_yield_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(975),
    [sym_attributed_statement] = STATE(1006),
    [sym_labeled_statement] = STATE(1014),
    [sym_expression_statement] = STATE(1018),
    [sym_if_statement] = STATE(1023),
    [sym_switch_statement] = STATE(1028),
    [sym_case_statement] = STATE(1035),
    [sym_while_statement] = STATE(1037),
    [sym_do_statement] = STATE(1042),
    [sym_for_statement] = STATE(1002),
    [sym_return_statement] = STATE(993),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(987),
    [sym_goto_statement] = STATE(1036),
    [sym_seh_try_statement] = STATE(968),
    [sym_seh_leave_statement] = STATE(970),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(991),
    [sym_co_return_statement] = STATE(996),
    [sym_co_yield_statement] = STATE(1001),
    [sym_throw_statement] = STATE(1008),
    [sym_try_statement] = STATE(1016),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(7931),
    [sym_attributed_statement] = STATE(7931),
    [sym_labeled_statement] = STATE(7931),
    [sym_expression_statement] = STATE(7931),
    [sym_if_statement] = STATE(7931),
    [sym_switch_statement] = STATE(7931),
    [sym_case_statement] = STATE(7931),
    [sym_while_statement] = STATE(7931),
    [sym_do_statement] = STATE(7931),
    [sym_for_statement] = STATE(7931),
    [sym_return_statement] = STATE(7931),
    [sym_break_statement] = STATE(7931),
    [sym_continue_statement] = STATE(7931),
    [sym_goto_statement] = STATE(7931),
    [sym_seh_try_statement] = STATE(7931),
    [sym_seh_leave_statement] = STATE(7931),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(7931),
    [sym_co_return_statement] = STATE(7931),
    [sym_co_yield_statement] = STATE(7931),
    [sym_throw_statement] = STATE(7931),
    [sym_try_statement] = STATE(7931),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(170),
    [sym_compound_statement] = STATE(553),
    [sym_attributed_statement] = STATE(553),
    [sym_labeled_statement] = STATE(553),
    [sym_expression_statement] = STATE(553),
    [sym_if_statement] = STATE(553),
    [sym_switch_statement] = STATE(553),
    [sym_case_statement] = STATE(553),
    [sym_while_statement] = STATE(553),
    [sym_do_statement] = STATE(553),
    [sym_for_statement] = STATE(553),
    [sym_return_statement] = STATE(553),
    [sym_break_statement] = STATE(553),
    [sym_continue_statement] = STATE(553),
    [sym_goto_statement] = STATE(553),
    [sym_seh_try_statement] = STATE(553),
    [sym_seh_leave_statement] = STATE(553),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(553),
    [sym_co_return_statement] = STATE(553),
    [sym_co_yield_statement] = STATE(553),
    [sym_throw_statement] = STATE(553),
    [sym_try_statement] = STATE(553),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(170),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2231),
    [anon_sym_default] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2240),
    [anon_sym_for] = ACTIONS(2243),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_goto] = ACTIONS(2255),
    [anon_sym___try] = ACTIONS(2258),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2264),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2267),
    [anon_sym_co_return] = ACTIONS(2270),
    [anon_sym_co_yield] = ACTIONS(2273),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(170),
    [sym_compound_statement] = STATE(553),
    [sym_attributed_statement] = STATE(553),
    [sym_labeled_statement] = STATE(553),
    [sym_expression_statement] = STATE(553),
    [sym_if_statement] = STATE(553),
    [sym_switch_statement] = STATE(553),
    [sym_case_statement] = STATE(553),
    [sym_while_statement] = STATE(553),
    [sym_do_statement] = STATE(553),
    [sym_for_statement] = STATE(553),
    [sym_return_statement] = STATE(553),
    [sym_break_statement] = STATE(553),
    [sym_continue_statement] = STATE(553),
    [sym_goto_statement] = STATE(553),
    [sym_seh_try_statement] = STATE(553),
    [sym_seh_leave_statement] = STATE(553),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(553),
    [sym_co_return_statement] = STATE(553),
    [sym_co_yield_statement] = STATE(553),
    [sym_throw_statement] = STATE(553),
    [sym_try_statement] = STATE(553),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(170),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(983),
    [sym_attributed_statement] = STATE(983),
    [sym_labeled_statement] = STATE(983),
    [sym_expression_statement] = STATE(983),
    [sym_if_statement] = STATE(983),
    [sym_switch_statement] = STATE(983),
    [sym_case_statement] = STATE(983),
    [sym_while_statement] = STATE(983),
    [sym_do_statement] = STATE(983),
    [sym_for_statement] = STATE(983),
    [sym_return_statement] = STATE(983),
    [sym_break_statement] = STATE(983),
    [sym_continue_statement] = STATE(983),
    [sym_goto_statement] = STATE(983),
    [sym_seh_try_statement] = STATE(983),
    [sym_seh_leave_statement] = STATE(983),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(983),
    [sym_co_return_statement] = STATE(983),
    [sym_co_yield_statement] = STATE(983),
    [sym_throw_statement] = STATE(983),
    [sym_try_statement] = STATE(983),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(276),
    [sym_attributed_statement] = STATE(277),
    [sym_labeled_statement] = STATE(283),
    [sym_expression_statement] = STATE(291),
    [sym_if_statement] = STATE(292),
    [sym_switch_statement] = STATE(296),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(304),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(305),
    [sym_break_statement] = STATE(251),
    [sym_continue_statement] = STATE(289),
    [sym_goto_statement] = STATE(288),
    [sym_seh_try_statement] = STATE(287),
    [sym_seh_leave_statement] = STATE(285),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(282),
    [sym_co_return_statement] = STATE(281),
    [sym_co_yield_statement] = STATE(278),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(250),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(139),
    [sym_compound_statement] = STATE(248),
    [sym_attributed_statement] = STATE(246),
    [sym_labeled_statement] = STATE(245),
    [sym_expression_statement] = STATE(244),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(240),
    [sym_case_statement] = STATE(239),
    [sym_while_statement] = STATE(237),
    [sym_do_statement] = STATE(236),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(255),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(230),
    [sym_goto_statement] = STATE(284),
    [sym_seh_try_statement] = STATE(286),
    [sym_seh_leave_statement] = STATE(295),
    [sym__expression] = STATE(4290),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8147),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(297),
    [sym_co_return_statement] = STATE(301),
    [sym_co_yield_statement] = STATE(253),
    [sym_throw_statement] = STATE(302),
    [sym_try_statement] = STATE(268),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(293),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(297),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(301),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(305),
    [anon_sym_continue] = ACTIONS(307),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(311),
    [anon_sym___leave] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_co_return] = ACTIONS(329),
    [anon_sym_co_yield] = ACTIONS(331),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(156),
    [sym_compound_statement] = STATE(437),
    [sym_attributed_statement] = STATE(437),
    [sym_labeled_statement] = STATE(437),
    [sym_expression_statement] = STATE(437),
    [sym_if_statement] = STATE(437),
    [sym_switch_statement] = STATE(437),
    [sym_case_statement] = STATE(437),
    [sym_while_statement] = STATE(437),
    [sym_do_statement] = STATE(437),
    [sym_for_statement] = STATE(437),
    [sym_return_statement] = STATE(437),
    [sym_break_statement] = STATE(437),
    [sym_continue_statement] = STATE(437),
    [sym_goto_statement] = STATE(437),
    [sym_seh_try_statement] = STATE(437),
    [sym_seh_leave_statement] = STATE(437),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(437),
    [sym_co_return_statement] = STATE(437),
    [sym_co_yield_statement] = STATE(437),
    [sym_throw_statement] = STATE(437),
    [sym_try_statement] = STATE(437),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(156),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(534),
    [sym_attributed_statement] = STATE(534),
    [sym_labeled_statement] = STATE(534),
    [sym_expression_statement] = STATE(534),
    [sym_if_statement] = STATE(534),
    [sym_switch_statement] = STATE(534),
    [sym_case_statement] = STATE(534),
    [sym_while_statement] = STATE(534),
    [sym_do_statement] = STATE(534),
    [sym_for_statement] = STATE(534),
    [sym_return_statement] = STATE(534),
    [sym_break_statement] = STATE(534),
    [sym_continue_statement] = STATE(534),
    [sym_goto_statement] = STATE(534),
    [sym_seh_try_statement] = STATE(534),
    [sym_seh_leave_statement] = STATE(534),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(534),
    [sym_co_return_statement] = STATE(534),
    [sym_co_yield_statement] = STATE(534),
    [sym_throw_statement] = STATE(534),
    [sym_try_statement] = STATE(534),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_goto] = ACTIONS(2315),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym___leave] = ACTIONS(2321),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2324),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_co_return] = ACTIONS(2330),
    [anon_sym_co_yield] = ACTIONS(2333),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(150),
    [sym_compound_statement] = STATE(973),
    [sym_attributed_statement] = STATE(973),
    [sym_labeled_statement] = STATE(973),
    [sym_expression_statement] = STATE(973),
    [sym_if_statement] = STATE(973),
    [sym_switch_statement] = STATE(973),
    [sym_case_statement] = STATE(973),
    [sym_while_statement] = STATE(973),
    [sym_do_statement] = STATE(973),
    [sym_for_statement] = STATE(973),
    [sym_return_statement] = STATE(973),
    [sym_break_statement] = STATE(973),
    [sym_continue_statement] = STATE(973),
    [sym_goto_statement] = STATE(973),
    [sym_seh_try_statement] = STATE(973),
    [sym_seh_leave_statement] = STATE(973),
    [sym__expression] = STATE(4357),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7947),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(973),
    [sym_co_return_statement] = STATE(973),
    [sym_co_yield_statement] = STATE(973),
    [sym_throw_statement] = STATE(973),
    [sym_try_statement] = STATE(973),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(150),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1618),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1626),
    [anon_sym_switch] = ACTIONS(1628),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_for] = ACTIONS(1634),
    [anon_sym_return] = ACTIONS(1636),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1640),
    [anon_sym_goto] = ACTIONS(1642),
    [anon_sym___try] = ACTIONS(1644),
    [anon_sym___leave] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1648),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_co_return] = ACTIONS(1652),
    [anon_sym_co_yield] = ACTIONS(1654),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(423),
    [sym_attributed_statement] = STATE(423),
    [sym_labeled_statement] = STATE(423),
    [sym_expression_statement] = STATE(423),
    [sym_if_statement] = STATE(423),
    [sym_switch_statement] = STATE(423),
    [sym_case_statement] = STATE(423),
    [sym_while_statement] = STATE(423),
    [sym_do_statement] = STATE(423),
    [sym_for_statement] = STATE(423),
    [sym_return_statement] = STATE(423),
    [sym_break_statement] = STATE(423),
    [sym_continue_statement] = STATE(423),
    [sym_goto_statement] = STATE(423),
    [sym_seh_try_statement] = STATE(423),
    [sym_seh_leave_statement] = STATE(423),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(423),
    [sym_co_return_statement] = STATE(423),
    [sym_co_yield_statement] = STATE(423),
    [sym_throw_statement] = STATE(423),
    [sym_try_statement] = STATE(423),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(554),
    [sym_attributed_statement] = STATE(554),
    [sym_labeled_statement] = STATE(554),
    [sym_expression_statement] = STATE(554),
    [sym_if_statement] = STATE(554),
    [sym_switch_statement] = STATE(554),
    [sym_case_statement] = STATE(554),
    [sym_while_statement] = STATE(554),
    [sym_do_statement] = STATE(554),
    [sym_for_statement] = STATE(554),
    [sym_return_statement] = STATE(554),
    [sym_break_statement] = STATE(554),
    [sym_continue_statement] = STATE(554),
    [sym_goto_statement] = STATE(554),
    [sym_seh_try_statement] = STATE(554),
    [sym_seh_leave_statement] = STATE(554),
    [sym__expression] = STATE(4298),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8036),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(554),
    [sym_co_return_statement] = STATE(554),
    [sym_co_yield_statement] = STATE(554),
    [sym_throw_statement] = STATE(554),
    [sym_try_statement] = STATE(554),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(590),
    [sym_attributed_statement] = STATE(590),
    [sym_labeled_statement] = STATE(590),
    [sym_expression_statement] = STATE(590),
    [sym_if_statement] = STATE(590),
    [sym_switch_statement] = STATE(590),
    [sym_case_statement] = STATE(590),
    [sym_while_statement] = STATE(590),
    [sym_do_statement] = STATE(590),
    [sym_for_statement] = STATE(590),
    [sym_return_statement] = STATE(590),
    [sym_break_statement] = STATE(590),
    [sym_continue_statement] = STATE(590),
    [sym_goto_statement] = STATE(590),
    [sym_seh_try_statement] = STATE(590),
    [sym_seh_leave_statement] = STATE(590),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(590),
    [sym_co_return_statement] = STATE(590),
    [sym_co_yield_statement] = STATE(590),
    [sym_throw_statement] = STATE(590),
    [sym_try_statement] = STATE(590),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(7142),
    [sym_attributed_statement] = STATE(7142),
    [sym_labeled_statement] = STATE(7142),
    [sym_expression_statement] = STATE(7142),
    [sym_if_statement] = STATE(7142),
    [sym_switch_statement] = STATE(7142),
    [sym_case_statement] = STATE(7142),
    [sym_while_statement] = STATE(7142),
    [sym_do_statement] = STATE(7142),
    [sym_for_statement] = STATE(7142),
    [sym_return_statement] = STATE(7142),
    [sym_break_statement] = STATE(7142),
    [sym_continue_statement] = STATE(7142),
    [sym_goto_statement] = STATE(7142),
    [sym_seh_try_statement] = STATE(7142),
    [sym_seh_leave_statement] = STATE(7142),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(7142),
    [sym_co_return_statement] = STATE(7142),
    [sym_co_yield_statement] = STATE(7142),
    [sym_throw_statement] = STATE(7142),
    [sym_try_statement] = STATE(7142),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(581),
    [sym_attributed_statement] = STATE(581),
    [sym_labeled_statement] = STATE(581),
    [sym_expression_statement] = STATE(581),
    [sym_if_statement] = STATE(581),
    [sym_switch_statement] = STATE(581),
    [sym_case_statement] = STATE(581),
    [sym_while_statement] = STATE(581),
    [sym_do_statement] = STATE(581),
    [sym_for_statement] = STATE(581),
    [sym_return_statement] = STATE(581),
    [sym_break_statement] = STATE(581),
    [sym_continue_statement] = STATE(581),
    [sym_goto_statement] = STATE(581),
    [sym_seh_try_statement] = STATE(581),
    [sym_seh_leave_statement] = STATE(581),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(581),
    [sym_co_return_statement] = STATE(581),
    [sym_co_yield_statement] = STATE(581),
    [sym_throw_statement] = STATE(581),
    [sym_try_statement] = STATE(581),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(613),
    [sym_attributed_statement] = STATE(613),
    [sym_labeled_statement] = STATE(613),
    [sym_expression_statement] = STATE(613),
    [sym_if_statement] = STATE(613),
    [sym_switch_statement] = STATE(613),
    [sym_case_statement] = STATE(613),
    [sym_while_statement] = STATE(613),
    [sym_do_statement] = STATE(613),
    [sym_for_statement] = STATE(613),
    [sym_return_statement] = STATE(613),
    [sym_break_statement] = STATE(613),
    [sym_continue_statement] = STATE(613),
    [sym_goto_statement] = STATE(613),
    [sym_seh_try_statement] = STATE(613),
    [sym_seh_leave_statement] = STATE(613),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(613),
    [sym_co_return_statement] = STATE(613),
    [sym_co_yield_statement] = STATE(613),
    [sym_throw_statement] = STATE(613),
    [sym_try_statement] = STATE(613),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(548),
    [sym_attributed_statement] = STATE(548),
    [sym_labeled_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(548),
    [sym_case_statement] = STATE(548),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_seh_try_statement] = STATE(548),
    [sym_seh_leave_statement] = STATE(548),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(548),
    [sym_co_return_statement] = STATE(548),
    [sym_co_yield_statement] = STATE(548),
    [sym_throw_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2336),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2357),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2363),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2369),
    [anon_sym___leave] = ACTIONS(2321),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2375),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2381),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(6945),
    [sym_attributed_statement] = STATE(6945),
    [sym_labeled_statement] = STATE(6945),
    [sym_expression_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym_switch_statement] = STATE(6945),
    [sym_case_statement] = STATE(6945),
    [sym_while_statement] = STATE(6945),
    [sym_do_statement] = STATE(6945),
    [sym_for_statement] = STATE(6945),
    [sym_return_statement] = STATE(6945),
    [sym_break_statement] = STATE(6945),
    [sym_continue_statement] = STATE(6945),
    [sym_goto_statement] = STATE(6945),
    [sym_seh_try_statement] = STATE(6945),
    [sym_seh_leave_statement] = STATE(6945),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(6945),
    [sym_co_return_statement] = STATE(6945),
    [sym_co_yield_statement] = STATE(6945),
    [sym_throw_statement] = STATE(6945),
    [sym_try_statement] = STATE(6945),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(547),
    [sym_attributed_statement] = STATE(547),
    [sym_labeled_statement] = STATE(547),
    [sym_expression_statement] = STATE(547),
    [sym_if_statement] = STATE(547),
    [sym_switch_statement] = STATE(547),
    [sym_case_statement] = STATE(547),
    [sym_while_statement] = STATE(547),
    [sym_do_statement] = STATE(547),
    [sym_for_statement] = STATE(547),
    [sym_return_statement] = STATE(547),
    [sym_break_statement] = STATE(547),
    [sym_continue_statement] = STATE(547),
    [sym_goto_statement] = STATE(547),
    [sym_seh_try_statement] = STATE(547),
    [sym_seh_leave_statement] = STATE(547),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(547),
    [sym_co_return_statement] = STATE(547),
    [sym_co_yield_statement] = STATE(547),
    [sym_throw_statement] = STATE(547),
    [sym_try_statement] = STATE(547),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(562),
    [sym_attributed_statement] = STATE(563),
    [sym_labeled_statement] = STATE(565),
    [sym_expression_statement] = STATE(566),
    [sym_if_statement] = STATE(568),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(571),
    [sym_while_statement] = STATE(572),
    [sym_do_statement] = STATE(574),
    [sym_for_statement] = STATE(575),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(578),
    [sym_continue_statement] = STATE(579),
    [sym_goto_statement] = STATE(580),
    [sym_seh_try_statement] = STATE(582),
    [sym_seh_leave_statement] = STATE(583),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(585),
    [sym_co_return_statement] = STATE(586),
    [sym_co_yield_statement] = STATE(587),
    [sym_throw_statement] = STATE(589),
    [sym_try_statement] = STATE(594),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(602),
    [sym_attributed_statement] = STATE(603),
    [sym_labeled_statement] = STATE(605),
    [sym_expression_statement] = STATE(606),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(608),
    [sym_case_statement] = STATE(609),
    [sym_while_statement] = STATE(610),
    [sym_do_statement] = STATE(611),
    [sym_for_statement] = STATE(614),
    [sym_return_statement] = STATE(615),
    [sym_break_statement] = STATE(616),
    [sym_continue_statement] = STATE(618),
    [sym_goto_statement] = STATE(620),
    [sym_seh_try_statement] = STATE(621),
    [sym_seh_leave_statement] = STATE(622),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(623),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(625),
    [sym_throw_statement] = STATE(626),
    [sym_try_statement] = STATE(627),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(548),
    [sym_attributed_statement] = STATE(548),
    [sym_labeled_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(548),
    [sym_case_statement] = STATE(548),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_seh_try_statement] = STATE(548),
    [sym_seh_leave_statement] = STATE(548),
    [sym__expression] = STATE(4372),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7763),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(548),
    [sym_co_return_statement] = STATE(548),
    [sym_co_yield_statement] = STATE(548),
    [sym_throw_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2384),
    [anon_sym_LPAREN2] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [sym_primitive_type] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2396),
    [anon_sym_while] = ACTIONS(2399),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2357),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2363),
    [anon_sym_goto] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2405),
    [anon_sym___leave] = ACTIONS(2408),
    [anon_sym_not] = ACTIONS(2013),
    [anon_sym_compl] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_sizeof] = ACTIONS(2079),
    [anon_sym___alignof__] = ACTIONS(2082),
    [anon_sym___alignof] = ACTIONS(2082),
    [anon_sym__alignof] = ACTIONS(2082),
    [anon_sym_alignof] = ACTIONS(2082),
    [anon_sym__Alignof] = ACTIONS(2082),
    [anon_sym_offsetof] = ACTIONS(2085),
    [anon_sym__Generic] = ACTIONS(2088),
    [anon_sym_asm] = ACTIONS(2091),
    [anon_sym___asm__] = ACTIONS(2091),
    [sym_number_literal] = ACTIONS(2094),
    [anon_sym_L_SQUOTE] = ACTIONS(2097),
    [anon_sym_u_SQUOTE] = ACTIONS(2097),
    [anon_sym_U_SQUOTE] = ACTIONS(2097),
    [anon_sym_u8_SQUOTE] = ACTIONS(2097),
    [anon_sym_SQUOTE] = ACTIONS(2097),
    [anon_sym_L_DQUOTE] = ACTIONS(2100),
    [anon_sym_u_DQUOTE] = ACTIONS(2100),
    [anon_sym_U_DQUOTE] = ACTIONS(2100),
    [anon_sym_u8_DQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [sym_true] = ACTIONS(2103),
    [sym_false] = ACTIONS(2103),
    [anon_sym_NULL] = ACTIONS(2106),
    [anon_sym_nullptr] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2109),
    [anon_sym_template] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2375),
    [anon_sym_co_return] = ACTIONS(2378),
    [anon_sym_co_yield] = ACTIONS(2381),
    [anon_sym_R_DQUOTE] = ACTIONS(2130),
    [anon_sym_LR_DQUOTE] = ACTIONS(2130),
    [anon_sym_uR_DQUOTE] = ACTIONS(2130),
    [anon_sym_UR_DQUOTE] = ACTIONS(2130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2130),
    [anon_sym_co_await] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2139),
    [sym_this] = ACTIONS(2103),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(548),
    [sym_attributed_statement] = STATE(548),
    [sym_labeled_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(548),
    [sym_case_statement] = STATE(548),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_seh_try_statement] = STATE(548),
    [sym_seh_leave_statement] = STATE(548),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(548),
    [sym_co_return_statement] = STATE(548),
    [sym_co_yield_statement] = STATE(548),
    [sym_throw_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1994),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2000),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [191] = {
    [sym__expression] = STATE(3130),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_initializer_list] = STATE(3509),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_and_eq] = ACTIONS(1874),
    [anon_sym_or_eq] = ACTIONS(1874),
    [anon_sym_xor_eq] = ACTIONS(1874),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(1876),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(4305),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7745),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [193] = {
    [sym_catch_clause] = STATE(195),
    [aux_sym_constructor_try_statement_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym___cdecl] = ACTIONS(2453),
    [anon_sym___clrcall] = ACTIONS(2453),
    [anon_sym___stdcall] = ACTIONS(2453),
    [anon_sym___fastcall] = ACTIONS(2453),
    [anon_sym___thiscall] = ACTIONS(2453),
    [anon_sym___vectorcall] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_goto] = ACTIONS(2453),
    [anon_sym___try] = ACTIONS(2453),
    [anon_sym___leave] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2453),
    [anon_sym_compl] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_sizeof] = ACTIONS(2453),
    [anon_sym___alignof__] = ACTIONS(2453),
    [anon_sym___alignof] = ACTIONS(2453),
    [anon_sym__alignof] = ACTIONS(2453),
    [anon_sym_alignof] = ACTIONS(2453),
    [anon_sym__Alignof] = ACTIONS(2453),
    [anon_sym_offsetof] = ACTIONS(2453),
    [anon_sym__Generic] = ACTIONS(2453),
    [anon_sym_asm] = ACTIONS(2453),
    [anon_sym___asm__] = ACTIONS(2453),
    [sym_number_literal] = ACTIONS(2455),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2455),
    [anon_sym_u_DQUOTE] = ACTIONS(2455),
    [anon_sym_U_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8_DQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [anon_sym_NULL] = ACTIONS(2453),
    [anon_sym_nullptr] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_concept] = ACTIONS(2453),
    [anon_sym_co_return] = ACTIONS(2453),
    [anon_sym_co_yield] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(2457),
    [anon_sym_R_DQUOTE] = ACTIONS(2455),
    [anon_sym_LR_DQUOTE] = ACTIONS(2455),
    [anon_sym_uR_DQUOTE] = ACTIONS(2455),
    [anon_sym_UR_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2455),
    [anon_sym_co_await] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_requires] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
  },
  [194] = {
    [sym__expression] = STATE(3507),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1874),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_STAR_EQ] = ACTIONS(1876),
    [anon_sym_SLASH_EQ] = ACTIONS(1876),
    [anon_sym_PERCENT_EQ] = ACTIONS(1876),
    [anon_sym_PLUS_EQ] = ACTIONS(1876),
    [anon_sym_DASH_EQ] = ACTIONS(1876),
    [anon_sym_LT_LT_EQ] = ACTIONS(1876),
    [anon_sym_GT_GT_EQ] = ACTIONS(1876),
    [anon_sym_AMP_EQ] = ACTIONS(1876),
    [anon_sym_CARET_EQ] = ACTIONS(1876),
    [anon_sym_PIPE_EQ] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1874),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1876),
    [sym_this] = ACTIONS(1774),
  },
  [195] = {
    [sym_catch_clause] = STATE(195),
    [aux_sym_constructor_try_statement_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym___cdecl] = ACTIONS(2465),
    [anon_sym___clrcall] = ACTIONS(2465),
    [anon_sym___stdcall] = ACTIONS(2465),
    [anon_sym___fastcall] = ACTIONS(2465),
    [anon_sym___thiscall] = ACTIONS(2465),
    [anon_sym___vectorcall] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_goto] = ACTIONS(2465),
    [anon_sym___try] = ACTIONS(2465),
    [anon_sym___leave] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2465),
    [anon_sym_compl] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_sizeof] = ACTIONS(2465),
    [anon_sym___alignof__] = ACTIONS(2465),
    [anon_sym___alignof] = ACTIONS(2465),
    [anon_sym__alignof] = ACTIONS(2465),
    [anon_sym_alignof] = ACTIONS(2465),
    [anon_sym__Alignof] = ACTIONS(2465),
    [anon_sym_offsetof] = ACTIONS(2465),
    [anon_sym__Generic] = ACTIONS(2465),
    [anon_sym_asm] = ACTIONS(2465),
    [anon_sym___asm__] = ACTIONS(2465),
    [sym_number_literal] = ACTIONS(2467),
    [anon_sym_L_SQUOTE] = ACTIONS(2467),
    [anon_sym_u_SQUOTE] = ACTIONS(2467),
    [anon_sym_U_SQUOTE] = ACTIONS(2467),
    [anon_sym_u8_SQUOTE] = ACTIONS(2467),
    [anon_sym_SQUOTE] = ACTIONS(2467),
    [anon_sym_L_DQUOTE] = ACTIONS(2467),
    [anon_sym_u_DQUOTE] = ACTIONS(2467),
    [anon_sym_U_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8_DQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [anon_sym_NULL] = ACTIONS(2465),
    [anon_sym_nullptr] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_concept] = ACTIONS(2465),
    [anon_sym_co_return] = ACTIONS(2465),
    [anon_sym_co_yield] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(2469),
    [anon_sym_R_DQUOTE] = ACTIONS(2467),
    [anon_sym_LR_DQUOTE] = ACTIONS(2467),
    [anon_sym_uR_DQUOTE] = ACTIONS(2467),
    [anon_sym_UR_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2467),
    [anon_sym_co_await] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
  },
  [196] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8090),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [197] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2847),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(8057),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8156),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8230),
    [sym__unary_right_fold] = STATE(8229),
    [sym__binary_fold] = STATE(8228),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(8071),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [198] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7830),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [199] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2899),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7811),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8011),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8052),
    [sym__unary_right_fold] = STATE(8051),
    [sym__binary_fold] = STATE(8045),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7802),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [200] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7737),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [201] = {
    [sym_catch_clause] = STATE(195),
    [aux_sym_constructor_try_statement_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2457),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [202] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8103),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [203] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2899),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7811),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8053),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8052),
    [sym__unary_right_fold] = STATE(8051),
    [sym__binary_fold] = STATE(8045),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7802),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [204] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8373),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [205] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7786),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [206] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7698),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [207] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7920),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [208] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8066),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [209] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7954),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [210] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2847),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(8057),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7952),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7951),
    [sym__unary_right_fold] = STATE(7950),
    [sym__binary_fold] = STATE(7949),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(8071),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [211] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2847),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(8057),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7919),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7951),
    [sym__unary_right_fold] = STATE(7950),
    [sym__binary_fold] = STATE(7949),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(8071),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [212] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2899),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7811),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7809),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7807),
    [sym__unary_right_fold] = STATE(7806),
    [sym__binary_fold] = STATE(7803),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7802),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [213] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7982),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [214] = {
    [sym_catch_clause] = STATE(195),
    [aux_sym_constructor_try_statement_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [aux_sym_preproc_else_token1] = ACTIONS(2482),
    [aux_sym_preproc_elif_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(2457),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [215] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8258),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [216] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7767),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [217] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2847),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(8057),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8231),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8230),
    [sym__unary_right_fold] = STATE(8229),
    [sym__binary_fold] = STATE(8228),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(8071),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [218] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2899),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7811),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7582),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7807),
    [sym__unary_right_fold] = STATE(7806),
    [sym__binary_fold] = STATE(7803),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7802),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [219] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(8062),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [220] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7846),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [221] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7945),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [222] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7681),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [223] = {
    [sym_type_qualifier] = STATE(4005),
    [sym__type_specifier] = STATE(4753),
    [sym_sized_type_specifier] = STATE(2001),
    [sym_enum_specifier] = STATE(2001),
    [sym_struct_specifier] = STATE(2001),
    [sym_union_specifier] = STATE(2001),
    [sym__expression] = STATE(2891),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_type_descriptor] = STATE(7707),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_placeholder_type_specifier] = STATE(2001),
    [sym_decltype_auto] = STATE(1988),
    [sym_decltype] = STATE(1842),
    [sym_class_specifier] = STATE(2001),
    [sym__class_name] = STATE(7447),
    [sym_dependent_type] = STATE(2001),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4005),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2011),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_signed] = ACTIONS(1820),
    [anon_sym_unsigned] = ACTIONS(1820),
    [anon_sym_long] = ACTIONS(1820),
    [anon_sym_short] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1830),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1856),
    [anon_sym_decltype] = ACTIONS(1858),
    [anon_sym_typename] = ACTIONS(1860),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [224] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym___leave] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(2486),
    [anon_sym_compl] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2486),
    [anon_sym_delete] = ACTIONS(2486),
    [anon_sym_throw] = ACTIONS(2486),
    [anon_sym_namespace] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_concept] = ACTIONS(2486),
    [anon_sym_co_return] = ACTIONS(2486),
    [anon_sym_co_yield] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2486),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2486),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [226] = {
    [sym_else_clause] = STATE(238),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [aux_sym_preproc_else_token1] = ACTIONS(2490),
    [aux_sym_preproc_elif_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [sym_virtual] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
  },
  [227] = {
    [sym_else_clause] = STATE(261),
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token2] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [aux_sym_preproc_else_token1] = ACTIONS(2496),
    [aux_sym_preproc_elif_token1] = ACTIONS(2496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_include_token1] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [aux_sym_preproc_else_token1] = ACTIONS(1950),
    [aux_sym_preproc_elif_token1] = ACTIONS(1950),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym___cdecl] = ACTIONS(1950),
    [anon_sym___clrcall] = ACTIONS(1950),
    [anon_sym___stdcall] = ACTIONS(1950),
    [anon_sym___fastcall] = ACTIONS(1950),
    [anon_sym___thiscall] = ACTIONS(1950),
    [anon_sym___vectorcall] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym___try] = ACTIONS(1950),
    [anon_sym___leave] = ACTIONS(1950),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_compl] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym___alignof__] = ACTIONS(1950),
    [anon_sym___alignof] = ACTIONS(1950),
    [anon_sym__alignof] = ACTIONS(1950),
    [anon_sym_alignof] = ACTIONS(1950),
    [anon_sym__Alignof] = ACTIONS(1950),
    [anon_sym_offsetof] = ACTIONS(1950),
    [anon_sym__Generic] = ACTIONS(1950),
    [anon_sym_asm] = ACTIONS(1950),
    [anon_sym___asm__] = ACTIONS(1950),
    [sym_number_literal] = ACTIONS(1948),
    [anon_sym_L_SQUOTE] = ACTIONS(1948),
    [anon_sym_u_SQUOTE] = ACTIONS(1948),
    [anon_sym_U_SQUOTE] = ACTIONS(1948),
    [anon_sym_u8_SQUOTE] = ACTIONS(1948),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1950),
    [anon_sym_nullptr] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_namespace] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_concept] = ACTIONS(1950),
    [anon_sym_co_return] = ACTIONS(1950),
    [anon_sym_co_yield] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_requires] = ACTIONS(1950),
    [sym_this] = ACTIONS(1950),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [aux_sym_preproc_else_token1] = ACTIONS(2500),
    [aux_sym_preproc_elif_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [aux_sym_preproc_else_token1] = ACTIONS(2570),
    [aux_sym_preproc_elif_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [sym_virtual] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [aux_sym_preproc_else_token1] = ACTIONS(2574),
    [aux_sym_preproc_elif_token1] = ACTIONS(2574),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [sym_virtual] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [aux_sym_preproc_else_token1] = ACTIONS(2578),
    [aux_sym_preproc_elif_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [sym_virtual] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [aux_sym_preproc_else_token1] = ACTIONS(2582),
    [aux_sym_preproc_elif_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [sym_virtual] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [aux_sym_preproc_else_token1] = ACTIONS(2586),
    [aux_sym_preproc_elif_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [sym_virtual] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [aux_sym_preproc_else_token1] = ACTIONS(2590),
    [aux_sym_preproc_elif_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [sym_virtual] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [aux_sym_preproc_else_token1] = ACTIONS(2594),
    [aux_sym_preproc_elif_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [sym_virtual] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [aux_sym_preproc_else_token1] = ACTIONS(2598),
    [aux_sym_preproc_elif_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [aux_sym_preproc_else_token1] = ACTIONS(2602),
    [aux_sym_preproc_elif_token1] = ACTIONS(2602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [sym_virtual] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [aux_sym_preproc_else_token1] = ACTIONS(2606),
    [aux_sym_preproc_elif_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [sym_virtual] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [aux_sym_preproc_else_token1] = ACTIONS(2610),
    [aux_sym_preproc_elif_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [sym_virtual] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [aux_sym_preproc_else_token1] = ACTIONS(2614),
    [aux_sym_preproc_elif_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [sym_virtual] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [aux_sym_preproc_else_token1] = ACTIONS(2626),
    [aux_sym_preproc_elif_token1] = ACTIONS(2626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___based] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_mutable] = ACTIONS(2626),
    [anon_sym_constinit] = ACTIONS(2626),
    [anon_sym_consteval] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym___leave] = ACTIONS(2626),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_compl] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2626),
    [anon_sym_decltype] = ACTIONS(2626),
    [sym_virtual] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym_explicit] = ACTIONS(2626),
    [anon_sym_typename] = ACTIONS(2626),
    [anon_sym_template] = ACTIONS(2626),
    [anon_sym_operator] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_static_assert] = ACTIONS(2626),
    [anon_sym_concept] = ACTIONS(2626),
    [anon_sym_co_return] = ACTIONS(2626),
    [anon_sym_co_yield] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2628),
    [anon_sym_LR_DQUOTE] = ACTIONS(2628),
    [anon_sym_uR_DQUOTE] = ACTIONS(2628),
    [anon_sym_UR_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2628),
    [anon_sym_co_await] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_requires] = ACTIONS(2626),
    [sym_this] = ACTIONS(2626),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [aux_sym_preproc_else_token1] = ACTIONS(2630),
    [aux_sym_preproc_elif_token1] = ACTIONS(2630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___based] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_mutable] = ACTIONS(2630),
    [anon_sym_constinit] = ACTIONS(2630),
    [anon_sym_consteval] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym___leave] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2630),
    [anon_sym_compl] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2630),
    [anon_sym_decltype] = ACTIONS(2630),
    [sym_virtual] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym_explicit] = ACTIONS(2630),
    [anon_sym_typename] = ACTIONS(2630),
    [anon_sym_template] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_using] = ACTIONS(2630),
    [anon_sym_static_assert] = ACTIONS(2630),
    [anon_sym_concept] = ACTIONS(2630),
    [anon_sym_co_return] = ACTIONS(2630),
    [anon_sym_co_yield] = ACTIONS(2630),
    [anon_sym_R_DQUOTE] = ACTIONS(2632),
    [anon_sym_LR_DQUOTE] = ACTIONS(2632),
    [anon_sym_uR_DQUOTE] = ACTIONS(2632),
    [anon_sym_UR_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2632),
    [anon_sym_co_await] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_requires] = ACTIONS(2630),
    [sym_this] = ACTIONS(2630),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [aux_sym_preproc_else_token1] = ACTIONS(2642),
    [aux_sym_preproc_elif_token1] = ACTIONS(2642),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___based] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_mutable] = ACTIONS(2642),
    [anon_sym_constinit] = ACTIONS(2642),
    [anon_sym_consteval] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym___leave] = ACTIONS(2642),
    [anon_sym_not] = ACTIONS(2642),
    [anon_sym_compl] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2642),
    [anon_sym_decltype] = ACTIONS(2642),
    [sym_virtual] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym_explicit] = ACTIONS(2642),
    [anon_sym_typename] = ACTIONS(2642),
    [anon_sym_template] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2642),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_using] = ACTIONS(2642),
    [anon_sym_static_assert] = ACTIONS(2642),
    [anon_sym_concept] = ACTIONS(2642),
    [anon_sym_co_return] = ACTIONS(2642),
    [anon_sym_co_yield] = ACTIONS(2642),
    [anon_sym_R_DQUOTE] = ACTIONS(2644),
    [anon_sym_LR_DQUOTE] = ACTIONS(2644),
    [anon_sym_uR_DQUOTE] = ACTIONS(2644),
    [anon_sym_UR_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2644),
    [anon_sym_co_await] = ACTIONS(2642),
    [anon_sym_new] = ACTIONS(2642),
    [anon_sym_requires] = ACTIONS(2642),
    [sym_this] = ACTIONS(2642),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [aux_sym_preproc_else_token1] = ACTIONS(2646),
    [aux_sym_preproc_elif_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym_COLON_COLON] = ACTIONS(2648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___based] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_mutable] = ACTIONS(2646),
    [anon_sym_constinit] = ACTIONS(2646),
    [anon_sym_consteval] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym___leave] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2646),
    [anon_sym_compl] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2646),
    [anon_sym_decltype] = ACTIONS(2646),
    [sym_virtual] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym_explicit] = ACTIONS(2646),
    [anon_sym_typename] = ACTIONS(2646),
    [anon_sym_template] = ACTIONS(2646),
    [anon_sym_operator] = ACTIONS(2646),
    [anon_sym_try] = ACTIONS(2646),
    [anon_sym_delete] = ACTIONS(2646),
    [anon_sym_throw] = ACTIONS(2646),
    [anon_sym_namespace] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(2646),
    [anon_sym_static_assert] = ACTIONS(2646),
    [anon_sym_concept] = ACTIONS(2646),
    [anon_sym_co_return] = ACTIONS(2646),
    [anon_sym_co_yield] = ACTIONS(2646),
    [anon_sym_R_DQUOTE] = ACTIONS(2648),
    [anon_sym_LR_DQUOTE] = ACTIONS(2648),
    [anon_sym_uR_DQUOTE] = ACTIONS(2648),
    [anon_sym_UR_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2648),
    [anon_sym_co_await] = ACTIONS(2646),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2646),
    [sym_this] = ACTIONS(2646),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [sym_virtual] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [sym_virtual] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [312] = {
    [sym__expression] = STATE(4377),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7740),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym___extension__] = ACTIONS(2663),
    [anon_sym_extern] = ACTIONS(2663),
    [anon_sym___attribute__] = ACTIONS(2663),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2663),
    [anon_sym_unsigned] = ACTIONS(2663),
    [anon_sym_long] = ACTIONS(2663),
    [anon_sym_short] = ACTIONS(2663),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(2663),
    [anon_sym_register] = ACTIONS(2663),
    [anon_sym_inline] = ACTIONS(2663),
    [anon_sym___inline] = ACTIONS(2663),
    [anon_sym___inline__] = ACTIONS(2663),
    [anon_sym___forceinline] = ACTIONS(2663),
    [anon_sym_thread_local] = ACTIONS(2663),
    [anon_sym___thread] = ACTIONS(2663),
    [anon_sym_const] = ACTIONS(2663),
    [anon_sym_constexpr] = ACTIONS(2663),
    [anon_sym_volatile] = ACTIONS(2663),
    [anon_sym_restrict] = ACTIONS(2663),
    [anon_sym___restrict__] = ACTIONS(2663),
    [anon_sym__Atomic] = ACTIONS(2663),
    [anon_sym__Noreturn] = ACTIONS(2663),
    [anon_sym_noreturn] = ACTIONS(2663),
    [anon_sym_mutable] = ACTIONS(2663),
    [anon_sym_constinit] = ACTIONS(2663),
    [anon_sym_consteval] = ACTIONS(2663),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2663),
    [anon_sym_class] = ACTIONS(2663),
    [anon_sym_struct] = ACTIONS(2663),
    [anon_sym_union] = ACTIONS(2663),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2663),
    [anon_sym_decltype] = ACTIONS(2673),
    [sym_virtual] = ACTIONS(2663),
    [anon_sym_alignas] = ACTIONS(2663),
    [anon_sym_typename] = ACTIONS(2663),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2679),
    [aux_sym_preproc_include_token1] = ACTIONS(2679),
    [aux_sym_preproc_def_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token2] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [aux_sym_preproc_else_token1] = ACTIONS(2679),
    [aux_sym_preproc_elif_token1] = ACTIONS(2679),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2679),
    [anon_sym_LPAREN2] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_typedef] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym___based] = ACTIONS(2679),
    [anon_sym___cdecl] = ACTIONS(2679),
    [anon_sym___clrcall] = ACTIONS(2679),
    [anon_sym___stdcall] = ACTIONS(2679),
    [anon_sym___fastcall] = ACTIONS(2679),
    [anon_sym___thiscall] = ACTIONS(2679),
    [anon_sym___vectorcall] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [anon_sym_mutable] = ACTIONS(2679),
    [anon_sym_constinit] = ACTIONS(2679),
    [anon_sym_consteval] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_goto] = ACTIONS(2679),
    [anon_sym___try] = ACTIONS(2679),
    [anon_sym___leave] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_compl] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_sizeof] = ACTIONS(2679),
    [anon_sym___alignof__] = ACTIONS(2679),
    [anon_sym___alignof] = ACTIONS(2679),
    [anon_sym__alignof] = ACTIONS(2679),
    [anon_sym_alignof] = ACTIONS(2679),
    [anon_sym__Alignof] = ACTIONS(2679),
    [anon_sym_offsetof] = ACTIONS(2679),
    [anon_sym__Generic] = ACTIONS(2679),
    [anon_sym_asm] = ACTIONS(2679),
    [anon_sym___asm__] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2681),
    [anon_sym_L_SQUOTE] = ACTIONS(2681),
    [anon_sym_u_SQUOTE] = ACTIONS(2681),
    [anon_sym_U_SQUOTE] = ACTIONS(2681),
    [anon_sym_u8_SQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_L_DQUOTE] = ACTIONS(2681),
    [anon_sym_u_DQUOTE] = ACTIONS(2681),
    [anon_sym_U_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8_DQUOTE] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_NULL] = ACTIONS(2679),
    [anon_sym_nullptr] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2679),
    [anon_sym_decltype] = ACTIONS(2679),
    [sym_virtual] = ACTIONS(2679),
    [anon_sym_alignas] = ACTIONS(2679),
    [anon_sym_explicit] = ACTIONS(2679),
    [anon_sym_typename] = ACTIONS(2679),
    [anon_sym_template] = ACTIONS(2679),
    [anon_sym_operator] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_delete] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_namespace] = ACTIONS(2679),
    [anon_sym_using] = ACTIONS(2679),
    [anon_sym_static_assert] = ACTIONS(2679),
    [anon_sym_concept] = ACTIONS(2679),
    [anon_sym_co_return] = ACTIONS(2679),
    [anon_sym_co_yield] = ACTIONS(2679),
    [anon_sym_R_DQUOTE] = ACTIONS(2681),
    [anon_sym_LR_DQUOTE] = ACTIONS(2681),
    [anon_sym_uR_DQUOTE] = ACTIONS(2681),
    [anon_sym_UR_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2681),
    [anon_sym_co_await] = ACTIONS(2679),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_requires] = ACTIONS(2679),
    [sym_this] = ACTIONS(2679),
  },
  [314] = {
    [sym__expression] = STATE(4379),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7700),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2688),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2694),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2697),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [316] = {
    [sym_catch_clause] = STATE(316),
    [aux_sym_constructor_try_statement_repeat1] = STATE(316),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym___cdecl] = ACTIONS(2465),
    [anon_sym___clrcall] = ACTIONS(2465),
    [anon_sym___stdcall] = ACTIONS(2465),
    [anon_sym___fastcall] = ACTIONS(2465),
    [anon_sym___thiscall] = ACTIONS(2465),
    [anon_sym___vectorcall] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_goto] = ACTIONS(2465),
    [anon_sym___try] = ACTIONS(2465),
    [anon_sym___leave] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2465),
    [anon_sym_compl] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_sizeof] = ACTIONS(2465),
    [anon_sym___alignof__] = ACTIONS(2465),
    [anon_sym___alignof] = ACTIONS(2465),
    [anon_sym__alignof] = ACTIONS(2465),
    [anon_sym_alignof] = ACTIONS(2465),
    [anon_sym__Alignof] = ACTIONS(2465),
    [anon_sym_offsetof] = ACTIONS(2465),
    [anon_sym__Generic] = ACTIONS(2465),
    [anon_sym_asm] = ACTIONS(2465),
    [anon_sym___asm__] = ACTIONS(2465),
    [sym_number_literal] = ACTIONS(2467),
    [anon_sym_L_SQUOTE] = ACTIONS(2467),
    [anon_sym_u_SQUOTE] = ACTIONS(2467),
    [anon_sym_U_SQUOTE] = ACTIONS(2467),
    [anon_sym_u8_SQUOTE] = ACTIONS(2467),
    [anon_sym_SQUOTE] = ACTIONS(2467),
    [anon_sym_L_DQUOTE] = ACTIONS(2467),
    [anon_sym_u_DQUOTE] = ACTIONS(2467),
    [anon_sym_U_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8_DQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [anon_sym_NULL] = ACTIONS(2465),
    [anon_sym_nullptr] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_concept] = ACTIONS(2465),
    [anon_sym_co_return] = ACTIONS(2465),
    [anon_sym_co_yield] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2467),
    [anon_sym_LR_DQUOTE] = ACTIONS(2467),
    [anon_sym_uR_DQUOTE] = ACTIONS(2467),
    [anon_sym_UR_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2467),
    [anon_sym_co_await] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
  },
  [317] = {
    [sym_catch_clause] = STATE(372),
    [aux_sym_constructor_try_statement_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym___cdecl] = ACTIONS(2453),
    [anon_sym___clrcall] = ACTIONS(2453),
    [anon_sym___stdcall] = ACTIONS(2453),
    [anon_sym___fastcall] = ACTIONS(2453),
    [anon_sym___thiscall] = ACTIONS(2453),
    [anon_sym___vectorcall] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_goto] = ACTIONS(2453),
    [anon_sym___try] = ACTIONS(2453),
    [anon_sym___leave] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2453),
    [anon_sym_compl] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_sizeof] = ACTIONS(2453),
    [anon_sym___alignof__] = ACTIONS(2453),
    [anon_sym___alignof] = ACTIONS(2453),
    [anon_sym__alignof] = ACTIONS(2453),
    [anon_sym_alignof] = ACTIONS(2453),
    [anon_sym__Alignof] = ACTIONS(2453),
    [anon_sym_offsetof] = ACTIONS(2453),
    [anon_sym__Generic] = ACTIONS(2453),
    [anon_sym_asm] = ACTIONS(2453),
    [anon_sym___asm__] = ACTIONS(2453),
    [sym_number_literal] = ACTIONS(2455),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2455),
    [anon_sym_u_DQUOTE] = ACTIONS(2455),
    [anon_sym_U_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8_DQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [anon_sym_NULL] = ACTIONS(2453),
    [anon_sym_nullptr] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_concept] = ACTIONS(2453),
    [anon_sym_co_return] = ACTIONS(2453),
    [anon_sym_co_yield] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2455),
    [anon_sym_LR_DQUOTE] = ACTIONS(2455),
    [anon_sym_uR_DQUOTE] = ACTIONS(2455),
    [anon_sym_UR_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2455),
    [anon_sym_co_await] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_requires] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token2] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [aux_sym_preproc_else_token1] = ACTIONS(2709),
    [aux_sym_preproc_elif_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2711),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2711),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [sym_primitive_type] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [sym_number_literal] = ACTIONS(2711),
    [anon_sym_L_SQUOTE] = ACTIONS(2711),
    [anon_sym_u_SQUOTE] = ACTIONS(2711),
    [anon_sym_U_SQUOTE] = ACTIONS(2711),
    [anon_sym_u8_SQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_L_DQUOTE] = ACTIONS(2711),
    [anon_sym_u_DQUOTE] = ACTIONS(2711),
    [anon_sym_U_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8_DQUOTE] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [sym_virtual] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2711),
    [anon_sym_LR_DQUOTE] = ACTIONS(2711),
    [anon_sym_uR_DQUOTE] = ACTIONS(2711),
    [anon_sym_UR_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2711),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2713),
    [aux_sym_preproc_include_token1] = ACTIONS(2713),
    [aux_sym_preproc_def_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token2] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [aux_sym_preproc_else_token1] = ACTIONS(2713),
    [aux_sym_preproc_elif_token1] = ACTIONS(2713),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2713),
    [anon_sym_LPAREN2] = ACTIONS(2715),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym___extension__] = ACTIONS(2713),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_extern] = ACTIONS(2713),
    [anon_sym___attribute__] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2715),
    [anon_sym___declspec] = ACTIONS(2713),
    [anon_sym___based] = ACTIONS(2713),
    [anon_sym___cdecl] = ACTIONS(2713),
    [anon_sym___clrcall] = ACTIONS(2713),
    [anon_sym___stdcall] = ACTIONS(2713),
    [anon_sym___fastcall] = ACTIONS(2713),
    [anon_sym___thiscall] = ACTIONS(2713),
    [anon_sym___vectorcall] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_signed] = ACTIONS(2713),
    [anon_sym_unsigned] = ACTIONS(2713),
    [anon_sym_long] = ACTIONS(2713),
    [anon_sym_short] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_register] = ACTIONS(2713),
    [anon_sym_inline] = ACTIONS(2713),
    [anon_sym___inline] = ACTIONS(2713),
    [anon_sym___inline__] = ACTIONS(2713),
    [anon_sym___forceinline] = ACTIONS(2713),
    [anon_sym_thread_local] = ACTIONS(2713),
    [anon_sym___thread] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_constexpr] = ACTIONS(2713),
    [anon_sym_volatile] = ACTIONS(2713),
    [anon_sym_restrict] = ACTIONS(2713),
    [anon_sym___restrict__] = ACTIONS(2713),
    [anon_sym__Atomic] = ACTIONS(2713),
    [anon_sym__Noreturn] = ACTIONS(2713),
    [anon_sym_noreturn] = ACTIONS(2713),
    [anon_sym_mutable] = ACTIONS(2713),
    [anon_sym_constinit] = ACTIONS(2713),
    [anon_sym_consteval] = ACTIONS(2713),
    [sym_primitive_type] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_struct] = ACTIONS(2713),
    [anon_sym_union] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_goto] = ACTIONS(2713),
    [anon_sym___try] = ACTIONS(2713),
    [anon_sym___leave] = ACTIONS(2713),
    [anon_sym_not] = ACTIONS(2713),
    [anon_sym_compl] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2713),
    [anon_sym___alignof] = ACTIONS(2713),
    [anon_sym__alignof] = ACTIONS(2713),
    [anon_sym_alignof] = ACTIONS(2713),
    [anon_sym__Alignof] = ACTIONS(2713),
    [anon_sym_offsetof] = ACTIONS(2713),
    [anon_sym__Generic] = ACTIONS(2713),
    [anon_sym_asm] = ACTIONS(2713),
    [anon_sym___asm__] = ACTIONS(2713),
    [sym_number_literal] = ACTIONS(2715),
    [anon_sym_L_SQUOTE] = ACTIONS(2715),
    [anon_sym_u_SQUOTE] = ACTIONS(2715),
    [anon_sym_U_SQUOTE] = ACTIONS(2715),
    [anon_sym_u8_SQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_L_DQUOTE] = ACTIONS(2715),
    [anon_sym_u_DQUOTE] = ACTIONS(2715),
    [anon_sym_U_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8_DQUOTE] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [anon_sym_NULL] = ACTIONS(2713),
    [anon_sym_nullptr] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2713),
    [anon_sym_decltype] = ACTIONS(2713),
    [sym_virtual] = ACTIONS(2713),
    [anon_sym_alignas] = ACTIONS(2713),
    [anon_sym_explicit] = ACTIONS(2713),
    [anon_sym_typename] = ACTIONS(2713),
    [anon_sym_template] = ACTIONS(2713),
    [anon_sym_operator] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_static_assert] = ACTIONS(2713),
    [anon_sym_concept] = ACTIONS(2713),
    [anon_sym_co_return] = ACTIONS(2713),
    [anon_sym_co_yield] = ACTIONS(2713),
    [anon_sym_R_DQUOTE] = ACTIONS(2715),
    [anon_sym_LR_DQUOTE] = ACTIONS(2715),
    [anon_sym_uR_DQUOTE] = ACTIONS(2715),
    [anon_sym_UR_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2715),
    [anon_sym_co_await] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_requires] = ACTIONS(2713),
    [sym_this] = ACTIONS(2713),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [323] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2467),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym___cdecl] = ACTIONS(2465),
    [anon_sym___clrcall] = ACTIONS(2465),
    [anon_sym___stdcall] = ACTIONS(2465),
    [anon_sym___fastcall] = ACTIONS(2465),
    [anon_sym___thiscall] = ACTIONS(2465),
    [anon_sym___vectorcall] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_goto] = ACTIONS(2465),
    [anon_sym___try] = ACTIONS(2465),
    [anon_sym___leave] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2465),
    [anon_sym_compl] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_sizeof] = ACTIONS(2465),
    [anon_sym___alignof__] = ACTIONS(2465),
    [anon_sym___alignof] = ACTIONS(2465),
    [anon_sym__alignof] = ACTIONS(2465),
    [anon_sym_alignof] = ACTIONS(2465),
    [anon_sym__Alignof] = ACTIONS(2465),
    [anon_sym_offsetof] = ACTIONS(2465),
    [anon_sym__Generic] = ACTIONS(2465),
    [anon_sym_asm] = ACTIONS(2465),
    [anon_sym___asm__] = ACTIONS(2465),
    [sym_number_literal] = ACTIONS(2467),
    [anon_sym_L_SQUOTE] = ACTIONS(2467),
    [anon_sym_u_SQUOTE] = ACTIONS(2467),
    [anon_sym_U_SQUOTE] = ACTIONS(2467),
    [anon_sym_u8_SQUOTE] = ACTIONS(2467),
    [anon_sym_SQUOTE] = ACTIONS(2467),
    [anon_sym_L_DQUOTE] = ACTIONS(2467),
    [anon_sym_u_DQUOTE] = ACTIONS(2467),
    [anon_sym_U_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8_DQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [anon_sym_NULL] = ACTIONS(2465),
    [anon_sym_nullptr] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_concept] = ACTIONS(2465),
    [anon_sym_co_return] = ACTIONS(2465),
    [anon_sym_co_yield] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2467),
    [anon_sym_LR_DQUOTE] = ACTIONS(2467),
    [anon_sym_uR_DQUOTE] = ACTIONS(2467),
    [anon_sym_UR_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2467),
    [anon_sym_co_await] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [aux_sym_preproc_else_token1] = ACTIONS(2732),
    [aux_sym_preproc_elif_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [325] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2455),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym___cdecl] = ACTIONS(2453),
    [anon_sym___clrcall] = ACTIONS(2453),
    [anon_sym___stdcall] = ACTIONS(2453),
    [anon_sym___fastcall] = ACTIONS(2453),
    [anon_sym___thiscall] = ACTIONS(2453),
    [anon_sym___vectorcall] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_goto] = ACTIONS(2453),
    [anon_sym___try] = ACTIONS(2453),
    [anon_sym___leave] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2453),
    [anon_sym_compl] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_sizeof] = ACTIONS(2453),
    [anon_sym___alignof__] = ACTIONS(2453),
    [anon_sym___alignof] = ACTIONS(2453),
    [anon_sym__alignof] = ACTIONS(2453),
    [anon_sym_alignof] = ACTIONS(2453),
    [anon_sym__Alignof] = ACTIONS(2453),
    [anon_sym_offsetof] = ACTIONS(2453),
    [anon_sym__Generic] = ACTIONS(2453),
    [anon_sym_asm] = ACTIONS(2453),
    [anon_sym___asm__] = ACTIONS(2453),
    [sym_number_literal] = ACTIONS(2455),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2455),
    [anon_sym_u_DQUOTE] = ACTIONS(2455),
    [anon_sym_U_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8_DQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [anon_sym_NULL] = ACTIONS(2453),
    [anon_sym_nullptr] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_concept] = ACTIONS(2453),
    [anon_sym_co_return] = ACTIONS(2453),
    [anon_sym_co_yield] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2455),
    [anon_sym_LR_DQUOTE] = ACTIONS(2455),
    [anon_sym_uR_DQUOTE] = ACTIONS(2455),
    [anon_sym_UR_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2455),
    [anon_sym_co_await] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_requires] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [aux_sym_preproc_else_token1] = ACTIONS(2738),
    [aux_sym_preproc_elif_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [sym_virtual] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [aux_sym_preproc_else_token1] = ACTIONS(2746),
    [aux_sym_preproc_elif_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___based] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_mutable] = ACTIONS(2746),
    [anon_sym_constinit] = ACTIONS(2746),
    [anon_sym_consteval] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym___leave] = ACTIONS(2746),
    [anon_sym_not] = ACTIONS(2746),
    [anon_sym_compl] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2746),
    [anon_sym_decltype] = ACTIONS(2746),
    [sym_virtual] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym_explicit] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2746),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_operator] = ACTIONS(2746),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(2746),
    [anon_sym_throw] = ACTIONS(2746),
    [anon_sym_namespace] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_static_assert] = ACTIONS(2746),
    [anon_sym_concept] = ACTIONS(2746),
    [anon_sym_co_return] = ACTIONS(2746),
    [anon_sym_co_yield] = ACTIONS(2746),
    [anon_sym_R_DQUOTE] = ACTIONS(2748),
    [anon_sym_LR_DQUOTE] = ACTIONS(2748),
    [anon_sym_uR_DQUOTE] = ACTIONS(2748),
    [anon_sym_UR_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2748),
    [anon_sym_co_await] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2746),
    [anon_sym_requires] = ACTIONS(2746),
    [sym_this] = ACTIONS(2746),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [aux_sym_preproc_else_token1] = ACTIONS(2762),
    [aux_sym_preproc_elif_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [sym_virtual] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [sym_virtual] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [sym_virtual] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [aux_sym_preproc_else_token1] = ACTIONS(2778),
    [aux_sym_preproc_elif_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [sym_virtual] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [sym_virtual] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [sym_virtual] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [sym_virtual] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [aux_sym_preproc_else_token1] = ACTIONS(2806),
    [aux_sym_preproc_elif_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [sym_virtual] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [aux_sym_preproc_else_token1] = ACTIONS(2810),
    [aux_sym_preproc_elif_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [sym_virtual] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [sym_virtual] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [aux_sym_preproc_else_token1] = ACTIONS(2818),
    [aux_sym_preproc_elif_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [sym_virtual] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [351] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [352] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [aux_sym_preproc_else_token1] = ACTIONS(2834),
    [aux_sym_preproc_elif_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [sym_virtual] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [353] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [aux_sym_preproc_else_token1] = ACTIONS(2838),
    [aux_sym_preproc_elif_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [sym_virtual] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [354] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [355] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [356] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [357] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [359] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [360] = {
    [sym__expression] = STATE(4399),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7576),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2873),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [361] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [aux_sym_preproc_else_token1] = ACTIONS(2879),
    [aux_sym_preproc_elif_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [362] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [aux_sym_preproc_else_token1] = ACTIONS(2883),
    [aux_sym_preproc_elif_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [363] = {
    [sym_catch_clause] = STATE(316),
    [aux_sym_constructor_try_statement_repeat1] = STATE(316),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym___cdecl] = ACTIONS(2453),
    [anon_sym___clrcall] = ACTIONS(2453),
    [anon_sym___stdcall] = ACTIONS(2453),
    [anon_sym___fastcall] = ACTIONS(2453),
    [anon_sym___thiscall] = ACTIONS(2453),
    [anon_sym___vectorcall] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_goto] = ACTIONS(2453),
    [anon_sym___try] = ACTIONS(2453),
    [anon_sym___leave] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2453),
    [anon_sym_compl] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_sizeof] = ACTIONS(2453),
    [anon_sym___alignof__] = ACTIONS(2453),
    [anon_sym___alignof] = ACTIONS(2453),
    [anon_sym__alignof] = ACTIONS(2453),
    [anon_sym_alignof] = ACTIONS(2453),
    [anon_sym__Alignof] = ACTIONS(2453),
    [anon_sym_offsetof] = ACTIONS(2453),
    [anon_sym__Generic] = ACTIONS(2453),
    [anon_sym_asm] = ACTIONS(2453),
    [anon_sym___asm__] = ACTIONS(2453),
    [sym_number_literal] = ACTIONS(2455),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2455),
    [anon_sym_u_DQUOTE] = ACTIONS(2455),
    [anon_sym_U_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8_DQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [anon_sym_NULL] = ACTIONS(2453),
    [anon_sym_nullptr] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_concept] = ACTIONS(2453),
    [anon_sym_co_return] = ACTIONS(2453),
    [anon_sym_co_yield] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2455),
    [anon_sym_LR_DQUOTE] = ACTIONS(2455),
    [anon_sym_uR_DQUOTE] = ACTIONS(2455),
    [anon_sym_UR_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2455),
    [anon_sym_co_await] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_requires] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
  },
  [364] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [365] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [366] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [367] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [368] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [369] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [370] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [371] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [372] = {
    [sym_catch_clause] = STATE(372),
    [aux_sym_constructor_try_statement_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym___cdecl] = ACTIONS(2465),
    [anon_sym___clrcall] = ACTIONS(2465),
    [anon_sym___stdcall] = ACTIONS(2465),
    [anon_sym___fastcall] = ACTIONS(2465),
    [anon_sym___thiscall] = ACTIONS(2465),
    [anon_sym___vectorcall] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_RBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_goto] = ACTIONS(2465),
    [anon_sym___try] = ACTIONS(2465),
    [anon_sym___leave] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2465),
    [anon_sym_compl] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_sizeof] = ACTIONS(2465),
    [anon_sym___alignof__] = ACTIONS(2465),
    [anon_sym___alignof] = ACTIONS(2465),
    [anon_sym__alignof] = ACTIONS(2465),
    [anon_sym_alignof] = ACTIONS(2465),
    [anon_sym__Alignof] = ACTIONS(2465),
    [anon_sym_offsetof] = ACTIONS(2465),
    [anon_sym__Generic] = ACTIONS(2465),
    [anon_sym_asm] = ACTIONS(2465),
    [anon_sym___asm__] = ACTIONS(2465),
    [sym_number_literal] = ACTIONS(2467),
    [anon_sym_L_SQUOTE] = ACTIONS(2467),
    [anon_sym_u_SQUOTE] = ACTIONS(2467),
    [anon_sym_U_SQUOTE] = ACTIONS(2467),
    [anon_sym_u8_SQUOTE] = ACTIONS(2467),
    [anon_sym_SQUOTE] = ACTIONS(2467),
    [anon_sym_L_DQUOTE] = ACTIONS(2467),
    [anon_sym_u_DQUOTE] = ACTIONS(2467),
    [anon_sym_U_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8_DQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [anon_sym_NULL] = ACTIONS(2465),
    [anon_sym_nullptr] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_concept] = ACTIONS(2465),
    [anon_sym_co_return] = ACTIONS(2465),
    [anon_sym_co_yield] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2467),
    [anon_sym_LR_DQUOTE] = ACTIONS(2467),
    [anon_sym_uR_DQUOTE] = ACTIONS(2467),
    [anon_sym_UR_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2467),
    [anon_sym_co_await] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
  },
  [373] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [sym_virtual] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [374] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [375] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [sym_virtual] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [376] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [sym_virtual] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [377] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [sym_virtual] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [378] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [379] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [380] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [aux_sym_preproc_else_token1] = ACTIONS(2952),
    [aux_sym_preproc_elif_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [381] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [aux_sym_preproc_else_token1] = ACTIONS(2956),
    [aux_sym_preproc_elif_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [sym_virtual] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [382] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [aux_sym_preproc_else_token1] = ACTIONS(2960),
    [aux_sym_preproc_elif_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [sym_virtual] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [383] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [sym_virtual] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [384] = {
    [sym_preproc_def] = STATE(411),
    [sym_preproc_function_def] = STATE(411),
    [sym_preproc_call] = STATE(411),
    [sym_preproc_if_in_field_declaration_list] = STATE(411),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(411),
    [sym_preproc_else_in_field_declaration_list] = STATE(7704),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7704),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7704),
    [sym_type_definition] = STATE(411),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(411),
    [sym_field_declaration] = STATE(411),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(411),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(411),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(411),
    [sym_operator_cast_declaration] = STATE(411),
    [sym_constructor_or_destructor_definition] = STATE(411),
    [sym_constructor_or_destructor_declaration] = STATE(411),
    [sym_friend_declaration] = STATE(411),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(411),
    [sym_alias_declaration] = STATE(411),
    [sym_static_assert_declaration] = STATE(411),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(411),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [385] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(7706),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7706),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7706),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [386] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(8290),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8290),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8290),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [387] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4219),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6695),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7010),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [388] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4273),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6669),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7031),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [389] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(8281),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8281),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8281),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [390] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4218),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6670),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7045),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [391] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4265),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6594),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7150),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [392] = {
    [sym_preproc_def] = STATE(389),
    [sym_preproc_function_def] = STATE(389),
    [sym_preproc_call] = STATE(389),
    [sym_preproc_if_in_field_declaration_list] = STATE(389),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(389),
    [sym_preproc_else_in_field_declaration_list] = STATE(8292),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8292),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8292),
    [sym_type_definition] = STATE(389),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(389),
    [sym_field_declaration] = STATE(389),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(389),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(389),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(389),
    [sym_operator_cast_declaration] = STATE(389),
    [sym_constructor_or_destructor_definition] = STATE(389),
    [sym_constructor_or_destructor_declaration] = STATE(389),
    [sym_friend_declaration] = STATE(389),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(389),
    [sym_alias_declaration] = STATE(389),
    [sym_static_assert_declaration] = STATE(389),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(389),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [393] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6592),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7151),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [394] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(8320),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8320),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8320),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [395] = {
    [sym_preproc_def] = STATE(420),
    [sym_preproc_function_def] = STATE(420),
    [sym_preproc_call] = STATE(420),
    [sym_preproc_if_in_field_declaration_list] = STATE(420),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(420),
    [sym_preproc_else_in_field_declaration_list] = STATE(8329),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8329),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8329),
    [sym_type_definition] = STATE(420),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(420),
    [sym_field_declaration] = STATE(420),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(420),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(420),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(420),
    [sym_operator_cast_declaration] = STATE(420),
    [sym_constructor_or_destructor_definition] = STATE(420),
    [sym_constructor_or_destructor_declaration] = STATE(420),
    [sym_friend_declaration] = STATE(420),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(420),
    [sym_alias_declaration] = STATE(420),
    [sym_static_assert_declaration] = STATE(420),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(420),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [396] = {
    [sym_catch_clause] = STATE(372),
    [aux_sym_constructor_try_statement_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [397] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4212),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6650),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7068),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [398] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4202),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6606),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7131),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [399] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4206),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6631),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7090),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [400] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4237),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6678),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7028),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [401] = {
    [sym_preproc_def] = STATE(386),
    [sym_preproc_function_def] = STATE(386),
    [sym_preproc_call] = STATE(386),
    [sym_preproc_if_in_field_declaration_list] = STATE(386),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(386),
    [sym_preproc_else_in_field_declaration_list] = STATE(8264),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8264),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8264),
    [sym_type_definition] = STATE(386),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(386),
    [sym_field_declaration] = STATE(386),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(386),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(386),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(386),
    [sym_operator_cast_declaration] = STATE(386),
    [sym_constructor_or_destructor_definition] = STATE(386),
    [sym_constructor_or_destructor_declaration] = STATE(386),
    [sym_friend_declaration] = STATE(386),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(386),
    [sym_alias_declaration] = STATE(386),
    [sym_static_assert_declaration] = STATE(386),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(386),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [402] = {
    [sym_preproc_def] = STATE(394),
    [sym_preproc_function_def] = STATE(394),
    [sym_preproc_call] = STATE(394),
    [sym_preproc_if_in_field_declaration_list] = STATE(394),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(394),
    [sym_preproc_else_in_field_declaration_list] = STATE(7990),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7990),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7990),
    [sym_type_definition] = STATE(394),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(394),
    [sym_field_declaration] = STATE(394),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(394),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(394),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(394),
    [sym_operator_cast_declaration] = STATE(394),
    [sym_constructor_or_destructor_definition] = STATE(394),
    [sym_constructor_or_destructor_declaration] = STATE(394),
    [sym_friend_declaration] = STATE(394),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(394),
    [sym_alias_declaration] = STATE(394),
    [sym_static_assert_declaration] = STATE(394),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(394),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [403] = {
    [sym_catch_clause] = STATE(316),
    [aux_sym_constructor_try_statement_repeat1] = STATE(316),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [404] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4203),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6617),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7111),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [405] = {
    [sym_preproc_def] = STATE(407),
    [sym_preproc_function_def] = STATE(407),
    [sym_preproc_call] = STATE(407),
    [sym_preproc_if_in_field_declaration_list] = STATE(407),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(407),
    [sym_preproc_else_in_field_declaration_list] = STATE(7853),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7853),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7853),
    [sym_type_definition] = STATE(407),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(407),
    [sym_field_declaration] = STATE(407),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(407),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(407),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(407),
    [sym_operator_cast_declaration] = STATE(407),
    [sym_constructor_or_destructor_definition] = STATE(407),
    [sym_constructor_or_destructor_declaration] = STATE(407),
    [sym_friend_declaration] = STATE(407),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(407),
    [sym_alias_declaration] = STATE(407),
    [sym_static_assert_declaration] = STATE(407),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(407),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [406] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(7851),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7851),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7851),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [407] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(7663),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7663),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7663),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [408] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4227),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6751),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(6936),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [409] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4242),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6717),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(6989),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [410] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4238),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6799),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(6848),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [411] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(7726),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7726),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7726),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [412] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4241),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6607),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7115),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [413] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4253),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6696),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(6817),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [414] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4196),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6580),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7171),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [415] = {
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym_preproc_if_in_field_declaration_list] = STATE(406),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(406),
    [sym_preproc_else_in_field_declaration_list] = STATE(8075),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8075),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8075),
    [sym_type_definition] = STATE(406),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(406),
    [sym_field_declaration] = STATE(406),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(406),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(406),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(406),
    [sym_operator_cast_declaration] = STATE(406),
    [sym_constructor_or_destructor_definition] = STATE(406),
    [sym_constructor_or_destructor_declaration] = STATE(406),
    [sym_friend_declaration] = STATE(406),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(406),
    [sym_alias_declaration] = STATE(406),
    [sym_static_assert_declaration] = STATE(406),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(406),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [416] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6637),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7084),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [417] = {
    [sym_catch_clause] = STATE(316),
    [aux_sym_constructor_try_statement_repeat1] = STATE(316),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [418] = {
    [sym_catch_clause] = STATE(372),
    [aux_sym_constructor_try_statement_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2707),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [419] = {
    [sym_preproc_def] = STATE(385),
    [sym_preproc_function_def] = STATE(385),
    [sym_preproc_call] = STATE(385),
    [sym_preproc_if_in_field_declaration_list] = STATE(385),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(385),
    [sym_preproc_else_in_field_declaration_list] = STATE(7671),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7671),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7671),
    [sym_type_definition] = STATE(385),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(385),
    [sym_field_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(385),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(385),
    [sym_alias_declaration] = STATE(385),
    [sym_static_assert_declaration] = STATE(385),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(385),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [420] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_preproc_else_in_field_declaration_list] = STATE(8079),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8079),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8079),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2978),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2982),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3022),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym___leave] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(2486),
    [anon_sym_compl] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2486),
    [anon_sym_delete] = ACTIONS(2486),
    [anon_sym_throw] = ACTIONS(2486),
    [anon_sym_namespace] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_concept] = ACTIONS(2486),
    [anon_sym_co_return] = ACTIONS(2486),
    [anon_sym_co_yield] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2486),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2486),
  },
  [422] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_unaligned_ptr_modifier] = STATE(4148),
    [sym_ms_pointer_modifier] = STATE(3477),
    [sym__declarator] = STATE(6174),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_type_qualifier] = STATE(4045),
    [sym__expression] = STATE(3064),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3125),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5459),
    [sym_qualified_identifier] = STATE(3201),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3428),
    [aux_sym__type_definition_type_repeat1] = STATE(4045),
    [aux_sym_pointer_declarator_repeat1] = STATE(3477),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(1804),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3154),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3154),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3154),
    [anon_sym__unaligned] = ACTIONS(3156),
    [anon_sym___unaligned] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [423] = {
    [sym_else_clause] = STATE(457),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [sym_virtual] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
  },
  [424] = {
    [sym_type_qualifier] = STATE(3972),
    [sym__type_specifier] = STATE(4744),
    [sym_sized_type_specifier] = STATE(2994),
    [sym_enum_specifier] = STATE(2994),
    [sym_struct_specifier] = STATE(2994),
    [sym_union_specifier] = STATE(2994),
    [sym__expression] = STATE(4410),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_type_descriptor] = STATE(6921),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_placeholder_type_specifier] = STATE(2994),
    [sym_decltype_auto] = STATE(2995),
    [sym_decltype] = STATE(2857),
    [sym_class_specifier] = STATE(2994),
    [sym__class_name] = STATE(7313),
    [sym_dependent_type] = STATE(2994),
    [sym_template_type] = STATE(5206),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_type_parameter_pack_expansion] = STATE(7385),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5440),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(5229),
    [sym_user_defined_literal] = STATE(3504),
    [aux_sym__type_definition_type_repeat1] = STATE(3972),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2387),
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3042),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3046),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3050),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3078),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [425] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_include_token1] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym___cdecl] = ACTIONS(1950),
    [anon_sym___clrcall] = ACTIONS(1950),
    [anon_sym___stdcall] = ACTIONS(1950),
    [anon_sym___fastcall] = ACTIONS(1950),
    [anon_sym___thiscall] = ACTIONS(1950),
    [anon_sym___vectorcall] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym___try] = ACTIONS(1950),
    [anon_sym___leave] = ACTIONS(1950),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_compl] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym___alignof__] = ACTIONS(1950),
    [anon_sym___alignof] = ACTIONS(1950),
    [anon_sym__alignof] = ACTIONS(1950),
    [anon_sym_alignof] = ACTIONS(1950),
    [anon_sym__Alignof] = ACTIONS(1950),
    [anon_sym_offsetof] = ACTIONS(1950),
    [anon_sym__Generic] = ACTIONS(1950),
    [anon_sym_asm] = ACTIONS(1950),
    [anon_sym___asm__] = ACTIONS(1950),
    [sym_number_literal] = ACTIONS(1948),
    [anon_sym_L_SQUOTE] = ACTIONS(1948),
    [anon_sym_u_SQUOTE] = ACTIONS(1948),
    [anon_sym_U_SQUOTE] = ACTIONS(1948),
    [anon_sym_u8_SQUOTE] = ACTIONS(1948),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1950),
    [anon_sym_nullptr] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_namespace] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_concept] = ACTIONS(1950),
    [anon_sym_co_return] = ACTIONS(1950),
    [anon_sym_co_yield] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_requires] = ACTIONS(1950),
    [sym_this] = ACTIONS(1950),
  },
  [426] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [427] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_unaligned_ptr_modifier] = STATE(4148),
    [sym_ms_pointer_modifier] = STATE(3477),
    [sym__declarator] = STATE(6174),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_type_qualifier] = STATE(4045),
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3254),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5477),
    [sym_qualified_identifier] = STATE(3255),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(2526),
    [aux_sym__type_definition_type_repeat1] = STATE(4045),
    [aux_sym_pointer_declarator_repeat1] = STATE(3477),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3154),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3154),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3154),
    [anon_sym__unaligned] = ACTIONS(3156),
    [anon_sym___unaligned] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [428] = {
    [sym_else_clause] = STATE(532),
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token2] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
  },
  [429] = {
    [sym_else_clause] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(2492),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [sym_virtual] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_RBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym___leave] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(2486),
    [anon_sym_compl] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2486),
    [anon_sym_delete] = ACTIONS(2486),
    [anon_sym_throw] = ACTIONS(2486),
    [anon_sym_namespace] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_concept] = ACTIONS(2486),
    [anon_sym_co_return] = ACTIONS(2486),
    [anon_sym_co_yield] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2486),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2486),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [432] = {
    [sym_else_clause] = STATE(652),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___based] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [sym_virtual] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym_explicit] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_operator] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_using] = ACTIONS(2490),
    [anon_sym_static_assert] = ACTIONS(2490),
    [anon_sym_concept] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
  },
  [433] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_include_token1] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym___cdecl] = ACTIONS(1950),
    [anon_sym___clrcall] = ACTIONS(1950),
    [anon_sym___stdcall] = ACTIONS(1950),
    [anon_sym___fastcall] = ACTIONS(1950),
    [anon_sym___thiscall] = ACTIONS(1950),
    [anon_sym___vectorcall] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym___try] = ACTIONS(1950),
    [anon_sym___leave] = ACTIONS(1950),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_compl] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym___alignof__] = ACTIONS(1950),
    [anon_sym___alignof] = ACTIONS(1950),
    [anon_sym__alignof] = ACTIONS(1950),
    [anon_sym_alignof] = ACTIONS(1950),
    [anon_sym__Alignof] = ACTIONS(1950),
    [anon_sym_offsetof] = ACTIONS(1950),
    [anon_sym__Generic] = ACTIONS(1950),
    [anon_sym_asm] = ACTIONS(1950),
    [anon_sym___asm__] = ACTIONS(1950),
    [sym_number_literal] = ACTIONS(1948),
    [anon_sym_L_SQUOTE] = ACTIONS(1948),
    [anon_sym_u_SQUOTE] = ACTIONS(1948),
    [anon_sym_U_SQUOTE] = ACTIONS(1948),
    [anon_sym_u8_SQUOTE] = ACTIONS(1948),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1950),
    [anon_sym_nullptr] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_namespace] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_concept] = ACTIONS(1950),
    [anon_sym_co_return] = ACTIONS(1950),
    [anon_sym_co_yield] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_requires] = ACTIONS(1950),
    [sym_this] = ACTIONS(1950),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2488),
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym___leave] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(2486),
    [anon_sym_compl] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2486),
    [anon_sym_delete] = ACTIONS(2486),
    [anon_sym_throw] = ACTIONS(2486),
    [anon_sym_namespace] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_concept] = ACTIONS(2486),
    [anon_sym_co_return] = ACTIONS(2486),
    [anon_sym_co_yield] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2486),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2486),
  },
  [435] = {
    [sym__expression] = STATE(4217),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [436] = {
    [sym_else_clause] = STATE(649),
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
  },
  [437] = {
    [sym_else_clause] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2496),
    [aux_sym_preproc_include_token1] = ACTIONS(2496),
    [aux_sym_preproc_def_token1] = ACTIONS(2496),
    [aux_sym_preproc_if_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym___based] = ACTIONS(2496),
    [anon_sym___cdecl] = ACTIONS(2496),
    [anon_sym___clrcall] = ACTIONS(2496),
    [anon_sym___stdcall] = ACTIONS(2496),
    [anon_sym___fastcall] = ACTIONS(2496),
    [anon_sym___thiscall] = ACTIONS(2496),
    [anon_sym___vectorcall] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_explicit] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_operator] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_static_assert] = ACTIONS(2496),
    [anon_sym_concept] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2636),
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [441] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [sym_virtual] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [sym_virtual] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___based] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [sym_virtual] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym_explicit] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_operator] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_static_assert] = ACTIONS(2622),
    [anon_sym_concept] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2620),
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [sym_virtual] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
  },
  [478] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [sym_virtual] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [sym_virtual] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [sym_virtual] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [sym_virtual] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [sym_virtual] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [sym_virtual] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [544] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [sym_virtual] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [sym_virtual] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [sym_virtual] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
    [anon_sym_concept] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [551] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(2612),
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [sym_virtual] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [sym_virtual] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [sym_virtual] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___based] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_explicit] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_operator] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_static_assert] = ACTIONS(2500),
    [anon_sym_concept] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [sym_virtual] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [sym_virtual] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2574),
    [aux_sym_preproc_if_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2574),
    [sym_preproc_directive] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym___based] = ACTIONS(2574),
    [anon_sym___cdecl] = ACTIONS(2574),
    [anon_sym___clrcall] = ACTIONS(2574),
    [anon_sym___stdcall] = ACTIONS(2574),
    [anon_sym___fastcall] = ACTIONS(2574),
    [anon_sym___thiscall] = ACTIONS(2574),
    [anon_sym___vectorcall] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [sym_virtual] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym_explicit] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_operator] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_static_assert] = ACTIONS(2574),
    [anon_sym_concept] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_preproc_include_token1] = ACTIONS(2582),
    [aux_sym_preproc_def_token1] = ACTIONS(2582),
    [aux_sym_preproc_if_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2582),
    [sym_preproc_directive] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym___based] = ACTIONS(2582),
    [anon_sym___cdecl] = ACTIONS(2582),
    [anon_sym___clrcall] = ACTIONS(2582),
    [anon_sym___stdcall] = ACTIONS(2582),
    [anon_sym___fastcall] = ACTIONS(2582),
    [anon_sym___thiscall] = ACTIONS(2582),
    [anon_sym___vectorcall] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [sym_virtual] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym_explicit] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_operator] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_static_assert] = ACTIONS(2582),
    [anon_sym_concept] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [sym_virtual] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2596),
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [sym_virtual] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_preproc_include_token1] = ACTIONS(2590),
    [aux_sym_preproc_def_token1] = ACTIONS(2590),
    [aux_sym_preproc_if_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2590),
    [sym_preproc_directive] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym___based] = ACTIONS(2590),
    [anon_sym___cdecl] = ACTIONS(2590),
    [anon_sym___clrcall] = ACTIONS(2590),
    [anon_sym___stdcall] = ACTIONS(2590),
    [anon_sym___fastcall] = ACTIONS(2590),
    [anon_sym___thiscall] = ACTIONS(2590),
    [anon_sym___vectorcall] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [sym_virtual] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym_explicit] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_operator] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_static_assert] = ACTIONS(2590),
    [anon_sym_concept] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_preproc_include_token1] = ACTIONS(2594),
    [aux_sym_preproc_def_token1] = ACTIONS(2594),
    [aux_sym_preproc_if_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2594),
    [sym_preproc_directive] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym___based] = ACTIONS(2594),
    [anon_sym___cdecl] = ACTIONS(2594),
    [anon_sym___clrcall] = ACTIONS(2594),
    [anon_sym___stdcall] = ACTIONS(2594),
    [anon_sym___fastcall] = ACTIONS(2594),
    [anon_sym___thiscall] = ACTIONS(2594),
    [anon_sym___vectorcall] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [sym_virtual] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym_explicit] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_static_assert] = ACTIONS(2594),
    [anon_sym_concept] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [sym_virtual] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___based] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_explicit] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_operator] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_static_assert] = ACTIONS(2614),
    [anon_sym_concept] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2600),
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_include_token1] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym___cdecl] = ACTIONS(2598),
    [anon_sym___clrcall] = ACTIONS(2598),
    [anon_sym___stdcall] = ACTIONS(2598),
    [anon_sym___fastcall] = ACTIONS(2598),
    [anon_sym___thiscall] = ACTIONS(2598),
    [anon_sym___vectorcall] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
    [anon_sym_concept] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [sym_virtual] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2578),
    [aux_sym_preproc_include_token1] = ACTIONS(2578),
    [aux_sym_preproc_def_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token1] = ACTIONS(2578),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2578),
    [sym_preproc_directive] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym___based] = ACTIONS(2578),
    [anon_sym___cdecl] = ACTIONS(2578),
    [anon_sym___clrcall] = ACTIONS(2578),
    [anon_sym___stdcall] = ACTIONS(2578),
    [anon_sym___fastcall] = ACTIONS(2578),
    [anon_sym___thiscall] = ACTIONS(2578),
    [anon_sym___vectorcall] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [sym_virtual] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym_explicit] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_static_assert] = ACTIONS(2578),
    [anon_sym_concept] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2604),
    [sym_identifier] = ACTIONS(2602),
    [aux_sym_preproc_include_token1] = ACTIONS(2602),
    [aux_sym_preproc_def_token1] = ACTIONS(2602),
    [aux_sym_preproc_if_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2602),
    [sym_preproc_directive] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym___based] = ACTIONS(2602),
    [anon_sym___cdecl] = ACTIONS(2602),
    [anon_sym___clrcall] = ACTIONS(2602),
    [anon_sym___stdcall] = ACTIONS(2602),
    [anon_sym___fastcall] = ACTIONS(2602),
    [anon_sym___thiscall] = ACTIONS(2602),
    [anon_sym___vectorcall] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [sym_virtual] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym_explicit] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_operator] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_static_assert] = ACTIONS(2602),
    [anon_sym_concept] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [sym_virtual] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___based] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_mutable] = ACTIONS(2626),
    [anon_sym_constinit] = ACTIONS(2626),
    [anon_sym_consteval] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym___leave] = ACTIONS(2626),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_compl] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2626),
    [anon_sym_decltype] = ACTIONS(2626),
    [sym_virtual] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym_explicit] = ACTIONS(2626),
    [anon_sym_typename] = ACTIONS(2626),
    [anon_sym_template] = ACTIONS(2626),
    [anon_sym_operator] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_static_assert] = ACTIONS(2626),
    [anon_sym_concept] = ACTIONS(2626),
    [anon_sym_co_return] = ACTIONS(2626),
    [anon_sym_co_yield] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2628),
    [anon_sym_LR_DQUOTE] = ACTIONS(2628),
    [anon_sym_uR_DQUOTE] = ACTIONS(2628),
    [anon_sym_UR_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2628),
    [anon_sym_co_await] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_requires] = ACTIONS(2626),
    [sym_this] = ACTIONS(2626),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2608),
    [sym_identifier] = ACTIONS(2606),
    [aux_sym_preproc_include_token1] = ACTIONS(2606),
    [aux_sym_preproc_def_token1] = ACTIONS(2606),
    [aux_sym_preproc_if_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2606),
    [sym_preproc_directive] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym___based] = ACTIONS(2606),
    [anon_sym___cdecl] = ACTIONS(2606),
    [anon_sym___clrcall] = ACTIONS(2606),
    [anon_sym___stdcall] = ACTIONS(2606),
    [anon_sym___fastcall] = ACTIONS(2606),
    [anon_sym___thiscall] = ACTIONS(2606),
    [anon_sym___vectorcall] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [sym_virtual] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym_explicit] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_operator] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_static_assert] = ACTIONS(2606),
    [anon_sym_concept] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2610),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2610),
    [aux_sym_preproc_if_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2610),
    [sym_preproc_directive] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym___based] = ACTIONS(2610),
    [anon_sym___cdecl] = ACTIONS(2610),
    [anon_sym___clrcall] = ACTIONS(2610),
    [anon_sym___stdcall] = ACTIONS(2610),
    [anon_sym___fastcall] = ACTIONS(2610),
    [anon_sym___thiscall] = ACTIONS(2610),
    [anon_sym___vectorcall] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [sym_virtual] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym_explicit] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_operator] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_static_assert] = ACTIONS(2610),
    [anon_sym_concept] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___based] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_mutable] = ACTIONS(2626),
    [anon_sym_constinit] = ACTIONS(2626),
    [anon_sym_consteval] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym___leave] = ACTIONS(2626),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_compl] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2626),
    [anon_sym_decltype] = ACTIONS(2626),
    [sym_virtual] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym_explicit] = ACTIONS(2626),
    [anon_sym_typename] = ACTIONS(2626),
    [anon_sym_template] = ACTIONS(2626),
    [anon_sym_operator] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_static_assert] = ACTIONS(2626),
    [anon_sym_concept] = ACTIONS(2626),
    [anon_sym_co_return] = ACTIONS(2626),
    [anon_sym_co_yield] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2628),
    [anon_sym_LR_DQUOTE] = ACTIONS(2628),
    [anon_sym_uR_DQUOTE] = ACTIONS(2628),
    [anon_sym_UR_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2628),
    [anon_sym_co_await] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_requires] = ACTIONS(2626),
    [sym_this] = ACTIONS(2626),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___based] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_mutable] = ACTIONS(2630),
    [anon_sym_constinit] = ACTIONS(2630),
    [anon_sym_consteval] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym___leave] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2630),
    [anon_sym_compl] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2630),
    [anon_sym_decltype] = ACTIONS(2630),
    [sym_virtual] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym_explicit] = ACTIONS(2630),
    [anon_sym_typename] = ACTIONS(2630),
    [anon_sym_template] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_using] = ACTIONS(2630),
    [anon_sym_static_assert] = ACTIONS(2630),
    [anon_sym_concept] = ACTIONS(2630),
    [anon_sym_co_return] = ACTIONS(2630),
    [anon_sym_co_yield] = ACTIONS(2630),
    [anon_sym_R_DQUOTE] = ACTIONS(2632),
    [anon_sym_LR_DQUOTE] = ACTIONS(2632),
    [anon_sym_uR_DQUOTE] = ACTIONS(2632),
    [anon_sym_UR_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2632),
    [anon_sym_co_await] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_requires] = ACTIONS(2630),
    [sym_this] = ACTIONS(2630),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_preproc_include_token1] = ACTIONS(2586),
    [aux_sym_preproc_def_token1] = ACTIONS(2586),
    [aux_sym_preproc_if_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2586),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym___based] = ACTIONS(2586),
    [anon_sym___cdecl] = ACTIONS(2586),
    [anon_sym___clrcall] = ACTIONS(2586),
    [anon_sym___stdcall] = ACTIONS(2586),
    [anon_sym___fastcall] = ACTIONS(2586),
    [anon_sym___thiscall] = ACTIONS(2586),
    [anon_sym___vectorcall] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [sym_virtual] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym_explicit] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_static_assert] = ACTIONS(2586),
    [anon_sym_concept] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___based] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_mutable] = ACTIONS(2630),
    [anon_sym_constinit] = ACTIONS(2630),
    [anon_sym_consteval] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym___leave] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2630),
    [anon_sym_compl] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2630),
    [anon_sym_decltype] = ACTIONS(2630),
    [sym_virtual] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym_explicit] = ACTIONS(2630),
    [anon_sym_typename] = ACTIONS(2630),
    [anon_sym_template] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_using] = ACTIONS(2630),
    [anon_sym_static_assert] = ACTIONS(2630),
    [anon_sym_concept] = ACTIONS(2630),
    [anon_sym_co_return] = ACTIONS(2630),
    [anon_sym_co_yield] = ACTIONS(2630),
    [anon_sym_R_DQUOTE] = ACTIONS(2632),
    [anon_sym_LR_DQUOTE] = ACTIONS(2632),
    [anon_sym_uR_DQUOTE] = ACTIONS(2632),
    [anon_sym_UR_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2632),
    [anon_sym_co_await] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_requires] = ACTIONS(2630),
    [sym_this] = ACTIONS(2630),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [sym_virtual] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___based] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_mutable] = ACTIONS(2626),
    [anon_sym_constinit] = ACTIONS(2626),
    [anon_sym_consteval] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym___leave] = ACTIONS(2626),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_compl] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2626),
    [anon_sym_decltype] = ACTIONS(2626),
    [sym_virtual] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym_explicit] = ACTIONS(2626),
    [anon_sym_typename] = ACTIONS(2626),
    [anon_sym_template] = ACTIONS(2626),
    [anon_sym_operator] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_static_assert] = ACTIONS(2626),
    [anon_sym_concept] = ACTIONS(2626),
    [anon_sym_co_return] = ACTIONS(2626),
    [anon_sym_co_yield] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2628),
    [anon_sym_LR_DQUOTE] = ACTIONS(2628),
    [anon_sym_uR_DQUOTE] = ACTIONS(2628),
    [anon_sym_UR_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2628),
    [anon_sym_co_await] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_requires] = ACTIONS(2626),
    [sym_this] = ACTIONS(2626),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2632),
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___based] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_mutable] = ACTIONS(2630),
    [anon_sym_constinit] = ACTIONS(2630),
    [anon_sym_consteval] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym___leave] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2630),
    [anon_sym_compl] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2630),
    [anon_sym_decltype] = ACTIONS(2630),
    [sym_virtual] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym_explicit] = ACTIONS(2630),
    [anon_sym_typename] = ACTIONS(2630),
    [anon_sym_template] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_using] = ACTIONS(2630),
    [anon_sym_static_assert] = ACTIONS(2630),
    [anon_sym_concept] = ACTIONS(2630),
    [anon_sym_co_return] = ACTIONS(2630),
    [anon_sym_co_yield] = ACTIONS(2630),
    [anon_sym_R_DQUOTE] = ACTIONS(2632),
    [anon_sym_LR_DQUOTE] = ACTIONS(2632),
    [anon_sym_uR_DQUOTE] = ACTIONS(2632),
    [anon_sym_UR_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2632),
    [anon_sym_co_await] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_requires] = ACTIONS(2630),
    [sym_this] = ACTIONS(2630),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(2636),
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
    [anon_sym_concept] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [sym_virtual] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [sym_virtual] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym_COLON_COLON] = ACTIONS(2648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___based] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_mutable] = ACTIONS(2646),
    [anon_sym_constinit] = ACTIONS(2646),
    [anon_sym_consteval] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym___leave] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2646),
    [anon_sym_compl] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2646),
    [anon_sym_decltype] = ACTIONS(2646),
    [sym_virtual] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym_explicit] = ACTIONS(2646),
    [anon_sym_typename] = ACTIONS(2646),
    [anon_sym_template] = ACTIONS(2646),
    [anon_sym_operator] = ACTIONS(2646),
    [anon_sym_try] = ACTIONS(2646),
    [anon_sym_delete] = ACTIONS(2646),
    [anon_sym_throw] = ACTIONS(2646),
    [anon_sym_namespace] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(2646),
    [anon_sym_static_assert] = ACTIONS(2646),
    [anon_sym_concept] = ACTIONS(2646),
    [anon_sym_co_return] = ACTIONS(2646),
    [anon_sym_co_yield] = ACTIONS(2646),
    [anon_sym_R_DQUOTE] = ACTIONS(2648),
    [anon_sym_LR_DQUOTE] = ACTIONS(2648),
    [anon_sym_uR_DQUOTE] = ACTIONS(2648),
    [anon_sym_UR_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2648),
    [anon_sym_co_await] = ACTIONS(2646),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2646),
    [sym_this] = ACTIONS(2646),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [sym_virtual] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2679),
    [aux_sym_preproc_include_token1] = ACTIONS(2679),
    [aux_sym_preproc_def_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2679),
    [anon_sym_LPAREN2] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_typedef] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym___based] = ACTIONS(2679),
    [anon_sym___cdecl] = ACTIONS(2679),
    [anon_sym___clrcall] = ACTIONS(2679),
    [anon_sym___stdcall] = ACTIONS(2679),
    [anon_sym___fastcall] = ACTIONS(2679),
    [anon_sym___thiscall] = ACTIONS(2679),
    [anon_sym___vectorcall] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [anon_sym_mutable] = ACTIONS(2679),
    [anon_sym_constinit] = ACTIONS(2679),
    [anon_sym_consteval] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_goto] = ACTIONS(2679),
    [anon_sym___try] = ACTIONS(2679),
    [anon_sym___leave] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_compl] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_sizeof] = ACTIONS(2679),
    [anon_sym___alignof__] = ACTIONS(2679),
    [anon_sym___alignof] = ACTIONS(2679),
    [anon_sym__alignof] = ACTIONS(2679),
    [anon_sym_alignof] = ACTIONS(2679),
    [anon_sym__Alignof] = ACTIONS(2679),
    [anon_sym_offsetof] = ACTIONS(2679),
    [anon_sym__Generic] = ACTIONS(2679),
    [anon_sym_asm] = ACTIONS(2679),
    [anon_sym___asm__] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2681),
    [anon_sym_L_SQUOTE] = ACTIONS(2681),
    [anon_sym_u_SQUOTE] = ACTIONS(2681),
    [anon_sym_U_SQUOTE] = ACTIONS(2681),
    [anon_sym_u8_SQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_L_DQUOTE] = ACTIONS(2681),
    [anon_sym_u_DQUOTE] = ACTIONS(2681),
    [anon_sym_U_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8_DQUOTE] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_NULL] = ACTIONS(2679),
    [anon_sym_nullptr] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2679),
    [anon_sym_decltype] = ACTIONS(2679),
    [sym_virtual] = ACTIONS(2679),
    [anon_sym_alignas] = ACTIONS(2679),
    [anon_sym_explicit] = ACTIONS(2679),
    [anon_sym_typename] = ACTIONS(2679),
    [anon_sym_template] = ACTIONS(2679),
    [anon_sym_operator] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_delete] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_namespace] = ACTIONS(2679),
    [anon_sym_using] = ACTIONS(2679),
    [anon_sym_static_assert] = ACTIONS(2679),
    [anon_sym_concept] = ACTIONS(2679),
    [anon_sym_co_return] = ACTIONS(2679),
    [anon_sym_co_yield] = ACTIONS(2679),
    [anon_sym_R_DQUOTE] = ACTIONS(2681),
    [anon_sym_LR_DQUOTE] = ACTIONS(2681),
    [anon_sym_uR_DQUOTE] = ACTIONS(2681),
    [anon_sym_UR_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2681),
    [anon_sym_co_await] = ACTIONS(2679),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_requires] = ACTIONS(2679),
    [sym_this] = ACTIONS(2679),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [sym_virtual] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [698] = {
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_field_declaration_list] = STATE(698),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(698),
    [sym_type_definition] = STATE(698),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5400),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(698),
    [sym_field_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6445),
    [sym_inline_method_definition] = STATE(698),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_access_specifier] = STATE(7574),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(698),
    [sym_alias_declaration] = STATE(698),
    [sym_static_assert_declaration] = STATE(698),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(698),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3258),
    [anon_sym_decltype] = ACTIONS(3261),
    [sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3270),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3276),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_friend] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3291),
  },
  [699] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [sym_virtual] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [702] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [sym_virtual] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym_COLON_COLON] = ACTIONS(2648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___based] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_mutable] = ACTIONS(2646),
    [anon_sym_constinit] = ACTIONS(2646),
    [anon_sym_consteval] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym___leave] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2646),
    [anon_sym_compl] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2646),
    [anon_sym_decltype] = ACTIONS(2646),
    [sym_virtual] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym_explicit] = ACTIONS(2646),
    [anon_sym_typename] = ACTIONS(2646),
    [anon_sym_template] = ACTIONS(2646),
    [anon_sym_operator] = ACTIONS(2646),
    [anon_sym_try] = ACTIONS(2646),
    [anon_sym_delete] = ACTIONS(2646),
    [anon_sym_throw] = ACTIONS(2646),
    [anon_sym_namespace] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(2646),
    [anon_sym_static_assert] = ACTIONS(2646),
    [anon_sym_concept] = ACTIONS(2646),
    [anon_sym_co_return] = ACTIONS(2646),
    [anon_sym_co_yield] = ACTIONS(2646),
    [anon_sym_R_DQUOTE] = ACTIONS(2648),
    [anon_sym_LR_DQUOTE] = ACTIONS(2648),
    [anon_sym_uR_DQUOTE] = ACTIONS(2648),
    [anon_sym_UR_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2648),
    [anon_sym_co_await] = ACTIONS(2646),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2646),
    [sym_this] = ACTIONS(2646),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [707] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [sym_virtual] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [sym_virtual] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [sym_virtual] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [sym_virtual] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [sym_virtual] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___based] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_mutable] = ACTIONS(2642),
    [anon_sym_constinit] = ACTIONS(2642),
    [anon_sym_consteval] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym___leave] = ACTIONS(2642),
    [anon_sym_not] = ACTIONS(2642),
    [anon_sym_compl] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2642),
    [anon_sym_decltype] = ACTIONS(2642),
    [sym_virtual] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym_explicit] = ACTIONS(2642),
    [anon_sym_typename] = ACTIONS(2642),
    [anon_sym_template] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2642),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_using] = ACTIONS(2642),
    [anon_sym_static_assert] = ACTIONS(2642),
    [anon_sym_concept] = ACTIONS(2642),
    [anon_sym_co_return] = ACTIONS(2642),
    [anon_sym_co_yield] = ACTIONS(2642),
    [anon_sym_R_DQUOTE] = ACTIONS(2644),
    [anon_sym_LR_DQUOTE] = ACTIONS(2644),
    [anon_sym_uR_DQUOTE] = ACTIONS(2644),
    [anon_sym_UR_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2644),
    [anon_sym_co_await] = ACTIONS(2642),
    [anon_sym_new] = ACTIONS(2642),
    [anon_sym_requires] = ACTIONS(2642),
    [sym_this] = ACTIONS(2642),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [sym_virtual] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [sym_virtual] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___based] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_mutable] = ACTIONS(2746),
    [anon_sym_constinit] = ACTIONS(2746),
    [anon_sym_consteval] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym___leave] = ACTIONS(2746),
    [anon_sym_not] = ACTIONS(2746),
    [anon_sym_compl] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2746),
    [anon_sym_decltype] = ACTIONS(2746),
    [sym_virtual] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym_explicit] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2746),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_operator] = ACTIONS(2746),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(2746),
    [anon_sym_throw] = ACTIONS(2746),
    [anon_sym_namespace] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_static_assert] = ACTIONS(2746),
    [anon_sym_concept] = ACTIONS(2746),
    [anon_sym_co_return] = ACTIONS(2746),
    [anon_sym_co_yield] = ACTIONS(2746),
    [anon_sym_R_DQUOTE] = ACTIONS(2748),
    [anon_sym_LR_DQUOTE] = ACTIONS(2748),
    [anon_sym_uR_DQUOTE] = ACTIONS(2748),
    [anon_sym_UR_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2748),
    [anon_sym_co_await] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2746),
    [anon_sym_requires] = ACTIONS(2746),
    [sym_this] = ACTIONS(2746),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [sym_virtual] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [sym_virtual] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [sym_virtual] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [sym_virtual] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [sym_virtual] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [sym_virtual] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [736] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [aux_sym_preproc_if_token2] = ACTIONS(1876),
    [aux_sym_preproc_else_token1] = ACTIONS(1876),
    [aux_sym_preproc_elif_token1] = ACTIONS(1874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
  },
  [738] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [sym_virtual] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [740] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2713),
    [aux_sym_preproc_include_token1] = ACTIONS(2713),
    [aux_sym_preproc_def_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2713),
    [anon_sym_LPAREN2] = ACTIONS(2715),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym___extension__] = ACTIONS(2713),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_extern] = ACTIONS(2713),
    [anon_sym___attribute__] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2715),
    [anon_sym___declspec] = ACTIONS(2713),
    [anon_sym___based] = ACTIONS(2713),
    [anon_sym___cdecl] = ACTIONS(2713),
    [anon_sym___clrcall] = ACTIONS(2713),
    [anon_sym___stdcall] = ACTIONS(2713),
    [anon_sym___fastcall] = ACTIONS(2713),
    [anon_sym___thiscall] = ACTIONS(2713),
    [anon_sym___vectorcall] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_RBRACE] = ACTIONS(2715),
    [anon_sym_signed] = ACTIONS(2713),
    [anon_sym_unsigned] = ACTIONS(2713),
    [anon_sym_long] = ACTIONS(2713),
    [anon_sym_short] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_register] = ACTIONS(2713),
    [anon_sym_inline] = ACTIONS(2713),
    [anon_sym___inline] = ACTIONS(2713),
    [anon_sym___inline__] = ACTIONS(2713),
    [anon_sym___forceinline] = ACTIONS(2713),
    [anon_sym_thread_local] = ACTIONS(2713),
    [anon_sym___thread] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_constexpr] = ACTIONS(2713),
    [anon_sym_volatile] = ACTIONS(2713),
    [anon_sym_restrict] = ACTIONS(2713),
    [anon_sym___restrict__] = ACTIONS(2713),
    [anon_sym__Atomic] = ACTIONS(2713),
    [anon_sym__Noreturn] = ACTIONS(2713),
    [anon_sym_noreturn] = ACTIONS(2713),
    [anon_sym_mutable] = ACTIONS(2713),
    [anon_sym_constinit] = ACTIONS(2713),
    [anon_sym_consteval] = ACTIONS(2713),
    [sym_primitive_type] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_struct] = ACTIONS(2713),
    [anon_sym_union] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_goto] = ACTIONS(2713),
    [anon_sym___try] = ACTIONS(2713),
    [anon_sym___leave] = ACTIONS(2713),
    [anon_sym_not] = ACTIONS(2713),
    [anon_sym_compl] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2713),
    [anon_sym___alignof] = ACTIONS(2713),
    [anon_sym__alignof] = ACTIONS(2713),
    [anon_sym_alignof] = ACTIONS(2713),
    [anon_sym__Alignof] = ACTIONS(2713),
    [anon_sym_offsetof] = ACTIONS(2713),
    [anon_sym__Generic] = ACTIONS(2713),
    [anon_sym_asm] = ACTIONS(2713),
    [anon_sym___asm__] = ACTIONS(2713),
    [sym_number_literal] = ACTIONS(2715),
    [anon_sym_L_SQUOTE] = ACTIONS(2715),
    [anon_sym_u_SQUOTE] = ACTIONS(2715),
    [anon_sym_U_SQUOTE] = ACTIONS(2715),
    [anon_sym_u8_SQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_L_DQUOTE] = ACTIONS(2715),
    [anon_sym_u_DQUOTE] = ACTIONS(2715),
    [anon_sym_U_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8_DQUOTE] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [anon_sym_NULL] = ACTIONS(2713),
    [anon_sym_nullptr] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2713),
    [anon_sym_decltype] = ACTIONS(2713),
    [sym_virtual] = ACTIONS(2713),
    [anon_sym_alignas] = ACTIONS(2713),
    [anon_sym_explicit] = ACTIONS(2713),
    [anon_sym_typename] = ACTIONS(2713),
    [anon_sym_template] = ACTIONS(2713),
    [anon_sym_operator] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_static_assert] = ACTIONS(2713),
    [anon_sym_concept] = ACTIONS(2713),
    [anon_sym_co_return] = ACTIONS(2713),
    [anon_sym_co_yield] = ACTIONS(2713),
    [anon_sym_R_DQUOTE] = ACTIONS(2715),
    [anon_sym_LR_DQUOTE] = ACTIONS(2715),
    [anon_sym_uR_DQUOTE] = ACTIONS(2715),
    [anon_sym_UR_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2715),
    [anon_sym_co_await] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_requires] = ACTIONS(2713),
    [sym_this] = ACTIONS(2713),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [sym_virtual] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [sym_virtual] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2679),
    [aux_sym_preproc_include_token1] = ACTIONS(2679),
    [aux_sym_preproc_def_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token2] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2679),
    [anon_sym_LPAREN2] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_typedef] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym___based] = ACTIONS(2679),
    [anon_sym___cdecl] = ACTIONS(2679),
    [anon_sym___clrcall] = ACTIONS(2679),
    [anon_sym___stdcall] = ACTIONS(2679),
    [anon_sym___fastcall] = ACTIONS(2679),
    [anon_sym___thiscall] = ACTIONS(2679),
    [anon_sym___vectorcall] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [anon_sym_mutable] = ACTIONS(2679),
    [anon_sym_constinit] = ACTIONS(2679),
    [anon_sym_consteval] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_goto] = ACTIONS(2679),
    [anon_sym___try] = ACTIONS(2679),
    [anon_sym___leave] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_compl] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_sizeof] = ACTIONS(2679),
    [anon_sym___alignof__] = ACTIONS(2679),
    [anon_sym___alignof] = ACTIONS(2679),
    [anon_sym__alignof] = ACTIONS(2679),
    [anon_sym_alignof] = ACTIONS(2679),
    [anon_sym__Alignof] = ACTIONS(2679),
    [anon_sym_offsetof] = ACTIONS(2679),
    [anon_sym__Generic] = ACTIONS(2679),
    [anon_sym_asm] = ACTIONS(2679),
    [anon_sym___asm__] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2681),
    [anon_sym_L_SQUOTE] = ACTIONS(2681),
    [anon_sym_u_SQUOTE] = ACTIONS(2681),
    [anon_sym_U_SQUOTE] = ACTIONS(2681),
    [anon_sym_u8_SQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_L_DQUOTE] = ACTIONS(2681),
    [anon_sym_u_DQUOTE] = ACTIONS(2681),
    [anon_sym_U_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8_DQUOTE] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_NULL] = ACTIONS(2679),
    [anon_sym_nullptr] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2679),
    [anon_sym_decltype] = ACTIONS(2679),
    [sym_virtual] = ACTIONS(2679),
    [anon_sym_alignas] = ACTIONS(2679),
    [anon_sym_explicit] = ACTIONS(2679),
    [anon_sym_typename] = ACTIONS(2679),
    [anon_sym_template] = ACTIONS(2679),
    [anon_sym_operator] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_delete] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_namespace] = ACTIONS(2679),
    [anon_sym_using] = ACTIONS(2679),
    [anon_sym_static_assert] = ACTIONS(2679),
    [anon_sym_concept] = ACTIONS(2679),
    [anon_sym_co_return] = ACTIONS(2679),
    [anon_sym_co_yield] = ACTIONS(2679),
    [anon_sym_R_DQUOTE] = ACTIONS(2681),
    [anon_sym_LR_DQUOTE] = ACTIONS(2681),
    [anon_sym_uR_DQUOTE] = ACTIONS(2681),
    [anon_sym_UR_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2681),
    [anon_sym_co_await] = ACTIONS(2679),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_requires] = ACTIONS(2679),
    [sym_this] = ACTIONS(2679),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [sym_virtual] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [750] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_RBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [sym_virtual] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [753] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [sym_virtual] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [sym_virtual] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [sym_virtual] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2713),
    [aux_sym_preproc_include_token1] = ACTIONS(2713),
    [aux_sym_preproc_def_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token2] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2713),
    [anon_sym_LPAREN2] = ACTIONS(2715),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym___extension__] = ACTIONS(2713),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_extern] = ACTIONS(2713),
    [anon_sym___attribute__] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2715),
    [anon_sym___declspec] = ACTIONS(2713),
    [anon_sym___based] = ACTIONS(2713),
    [anon_sym___cdecl] = ACTIONS(2713),
    [anon_sym___clrcall] = ACTIONS(2713),
    [anon_sym___stdcall] = ACTIONS(2713),
    [anon_sym___fastcall] = ACTIONS(2713),
    [anon_sym___thiscall] = ACTIONS(2713),
    [anon_sym___vectorcall] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_signed] = ACTIONS(2713),
    [anon_sym_unsigned] = ACTIONS(2713),
    [anon_sym_long] = ACTIONS(2713),
    [anon_sym_short] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_register] = ACTIONS(2713),
    [anon_sym_inline] = ACTIONS(2713),
    [anon_sym___inline] = ACTIONS(2713),
    [anon_sym___inline__] = ACTIONS(2713),
    [anon_sym___forceinline] = ACTIONS(2713),
    [anon_sym_thread_local] = ACTIONS(2713),
    [anon_sym___thread] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_constexpr] = ACTIONS(2713),
    [anon_sym_volatile] = ACTIONS(2713),
    [anon_sym_restrict] = ACTIONS(2713),
    [anon_sym___restrict__] = ACTIONS(2713),
    [anon_sym__Atomic] = ACTIONS(2713),
    [anon_sym__Noreturn] = ACTIONS(2713),
    [anon_sym_noreturn] = ACTIONS(2713),
    [anon_sym_mutable] = ACTIONS(2713),
    [anon_sym_constinit] = ACTIONS(2713),
    [anon_sym_consteval] = ACTIONS(2713),
    [sym_primitive_type] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_struct] = ACTIONS(2713),
    [anon_sym_union] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_goto] = ACTIONS(2713),
    [anon_sym___try] = ACTIONS(2713),
    [anon_sym___leave] = ACTIONS(2713),
    [anon_sym_not] = ACTIONS(2713),
    [anon_sym_compl] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2713),
    [anon_sym___alignof] = ACTIONS(2713),
    [anon_sym__alignof] = ACTIONS(2713),
    [anon_sym_alignof] = ACTIONS(2713),
    [anon_sym__Alignof] = ACTIONS(2713),
    [anon_sym_offsetof] = ACTIONS(2713),
    [anon_sym__Generic] = ACTIONS(2713),
    [anon_sym_asm] = ACTIONS(2713),
    [anon_sym___asm__] = ACTIONS(2713),
    [sym_number_literal] = ACTIONS(2715),
    [anon_sym_L_SQUOTE] = ACTIONS(2715),
    [anon_sym_u_SQUOTE] = ACTIONS(2715),
    [anon_sym_U_SQUOTE] = ACTIONS(2715),
    [anon_sym_u8_SQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_L_DQUOTE] = ACTIONS(2715),
    [anon_sym_u_DQUOTE] = ACTIONS(2715),
    [anon_sym_U_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8_DQUOTE] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [anon_sym_NULL] = ACTIONS(2713),
    [anon_sym_nullptr] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2713),
    [anon_sym_decltype] = ACTIONS(2713),
    [sym_virtual] = ACTIONS(2713),
    [anon_sym_alignas] = ACTIONS(2713),
    [anon_sym_explicit] = ACTIONS(2713),
    [anon_sym_typename] = ACTIONS(2713),
    [anon_sym_template] = ACTIONS(2713),
    [anon_sym_operator] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_static_assert] = ACTIONS(2713),
    [anon_sym_concept] = ACTIONS(2713),
    [anon_sym_co_return] = ACTIONS(2713),
    [anon_sym_co_yield] = ACTIONS(2713),
    [anon_sym_R_DQUOTE] = ACTIONS(2715),
    [anon_sym_LR_DQUOTE] = ACTIONS(2715),
    [anon_sym_uR_DQUOTE] = ACTIONS(2715),
    [anon_sym_UR_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2715),
    [anon_sym_co_await] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_requires] = ACTIONS(2713),
    [sym_this] = ACTIONS(2713),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [sym_virtual] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [763] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym___leave] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [sym_virtual] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [sym_virtual] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [sym_virtual] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [sym_virtual] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [sym_virtual] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___based] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_mutable] = ACTIONS(2642),
    [anon_sym_constinit] = ACTIONS(2642),
    [anon_sym_consteval] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym___leave] = ACTIONS(2642),
    [anon_sym_not] = ACTIONS(2642),
    [anon_sym_compl] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2642),
    [anon_sym_decltype] = ACTIONS(2642),
    [sym_virtual] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym_explicit] = ACTIONS(2642),
    [anon_sym_typename] = ACTIONS(2642),
    [anon_sym_template] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2642),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_using] = ACTIONS(2642),
    [anon_sym_static_assert] = ACTIONS(2642),
    [anon_sym_concept] = ACTIONS(2642),
    [anon_sym_co_return] = ACTIONS(2642),
    [anon_sym_co_yield] = ACTIONS(2642),
    [anon_sym_R_DQUOTE] = ACTIONS(2644),
    [anon_sym_LR_DQUOTE] = ACTIONS(2644),
    [anon_sym_uR_DQUOTE] = ACTIONS(2644),
    [anon_sym_UR_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2644),
    [anon_sym_co_await] = ACTIONS(2642),
    [anon_sym_new] = ACTIONS(2642),
    [anon_sym_requires] = ACTIONS(2642),
    [sym_this] = ACTIONS(2642),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym___leave] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [sym_virtual] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym___leave] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___based] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_mutable] = ACTIONS(2746),
    [anon_sym_constinit] = ACTIONS(2746),
    [anon_sym_consteval] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym___leave] = ACTIONS(2746),
    [anon_sym_not] = ACTIONS(2746),
    [anon_sym_compl] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2746),
    [anon_sym_decltype] = ACTIONS(2746),
    [sym_virtual] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym_explicit] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2746),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_operator] = ACTIONS(2746),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(2746),
    [anon_sym_throw] = ACTIONS(2746),
    [anon_sym_namespace] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_static_assert] = ACTIONS(2746),
    [anon_sym_concept] = ACTIONS(2746),
    [anon_sym_co_return] = ACTIONS(2746),
    [anon_sym_co_yield] = ACTIONS(2746),
    [anon_sym_R_DQUOTE] = ACTIONS(2748),
    [anon_sym_LR_DQUOTE] = ACTIONS(2748),
    [anon_sym_uR_DQUOTE] = ACTIONS(2748),
    [anon_sym_UR_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2748),
    [anon_sym_co_await] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2746),
    [anon_sym_requires] = ACTIONS(2746),
    [sym_this] = ACTIONS(2746),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [sym_virtual] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [sym_virtual] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym___try] = ACTIONS(2721),
    [anon_sym___leave] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(1920),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym___cdecl] = ACTIONS(1922),
    [anon_sym___clrcall] = ACTIONS(1922),
    [anon_sym___stdcall] = ACTIONS(1922),
    [anon_sym___fastcall] = ACTIONS(1922),
    [anon_sym___thiscall] = ACTIONS(1922),
    [anon_sym___vectorcall] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_concept] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [791] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2711),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2711),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [sym_primitive_type] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [sym_number_literal] = ACTIONS(2711),
    [anon_sym_L_SQUOTE] = ACTIONS(2711),
    [anon_sym_u_SQUOTE] = ACTIONS(2711),
    [anon_sym_U_SQUOTE] = ACTIONS(2711),
    [anon_sym_u8_SQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_L_DQUOTE] = ACTIONS(2711),
    [anon_sym_u_DQUOTE] = ACTIONS(2711),
    [anon_sym_U_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8_DQUOTE] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [sym_virtual] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2711),
    [anon_sym_LR_DQUOTE] = ACTIONS(2711),
    [anon_sym_uR_DQUOTE] = ACTIONS(2711),
    [anon_sym_UR_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2711),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym___leave] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [sym_virtual] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym___leave] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [sym_virtual] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [sym_virtual] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [sym_virtual] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [sym_virtual] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [sym_virtual] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token2] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2711),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2711),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [sym_primitive_type] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [sym_number_literal] = ACTIONS(2711),
    [anon_sym_L_SQUOTE] = ACTIONS(2711),
    [anon_sym_u_SQUOTE] = ACTIONS(2711),
    [anon_sym_U_SQUOTE] = ACTIONS(2711),
    [anon_sym_u8_SQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_L_DQUOTE] = ACTIONS(2711),
    [anon_sym_u_DQUOTE] = ACTIONS(2711),
    [anon_sym_U_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8_DQUOTE] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [sym_virtual] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2711),
    [anon_sym_LR_DQUOTE] = ACTIONS(2711),
    [anon_sym_uR_DQUOTE] = ACTIONS(2711),
    [anon_sym_UR_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2711),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [sym_virtual] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [sym_virtual] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [sym_virtual] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [sym_virtual] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2727),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [sym_number_literal] = ACTIONS(2727),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2950),
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [anon_sym_COMMA] = ACTIONS(2950),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [814] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [sym_identifier] = ACTIONS(2713),
    [aux_sym_preproc_include_token1] = ACTIONS(2713),
    [aux_sym_preproc_def_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2713),
    [anon_sym_LPAREN2] = ACTIONS(2715),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2713),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_extern] = ACTIONS(2713),
    [anon_sym___attribute__] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2715),
    [anon_sym___declspec] = ACTIONS(2713),
    [anon_sym___based] = ACTIONS(2713),
    [anon_sym___cdecl] = ACTIONS(2713),
    [anon_sym___clrcall] = ACTIONS(2713),
    [anon_sym___stdcall] = ACTIONS(2713),
    [anon_sym___fastcall] = ACTIONS(2713),
    [anon_sym___thiscall] = ACTIONS(2713),
    [anon_sym___vectorcall] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_signed] = ACTIONS(2713),
    [anon_sym_unsigned] = ACTIONS(2713),
    [anon_sym_long] = ACTIONS(2713),
    [anon_sym_short] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_register] = ACTIONS(2713),
    [anon_sym_inline] = ACTIONS(2713),
    [anon_sym___inline] = ACTIONS(2713),
    [anon_sym___inline__] = ACTIONS(2713),
    [anon_sym___forceinline] = ACTIONS(2713),
    [anon_sym_thread_local] = ACTIONS(2713),
    [anon_sym___thread] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_constexpr] = ACTIONS(2713),
    [anon_sym_volatile] = ACTIONS(2713),
    [anon_sym_restrict] = ACTIONS(2713),
    [anon_sym___restrict__] = ACTIONS(2713),
    [anon_sym__Atomic] = ACTIONS(2713),
    [anon_sym__Noreturn] = ACTIONS(2713),
    [anon_sym_noreturn] = ACTIONS(2713),
    [anon_sym_mutable] = ACTIONS(2713),
    [anon_sym_constinit] = ACTIONS(2713),
    [anon_sym_consteval] = ACTIONS(2713),
    [sym_primitive_type] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_struct] = ACTIONS(2713),
    [anon_sym_union] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_goto] = ACTIONS(2713),
    [anon_sym_not] = ACTIONS(2713),
    [anon_sym_compl] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2713),
    [anon_sym___alignof] = ACTIONS(2713),
    [anon_sym__alignof] = ACTIONS(2713),
    [anon_sym_alignof] = ACTIONS(2713),
    [anon_sym__Alignof] = ACTIONS(2713),
    [anon_sym_offsetof] = ACTIONS(2713),
    [anon_sym__Generic] = ACTIONS(2713),
    [anon_sym_asm] = ACTIONS(2713),
    [anon_sym___asm__] = ACTIONS(2713),
    [sym_number_literal] = ACTIONS(2715),
    [anon_sym_L_SQUOTE] = ACTIONS(2715),
    [anon_sym_u_SQUOTE] = ACTIONS(2715),
    [anon_sym_U_SQUOTE] = ACTIONS(2715),
    [anon_sym_u8_SQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_L_DQUOTE] = ACTIONS(2715),
    [anon_sym_u_DQUOTE] = ACTIONS(2715),
    [anon_sym_U_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8_DQUOTE] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [anon_sym_NULL] = ACTIONS(2713),
    [anon_sym_nullptr] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2713),
    [anon_sym_decltype] = ACTIONS(2713),
    [sym_virtual] = ACTIONS(2713),
    [anon_sym_alignas] = ACTIONS(2713),
    [anon_sym_explicit] = ACTIONS(2713),
    [anon_sym_typename] = ACTIONS(2713),
    [anon_sym_template] = ACTIONS(2713),
    [anon_sym_operator] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_static_assert] = ACTIONS(2713),
    [anon_sym_concept] = ACTIONS(2713),
    [anon_sym_co_return] = ACTIONS(2713),
    [anon_sym_co_yield] = ACTIONS(2713),
    [anon_sym_R_DQUOTE] = ACTIONS(2715),
    [anon_sym_LR_DQUOTE] = ACTIONS(2715),
    [anon_sym_uR_DQUOTE] = ACTIONS(2715),
    [anon_sym_UR_DQUOTE] = ACTIONS(2715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2715),
    [anon_sym_co_await] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_requires] = ACTIONS(2713),
    [sym_this] = ACTIONS(2713),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [sym_number_literal] = ACTIONS(2836),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [sym_virtual] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(3320),
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3320),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3320),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [sym_primitive_type] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [sym_number_literal] = ACTIONS(3320),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3320),
    [anon_sym_LR_DQUOTE] = ACTIONS(3320),
    [anon_sym_uR_DQUOTE] = ACTIONS(3320),
    [anon_sym_UR_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3320),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [sym_virtual] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2644),
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___based] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_mutable] = ACTIONS(2642),
    [anon_sym_constinit] = ACTIONS(2642),
    [anon_sym_consteval] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_not] = ACTIONS(2642),
    [anon_sym_compl] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2642),
    [anon_sym_decltype] = ACTIONS(2642),
    [sym_virtual] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym_explicit] = ACTIONS(2642),
    [anon_sym_typename] = ACTIONS(2642),
    [anon_sym_template] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2642),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_using] = ACTIONS(2642),
    [anon_sym_static_assert] = ACTIONS(2642),
    [anon_sym_concept] = ACTIONS(2642),
    [anon_sym_co_return] = ACTIONS(2642),
    [anon_sym_co_yield] = ACTIONS(2642),
    [anon_sym_R_DQUOTE] = ACTIONS(2644),
    [anon_sym_LR_DQUOTE] = ACTIONS(2644),
    [anon_sym_uR_DQUOTE] = ACTIONS(2644),
    [anon_sym_UR_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2644),
    [anon_sym_co_await] = ACTIONS(2642),
    [anon_sym_new] = ACTIONS(2642),
    [anon_sym_requires] = ACTIONS(2642),
    [sym_this] = ACTIONS(2642),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2748),
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___based] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_mutable] = ACTIONS(2746),
    [anon_sym_constinit] = ACTIONS(2746),
    [anon_sym_consteval] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_not] = ACTIONS(2746),
    [anon_sym_compl] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2746),
    [anon_sym_decltype] = ACTIONS(2746),
    [sym_virtual] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym_explicit] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2746),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_operator] = ACTIONS(2746),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(2746),
    [anon_sym_throw] = ACTIONS(2746),
    [anon_sym_namespace] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_static_assert] = ACTIONS(2746),
    [anon_sym_concept] = ACTIONS(2746),
    [anon_sym_co_return] = ACTIONS(2746),
    [anon_sym_co_yield] = ACTIONS(2746),
    [anon_sym_R_DQUOTE] = ACTIONS(2748),
    [anon_sym_LR_DQUOTE] = ACTIONS(2748),
    [anon_sym_uR_DQUOTE] = ACTIONS(2748),
    [anon_sym_UR_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2748),
    [anon_sym_co_await] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2746),
    [anon_sym_requires] = ACTIONS(2746),
    [sym_this] = ACTIONS(2746),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [sym_virtual] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2808),
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [sym_virtual] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_AMP_AMP] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2794),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym_COLON_COLON] = ACTIONS(2796),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___based] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_mutable] = ACTIONS(2794),
    [anon_sym_constinit] = ACTIONS(2794),
    [anon_sym_consteval] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_not] = ACTIONS(2794),
    [anon_sym_compl] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2794),
    [anon_sym_decltype] = ACTIONS(2794),
    [sym_virtual] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym_explicit] = ACTIONS(2794),
    [anon_sym_typename] = ACTIONS(2794),
    [anon_sym_template] = ACTIONS(2794),
    [anon_sym_operator] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_static_assert] = ACTIONS(2794),
    [anon_sym_concept] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2794),
    [anon_sym_co_yield] = ACTIONS(2794),
    [anon_sym_R_DQUOTE] = ACTIONS(2796),
    [anon_sym_LR_DQUOTE] = ACTIONS(2796),
    [anon_sym_uR_DQUOTE] = ACTIONS(2796),
    [anon_sym_UR_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2796),
    [anon_sym_co_await] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_requires] = ACTIONS(2794),
    [sym_this] = ACTIONS(2794),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_not] = ACTIONS(2638),
    [anon_sym_compl] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
    [anon_sym_concept] = ACTIONS(2638),
    [anon_sym_co_return] = ACTIONS(2638),
    [anon_sym_co_yield] = ACTIONS(2638),
    [anon_sym_R_DQUOTE] = ACTIONS(2640),
    [anon_sym_LR_DQUOTE] = ACTIONS(2640),
    [anon_sym_uR_DQUOTE] = ACTIONS(2640),
    [anon_sym_UR_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2640),
    [anon_sym_co_await] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_requires] = ACTIONS(2638),
    [sym_this] = ACTIONS(2638),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2966),
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [sym_virtual] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2756),
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2962),
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [sym_virtual] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2656),
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym_not] = ACTIONS(2654),
    [anon_sym_compl] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [sym_virtual] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
    [anon_sym_concept] = ACTIONS(2654),
    [anon_sym_co_return] = ACTIONS(2654),
    [anon_sym_co_yield] = ACTIONS(2654),
    [anon_sym_R_DQUOTE] = ACTIONS(2656),
    [anon_sym_LR_DQUOTE] = ACTIONS(2656),
    [anon_sym_uR_DQUOTE] = ACTIONS(2656),
    [anon_sym_UR_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2656),
    [anon_sym_co_await] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_requires] = ACTIONS(2654),
    [sym_this] = ACTIONS(2654),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [sym_virtual] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2804),
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2768),
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [sym_virtual] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [sym_virtual] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [sym_number_literal] = ACTIONS(2840),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [sym_virtual] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2824),
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2780),
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [sym_virtual] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [sym_virtual] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [848] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___attribute__] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(2848),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [sym_virtual] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2764),
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [sym_virtual] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2648),
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym_COLON_COLON] = ACTIONS(2648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___based] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_mutable] = ACTIONS(2646),
    [anon_sym_constinit] = ACTIONS(2646),
    [anon_sym_consteval] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2646),
    [anon_sym_compl] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2646),
    [anon_sym_decltype] = ACTIONS(2646),
    [sym_virtual] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym_explicit] = ACTIONS(2646),
    [anon_sym_typename] = ACTIONS(2646),
    [anon_sym_template] = ACTIONS(2646),
    [anon_sym_operator] = ACTIONS(2646),
    [anon_sym_try] = ACTIONS(2646),
    [anon_sym_delete] = ACTIONS(2646),
    [anon_sym_throw] = ACTIONS(2646),
    [anon_sym_namespace] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(2646),
    [anon_sym_static_assert] = ACTIONS(2646),
    [anon_sym_concept] = ACTIONS(2646),
    [anon_sym_co_return] = ACTIONS(2646),
    [anon_sym_co_yield] = ACTIONS(2646),
    [anon_sym_R_DQUOTE] = ACTIONS(2648),
    [anon_sym_LR_DQUOTE] = ACTIONS(2648),
    [anon_sym_uR_DQUOTE] = ACTIONS(2648),
    [anon_sym_UR_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2648),
    [anon_sym_co_await] = ACTIONS(2646),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2646),
    [sym_this] = ACTIONS(2646),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2734),
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [sym_virtual] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [sym_virtual] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(2812),
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [sym_virtual] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2740),
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_not] = ACTIONS(2738),
    [anon_sym_compl] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [sym_virtual] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
    [anon_sym_concept] = ACTIONS(2738),
    [anon_sym_co_return] = ACTIONS(2738),
    [anon_sym_co_yield] = ACTIONS(2738),
    [anon_sym_R_DQUOTE] = ACTIONS(2740),
    [anon_sym_LR_DQUOTE] = ACTIONS(2740),
    [anon_sym_uR_DQUOTE] = ACTIONS(2740),
    [anon_sym_UR_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2740),
    [anon_sym_co_await] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2738),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2681),
    [sym_identifier] = ACTIONS(2679),
    [aux_sym_preproc_include_token1] = ACTIONS(2679),
    [aux_sym_preproc_def_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2679),
    [anon_sym_LPAREN2] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_typedef] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym___based] = ACTIONS(2679),
    [anon_sym___cdecl] = ACTIONS(2679),
    [anon_sym___clrcall] = ACTIONS(2679),
    [anon_sym___stdcall] = ACTIONS(2679),
    [anon_sym___fastcall] = ACTIONS(2679),
    [anon_sym___thiscall] = ACTIONS(2679),
    [anon_sym___vectorcall] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [anon_sym_mutable] = ACTIONS(2679),
    [anon_sym_constinit] = ACTIONS(2679),
    [anon_sym_consteval] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_goto] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_compl] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_sizeof] = ACTIONS(2679),
    [anon_sym___alignof__] = ACTIONS(2679),
    [anon_sym___alignof] = ACTIONS(2679),
    [anon_sym__alignof] = ACTIONS(2679),
    [anon_sym_alignof] = ACTIONS(2679),
    [anon_sym__Alignof] = ACTIONS(2679),
    [anon_sym_offsetof] = ACTIONS(2679),
    [anon_sym__Generic] = ACTIONS(2679),
    [anon_sym_asm] = ACTIONS(2679),
    [anon_sym___asm__] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2681),
    [anon_sym_L_SQUOTE] = ACTIONS(2681),
    [anon_sym_u_SQUOTE] = ACTIONS(2681),
    [anon_sym_U_SQUOTE] = ACTIONS(2681),
    [anon_sym_u8_SQUOTE] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2681),
    [anon_sym_L_DQUOTE] = ACTIONS(2681),
    [anon_sym_u_DQUOTE] = ACTIONS(2681),
    [anon_sym_U_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8_DQUOTE] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2681),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_NULL] = ACTIONS(2679),
    [anon_sym_nullptr] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2679),
    [anon_sym_decltype] = ACTIONS(2679),
    [sym_virtual] = ACTIONS(2679),
    [anon_sym_alignas] = ACTIONS(2679),
    [anon_sym_explicit] = ACTIONS(2679),
    [anon_sym_typename] = ACTIONS(2679),
    [anon_sym_template] = ACTIONS(2679),
    [anon_sym_operator] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_delete] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_namespace] = ACTIONS(2679),
    [anon_sym_using] = ACTIONS(2679),
    [anon_sym_static_assert] = ACTIONS(2679),
    [anon_sym_concept] = ACTIONS(2679),
    [anon_sym_co_return] = ACTIONS(2679),
    [anon_sym_co_yield] = ACTIONS(2679),
    [anon_sym_R_DQUOTE] = ACTIONS(2681),
    [anon_sym_LR_DQUOTE] = ACTIONS(2681),
    [anon_sym_uR_DQUOTE] = ACTIONS(2681),
    [anon_sym_UR_DQUOTE] = ACTIONS(2681),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2681),
    [anon_sym_co_await] = ACTIONS(2679),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_requires] = ACTIONS(2679),
    [sym_this] = ACTIONS(2679),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2954),
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2885),
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2881),
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(2744),
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(2744),
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_not] = ACTIONS(2742),
    [anon_sym_compl] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
    [anon_sym_concept] = ACTIONS(2742),
    [anon_sym_co_return] = ACTIONS(2742),
    [anon_sym_co_yield] = ACTIONS(2742),
    [anon_sym_R_DQUOTE] = ACTIONS(2744),
    [anon_sym_LR_DQUOTE] = ACTIONS(2744),
    [anon_sym_uR_DQUOTE] = ACTIONS(2744),
    [anon_sym_UR_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2744),
    [anon_sym_co_await] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_requires] = ACTIONS(2742),
    [sym_this] = ACTIONS(2742),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2711),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2711),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [sym_primitive_type] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [sym_number_literal] = ACTIONS(2711),
    [anon_sym_L_SQUOTE] = ACTIONS(2711),
    [anon_sym_u_SQUOTE] = ACTIONS(2711),
    [anon_sym_U_SQUOTE] = ACTIONS(2711),
    [anon_sym_u8_SQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_L_DQUOTE] = ACTIONS(2711),
    [anon_sym_u_DQUOTE] = ACTIONS(2711),
    [anon_sym_U_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8_DQUOTE] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [sym_virtual] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2711),
    [anon_sym_LR_DQUOTE] = ACTIONS(2711),
    [anon_sym_uR_DQUOTE] = ACTIONS(2711),
    [anon_sym_UR_DQUOTE] = ACTIONS(2711),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2711),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [sym_virtual] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(2942),
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [sym_virtual] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_include_token1] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym___cdecl] = ACTIONS(2717),
    [anon_sym___clrcall] = ACTIONS(2717),
    [anon_sym___stdcall] = ACTIONS(2717),
    [anon_sym___fastcall] = ACTIONS(2717),
    [anon_sym___thiscall] = ACTIONS(2717),
    [anon_sym___vectorcall] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_goto] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2717),
    [anon_sym_compl] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_sizeof] = ACTIONS(2717),
    [anon_sym___alignof__] = ACTIONS(2717),
    [anon_sym___alignof] = ACTIONS(2717),
    [anon_sym__alignof] = ACTIONS(2717),
    [anon_sym_alignof] = ACTIONS(2717),
    [anon_sym__Alignof] = ACTIONS(2717),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2717),
    [anon_sym_asm] = ACTIONS(2717),
    [anon_sym___asm__] = ACTIONS(2717),
    [sym_number_literal] = ACTIONS(2719),
    [anon_sym_L_SQUOTE] = ACTIONS(2719),
    [anon_sym_u_SQUOTE] = ACTIONS(2719),
    [anon_sym_U_SQUOTE] = ACTIONS(2719),
    [anon_sym_u8_SQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_L_DQUOTE] = ACTIONS(2719),
    [anon_sym_u_DQUOTE] = ACTIONS(2719),
    [anon_sym_U_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8_DQUOTE] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [anon_sym_NULL] = ACTIONS(2717),
    [anon_sym_nullptr] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
    [anon_sym_concept] = ACTIONS(2717),
    [anon_sym_co_return] = ACTIONS(2717),
    [anon_sym_co_yield] = ACTIONS(2717),
    [anon_sym_R_DQUOTE] = ACTIONS(2719),
    [anon_sym_LR_DQUOTE] = ACTIONS(2719),
    [anon_sym_uR_DQUOTE] = ACTIONS(2719),
    [anon_sym_UR_DQUOTE] = ACTIONS(2719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2719),
    [anon_sym_co_await] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_requires] = ACTIONS(2717),
    [sym_this] = ACTIONS(2717),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_include_token1] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym___cdecl] = ACTIONS(2721),
    [anon_sym___clrcall] = ACTIONS(2721),
    [anon_sym___stdcall] = ACTIONS(2721),
    [anon_sym___fastcall] = ACTIONS(2721),
    [anon_sym___thiscall] = ACTIONS(2721),
    [anon_sym___vectorcall] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_goto] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_compl] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_sizeof] = ACTIONS(2721),
    [anon_sym___alignof__] = ACTIONS(2721),
    [anon_sym___alignof] = ACTIONS(2721),
    [anon_sym__alignof] = ACTIONS(2721),
    [anon_sym_alignof] = ACTIONS(2721),
    [anon_sym__Alignof] = ACTIONS(2721),
    [anon_sym_offsetof] = ACTIONS(2721),
    [anon_sym__Generic] = ACTIONS(2721),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2723),
    [anon_sym_u_SQUOTE] = ACTIONS(2723),
    [anon_sym_U_SQUOTE] = ACTIONS(2723),
    [anon_sym_u8_SQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_L_DQUOTE] = ACTIONS(2723),
    [anon_sym_u_DQUOTE] = ACTIONS(2723),
    [anon_sym_U_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8_DQUOTE] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [anon_sym_NULL] = ACTIONS(2721),
    [anon_sym_nullptr] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
    [anon_sym_concept] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2721),
    [anon_sym_co_yield] = ACTIONS(2721),
    [anon_sym_R_DQUOTE] = ACTIONS(2723),
    [anon_sym_LR_DQUOTE] = ACTIONS(2723),
    [anon_sym_uR_DQUOTE] = ACTIONS(2723),
    [anon_sym_UR_DQUOTE] = ACTIONS(2723),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2723),
    [anon_sym_co_await] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_requires] = ACTIONS(2721),
    [sym_this] = ACTIONS(2721),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [sym_virtual] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [884] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [885] = {
    [sym_preproc_def] = STATE(890),
    [sym_preproc_function_def] = STATE(890),
    [sym_preproc_call] = STATE(890),
    [sym_preproc_if_in_field_declaration_list] = STATE(890),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(890),
    [sym_type_definition] = STATE(890),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5401),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5942),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(890),
    [sym_field_declaration] = STATE(890),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1821),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(890),
    [sym_operator_cast] = STATE(6460),
    [sym_inline_method_definition] = STATE(890),
    [sym__constructor_specifiers] = STATE(1821),
    [sym_operator_cast_definition] = STATE(890),
    [sym_operator_cast_declaration] = STATE(890),
    [sym_constructor_or_destructor_definition] = STATE(890),
    [sym_constructor_or_destructor_declaration] = STATE(890),
    [sym_friend_declaration] = STATE(890),
    [sym_access_specifier] = STATE(8391),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(890),
    [sym_alias_declaration] = STATE(890),
    [sym_static_assert_declaration] = STATE(890),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6460),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(890),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1821),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3368),
    [aux_sym_preproc_if_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token2] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3382),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3384),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_static_assert] = ACTIONS(3388),
  },
  [886] = {
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_field_declaration_list] = STATE(901),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(901),
    [sym_type_definition] = STATE(901),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(901),
    [sym_field_declaration] = STATE(901),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(901),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(901),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(901),
    [sym_operator_cast_declaration] = STATE(901),
    [sym_constructor_or_destructor_definition] = STATE(901),
    [sym_constructor_or_destructor_declaration] = STATE(901),
    [sym_friend_declaration] = STATE(901),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(901),
    [sym_alias_declaration] = STATE(901),
    [sym_static_assert_declaration] = STATE(901),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(901),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3390),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [887] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3392),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [888] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3394),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [889] = {
    [sym_preproc_def] = STATE(885),
    [sym_preproc_function_def] = STATE(885),
    [sym_preproc_call] = STATE(885),
    [sym_preproc_if_in_field_declaration_list] = STATE(885),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(885),
    [sym_type_definition] = STATE(885),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5401),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5942),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(885),
    [sym_field_declaration] = STATE(885),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1821),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(885),
    [sym_operator_cast] = STATE(6460),
    [sym_inline_method_definition] = STATE(885),
    [sym__constructor_specifiers] = STATE(1821),
    [sym_operator_cast_definition] = STATE(885),
    [sym_operator_cast_declaration] = STATE(885),
    [sym_constructor_or_destructor_definition] = STATE(885),
    [sym_constructor_or_destructor_declaration] = STATE(885),
    [sym_friend_declaration] = STATE(885),
    [sym_access_specifier] = STATE(8391),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(885),
    [sym_alias_declaration] = STATE(885),
    [sym_static_assert_declaration] = STATE(885),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6460),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(885),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1821),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3368),
    [aux_sym_preproc_if_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token2] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3382),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3384),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_static_assert] = ACTIONS(3388),
  },
  [890] = {
    [sym_preproc_def] = STATE(890),
    [sym_preproc_function_def] = STATE(890),
    [sym_preproc_call] = STATE(890),
    [sym_preproc_if_in_field_declaration_list] = STATE(890),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(890),
    [sym_type_definition] = STATE(890),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5401),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5942),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(890),
    [sym_field_declaration] = STATE(890),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1821),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(890),
    [sym_operator_cast] = STATE(6460),
    [sym_inline_method_definition] = STATE(890),
    [sym__constructor_specifiers] = STATE(1821),
    [sym_operator_cast_definition] = STATE(890),
    [sym_operator_cast_declaration] = STATE(890),
    [sym_constructor_or_destructor_definition] = STATE(890),
    [sym_constructor_or_destructor_declaration] = STATE(890),
    [sym_friend_declaration] = STATE(890),
    [sym_access_specifier] = STATE(8391),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(890),
    [sym_alias_declaration] = STATE(890),
    [sym_static_assert_declaration] = STATE(890),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6460),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(890),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1821),
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3398),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3404),
    [sym_preproc_directive] = ACTIONS(3407),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3410),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3258),
    [anon_sym_decltype] = ACTIONS(3261),
    [sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3270),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3416),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_friend] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_static_assert] = ACTIONS(3425),
  },
  [891] = {
    [sym_preproc_def] = STATE(908),
    [sym_preproc_function_def] = STATE(908),
    [sym_preproc_call] = STATE(908),
    [sym_preproc_if_in_field_declaration_list] = STATE(908),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(908),
    [sym_type_definition] = STATE(908),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(908),
    [sym_field_declaration] = STATE(908),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(908),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(908),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(908),
    [sym_operator_cast_declaration] = STATE(908),
    [sym_constructor_or_destructor_definition] = STATE(908),
    [sym_constructor_or_destructor_declaration] = STATE(908),
    [sym_friend_declaration] = STATE(908),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(908),
    [sym_alias_declaration] = STATE(908),
    [sym_static_assert_declaration] = STATE(908),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(908),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [892] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3430),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [893] = {
    [sym__expression] = STATE(4365),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(3434),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [894] = {
    [sym_preproc_def] = STATE(897),
    [sym_preproc_function_def] = STATE(897),
    [sym_preproc_call] = STATE(897),
    [sym_preproc_if_in_field_declaration_list] = STATE(897),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(897),
    [sym_type_definition] = STATE(897),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(897),
    [sym_field_declaration] = STATE(897),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(897),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(897),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(897),
    [sym_operator_cast_declaration] = STATE(897),
    [sym_constructor_or_destructor_definition] = STATE(897),
    [sym_constructor_or_destructor_declaration] = STATE(897),
    [sym_friend_declaration] = STATE(897),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(897),
    [sym_alias_declaration] = STATE(897),
    [sym_static_assert_declaration] = STATE(897),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(897),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3448),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [895] = {
    [sym_preproc_def] = STATE(906),
    [sym_preproc_function_def] = STATE(906),
    [sym_preproc_call] = STATE(906),
    [sym_preproc_if_in_field_declaration_list] = STATE(906),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(906),
    [sym_type_definition] = STATE(906),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(906),
    [sym_field_declaration] = STATE(906),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(906),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(906),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(906),
    [sym_operator_cast_declaration] = STATE(906),
    [sym_constructor_or_destructor_definition] = STATE(906),
    [sym_constructor_or_destructor_declaration] = STATE(906),
    [sym_friend_declaration] = STATE(906),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(906),
    [sym_alias_declaration] = STATE(906),
    [sym_static_assert_declaration] = STATE(906),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3450),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [896] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3452),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3458),
    [sym_preproc_directive] = ACTIONS(3461),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3464),
    [anon_sym_typedef] = ACTIONS(3467),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3470),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3258),
    [anon_sym_decltype] = ACTIONS(3261),
    [sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3270),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3472),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_friend] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static_assert] = ACTIONS(3481),
  },
  [897] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [898] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [899] = {
    [sym_preproc_def] = STATE(898),
    [sym_preproc_function_def] = STATE(898),
    [sym_preproc_call] = STATE(898),
    [sym_preproc_if_in_field_declaration_list] = STATE(898),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(898),
    [sym_type_definition] = STATE(898),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(898),
    [sym_field_declaration] = STATE(898),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(898),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(898),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(898),
    [sym_operator_cast_declaration] = STATE(898),
    [sym_constructor_or_destructor_definition] = STATE(898),
    [sym_constructor_or_destructor_declaration] = STATE(898),
    [sym_friend_declaration] = STATE(898),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(898),
    [sym_alias_declaration] = STATE(898),
    [sym_static_assert_declaration] = STATE(898),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(898),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [900] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(3492),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_RBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [901] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [902] = {
    [sym_preproc_def] = STATE(903),
    [sym_preproc_function_def] = STATE(903),
    [sym_preproc_call] = STATE(903),
    [sym_preproc_if_in_field_declaration_list] = STATE(903),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(903),
    [sym_type_definition] = STATE(903),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(903),
    [sym_field_declaration] = STATE(903),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(903),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(903),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(903),
    [sym_operator_cast_declaration] = STATE(903),
    [sym_constructor_or_destructor_definition] = STATE(903),
    [sym_constructor_or_destructor_declaration] = STATE(903),
    [sym_friend_declaration] = STATE(903),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(903),
    [sym_alias_declaration] = STATE(903),
    [sym_static_assert_declaration] = STATE(903),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(903),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [903] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [904] = {
    [sym_preproc_def] = STATE(887),
    [sym_preproc_function_def] = STATE(887),
    [sym_preproc_call] = STATE(887),
    [sym_preproc_if_in_field_declaration_list] = STATE(887),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(887),
    [sym_type_definition] = STATE(887),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(887),
    [sym_field_declaration] = STATE(887),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(887),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(887),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(887),
    [sym_operator_cast_declaration] = STATE(887),
    [sym_constructor_or_destructor_definition] = STATE(887),
    [sym_constructor_or_destructor_declaration] = STATE(887),
    [sym_friend_declaration] = STATE(887),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(887),
    [sym_alias_declaration] = STATE(887),
    [sym_static_assert_declaration] = STATE(887),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(887),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3510),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [905] = {
    [sym__expression] = STATE(4375),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_initializer_list] = STATE(4584),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_GT_GT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_QMARK] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(1876),
    [anon_sym_or] = ACTIONS(1874),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_bitor] = ACTIONS(1874),
    [anon_sym_xor] = ACTIONS(1874),
    [anon_sym_bitand] = ACTIONS(1874),
    [anon_sym_not_eq] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_DOT_STAR] = ACTIONS(1876),
    [anon_sym_DASH_GT] = ACTIONS(1876),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_GT2] = ACTIONS(1876),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [906] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3518),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [907] = {
    [sym_preproc_def] = STATE(884),
    [sym_preproc_function_def] = STATE(884),
    [sym_preproc_call] = STATE(884),
    [sym_preproc_if_in_field_declaration_list] = STATE(884),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(884),
    [sym_type_definition] = STATE(884),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(884),
    [sym_field_declaration] = STATE(884),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(884),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(884),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(884),
    [sym_operator_cast_declaration] = STATE(884),
    [sym_constructor_or_destructor_definition] = STATE(884),
    [sym_constructor_or_destructor_declaration] = STATE(884),
    [sym_friend_declaration] = STATE(884),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(884),
    [sym_alias_declaration] = STATE(884),
    [sym_static_assert_declaration] = STATE(884),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [908] = {
    [sym_preproc_def] = STATE(896),
    [sym_preproc_function_def] = STATE(896),
    [sym_preproc_call] = STATE(896),
    [sym_preproc_if_in_field_declaration_list] = STATE(896),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(896),
    [sym_type_definition] = STATE(896),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(896),
    [sym_field_declaration] = STATE(896),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(896),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(896),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(896),
    [sym_operator_cast_declaration] = STATE(896),
    [sym_constructor_or_destructor_definition] = STATE(896),
    [sym_constructor_or_destructor_declaration] = STATE(896),
    [sym_friend_declaration] = STATE(896),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(896),
    [sym_alias_declaration] = STATE(896),
    [sym_static_assert_declaration] = STATE(896),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3522),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [909] = {
    [sym_preproc_def] = STATE(888),
    [sym_preproc_function_def] = STATE(888),
    [sym_preproc_call] = STATE(888),
    [sym_preproc_if_in_field_declaration_list] = STATE(888),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(888),
    [sym_type_definition] = STATE(888),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(888),
    [sym_field_declaration] = STATE(888),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(888),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(888),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(888),
    [sym_operator_cast_declaration] = STATE(888),
    [sym_constructor_or_destructor_definition] = STATE(888),
    [sym_constructor_or_destructor_declaration] = STATE(888),
    [sym_friend_declaration] = STATE(888),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(888),
    [sym_alias_declaration] = STATE(888),
    [sym_static_assert_declaration] = STATE(888),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [910] = {
    [sym_preproc_def] = STATE(892),
    [sym_preproc_function_def] = STATE(892),
    [sym_preproc_call] = STATE(892),
    [sym_preproc_if_in_field_declaration_list] = STATE(892),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(892),
    [sym_type_definition] = STATE(892),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__field_declaration_list_item] = STATE(892),
    [sym_field_declaration] = STATE(892),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(892),
    [sym_operator_cast] = STATE(6486),
    [sym_inline_method_definition] = STATE(892),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(892),
    [sym_operator_cast_declaration] = STATE(892),
    [sym_constructor_or_destructor_definition] = STATE(892),
    [sym_constructor_or_destructor_declaration] = STATE(892),
    [sym_friend_declaration] = STATE(892),
    [sym_access_specifier] = STATE(7942),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_using_declaration] = STATE(892),
    [sym_alias_declaration] = STATE(892),
    [sym_static_assert_declaration] = STATE(892),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(892),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(3346),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3350),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(3354),
    [anon_sym_typedef] = ACTIONS(3356),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3526),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3364),
    [anon_sym_static_assert] = ACTIONS(3366),
  },
  [911] = {
    [sym__expression] = STATE(4464),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3528),
    [anon_sym_COMMA] = ACTIONS(3528),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3492),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(3532),
    [anon_sym_PERCENT] = ACTIONS(3528),
    [anon_sym_PIPE_PIPE] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3528),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3528),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_EQ_EQ] = ACTIONS(3528),
    [anon_sym_BANG_EQ] = ACTIONS(3528),
    [anon_sym_GT] = ACTIONS(3532),
    [anon_sym_GT_EQ] = ACTIONS(3528),
    [anon_sym_LT_EQ] = ACTIONS(3532),
    [anon_sym_LT] = ACTIONS(3532),
    [anon_sym_LT_LT] = ACTIONS(3528),
    [anon_sym_GT_GT] = ACTIONS(3528),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3528),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_QMARK] = ACTIONS(3528),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_LT_EQ_GT] = ACTIONS(3528),
    [anon_sym_or] = ACTIONS(3532),
    [anon_sym_and] = ACTIONS(3532),
    [anon_sym_bitor] = ACTIONS(3532),
    [anon_sym_xor] = ACTIONS(3532),
    [anon_sym_bitand] = ACTIONS(3532),
    [anon_sym_not_eq] = ACTIONS(3532),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(3532),
    [anon_sym_DOT_STAR] = ACTIONS(3528),
    [anon_sym_DASH_GT] = ACTIONS(3528),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [912] = {
    [sym__declaration_modifiers] = STATE(2082),
    [sym__declaration_specifiers] = STATE(6060),
    [sym_attribute_specifier] = STATE(2082),
    [sym_attribute_declaration] = STATE(2082),
    [sym_ms_declspec_modifier] = STATE(2082),
    [sym_storage_class_specifier] = STATE(2082),
    [sym_type_qualifier] = STATE(2082),
    [sym__type_specifier] = STATE(4064),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2082),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6300),
    [sym_qualified_type_identifier] = STATE(3080),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2082),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(3540),
    [anon_sym_SLASH] = ACTIONS(3540),
    [anon_sym_PERCENT] = ACTIONS(3540),
    [anon_sym_PIPE_PIPE] = ACTIONS(3538),
    [anon_sym_AMP_AMP] = ACTIONS(3538),
    [anon_sym_PIPE] = ACTIONS(3540),
    [anon_sym_CARET] = ACTIONS(3540),
    [anon_sym_AMP] = ACTIONS(3540),
    [anon_sym_EQ_EQ] = ACTIONS(3538),
    [anon_sym_BANG_EQ] = ACTIONS(3538),
    [anon_sym_GT] = ACTIONS(3540),
    [anon_sym_GT_EQ] = ACTIONS(3538),
    [anon_sym_LT_EQ] = ACTIONS(3540),
    [anon_sym_LT] = ACTIONS(3540),
    [anon_sym_LT_LT] = ACTIONS(3540),
    [anon_sym_GT_GT] = ACTIONS(3540),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3544),
    [anon_sym_unsigned] = ACTIONS(3544),
    [anon_sym_long] = ACTIONS(3544),
    [anon_sym_short] = ACTIONS(3544),
    [anon_sym_EQ] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_struct] = ACTIONS(3552),
    [anon_sym_union] = ACTIONS(3554),
    [anon_sym_STAR_EQ] = ACTIONS(3538),
    [anon_sym_SLASH_EQ] = ACTIONS(3538),
    [anon_sym_PERCENT_EQ] = ACTIONS(3538),
    [anon_sym_PLUS_EQ] = ACTIONS(3538),
    [anon_sym_DASH_EQ] = ACTIONS(3538),
    [anon_sym_LT_LT_EQ] = ACTIONS(3538),
    [anon_sym_GT_GT_EQ] = ACTIONS(3538),
    [anon_sym_AMP_EQ] = ACTIONS(3538),
    [anon_sym_CARET_EQ] = ACTIONS(3538),
    [anon_sym_PIPE_EQ] = ACTIONS(3538),
    [anon_sym_and_eq] = ACTIONS(3540),
    [anon_sym_or_eq] = ACTIONS(3540),
    [anon_sym_xor_eq] = ACTIONS(3540),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_LT_EQ_GT] = ACTIONS(3538),
    [anon_sym_or] = ACTIONS(3540),
    [anon_sym_and] = ACTIONS(3540),
    [anon_sym_bitor] = ACTIONS(3540),
    [anon_sym_xor] = ACTIONS(3540),
    [anon_sym_bitand] = ACTIONS(3540),
    [anon_sym_not_eq] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_DASH_GT] = ACTIONS(3540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(3556),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3558),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3560),
    [anon_sym_co_await] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3560),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3538),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3538),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3538),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3562),
  },
  [913] = {
    [sym__declaration_modifiers] = STATE(2082),
    [sym__declaration_specifiers] = STATE(6060),
    [sym_attribute_specifier] = STATE(2082),
    [sym_attribute_declaration] = STATE(2082),
    [sym_ms_declspec_modifier] = STATE(2082),
    [sym_storage_class_specifier] = STATE(2082),
    [sym_type_qualifier] = STATE(2082),
    [sym__type_specifier] = STATE(4064),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2082),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6300),
    [sym_qualified_type_identifier] = STATE(3080),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2082),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_COMMA] = ACTIONS(3564),
    [anon_sym_BANG] = ACTIONS(3566),
    [anon_sym_TILDE] = ACTIONS(3564),
    [anon_sym_DASH] = ACTIONS(3566),
    [anon_sym_PLUS] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(3566),
    [anon_sym_SLASH] = ACTIONS(3566),
    [anon_sym_PERCENT] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE] = ACTIONS(3564),
    [anon_sym_AMP_AMP] = ACTIONS(3564),
    [anon_sym_PIPE] = ACTIONS(3566),
    [anon_sym_CARET] = ACTIONS(3566),
    [anon_sym_AMP] = ACTIONS(3566),
    [anon_sym_EQ_EQ] = ACTIONS(3564),
    [anon_sym_BANG_EQ] = ACTIONS(3564),
    [anon_sym_GT] = ACTIONS(3566),
    [anon_sym_GT_EQ] = ACTIONS(3564),
    [anon_sym_LT_EQ] = ACTIONS(3566),
    [anon_sym_LT] = ACTIONS(3566),
    [anon_sym_LT_LT] = ACTIONS(3566),
    [anon_sym_GT_GT] = ACTIONS(3566),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3544),
    [anon_sym_unsigned] = ACTIONS(3544),
    [anon_sym_long] = ACTIONS(3544),
    [anon_sym_short] = ACTIONS(3544),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_struct] = ACTIONS(3552),
    [anon_sym_union] = ACTIONS(3554),
    [anon_sym_STAR_EQ] = ACTIONS(3564),
    [anon_sym_SLASH_EQ] = ACTIONS(3564),
    [anon_sym_PERCENT_EQ] = ACTIONS(3564),
    [anon_sym_PLUS_EQ] = ACTIONS(3564),
    [anon_sym_DASH_EQ] = ACTIONS(3564),
    [anon_sym_LT_LT_EQ] = ACTIONS(3564),
    [anon_sym_GT_GT_EQ] = ACTIONS(3564),
    [anon_sym_AMP_EQ] = ACTIONS(3564),
    [anon_sym_CARET_EQ] = ACTIONS(3564),
    [anon_sym_PIPE_EQ] = ACTIONS(3564),
    [anon_sym_and_eq] = ACTIONS(3566),
    [anon_sym_or_eq] = ACTIONS(3566),
    [anon_sym_xor_eq] = ACTIONS(3566),
    [anon_sym_not] = ACTIONS(3566),
    [anon_sym_compl] = ACTIONS(3566),
    [anon_sym_LT_EQ_GT] = ACTIONS(3564),
    [anon_sym_or] = ACTIONS(3566),
    [anon_sym_and] = ACTIONS(3566),
    [anon_sym_bitor] = ACTIONS(3566),
    [anon_sym_xor] = ACTIONS(3566),
    [anon_sym_bitand] = ACTIONS(3566),
    [anon_sym_not_eq] = ACTIONS(3566),
    [anon_sym_DASH_DASH] = ACTIONS(3564),
    [anon_sym_PLUS_PLUS] = ACTIONS(3564),
    [anon_sym_DASH_GT] = ACTIONS(3566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(3556),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3558),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3568),
    [anon_sym_co_await] = ACTIONS(3566),
    [anon_sym_new] = ACTIONS(3568),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3564),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3564),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3564),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3570),
  },
  [914] = {
    [sym_function_definition] = STATE(808),
    [sym_declaration] = STATE(808),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2053),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2902),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(808),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(808),
    [sym_operator_cast] = STATE(6475),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(808),
    [sym_operator_cast_declaration] = STATE(808),
    [sym_constructor_or_destructor_definition] = STATE(808),
    [sym_constructor_or_destructor_declaration] = STATE(808),
    [sym_friend_declaration] = STATE(808),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(808),
    [sym_concept_definition] = STATE(808),
    [sym_requires_clause] = STATE(923),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6475),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3576),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3580),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_COMMA] = ACTIONS(3586),
    [anon_sym_RPAREN] = ACTIONS(3586),
    [anon_sym_LPAREN2] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3586),
    [anon_sym_AMP_AMP] = ACTIONS(3586),
    [anon_sym_AMP] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym___extension__] = ACTIONS(3584),
    [anon_sym_extern] = ACTIONS(3584),
    [anon_sym___attribute__] = ACTIONS(3584),
    [anon_sym_COLON_COLON] = ACTIONS(3586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3586),
    [anon_sym___declspec] = ACTIONS(3584),
    [anon_sym___based] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_signed] = ACTIONS(3584),
    [anon_sym_unsigned] = ACTIONS(3584),
    [anon_sym_long] = ACTIONS(3584),
    [anon_sym_short] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_EQ] = ACTIONS(3586),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_register] = ACTIONS(3584),
    [anon_sym_inline] = ACTIONS(3584),
    [anon_sym___inline] = ACTIONS(3584),
    [anon_sym___inline__] = ACTIONS(3584),
    [anon_sym___forceinline] = ACTIONS(3584),
    [anon_sym_thread_local] = ACTIONS(3584),
    [anon_sym___thread] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_constexpr] = ACTIONS(3584),
    [anon_sym_volatile] = ACTIONS(3584),
    [anon_sym_restrict] = ACTIONS(3584),
    [anon_sym___restrict__] = ACTIONS(3584),
    [anon_sym__Atomic] = ACTIONS(3584),
    [anon_sym__Noreturn] = ACTIONS(3584),
    [anon_sym_noreturn] = ACTIONS(3584),
    [anon_sym_mutable] = ACTIONS(3584),
    [anon_sym_constinit] = ACTIONS(3584),
    [anon_sym_consteval] = ACTIONS(3584),
    [sym_primitive_type] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_struct] = ACTIONS(3584),
    [anon_sym_union] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3584),
    [anon_sym_default] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_goto] = ACTIONS(3584),
    [anon_sym___try] = ACTIONS(3584),
    [anon_sym___leave] = ACTIONS(3584),
    [anon_sym_not] = ACTIONS(3584),
    [anon_sym_compl] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_sizeof] = ACTIONS(3584),
    [anon_sym___alignof__] = ACTIONS(3584),
    [anon_sym___alignof] = ACTIONS(3584),
    [anon_sym__alignof] = ACTIONS(3584),
    [anon_sym_alignof] = ACTIONS(3584),
    [anon_sym__Alignof] = ACTIONS(3584),
    [anon_sym_offsetof] = ACTIONS(3584),
    [anon_sym__Generic] = ACTIONS(3584),
    [anon_sym_asm] = ACTIONS(3584),
    [anon_sym___asm__] = ACTIONS(3584),
    [sym_number_literal] = ACTIONS(3586),
    [anon_sym_L_SQUOTE] = ACTIONS(3586),
    [anon_sym_u_SQUOTE] = ACTIONS(3586),
    [anon_sym_U_SQUOTE] = ACTIONS(3586),
    [anon_sym_u8_SQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_L_DQUOTE] = ACTIONS(3586),
    [anon_sym_u_DQUOTE] = ACTIONS(3586),
    [anon_sym_U_DQUOTE] = ACTIONS(3586),
    [anon_sym_u8_DQUOTE] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [anon_sym_NULL] = ACTIONS(3584),
    [anon_sym_nullptr] = ACTIONS(3584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3584),
    [anon_sym_decltype] = ACTIONS(3584),
    [sym_virtual] = ACTIONS(3584),
    [anon_sym_alignas] = ACTIONS(3584),
    [anon_sym_explicit] = ACTIONS(3584),
    [anon_sym_typename] = ACTIONS(3584),
    [anon_sym_template] = ACTIONS(3584),
    [anon_sym_GT2] = ACTIONS(3586),
    [anon_sym_operator] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_co_return] = ACTIONS(3584),
    [anon_sym_co_yield] = ACTIONS(3584),
    [anon_sym_R_DQUOTE] = ACTIONS(3586),
    [anon_sym_LR_DQUOTE] = ACTIONS(3586),
    [anon_sym_uR_DQUOTE] = ACTIONS(3586),
    [anon_sym_UR_DQUOTE] = ACTIONS(3586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3586),
    [anon_sym_co_await] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_requires] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
  },
  [916] = {
    [sym_function_definition] = STATE(762),
    [sym_declaration] = STATE(762),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5992),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(762),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1801),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(762),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1801),
    [sym_operator_cast_definition] = STATE(762),
    [sym_operator_cast_declaration] = STATE(762),
    [sym_constructor_or_destructor_definition] = STATE(762),
    [sym_constructor_or_destructor_declaration] = STATE(762),
    [sym_friend_declaration] = STATE(762),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(762),
    [sym_concept_definition] = STATE(762),
    [sym_requires_clause] = STATE(927),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3588),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [917] = {
    [sym_function_definition] = STATE(2354),
    [sym_declaration] = STATE(2354),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4529),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2029),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5942),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2845),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(2354),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1821),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(2354),
    [sym_operator_cast] = STATE(6460),
    [sym__constructor_specifiers] = STATE(1821),
    [sym_operator_cast_definition] = STATE(2354),
    [sym_operator_cast_declaration] = STATE(2354),
    [sym_constructor_or_destructor_definition] = STATE(2354),
    [sym_constructor_or_destructor_declaration] = STATE(2354),
    [sym_friend_declaration] = STATE(2354),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(2354),
    [sym_concept_definition] = STATE(2354),
    [sym_requires_clause] = STATE(928),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6460),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1821),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3382),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3384),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_concept] = ACTIONS(3596),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_COMMA] = ACTIONS(3600),
    [anon_sym_RPAREN] = ACTIONS(3600),
    [anon_sym_LPAREN2] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP_AMP] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3598),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym___extension__] = ACTIONS(3598),
    [anon_sym_extern] = ACTIONS(3598),
    [anon_sym___attribute__] = ACTIONS(3598),
    [anon_sym_COLON_COLON] = ACTIONS(3600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3600),
    [anon_sym___declspec] = ACTIONS(3598),
    [anon_sym___based] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_signed] = ACTIONS(3598),
    [anon_sym_unsigned] = ACTIONS(3598),
    [anon_sym_long] = ACTIONS(3598),
    [anon_sym_short] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_EQ] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_register] = ACTIONS(3598),
    [anon_sym_inline] = ACTIONS(3598),
    [anon_sym___inline] = ACTIONS(3598),
    [anon_sym___inline__] = ACTIONS(3598),
    [anon_sym___forceinline] = ACTIONS(3598),
    [anon_sym_thread_local] = ACTIONS(3598),
    [anon_sym___thread] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_constexpr] = ACTIONS(3598),
    [anon_sym_volatile] = ACTIONS(3598),
    [anon_sym_restrict] = ACTIONS(3598),
    [anon_sym___restrict__] = ACTIONS(3598),
    [anon_sym__Atomic] = ACTIONS(3598),
    [anon_sym__Noreturn] = ACTIONS(3598),
    [anon_sym_noreturn] = ACTIONS(3598),
    [anon_sym_mutable] = ACTIONS(3598),
    [anon_sym_constinit] = ACTIONS(3598),
    [anon_sym_consteval] = ACTIONS(3598),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_struct] = ACTIONS(3598),
    [anon_sym_union] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_case] = ACTIONS(3598),
    [anon_sym_default] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_goto] = ACTIONS(3598),
    [anon_sym___try] = ACTIONS(3598),
    [anon_sym___leave] = ACTIONS(3598),
    [anon_sym_not] = ACTIONS(3598),
    [anon_sym_compl] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_sizeof] = ACTIONS(3598),
    [anon_sym___alignof__] = ACTIONS(3598),
    [anon_sym___alignof] = ACTIONS(3598),
    [anon_sym__alignof] = ACTIONS(3598),
    [anon_sym_alignof] = ACTIONS(3598),
    [anon_sym__Alignof] = ACTIONS(3598),
    [anon_sym_offsetof] = ACTIONS(3598),
    [anon_sym__Generic] = ACTIONS(3598),
    [anon_sym_asm] = ACTIONS(3598),
    [anon_sym___asm__] = ACTIONS(3598),
    [sym_number_literal] = ACTIONS(3600),
    [anon_sym_L_SQUOTE] = ACTIONS(3600),
    [anon_sym_u_SQUOTE] = ACTIONS(3600),
    [anon_sym_U_SQUOTE] = ACTIONS(3600),
    [anon_sym_u8_SQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_L_DQUOTE] = ACTIONS(3600),
    [anon_sym_u_DQUOTE] = ACTIONS(3600),
    [anon_sym_U_DQUOTE] = ACTIONS(3600),
    [anon_sym_u8_DQUOTE] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [anon_sym_NULL] = ACTIONS(3598),
    [anon_sym_nullptr] = ACTIONS(3598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3598),
    [anon_sym_decltype] = ACTIONS(3598),
    [sym_virtual] = ACTIONS(3598),
    [anon_sym_alignas] = ACTIONS(3598),
    [anon_sym_explicit] = ACTIONS(3598),
    [anon_sym_typename] = ACTIONS(3598),
    [anon_sym_template] = ACTIONS(3598),
    [anon_sym_GT2] = ACTIONS(3600),
    [anon_sym_operator] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_co_return] = ACTIONS(3598),
    [anon_sym_co_yield] = ACTIONS(3598),
    [anon_sym_R_DQUOTE] = ACTIONS(3600),
    [anon_sym_LR_DQUOTE] = ACTIONS(3600),
    [anon_sym_uR_DQUOTE] = ACTIONS(3600),
    [anon_sym_UR_DQUOTE] = ACTIONS(3600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3600),
    [anon_sym_co_await] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_requires] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
  },
  [919] = {
    [sym_function_definition] = STATE(340),
    [sym_declaration] = STATE(340),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5986),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(340),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1816),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(340),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1816),
    [sym_operator_cast_definition] = STATE(340),
    [sym_operator_cast_declaration] = STATE(340),
    [sym_constructor_or_destructor_definition] = STATE(340),
    [sym_constructor_or_destructor_declaration] = STATE(340),
    [sym_friend_declaration] = STATE(340),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(340),
    [sym_concept_definition] = STATE(340),
    [sym_requires_clause] = STATE(929),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3602),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_concept] = ACTIONS(327),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [920] = {
    [sym_function_definition] = STATE(1844),
    [sym_declaration] = STATE(1844),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4551),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2049),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2869),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(1844),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(1844),
    [sym_operator_cast] = STATE(6445),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(1844),
    [sym_operator_cast_declaration] = STATE(1844),
    [sym_constructor_or_destructor_definition] = STATE(1844),
    [sym_constructor_or_destructor_declaration] = STATE(1844),
    [sym_friend_declaration] = STATE(1844),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(1844),
    [sym_concept_definition] = STATE(1844),
    [sym_requires_clause] = STATE(924),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_concept] = ACTIONS(3610),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [921] = {
    [sym_function_definition] = STATE(2274),
    [sym_declaration] = STATE(2274),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2050),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2880),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(2274),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(2274),
    [sym_operator_cast] = STATE(6486),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(2274),
    [sym_operator_cast_declaration] = STATE(2274),
    [sym_constructor_or_destructor_definition] = STATE(2274),
    [sym_constructor_or_destructor_declaration] = STATE(2274),
    [sym_friend_declaration] = STATE(2274),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(2274),
    [sym_concept_definition] = STATE(2274),
    [sym_requires_clause] = STATE(925),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_concept] = ACTIONS(3614),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [922] = {
    [sym_function_definition] = STATE(824),
    [sym_declaration] = STATE(824),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2042),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5875),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2834),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(824),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1823),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(824),
    [sym_operator_cast] = STATE(6444),
    [sym__constructor_specifiers] = STATE(1823),
    [sym_operator_cast_definition] = STATE(824),
    [sym_operator_cast_declaration] = STATE(824),
    [sym_constructor_or_destructor_definition] = STATE(824),
    [sym_constructor_or_destructor_declaration] = STATE(824),
    [sym_friend_declaration] = STATE(824),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(824),
    [sym_concept_definition] = STATE(824),
    [sym_requires_clause] = STATE(926),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6444),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1823),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3582),
  },
  [923] = {
    [sym_function_definition] = STATE(772),
    [sym_declaration] = STATE(772),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2053),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2902),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6475),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(772),
    [sym_concept_definition] = STATE(772),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6475),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3576),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3580),
    [anon_sym_concept] = ACTIONS(794),
  },
  [924] = {
    [sym_function_definition] = STATE(1903),
    [sym_declaration] = STATE(1903),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4551),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2049),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5915),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2869),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(1903),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(1903),
    [sym_operator_cast] = STATE(6445),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(1903),
    [sym_operator_cast_declaration] = STATE(1903),
    [sym_constructor_or_destructor_definition] = STATE(1903),
    [sym_constructor_or_destructor_declaration] = STATE(1903),
    [sym_friend_declaration] = STATE(1903),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(1903),
    [sym_concept_definition] = STATE(1903),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6445),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_concept] = ACTIONS(3610),
  },
  [925] = {
    [sym_function_definition] = STATE(2238),
    [sym_declaration] = STATE(2238),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2050),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2880),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(2238),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1805),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(2238),
    [sym_operator_cast] = STATE(6486),
    [sym__constructor_specifiers] = STATE(1805),
    [sym_operator_cast_definition] = STATE(2238),
    [sym_operator_cast_declaration] = STATE(2238),
    [sym_constructor_or_destructor_definition] = STATE(2238),
    [sym_constructor_or_destructor_declaration] = STATE(2238),
    [sym_friend_declaration] = STATE(2238),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(2238),
    [sym_concept_definition] = STATE(2238),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6486),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3360),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3362),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_concept] = ACTIONS(3614),
  },
  [926] = {
    [sym_function_definition] = STATE(845),
    [sym_declaration] = STATE(845),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2042),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5875),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2834),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(845),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1823),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(845),
    [sym_operator_cast] = STATE(6444),
    [sym__constructor_specifiers] = STATE(1823),
    [sym_operator_cast_definition] = STATE(845),
    [sym_operator_cast_declaration] = STATE(845),
    [sym_constructor_or_destructor_definition] = STATE(845),
    [sym_constructor_or_destructor_declaration] = STATE(845),
    [sym_friend_declaration] = STATE(845),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(845),
    [sym_concept_definition] = STATE(845),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6444),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1823),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_concept] = ACTIONS(145),
  },
  [927] = {
    [sym_function_definition] = STATE(733),
    [sym_declaration] = STATE(733),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2076),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5992),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2852),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(733),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1801),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(733),
    [sym_operator_cast] = STATE(6453),
    [sym__constructor_specifiers] = STATE(1801),
    [sym_operator_cast_definition] = STATE(733),
    [sym_operator_cast_declaration] = STATE(733),
    [sym_constructor_or_destructor_definition] = STATE(733),
    [sym_constructor_or_destructor_declaration] = STATE(733),
    [sym_friend_declaration] = STATE(733),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(733),
    [sym_concept_definition] = STATE(733),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6453),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3588),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_concept] = ACTIONS(231),
  },
  [928] = {
    [sym_function_definition] = STATE(2266),
    [sym_declaration] = STATE(2266),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4529),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2029),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5942),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2845),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(2266),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1821),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(2266),
    [sym_operator_cast] = STATE(6460),
    [sym__constructor_specifiers] = STATE(1821),
    [sym_operator_cast_definition] = STATE(2266),
    [sym_operator_cast_declaration] = STATE(2266),
    [sym_constructor_or_destructor_definition] = STATE(2266),
    [sym_constructor_or_destructor_declaration] = STATE(2266),
    [sym_friend_declaration] = STATE(2266),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(2266),
    [sym_concept_definition] = STATE(2266),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6460),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1821),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3382),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3384),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_concept] = ACTIONS(3596),
  },
  [929] = {
    [sym_function_definition] = STATE(349),
    [sym_declaration] = STATE(349),
    [sym__declaration_modifiers] = STATE(3535),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_attribute_specifier] = STATE(3535),
    [sym_attribute_declaration] = STATE(3535),
    [sym_ms_declspec_modifier] = STATE(3535),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(2065),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5986),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3535),
    [sym_type_qualifier] = STATE(3535),
    [sym__type_specifier] = STATE(2841),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym__empty_declaration] = STATE(349),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3535),
    [sym_explicit_function_specifier] = STATE(1816),
    [sym_dependent_type] = STATE(2673),
    [sym_template_declaration] = STATE(349),
    [sym_operator_cast] = STATE(6454),
    [sym__constructor_specifiers] = STATE(1816),
    [sym_operator_cast_definition] = STATE(349),
    [sym_operator_cast_declaration] = STATE(349),
    [sym_constructor_or_destructor_definition] = STATE(349),
    [sym_constructor_or_destructor_declaration] = STATE(349),
    [sym_friend_declaration] = STATE(349),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_alias_declaration] = STATE(349),
    [sym_concept_definition] = STATE(349),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_qualified_operator_cast_identifier] = STATE(6454),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3602),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_concept] = ACTIONS(327),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_LPAREN2] = ACTIONS(3625),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3625),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3625),
    [anon_sym_AMP_AMP] = ACTIONS(3632),
    [anon_sym_AMP] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym___extension__] = ACTIONS(3634),
    [anon_sym_extern] = ACTIONS(3634),
    [anon_sym___attribute__] = ACTIONS(3634),
    [anon_sym_COLON_COLON] = ACTIONS(3625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3625),
    [anon_sym___declspec] = ACTIONS(3634),
    [anon_sym___based] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_signed] = ACTIONS(3634),
    [anon_sym_unsigned] = ACTIONS(3634),
    [anon_sym_long] = ACTIONS(3634),
    [anon_sym_short] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_register] = ACTIONS(3634),
    [anon_sym_inline] = ACTIONS(3634),
    [anon_sym___inline] = ACTIONS(3634),
    [anon_sym___inline__] = ACTIONS(3634),
    [anon_sym___forceinline] = ACTIONS(3634),
    [anon_sym_thread_local] = ACTIONS(3634),
    [anon_sym___thread] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_constexpr] = ACTIONS(3634),
    [anon_sym_volatile] = ACTIONS(3634),
    [anon_sym_restrict] = ACTIONS(3634),
    [anon_sym___restrict__] = ACTIONS(3634),
    [anon_sym__Atomic] = ACTIONS(3634),
    [anon_sym__Noreturn] = ACTIONS(3634),
    [anon_sym_noreturn] = ACTIONS(3634),
    [anon_sym_mutable] = ACTIONS(3634),
    [anon_sym_constinit] = ACTIONS(3634),
    [anon_sym_consteval] = ACTIONS(3634),
    [sym_primitive_type] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_struct] = ACTIONS(3634),
    [anon_sym_union] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_case] = ACTIONS(3630),
    [anon_sym_default] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_goto] = ACTIONS(3630),
    [anon_sym___try] = ACTIONS(3630),
    [anon_sym___leave] = ACTIONS(3630),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_compl] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_sizeof] = ACTIONS(3630),
    [anon_sym___alignof__] = ACTIONS(3630),
    [anon_sym___alignof] = ACTIONS(3630),
    [anon_sym__alignof] = ACTIONS(3630),
    [anon_sym_alignof] = ACTIONS(3630),
    [anon_sym__Alignof] = ACTIONS(3630),
    [anon_sym_offsetof] = ACTIONS(3630),
    [anon_sym__Generic] = ACTIONS(3630),
    [anon_sym_asm] = ACTIONS(3630),
    [anon_sym___asm__] = ACTIONS(3630),
    [sym_number_literal] = ACTIONS(3628),
    [anon_sym_L_SQUOTE] = ACTIONS(3628),
    [anon_sym_u_SQUOTE] = ACTIONS(3628),
    [anon_sym_U_SQUOTE] = ACTIONS(3628),
    [anon_sym_u8_SQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_L_DQUOTE] = ACTIONS(3628),
    [anon_sym_u_DQUOTE] = ACTIONS(3628),
    [anon_sym_U_DQUOTE] = ACTIONS(3628),
    [anon_sym_u8_DQUOTE] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [anon_sym_NULL] = ACTIONS(3630),
    [anon_sym_nullptr] = ACTIONS(3630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3634),
    [anon_sym_decltype] = ACTIONS(3622),
    [sym_virtual] = ACTIONS(3634),
    [anon_sym_alignas] = ACTIONS(3634),
    [anon_sym_explicit] = ACTIONS(3634),
    [anon_sym_typename] = ACTIONS(3634),
    [anon_sym_template] = ACTIONS(3622),
    [anon_sym_operator] = ACTIONS(3634),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_co_return] = ACTIONS(3630),
    [anon_sym_co_yield] = ACTIONS(3630),
    [anon_sym_R_DQUOTE] = ACTIONS(3628),
    [anon_sym_LR_DQUOTE] = ACTIONS(3628),
    [anon_sym_uR_DQUOTE] = ACTIONS(3628),
    [anon_sym_UR_DQUOTE] = ACTIONS(3628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3628),
    [anon_sym_co_await] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
  },
  [931] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1725),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3651),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3659),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3672),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [932] = {
    [sym_type_qualifier] = STATE(936),
    [sym__expression] = STATE(4471),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(936),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3676),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3680),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [933] = {
    [sym_type_qualifier] = STATE(945),
    [sym__expression] = STATE(4565),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(945),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3682),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [934] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4470),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3686),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [935] = {
    [sym_type_qualifier] = STATE(940),
    [sym__expression] = STATE(4456),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(940),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3690),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [936] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4564),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3694),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3696),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [937] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4465),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3698),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [938] = {
    [sym_catch_clause] = STATE(938),
    [aux_sym_constructor_try_statement_repeat1] = STATE(938),
    [sym_identifier] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_goto] = ACTIONS(2465),
    [anon_sym___try] = ACTIONS(2465),
    [anon_sym___leave] = ACTIONS(2465),
    [anon_sym_not] = ACTIONS(2465),
    [anon_sym_compl] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_sizeof] = ACTIONS(2465),
    [anon_sym___alignof__] = ACTIONS(2465),
    [anon_sym___alignof] = ACTIONS(2465),
    [anon_sym__alignof] = ACTIONS(2465),
    [anon_sym_alignof] = ACTIONS(2465),
    [anon_sym__Alignof] = ACTIONS(2465),
    [anon_sym_offsetof] = ACTIONS(2465),
    [anon_sym__Generic] = ACTIONS(2465),
    [anon_sym_asm] = ACTIONS(2465),
    [anon_sym___asm__] = ACTIONS(2465),
    [sym_number_literal] = ACTIONS(2467),
    [anon_sym_L_SQUOTE] = ACTIONS(2467),
    [anon_sym_u_SQUOTE] = ACTIONS(2467),
    [anon_sym_U_SQUOTE] = ACTIONS(2467),
    [anon_sym_u8_SQUOTE] = ACTIONS(2467),
    [anon_sym_SQUOTE] = ACTIONS(2467),
    [anon_sym_L_DQUOTE] = ACTIONS(2467),
    [anon_sym_u_DQUOTE] = ACTIONS(2467),
    [anon_sym_U_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8_DQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [anon_sym_NULL] = ACTIONS(2465),
    [anon_sym_nullptr] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_co_return] = ACTIONS(2465),
    [anon_sym_co_yield] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(3702),
    [anon_sym_R_DQUOTE] = ACTIONS(2467),
    [anon_sym_LR_DQUOTE] = ACTIONS(2467),
    [anon_sym_uR_DQUOTE] = ACTIONS(2467),
    [anon_sym_UR_DQUOTE] = ACTIONS(2467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2467),
    [anon_sym_co_await] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
  },
  [939] = {
    [sym_type_qualifier] = STATE(952),
    [sym__expression] = STATE(4446),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(952),
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3707),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [940] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4506),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3713),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [941] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4447),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [942] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1725),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3651),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3659),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3719),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [943] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1725),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3651),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3659),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3721),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [944] = {
    [sym_type_qualifier] = STATE(946),
    [sym__expression] = STATE(4454),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(946),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3723),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [945] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4480),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3729),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [946] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4484),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3731),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3733),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [947] = {
    [sym_type_qualifier] = STATE(941),
    [sym__expression] = STATE(4521),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [948] = {
    [sym_type_qualifier] = STATE(952),
    [sym__expression] = STATE(4446),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(952),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3707),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [949] = {
    [sym_catch_clause] = STATE(938),
    [aux_sym_constructor_try_statement_repeat1] = STATE(938),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_goto] = ACTIONS(2453),
    [anon_sym___try] = ACTIONS(2453),
    [anon_sym___leave] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2453),
    [anon_sym_compl] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_sizeof] = ACTIONS(2453),
    [anon_sym___alignof__] = ACTIONS(2453),
    [anon_sym___alignof] = ACTIONS(2453),
    [anon_sym__alignof] = ACTIONS(2453),
    [anon_sym_alignof] = ACTIONS(2453),
    [anon_sym__Alignof] = ACTIONS(2453),
    [anon_sym_offsetof] = ACTIONS(2453),
    [anon_sym__Generic] = ACTIONS(2453),
    [anon_sym_asm] = ACTIONS(2453),
    [anon_sym___asm__] = ACTIONS(2453),
    [sym_number_literal] = ACTIONS(2455),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2455),
    [anon_sym_u_DQUOTE] = ACTIONS(2455),
    [anon_sym_U_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8_DQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [anon_sym_NULL] = ACTIONS(2453),
    [anon_sym_nullptr] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_delete] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_co_return] = ACTIONS(2453),
    [anon_sym_co_yield] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(3739),
    [anon_sym_R_DQUOTE] = ACTIONS(2455),
    [anon_sym_LR_DQUOTE] = ACTIONS(2455),
    [anon_sym_uR_DQUOTE] = ACTIONS(2455),
    [anon_sym_UR_DQUOTE] = ACTIONS(2455),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2455),
    [anon_sym_co_await] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_requires] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
  },
  [950] = {
    [sym_type_qualifier] = STATE(937),
    [sym__expression] = STATE(4442),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3741),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3743),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [951] = {
    [sym_type_qualifier] = STATE(934),
    [sym__expression] = STATE(4450),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(934),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3747),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [952] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4436),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3749),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3751),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [953] = {
    [sym_type_qualifier] = STATE(955),
    [sym__expression] = STATE(4458),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3753),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3755),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [954] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1725),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3651),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3659),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3757),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [955] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4455),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3761),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [956] = {
    [sym_type_qualifier] = STATE(1869),
    [sym__expression] = STATE(4490),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3763),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [957] = {
    [sym_type_qualifier] = STATE(956),
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(956),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3678),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_constexpr] = ACTIONS(3678),
    [anon_sym_volatile] = ACTIONS(3678),
    [anon_sym_restrict] = ACTIONS(3678),
    [anon_sym___restrict__] = ACTIONS(3678),
    [anon_sym__Atomic] = ACTIONS(3678),
    [anon_sym__Noreturn] = ACTIONS(3678),
    [anon_sym_noreturn] = ACTIONS(3678),
    [anon_sym_mutable] = ACTIONS(3678),
    [anon_sym_constinit] = ACTIONS(3678),
    [anon_sym_consteval] = ACTIONS(3678),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [958] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6228),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym__expression] = STATE(3064),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3125),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5459),
    [sym_qualified_identifier] = STATE(3201),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(1804),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [959] = {
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6228),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3254),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5477),
    [sym_qualified_identifier] = STATE(3255),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_operator_name] = STATE(6069),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [960] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1725),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3651),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3659),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3771),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [961] = {
    [sym_else_clause] = STATE(969),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_typedef] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym___attribute__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2498),
    [anon_sym___declspec] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_signed] = ACTIONS(2496),
    [anon_sym_unsigned] = ACTIONS(2496),
    [anon_sym_long] = ACTIONS(2496),
    [anon_sym_short] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_register] = ACTIONS(2496),
    [anon_sym_inline] = ACTIONS(2496),
    [anon_sym___inline] = ACTIONS(2496),
    [anon_sym___inline__] = ACTIONS(2496),
    [anon_sym___forceinline] = ACTIONS(2496),
    [anon_sym_thread_local] = ACTIONS(2496),
    [anon_sym___thread] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_constexpr] = ACTIONS(2496),
    [anon_sym_volatile] = ACTIONS(2496),
    [anon_sym_restrict] = ACTIONS(2496),
    [anon_sym___restrict__] = ACTIONS(2496),
    [anon_sym__Atomic] = ACTIONS(2496),
    [anon_sym__Noreturn] = ACTIONS(2496),
    [anon_sym_noreturn] = ACTIONS(2496),
    [anon_sym_mutable] = ACTIONS(2496),
    [anon_sym_constinit] = ACTIONS(2496),
    [anon_sym_consteval] = ACTIONS(2496),
    [sym_primitive_type] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(3773),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_goto] = ACTIONS(2496),
    [anon_sym___try] = ACTIONS(2496),
    [anon_sym___leave] = ACTIONS(2496),
    [anon_sym_not] = ACTIONS(2496),
    [anon_sym_compl] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_sizeof] = ACTIONS(2496),
    [anon_sym___alignof__] = ACTIONS(2496),
    [anon_sym___alignof] = ACTIONS(2496),
    [anon_sym__alignof] = ACTIONS(2496),
    [anon_sym_alignof] = ACTIONS(2496),
    [anon_sym__Alignof] = ACTIONS(2496),
    [anon_sym_offsetof] = ACTIONS(2496),
    [anon_sym__Generic] = ACTIONS(2496),
    [anon_sym_asm] = ACTIONS(2496),
    [anon_sym___asm__] = ACTIONS(2496),
    [sym_number_literal] = ACTIONS(2498),
    [anon_sym_L_SQUOTE] = ACTIONS(2498),
    [anon_sym_u_SQUOTE] = ACTIONS(2498),
    [anon_sym_U_SQUOTE] = ACTIONS(2498),
    [anon_sym_u8_SQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_L_DQUOTE] = ACTIONS(2498),
    [anon_sym_u_DQUOTE] = ACTIONS(2498),
    [anon_sym_U_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [anon_sym_NULL] = ACTIONS(2496),
    [anon_sym_nullptr] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2496),
    [anon_sym_decltype] = ACTIONS(2496),
    [sym_virtual] = ACTIONS(2496),
    [anon_sym_alignas] = ACTIONS(2496),
    [anon_sym_typename] = ACTIONS(2496),
    [anon_sym_template] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_co_return] = ACTIONS(2496),
    [anon_sym_co_yield] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2498),
    [anon_sym_LR_DQUOTE] = ACTIONS(2498),
    [anon_sym_uR_DQUOTE] = ACTIONS(2498),
    [anon_sym_UR_DQUOTE] = ACTIONS(2498),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2498),
    [anon_sym_co_await] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_requires] = ACTIONS(2496),
    [sym_this] = ACTIONS(2496),
  },
  [962] = {
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_switch] = ACTIONS(1950),
    [anon_sym_while] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1950),
    [anon_sym_goto] = ACTIONS(1950),
    [anon_sym___try] = ACTIONS(1950),
    [anon_sym___leave] = ACTIONS(1950),
    [anon_sym_not] = ACTIONS(1950),
    [anon_sym_compl] = ACTIONS(1950),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_sizeof] = ACTIONS(1950),
    [anon_sym___alignof__] = ACTIONS(1950),
    [anon_sym___alignof] = ACTIONS(1950),
    [anon_sym__alignof] = ACTIONS(1950),
    [anon_sym_alignof] = ACTIONS(1950),
    [anon_sym__Alignof] = ACTIONS(1950),
    [anon_sym_offsetof] = ACTIONS(1950),
    [anon_sym__Generic] = ACTIONS(1950),
    [anon_sym_asm] = ACTIONS(1950),
    [anon_sym___asm__] = ACTIONS(1950),
    [sym_number_literal] = ACTIONS(1948),
    [anon_sym_L_SQUOTE] = ACTIONS(1948),
    [anon_sym_u_SQUOTE] = ACTIONS(1948),
    [anon_sym_U_SQUOTE] = ACTIONS(1948),
    [anon_sym_u8_SQUOTE] = ACTIONS(1948),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1950),
    [anon_sym_nullptr] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_delete] = ACTIONS(1950),
    [anon_sym_throw] = ACTIONS(1950),
    [anon_sym_co_return] = ACTIONS(1950),
    [anon_sym_co_yield] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_requires] = ACTIONS(1950),
    [sym_this] = ACTIONS(1950),
  },
  [963] = {
    [sym_identifier] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym___leave] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(2486),
    [anon_sym_compl] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2486),
    [anon_sym_delete] = ACTIONS(2486),
    [anon_sym_throw] = ACTIONS(2486),
    [anon_sym_co_return] = ACTIONS(2486),
    [anon_sym_co_yield] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2486),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2486),
  },
  [964] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_goto] = ACTIONS(1922),
    [anon_sym___try] = ACTIONS(1922),
    [anon_sym___leave] = ACTIONS(1922),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1922),
    [anon_sym___alignof__] = ACTIONS(1922),
    [anon_sym___alignof] = ACTIONS(1922),
    [anon_sym__alignof] = ACTIONS(1922),
    [anon_sym_alignof] = ACTIONS(1922),
    [anon_sym__Alignof] = ACTIONS(1922),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1922),
    [anon_sym_asm] = ACTIONS(1922),
    [anon_sym___asm__] = ACTIONS(1922),
    [sym_number_literal] = ACTIONS(1920),
    [anon_sym_L_SQUOTE] = ACTIONS(1920),
    [anon_sym_u_SQUOTE] = ACTIONS(1920),
    [anon_sym_U_SQUOTE] = ACTIONS(1920),
    [anon_sym_u8_SQUOTE] = ACTIONS(1920),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_L_DQUOTE] = ACTIONS(1920),
    [anon_sym_u_DQUOTE] = ACTIONS(1920),
    [anon_sym_U_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8_DQUOTE] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [anon_sym_NULL] = ACTIONS(1922),
    [anon_sym_nullptr] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_co_return] = ACTIONS(1922),
    [anon_sym_co_yield] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
    [anon_sym_R_DQUOTE] = ACTIONS(1920),
    [anon_sym_LR_DQUOTE] = ACTIONS(1920),
    [anon_sym_uR_DQUOTE] = ACTIONS(1920),
    [anon_sym_UR_DQUOTE] = ACTIONS(1920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1920),
    [anon_sym_co_await] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_requires] = ACTIONS(1922),
    [sym_this] = ACTIONS(1922),
  },
  [965] = {
    [sym_else_clause] = STATE(1011),
    [sym_identifier] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_mutable] = ACTIONS(2490),
    [anon_sym_constinit] = ACTIONS(2490),
    [anon_sym_consteval] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(3773),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym___leave] = ACTIONS(2490),
    [anon_sym_not] = ACTIONS(2490),
    [anon_sym_compl] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2490),
    [anon_sym_decltype] = ACTIONS(2490),
    [sym_virtual] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym_typename] = ACTIONS(2490),
    [anon_sym_template] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2490),
    [anon_sym_delete] = ACTIONS(2490),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_co_return] = ACTIONS(2490),
    [anon_sym_co_yield] = ACTIONS(2490),
    [anon_sym_R_DQUOTE] = ACTIONS(2492),
    [anon_sym_LR_DQUOTE] = ACTIONS(2492),
    [anon_sym_uR_DQUOTE] = ACTIONS(2492),
    [anon_sym_UR_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2492),
    [anon_sym_co_await] = ACTIONS(2490),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2490),
  },
  [966] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [967] = {
    [sym_identifier] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [968] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [969] = {
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [sym_virtual] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [970] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [971] = {
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [972] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [973] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [974] = {
    [sym_identifier] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2610),
    [anon_sym_typedef] = ACTIONS(2610),
    [anon_sym_extern] = ACTIONS(2610),
    [anon_sym___attribute__] = ACTIONS(2610),
    [anon_sym_COLON_COLON] = ACTIONS(2612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2612),
    [anon_sym___declspec] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2610),
    [anon_sym_unsigned] = ACTIONS(2610),
    [anon_sym_long] = ACTIONS(2610),
    [anon_sym_short] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_register] = ACTIONS(2610),
    [anon_sym_inline] = ACTIONS(2610),
    [anon_sym___inline] = ACTIONS(2610),
    [anon_sym___inline__] = ACTIONS(2610),
    [anon_sym___forceinline] = ACTIONS(2610),
    [anon_sym_thread_local] = ACTIONS(2610),
    [anon_sym___thread] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_constexpr] = ACTIONS(2610),
    [anon_sym_volatile] = ACTIONS(2610),
    [anon_sym_restrict] = ACTIONS(2610),
    [anon_sym___restrict__] = ACTIONS(2610),
    [anon_sym__Atomic] = ACTIONS(2610),
    [anon_sym__Noreturn] = ACTIONS(2610),
    [anon_sym_noreturn] = ACTIONS(2610),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_constinit] = ACTIONS(2610),
    [anon_sym_consteval] = ACTIONS(2610),
    [sym_primitive_type] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2610),
    [anon_sym_union] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_goto] = ACTIONS(2610),
    [anon_sym___try] = ACTIONS(2610),
    [anon_sym___leave] = ACTIONS(2610),
    [anon_sym_not] = ACTIONS(2610),
    [anon_sym_compl] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_sizeof] = ACTIONS(2610),
    [anon_sym___alignof__] = ACTIONS(2610),
    [anon_sym___alignof] = ACTIONS(2610),
    [anon_sym__alignof] = ACTIONS(2610),
    [anon_sym_alignof] = ACTIONS(2610),
    [anon_sym__Alignof] = ACTIONS(2610),
    [anon_sym_offsetof] = ACTIONS(2610),
    [anon_sym__Generic] = ACTIONS(2610),
    [anon_sym_asm] = ACTIONS(2610),
    [anon_sym___asm__] = ACTIONS(2610),
    [sym_number_literal] = ACTIONS(2612),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2612),
    [anon_sym_u_DQUOTE] = ACTIONS(2612),
    [anon_sym_U_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8_DQUOTE] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [anon_sym_NULL] = ACTIONS(2610),
    [anon_sym_nullptr] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2610),
    [anon_sym_decltype] = ACTIONS(2610),
    [sym_virtual] = ACTIONS(2610),
    [anon_sym_alignas] = ACTIONS(2610),
    [anon_sym_typename] = ACTIONS(2610),
    [anon_sym_template] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_co_return] = ACTIONS(2610),
    [anon_sym_co_yield] = ACTIONS(2610),
    [anon_sym_R_DQUOTE] = ACTIONS(2612),
    [anon_sym_LR_DQUOTE] = ACTIONS(2612),
    [anon_sym_uR_DQUOTE] = ACTIONS(2612),
    [anon_sym_UR_DQUOTE] = ACTIONS(2612),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2612),
    [anon_sym_co_await] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_requires] = ACTIONS(2610),
    [sym_this] = ACTIONS(2610),
  },
  [975] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [976] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [977] = {
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2590),
    [anon_sym_typedef] = ACTIONS(2590),
    [anon_sym_extern] = ACTIONS(2590),
    [anon_sym___attribute__] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2592),
    [anon_sym___declspec] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_signed] = ACTIONS(2590),
    [anon_sym_unsigned] = ACTIONS(2590),
    [anon_sym_long] = ACTIONS(2590),
    [anon_sym_short] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_register] = ACTIONS(2590),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym___inline] = ACTIONS(2590),
    [anon_sym___inline__] = ACTIONS(2590),
    [anon_sym___forceinline] = ACTIONS(2590),
    [anon_sym_thread_local] = ACTIONS(2590),
    [anon_sym___thread] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_constexpr] = ACTIONS(2590),
    [anon_sym_volatile] = ACTIONS(2590),
    [anon_sym_restrict] = ACTIONS(2590),
    [anon_sym___restrict__] = ACTIONS(2590),
    [anon_sym__Atomic] = ACTIONS(2590),
    [anon_sym__Noreturn] = ACTIONS(2590),
    [anon_sym_noreturn] = ACTIONS(2590),
    [anon_sym_mutable] = ACTIONS(2590),
    [anon_sym_constinit] = ACTIONS(2590),
    [anon_sym_consteval] = ACTIONS(2590),
    [sym_primitive_type] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2590),
    [anon_sym_union] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2590),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_sizeof] = ACTIONS(2590),
    [anon_sym___alignof__] = ACTIONS(2590),
    [anon_sym___alignof] = ACTIONS(2590),
    [anon_sym__alignof] = ACTIONS(2590),
    [anon_sym_alignof] = ACTIONS(2590),
    [anon_sym__Alignof] = ACTIONS(2590),
    [anon_sym_offsetof] = ACTIONS(2590),
    [anon_sym__Generic] = ACTIONS(2590),
    [anon_sym_asm] = ACTIONS(2590),
    [anon_sym___asm__] = ACTIONS(2590),
    [sym_number_literal] = ACTIONS(2592),
    [anon_sym_L_SQUOTE] = ACTIONS(2592),
    [anon_sym_u_SQUOTE] = ACTIONS(2592),
    [anon_sym_U_SQUOTE] = ACTIONS(2592),
    [anon_sym_u8_SQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_L_DQUOTE] = ACTIONS(2592),
    [anon_sym_u_DQUOTE] = ACTIONS(2592),
    [anon_sym_U_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8_DQUOTE] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [anon_sym_NULL] = ACTIONS(2590),
    [anon_sym_nullptr] = ACTIONS(2590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2590),
    [anon_sym_decltype] = ACTIONS(2590),
    [sym_virtual] = ACTIONS(2590),
    [anon_sym_alignas] = ACTIONS(2590),
    [anon_sym_typename] = ACTIONS(2590),
    [anon_sym_template] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_co_return] = ACTIONS(2590),
    [anon_sym_co_yield] = ACTIONS(2590),
    [anon_sym_R_DQUOTE] = ACTIONS(2592),
    [anon_sym_LR_DQUOTE] = ACTIONS(2592),
    [anon_sym_uR_DQUOTE] = ACTIONS(2592),
    [anon_sym_UR_DQUOTE] = ACTIONS(2592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2592),
    [anon_sym_co_await] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_requires] = ACTIONS(2590),
    [sym_this] = ACTIONS(2590),
  },
  [978] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_LPAREN2] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_typedef] = ACTIONS(2594),
    [anon_sym_extern] = ACTIONS(2594),
    [anon_sym___attribute__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2596),
    [anon_sym___declspec] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2594),
    [anon_sym_unsigned] = ACTIONS(2594),
    [anon_sym_long] = ACTIONS(2594),
    [anon_sym_short] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_register] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym___inline] = ACTIONS(2594),
    [anon_sym___inline__] = ACTIONS(2594),
    [anon_sym___forceinline] = ACTIONS(2594),
    [anon_sym_thread_local] = ACTIONS(2594),
    [anon_sym___thread] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_constexpr] = ACTIONS(2594),
    [anon_sym_volatile] = ACTIONS(2594),
    [anon_sym_restrict] = ACTIONS(2594),
    [anon_sym___restrict__] = ACTIONS(2594),
    [anon_sym__Atomic] = ACTIONS(2594),
    [anon_sym__Noreturn] = ACTIONS(2594),
    [anon_sym_noreturn] = ACTIONS(2594),
    [anon_sym_mutable] = ACTIONS(2594),
    [anon_sym_constinit] = ACTIONS(2594),
    [anon_sym_consteval] = ACTIONS(2594),
    [sym_primitive_type] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_struct] = ACTIONS(2594),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2594),
    [anon_sym___leave] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2594),
    [anon_sym_compl] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2594),
    [anon_sym___alignof__] = ACTIONS(2594),
    [anon_sym___alignof] = ACTIONS(2594),
    [anon_sym__alignof] = ACTIONS(2594),
    [anon_sym_alignof] = ACTIONS(2594),
    [anon_sym__Alignof] = ACTIONS(2594),
    [anon_sym_offsetof] = ACTIONS(2594),
    [anon_sym__Generic] = ACTIONS(2594),
    [anon_sym_asm] = ACTIONS(2594),
    [anon_sym___asm__] = ACTIONS(2594),
    [sym_number_literal] = ACTIONS(2596),
    [anon_sym_L_SQUOTE] = ACTIONS(2596),
    [anon_sym_u_SQUOTE] = ACTIONS(2596),
    [anon_sym_U_SQUOTE] = ACTIONS(2596),
    [anon_sym_u8_SQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_L_DQUOTE] = ACTIONS(2596),
    [anon_sym_u_DQUOTE] = ACTIONS(2596),
    [anon_sym_U_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8_DQUOTE] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [anon_sym_NULL] = ACTIONS(2594),
    [anon_sym_nullptr] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2594),
    [anon_sym_decltype] = ACTIONS(2594),
    [sym_virtual] = ACTIONS(2594),
    [anon_sym_alignas] = ACTIONS(2594),
    [anon_sym_typename] = ACTIONS(2594),
    [anon_sym_template] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_co_return] = ACTIONS(2594),
    [anon_sym_co_yield] = ACTIONS(2594),
    [anon_sym_R_DQUOTE] = ACTIONS(2596),
    [anon_sym_LR_DQUOTE] = ACTIONS(2596),
    [anon_sym_uR_DQUOTE] = ACTIONS(2596),
    [anon_sym_UR_DQUOTE] = ACTIONS(2596),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2596),
    [anon_sym_co_await] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_requires] = ACTIONS(2594),
    [sym_this] = ACTIONS(2594),
  },
  [979] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [980] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [981] = {
    [sym_identifier] = ACTIONS(2602),
    [anon_sym_LPAREN2] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2602),
    [anon_sym_typedef] = ACTIONS(2602),
    [anon_sym_extern] = ACTIONS(2602),
    [anon_sym___attribute__] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2604),
    [anon_sym___declspec] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2602),
    [anon_sym_unsigned] = ACTIONS(2602),
    [anon_sym_long] = ACTIONS(2602),
    [anon_sym_short] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_register] = ACTIONS(2602),
    [anon_sym_inline] = ACTIONS(2602),
    [anon_sym___inline] = ACTIONS(2602),
    [anon_sym___inline__] = ACTIONS(2602),
    [anon_sym___forceinline] = ACTIONS(2602),
    [anon_sym_thread_local] = ACTIONS(2602),
    [anon_sym___thread] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_constexpr] = ACTIONS(2602),
    [anon_sym_volatile] = ACTIONS(2602),
    [anon_sym_restrict] = ACTIONS(2602),
    [anon_sym___restrict__] = ACTIONS(2602),
    [anon_sym__Atomic] = ACTIONS(2602),
    [anon_sym__Noreturn] = ACTIONS(2602),
    [anon_sym_noreturn] = ACTIONS(2602),
    [anon_sym_mutable] = ACTIONS(2602),
    [anon_sym_constinit] = ACTIONS(2602),
    [anon_sym_consteval] = ACTIONS(2602),
    [sym_primitive_type] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_struct] = ACTIONS(2602),
    [anon_sym_union] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2602),
    [anon_sym_not] = ACTIONS(2602),
    [anon_sym_compl] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_sizeof] = ACTIONS(2602),
    [anon_sym___alignof__] = ACTIONS(2602),
    [anon_sym___alignof] = ACTIONS(2602),
    [anon_sym__alignof] = ACTIONS(2602),
    [anon_sym_alignof] = ACTIONS(2602),
    [anon_sym__Alignof] = ACTIONS(2602),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2602),
    [anon_sym_asm] = ACTIONS(2602),
    [anon_sym___asm__] = ACTIONS(2602),
    [sym_number_literal] = ACTIONS(2604),
    [anon_sym_L_SQUOTE] = ACTIONS(2604),
    [anon_sym_u_SQUOTE] = ACTIONS(2604),
    [anon_sym_U_SQUOTE] = ACTIONS(2604),
    [anon_sym_u8_SQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_L_DQUOTE] = ACTIONS(2604),
    [anon_sym_u_DQUOTE] = ACTIONS(2604),
    [anon_sym_U_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8_DQUOTE] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [anon_sym_NULL] = ACTIONS(2602),
    [anon_sym_nullptr] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2602),
    [anon_sym_decltype] = ACTIONS(2602),
    [sym_virtual] = ACTIONS(2602),
    [anon_sym_alignas] = ACTIONS(2602),
    [anon_sym_typename] = ACTIONS(2602),
    [anon_sym_template] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2602),
    [anon_sym_R_DQUOTE] = ACTIONS(2604),
    [anon_sym_LR_DQUOTE] = ACTIONS(2604),
    [anon_sym_uR_DQUOTE] = ACTIONS(2604),
    [anon_sym_UR_DQUOTE] = ACTIONS(2604),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2604),
    [anon_sym_co_await] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_requires] = ACTIONS(2602),
    [sym_this] = ACTIONS(2602),
  },
  [982] = {
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [983] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2586),
    [anon_sym_typedef] = ACTIONS(2586),
    [anon_sym_extern] = ACTIONS(2586),
    [anon_sym___attribute__] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2588),
    [anon_sym___declspec] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2586),
    [anon_sym_unsigned] = ACTIONS(2586),
    [anon_sym_long] = ACTIONS(2586),
    [anon_sym_short] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_register] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym___inline] = ACTIONS(2586),
    [anon_sym___inline__] = ACTIONS(2586),
    [anon_sym___forceinline] = ACTIONS(2586),
    [anon_sym_thread_local] = ACTIONS(2586),
    [anon_sym___thread] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_constexpr] = ACTIONS(2586),
    [anon_sym_volatile] = ACTIONS(2586),
    [anon_sym_restrict] = ACTIONS(2586),
    [anon_sym___restrict__] = ACTIONS(2586),
    [anon_sym__Atomic] = ACTIONS(2586),
    [anon_sym__Noreturn] = ACTIONS(2586),
    [anon_sym_noreturn] = ACTIONS(2586),
    [anon_sym_mutable] = ACTIONS(2586),
    [anon_sym_constinit] = ACTIONS(2586),
    [anon_sym_consteval] = ACTIONS(2586),
    [sym_primitive_type] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_struct] = ACTIONS(2586),
    [anon_sym_union] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_goto] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2586),
    [anon_sym___leave] = ACTIONS(2586),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_compl] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_sizeof] = ACTIONS(2586),
    [anon_sym___alignof__] = ACTIONS(2586),
    [anon_sym___alignof] = ACTIONS(2586),
    [anon_sym__alignof] = ACTIONS(2586),
    [anon_sym_alignof] = ACTIONS(2586),
    [anon_sym__Alignof] = ACTIONS(2586),
    [anon_sym_offsetof] = ACTIONS(2586),
    [anon_sym__Generic] = ACTIONS(2586),
    [anon_sym_asm] = ACTIONS(2586),
    [anon_sym___asm__] = ACTIONS(2586),
    [sym_number_literal] = ACTIONS(2588),
    [anon_sym_L_SQUOTE] = ACTIONS(2588),
    [anon_sym_u_SQUOTE] = ACTIONS(2588),
    [anon_sym_U_SQUOTE] = ACTIONS(2588),
    [anon_sym_u8_SQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_L_DQUOTE] = ACTIONS(2588),
    [anon_sym_u_DQUOTE] = ACTIONS(2588),
    [anon_sym_U_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8_DQUOTE] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [anon_sym_NULL] = ACTIONS(2586),
    [anon_sym_nullptr] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2586),
    [anon_sym_decltype] = ACTIONS(2586),
    [sym_virtual] = ACTIONS(2586),
    [anon_sym_alignas] = ACTIONS(2586),
    [anon_sym_typename] = ACTIONS(2586),
    [anon_sym_template] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_co_return] = ACTIONS(2586),
    [anon_sym_co_yield] = ACTIONS(2586),
    [anon_sym_R_DQUOTE] = ACTIONS(2588),
    [anon_sym_LR_DQUOTE] = ACTIONS(2588),
    [anon_sym_uR_DQUOTE] = ACTIONS(2588),
    [anon_sym_UR_DQUOTE] = ACTIONS(2588),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2588),
    [anon_sym_co_await] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_requires] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
  },
  [984] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [985] = {
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [986] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [987] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [988] = {
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_LPAREN2] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_AMP] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym___extension__] = ACTIONS(3598),
    [anon_sym_extern] = ACTIONS(3598),
    [anon_sym___attribute__] = ACTIONS(3598),
    [anon_sym_COLON_COLON] = ACTIONS(3600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3600),
    [anon_sym___declspec] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_signed] = ACTIONS(3598),
    [anon_sym_unsigned] = ACTIONS(3598),
    [anon_sym_long] = ACTIONS(3598),
    [anon_sym_short] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_register] = ACTIONS(3598),
    [anon_sym_inline] = ACTIONS(3598),
    [anon_sym___inline] = ACTIONS(3598),
    [anon_sym___inline__] = ACTIONS(3598),
    [anon_sym___forceinline] = ACTIONS(3598),
    [anon_sym_thread_local] = ACTIONS(3598),
    [anon_sym___thread] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_constexpr] = ACTIONS(3598),
    [anon_sym_volatile] = ACTIONS(3598),
    [anon_sym_restrict] = ACTIONS(3598),
    [anon_sym___restrict__] = ACTIONS(3598),
    [anon_sym__Atomic] = ACTIONS(3598),
    [anon_sym__Noreturn] = ACTIONS(3598),
    [anon_sym_noreturn] = ACTIONS(3598),
    [anon_sym_mutable] = ACTIONS(3598),
    [anon_sym_constinit] = ACTIONS(3598),
    [anon_sym_consteval] = ACTIONS(3598),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_struct] = ACTIONS(3598),
    [anon_sym_union] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_case] = ACTIONS(3598),
    [anon_sym_default] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_goto] = ACTIONS(3598),
    [anon_sym___try] = ACTIONS(3598),
    [anon_sym___leave] = ACTIONS(3598),
    [anon_sym_not] = ACTIONS(3598),
    [anon_sym_compl] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_sizeof] = ACTIONS(3598),
    [anon_sym___alignof__] = ACTIONS(3598),
    [anon_sym___alignof] = ACTIONS(3598),
    [anon_sym__alignof] = ACTIONS(3598),
    [anon_sym_alignof] = ACTIONS(3598),
    [anon_sym__Alignof] = ACTIONS(3598),
    [anon_sym_offsetof] = ACTIONS(3598),
    [anon_sym__Generic] = ACTIONS(3598),
    [anon_sym_asm] = ACTIONS(3598),
    [anon_sym___asm__] = ACTIONS(3598),
    [sym_number_literal] = ACTIONS(3600),
    [anon_sym_L_SQUOTE] = ACTIONS(3600),
    [anon_sym_u_SQUOTE] = ACTIONS(3600),
    [anon_sym_U_SQUOTE] = ACTIONS(3600),
    [anon_sym_u8_SQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_L_DQUOTE] = ACTIONS(3600),
    [anon_sym_u_DQUOTE] = ACTIONS(3600),
    [anon_sym_U_DQUOTE] = ACTIONS(3600),
    [anon_sym_u8_DQUOTE] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [anon_sym_NULL] = ACTIONS(3598),
    [anon_sym_nullptr] = ACTIONS(3598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3598),
    [anon_sym_decltype] = ACTIONS(3598),
    [sym_virtual] = ACTIONS(3598),
    [anon_sym_alignas] = ACTIONS(3598),
    [anon_sym_typename] = ACTIONS(3598),
    [anon_sym_template] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_co_return] = ACTIONS(3598),
    [anon_sym_co_yield] = ACTIONS(3598),
    [anon_sym_R_DQUOTE] = ACTIONS(3600),
    [anon_sym_LR_DQUOTE] = ACTIONS(3600),
    [anon_sym_uR_DQUOTE] = ACTIONS(3600),
    [anon_sym_UR_DQUOTE] = ACTIONS(3600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3600),
    [anon_sym_co_await] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_requires] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
  },
  [989] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [990] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [991] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [992] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2578),
    [anon_sym_typedef] = ACTIONS(2578),
    [anon_sym_extern] = ACTIONS(2578),
    [anon_sym___attribute__] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2580),
    [anon_sym___declspec] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2578),
    [anon_sym_unsigned] = ACTIONS(2578),
    [anon_sym_long] = ACTIONS(2578),
    [anon_sym_short] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_register] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym___inline] = ACTIONS(2578),
    [anon_sym___inline__] = ACTIONS(2578),
    [anon_sym___forceinline] = ACTIONS(2578),
    [anon_sym_thread_local] = ACTIONS(2578),
    [anon_sym___thread] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_constexpr] = ACTIONS(2578),
    [anon_sym_volatile] = ACTIONS(2578),
    [anon_sym_restrict] = ACTIONS(2578),
    [anon_sym___restrict__] = ACTIONS(2578),
    [anon_sym__Atomic] = ACTIONS(2578),
    [anon_sym__Noreturn] = ACTIONS(2578),
    [anon_sym_noreturn] = ACTIONS(2578),
    [anon_sym_mutable] = ACTIONS(2578),
    [anon_sym_constinit] = ACTIONS(2578),
    [anon_sym_consteval] = ACTIONS(2578),
    [sym_primitive_type] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_struct] = ACTIONS(2578),
    [anon_sym_union] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_goto] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2578),
    [anon_sym___leave] = ACTIONS(2578),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_compl] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_sizeof] = ACTIONS(2578),
    [anon_sym___alignof__] = ACTIONS(2578),
    [anon_sym___alignof] = ACTIONS(2578),
    [anon_sym__alignof] = ACTIONS(2578),
    [anon_sym_alignof] = ACTIONS(2578),
    [anon_sym__Alignof] = ACTIONS(2578),
    [anon_sym_offsetof] = ACTIONS(2578),
    [anon_sym__Generic] = ACTIONS(2578),
    [anon_sym_asm] = ACTIONS(2578),
    [anon_sym___asm__] = ACTIONS(2578),
    [sym_number_literal] = ACTIONS(2580),
    [anon_sym_L_SQUOTE] = ACTIONS(2580),
    [anon_sym_u_SQUOTE] = ACTIONS(2580),
    [anon_sym_U_SQUOTE] = ACTIONS(2580),
    [anon_sym_u8_SQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_L_DQUOTE] = ACTIONS(2580),
    [anon_sym_u_DQUOTE] = ACTIONS(2580),
    [anon_sym_U_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8_DQUOTE] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [anon_sym_NULL] = ACTIONS(2578),
    [anon_sym_nullptr] = ACTIONS(2578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2578),
    [anon_sym_decltype] = ACTIONS(2578),
    [sym_virtual] = ACTIONS(2578),
    [anon_sym_alignas] = ACTIONS(2578),
    [anon_sym_typename] = ACTIONS(2578),
    [anon_sym_template] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_co_return] = ACTIONS(2578),
    [anon_sym_co_yield] = ACTIONS(2578),
    [anon_sym_R_DQUOTE] = ACTIONS(2580),
    [anon_sym_LR_DQUOTE] = ACTIONS(2580),
    [anon_sym_uR_DQUOTE] = ACTIONS(2580),
    [anon_sym_UR_DQUOTE] = ACTIONS(2580),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2580),
    [anon_sym_co_await] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_requires] = ACTIONS(2578),
    [sym_this] = ACTIONS(2578),
  },
  [993] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [994] = {
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [995] = {
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3586),
    [anon_sym_AMP] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym___extension__] = ACTIONS(3584),
    [anon_sym_extern] = ACTIONS(3584),
    [anon_sym___attribute__] = ACTIONS(3584),
    [anon_sym_COLON_COLON] = ACTIONS(3586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3586),
    [anon_sym___declspec] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_signed] = ACTIONS(3584),
    [anon_sym_unsigned] = ACTIONS(3584),
    [anon_sym_long] = ACTIONS(3584),
    [anon_sym_short] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_register] = ACTIONS(3584),
    [anon_sym_inline] = ACTIONS(3584),
    [anon_sym___inline] = ACTIONS(3584),
    [anon_sym___inline__] = ACTIONS(3584),
    [anon_sym___forceinline] = ACTIONS(3584),
    [anon_sym_thread_local] = ACTIONS(3584),
    [anon_sym___thread] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_constexpr] = ACTIONS(3584),
    [anon_sym_volatile] = ACTIONS(3584),
    [anon_sym_restrict] = ACTIONS(3584),
    [anon_sym___restrict__] = ACTIONS(3584),
    [anon_sym__Atomic] = ACTIONS(3584),
    [anon_sym__Noreturn] = ACTIONS(3584),
    [anon_sym_noreturn] = ACTIONS(3584),
    [anon_sym_mutable] = ACTIONS(3584),
    [anon_sym_constinit] = ACTIONS(3584),
    [anon_sym_consteval] = ACTIONS(3584),
    [sym_primitive_type] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_struct] = ACTIONS(3584),
    [anon_sym_union] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3584),
    [anon_sym_default] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_goto] = ACTIONS(3584),
    [anon_sym___try] = ACTIONS(3584),
    [anon_sym___leave] = ACTIONS(3584),
    [anon_sym_not] = ACTIONS(3584),
    [anon_sym_compl] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_sizeof] = ACTIONS(3584),
    [anon_sym___alignof__] = ACTIONS(3584),
    [anon_sym___alignof] = ACTIONS(3584),
    [anon_sym__alignof] = ACTIONS(3584),
    [anon_sym_alignof] = ACTIONS(3584),
    [anon_sym__Alignof] = ACTIONS(3584),
    [anon_sym_offsetof] = ACTIONS(3584),
    [anon_sym__Generic] = ACTIONS(3584),
    [anon_sym_asm] = ACTIONS(3584),
    [anon_sym___asm__] = ACTIONS(3584),
    [sym_number_literal] = ACTIONS(3586),
    [anon_sym_L_SQUOTE] = ACTIONS(3586),
    [anon_sym_u_SQUOTE] = ACTIONS(3586),
    [anon_sym_U_SQUOTE] = ACTIONS(3586),
    [anon_sym_u8_SQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_L_DQUOTE] = ACTIONS(3586),
    [anon_sym_u_DQUOTE] = ACTIONS(3586),
    [anon_sym_U_DQUOTE] = ACTIONS(3586),
    [anon_sym_u8_DQUOTE] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [anon_sym_NULL] = ACTIONS(3584),
    [anon_sym_nullptr] = ACTIONS(3584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3584),
    [anon_sym_decltype] = ACTIONS(3584),
    [sym_virtual] = ACTIONS(3584),
    [anon_sym_alignas] = ACTIONS(3584),
    [anon_sym_typename] = ACTIONS(3584),
    [anon_sym_template] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_co_return] = ACTIONS(3584),
    [anon_sym_co_yield] = ACTIONS(3584),
    [anon_sym_R_DQUOTE] = ACTIONS(3586),
    [anon_sym_LR_DQUOTE] = ACTIONS(3586),
    [anon_sym_uR_DQUOTE] = ACTIONS(3586),
    [anon_sym_UR_DQUOTE] = ACTIONS(3586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3586),
    [anon_sym_co_await] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_requires] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
  },
  [996] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [997] = {
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [998] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [999] = {
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1002] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(2606),
    [anon_sym_LPAREN2] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2606),
    [anon_sym_typedef] = ACTIONS(2606),
    [anon_sym_extern] = ACTIONS(2606),
    [anon_sym___attribute__] = ACTIONS(2606),
    [anon_sym_COLON_COLON] = ACTIONS(2608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2608),
    [anon_sym___declspec] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2606),
    [anon_sym_unsigned] = ACTIONS(2606),
    [anon_sym_long] = ACTIONS(2606),
    [anon_sym_short] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_register] = ACTIONS(2606),
    [anon_sym_inline] = ACTIONS(2606),
    [anon_sym___inline] = ACTIONS(2606),
    [anon_sym___inline__] = ACTIONS(2606),
    [anon_sym___forceinline] = ACTIONS(2606),
    [anon_sym_thread_local] = ACTIONS(2606),
    [anon_sym___thread] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_constexpr] = ACTIONS(2606),
    [anon_sym_volatile] = ACTIONS(2606),
    [anon_sym_restrict] = ACTIONS(2606),
    [anon_sym___restrict__] = ACTIONS(2606),
    [anon_sym__Atomic] = ACTIONS(2606),
    [anon_sym__Noreturn] = ACTIONS(2606),
    [anon_sym_noreturn] = ACTIONS(2606),
    [anon_sym_mutable] = ACTIONS(2606),
    [anon_sym_constinit] = ACTIONS(2606),
    [anon_sym_consteval] = ACTIONS(2606),
    [sym_primitive_type] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_goto] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2606),
    [anon_sym___leave] = ACTIONS(2606),
    [anon_sym_not] = ACTIONS(2606),
    [anon_sym_compl] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_sizeof] = ACTIONS(2606),
    [anon_sym___alignof__] = ACTIONS(2606),
    [anon_sym___alignof] = ACTIONS(2606),
    [anon_sym__alignof] = ACTIONS(2606),
    [anon_sym_alignof] = ACTIONS(2606),
    [anon_sym__Alignof] = ACTIONS(2606),
    [anon_sym_offsetof] = ACTIONS(2606),
    [anon_sym__Generic] = ACTIONS(2606),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [sym_number_literal] = ACTIONS(2608),
    [anon_sym_L_SQUOTE] = ACTIONS(2608),
    [anon_sym_u_SQUOTE] = ACTIONS(2608),
    [anon_sym_U_SQUOTE] = ACTIONS(2608),
    [anon_sym_u8_SQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_L_DQUOTE] = ACTIONS(2608),
    [anon_sym_u_DQUOTE] = ACTIONS(2608),
    [anon_sym_U_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8_DQUOTE] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [anon_sym_NULL] = ACTIONS(2606),
    [anon_sym_nullptr] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2606),
    [anon_sym_decltype] = ACTIONS(2606),
    [sym_virtual] = ACTIONS(2606),
    [anon_sym_alignas] = ACTIONS(2606),
    [anon_sym_typename] = ACTIONS(2606),
    [anon_sym_template] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_co_return] = ACTIONS(2606),
    [anon_sym_co_yield] = ACTIONS(2606),
    [anon_sym_R_DQUOTE] = ACTIONS(2608),
    [anon_sym_LR_DQUOTE] = ACTIONS(2608),
    [anon_sym_uR_DQUOTE] = ACTIONS(2608),
    [anon_sym_UR_DQUOTE] = ACTIONS(2608),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2608),
    [anon_sym_co_await] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_requires] = ACTIONS(2606),
    [sym_this] = ACTIONS(2606),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_mutable] = ACTIONS(2626),
    [anon_sym_constinit] = ACTIONS(2626),
    [anon_sym_consteval] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym___leave] = ACTIONS(2626),
    [anon_sym_not] = ACTIONS(2626),
    [anon_sym_compl] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2626),
    [anon_sym_decltype] = ACTIONS(2626),
    [sym_virtual] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym_typename] = ACTIONS(2626),
    [anon_sym_template] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_co_return] = ACTIONS(2626),
    [anon_sym_co_yield] = ACTIONS(2626),
    [anon_sym_R_DQUOTE] = ACTIONS(2628),
    [anon_sym_LR_DQUOTE] = ACTIONS(2628),
    [anon_sym_uR_DQUOTE] = ACTIONS(2628),
    [anon_sym_UR_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2628),
    [anon_sym_co_await] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_requires] = ACTIONS(2626),
    [sym_this] = ACTIONS(2626),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_typedef] = ACTIONS(2582),
    [anon_sym_extern] = ACTIONS(2582),
    [anon_sym___attribute__] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2584),
    [anon_sym___declspec] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2582),
    [anon_sym_unsigned] = ACTIONS(2582),
    [anon_sym_long] = ACTIONS(2582),
    [anon_sym_short] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_register] = ACTIONS(2582),
    [anon_sym_inline] = ACTIONS(2582),
    [anon_sym___inline] = ACTIONS(2582),
    [anon_sym___inline__] = ACTIONS(2582),
    [anon_sym___forceinline] = ACTIONS(2582),
    [anon_sym_thread_local] = ACTIONS(2582),
    [anon_sym___thread] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_mutable] = ACTIONS(2582),
    [anon_sym_constinit] = ACTIONS(2582),
    [anon_sym_consteval] = ACTIONS(2582),
    [sym_primitive_type] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2582),
    [anon_sym_union] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_goto] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2582),
    [anon_sym___leave] = ACTIONS(2582),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_compl] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_sizeof] = ACTIONS(2582),
    [anon_sym___alignof__] = ACTIONS(2582),
    [anon_sym___alignof] = ACTIONS(2582),
    [anon_sym__alignof] = ACTIONS(2582),
    [anon_sym_alignof] = ACTIONS(2582),
    [anon_sym__Alignof] = ACTIONS(2582),
    [anon_sym_offsetof] = ACTIONS(2582),
    [anon_sym__Generic] = ACTIONS(2582),
    [anon_sym_asm] = ACTIONS(2582),
    [anon_sym___asm__] = ACTIONS(2582),
    [sym_number_literal] = ACTIONS(2584),
    [anon_sym_L_SQUOTE] = ACTIONS(2584),
    [anon_sym_u_SQUOTE] = ACTIONS(2584),
    [anon_sym_U_SQUOTE] = ACTIONS(2584),
    [anon_sym_u8_SQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_L_DQUOTE] = ACTIONS(2584),
    [anon_sym_u_DQUOTE] = ACTIONS(2584),
    [anon_sym_U_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8_DQUOTE] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [anon_sym_NULL] = ACTIONS(2582),
    [anon_sym_nullptr] = ACTIONS(2582),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2582),
    [anon_sym_decltype] = ACTIONS(2582),
    [sym_virtual] = ACTIONS(2582),
    [anon_sym_alignas] = ACTIONS(2582),
    [anon_sym_typename] = ACTIONS(2582),
    [anon_sym_template] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_co_return] = ACTIONS(2582),
    [anon_sym_co_yield] = ACTIONS(2582),
    [anon_sym_R_DQUOTE] = ACTIONS(2584),
    [anon_sym_LR_DQUOTE] = ACTIONS(2584),
    [anon_sym_uR_DQUOTE] = ACTIONS(2584),
    [anon_sym_UR_DQUOTE] = ACTIONS(2584),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2584),
    [anon_sym_co_await] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_requires] = ACTIONS(2582),
    [sym_this] = ACTIONS(2582),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym___leave] = ACTIONS(2634),
    [anon_sym_not] = ACTIONS(2634),
    [anon_sym_compl] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_co_return] = ACTIONS(2634),
    [anon_sym_co_yield] = ACTIONS(2634),
    [anon_sym_R_DQUOTE] = ACTIONS(2636),
    [anon_sym_LR_DQUOTE] = ACTIONS(2636),
    [anon_sym_uR_DQUOTE] = ACTIONS(2636),
    [anon_sym_UR_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2636),
    [anon_sym_co_await] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2634),
    [sym_this] = ACTIONS(2634),
  },
  [1022] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1023] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1024] = {
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_LPAREN2] = ACTIONS(3628),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3628),
    [anon_sym_AMP] = ACTIONS(3628),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym___extension__] = ACTIONS(3634),
    [anon_sym_extern] = ACTIONS(3634),
    [anon_sym___attribute__] = ACTIONS(3634),
    [anon_sym_COLON_COLON] = ACTIONS(3625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3625),
    [anon_sym___declspec] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_signed] = ACTIONS(3634),
    [anon_sym_unsigned] = ACTIONS(3634),
    [anon_sym_long] = ACTIONS(3634),
    [anon_sym_short] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_register] = ACTIONS(3634),
    [anon_sym_inline] = ACTIONS(3634),
    [anon_sym___inline] = ACTIONS(3634),
    [anon_sym___inline__] = ACTIONS(3634),
    [anon_sym___forceinline] = ACTIONS(3634),
    [anon_sym_thread_local] = ACTIONS(3634),
    [anon_sym___thread] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_constexpr] = ACTIONS(3634),
    [anon_sym_volatile] = ACTIONS(3634),
    [anon_sym_restrict] = ACTIONS(3634),
    [anon_sym___restrict__] = ACTIONS(3634),
    [anon_sym__Atomic] = ACTIONS(3634),
    [anon_sym__Noreturn] = ACTIONS(3634),
    [anon_sym_noreturn] = ACTIONS(3634),
    [anon_sym_mutable] = ACTIONS(3634),
    [anon_sym_constinit] = ACTIONS(3634),
    [anon_sym_consteval] = ACTIONS(3634),
    [sym_primitive_type] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_struct] = ACTIONS(3634),
    [anon_sym_union] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_case] = ACTIONS(3630),
    [anon_sym_default] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_goto] = ACTIONS(3630),
    [anon_sym___try] = ACTIONS(3630),
    [anon_sym___leave] = ACTIONS(3630),
    [anon_sym_not] = ACTIONS(3630),
    [anon_sym_compl] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_sizeof] = ACTIONS(3630),
    [anon_sym___alignof__] = ACTIONS(3630),
    [anon_sym___alignof] = ACTIONS(3630),
    [anon_sym__alignof] = ACTIONS(3630),
    [anon_sym_alignof] = ACTIONS(3630),
    [anon_sym__Alignof] = ACTIONS(3630),
    [anon_sym_offsetof] = ACTIONS(3630),
    [anon_sym__Generic] = ACTIONS(3630),
    [anon_sym_asm] = ACTIONS(3630),
    [anon_sym___asm__] = ACTIONS(3630),
    [sym_number_literal] = ACTIONS(3628),
    [anon_sym_L_SQUOTE] = ACTIONS(3628),
    [anon_sym_u_SQUOTE] = ACTIONS(3628),
    [anon_sym_U_SQUOTE] = ACTIONS(3628),
    [anon_sym_u8_SQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_L_DQUOTE] = ACTIONS(3628),
    [anon_sym_u_DQUOTE] = ACTIONS(3628),
    [anon_sym_U_DQUOTE] = ACTIONS(3628),
    [anon_sym_u8_DQUOTE] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [anon_sym_NULL] = ACTIONS(3630),
    [anon_sym_nullptr] = ACTIONS(3630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3634),
    [anon_sym_decltype] = ACTIONS(3622),
    [sym_virtual] = ACTIONS(3634),
    [anon_sym_alignas] = ACTIONS(3634),
    [anon_sym_typename] = ACTIONS(3634),
    [anon_sym_template] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_co_return] = ACTIONS(3630),
    [anon_sym_co_yield] = ACTIONS(3630),
    [anon_sym_R_DQUOTE] = ACTIONS(3628),
    [anon_sym_LR_DQUOTE] = ACTIONS(3628),
    [anon_sym_uR_DQUOTE] = ACTIONS(3628),
    [anon_sym_UR_DQUOTE] = ACTIONS(3628),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3628),
    [anon_sym_co_await] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1027] = {
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [1028] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1030] = {
    [sym_identifier] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2574),
    [anon_sym_typedef] = ACTIONS(2574),
    [anon_sym_extern] = ACTIONS(2574),
    [anon_sym___attribute__] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2576),
    [anon_sym___declspec] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2574),
    [anon_sym_unsigned] = ACTIONS(2574),
    [anon_sym_long] = ACTIONS(2574),
    [anon_sym_short] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_register] = ACTIONS(2574),
    [anon_sym_inline] = ACTIONS(2574),
    [anon_sym___inline] = ACTIONS(2574),
    [anon_sym___inline__] = ACTIONS(2574),
    [anon_sym___forceinline] = ACTIONS(2574),
    [anon_sym_thread_local] = ACTIONS(2574),
    [anon_sym___thread] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_constexpr] = ACTIONS(2574),
    [anon_sym_volatile] = ACTIONS(2574),
    [anon_sym_restrict] = ACTIONS(2574),
    [anon_sym___restrict__] = ACTIONS(2574),
    [anon_sym__Atomic] = ACTIONS(2574),
    [anon_sym__Noreturn] = ACTIONS(2574),
    [anon_sym_noreturn] = ACTIONS(2574),
    [anon_sym_mutable] = ACTIONS(2574),
    [anon_sym_constinit] = ACTIONS(2574),
    [anon_sym_consteval] = ACTIONS(2574),
    [sym_primitive_type] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_struct] = ACTIONS(2574),
    [anon_sym_union] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_goto] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2574),
    [anon_sym___leave] = ACTIONS(2574),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_compl] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_sizeof] = ACTIONS(2574),
    [anon_sym___alignof__] = ACTIONS(2574),
    [anon_sym___alignof] = ACTIONS(2574),
    [anon_sym__alignof] = ACTIONS(2574),
    [anon_sym_alignof] = ACTIONS(2574),
    [anon_sym__Alignof] = ACTIONS(2574),
    [anon_sym_offsetof] = ACTIONS(2574),
    [anon_sym__Generic] = ACTIONS(2574),
    [anon_sym_asm] = ACTIONS(2574),
    [anon_sym___asm__] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2576),
    [anon_sym_L_SQUOTE] = ACTIONS(2576),
    [anon_sym_u_SQUOTE] = ACTIONS(2576),
    [anon_sym_U_SQUOTE] = ACTIONS(2576),
    [anon_sym_u8_SQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_L_DQUOTE] = ACTIONS(2576),
    [anon_sym_u_DQUOTE] = ACTIONS(2576),
    [anon_sym_U_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8_DQUOTE] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [anon_sym_NULL] = ACTIONS(2574),
    [anon_sym_nullptr] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2574),
    [anon_sym_decltype] = ACTIONS(2574),
    [sym_virtual] = ACTIONS(2574),
    [anon_sym_alignas] = ACTIONS(2574),
    [anon_sym_typename] = ACTIONS(2574),
    [anon_sym_template] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_co_return] = ACTIONS(2574),
    [anon_sym_co_yield] = ACTIONS(2574),
    [anon_sym_R_DQUOTE] = ACTIONS(2576),
    [anon_sym_LR_DQUOTE] = ACTIONS(2576),
    [anon_sym_uR_DQUOTE] = ACTIONS(2576),
    [anon_sym_UR_DQUOTE] = ACTIONS(2576),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2576),
    [anon_sym_co_await] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_requires] = ACTIONS(2574),
    [sym_this] = ACTIONS(2574),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_goto] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2598),
    [anon_sym___leave] = ACTIONS(2598),
    [anon_sym_not] = ACTIONS(2598),
    [anon_sym_compl] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2598),
    [anon_sym___alignof] = ACTIONS(2598),
    [anon_sym__alignof] = ACTIONS(2598),
    [anon_sym_alignof] = ACTIONS(2598),
    [anon_sym__Alignof] = ACTIONS(2598),
    [anon_sym_offsetof] = ACTIONS(2598),
    [anon_sym__Generic] = ACTIONS(2598),
    [anon_sym_asm] = ACTIONS(2598),
    [anon_sym___asm__] = ACTIONS(2598),
    [sym_number_literal] = ACTIONS(2600),
    [anon_sym_L_SQUOTE] = ACTIONS(2600),
    [anon_sym_u_SQUOTE] = ACTIONS(2600),
    [anon_sym_U_SQUOTE] = ACTIONS(2600),
    [anon_sym_u8_SQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_L_DQUOTE] = ACTIONS(2600),
    [anon_sym_u_DQUOTE] = ACTIONS(2600),
    [anon_sym_U_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8_DQUOTE] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [anon_sym_NULL] = ACTIONS(2598),
    [anon_sym_nullptr] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_co_return] = ACTIONS(2598),
    [anon_sym_co_yield] = ACTIONS(2598),
    [anon_sym_R_DQUOTE] = ACTIONS(2600),
    [anon_sym_LR_DQUOTE] = ACTIONS(2600),
    [anon_sym_uR_DQUOTE] = ACTIONS(2600),
    [anon_sym_UR_DQUOTE] = ACTIONS(2600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2600),
    [anon_sym_co_await] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_requires] = ACTIONS(2598),
    [sym_this] = ACTIONS(2598),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym_COLON_COLON] = ACTIONS(2616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_mutable] = ACTIONS(2614),
    [anon_sym_constinit] = ACTIONS(2614),
    [anon_sym_consteval] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym___leave] = ACTIONS(2614),
    [anon_sym_not] = ACTIONS(2614),
    [anon_sym_compl] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2614),
    [anon_sym_decltype] = ACTIONS(2614),
    [sym_virtual] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym_typename] = ACTIONS(2614),
    [anon_sym_template] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2614),
    [anon_sym_R_DQUOTE] = ACTIONS(2616),
    [anon_sym_LR_DQUOTE] = ACTIONS(2616),
    [anon_sym_uR_DQUOTE] = ACTIONS(2616),
    [anon_sym_UR_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2616),
    [anon_sym_co_await] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_requires] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
  },
  [1035] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1038] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1039] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [1040] = {
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_mutable] = ACTIONS(2500),
    [anon_sym_constinit] = ACTIONS(2500),
    [anon_sym_consteval] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym___leave] = ACTIONS(2500),
    [anon_sym_not] = ACTIONS(2500),
    [anon_sym_compl] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2500),
    [anon_sym_decltype] = ACTIONS(2500),
    [sym_virtual] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym_typename] = ACTIONS(2500),
    [anon_sym_template] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_co_return] = ACTIONS(2500),
    [anon_sym_co_yield] = ACTIONS(2500),
    [anon_sym_R_DQUOTE] = ACTIONS(2502),
    [anon_sym_LR_DQUOTE] = ACTIONS(2502),
    [anon_sym_uR_DQUOTE] = ACTIONS(2502),
    [anon_sym_UR_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2502),
    [anon_sym_co_await] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_requires] = ACTIONS(2500),
    [sym_this] = ACTIONS(2500),
  },
  [1041] = {
    [sym_identifier] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_mutable] = ACTIONS(2622),
    [anon_sym_constinit] = ACTIONS(2622),
    [anon_sym_consteval] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym___leave] = ACTIONS(2622),
    [anon_sym_not] = ACTIONS(2622),
    [anon_sym_compl] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2622),
    [anon_sym_decltype] = ACTIONS(2622),
    [sym_virtual] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2622),
    [anon_sym_template] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_co_return] = ACTIONS(2622),
    [anon_sym_co_yield] = ACTIONS(2622),
    [anon_sym_R_DQUOTE] = ACTIONS(2624),
    [anon_sym_LR_DQUOTE] = ACTIONS(2624),
    [anon_sym_uR_DQUOTE] = ACTIONS(2624),
    [anon_sym_UR_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2624),
    [anon_sym_co_await] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_requires] = ACTIONS(2622),
    [sym_this] = ACTIONS(2622),
  },
  [1042] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [1043] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym___leave] = ACTIONS(2618),
    [anon_sym_not] = ACTIONS(2618),
    [anon_sym_compl] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_co_return] = ACTIONS(2618),
    [anon_sym_co_yield] = ACTIONS(2618),
    [anon_sym_R_DQUOTE] = ACTIONS(2620),
    [anon_sym_LR_DQUOTE] = ACTIONS(2620),
    [anon_sym_uR_DQUOTE] = ACTIONS(2620),
    [anon_sym_UR_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2620),
    [anon_sym_co_await] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_requires] = ACTIONS(2618),
    [sym_this] = ACTIONS(2618),
  },
  [1044] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_mutable] = ACTIONS(2630),
    [anon_sym_constinit] = ACTIONS(2630),
    [anon_sym_consteval] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym___leave] = ACTIONS(2630),
    [anon_sym_not] = ACTIONS(2630),
    [anon_sym_compl] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2630),
    [anon_sym_decltype] = ACTIONS(2630),
    [sym_virtual] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym_typename] = ACTIONS(2630),
    [anon_sym_template] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_co_return] = ACTIONS(2630),
    [anon_sym_co_yield] = ACTIONS(2630),
    [anon_sym_R_DQUOTE] = ACTIONS(2632),
    [anon_sym_LR_DQUOTE] = ACTIONS(2632),
    [anon_sym_uR_DQUOTE] = ACTIONS(2632),
    [anon_sym_UR_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2632),
    [anon_sym_co_await] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_requires] = ACTIONS(2630),
    [sym_this] = ACTIONS(2630),
  },
  [1045] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_ms_based_modifier] = STATE(8245),
    [sym_ms_call_modifier] = STATE(4439),
    [sym__declarator] = STATE(6376),
    [sym__abstract_declarator] = STATE(6538),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_abstract_parenthesized_declarator] = STATE(5990),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_abstract_pointer_declarator] = STATE(5990),
    [sym_function_declarator] = STATE(6069),
    [sym_abstract_function_declarator] = STATE(5990),
    [sym_array_declarator] = STATE(6069),
    [sym_abstract_array_declarator] = STATE(5990),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_list] = STATE(3736),
    [sym_parameter_declaration] = STATE(7185),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7185),
    [sym_variadic_parameter_declaration] = STATE(7185),
    [sym_reference_declarator] = STATE(6069),
    [sym_abstract_reference_declarator] = STATE(5990),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym__function_declarator_seq] = STATE(5980),
    [sym_template_type] = STATE(2598),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5500),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(3775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym_LPAREN2] = ACTIONS(3779),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3785),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3789),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
  },
  [1046] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1047] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1061),
    [sym_compound_requirement] = STATE(1061),
    [sym__requirement] = STATE(1061),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1061),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3799),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1048] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1058),
    [sym_compound_requirement] = STATE(1058),
    [sym__requirement] = STATE(1058),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1058),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1049] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1069),
    [sym_compound_requirement] = STATE(1069),
    [sym__requirement] = STATE(1069),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1069),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3803),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1050] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3805),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1051] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1054),
    [sym_compound_requirement] = STATE(1054),
    [sym__requirement] = STATE(1054),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1054),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3807),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1052] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1055),
    [sym_compound_requirement] = STATE(1055),
    [sym__requirement] = STATE(1055),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1055),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1053] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1046),
    [sym_compound_requirement] = STATE(1046),
    [sym__requirement] = STATE(1046),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1046),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1054] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1055] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3815),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1056] = {
    [sym__expression] = STATE(4281),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(6859),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1057] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_LPAREN2] = ACTIONS(3826),
    [anon_sym_BANG] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3829),
    [anon_sym_DASH] = ACTIONS(3832),
    [anon_sym_PLUS] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3835),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym_SEMI] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3844),
    [anon_sym_RBRACE] = ACTIONS(3847),
    [anon_sym_LBRACK] = ACTIONS(3849),
    [sym_primitive_type] = ACTIONS(3852),
    [anon_sym_not] = ACTIONS(3832),
    [anon_sym_compl] = ACTIONS(3832),
    [anon_sym_DASH_DASH] = ACTIONS(3855),
    [anon_sym_PLUS_PLUS] = ACTIONS(3855),
    [anon_sym_sizeof] = ACTIONS(3858),
    [anon_sym___alignof__] = ACTIONS(3861),
    [anon_sym___alignof] = ACTIONS(3861),
    [anon_sym__alignof] = ACTIONS(3861),
    [anon_sym_alignof] = ACTIONS(3861),
    [anon_sym__Alignof] = ACTIONS(3861),
    [anon_sym_offsetof] = ACTIONS(3864),
    [anon_sym__Generic] = ACTIONS(3867),
    [anon_sym_asm] = ACTIONS(3870),
    [anon_sym___asm__] = ACTIONS(3870),
    [sym_number_literal] = ACTIONS(3873),
    [anon_sym_L_SQUOTE] = ACTIONS(3876),
    [anon_sym_u_SQUOTE] = ACTIONS(3876),
    [anon_sym_U_SQUOTE] = ACTIONS(3876),
    [anon_sym_u8_SQUOTE] = ACTIONS(3876),
    [anon_sym_SQUOTE] = ACTIONS(3876),
    [anon_sym_L_DQUOTE] = ACTIONS(3879),
    [anon_sym_u_DQUOTE] = ACTIONS(3879),
    [anon_sym_U_DQUOTE] = ACTIONS(3879),
    [anon_sym_u8_DQUOTE] = ACTIONS(3879),
    [anon_sym_DQUOTE] = ACTIONS(3879),
    [sym_true] = ACTIONS(3882),
    [sym_false] = ACTIONS(3882),
    [anon_sym_NULL] = ACTIONS(3885),
    [anon_sym_nullptr] = ACTIONS(3885),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3888),
    [anon_sym_typename] = ACTIONS(3891),
    [anon_sym_template] = ACTIONS(3894),
    [anon_sym_delete] = ACTIONS(3897),
    [anon_sym_R_DQUOTE] = ACTIONS(3900),
    [anon_sym_LR_DQUOTE] = ACTIONS(3900),
    [anon_sym_uR_DQUOTE] = ACTIONS(3900),
    [anon_sym_UR_DQUOTE] = ACTIONS(3900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3900),
    [anon_sym_co_await] = ACTIONS(3903),
    [anon_sym_new] = ACTIONS(3906),
    [anon_sym_requires] = ACTIONS(3909),
    [sym_this] = ACTIONS(3882),
  },
  [1058] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1059] = {
    [sym__expression] = STATE(4266),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7105),
    [sym_initializer_pair] = STATE(7105),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(3914),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3916),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1060] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1050),
    [sym_compound_requirement] = STATE(1050),
    [sym__requirement] = STATE(1050),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3918),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1061] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3920),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1062] = {
    [sym__expression] = STATE(4234),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7081),
    [sym_initializer_pair] = STATE(7081),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(3922),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1063] = {
    [sym__expression] = STATE(4187),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7197),
    [sym_initializer_pair] = STATE(7197),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(3926),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3928),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1064] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1065] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1066),
    [sym_compound_requirement] = STATE(1066),
    [sym__requirement] = STATE(1066),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1066),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3932),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1066] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3934),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1067] = {
    [sym__expression] = STATE(4254),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(6856),
    [sym_initializer_pair] = STATE(6856),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(3936),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3938),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1068] = {
    [sym__expression] = STATE(4245),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7024),
    [sym_initializer_pair] = STATE(7024),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(3940),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3942),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1069] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1057),
    [sym_compound_requirement] = STATE(1057),
    [sym__requirement] = STATE(1057),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3944),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1070] = {
    [sym__expression] = STATE(4248),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7098),
    [sym_initializer_pair] = STATE(7098),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3946),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1071] = {
    [sym_expression_statement] = STATE(2748),
    [sym__expression] = STATE(4299),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8221),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_type_requirement] = STATE(1064),
    [sym_compound_requirement] = STATE(1064),
    [sym__requirement] = STATE(1064),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_requirement_seq_repeat1] = STATE(1064),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3948),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_typename] = ACTIONS(3797),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1072] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3950),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1073] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1074] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3952),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1075] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3954),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1076] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3956),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1077] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3719),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1078] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3958),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1079] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1080] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1081] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3771),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1082] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3757),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1083] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3964),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1084] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3966),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1085] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3968),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1086] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1087] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3970),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1088] = {
    [sym_string_literal] = STATE(2299),
    [sym_template_argument_list] = STATE(1718),
    [sym_raw_string_literal] = STATE(2299),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3651),
    [anon_sym_COMMA] = ACTIONS(3651),
    [anon_sym_RPAREN] = ACTIONS(3651),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3972),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3648),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3975),
    [anon_sym_or_eq] = ACTIONS(3975),
    [anon_sym_xor_eq] = ACTIONS(3975),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(3977),
    [anon_sym_u_DQUOTE] = ACTIONS(3977),
    [anon_sym_U_DQUOTE] = ACTIONS(3977),
    [anon_sym_u8_DQUOTE] = ACTIONS(3977),
    [anon_sym_DQUOTE] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3979),
    [anon_sym_LR_DQUOTE] = ACTIONS(3979),
    [anon_sym_uR_DQUOTE] = ACTIONS(3979),
    [anon_sym_UR_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3979),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [1089] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1090] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1761),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3721),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1091] = {
    [sym__expression] = STATE(4323),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7413),
    [sym_initializer_pair] = STATE(7413),
    [sym_subscript_designator] = STATE(6428),
    [sym_subscript_range_designator] = STATE(6428),
    [sym_field_designator] = STATE(6428),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [aux_sym_initializer_pair_repeat1] = STATE(6428),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1092] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(1762),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2677),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3651),
    [anon_sym_COMMA] = ACTIONS(3651),
    [anon_sym_RPAREN] = ACTIONS(3651),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(3664),
    [anon_sym_unsigned] = ACTIONS(3664),
    [anon_sym_long] = ACTIONS(3664),
    [anon_sym_short] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_EQ] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3670),
    [anon_sym_or_eq] = ACTIONS(3670),
    [anon_sym_xor_eq] = ACTIONS(3670),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1093] = {
    [sym_compound_statement] = STATE(7100),
    [sym__expression] = STATE(4230),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7100),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3983),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3985),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1094] = {
    [sym_compound_statement] = STATE(7005),
    [sym__expression] = STATE(4243),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7005),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3987),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3989),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1095] = {
    [sym_compound_statement] = STATE(7097),
    [sym__expression] = STATE(4267),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7097),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3993),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1096] = {
    [sym_compound_statement] = STATE(6837),
    [sym__expression] = STATE(4257),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(6837),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(3997),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1097] = {
    [sym_compound_statement] = STATE(7038),
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7038),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(4001),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1098] = {
    [sym_compound_statement] = STATE(6967),
    [sym__expression] = STATE(4181),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(6967),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1099] = {
    [sym_compound_statement] = STATE(7162),
    [sym__expression] = STATE(4246),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7162),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(4009),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1100] = {
    [sym__expression] = STATE(3137),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7807),
    [sym__unary_right_fold] = STATE(7806),
    [sym__binary_fold] = STATE(7803),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1101] = {
    [sym__expression] = STATE(4107),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(6527),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(4015),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4019),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(4021),
    [anon_sym_0] = ACTIONS(4023),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1102] = {
    [sym__expression] = STATE(4105),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(6535),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(4025),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4019),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(4027),
    [anon_sym_0] = ACTIONS(4029),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1103] = {
    [sym__expression] = STATE(4306),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8174),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(8174),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1104] = {
    [sym__expression] = STATE(4301),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8030),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(8030),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4033),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1105] = {
    [sym__expression] = STATE(3140),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7736),
    [sym__unary_right_fold] = STATE(7735),
    [sym__binary_fold] = STATE(7734),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1106] = {
    [sym__expression] = STATE(4380),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7682),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7682),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4035),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1107] = {
    [sym__expression] = STATE(3160),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7785),
    [sym__unary_right_fold] = STATE(7784),
    [sym__binary_fold] = STATE(7783),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1108] = {
    [sym__expression] = STATE(3199),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8068),
    [sym__unary_right_fold] = STATE(8069),
    [sym__binary_fold] = STATE(8070),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1109] = {
    [sym__expression] = STATE(4083),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(6506),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(4037),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4019),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(4039),
    [anon_sym_0] = ACTIONS(4041),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1110] = {
    [sym__expression] = STATE(3144),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7951),
    [sym__unary_right_fold] = STATE(7950),
    [sym__binary_fold] = STATE(7949),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1111] = {
    [sym__expression] = STATE(4297),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8195),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(8195),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1112] = {
    [sym__expression] = STATE(3177),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8052),
    [sym__unary_right_fold] = STATE(8051),
    [sym__binary_fold] = STATE(8045),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1113] = {
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7844),
    [sym__unary_right_fold] = STATE(7842),
    [sym__binary_fold] = STATE(7841),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1114] = {
    [sym__expression] = STATE(3257),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(7941),
    [sym__unary_right_fold] = STATE(7937),
    [sym__binary_fold] = STATE(7883),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1115] = {
    [sym__expression] = STATE(4286),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7575),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7575),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4045),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1116] = {
    [sym_compound_statement] = STATE(7381),
    [sym__expression] = STATE(4307),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7381),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym___extension__] = ACTIONS(4047),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1117] = {
    [sym__expression] = STATE(3237),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym__unary_left_fold] = STATE(8230),
    [sym__unary_right_fold] = STATE(8229),
    [sym__binary_fold] = STATE(8228),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1118] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(4049),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1119] = {
    [sym__expression] = STATE(4197),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(6874),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4057),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1120] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1121] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4059),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1122] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4062),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1123] = {
    [sym__expression] = STATE(4014),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1124] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4072),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1125] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4074),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1126] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4076),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1127] = {
    [sym__expression] = STATE(3555),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1128] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4078),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1129] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4080),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1130] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1131] = {
    [sym__expression] = STATE(4315),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1132] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4085),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1133] = {
    [sym__expression] = STATE(4052),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1134] = {
    [sym__expression] = STATE(3147),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1135] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1136] = {
    [sym__expression] = STATE(3588),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1137] = {
    [sym__expression] = STATE(3241),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1138] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4093),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1139] = {
    [sym__expression] = STATE(4188),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(4049),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1140] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4095),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1141] = {
    [sym__expression] = STATE(4400),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1142] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1143] = {
    [sym__expression] = STATE(3099),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1144] = {
    [sym__expression] = STATE(4416),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1145] = {
    [sym__expression] = STATE(3244),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1146] = {
    [sym__expression] = STATE(4406),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1147] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4102),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1148] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4104),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1149] = {
    [sym__expression] = STATE(4155),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1150] = {
    [sym__expression] = STATE(4288),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1151] = {
    [sym__expression] = STATE(2864),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1152] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4106),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1153] = {
    [sym__expression] = STATE(4186),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(6986),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4108),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1154] = {
    [sym__expression] = STATE(4147),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1155] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4110),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1156] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4112),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1157] = {
    [sym__expression] = STATE(2695),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1158] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4116),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1159] = {
    [sym__expression] = STATE(2859),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1160] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4118),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1161] = {
    [sym__expression] = STATE(3095),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1162] = {
    [sym__expression] = STATE(3105),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1163] = {
    [sym__expression] = STATE(4190),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1164] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1165] = {
    [sym__expression] = STATE(4170),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1166] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1167] = {
    [sym__expression] = STATE(4221),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(6845),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1168] = {
    [sym__expression] = STATE(3131),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1169] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4129),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1170] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1171] = {
    [sym__expression] = STATE(4188),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1172] = {
    [sym__expression] = STATE(2702),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1173] = {
    [sym__expression] = STATE(4313),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1174] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1175] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4136),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1176] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4138),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1177] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1178] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4143),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1179] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1180] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1181] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4151),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1182] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4154),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1183] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4157),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1184] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1185] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4161),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1186] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_lambda_default_capture] = STATE(7298),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4164),
    [anon_sym_EQ] = ACTIONS(4055),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1187] = {
    [sym__expression] = STATE(3078),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4066),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_AMP_AMP] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1188] = {
    [sym__expression] = STATE(4352),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8255),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4166),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1189] = {
    [sym__expression] = STATE(4247),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(7042),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1190] = {
    [sym__expression] = STATE(4319),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7411),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1191] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1192] = {
    [sym__expression] = STATE(4359),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8294),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1193] = {
    [sym__expression] = STATE(4367),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4178),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1194] = {
    [sym__expression] = STATE(4177),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7346),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1195] = {
    [sym__expression] = STATE(4396),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(3816),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1196] = {
    [sym__expression] = STATE(4518),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(8256),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1197] = {
    [sym__expression] = STATE(3089),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_initializer_list] = STATE(3462),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1198] = {
    [sym__expression] = STATE(4384),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8058),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4180),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1199] = {
    [sym__expression] = STATE(3507),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1200] = {
    [sym__expression] = STATE(4312),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8023),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1201] = {
    [sym__expression] = STATE(4325),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7435),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1202] = {
    [sym__expression] = STATE(4545),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7923),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1203] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1204] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1205] = {
    [sym__expression] = STATE(4425),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8344),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1206] = {
    [sym__expression] = STATE(4375),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_initializer_list] = STATE(4584),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1207] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1208] = {
    [sym__expression] = STATE(4417),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7720),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4190),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1209] = {
    [sym__expression] = STATE(4403),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8296),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4192),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1210] = {
    [sym__expression] = STATE(4386),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8131),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4194),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1211] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1212] = {
    [sym__expression] = STATE(4385),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8259),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4200),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1213] = {
    [sym__expression] = STATE(4402),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7756),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4202),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1214] = {
    [sym__expression] = STATE(4284),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7600),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4204),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1215] = {
    [sym__expression] = STATE(3533),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_initializer_list] = STATE(3733),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1216] = {
    [sym__expression] = STATE(4338),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7997),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4206),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1217] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1218] = {
    [sym__expression] = STATE(4365),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1219] = {
    [sym__expression] = STATE(4421),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7695),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4208),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1220] = {
    [sym__expression] = STATE(4255),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3816),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1221] = {
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1222] = {
    [sym__expression] = STATE(4398),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7570),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4212),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1223] = {
    [sym__expression] = STATE(4010),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_initializer_list] = STATE(3816),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1224] = {
    [sym__expression] = STATE(3130),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_initializer_list] = STATE(3509),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1225] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_initializer_list] = STATE(4592),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1226] = {
    [sym__expression] = STATE(4538),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(8022),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1227] = {
    [sym__expression] = STATE(4304),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(7346),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1228] = {
    [sym__expression] = STATE(4371),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(7432),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1229] = {
    [sym__expression] = STATE(4391),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7822),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4216),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1230] = {
    [sym__expression] = STATE(4389),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4218),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1231] = {
    [sym__expression] = STATE(4366),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(7960),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4220),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1232] = {
    [sym__expression] = STATE(4393),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(8265),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(4222),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1233] = {
    [sym__expression] = STATE(2442),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_initializer_list] = STATE(2472),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1234] = {
    [sym__expression] = STATE(3128),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_comma_expression] = STATE(7970),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym__assignment_expression_lhs] = STATE(7922),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1235] = {
    [sym__expression] = STATE(4137),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_initializer_list] = STATE(3816),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1236] = {
    [sym__expression] = STATE(4292),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_initializer_list] = STATE(3816),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1237] = {
    [sym__expression] = STATE(4280),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(6859),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4224),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1238] = {
    [sym__expression] = STATE(3726),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_initializer_list] = STATE(3784),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1239] = {
    [sym__expression] = STATE(3055),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4227),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1240] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1241] = {
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1242] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(4236),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1243] = {
    [sym__expression] = STATE(4543),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4238),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1244] = {
    [sym__expression] = STATE(4483),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4240),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1245] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4242),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1246] = {
    [sym__expression] = STATE(3209),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4244),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1247] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(4248),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1248] = {
    [sym__expression] = STATE(4478),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4250),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1249] = {
    [sym__expression] = STATE(4482),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4252),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1250] = {
    [sym__expression] = STATE(4507),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4254),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1251] = {
    [sym__expression] = STATE(4497),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4256),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1252] = {
    [sym__expression] = STATE(4535),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4258),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1253] = {
    [sym__expression] = STATE(4549),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4260),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1254] = {
    [sym__expression] = STATE(4488),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4262),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1255] = {
    [sym__expression] = STATE(4486),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4264),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1256] = {
    [sym__expression] = STATE(4497),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4266),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1257] = {
    [sym__expression] = STATE(4320),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(6859),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1258] = {
    [sym__expression] = STATE(4175),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_SEMI] = ACTIONS(4268),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1259] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4272),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1260] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4274),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1261] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1262] = {
    [sym__expression] = STATE(3043),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1263] = {
    [sym__expression] = STATE(3043),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1264] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4284),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1265] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4286),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1266] = {
    [sym__expression] = STATE(3044),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1267] = {
    [sym__expression] = STATE(3044),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1268] = {
    [sym__expression] = STATE(3044),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1269] = {
    [sym__expression] = STATE(3046),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1270] = {
    [sym__expression] = STATE(3047),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1271] = {
    [sym__expression] = STATE(3048),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1272] = {
    [sym__expression] = STATE(3051),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1273] = {
    [sym__expression] = STATE(3052),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4309),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1274] = {
    [sym__expression] = STATE(3055),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4312),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1275] = {
    [sym__expression] = STATE(3056),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1276] = {
    [sym__expression] = STATE(3056),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1277] = {
    [sym__expression] = STATE(3056),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4321),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1278] = {
    [sym__expression] = STATE(4485),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(4324),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1279] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4326),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1280] = {
    [sym__expression] = STATE(3056),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4328),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1281] = {
    [sym__expression] = STATE(3499),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4331),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1282] = {
    [sym__expression] = STATE(3058),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4334),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1283] = {
    [sym__expression] = STATE(3058),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4337),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1284] = {
    [sym__expression] = STATE(3046),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1285] = {
    [sym__expression] = STATE(3047),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4331),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1286] = {
    [sym__expression] = STATE(3041),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4343),
    [anon_sym_LPAREN2] = ACTIONS(4345),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1287] = {
    [sym__expression] = STATE(4517),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1288] = {
    [sym__expression] = STATE(4516),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1289] = {
    [sym__expression] = STATE(3048),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4351),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1290] = {
    [sym__expression] = STATE(3051),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4354),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1291] = {
    [sym__expression] = STATE(3052),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4357),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1292] = {
    [sym__expression] = STATE(3503),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4278),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1293] = {
    [sym__expression] = STATE(3503),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4281),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1294] = {
    [sym__expression] = STATE(3502),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1295] = {
    [sym__expression] = STATE(3502),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1296] = {
    [sym__expression] = STATE(3502),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1297] = {
    [sym__expression] = STATE(3500),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1298] = {
    [sym__expression] = STATE(3499),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1299] = {
    [sym__expression] = STATE(3498),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1300] = {
    [sym__expression] = STATE(3496),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1301] = {
    [sym__expression] = STATE(3493),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4309),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1302] = {
    [sym__expression] = STATE(3524),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4312),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1303] = {
    [sym__expression] = STATE(3524),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4227),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1304] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1305] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1306] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4321),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1307] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4328),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1308] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4334),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1309] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4337),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1310] = {
    [sym__expression] = STATE(3500),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1311] = {
    [sym__expression] = STATE(3055),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4360),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1312] = {
    [sym__expression] = STATE(3498),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4351),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1313] = {
    [sym__expression] = STATE(3496),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4354),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1314] = {
    [sym__expression] = STATE(3493),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4357),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1315] = {
    [sym__expression] = STATE(2410),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4244),
    [anon_sym_LPAREN2] = ACTIONS(4363),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1316] = {
    [sym__expression] = STATE(3524),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4360),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1317] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4365),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1318] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4367),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1319] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4369),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1320] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4371),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1321] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4373),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1322] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4375),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1323] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4377),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1324] = {
    [sym__expression] = STATE(4175),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_SEMI] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1325] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(4381),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1326] = {
    [sym__expression] = STATE(4280),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_comma_expression] = STATE(6859),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1327] = {
    [sym__expression] = STATE(2410),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4244),
    [anon_sym_LPAREN2] = ACTIONS(4383),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1328] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(4385),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1329] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4387),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1330] = {
    [sym__expression] = STATE(3246),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4389),
    [anon_sym_LPAREN2] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1331] = {
    [sym__expression] = STATE(4527),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1332] = {
    [sym__expression] = STATE(4520),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4395),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1333] = {
    [sym__expression] = STATE(3618),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4397),
    [anon_sym_LPAREN2] = ACTIONS(4399),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1334] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4401),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1335] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1336] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4405),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1337] = {
    [sym__expression] = STATE(4537),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4407),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1338] = {
    [sym__expression] = STATE(4444),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4409),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1339] = {
    [sym__expression] = STATE(4362),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1340] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1341] = {
    [sym__expression] = STATE(2410),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4244),
    [anon_sym_LPAREN2] = ACTIONS(4417),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1342] = {
    [sym__expression] = STATE(4542),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1343] = {
    [sym__expression] = STATE(4546),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(4421),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1344] = {
    [sym__expression] = STATE(4175),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_SEMI] = ACTIONS(4423),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1345] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1346] = {
    [sym__expression] = STATE(4526),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1347] = {
    [sym__expression] = STATE(4346),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1348] = {
    [sym__expression] = STATE(4026),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1349] = {
    [sym__expression] = STATE(4025),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1350] = {
    [sym__expression] = STATE(4023),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1351] = {
    [sym__expression] = STATE(4036),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1352] = {
    [sym__expression] = STATE(2413),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1353] = {
    [sym__expression] = STATE(2413),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1354] = {
    [sym__expression] = STATE(2409),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1355] = {
    [sym__expression] = STATE(3163),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1356] = {
    [sym__expression] = STATE(2829),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1357] = {
    [sym__expression] = STATE(3190),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1358] = {
    [sym__expression] = STATE(4438),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1359] = {
    [sym__expression] = STATE(4466),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1360] = {
    [sym__expression] = STATE(3498),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1361] = {
    [sym__expression] = STATE(4136),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1362] = {
    [sym__expression] = STATE(3175),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1363] = {
    [sym__expression] = STATE(3174),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1364] = {
    [sym__expression] = STATE(3077),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1365] = {
    [sym__expression] = STATE(3167),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1366] = {
    [sym__expression] = STATE(3166),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1367] = {
    [sym__expression] = STATE(3165),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1368] = {
    [sym__expression] = STATE(3164),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1369] = {
    [sym__expression] = STATE(3159),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1370] = {
    [sym__expression] = STATE(3156),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1371] = {
    [sym__expression] = STATE(3153),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1372] = {
    [sym__expression] = STATE(3148),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1373] = {
    [sym__expression] = STATE(4293),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1374] = {
    [sym__expression] = STATE(4289),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1375] = {
    [sym__expression] = STATE(4370),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1376] = {
    [sym__expression] = STATE(4283),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1377] = {
    [sym__expression] = STATE(4336),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1378] = {
    [sym__expression] = STATE(4028),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1379] = {
    [sym__expression] = STATE(4029),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1380] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1381] = {
    [sym__expression] = STATE(4030),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1382] = {
    [sym__expression] = STATE(4536),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1383] = {
    [sym__expression] = STATE(4557),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1384] = {
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1385] = {
    [sym__expression] = STATE(4556),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1386] = {
    [sym__expression] = STATE(4035),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1387] = {
    [sym__expression] = STATE(3503),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1388] = {
    [sym__expression] = STATE(3502),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1389] = {
    [sym__expression] = STATE(3108),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(4431),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1390] = {
    [sym__expression] = STATE(3500),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1391] = {
    [sym__expression] = STATE(3085),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1392] = {
    [sym__expression] = STATE(3499),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1393] = {
    [sym__expression] = STATE(2731),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1394] = {
    [sym__expression] = STATE(3496),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1395] = {
    [sym__expression] = STATE(2424),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1396] = {
    [sym__expression] = STATE(3493),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1397] = {
    [sym__expression] = STATE(3091),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1398] = {
    [sym__expression] = STATE(3524),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1399] = {
    [sym__expression] = STATE(3537),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1400] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1401] = {
    [sym__expression] = STATE(3630),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1402] = {
    [sym__expression] = STATE(3619),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1403] = {
    [sym__expression] = STATE(4343),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1404] = {
    [sym__expression] = STATE(4342),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1405] = {
    [sym__expression] = STATE(4341),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1406] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1407] = {
    [sym__expression] = STATE(3088),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1408] = {
    [sym__expression] = STATE(2384),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1409] = {
    [sym__expression] = STATE(3122),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1410] = {
    [sym__expression] = STATE(3121),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1411] = {
    [sym__expression] = STATE(3120),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1412] = {
    [sym__expression] = STATE(3117),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1413] = {
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1414] = {
    [sym__expression] = STATE(3116),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1415] = {
    [sym__expression] = STATE(3115),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1416] = {
    [sym__expression] = STATE(3111),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1417] = {
    [sym__expression] = STATE(3086),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1418] = {
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1419] = {
    [sym__expression] = STATE(3142),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1420] = {
    [sym__expression] = STATE(3248),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1421] = {
    [sym__expression] = STATE(4337),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1422] = {
    [sym__expression] = STATE(2729),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1423] = {
    [sym__expression] = STATE(2384),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1424] = {
    [sym__expression] = STATE(2716),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1425] = {
    [sym__expression] = STATE(3579),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1426] = {
    [sym__expression] = STATE(2724),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1427] = {
    [sym__expression] = STATE(4476),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1428] = {
    [sym__expression] = STATE(2713),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1429] = {
    [sym__expression] = STATE(2712),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1430] = {
    [sym__expression] = STATE(2710),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1431] = {
    [sym__expression] = STATE(2706),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1432] = {
    [sym__expression] = STATE(2705),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1433] = {
    [sym__expression] = STATE(4335),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1434] = {
    [sym__expression] = STATE(4034),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1435] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1436] = {
    [sym__expression] = STATE(4376),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1437] = {
    [sym__expression] = STATE(4194),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1438] = {
    [sym__expression] = STATE(3707),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1439] = {
    [sym__expression] = STATE(4334),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1440] = {
    [sym__expression] = STATE(4432),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1441] = {
    [sym__expression] = STATE(4332),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1442] = {
    [sym__expression] = STATE(4217),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1443] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1444] = {
    [sym__expression] = STATE(3707),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1445] = {
    [sym__expression] = STATE(4329),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1446] = {
    [sym__expression] = STATE(4497),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1447] = {
    [sym__expression] = STATE(4328),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1448] = {
    [sym__expression] = STATE(2413),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1449] = {
    [sym__expression] = STATE(4494),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1450] = {
    [sym__expression] = STATE(2409),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1451] = {
    [sym__expression] = STATE(4435),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1452] = {
    [sym__expression] = STATE(4345),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1453] = {
    [sym__expression] = STATE(4547),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1454] = {
    [sym__expression] = STATE(3064),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1455] = {
    [sym__expression] = STATE(3084),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1456] = {
    [sym__expression] = STATE(4392),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1457] = {
    [sym__expression] = STATE(3020),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1458] = {
    [sym__expression] = STATE(3042),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1459] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1460] = {
    [sym__expression] = STATE(3042),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1461] = {
    [sym__expression] = STATE(4012),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1462] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1463] = {
    [sym__expression] = STATE(4037),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1464] = {
    [sym__expression] = STATE(2888),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1465] = {
    [sym__expression] = STATE(3058),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1466] = {
    [sym__expression] = STATE(3056),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1467] = {
    [sym__expression] = STATE(3055),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1468] = {
    [sym__expression] = STATE(3052),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1469] = {
    [sym__expression] = STATE(3051),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1470] = {
    [sym__expression] = STATE(4058),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(4437),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1471] = {
    [sym__expression] = STATE(3048),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1472] = {
    [sym__expression] = STATE(3047),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1473] = {
    [sym__expression] = STATE(3046),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1474] = {
    [sym__expression] = STATE(4140),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1475] = {
    [sym__expression] = STATE(3044),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1476] = {
    [sym__expression] = STATE(3043),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1477] = {
    [sym__expression] = STATE(2694),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1478] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1479] = {
    [sym__expression] = STATE(4055),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(4439),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1480] = {
    [sym__expression] = STATE(4499),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1481] = {
    [sym__expression] = STATE(2413),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1482] = {
    [sym__expression] = STATE(2409),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1483] = {
    [sym__expression] = STATE(4232),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1484] = {
    [sym__expression] = STATE(4394),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1485] = {
    [sym__expression] = STATE(4496),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1486] = {
    [sym__expression] = STATE(4467),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1487] = {
    [sym__expression] = STATE(4523),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1488] = {
    [sym__expression] = STATE(4153),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1489] = {
    [sym__expression] = STATE(4142),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1490] = {
    [sym__expression] = STATE(4146),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1491] = {
    [sym__expression] = STATE(4131),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1492] = {
    [sym__expression] = STATE(4160),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1493] = {
    [sym__expression] = STATE(4159),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1494] = {
    [sym__expression] = STATE(4158),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1495] = {
    [sym__expression] = STATE(4157),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1496] = {
    [sym__expression] = STATE(4156),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1497] = {
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1498] = {
    [sym__expression] = STATE(4152),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1499] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(4441),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1500] = {
    [sym__expression] = STATE(4513),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1501] = {
    [sym__expression] = STATE(4397),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(4443),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1502] = {
    [sym__expression] = STATE(2844),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1503] = {
    [sym__expression] = STATE(4474),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(4445),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1504] = {
    [sym__expression] = STATE(4390),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1505] = {
    [sym__expression] = STATE(2697),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1506] = {
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1507] = {
    [sym__expression] = STATE(4383),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1508] = {
    [sym__expression] = STATE(4364),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1509] = {
    [sym__expression] = STATE(3145),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1510] = {
    [sym__expression] = STATE(3491),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1511] = {
    [sym__expression] = STATE(4363),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1512] = {
    [sym__expression] = STATE(3103),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1513] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1514] = {
    [sym__expression] = STATE(4356),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1515] = {
    [sym__expression] = STATE(4355),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1516] = {
    [sym__expression] = STATE(4344),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1517] = {
    [sym__expression] = STATE(4358),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1518] = {
    [sym__expression] = STATE(4327),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1519] = {
    [sym__expression] = STATE(4460),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1520] = {
    [sym__expression] = STATE(3038),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1521] = {
    [sym__expression] = STATE(4310),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1522] = {
    [sym__expression] = STATE(4027),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(2843),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(2843),
    [sym_call_expression] = STATE(2843),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(2843),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(2843),
    [sym_char_literal] = STATE(4069),
    [sym_concatenated_string] = STATE(4071),
    [sym_string_literal] = STATE(3003),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3001),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2843),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(2843),
    [sym_identifier] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(4070),
    [anon_sym_PLUS_PLUS] = ACTIONS(4070),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(217),
  },
  [1523] = {
    [sym__expression] = STATE(4161),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1524] = {
    [sym__expression] = STATE(4411),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1525] = {
    [sym__expression] = STATE(4215),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1526] = {
    [sym__expression] = STATE(4321),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1527] = {
    [sym__expression] = STATE(4461),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1528] = {
    [sym__expression] = STATE(4459),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1529] = {
    [sym__expression] = STATE(4314),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1530] = {
    [sym__expression] = STATE(4553),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1531] = {
    [sym__expression] = STATE(4309),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1532] = {
    [sym__expression] = STATE(4563),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1533] = {
    [sym__expression] = STATE(4534),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1534] = {
    [sym__expression] = STATE(4426),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(4449),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1535] = {
    [sym__expression] = STATE(4468),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1536] = {
    [sym__expression] = STATE(4487),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(4451),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1537] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1538] = {
    [sym__expression] = STATE(4515),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1539] = {
    [sym__expression] = STATE(3036),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1540] = {
    [sym__expression] = STATE(4554),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1541] = {
    [sym__expression] = STATE(4555),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1542] = {
    [sym__expression] = STATE(4331),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1543] = {
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1544] = {
    [sym__expression] = STATE(4443),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1545] = {
    [sym__expression] = STATE(4210),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1546] = {
    [sym__expression] = STATE(4270),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1547] = {
    [sym__expression] = STATE(4448),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1548] = {
    [sym__expression] = STATE(4449),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1549] = {
    [sym__expression] = STATE(4451),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1550] = {
    [sym__expression] = STATE(4183),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1551] = {
    [sym__expression] = STATE(4500),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1552] = {
    [sym__expression] = STATE(4324),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1553] = {
    [sym__expression] = STATE(4548),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1554] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1555] = {
    [sym__expression] = STATE(4508),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1556] = {
    [sym__expression] = STATE(4252),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1557] = {
    [sym__expression] = STATE(4531),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1558] = {
    [sym__expression] = STATE(4228),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1559] = {
    [sym__expression] = STATE(4463),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1560] = {
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1561] = {
    [sym__expression] = STATE(4562),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1562] = {
    [sym__expression] = STATE(4258),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1563] = {
    [sym__expression] = STATE(4225),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1564] = {
    [sym__expression] = STATE(4511),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1565] = {
    [sym__expression] = STATE(4528),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1566] = {
    [sym__expression] = STATE(2837),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1567] = {
    [sym__expression] = STATE(2403),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1568] = {
    [sym__expression] = STATE(4262),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1569] = {
    [sym__expression] = STATE(4214),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1570] = {
    [sym__expression] = STATE(4561),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1571] = {
    [sym__expression] = STATE(4560),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1572] = {
    [sym__expression] = STATE(4558),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1573] = {
    [sym__expression] = STATE(4261),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1574] = {
    [sym__expression] = STATE(4144),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1575] = {
    [sym__expression] = STATE(2850),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1576] = {
    [sym__expression] = STATE(4211),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1577] = {
    [sym__expression] = STATE(4532),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1578] = {
    [sym__expression] = STATE(4182),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1579] = {
    [sym__expression] = STATE(4251),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1580] = {
    [sym__expression] = STATE(4208),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1581] = {
    [sym__expression] = STATE(4530),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1582] = {
    [sym__expression] = STATE(2424),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1583] = {
    [sym__expression] = STATE(4525),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1584] = {
    [sym__expression] = STATE(4249),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1585] = {
    [sym__expression] = STATE(3494),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1586] = {
    [sym__expression] = STATE(4502),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1587] = {
    [sym__expression] = STATE(4239),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1588] = {
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1589] = {
    [sym__expression] = STATE(4492),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1590] = {
    [sym__expression] = STATE(2720),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(4463),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1591] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1592] = {
    [sym__expression] = STATE(4205),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1593] = {
    [sym__expression] = STATE(4340),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1594] = {
    [sym__expression] = STATE(4198),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1595] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1596] = {
    [sym__expression] = STATE(3707),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1597] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1598] = {
    [sym__expression] = STATE(4185),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1599] = {
    [sym__expression] = STATE(3604),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1600] = {
    [sym__expression] = STATE(4405),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1601] = {
    [sym__expression] = STATE(4347),
    [sym__expression_not_binary] = STATE(4633),
    [sym__string] = STATE(4633),
    [sym_conditional_expression] = STATE(4633),
    [sym_assignment_expression] = STATE(4633),
    [sym_pointer_expression] = STATE(3504),
    [sym_unary_expression] = STATE(4633),
    [sym_binary_expression] = STATE(4633),
    [sym_update_expression] = STATE(4633),
    [sym_cast_expression] = STATE(4633),
    [sym_sizeof_expression] = STATE(4633),
    [sym_alignof_expression] = STATE(4633),
    [sym_offsetof_expression] = STATE(4633),
    [sym_generic_expression] = STATE(4633),
    [sym_subscript_expression] = STATE(3504),
    [sym_call_expression] = STATE(3504),
    [sym_gnu_asm_expression] = STATE(4633),
    [sym_field_expression] = STATE(3504),
    [sym_compound_literal_expression] = STATE(4633),
    [sym_parenthesized_expression] = STATE(3504),
    [sym_char_literal] = STATE(4498),
    [sym_concatenated_string] = STATE(4510),
    [sym_string_literal] = STATE(3647),
    [sym_null] = STATE(4633),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7313),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(4633),
    [sym_raw_string_literal] = STATE(3680),
    [sym_co_await_expression] = STATE(4633),
    [sym_new_expression] = STATE(4633),
    [sym_delete_expression] = STATE(4633),
    [sym_requires_clause] = STATE(4633),
    [sym_requires_expression] = STATE(4633),
    [sym_lambda_expression] = STATE(4633),
    [sym_lambda_capture_specifier] = STATE(5717),
    [sym_fold_expression] = STATE(4633),
    [sym_parameter_pack_expansion] = STATE(4633),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3504),
    [sym_qualified_type_identifier] = STATE(7313),
    [sym_user_defined_literal] = STATE(3504),
    [sym_identifier] = ACTIONS(3512),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3034),
    [anon_sym_compl] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3052),
    [anon_sym_sizeof] = ACTIONS(3054),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3086),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3070),
  },
  [1602] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3521),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3521),
    [sym_call_expression] = STATE(3521),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3521),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3521),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3521),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3521),
    [sym_identifier] = ACTIONS(3490),
    [anon_sym_LPAREN2] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3492),
    [anon_sym_compl] = ACTIONS(3492),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3498),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1603] = {
    [sym__expression] = STATE(4437),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1604] = {
    [sym__expression] = STATE(4395),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1605] = {
    [sym__expression] = STATE(3204),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1606] = {
    [sym__expression] = STATE(3208),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1607] = {
    [sym__expression] = STATE(3612),
    [sym__expression_not_binary] = STATE(3708),
    [sym__string] = STATE(3708),
    [sym_conditional_expression] = STATE(3708),
    [sym_assignment_expression] = STATE(3708),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3708),
    [sym_binary_expression] = STATE(3708),
    [sym_update_expression] = STATE(3708),
    [sym_cast_expression] = STATE(3708),
    [sym_sizeof_expression] = STATE(3708),
    [sym_alignof_expression] = STATE(3708),
    [sym_offsetof_expression] = STATE(3708),
    [sym_generic_expression] = STATE(3708),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3708),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3708),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3651),
    [sym_concatenated_string] = STATE(3646),
    [sym_string_literal] = STATE(2536),
    [sym_null] = STATE(3708),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7394),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3708),
    [sym_raw_string_literal] = STATE(2537),
    [sym_co_await_expression] = STATE(3708),
    [sym_new_expression] = STATE(3708),
    [sym_delete_expression] = STATE(3708),
    [sym_requires_clause] = STATE(3708),
    [sym_requires_expression] = STATE(3708),
    [sym_lambda_expression] = STATE(3708),
    [sym_lambda_capture_specifier] = STATE(5685),
    [sym_fold_expression] = STATE(3708),
    [sym_parameter_pack_expansion] = STATE(3708),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7394),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2463),
    [anon_sym_not] = ACTIONS(1740),
    [anon_sym_compl] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1756),
    [anon_sym_sizeof] = ACTIONS(1758),
    [anon_sym___alignof__] = ACTIONS(1760),
    [anon_sym___alignof] = ACTIONS(1760),
    [anon_sym__alignof] = ACTIONS(1760),
    [anon_sym_alignof] = ACTIONS(1760),
    [anon_sym__Alignof] = ACTIONS(1760),
    [anon_sym_offsetof] = ACTIONS(1762),
    [anon_sym__Generic] = ACTIONS(1764),
    [anon_sym_asm] = ACTIONS(1766),
    [anon_sym___asm__] = ACTIONS(1766),
    [sym_number_literal] = ACTIONS(1768),
    [anon_sym_L_SQUOTE] = ACTIONS(1770),
    [anon_sym_u_SQUOTE] = ACTIONS(1770),
    [anon_sym_U_SQUOTE] = ACTIONS(1770),
    [anon_sym_u8_SQUOTE] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1770),
    [anon_sym_L_DQUOTE] = ACTIONS(1772),
    [anon_sym_u_DQUOTE] = ACTIONS(1772),
    [anon_sym_U_DQUOTE] = ACTIONS(1772),
    [anon_sym_u8_DQUOTE] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [sym_true] = ACTIONS(1774),
    [sym_false] = ACTIONS(1774),
    [anon_sym_NULL] = ACTIONS(1776),
    [anon_sym_nullptr] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1782),
    [anon_sym_R_DQUOTE] = ACTIONS(1784),
    [anon_sym_LR_DQUOTE] = ACTIONS(1784),
    [anon_sym_uR_DQUOTE] = ACTIONS(1784),
    [anon_sym_UR_DQUOTE] = ACTIONS(1784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1784),
    [anon_sym_co_await] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1788),
    [anon_sym_requires] = ACTIONS(1790),
    [sym_this] = ACTIONS(1774),
  },
  [1608] = {
    [sym__expression] = STATE(4422),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1609] = {
    [sym__expression] = STATE(2424),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1610] = {
    [sym__expression] = STATE(4287),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1611] = {
    [sym__expression] = STATE(4302),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1612] = {
    [sym__expression] = STATE(4326),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1613] = {
    [sym__expression] = STATE(4368),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1614] = {
    [sym__expression] = STATE(4388),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1615] = {
    [sym__expression] = STATE(3143),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1616] = {
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1617] = {
    [sym__expression] = STATE(3239),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1618] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1619] = {
    [sym__expression] = STATE(3242),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1620] = {
    [sym__expression] = STATE(3247),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1621] = {
    [sym__expression] = STATE(3251),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1622] = {
    [sym__expression] = STATE(3263),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1623] = {
    [sym__expression] = STATE(3264),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1624] = {
    [sym__expression] = STATE(3265),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1625] = {
    [sym__expression] = STATE(3262),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1626] = {
    [sym__expression] = STATE(4387),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1627] = {
    [sym__expression] = STATE(3261),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1628] = {
    [sym__expression] = STATE(3260),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1629] = {
    [sym__expression] = STATE(3216),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1630] = {
    [sym__expression] = STATE(3217),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1631] = {
    [sym__expression] = STATE(3224),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(4471),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1632] = {
    [sym__expression] = STATE(3222),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1633] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1634] = {
    [sym__expression] = STATE(3235),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(4473),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1635] = {
    [sym__expression] = STATE(3206),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1636] = {
    [sym__expression] = STATE(4473),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1637] = {
    [sym__expression] = STATE(3059),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1638] = {
    [sym__expression] = STATE(4184),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1639] = {
    [sym__expression] = STATE(2887),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1640] = {
    [sym__expression] = STATE(2878),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1641] = {
    [sym__expression] = STATE(2826),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1642] = {
    [sym__expression] = STATE(2868),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1643] = {
    [sym__expression] = STATE(2825),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1644] = {
    [sym__expression] = STATE(2861),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1645] = {
    [sym__expression] = STATE(4414),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1646] = {
    [sym__expression] = STATE(2853),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1647] = {
    [sym__expression] = STATE(2730),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1648] = {
    [sym__expression] = STATE(2849),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1649] = {
    [sym__expression] = STATE(2384),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1650] = {
    [sym__expression] = STATE(4441),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1651] = {
    [sym__expression] = STATE(2846),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1926),
    [anon_sym_compl] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1652] = {
    [sym__expression] = STATE(3259),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1653] = {
    [sym__expression] = STATE(3243),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1654] = {
    [sym__expression] = STATE(3070),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(3158),
    [sym_concatenated_string] = STATE(3149),
    [sym_string_literal] = STATE(2152),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(2153),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(4184),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1964),
    [anon_sym_compl] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4120),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1974),
    [anon_sym_u_SQUOTE] = ACTIONS(1974),
    [anon_sym_U_SQUOTE] = ACTIONS(1974),
    [anon_sym_u8_SQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [anon_sym_L_DQUOTE] = ACTIONS(1976),
    [anon_sym_u_DQUOTE] = ACTIONS(1976),
    [anon_sym_U_DQUOTE] = ACTIONS(1976),
    [anon_sym_u8_DQUOTE] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1976),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1978),
    [anon_sym_R_DQUOTE] = ACTIONS(1980),
    [anon_sym_LR_DQUOTE] = ACTIONS(1980),
    [anon_sym_uR_DQUOTE] = ACTIONS(1980),
    [anon_sym_UR_DQUOTE] = ACTIONS(1980),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1980),
    [anon_sym_co_await] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1655] = {
    [sym__expression] = STATE(4150),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1656] = {
    [sym__expression] = STATE(4481),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1657] = {
    [sym__expression] = STATE(3236),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2896),
    [sym_concatenated_string] = STATE(2889),
    [sym_string_literal] = STATE(1907),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1902),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1934),
    [anon_sym_L_SQUOTE] = ACTIONS(1936),
    [anon_sym_u_SQUOTE] = ACTIONS(1936),
    [anon_sym_U_SQUOTE] = ACTIONS(1936),
    [anon_sym_u8_SQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_L_DQUOTE] = ACTIONS(1938),
    [anon_sym_u_DQUOTE] = ACTIONS(1938),
    [anon_sym_U_DQUOTE] = ACTIONS(1938),
    [anon_sym_u8_DQUOTE] = ACTIONS(1938),
    [anon_sym_DQUOTE] = ACTIONS(1938),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2150),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1658] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1659] = {
    [sym__expression] = STATE(4318),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(4481),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1660] = {
    [sym__expression] = STATE(4404),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1661] = {
    [sym__expression] = STATE(4407),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1662] = {
    [sym__expression] = STATE(3197),
    [sym__expression_not_binary] = STATE(3547),
    [sym__string] = STATE(3547),
    [sym_conditional_expression] = STATE(3547),
    [sym_assignment_expression] = STATE(3547),
    [sym_pointer_expression] = STATE(3547),
    [sym_unary_expression] = STATE(3547),
    [sym_binary_expression] = STATE(3547),
    [sym_update_expression] = STATE(3547),
    [sym_cast_expression] = STATE(3547),
    [sym_sizeof_expression] = STATE(3547),
    [sym_alignof_expression] = STATE(3547),
    [sym_offsetof_expression] = STATE(3547),
    [sym_generic_expression] = STATE(3547),
    [sym_subscript_expression] = STATE(3547),
    [sym_call_expression] = STATE(3547),
    [sym_gnu_asm_expression] = STATE(3547),
    [sym_field_expression] = STATE(3547),
    [sym_compound_literal_expression] = STATE(3547),
    [sym_parenthesized_expression] = STATE(3547),
    [sym_char_literal] = STATE(3310),
    [sym_concatenated_string] = STATE(3292),
    [sym_string_literal] = STATE(2380),
    [sym_null] = STATE(3547),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3547),
    [sym_raw_string_literal] = STATE(2365),
    [sym_co_await_expression] = STATE(3547),
    [sym_new_expression] = STATE(3547),
    [sym_delete_expression] = STATE(3547),
    [sym_requires_clause] = STATE(3547),
    [sym_requires_expression] = STATE(3547),
    [sym_lambda_expression] = STATE(3547),
    [sym_lambda_capture_specifier] = STATE(5660),
    [sym_fold_expression] = STATE(3547),
    [sym_parameter_pack_expansion] = STATE(3547),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(3547),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3547),
    [sym_identifier] = ACTIONS(2411),
    [anon_sym_LPAREN2] = ACTIONS(4214),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(4087),
    [anon_sym_PLUS_PLUS] = ACTIONS(4087),
    [anon_sym_sizeof] = ACTIONS(2423),
    [anon_sym___alignof__] = ACTIONS(2425),
    [anon_sym___alignof] = ACTIONS(2425),
    [anon_sym__alignof] = ACTIONS(2425),
    [anon_sym_alignof] = ACTIONS(2425),
    [anon_sym__Alignof] = ACTIONS(2425),
    [anon_sym_offsetof] = ACTIONS(2427),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2431),
    [anon_sym___asm__] = ACTIONS(2431),
    [sym_number_literal] = ACTIONS(2433),
    [anon_sym_L_SQUOTE] = ACTIONS(2435),
    [anon_sym_u_SQUOTE] = ACTIONS(2435),
    [anon_sym_U_SQUOTE] = ACTIONS(2435),
    [anon_sym_u8_SQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_L_DQUOTE] = ACTIONS(2437),
    [anon_sym_u_DQUOTE] = ACTIONS(2437),
    [anon_sym_U_DQUOTE] = ACTIONS(2437),
    [anon_sym_u8_DQUOTE] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [anon_sym_NULL] = ACTIONS(2441),
    [anon_sym_nullptr] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_R_DQUOTE] = ACTIONS(2445),
    [anon_sym_LR_DQUOTE] = ACTIONS(2445),
    [anon_sym_uR_DQUOTE] = ACTIONS(2445),
    [anon_sym_UR_DQUOTE] = ACTIONS(2445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2445),
    [anon_sym_co_await] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_requires] = ACTIONS(2451),
    [sym_this] = ACTIONS(2439),
  },
  [1663] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1664] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1665] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1666] = {
    [sym__expression] = STATE(4175),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(4354),
    [sym_concatenated_string] = STATE(4349),
    [sym_string_literal] = STATE(3633),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3634),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(4013),
    [anon_sym_AMP] = ACTIONS(4013),
    [anon_sym_COLON_COLON] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3336),
    [anon_sym_u_SQUOTE] = ACTIONS(3336),
    [anon_sym_U_SQUOTE] = ACTIONS(3336),
    [anon_sym_u8_SQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1667] = {
    [sym__expression] = STATE(2725),
    [sym__expression_not_binary] = STATE(2526),
    [sym__string] = STATE(2526),
    [sym_conditional_expression] = STATE(2526),
    [sym_assignment_expression] = STATE(2526),
    [sym_pointer_expression] = STATE(2526),
    [sym_unary_expression] = STATE(2526),
    [sym_binary_expression] = STATE(2526),
    [sym_update_expression] = STATE(2526),
    [sym_cast_expression] = STATE(2526),
    [sym_sizeof_expression] = STATE(2526),
    [sym_alignof_expression] = STATE(2526),
    [sym_offsetof_expression] = STATE(2526),
    [sym_generic_expression] = STATE(2526),
    [sym_subscript_expression] = STATE(2526),
    [sym_call_expression] = STATE(2526),
    [sym_gnu_asm_expression] = STATE(2526),
    [sym_field_expression] = STATE(2526),
    [sym_compound_literal_expression] = STATE(2526),
    [sym_parenthesized_expression] = STATE(2526),
    [sym_char_literal] = STATE(2792),
    [sym_concatenated_string] = STATE(2740),
    [sym_string_literal] = STATE(1812),
    [sym_null] = STATE(2526),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7452),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(2526),
    [sym_raw_string_literal] = STATE(1814),
    [sym_co_await_expression] = STATE(2526),
    [sym_new_expression] = STATE(2526),
    [sym_delete_expression] = STATE(2526),
    [sym_requires_clause] = STATE(2526),
    [sym_requires_expression] = STATE(2526),
    [sym_lambda_expression] = STATE(2526),
    [sym_lambda_capture_specifier] = STATE(5668),
    [sym_fold_expression] = STATE(2526),
    [sym_parameter_pack_expansion] = STATE(2526),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(2526),
    [sym_qualified_type_identifier] = STATE(7452),
    [sym_user_defined_literal] = STATE(2526),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_LPAREN2] = ACTIONS(4168),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4170),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [sym_primitive_type] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_sizeof] = ACTIONS(1888),
    [anon_sym___alignof__] = ACTIONS(1890),
    [anon_sym___alignof] = ACTIONS(1890),
    [anon_sym__alignof] = ACTIONS(1890),
    [anon_sym_alignof] = ACTIONS(1890),
    [anon_sym__Alignof] = ACTIONS(1890),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1894),
    [anon_sym_asm] = ACTIONS(1896),
    [anon_sym___asm__] = ACTIONS(1896),
    [sym_number_literal] = ACTIONS(1898),
    [anon_sym_L_SQUOTE] = ACTIONS(1900),
    [anon_sym_u_SQUOTE] = ACTIONS(1900),
    [anon_sym_U_SQUOTE] = ACTIONS(1900),
    [anon_sym_u8_SQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [anon_sym_NULL] = ACTIONS(1906),
    [anon_sym_nullptr] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1910),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [anon_sym_co_await] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1916),
    [anon_sym_requires] = ACTIONS(1918),
    [sym_this] = ACTIONS(1904),
  },
  [1668] = {
    [sym__expression] = STATE(3707),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3136),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3136),
    [sym_call_expression] = STATE(3136),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3136),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3136),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3136),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1669] = {
    [sym__expression] = STATE(4413),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1670] = {
    [sym__expression] = STATE(4433),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1671] = {
    [sym__expression] = STATE(4430),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1672] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1673] = {
    [sym__expression] = STATE(4419),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1674] = {
    [sym__expression] = STATE(3030),
    [sym__expression_not_binary] = STATE(3428),
    [sym__string] = STATE(3428),
    [sym_conditional_expression] = STATE(3428),
    [sym_assignment_expression] = STATE(3428),
    [sym_pointer_expression] = STATE(3428),
    [sym_unary_expression] = STATE(3428),
    [sym_binary_expression] = STATE(3428),
    [sym_update_expression] = STATE(3428),
    [sym_cast_expression] = STATE(3428),
    [sym_sizeof_expression] = STATE(3428),
    [sym_alignof_expression] = STATE(3428),
    [sym_offsetof_expression] = STATE(3428),
    [sym_generic_expression] = STATE(3428),
    [sym_subscript_expression] = STATE(3428),
    [sym_call_expression] = STATE(3428),
    [sym_gnu_asm_expression] = STATE(3428),
    [sym_field_expression] = STATE(3428),
    [sym_compound_literal_expression] = STATE(3428),
    [sym_parenthesized_expression] = STATE(3428),
    [sym_char_literal] = STATE(3184),
    [sym_concatenated_string] = STATE(3193),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(3428),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7447),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3428),
    [sym_raw_string_literal] = STATE(2101),
    [sym_co_await_expression] = STATE(3428),
    [sym_new_expression] = STATE(3428),
    [sym_delete_expression] = STATE(3428),
    [sym_requires_clause] = STATE(3428),
    [sym_requires_expression] = STATE(3428),
    [sym_lambda_expression] = STATE(3428),
    [sym_lambda_capture_specifier] = STATE(5656),
    [sym_fold_expression] = STATE(3428),
    [sym_parameter_pack_expansion] = STATE(3428),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5489),
    [sym_qualified_identifier] = STATE(3428),
    [sym_qualified_type_identifier] = STATE(7447),
    [sym_user_defined_literal] = STATE(3428),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(4485),
    [sym_primitive_type] = ACTIONS(1960),
    [anon_sym_not] = ACTIONS(1810),
    [anon_sym_compl] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_sizeof] = ACTIONS(1836),
    [anon_sym___alignof__] = ACTIONS(1838),
    [anon_sym___alignof] = ACTIONS(1838),
    [anon_sym__alignof] = ACTIONS(1838),
    [anon_sym_alignof] = ACTIONS(1838),
    [anon_sym__Alignof] = ACTIONS(1838),
    [anon_sym_offsetof] = ACTIONS(1840),
    [anon_sym__Generic] = ACTIONS(1842),
    [anon_sym_asm] = ACTIONS(1844),
    [anon_sym___asm__] = ACTIONS(1844),
    [sym_number_literal] = ACTIONS(1846),
    [anon_sym_L_SQUOTE] = ACTIONS(1848),
    [anon_sym_u_SQUOTE] = ACTIONS(1848),
    [anon_sym_U_SQUOTE] = ACTIONS(1848),
    [anon_sym_u8_SQUOTE] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_L_DQUOTE] = ACTIONS(1850),
    [anon_sym_u_DQUOTE] = ACTIONS(1850),
    [anon_sym_U_DQUOTE] = ACTIONS(1850),
    [anon_sym_u8_DQUOTE] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [anon_sym_NULL] = ACTIONS(1854),
    [anon_sym_nullptr] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_R_DQUOTE] = ACTIONS(1866),
    [anon_sym_LR_DQUOTE] = ACTIONS(1866),
    [anon_sym_uR_DQUOTE] = ACTIONS(1866),
    [anon_sym_UR_DQUOTE] = ACTIONS(1866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1866),
    [anon_sym_co_await] = ACTIONS(1868),
    [anon_sym_new] = ACTIONS(1870),
    [anon_sym_requires] = ACTIONS(1872),
    [sym_this] = ACTIONS(1852),
  },
  [1675] = {
    [sym__expression] = STATE(4418),
    [sym__expression_not_binary] = STATE(3806),
    [sym__string] = STATE(3806),
    [sym_conditional_expression] = STATE(3806),
    [sym_assignment_expression] = STATE(3806),
    [sym_pointer_expression] = STATE(3511),
    [sym_unary_expression] = STATE(3806),
    [sym_binary_expression] = STATE(3806),
    [sym_update_expression] = STATE(3806),
    [sym_cast_expression] = STATE(3806),
    [sym_sizeof_expression] = STATE(3806),
    [sym_alignof_expression] = STATE(3806),
    [sym_offsetof_expression] = STATE(3806),
    [sym_generic_expression] = STATE(3806),
    [sym_subscript_expression] = STATE(3511),
    [sym_call_expression] = STATE(3511),
    [sym_gnu_asm_expression] = STATE(3806),
    [sym_field_expression] = STATE(3511),
    [sym_compound_literal_expression] = STATE(3806),
    [sym_parenthesized_expression] = STATE(3511),
    [sym_char_literal] = STATE(4074),
    [sym_concatenated_string] = STATE(4078),
    [sym_string_literal] = STATE(3100),
    [sym_null] = STATE(3806),
    [sym_decltype] = STATE(8136),
    [sym__class_name] = STATE(7247),
    [sym_template_type] = STATE(2386),
    [sym_template_function] = STATE(3806),
    [sym_raw_string_literal] = STATE(3079),
    [sym_co_await_expression] = STATE(3806),
    [sym_new_expression] = STATE(3806),
    [sym_delete_expression] = STATE(3806),
    [sym_requires_clause] = STATE(3806),
    [sym_requires_expression] = STATE(3806),
    [sym_lambda_expression] = STATE(3806),
    [sym_lambda_capture_specifier] = STATE(5670),
    [sym_fold_expression] = STATE(3806),
    [sym_parameter_pack_expansion] = STATE(3806),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5449),
    [sym_qualified_identifier] = STATE(3511),
    [sym_qualified_type_identifier] = STATE(7247),
    [sym_user_defined_literal] = STATE(3511),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(4172),
    [anon_sym_BANG] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3438),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [sym_primitive_type] = ACTIONS(1954),
    [anon_sym_not] = ACTIONS(3434),
    [anon_sym_compl] = ACTIONS(3434),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_sizeof] = ACTIONS(3440),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(3442),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3446),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_TILDE] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym_SEMI] = ACTIONS(4489),
    [anon_sym___extension__] = ACTIONS(4487),
    [anon_sym_extern] = ACTIONS(4487),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4489),
    [anon_sym___declspec] = ACTIONS(4487),
    [anon_sym___based] = ACTIONS(4487),
    [anon_sym___cdecl] = ACTIONS(4487),
    [anon_sym___clrcall] = ACTIONS(4487),
    [anon_sym___stdcall] = ACTIONS(4487),
    [anon_sym___fastcall] = ACTIONS(4487),
    [anon_sym___thiscall] = ACTIONS(4487),
    [anon_sym___vectorcall] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_RBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_static] = ACTIONS(4487),
    [anon_sym_register] = ACTIONS(4487),
    [anon_sym_inline] = ACTIONS(4487),
    [anon_sym___inline] = ACTIONS(4487),
    [anon_sym___inline__] = ACTIONS(4487),
    [anon_sym___forceinline] = ACTIONS(4487),
    [anon_sym_thread_local] = ACTIONS(4487),
    [anon_sym___thread] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4487),
    [anon_sym_volatile] = ACTIONS(4487),
    [anon_sym_restrict] = ACTIONS(4487),
    [anon_sym___restrict__] = ACTIONS(4487),
    [anon_sym__Atomic] = ACTIONS(4487),
    [anon_sym__Noreturn] = ACTIONS(4487),
    [anon_sym_noreturn] = ACTIONS(4487),
    [anon_sym_mutable] = ACTIONS(4487),
    [anon_sym_constinit] = ACTIONS(4487),
    [anon_sym_consteval] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4489),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_and_eq] = ACTIONS(4487),
    [anon_sym_or_eq] = ACTIONS(4487),
    [anon_sym_xor_eq] = ACTIONS(4487),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [sym_virtual] = ACTIONS(4487),
    [anon_sym_alignas] = ACTIONS(4487),
    [anon_sym_template] = ACTIONS(4487),
    [anon_sym_operator] = ACTIONS(4487),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4491),
    [anon_sym_extern] = ACTIONS(4491),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4493),
    [anon_sym___declspec] = ACTIONS(4491),
    [anon_sym___based] = ACTIONS(4491),
    [anon_sym___cdecl] = ACTIONS(4491),
    [anon_sym___clrcall] = ACTIONS(4491),
    [anon_sym___stdcall] = ACTIONS(4491),
    [anon_sym___fastcall] = ACTIONS(4491),
    [anon_sym___thiscall] = ACTIONS(4491),
    [anon_sym___vectorcall] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_RBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_static] = ACTIONS(4491),
    [anon_sym_register] = ACTIONS(4491),
    [anon_sym_inline] = ACTIONS(4491),
    [anon_sym___inline] = ACTIONS(4491),
    [anon_sym___inline__] = ACTIONS(4491),
    [anon_sym___forceinline] = ACTIONS(4491),
    [anon_sym_thread_local] = ACTIONS(4491),
    [anon_sym___thread] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4491),
    [anon_sym_volatile] = ACTIONS(4491),
    [anon_sym_restrict] = ACTIONS(4491),
    [anon_sym___restrict__] = ACTIONS(4491),
    [anon_sym__Atomic] = ACTIONS(4491),
    [anon_sym__Noreturn] = ACTIONS(4491),
    [anon_sym_noreturn] = ACTIONS(4491),
    [anon_sym_mutable] = ACTIONS(4491),
    [anon_sym_constinit] = ACTIONS(4491),
    [anon_sym_consteval] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_and_eq] = ACTIONS(4491),
    [anon_sym_or_eq] = ACTIONS(4491),
    [anon_sym_xor_eq] = ACTIONS(4491),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [sym_virtual] = ACTIONS(4491),
    [anon_sym_alignas] = ACTIONS(4491),
    [anon_sym_template] = ACTIONS(4491),
    [anon_sym_operator] = ACTIONS(4491),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_TILDE] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym_extern] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4497),
    [anon_sym___declspec] = ACTIONS(4495),
    [anon_sym___based] = ACTIONS(4495),
    [anon_sym___cdecl] = ACTIONS(4495),
    [anon_sym___clrcall] = ACTIONS(4495),
    [anon_sym___stdcall] = ACTIONS(4495),
    [anon_sym___fastcall] = ACTIONS(4495),
    [anon_sym___thiscall] = ACTIONS(4495),
    [anon_sym___vectorcall] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_static] = ACTIONS(4495),
    [anon_sym_register] = ACTIONS(4495),
    [anon_sym_inline] = ACTIONS(4495),
    [anon_sym___inline] = ACTIONS(4495),
    [anon_sym___inline__] = ACTIONS(4495),
    [anon_sym___forceinline] = ACTIONS(4495),
    [anon_sym_thread_local] = ACTIONS(4495),
    [anon_sym___thread] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_and_eq] = ACTIONS(4495),
    [anon_sym_or_eq] = ACTIONS(4495),
    [anon_sym_xor_eq] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [sym_virtual] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym_template] = ACTIONS(4495),
    [anon_sym_operator] = ACTIONS(4495),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
  },
  [1680] = {
    [sym_template_argument_list] = STATE(1684),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4510),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4517),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4507),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4507),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym___cdecl] = ACTIONS(4503),
    [anon_sym___clrcall] = ACTIONS(4503),
    [anon_sym___stdcall] = ACTIONS(4503),
    [anon_sym___fastcall] = ACTIONS(4503),
    [anon_sym___thiscall] = ACTIONS(4503),
    [anon_sym___vectorcall] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4512),
    [anon_sym_or_eq] = ACTIONS(4512),
    [anon_sym_xor_eq] = ACTIONS(4512),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4512),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4512),
    [anon_sym_not_eq] = ACTIONS(4512),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym_SEMI] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_extern] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4522),
    [anon_sym___declspec] = ACTIONS(4520),
    [anon_sym___based] = ACTIONS(4520),
    [anon_sym___cdecl] = ACTIONS(4520),
    [anon_sym___clrcall] = ACTIONS(4520),
    [anon_sym___stdcall] = ACTIONS(4520),
    [anon_sym___fastcall] = ACTIONS(4520),
    [anon_sym___thiscall] = ACTIONS(4520),
    [anon_sym___vectorcall] = ACTIONS(4520),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_RBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_static] = ACTIONS(4520),
    [anon_sym_register] = ACTIONS(4520),
    [anon_sym_inline] = ACTIONS(4520),
    [anon_sym___inline] = ACTIONS(4520),
    [anon_sym___inline__] = ACTIONS(4520),
    [anon_sym___forceinline] = ACTIONS(4520),
    [anon_sym_thread_local] = ACTIONS(4520),
    [anon_sym___thread] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_and_eq] = ACTIONS(4520),
    [anon_sym_or_eq] = ACTIONS(4520),
    [anon_sym_xor_eq] = ACTIONS(4520),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [sym_virtual] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym_template] = ACTIONS(4520),
    [anon_sym_operator] = ACTIONS(4520),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_TILDE] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym_SEMI] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_extern] = ACTIONS(4524),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4526),
    [anon_sym___declspec] = ACTIONS(4524),
    [anon_sym___based] = ACTIONS(4524),
    [anon_sym___cdecl] = ACTIONS(4524),
    [anon_sym___clrcall] = ACTIONS(4524),
    [anon_sym___stdcall] = ACTIONS(4524),
    [anon_sym___fastcall] = ACTIONS(4524),
    [anon_sym___thiscall] = ACTIONS(4524),
    [anon_sym___vectorcall] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_RBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4524),
    [anon_sym_inline] = ACTIONS(4524),
    [anon_sym___inline] = ACTIONS(4524),
    [anon_sym___inline__] = ACTIONS(4524),
    [anon_sym___forceinline] = ACTIONS(4524),
    [anon_sym_thread_local] = ACTIONS(4524),
    [anon_sym___thread] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4524),
    [anon_sym_volatile] = ACTIONS(4524),
    [anon_sym_restrict] = ACTIONS(4524),
    [anon_sym___restrict__] = ACTIONS(4524),
    [anon_sym__Atomic] = ACTIONS(4524),
    [anon_sym__Noreturn] = ACTIONS(4524),
    [anon_sym_noreturn] = ACTIONS(4524),
    [anon_sym_mutable] = ACTIONS(4524),
    [anon_sym_constinit] = ACTIONS(4524),
    [anon_sym_consteval] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4526),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_and_eq] = ACTIONS(4524),
    [anon_sym_or_eq] = ACTIONS(4524),
    [anon_sym_xor_eq] = ACTIONS(4524),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [sym_virtual] = ACTIONS(4524),
    [anon_sym_alignas] = ACTIONS(4524),
    [anon_sym_template] = ACTIONS(4524),
    [anon_sym_operator] = ACTIONS(4524),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_TILDE] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym_extern] = ACTIONS(4528),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4530),
    [anon_sym___declspec] = ACTIONS(4528),
    [anon_sym___based] = ACTIONS(4528),
    [anon_sym___cdecl] = ACTIONS(4528),
    [anon_sym___clrcall] = ACTIONS(4528),
    [anon_sym___stdcall] = ACTIONS(4528),
    [anon_sym___fastcall] = ACTIONS(4528),
    [anon_sym___thiscall] = ACTIONS(4528),
    [anon_sym___vectorcall] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4528),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_static] = ACTIONS(4528),
    [anon_sym_register] = ACTIONS(4528),
    [anon_sym_inline] = ACTIONS(4528),
    [anon_sym___inline] = ACTIONS(4528),
    [anon_sym___inline__] = ACTIONS(4528),
    [anon_sym___forceinline] = ACTIONS(4528),
    [anon_sym_thread_local] = ACTIONS(4528),
    [anon_sym___thread] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4528),
    [anon_sym_volatile] = ACTIONS(4528),
    [anon_sym_restrict] = ACTIONS(4528),
    [anon_sym___restrict__] = ACTIONS(4528),
    [anon_sym__Atomic] = ACTIONS(4528),
    [anon_sym__Noreturn] = ACTIONS(4528),
    [anon_sym_noreturn] = ACTIONS(4528),
    [anon_sym_mutable] = ACTIONS(4528),
    [anon_sym_constinit] = ACTIONS(4528),
    [anon_sym_consteval] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_and_eq] = ACTIONS(4528),
    [anon_sym_or_eq] = ACTIONS(4528),
    [anon_sym_xor_eq] = ACTIONS(4528),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [sym_virtual] = ACTIONS(4528),
    [anon_sym_alignas] = ACTIONS(4528),
    [anon_sym_template] = ACTIONS(4528),
    [anon_sym_operator] = ACTIONS(4528),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym___cdecl] = ACTIONS(4532),
    [anon_sym___clrcall] = ACTIONS(4532),
    [anon_sym___stdcall] = ACTIONS(4532),
    [anon_sym___fastcall] = ACTIONS(4532),
    [anon_sym___thiscall] = ACTIONS(4532),
    [anon_sym___vectorcall] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_RBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4541),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4541),
    [anon_sym_or_eq] = ACTIONS(4541),
    [anon_sym_xor_eq] = ACTIONS(4541),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1685] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_ms_call_modifier] = STATE(6077),
    [sym__abstract_declarator] = STATE(6517),
    [sym_abstract_parenthesized_declarator] = STATE(5990),
    [sym_abstract_pointer_declarator] = STATE(5990),
    [sym_abstract_function_declarator] = STATE(5990),
    [sym_abstract_array_declarator] = STATE(5990),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_list] = STATE(3736),
    [sym_parameter_declaration] = STATE(7185),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7185),
    [sym_variadic_parameter_declaration] = STATE(7185),
    [sym_abstract_reference_declarator] = STATE(5990),
    [sym__function_declarator_seq] = STATE(5980),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4558),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1686] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_ms_call_modifier] = STATE(6033),
    [sym__abstract_declarator] = STATE(6538),
    [sym_abstract_parenthesized_declarator] = STATE(5990),
    [sym_abstract_pointer_declarator] = STATE(5990),
    [sym_abstract_function_declarator] = STATE(5990),
    [sym_abstract_array_declarator] = STATE(5990),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_list] = STATE(3736),
    [sym_parameter_declaration] = STATE(7185),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7185),
    [sym_variadic_parameter_declaration] = STATE(7185),
    [sym_abstract_reference_declarator] = STATE(5990),
    [sym__function_declarator_seq] = STATE(5980),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1818),
    [anon_sym___clrcall] = ACTIONS(1818),
    [anon_sym___stdcall] = ACTIONS(1818),
    [anon_sym___fastcall] = ACTIONS(1818),
    [anon_sym___thiscall] = ACTIONS(1818),
    [anon_sym___vectorcall] = ACTIONS(1818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4558),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1687] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(5090),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6351),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_parameter_list] = STATE(922),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(4213),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(4562),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [1690] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4998),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6350),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_parameter_list] = STATE(914),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(4213),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(4562),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
  },
  [1691] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(5057),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6387),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_parameter_list] = STATE(919),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(4213),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(4562),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
  },
  [1692] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(5063),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6357),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6069),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_parameter_list] = STATE(916),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(4213),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_type_identifier] = STATE(3414),
    [sym_operator_name] = STATE(6069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(4562),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(1862),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2663),
    [anon_sym_extern] = ACTIONS(2663),
    [anon_sym___attribute__] = ACTIONS(2663),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2663),
    [anon_sym_signed] = ACTIONS(2663),
    [anon_sym_unsigned] = ACTIONS(2663),
    [anon_sym_long] = ACTIONS(2663),
    [anon_sym_short] = ACTIONS(2663),
    [anon_sym_LBRACK] = ACTIONS(2663),
    [anon_sym_static] = ACTIONS(2663),
    [anon_sym_register] = ACTIONS(2663),
    [anon_sym_inline] = ACTIONS(2663),
    [anon_sym___inline] = ACTIONS(2663),
    [anon_sym___inline__] = ACTIONS(2663),
    [anon_sym___forceinline] = ACTIONS(2663),
    [anon_sym_thread_local] = ACTIONS(2663),
    [anon_sym___thread] = ACTIONS(2663),
    [anon_sym_const] = ACTIONS(2663),
    [anon_sym_constexpr] = ACTIONS(2663),
    [anon_sym_volatile] = ACTIONS(2663),
    [anon_sym_restrict] = ACTIONS(2663),
    [anon_sym___restrict__] = ACTIONS(2663),
    [anon_sym__Atomic] = ACTIONS(2663),
    [anon_sym__Noreturn] = ACTIONS(2663),
    [anon_sym_noreturn] = ACTIONS(2663),
    [anon_sym_mutable] = ACTIONS(2663),
    [anon_sym_constinit] = ACTIONS(2663),
    [anon_sym_consteval] = ACTIONS(2663),
    [sym_primitive_type] = ACTIONS(2663),
    [anon_sym_enum] = ACTIONS(2663),
    [anon_sym_class] = ACTIONS(2663),
    [anon_sym_struct] = ACTIONS(2663),
    [anon_sym_union] = ACTIONS(2663),
    [anon_sym_not] = ACTIONS(2663),
    [anon_sym_compl] = ACTIONS(2663),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2663),
    [anon_sym___alignof__] = ACTIONS(2663),
    [anon_sym___alignof] = ACTIONS(2663),
    [anon_sym__alignof] = ACTIONS(2663),
    [anon_sym_alignof] = ACTIONS(2663),
    [anon_sym__Alignof] = ACTIONS(2663),
    [anon_sym_offsetof] = ACTIONS(2663),
    [anon_sym__Generic] = ACTIONS(2663),
    [anon_sym_asm] = ACTIONS(2663),
    [anon_sym___asm__] = ACTIONS(2663),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2663),
    [sym_false] = ACTIONS(2663),
    [anon_sym_NULL] = ACTIONS(2663),
    [anon_sym_nullptr] = ACTIONS(2663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2663),
    [anon_sym_decltype] = ACTIONS(2663),
    [sym_virtual] = ACTIONS(2663),
    [anon_sym_alignas] = ACTIONS(2663),
    [anon_sym_typename] = ACTIONS(2663),
    [anon_sym_template] = ACTIONS(2663),
    [anon_sym_delete] = ACTIONS(2663),
    [anon_sym_R_DQUOTE] = ACTIONS(2668),
    [anon_sym_LR_DQUOTE] = ACTIONS(2668),
    [anon_sym_uR_DQUOTE] = ACTIONS(2668),
    [anon_sym_UR_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2668),
    [anon_sym_co_await] = ACTIONS(2663),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_requires] = ACTIONS(2663),
    [sym_this] = ACTIONS(2663),
  },
  [1694] = {
    [sym_template_argument_list] = STATE(1702),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4507),
    [anon_sym_COMMA] = ACTIONS(4507),
    [anon_sym_RPAREN] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4510),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4566),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4510),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4514),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4512),
    [anon_sym_or_eq] = ACTIONS(4512),
    [anon_sym_xor_eq] = ACTIONS(4512),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4512),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4512),
    [anon_sym_not_eq] = ACTIONS(4512),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1695] = {
    [sym_template_argument_list] = STATE(1706),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4510),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4517),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4510),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4512),
    [anon_sym_or_eq] = ACTIONS(4512),
    [anon_sym_xor_eq] = ACTIONS(4512),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4512),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4512),
    [anon_sym_not_eq] = ACTIONS(4512),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_TILDE] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym_extern] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4497),
    [anon_sym___declspec] = ACTIONS(4495),
    [anon_sym___based] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_static] = ACTIONS(4495),
    [anon_sym_register] = ACTIONS(4495),
    [anon_sym_inline] = ACTIONS(4495),
    [anon_sym___inline] = ACTIONS(4495),
    [anon_sym___inline__] = ACTIONS(4495),
    [anon_sym___forceinline] = ACTIONS(4495),
    [anon_sym_thread_local] = ACTIONS(4495),
    [anon_sym___thread] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_and_eq] = ACTIONS(4495),
    [anon_sym_or_eq] = ACTIONS(4495),
    [anon_sym_xor_eq] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [sym_virtual] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym_template] = ACTIONS(4495),
    [anon_sym_operator] = ACTIONS(4495),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4497),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym___extension__] = ACTIONS(4491),
    [anon_sym_extern] = ACTIONS(4491),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4493),
    [anon_sym___declspec] = ACTIONS(4491),
    [anon_sym___based] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_static] = ACTIONS(4491),
    [anon_sym_register] = ACTIONS(4491),
    [anon_sym_inline] = ACTIONS(4491),
    [anon_sym___inline] = ACTIONS(4491),
    [anon_sym___inline__] = ACTIONS(4491),
    [anon_sym___forceinline] = ACTIONS(4491),
    [anon_sym_thread_local] = ACTIONS(4491),
    [anon_sym___thread] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4491),
    [anon_sym_volatile] = ACTIONS(4491),
    [anon_sym_restrict] = ACTIONS(4491),
    [anon_sym___restrict__] = ACTIONS(4491),
    [anon_sym__Atomic] = ACTIONS(4491),
    [anon_sym__Noreturn] = ACTIONS(4491),
    [anon_sym_noreturn] = ACTIONS(4491),
    [anon_sym_mutable] = ACTIONS(4491),
    [anon_sym_constinit] = ACTIONS(4491),
    [anon_sym_consteval] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_and_eq] = ACTIONS(4491),
    [anon_sym_or_eq] = ACTIONS(4491),
    [anon_sym_xor_eq] = ACTIONS(4491),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [sym_virtual] = ACTIONS(4491),
    [anon_sym_alignas] = ACTIONS(4491),
    [anon_sym_template] = ACTIONS(4491),
    [anon_sym_operator] = ACTIONS(4491),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4493),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_TILDE] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_extern] = ACTIONS(4524),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4526),
    [anon_sym___declspec] = ACTIONS(4524),
    [anon_sym___based] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4524),
    [anon_sym_inline] = ACTIONS(4524),
    [anon_sym___inline] = ACTIONS(4524),
    [anon_sym___inline__] = ACTIONS(4524),
    [anon_sym___forceinline] = ACTIONS(4524),
    [anon_sym_thread_local] = ACTIONS(4524),
    [anon_sym___thread] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4524),
    [anon_sym_volatile] = ACTIONS(4524),
    [anon_sym_restrict] = ACTIONS(4524),
    [anon_sym___restrict__] = ACTIONS(4524),
    [anon_sym__Atomic] = ACTIONS(4524),
    [anon_sym__Noreturn] = ACTIONS(4524),
    [anon_sym_noreturn] = ACTIONS(4524),
    [anon_sym_mutable] = ACTIONS(4524),
    [anon_sym_constinit] = ACTIONS(4524),
    [anon_sym_consteval] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4526),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_and_eq] = ACTIONS(4524),
    [anon_sym_or_eq] = ACTIONS(4524),
    [anon_sym_xor_eq] = ACTIONS(4524),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [sym_virtual] = ACTIONS(4524),
    [anon_sym_alignas] = ACTIONS(4524),
    [anon_sym_template] = ACTIONS(4524),
    [anon_sym_operator] = ACTIONS(4524),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4526),
  },
  [1699] = {
    [sym_string_literal] = STATE(2017),
    [sym_template_argument_list] = STATE(1794),
    [sym_raw_string_literal] = STATE(2017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3640),
    [anon_sym_LPAREN2] = ACTIONS(3640),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4569),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym___extension__] = ACTIONS(3644),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4572),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(4574),
    [anon_sym_unsigned] = ACTIONS(4574),
    [anon_sym_long] = ACTIONS(4574),
    [anon_sym_short] = ACTIONS(4574),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3644),
    [anon_sym_volatile] = ACTIONS(3644),
    [anon_sym_restrict] = ACTIONS(3644),
    [anon_sym___restrict__] = ACTIONS(3644),
    [anon_sym__Atomic] = ACTIONS(3644),
    [anon_sym__Noreturn] = ACTIONS(3644),
    [anon_sym_noreturn] = ACTIONS(3644),
    [anon_sym_mutable] = ACTIONS(3644),
    [anon_sym_constinit] = ACTIONS(3644),
    [anon_sym_consteval] = ACTIONS(3644),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3644),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_extern] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4522),
    [anon_sym___declspec] = ACTIONS(4520),
    [anon_sym___based] = ACTIONS(4520),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_static] = ACTIONS(4520),
    [anon_sym_register] = ACTIONS(4520),
    [anon_sym_inline] = ACTIONS(4520),
    [anon_sym___inline] = ACTIONS(4520),
    [anon_sym___inline__] = ACTIONS(4520),
    [anon_sym___forceinline] = ACTIONS(4520),
    [anon_sym_thread_local] = ACTIONS(4520),
    [anon_sym___thread] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_and_eq] = ACTIONS(4520),
    [anon_sym_or_eq] = ACTIONS(4520),
    [anon_sym_xor_eq] = ACTIONS(4520),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [sym_virtual] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym_template] = ACTIONS(4520),
    [anon_sym_operator] = ACTIONS(4520),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4522),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_TILDE] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym_extern] = ACTIONS(4528),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4530),
    [anon_sym___declspec] = ACTIONS(4528),
    [anon_sym___based] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4528),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_static] = ACTIONS(4528),
    [anon_sym_register] = ACTIONS(4528),
    [anon_sym_inline] = ACTIONS(4528),
    [anon_sym___inline] = ACTIONS(4528),
    [anon_sym___inline__] = ACTIONS(4528),
    [anon_sym___forceinline] = ACTIONS(4528),
    [anon_sym_thread_local] = ACTIONS(4528),
    [anon_sym___thread] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4528),
    [anon_sym_volatile] = ACTIONS(4528),
    [anon_sym_restrict] = ACTIONS(4528),
    [anon_sym___restrict__] = ACTIONS(4528),
    [anon_sym__Atomic] = ACTIONS(4528),
    [anon_sym__Noreturn] = ACTIONS(4528),
    [anon_sym_noreturn] = ACTIONS(4528),
    [anon_sym_mutable] = ACTIONS(4528),
    [anon_sym_constinit] = ACTIONS(4528),
    [anon_sym_consteval] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_and_eq] = ACTIONS(4528),
    [anon_sym_or_eq] = ACTIONS(4528),
    [anon_sym_xor_eq] = ACTIONS(4528),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [sym_virtual] = ACTIONS(4528),
    [anon_sym_alignas] = ACTIONS(4528),
    [anon_sym_template] = ACTIONS(4528),
    [anon_sym_operator] = ACTIONS(4528),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4530),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4543),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4541),
    [anon_sym_or_eq] = ACTIONS(4541),
    [anon_sym_xor_eq] = ACTIONS(4541),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4534),
  },
  [1703] = {
    [sym_template_argument_list] = STATE(1709),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4507),
    [anon_sym_COMMA] = ACTIONS(4507),
    [anon_sym_RPAREN] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4510),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4517),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4510),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4514),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4512),
    [anon_sym_or_eq] = ACTIONS(4512),
    [anon_sym_xor_eq] = ACTIONS(4512),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4512),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4512),
    [anon_sym_not_eq] = ACTIONS(4512),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_TILDE] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym___extension__] = ACTIONS(4487),
    [anon_sym_extern] = ACTIONS(4487),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4489),
    [anon_sym___declspec] = ACTIONS(4487),
    [anon_sym___based] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_static] = ACTIONS(4487),
    [anon_sym_register] = ACTIONS(4487),
    [anon_sym_inline] = ACTIONS(4487),
    [anon_sym___inline] = ACTIONS(4487),
    [anon_sym___inline__] = ACTIONS(4487),
    [anon_sym___forceinline] = ACTIONS(4487),
    [anon_sym_thread_local] = ACTIONS(4487),
    [anon_sym___thread] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4487),
    [anon_sym_volatile] = ACTIONS(4487),
    [anon_sym_restrict] = ACTIONS(4487),
    [anon_sym___restrict__] = ACTIONS(4487),
    [anon_sym__Atomic] = ACTIONS(4487),
    [anon_sym__Noreturn] = ACTIONS(4487),
    [anon_sym_noreturn] = ACTIONS(4487),
    [anon_sym_mutable] = ACTIONS(4487),
    [anon_sym_constinit] = ACTIONS(4487),
    [anon_sym_consteval] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4489),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_and_eq] = ACTIONS(4487),
    [anon_sym_or_eq] = ACTIONS(4487),
    [anon_sym_xor_eq] = ACTIONS(4487),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [sym_virtual] = ACTIONS(4487),
    [anon_sym_alignas] = ACTIONS(4487),
    [anon_sym_template] = ACTIONS(4487),
    [anon_sym_operator] = ACTIONS(4487),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4489),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4541),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4541),
    [anon_sym_or_eq] = ACTIONS(4541),
    [anon_sym_xor_eq] = ACTIONS(4541),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4522),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym_SEMI] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_extern] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4522),
    [anon_sym___declspec] = ACTIONS(4520),
    [anon_sym___based] = ACTIONS(4520),
    [anon_sym___cdecl] = ACTIONS(4520),
    [anon_sym___clrcall] = ACTIONS(4520),
    [anon_sym___stdcall] = ACTIONS(4520),
    [anon_sym___fastcall] = ACTIONS(4520),
    [anon_sym___thiscall] = ACTIONS(4520),
    [anon_sym___vectorcall] = ACTIONS(4520),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_RBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_static] = ACTIONS(4520),
    [anon_sym_register] = ACTIONS(4520),
    [anon_sym_inline] = ACTIONS(4520),
    [anon_sym___inline] = ACTIONS(4520),
    [anon_sym___inline__] = ACTIONS(4520),
    [anon_sym___forceinline] = ACTIONS(4520),
    [anon_sym_thread_local] = ACTIONS(4520),
    [anon_sym___thread] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_COLON] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_final] = ACTIONS(4520),
    [anon_sym_override] = ACTIONS(4520),
    [sym_virtual] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym_template] = ACTIONS(4520),
    [anon_sym_operator] = ACTIONS(4520),
    [anon_sym_try] = ACTIONS(4520),
    [anon_sym_requires] = ACTIONS(4520),
  },
  [1708] = {
    [sym_string_literal] = STATE(2017),
    [sym_template_argument_list] = STATE(1900),
    [sym_raw_string_literal] = STATE(2017),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3651),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4580),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym___extension__] = ACTIONS(3644),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(4574),
    [anon_sym_unsigned] = ACTIONS(4574),
    [anon_sym_long] = ACTIONS(4574),
    [anon_sym_short] = ACTIONS(4574),
    [anon_sym_LBRACK] = ACTIONS(3651),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3644),
    [anon_sym_volatile] = ACTIONS(3644),
    [anon_sym_restrict] = ACTIONS(3644),
    [anon_sym___restrict__] = ACTIONS(3644),
    [anon_sym__Atomic] = ACTIONS(3644),
    [anon_sym__Noreturn] = ACTIONS(3644),
    [anon_sym_noreturn] = ACTIONS(3644),
    [anon_sym_mutable] = ACTIONS(3644),
    [anon_sym_constinit] = ACTIONS(3644),
    [anon_sym_consteval] = ACTIONS(3644),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3644),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4543),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4541),
    [anon_sym_or_eq] = ACTIONS(4541),
    [anon_sym_xor_eq] = ACTIONS(4541),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_TILDE] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym_extern] = ACTIONS(4528),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4530),
    [anon_sym___declspec] = ACTIONS(4528),
    [anon_sym___based] = ACTIONS(4528),
    [anon_sym___cdecl] = ACTIONS(4528),
    [anon_sym___clrcall] = ACTIONS(4528),
    [anon_sym___stdcall] = ACTIONS(4528),
    [anon_sym___fastcall] = ACTIONS(4528),
    [anon_sym___thiscall] = ACTIONS(4528),
    [anon_sym___vectorcall] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4528),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_static] = ACTIONS(4528),
    [anon_sym_register] = ACTIONS(4528),
    [anon_sym_inline] = ACTIONS(4528),
    [anon_sym___inline] = ACTIONS(4528),
    [anon_sym___inline__] = ACTIONS(4528),
    [anon_sym___forceinline] = ACTIONS(4528),
    [anon_sym_thread_local] = ACTIONS(4528),
    [anon_sym___thread] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4528),
    [anon_sym_volatile] = ACTIONS(4528),
    [anon_sym_restrict] = ACTIONS(4528),
    [anon_sym___restrict__] = ACTIONS(4528),
    [anon_sym__Atomic] = ACTIONS(4528),
    [anon_sym__Noreturn] = ACTIONS(4528),
    [anon_sym_noreturn] = ACTIONS(4528),
    [anon_sym_mutable] = ACTIONS(4528),
    [anon_sym_constinit] = ACTIONS(4528),
    [anon_sym_consteval] = ACTIONS(4528),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [anon_sym_final] = ACTIONS(4528),
    [anon_sym_override] = ACTIONS(4528),
    [sym_virtual] = ACTIONS(4528),
    [anon_sym_alignas] = ACTIONS(4528),
    [anon_sym_template] = ACTIONS(4528),
    [anon_sym_operator] = ACTIONS(4528),
    [anon_sym_try] = ACTIONS(4528),
    [anon_sym_requires] = ACTIONS(4528),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_TILDE] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4526),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4526),
    [anon_sym_GT_GT] = ACTIONS(4526),
    [anon_sym_SEMI] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_extern] = ACTIONS(4524),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4526),
    [anon_sym___declspec] = ACTIONS(4524),
    [anon_sym___based] = ACTIONS(4524),
    [anon_sym___cdecl] = ACTIONS(4524),
    [anon_sym___clrcall] = ACTIONS(4524),
    [anon_sym___stdcall] = ACTIONS(4524),
    [anon_sym___fastcall] = ACTIONS(4524),
    [anon_sym___thiscall] = ACTIONS(4524),
    [anon_sym___vectorcall] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_RBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4524),
    [anon_sym_inline] = ACTIONS(4524),
    [anon_sym___inline] = ACTIONS(4524),
    [anon_sym___inline__] = ACTIONS(4524),
    [anon_sym___forceinline] = ACTIONS(4524),
    [anon_sym_thread_local] = ACTIONS(4524),
    [anon_sym___thread] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4524),
    [anon_sym_volatile] = ACTIONS(4524),
    [anon_sym_restrict] = ACTIONS(4524),
    [anon_sym___restrict__] = ACTIONS(4524),
    [anon_sym__Atomic] = ACTIONS(4524),
    [anon_sym__Noreturn] = ACTIONS(4524),
    [anon_sym_noreturn] = ACTIONS(4524),
    [anon_sym_mutable] = ACTIONS(4524),
    [anon_sym_constinit] = ACTIONS(4524),
    [anon_sym_consteval] = ACTIONS(4524),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [anon_sym_final] = ACTIONS(4524),
    [anon_sym_override] = ACTIONS(4524),
    [sym_virtual] = ACTIONS(4524),
    [anon_sym_alignas] = ACTIONS(4524),
    [anon_sym_template] = ACTIONS(4524),
    [anon_sym_operator] = ACTIONS(4524),
    [anon_sym_try] = ACTIONS(4524),
    [anon_sym_requires] = ACTIONS(4524),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_TILDE] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4489),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4489),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4489),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4489),
    [anon_sym_GT_GT] = ACTIONS(4489),
    [anon_sym_SEMI] = ACTIONS(4489),
    [anon_sym___extension__] = ACTIONS(4487),
    [anon_sym_extern] = ACTIONS(4487),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4489),
    [anon_sym___declspec] = ACTIONS(4487),
    [anon_sym___based] = ACTIONS(4487),
    [anon_sym___cdecl] = ACTIONS(4487),
    [anon_sym___clrcall] = ACTIONS(4487),
    [anon_sym___stdcall] = ACTIONS(4487),
    [anon_sym___fastcall] = ACTIONS(4487),
    [anon_sym___thiscall] = ACTIONS(4487),
    [anon_sym___vectorcall] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_RBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_static] = ACTIONS(4487),
    [anon_sym_register] = ACTIONS(4487),
    [anon_sym_inline] = ACTIONS(4487),
    [anon_sym___inline] = ACTIONS(4487),
    [anon_sym___inline__] = ACTIONS(4487),
    [anon_sym___forceinline] = ACTIONS(4487),
    [anon_sym_thread_local] = ACTIONS(4487),
    [anon_sym___thread] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4487),
    [anon_sym_volatile] = ACTIONS(4487),
    [anon_sym_restrict] = ACTIONS(4487),
    [anon_sym___restrict__] = ACTIONS(4487),
    [anon_sym__Atomic] = ACTIONS(4487),
    [anon_sym__Noreturn] = ACTIONS(4487),
    [anon_sym_noreturn] = ACTIONS(4487),
    [anon_sym_mutable] = ACTIONS(4487),
    [anon_sym_constinit] = ACTIONS(4487),
    [anon_sym_consteval] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [anon_sym_final] = ACTIONS(4487),
    [anon_sym_override] = ACTIONS(4487),
    [sym_virtual] = ACTIONS(4487),
    [anon_sym_alignas] = ACTIONS(4487),
    [anon_sym_template] = ACTIONS(4487),
    [anon_sym_operator] = ACTIONS(4487),
    [anon_sym_try] = ACTIONS(4487),
    [anon_sym_requires] = ACTIONS(4487),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_TILDE] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4497),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4497),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4497),
    [anon_sym_GT_GT] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym_extern] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4497),
    [anon_sym___declspec] = ACTIONS(4495),
    [anon_sym___based] = ACTIONS(4495),
    [anon_sym___cdecl] = ACTIONS(4495),
    [anon_sym___clrcall] = ACTIONS(4495),
    [anon_sym___stdcall] = ACTIONS(4495),
    [anon_sym___fastcall] = ACTIONS(4495),
    [anon_sym___thiscall] = ACTIONS(4495),
    [anon_sym___vectorcall] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_static] = ACTIONS(4495),
    [anon_sym_register] = ACTIONS(4495),
    [anon_sym_inline] = ACTIONS(4495),
    [anon_sym___inline] = ACTIONS(4495),
    [anon_sym___inline__] = ACTIONS(4495),
    [anon_sym___forceinline] = ACTIONS(4495),
    [anon_sym_thread_local] = ACTIONS(4495),
    [anon_sym___thread] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [anon_sym_final] = ACTIONS(4495),
    [anon_sym_override] = ACTIONS(4495),
    [sym_virtual] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym_template] = ACTIONS(4495),
    [anon_sym_operator] = ACTIONS(4495),
    [anon_sym_try] = ACTIONS(4495),
    [anon_sym_requires] = ACTIONS(4495),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4501),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4501),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4501),
    [anon_sym_GT_GT] = ACTIONS(4501),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_try] = ACTIONS(4499),
    [anon_sym_requires] = ACTIONS(4499),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4491),
    [anon_sym_extern] = ACTIONS(4491),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4493),
    [anon_sym___declspec] = ACTIONS(4491),
    [anon_sym___based] = ACTIONS(4491),
    [anon_sym___cdecl] = ACTIONS(4491),
    [anon_sym___clrcall] = ACTIONS(4491),
    [anon_sym___stdcall] = ACTIONS(4491),
    [anon_sym___fastcall] = ACTIONS(4491),
    [anon_sym___thiscall] = ACTIONS(4491),
    [anon_sym___vectorcall] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_RBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_static] = ACTIONS(4491),
    [anon_sym_register] = ACTIONS(4491),
    [anon_sym_inline] = ACTIONS(4491),
    [anon_sym___inline] = ACTIONS(4491),
    [anon_sym___inline__] = ACTIONS(4491),
    [anon_sym___forceinline] = ACTIONS(4491),
    [anon_sym_thread_local] = ACTIONS(4491),
    [anon_sym___thread] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4491),
    [anon_sym_volatile] = ACTIONS(4491),
    [anon_sym_restrict] = ACTIONS(4491),
    [anon_sym___restrict__] = ACTIONS(4491),
    [anon_sym__Atomic] = ACTIONS(4491),
    [anon_sym__Noreturn] = ACTIONS(4491),
    [anon_sym_noreturn] = ACTIONS(4491),
    [anon_sym_mutable] = ACTIONS(4491),
    [anon_sym_constinit] = ACTIONS(4491),
    [anon_sym_consteval] = ACTIONS(4491),
    [anon_sym_COLON] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [anon_sym_final] = ACTIONS(4491),
    [anon_sym_override] = ACTIONS(4491),
    [sym_virtual] = ACTIONS(4491),
    [anon_sym_alignas] = ACTIONS(4491),
    [anon_sym_template] = ACTIONS(4491),
    [anon_sym_operator] = ACTIONS(4491),
    [anon_sym_try] = ACTIONS(4491),
    [anon_sym_requires] = ACTIONS(4491),
  },
  [1716] = {
    [sym_string_literal] = STATE(3369),
    [sym_template_argument_list] = STATE(3212),
    [sym_raw_string_literal] = STATE(3369),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3651),
    [anon_sym_COMMA] = ACTIONS(3651),
    [anon_sym_LPAREN2] = ACTIONS(3651),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3651),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3648),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3646),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4583),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym___extension__] = ACTIONS(3644),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_signed] = ACTIONS(4586),
    [anon_sym_unsigned] = ACTIONS(4586),
    [anon_sym_long] = ACTIONS(4586),
    [anon_sym_short] = ACTIONS(4586),
    [anon_sym_LBRACK] = ACTIONS(3651),
    [anon_sym_EQ] = ACTIONS(4588),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3644),
    [anon_sym_volatile] = ACTIONS(3644),
    [anon_sym_restrict] = ACTIONS(3644),
    [anon_sym___restrict__] = ACTIONS(3644),
    [anon_sym__Atomic] = ACTIONS(3644),
    [anon_sym__Noreturn] = ACTIONS(3644),
    [anon_sym_noreturn] = ACTIONS(3644),
    [anon_sym_mutable] = ACTIONS(3644),
    [anon_sym_constinit] = ACTIONS(3644),
    [anon_sym_consteval] = ACTIONS(3644),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(4590),
    [anon_sym_SLASH_EQ] = ACTIONS(4590),
    [anon_sym_PERCENT_EQ] = ACTIONS(4590),
    [anon_sym_PLUS_EQ] = ACTIONS(4590),
    [anon_sym_DASH_EQ] = ACTIONS(4590),
    [anon_sym_LT_LT_EQ] = ACTIONS(4590),
    [anon_sym_GT_GT_EQ] = ACTIONS(4588),
    [anon_sym_AMP_EQ] = ACTIONS(4590),
    [anon_sym_CARET_EQ] = ACTIONS(4590),
    [anon_sym_PIPE_EQ] = ACTIONS(4590),
    [anon_sym_and_eq] = ACTIONS(4590),
    [anon_sym_or_eq] = ACTIONS(4590),
    [anon_sym_xor_eq] = ACTIONS(4590),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(4592),
    [anon_sym_u_DQUOTE] = ACTIONS(4592),
    [anon_sym_U_DQUOTE] = ACTIONS(4592),
    [anon_sym_u8_DQUOTE] = ACTIONS(4592),
    [anon_sym_DQUOTE] = ACTIONS(4592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3644),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_GT2] = ACTIONS(3651),
    [anon_sym_R_DQUOTE] = ACTIONS(4594),
    [anon_sym_LR_DQUOTE] = ACTIONS(4594),
    [anon_sym_uR_DQUOTE] = ACTIONS(4594),
    [anon_sym_UR_DQUOTE] = ACTIONS(4594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4594),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_TILDE] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_extern] = ACTIONS(4524),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4526),
    [anon_sym___declspec] = ACTIONS(4524),
    [anon_sym___based] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4524),
    [anon_sym_inline] = ACTIONS(4524),
    [anon_sym___inline] = ACTIONS(4524),
    [anon_sym___inline__] = ACTIONS(4524),
    [anon_sym___forceinline] = ACTIONS(4524),
    [anon_sym_thread_local] = ACTIONS(4524),
    [anon_sym___thread] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4524),
    [anon_sym_volatile] = ACTIONS(4524),
    [anon_sym_restrict] = ACTIONS(4524),
    [anon_sym___restrict__] = ACTIONS(4524),
    [anon_sym__Atomic] = ACTIONS(4524),
    [anon_sym__Noreturn] = ACTIONS(4524),
    [anon_sym_noreturn] = ACTIONS(4524),
    [anon_sym_mutable] = ACTIONS(4524),
    [anon_sym_constinit] = ACTIONS(4524),
    [anon_sym_consteval] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4526),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [sym_virtual] = ACTIONS(4524),
    [anon_sym_alignas] = ACTIONS(4524),
    [anon_sym_template] = ACTIONS(4524),
    [anon_sym_operator] = ACTIONS(4524),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4526),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4543),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4534),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_TILDE] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_extern] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4522),
    [anon_sym___declspec] = ACTIONS(4520),
    [anon_sym___based] = ACTIONS(4520),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_static] = ACTIONS(4520),
    [anon_sym_register] = ACTIONS(4520),
    [anon_sym_inline] = ACTIONS(4520),
    [anon_sym___inline] = ACTIONS(4520),
    [anon_sym___inline__] = ACTIONS(4520),
    [anon_sym___forceinline] = ACTIONS(4520),
    [anon_sym_thread_local] = ACTIONS(4520),
    [anon_sym___thread] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [sym_virtual] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym_template] = ACTIONS(4520),
    [anon_sym_operator] = ACTIONS(4520),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4522),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_TILDE] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym_extern] = ACTIONS(4528),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4530),
    [anon_sym___declspec] = ACTIONS(4528),
    [anon_sym___based] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4528),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_static] = ACTIONS(4528),
    [anon_sym_register] = ACTIONS(4528),
    [anon_sym_inline] = ACTIONS(4528),
    [anon_sym___inline] = ACTIONS(4528),
    [anon_sym___inline__] = ACTIONS(4528),
    [anon_sym___forceinline] = ACTIONS(4528),
    [anon_sym_thread_local] = ACTIONS(4528),
    [anon_sym___thread] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4528),
    [anon_sym_volatile] = ACTIONS(4528),
    [anon_sym_restrict] = ACTIONS(4528),
    [anon_sym___restrict__] = ACTIONS(4528),
    [anon_sym__Atomic] = ACTIONS(4528),
    [anon_sym__Noreturn] = ACTIONS(4528),
    [anon_sym_noreturn] = ACTIONS(4528),
    [anon_sym_mutable] = ACTIONS(4528),
    [anon_sym_constinit] = ACTIONS(4528),
    [anon_sym_consteval] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [sym_virtual] = ACTIONS(4528),
    [anon_sym_alignas] = ACTIONS(4528),
    [anon_sym_template] = ACTIONS(4528),
    [anon_sym_operator] = ACTIONS(4528),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4530),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym___extension__] = ACTIONS(4491),
    [anon_sym_extern] = ACTIONS(4491),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4493),
    [anon_sym___declspec] = ACTIONS(4491),
    [anon_sym___based] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_static] = ACTIONS(4491),
    [anon_sym_register] = ACTIONS(4491),
    [anon_sym_inline] = ACTIONS(4491),
    [anon_sym___inline] = ACTIONS(4491),
    [anon_sym___inline__] = ACTIONS(4491),
    [anon_sym___forceinline] = ACTIONS(4491),
    [anon_sym_thread_local] = ACTIONS(4491),
    [anon_sym___thread] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4491),
    [anon_sym_volatile] = ACTIONS(4491),
    [anon_sym_restrict] = ACTIONS(4491),
    [anon_sym___restrict__] = ACTIONS(4491),
    [anon_sym__Atomic] = ACTIONS(4491),
    [anon_sym__Noreturn] = ACTIONS(4491),
    [anon_sym_noreturn] = ACTIONS(4491),
    [anon_sym_mutable] = ACTIONS(4491),
    [anon_sym_constinit] = ACTIONS(4491),
    [anon_sym_consteval] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [sym_virtual] = ACTIONS(4491),
    [anon_sym_alignas] = ACTIONS(4491),
    [anon_sym_template] = ACTIONS(4491),
    [anon_sym_operator] = ACTIONS(4491),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4493),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_TILDE] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym_extern] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4497),
    [anon_sym___declspec] = ACTIONS(4495),
    [anon_sym___based] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_static] = ACTIONS(4495),
    [anon_sym_register] = ACTIONS(4495),
    [anon_sym_inline] = ACTIONS(4495),
    [anon_sym___inline] = ACTIONS(4495),
    [anon_sym___inline__] = ACTIONS(4495),
    [anon_sym___forceinline] = ACTIONS(4495),
    [anon_sym_thread_local] = ACTIONS(4495),
    [anon_sym___thread] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [sym_virtual] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym_template] = ACTIONS(4495),
    [anon_sym_operator] = ACTIONS(4495),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4497),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_TILDE] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym___extension__] = ACTIONS(4487),
    [anon_sym_extern] = ACTIONS(4487),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4489),
    [anon_sym___declspec] = ACTIONS(4487),
    [anon_sym___based] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_static] = ACTIONS(4487),
    [anon_sym_register] = ACTIONS(4487),
    [anon_sym_inline] = ACTIONS(4487),
    [anon_sym___inline] = ACTIONS(4487),
    [anon_sym___inline__] = ACTIONS(4487),
    [anon_sym___forceinline] = ACTIONS(4487),
    [anon_sym_thread_local] = ACTIONS(4487),
    [anon_sym___thread] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4487),
    [anon_sym_volatile] = ACTIONS(4487),
    [anon_sym_restrict] = ACTIONS(4487),
    [anon_sym___restrict__] = ACTIONS(4487),
    [anon_sym__Atomic] = ACTIONS(4487),
    [anon_sym__Noreturn] = ACTIONS(4487),
    [anon_sym_noreturn] = ACTIONS(4487),
    [anon_sym_mutable] = ACTIONS(4487),
    [anon_sym_constinit] = ACTIONS(4487),
    [anon_sym_consteval] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4489),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [sym_virtual] = ACTIONS(4487),
    [anon_sym_alignas] = ACTIONS(4487),
    [anon_sym_template] = ACTIONS(4487),
    [anon_sym_operator] = ACTIONS(4487),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4489),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym___cdecl] = ACTIONS(4532),
    [anon_sym___clrcall] = ACTIONS(4532),
    [anon_sym___stdcall] = ACTIONS(4532),
    [anon_sym___fastcall] = ACTIONS(4532),
    [anon_sym___thiscall] = ACTIONS(4532),
    [anon_sym___vectorcall] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_RBRACE] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4539),
    [anon_sym_RPAREN] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(4539),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_PIPE_PIPE] = ACTIONS(4539),
    [anon_sym_AMP_AMP] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_SEMI] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym___cdecl] = ACTIONS(4532),
    [anon_sym___clrcall] = ACTIONS(4532),
    [anon_sym___stdcall] = ACTIONS(4532),
    [anon_sym___fastcall] = ACTIONS(4532),
    [anon_sym___thiscall] = ACTIONS(4532),
    [anon_sym___vectorcall] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_signed] = ACTIONS(4532),
    [anon_sym_unsigned] = ACTIONS(4532),
    [anon_sym_long] = ACTIONS(4532),
    [anon_sym_short] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [anon_sym_EQ] = ACTIONS(4539),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [sym_primitive_type] = ACTIONS(4532),
    [anon_sym_enum] = ACTIONS(4532),
    [anon_sym_class] = ACTIONS(4532),
    [anon_sym_struct] = ACTIONS(4532),
    [anon_sym_union] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4532),
    [anon_sym_and] = ACTIONS(4532),
    [anon_sym_asm] = ACTIONS(4532),
    [anon_sym___asm__] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [anon_sym_final] = ACTIONS(4532),
    [anon_sym_override] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_explicit] = ACTIONS(4532),
    [anon_sym_typename] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_GT2] = ACTIONS(4539),
    [anon_sym_operator] = ACTIONS(4532),
    [anon_sym_try] = ACTIONS(4532),
    [anon_sym_friend] = ACTIONS(4532),
    [anon_sym_using] = ACTIONS(4532),
    [anon_sym_concept] = ACTIONS(4532),
    [anon_sym_requires] = ACTIONS(4532),
  },
  [1727] = {
    [sym_function_definition] = STATE(771),
    [sym_declaration] = STATE(771),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2076),
    [sym_declaration_list] = STATE(771),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4600),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1728] = {
    [sym_function_definition] = STATE(738),
    [sym_declaration] = STATE(738),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2053),
    [sym_declaration_list] = STATE(738),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1729] = {
    [sym_function_definition] = STATE(376),
    [sym_declaration] = STATE(376),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2065),
    [sym_declaration_list] = STATE(376),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4604),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1730] = {
    [sym_function_definition] = STATE(875),
    [sym_declaration] = STATE(875),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2042),
    [sym_declaration_list] = STATE(875),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4606),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1731] = {
    [sym_function_definition] = STATE(355),
    [sym_declaration] = STATE(355),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4559),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2065),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(8117),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4610),
    [anon_sym_struct] = ACTIONS(4612),
    [anon_sym_union] = ACTIONS(4614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1732] = {
    [sym_function_definition] = STATE(768),
    [sym_declaration] = STATE(768),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4469),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2076),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(8325),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4616),
    [anon_sym_struct] = ACTIONS(4618),
    [anon_sym_union] = ACTIONS(4620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1733] = {
    [sym_function_definition] = STATE(1850),
    [sym_declaration] = STATE(1850),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4551),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2049),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7991),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4622),
    [anon_sym_struct] = ACTIONS(4624),
    [anon_sym_union] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1734] = {
    [sym_function_definition] = STATE(849),
    [sym_declaration] = STATE(849),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4491),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2042),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7615),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4628),
    [anon_sym_struct] = ACTIONS(4630),
    [anon_sym_union] = ACTIONS(4632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1735] = {
    [sym_string_literal] = STATE(1741),
    [sym_template_argument_list] = STATE(2232),
    [sym_raw_string_literal] = STATE(1741),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [aux_sym_preproc_if_token2] = ACTIONS(3638),
    [aux_sym_preproc_else_token1] = ACTIONS(3638),
    [aux_sym_preproc_elif_token1] = ACTIONS(3646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4634),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_RBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_COLON] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3646),
    [anon_sym_or_eq] = ACTIONS(3646),
    [anon_sym_xor_eq] = ACTIONS(3646),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
  },
  [1736] = {
    [sym_function_definition] = STATE(2373),
    [sym_declaration] = STATE(2373),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2050),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7562),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4637),
    [anon_sym_struct] = ACTIONS(4639),
    [anon_sym_union] = ACTIONS(4641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1737] = {
    [sym_function_definition] = STATE(2302),
    [sym_declaration] = STATE(2302),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4529),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2029),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7812),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4643),
    [anon_sym_struct] = ACTIONS(4645),
    [anon_sym_union] = ACTIONS(4647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1738] = {
    [sym_function_definition] = STATE(717),
    [sym_declaration] = STATE(717),
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4505),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_ms_call_modifier] = STATE(2053),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym__class_name] = STATE(7874),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(3837),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3829),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(4649),
    [anon_sym_struct] = ACTIONS(4651),
    [anon_sym_union] = ACTIONS(4653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(4655),
    [anon_sym_COMMA] = ACTIONS(4657),
    [anon_sym_RPAREN] = ACTIONS(4657),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_TILDE] = ACTIONS(4657),
    [anon_sym_STAR] = ACTIONS(4657),
    [anon_sym_PIPE_PIPE] = ACTIONS(4657),
    [anon_sym_AMP_AMP] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(4655),
    [anon_sym_SEMI] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(4655),
    [anon_sym_extern] = ACTIONS(4655),
    [anon_sym___attribute__] = ACTIONS(4655),
    [anon_sym_COLON_COLON] = ACTIONS(4657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4657),
    [anon_sym___declspec] = ACTIONS(4655),
    [anon_sym___based] = ACTIONS(4655),
    [anon_sym___cdecl] = ACTIONS(4655),
    [anon_sym___clrcall] = ACTIONS(4655),
    [anon_sym___stdcall] = ACTIONS(4655),
    [anon_sym___fastcall] = ACTIONS(4655),
    [anon_sym___thiscall] = ACTIONS(4655),
    [anon_sym___vectorcall] = ACTIONS(4655),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(4655),
    [anon_sym_unsigned] = ACTIONS(4655),
    [anon_sym_long] = ACTIONS(4655),
    [anon_sym_short] = ACTIONS(4655),
    [anon_sym_LBRACK] = ACTIONS(4655),
    [anon_sym_EQ] = ACTIONS(4657),
    [anon_sym_static] = ACTIONS(4655),
    [anon_sym_register] = ACTIONS(4655),
    [anon_sym_inline] = ACTIONS(4655),
    [anon_sym___inline] = ACTIONS(4655),
    [anon_sym___inline__] = ACTIONS(4655),
    [anon_sym___forceinline] = ACTIONS(4655),
    [anon_sym_thread_local] = ACTIONS(4655),
    [anon_sym___thread] = ACTIONS(4655),
    [anon_sym_const] = ACTIONS(4655),
    [anon_sym_constexpr] = ACTIONS(4655),
    [anon_sym_volatile] = ACTIONS(4655),
    [anon_sym_restrict] = ACTIONS(4655),
    [anon_sym___restrict__] = ACTIONS(4655),
    [anon_sym__Atomic] = ACTIONS(4655),
    [anon_sym__Noreturn] = ACTIONS(4655),
    [anon_sym_noreturn] = ACTIONS(4655),
    [anon_sym_mutable] = ACTIONS(4655),
    [anon_sym_constinit] = ACTIONS(4655),
    [anon_sym_consteval] = ACTIONS(4655),
    [sym_primitive_type] = ACTIONS(4655),
    [anon_sym_enum] = ACTIONS(4655),
    [anon_sym_class] = ACTIONS(4655),
    [anon_sym_struct] = ACTIONS(4655),
    [anon_sym_union] = ACTIONS(4655),
    [anon_sym_or] = ACTIONS(4655),
    [anon_sym_and] = ACTIONS(4655),
    [anon_sym_asm] = ACTIONS(4655),
    [anon_sym___asm__] = ACTIONS(4655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4655),
    [anon_sym_decltype] = ACTIONS(4655),
    [anon_sym_final] = ACTIONS(4655),
    [anon_sym_override] = ACTIONS(4655),
    [sym_virtual] = ACTIONS(4655),
    [anon_sym_alignas] = ACTIONS(4655),
    [anon_sym_explicit] = ACTIONS(4655),
    [anon_sym_typename] = ACTIONS(4655),
    [anon_sym_template] = ACTIONS(4655),
    [anon_sym_GT2] = ACTIONS(4657),
    [anon_sym_operator] = ACTIONS(4655),
    [anon_sym_try] = ACTIONS(4655),
    [anon_sym_friend] = ACTIONS(4655),
    [anon_sym_using] = ACTIONS(4655),
    [anon_sym_concept] = ACTIONS(4655),
    [anon_sym_requires] = ACTIONS(4655),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(4659),
    [anon_sym_COMMA] = ACTIONS(4661),
    [anon_sym_RPAREN] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4661),
    [anon_sym_TILDE] = ACTIONS(4661),
    [anon_sym_STAR] = ACTIONS(4661),
    [anon_sym_PIPE_PIPE] = ACTIONS(4661),
    [anon_sym_AMP_AMP] = ACTIONS(4661),
    [anon_sym_AMP] = ACTIONS(4659),
    [anon_sym_SEMI] = ACTIONS(4661),
    [anon_sym___extension__] = ACTIONS(4659),
    [anon_sym_extern] = ACTIONS(4659),
    [anon_sym___attribute__] = ACTIONS(4659),
    [anon_sym_COLON_COLON] = ACTIONS(4661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4661),
    [anon_sym___declspec] = ACTIONS(4659),
    [anon_sym___based] = ACTIONS(4659),
    [anon_sym___cdecl] = ACTIONS(4659),
    [anon_sym___clrcall] = ACTIONS(4659),
    [anon_sym___stdcall] = ACTIONS(4659),
    [anon_sym___fastcall] = ACTIONS(4659),
    [anon_sym___thiscall] = ACTIONS(4659),
    [anon_sym___vectorcall] = ACTIONS(4659),
    [anon_sym_LBRACE] = ACTIONS(4661),
    [anon_sym_signed] = ACTIONS(4659),
    [anon_sym_unsigned] = ACTIONS(4659),
    [anon_sym_long] = ACTIONS(4659),
    [anon_sym_short] = ACTIONS(4659),
    [anon_sym_LBRACK] = ACTIONS(4659),
    [anon_sym_EQ] = ACTIONS(4661),
    [anon_sym_static] = ACTIONS(4659),
    [anon_sym_register] = ACTIONS(4659),
    [anon_sym_inline] = ACTIONS(4659),
    [anon_sym___inline] = ACTIONS(4659),
    [anon_sym___inline__] = ACTIONS(4659),
    [anon_sym___forceinline] = ACTIONS(4659),
    [anon_sym_thread_local] = ACTIONS(4659),
    [anon_sym___thread] = ACTIONS(4659),
    [anon_sym_const] = ACTIONS(4659),
    [anon_sym_constexpr] = ACTIONS(4659),
    [anon_sym_volatile] = ACTIONS(4659),
    [anon_sym_restrict] = ACTIONS(4659),
    [anon_sym___restrict__] = ACTIONS(4659),
    [anon_sym__Atomic] = ACTIONS(4659),
    [anon_sym__Noreturn] = ACTIONS(4659),
    [anon_sym_noreturn] = ACTIONS(4659),
    [anon_sym_mutable] = ACTIONS(4659),
    [anon_sym_constinit] = ACTIONS(4659),
    [anon_sym_consteval] = ACTIONS(4659),
    [sym_primitive_type] = ACTIONS(4659),
    [anon_sym_enum] = ACTIONS(4659),
    [anon_sym_class] = ACTIONS(4659),
    [anon_sym_struct] = ACTIONS(4659),
    [anon_sym_union] = ACTIONS(4659),
    [anon_sym_or] = ACTIONS(4659),
    [anon_sym_and] = ACTIONS(4659),
    [anon_sym_asm] = ACTIONS(4659),
    [anon_sym___asm__] = ACTIONS(4659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4659),
    [anon_sym_decltype] = ACTIONS(4659),
    [anon_sym_final] = ACTIONS(4659),
    [anon_sym_override] = ACTIONS(4659),
    [sym_virtual] = ACTIONS(4659),
    [anon_sym_alignas] = ACTIONS(4659),
    [anon_sym_explicit] = ACTIONS(4659),
    [anon_sym_typename] = ACTIONS(4659),
    [anon_sym_template] = ACTIONS(4659),
    [anon_sym_GT2] = ACTIONS(4661),
    [anon_sym_operator] = ACTIONS(4659),
    [anon_sym_try] = ACTIONS(4659),
    [anon_sym_friend] = ACTIONS(4659),
    [anon_sym_using] = ACTIONS(4659),
    [anon_sym_concept] = ACTIONS(4659),
    [anon_sym_requires] = ACTIONS(4659),
  },
  [1741] = {
    [sym_string_literal] = STATE(1756),
    [sym_raw_string_literal] = STATE(1756),
    [aux_sym_concatenated_string_repeat1] = STATE(1756),
    [sym_identifier] = ACTIONS(4663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_COMMA] = ACTIONS(4665),
    [anon_sym_RPAREN] = ACTIONS(4665),
    [aux_sym_preproc_if_token2] = ACTIONS(4665),
    [aux_sym_preproc_else_token1] = ACTIONS(4665),
    [aux_sym_preproc_elif_token1] = ACTIONS(4667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4665),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4665),
    [anon_sym_DASH] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4667),
    [anon_sym_STAR] = ACTIONS(4667),
    [anon_sym_SLASH] = ACTIONS(4667),
    [anon_sym_PERCENT] = ACTIONS(4667),
    [anon_sym_PIPE_PIPE] = ACTIONS(4665),
    [anon_sym_AMP_AMP] = ACTIONS(4665),
    [anon_sym_PIPE] = ACTIONS(4667),
    [anon_sym_CARET] = ACTIONS(4667),
    [anon_sym_AMP] = ACTIONS(4667),
    [anon_sym_EQ_EQ] = ACTIONS(4665),
    [anon_sym_BANG_EQ] = ACTIONS(4665),
    [anon_sym_GT] = ACTIONS(4667),
    [anon_sym_GT_EQ] = ACTIONS(4665),
    [anon_sym_LT_EQ] = ACTIONS(4667),
    [anon_sym_LT] = ACTIONS(4667),
    [anon_sym_LT_LT] = ACTIONS(4667),
    [anon_sym_GT_GT] = ACTIONS(4667),
    [anon_sym_SEMI] = ACTIONS(4665),
    [anon_sym_RBRACE] = ACTIONS(4665),
    [anon_sym_LBRACK] = ACTIONS(4665),
    [anon_sym_RBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4667),
    [anon_sym_COLON] = ACTIONS(4665),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_STAR_EQ] = ACTIONS(4665),
    [anon_sym_SLASH_EQ] = ACTIONS(4665),
    [anon_sym_PERCENT_EQ] = ACTIONS(4665),
    [anon_sym_PLUS_EQ] = ACTIONS(4665),
    [anon_sym_DASH_EQ] = ACTIONS(4665),
    [anon_sym_LT_LT_EQ] = ACTIONS(4665),
    [anon_sym_GT_GT_EQ] = ACTIONS(4665),
    [anon_sym_AMP_EQ] = ACTIONS(4665),
    [anon_sym_CARET_EQ] = ACTIONS(4665),
    [anon_sym_PIPE_EQ] = ACTIONS(4665),
    [anon_sym_and_eq] = ACTIONS(4667),
    [anon_sym_or_eq] = ACTIONS(4667),
    [anon_sym_xor_eq] = ACTIONS(4667),
    [anon_sym_LT_EQ_GT] = ACTIONS(4665),
    [anon_sym_or] = ACTIONS(4667),
    [anon_sym_and] = ACTIONS(4667),
    [anon_sym_bitor] = ACTIONS(4667),
    [anon_sym_xor] = ACTIONS(4667),
    [anon_sym_bitand] = ACTIONS(4667),
    [anon_sym_not_eq] = ACTIONS(4667),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_DOT] = ACTIONS(4667),
    [anon_sym_DOT_STAR] = ACTIONS(4665),
    [anon_sym_DASH_GT] = ACTIONS(4665),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4667),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_COMMA] = ACTIONS(4671),
    [anon_sym_RPAREN] = ACTIONS(4671),
    [anon_sym_LPAREN2] = ACTIONS(4671),
    [anon_sym_TILDE] = ACTIONS(4671),
    [anon_sym_STAR] = ACTIONS(4671),
    [anon_sym_PIPE_PIPE] = ACTIONS(4671),
    [anon_sym_AMP_AMP] = ACTIONS(4671),
    [anon_sym_AMP] = ACTIONS(4669),
    [anon_sym_SEMI] = ACTIONS(4671),
    [anon_sym___extension__] = ACTIONS(4669),
    [anon_sym_extern] = ACTIONS(4669),
    [anon_sym___attribute__] = ACTIONS(4669),
    [anon_sym_COLON_COLON] = ACTIONS(4671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4671),
    [anon_sym___declspec] = ACTIONS(4669),
    [anon_sym___based] = ACTIONS(4669),
    [anon_sym___cdecl] = ACTIONS(4669),
    [anon_sym___clrcall] = ACTIONS(4669),
    [anon_sym___stdcall] = ACTIONS(4669),
    [anon_sym___fastcall] = ACTIONS(4669),
    [anon_sym___thiscall] = ACTIONS(4669),
    [anon_sym___vectorcall] = ACTIONS(4669),
    [anon_sym_LBRACE] = ACTIONS(4671),
    [anon_sym_signed] = ACTIONS(4669),
    [anon_sym_unsigned] = ACTIONS(4669),
    [anon_sym_long] = ACTIONS(4669),
    [anon_sym_short] = ACTIONS(4669),
    [anon_sym_LBRACK] = ACTIONS(4669),
    [anon_sym_EQ] = ACTIONS(4671),
    [anon_sym_static] = ACTIONS(4669),
    [anon_sym_register] = ACTIONS(4669),
    [anon_sym_inline] = ACTIONS(4669),
    [anon_sym___inline] = ACTIONS(4669),
    [anon_sym___inline__] = ACTIONS(4669),
    [anon_sym___forceinline] = ACTIONS(4669),
    [anon_sym_thread_local] = ACTIONS(4669),
    [anon_sym___thread] = ACTIONS(4669),
    [anon_sym_const] = ACTIONS(4669),
    [anon_sym_constexpr] = ACTIONS(4669),
    [anon_sym_volatile] = ACTIONS(4669),
    [anon_sym_restrict] = ACTIONS(4669),
    [anon_sym___restrict__] = ACTIONS(4669),
    [anon_sym__Atomic] = ACTIONS(4669),
    [anon_sym__Noreturn] = ACTIONS(4669),
    [anon_sym_noreturn] = ACTIONS(4669),
    [anon_sym_mutable] = ACTIONS(4669),
    [anon_sym_constinit] = ACTIONS(4669),
    [anon_sym_consteval] = ACTIONS(4669),
    [sym_primitive_type] = ACTIONS(4669),
    [anon_sym_enum] = ACTIONS(4669),
    [anon_sym_class] = ACTIONS(4669),
    [anon_sym_struct] = ACTIONS(4669),
    [anon_sym_union] = ACTIONS(4669),
    [anon_sym_or] = ACTIONS(4669),
    [anon_sym_and] = ACTIONS(4669),
    [anon_sym_asm] = ACTIONS(4669),
    [anon_sym___asm__] = ACTIONS(4669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4669),
    [anon_sym_decltype] = ACTIONS(4669),
    [anon_sym_final] = ACTIONS(4669),
    [anon_sym_override] = ACTIONS(4669),
    [sym_virtual] = ACTIONS(4669),
    [anon_sym_alignas] = ACTIONS(4669),
    [anon_sym_explicit] = ACTIONS(4669),
    [anon_sym_typename] = ACTIONS(4669),
    [anon_sym_template] = ACTIONS(4669),
    [anon_sym_GT2] = ACTIONS(4671),
    [anon_sym_operator] = ACTIONS(4669),
    [anon_sym_try] = ACTIONS(4669),
    [anon_sym_friend] = ACTIONS(4669),
    [anon_sym_using] = ACTIONS(4669),
    [anon_sym_concept] = ACTIONS(4669),
    [anon_sym_requires] = ACTIONS(4669),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(4673),
    [anon_sym_COMMA] = ACTIONS(4675),
    [anon_sym_RPAREN] = ACTIONS(4675),
    [anon_sym_LPAREN2] = ACTIONS(4675),
    [anon_sym_TILDE] = ACTIONS(4675),
    [anon_sym_STAR] = ACTIONS(4675),
    [anon_sym_PIPE_PIPE] = ACTIONS(4675),
    [anon_sym_AMP_AMP] = ACTIONS(4675),
    [anon_sym_AMP] = ACTIONS(4673),
    [anon_sym_SEMI] = ACTIONS(4675),
    [anon_sym___extension__] = ACTIONS(4673),
    [anon_sym_extern] = ACTIONS(4673),
    [anon_sym___attribute__] = ACTIONS(4673),
    [anon_sym_COLON_COLON] = ACTIONS(4675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4675),
    [anon_sym___declspec] = ACTIONS(4673),
    [anon_sym___based] = ACTIONS(4673),
    [anon_sym___cdecl] = ACTIONS(4673),
    [anon_sym___clrcall] = ACTIONS(4673),
    [anon_sym___stdcall] = ACTIONS(4673),
    [anon_sym___fastcall] = ACTIONS(4673),
    [anon_sym___thiscall] = ACTIONS(4673),
    [anon_sym___vectorcall] = ACTIONS(4673),
    [anon_sym_LBRACE] = ACTIONS(4675),
    [anon_sym_signed] = ACTIONS(4673),
    [anon_sym_unsigned] = ACTIONS(4673),
    [anon_sym_long] = ACTIONS(4673),
    [anon_sym_short] = ACTIONS(4673),
    [anon_sym_LBRACK] = ACTIONS(4673),
    [anon_sym_EQ] = ACTIONS(4675),
    [anon_sym_static] = ACTIONS(4673),
    [anon_sym_register] = ACTIONS(4673),
    [anon_sym_inline] = ACTIONS(4673),
    [anon_sym___inline] = ACTIONS(4673),
    [anon_sym___inline__] = ACTIONS(4673),
    [anon_sym___forceinline] = ACTIONS(4673),
    [anon_sym_thread_local] = ACTIONS(4673),
    [anon_sym___thread] = ACTIONS(4673),
    [anon_sym_const] = ACTIONS(4673),
    [anon_sym_constexpr] = ACTIONS(4673),
    [anon_sym_volatile] = ACTIONS(4673),
    [anon_sym_restrict] = ACTIONS(4673),
    [anon_sym___restrict__] = ACTIONS(4673),
    [anon_sym__Atomic] = ACTIONS(4673),
    [anon_sym__Noreturn] = ACTIONS(4673),
    [anon_sym_noreturn] = ACTIONS(4673),
    [anon_sym_mutable] = ACTIONS(4673),
    [anon_sym_constinit] = ACTIONS(4673),
    [anon_sym_consteval] = ACTIONS(4673),
    [sym_primitive_type] = ACTIONS(4673),
    [anon_sym_enum] = ACTIONS(4673),
    [anon_sym_class] = ACTIONS(4673),
    [anon_sym_struct] = ACTIONS(4673),
    [anon_sym_union] = ACTIONS(4673),
    [anon_sym_or] = ACTIONS(4673),
    [anon_sym_and] = ACTIONS(4673),
    [anon_sym_asm] = ACTIONS(4673),
    [anon_sym___asm__] = ACTIONS(4673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4673),
    [anon_sym_decltype] = ACTIONS(4673),
    [anon_sym_final] = ACTIONS(4673),
    [anon_sym_override] = ACTIONS(4673),
    [sym_virtual] = ACTIONS(4673),
    [anon_sym_alignas] = ACTIONS(4673),
    [anon_sym_explicit] = ACTIONS(4673),
    [anon_sym_typename] = ACTIONS(4673),
    [anon_sym_template] = ACTIONS(4673),
    [anon_sym_GT2] = ACTIONS(4675),
    [anon_sym_operator] = ACTIONS(4673),
    [anon_sym_try] = ACTIONS(4673),
    [anon_sym_friend] = ACTIONS(4673),
    [anon_sym_using] = ACTIONS(4673),
    [anon_sym_concept] = ACTIONS(4673),
    [anon_sym_requires] = ACTIONS(4673),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(4677),
    [anon_sym_COMMA] = ACTIONS(4679),
    [anon_sym_RPAREN] = ACTIONS(4679),
    [anon_sym_LPAREN2] = ACTIONS(4679),
    [anon_sym_TILDE] = ACTIONS(4679),
    [anon_sym_STAR] = ACTIONS(4679),
    [anon_sym_PIPE_PIPE] = ACTIONS(4679),
    [anon_sym_AMP_AMP] = ACTIONS(4679),
    [anon_sym_AMP] = ACTIONS(4677),
    [anon_sym_SEMI] = ACTIONS(4679),
    [anon_sym___extension__] = ACTIONS(4677),
    [anon_sym_extern] = ACTIONS(4677),
    [anon_sym___attribute__] = ACTIONS(4677),
    [anon_sym_COLON_COLON] = ACTIONS(4679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4679),
    [anon_sym___declspec] = ACTIONS(4677),
    [anon_sym___based] = ACTIONS(4677),
    [anon_sym___cdecl] = ACTIONS(4677),
    [anon_sym___clrcall] = ACTIONS(4677),
    [anon_sym___stdcall] = ACTIONS(4677),
    [anon_sym___fastcall] = ACTIONS(4677),
    [anon_sym___thiscall] = ACTIONS(4677),
    [anon_sym___vectorcall] = ACTIONS(4677),
    [anon_sym_LBRACE] = ACTIONS(4679),
    [anon_sym_signed] = ACTIONS(4677),
    [anon_sym_unsigned] = ACTIONS(4677),
    [anon_sym_long] = ACTIONS(4677),
    [anon_sym_short] = ACTIONS(4677),
    [anon_sym_LBRACK] = ACTIONS(4677),
    [anon_sym_EQ] = ACTIONS(4679),
    [anon_sym_static] = ACTIONS(4677),
    [anon_sym_register] = ACTIONS(4677),
    [anon_sym_inline] = ACTIONS(4677),
    [anon_sym___inline] = ACTIONS(4677),
    [anon_sym___inline__] = ACTIONS(4677),
    [anon_sym___forceinline] = ACTIONS(4677),
    [anon_sym_thread_local] = ACTIONS(4677),
    [anon_sym___thread] = ACTIONS(4677),
    [anon_sym_const] = ACTIONS(4677),
    [anon_sym_constexpr] = ACTIONS(4677),
    [anon_sym_volatile] = ACTIONS(4677),
    [anon_sym_restrict] = ACTIONS(4677),
    [anon_sym___restrict__] = ACTIONS(4677),
    [anon_sym__Atomic] = ACTIONS(4677),
    [anon_sym__Noreturn] = ACTIONS(4677),
    [anon_sym_noreturn] = ACTIONS(4677),
    [anon_sym_mutable] = ACTIONS(4677),
    [anon_sym_constinit] = ACTIONS(4677),
    [anon_sym_consteval] = ACTIONS(4677),
    [sym_primitive_type] = ACTIONS(4677),
    [anon_sym_enum] = ACTIONS(4677),
    [anon_sym_class] = ACTIONS(4677),
    [anon_sym_struct] = ACTIONS(4677),
    [anon_sym_union] = ACTIONS(4677),
    [anon_sym_or] = ACTIONS(4677),
    [anon_sym_and] = ACTIONS(4677),
    [anon_sym_asm] = ACTIONS(4677),
    [anon_sym___asm__] = ACTIONS(4677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4677),
    [anon_sym_decltype] = ACTIONS(4677),
    [anon_sym_final] = ACTIONS(4677),
    [anon_sym_override] = ACTIONS(4677),
    [sym_virtual] = ACTIONS(4677),
    [anon_sym_alignas] = ACTIONS(4677),
    [anon_sym_explicit] = ACTIONS(4677),
    [anon_sym_typename] = ACTIONS(4677),
    [anon_sym_template] = ACTIONS(4677),
    [anon_sym_GT2] = ACTIONS(4679),
    [anon_sym_operator] = ACTIONS(4677),
    [anon_sym_try] = ACTIONS(4677),
    [anon_sym_friend] = ACTIONS(4677),
    [anon_sym_using] = ACTIONS(4677),
    [anon_sym_concept] = ACTIONS(4677),
    [anon_sym_requires] = ACTIONS(4677),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_COMMA] = ACTIONS(4683),
    [anon_sym_RPAREN] = ACTIONS(4683),
    [anon_sym_LPAREN2] = ACTIONS(4683),
    [anon_sym_TILDE] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_PIPE_PIPE] = ACTIONS(4683),
    [anon_sym_AMP_AMP] = ACTIONS(4683),
    [anon_sym_AMP] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym___extension__] = ACTIONS(4681),
    [anon_sym_extern] = ACTIONS(4681),
    [anon_sym___attribute__] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4683),
    [anon_sym___declspec] = ACTIONS(4681),
    [anon_sym___based] = ACTIONS(4681),
    [anon_sym___cdecl] = ACTIONS(4681),
    [anon_sym___clrcall] = ACTIONS(4681),
    [anon_sym___stdcall] = ACTIONS(4681),
    [anon_sym___fastcall] = ACTIONS(4681),
    [anon_sym___thiscall] = ACTIONS(4681),
    [anon_sym___vectorcall] = ACTIONS(4681),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_signed] = ACTIONS(4681),
    [anon_sym_unsigned] = ACTIONS(4681),
    [anon_sym_long] = ACTIONS(4681),
    [anon_sym_short] = ACTIONS(4681),
    [anon_sym_LBRACK] = ACTIONS(4681),
    [anon_sym_EQ] = ACTIONS(4683),
    [anon_sym_static] = ACTIONS(4681),
    [anon_sym_register] = ACTIONS(4681),
    [anon_sym_inline] = ACTIONS(4681),
    [anon_sym___inline] = ACTIONS(4681),
    [anon_sym___inline__] = ACTIONS(4681),
    [anon_sym___forceinline] = ACTIONS(4681),
    [anon_sym_thread_local] = ACTIONS(4681),
    [anon_sym___thread] = ACTIONS(4681),
    [anon_sym_const] = ACTIONS(4681),
    [anon_sym_constexpr] = ACTIONS(4681),
    [anon_sym_volatile] = ACTIONS(4681),
    [anon_sym_restrict] = ACTIONS(4681),
    [anon_sym___restrict__] = ACTIONS(4681),
    [anon_sym__Atomic] = ACTIONS(4681),
    [anon_sym__Noreturn] = ACTIONS(4681),
    [anon_sym_noreturn] = ACTIONS(4681),
    [anon_sym_mutable] = ACTIONS(4681),
    [anon_sym_constinit] = ACTIONS(4681),
    [anon_sym_consteval] = ACTIONS(4681),
    [sym_primitive_type] = ACTIONS(4681),
    [anon_sym_enum] = ACTIONS(4681),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_struct] = ACTIONS(4681),
    [anon_sym_union] = ACTIONS(4681),
    [anon_sym_or] = ACTIONS(4681),
    [anon_sym_and] = ACTIONS(4681),
    [anon_sym_asm] = ACTIONS(4681),
    [anon_sym___asm__] = ACTIONS(4681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4681),
    [anon_sym_decltype] = ACTIONS(4681),
    [anon_sym_final] = ACTIONS(4681),
    [anon_sym_override] = ACTIONS(4681),
    [sym_virtual] = ACTIONS(4681),
    [anon_sym_alignas] = ACTIONS(4681),
    [anon_sym_explicit] = ACTIONS(4681),
    [anon_sym_typename] = ACTIONS(4681),
    [anon_sym_template] = ACTIONS(4681),
    [anon_sym_GT2] = ACTIONS(4683),
    [anon_sym_operator] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_friend] = ACTIONS(4681),
    [anon_sym_using] = ACTIONS(4681),
    [anon_sym_concept] = ACTIONS(4681),
    [anon_sym_requires] = ACTIONS(4681),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(4685),
    [anon_sym_COMMA] = ACTIONS(4687),
    [anon_sym_RPAREN] = ACTIONS(4687),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_TILDE] = ACTIONS(4687),
    [anon_sym_STAR] = ACTIONS(4687),
    [anon_sym_PIPE_PIPE] = ACTIONS(4687),
    [anon_sym_AMP_AMP] = ACTIONS(4687),
    [anon_sym_AMP] = ACTIONS(4685),
    [anon_sym_SEMI] = ACTIONS(4687),
    [anon_sym___extension__] = ACTIONS(4685),
    [anon_sym_extern] = ACTIONS(4685),
    [anon_sym___attribute__] = ACTIONS(4685),
    [anon_sym_COLON_COLON] = ACTIONS(4687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4687),
    [anon_sym___declspec] = ACTIONS(4685),
    [anon_sym___based] = ACTIONS(4685),
    [anon_sym___cdecl] = ACTIONS(4685),
    [anon_sym___clrcall] = ACTIONS(4685),
    [anon_sym___stdcall] = ACTIONS(4685),
    [anon_sym___fastcall] = ACTIONS(4685),
    [anon_sym___thiscall] = ACTIONS(4685),
    [anon_sym___vectorcall] = ACTIONS(4685),
    [anon_sym_LBRACE] = ACTIONS(4687),
    [anon_sym_signed] = ACTIONS(4685),
    [anon_sym_unsigned] = ACTIONS(4685),
    [anon_sym_long] = ACTIONS(4685),
    [anon_sym_short] = ACTIONS(4685),
    [anon_sym_LBRACK] = ACTIONS(4685),
    [anon_sym_EQ] = ACTIONS(4687),
    [anon_sym_static] = ACTIONS(4685),
    [anon_sym_register] = ACTIONS(4685),
    [anon_sym_inline] = ACTIONS(4685),
    [anon_sym___inline] = ACTIONS(4685),
    [anon_sym___inline__] = ACTIONS(4685),
    [anon_sym___forceinline] = ACTIONS(4685),
    [anon_sym_thread_local] = ACTIONS(4685),
    [anon_sym___thread] = ACTIONS(4685),
    [anon_sym_const] = ACTIONS(4685),
    [anon_sym_constexpr] = ACTIONS(4685),
    [anon_sym_volatile] = ACTIONS(4685),
    [anon_sym_restrict] = ACTIONS(4685),
    [anon_sym___restrict__] = ACTIONS(4685),
    [anon_sym__Atomic] = ACTIONS(4685),
    [anon_sym__Noreturn] = ACTIONS(4685),
    [anon_sym_noreturn] = ACTIONS(4685),
    [anon_sym_mutable] = ACTIONS(4685),
    [anon_sym_constinit] = ACTIONS(4685),
    [anon_sym_consteval] = ACTIONS(4685),
    [sym_primitive_type] = ACTIONS(4685),
    [anon_sym_enum] = ACTIONS(4685),
    [anon_sym_class] = ACTIONS(4685),
    [anon_sym_struct] = ACTIONS(4685),
    [anon_sym_union] = ACTIONS(4685),
    [anon_sym_or] = ACTIONS(4685),
    [anon_sym_and] = ACTIONS(4685),
    [anon_sym_asm] = ACTIONS(4685),
    [anon_sym___asm__] = ACTIONS(4685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4685),
    [anon_sym_decltype] = ACTIONS(4685),
    [anon_sym_final] = ACTIONS(4685),
    [anon_sym_override] = ACTIONS(4685),
    [sym_virtual] = ACTIONS(4685),
    [anon_sym_alignas] = ACTIONS(4685),
    [anon_sym_explicit] = ACTIONS(4685),
    [anon_sym_typename] = ACTIONS(4685),
    [anon_sym_template] = ACTIONS(4685),
    [anon_sym_GT2] = ACTIONS(4687),
    [anon_sym_operator] = ACTIONS(4685),
    [anon_sym_try] = ACTIONS(4685),
    [anon_sym_friend] = ACTIONS(4685),
    [anon_sym_using] = ACTIONS(4685),
    [anon_sym_concept] = ACTIONS(4685),
    [anon_sym_requires] = ACTIONS(4685),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_COMMA] = ACTIONS(4683),
    [anon_sym_RPAREN] = ACTIONS(4683),
    [anon_sym_LPAREN2] = ACTIONS(4683),
    [anon_sym_TILDE] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_PIPE_PIPE] = ACTIONS(4683),
    [anon_sym_AMP_AMP] = ACTIONS(4683),
    [anon_sym_AMP] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym___extension__] = ACTIONS(4681),
    [anon_sym_extern] = ACTIONS(4681),
    [anon_sym___attribute__] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4683),
    [anon_sym___declspec] = ACTIONS(4681),
    [anon_sym___based] = ACTIONS(4681),
    [anon_sym___cdecl] = ACTIONS(4681),
    [anon_sym___clrcall] = ACTIONS(4681),
    [anon_sym___stdcall] = ACTIONS(4681),
    [anon_sym___fastcall] = ACTIONS(4681),
    [anon_sym___thiscall] = ACTIONS(4681),
    [anon_sym___vectorcall] = ACTIONS(4681),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_signed] = ACTIONS(4681),
    [anon_sym_unsigned] = ACTIONS(4681),
    [anon_sym_long] = ACTIONS(4681),
    [anon_sym_short] = ACTIONS(4681),
    [anon_sym_LBRACK] = ACTIONS(4681),
    [anon_sym_EQ] = ACTIONS(4683),
    [anon_sym_static] = ACTIONS(4681),
    [anon_sym_register] = ACTIONS(4681),
    [anon_sym_inline] = ACTIONS(4681),
    [anon_sym___inline] = ACTIONS(4681),
    [anon_sym___inline__] = ACTIONS(4681),
    [anon_sym___forceinline] = ACTIONS(4681),
    [anon_sym_thread_local] = ACTIONS(4681),
    [anon_sym___thread] = ACTIONS(4681),
    [anon_sym_const] = ACTIONS(4681),
    [anon_sym_constexpr] = ACTIONS(4681),
    [anon_sym_volatile] = ACTIONS(4681),
    [anon_sym_restrict] = ACTIONS(4681),
    [anon_sym___restrict__] = ACTIONS(4681),
    [anon_sym__Atomic] = ACTIONS(4681),
    [anon_sym__Noreturn] = ACTIONS(4681),
    [anon_sym_noreturn] = ACTIONS(4681),
    [anon_sym_mutable] = ACTIONS(4681),
    [anon_sym_constinit] = ACTIONS(4681),
    [anon_sym_consteval] = ACTIONS(4681),
    [sym_primitive_type] = ACTIONS(4681),
    [anon_sym_enum] = ACTIONS(4681),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_struct] = ACTIONS(4681),
    [anon_sym_union] = ACTIONS(4681),
    [anon_sym_or] = ACTIONS(4681),
    [anon_sym_and] = ACTIONS(4681),
    [anon_sym_asm] = ACTIONS(4681),
    [anon_sym___asm__] = ACTIONS(4681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4681),
    [anon_sym_decltype] = ACTIONS(4681),
    [anon_sym_final] = ACTIONS(4681),
    [anon_sym_override] = ACTIONS(4681),
    [sym_virtual] = ACTIONS(4681),
    [anon_sym_alignas] = ACTIONS(4681),
    [anon_sym_explicit] = ACTIONS(4681),
    [anon_sym_typename] = ACTIONS(4681),
    [anon_sym_template] = ACTIONS(4681),
    [anon_sym_GT2] = ACTIONS(4683),
    [anon_sym_operator] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_friend] = ACTIONS(4681),
    [anon_sym_using] = ACTIONS(4681),
    [anon_sym_concept] = ACTIONS(4681),
    [anon_sym_requires] = ACTIONS(4681),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(4689),
    [anon_sym_COMMA] = ACTIONS(4691),
    [anon_sym_RPAREN] = ACTIONS(4691),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_TILDE] = ACTIONS(4691),
    [anon_sym_STAR] = ACTIONS(4691),
    [anon_sym_PIPE_PIPE] = ACTIONS(4691),
    [anon_sym_AMP_AMP] = ACTIONS(4691),
    [anon_sym_AMP] = ACTIONS(4689),
    [anon_sym_SEMI] = ACTIONS(4691),
    [anon_sym___extension__] = ACTIONS(4689),
    [anon_sym_extern] = ACTIONS(4689),
    [anon_sym___attribute__] = ACTIONS(4689),
    [anon_sym_COLON_COLON] = ACTIONS(4691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4691),
    [anon_sym___declspec] = ACTIONS(4689),
    [anon_sym___based] = ACTIONS(4689),
    [anon_sym___cdecl] = ACTIONS(4689),
    [anon_sym___clrcall] = ACTIONS(4689),
    [anon_sym___stdcall] = ACTIONS(4689),
    [anon_sym___fastcall] = ACTIONS(4689),
    [anon_sym___thiscall] = ACTIONS(4689),
    [anon_sym___vectorcall] = ACTIONS(4689),
    [anon_sym_LBRACE] = ACTIONS(4691),
    [anon_sym_signed] = ACTIONS(4689),
    [anon_sym_unsigned] = ACTIONS(4689),
    [anon_sym_long] = ACTIONS(4689),
    [anon_sym_short] = ACTIONS(4689),
    [anon_sym_LBRACK] = ACTIONS(4689),
    [anon_sym_EQ] = ACTIONS(4691),
    [anon_sym_static] = ACTIONS(4689),
    [anon_sym_register] = ACTIONS(4689),
    [anon_sym_inline] = ACTIONS(4689),
    [anon_sym___inline] = ACTIONS(4689),
    [anon_sym___inline__] = ACTIONS(4689),
    [anon_sym___forceinline] = ACTIONS(4689),
    [anon_sym_thread_local] = ACTIONS(4689),
    [anon_sym___thread] = ACTIONS(4689),
    [anon_sym_const] = ACTIONS(4689),
    [anon_sym_constexpr] = ACTIONS(4689),
    [anon_sym_volatile] = ACTIONS(4689),
    [anon_sym_restrict] = ACTIONS(4689),
    [anon_sym___restrict__] = ACTIONS(4689),
    [anon_sym__Atomic] = ACTIONS(4689),
    [anon_sym__Noreturn] = ACTIONS(4689),
    [anon_sym_noreturn] = ACTIONS(4689),
    [anon_sym_mutable] = ACTIONS(4689),
    [anon_sym_constinit] = ACTIONS(4689),
    [anon_sym_consteval] = ACTIONS(4689),
    [sym_primitive_type] = ACTIONS(4689),
    [anon_sym_enum] = ACTIONS(4689),
    [anon_sym_class] = ACTIONS(4689),
    [anon_sym_struct] = ACTIONS(4689),
    [anon_sym_union] = ACTIONS(4689),
    [anon_sym_or] = ACTIONS(4689),
    [anon_sym_and] = ACTIONS(4689),
    [anon_sym_asm] = ACTIONS(4689),
    [anon_sym___asm__] = ACTIONS(4689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4689),
    [anon_sym_decltype] = ACTIONS(4689),
    [anon_sym_final] = ACTIONS(4689),
    [anon_sym_override] = ACTIONS(4689),
    [sym_virtual] = ACTIONS(4689),
    [anon_sym_alignas] = ACTIONS(4689),
    [anon_sym_explicit] = ACTIONS(4689),
    [anon_sym_typename] = ACTIONS(4689),
    [anon_sym_template] = ACTIONS(4689),
    [anon_sym_GT2] = ACTIONS(4691),
    [anon_sym_operator] = ACTIONS(4689),
    [anon_sym_try] = ACTIONS(4689),
    [anon_sym_friend] = ACTIONS(4689),
    [anon_sym_using] = ACTIONS(4689),
    [anon_sym_concept] = ACTIONS(4689),
    [anon_sym_requires] = ACTIONS(4689),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(4693),
    [anon_sym_COMMA] = ACTIONS(4695),
    [anon_sym_RPAREN] = ACTIONS(4695),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_TILDE] = ACTIONS(4695),
    [anon_sym_STAR] = ACTIONS(4695),
    [anon_sym_PIPE_PIPE] = ACTIONS(4695),
    [anon_sym_AMP_AMP] = ACTIONS(4695),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym___extension__] = ACTIONS(4693),
    [anon_sym_extern] = ACTIONS(4693),
    [anon_sym___attribute__] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(4695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4695),
    [anon_sym___declspec] = ACTIONS(4693),
    [anon_sym___based] = ACTIONS(4693),
    [anon_sym___cdecl] = ACTIONS(4693),
    [anon_sym___clrcall] = ACTIONS(4693),
    [anon_sym___stdcall] = ACTIONS(4693),
    [anon_sym___fastcall] = ACTIONS(4693),
    [anon_sym___thiscall] = ACTIONS(4693),
    [anon_sym___vectorcall] = ACTIONS(4693),
    [anon_sym_LBRACE] = ACTIONS(4695),
    [anon_sym_signed] = ACTIONS(4693),
    [anon_sym_unsigned] = ACTIONS(4693),
    [anon_sym_long] = ACTIONS(4693),
    [anon_sym_short] = ACTIONS(4693),
    [anon_sym_LBRACK] = ACTIONS(4693),
    [anon_sym_EQ] = ACTIONS(4695),
    [anon_sym_static] = ACTIONS(4693),
    [anon_sym_register] = ACTIONS(4693),
    [anon_sym_inline] = ACTIONS(4693),
    [anon_sym___inline] = ACTIONS(4693),
    [anon_sym___inline__] = ACTIONS(4693),
    [anon_sym___forceinline] = ACTIONS(4693),
    [anon_sym_thread_local] = ACTIONS(4693),
    [anon_sym___thread] = ACTIONS(4693),
    [anon_sym_const] = ACTIONS(4693),
    [anon_sym_constexpr] = ACTIONS(4693),
    [anon_sym_volatile] = ACTIONS(4693),
    [anon_sym_restrict] = ACTIONS(4693),
    [anon_sym___restrict__] = ACTIONS(4693),
    [anon_sym__Atomic] = ACTIONS(4693),
    [anon_sym__Noreturn] = ACTIONS(4693),
    [anon_sym_noreturn] = ACTIONS(4693),
    [anon_sym_mutable] = ACTIONS(4693),
    [anon_sym_constinit] = ACTIONS(4693),
    [anon_sym_consteval] = ACTIONS(4693),
    [sym_primitive_type] = ACTIONS(4693),
    [anon_sym_enum] = ACTIONS(4693),
    [anon_sym_class] = ACTIONS(4693),
    [anon_sym_struct] = ACTIONS(4693),
    [anon_sym_union] = ACTIONS(4693),
    [anon_sym_or] = ACTIONS(4693),
    [anon_sym_and] = ACTIONS(4693),
    [anon_sym_asm] = ACTIONS(4693),
    [anon_sym___asm__] = ACTIONS(4693),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4693),
    [anon_sym_decltype] = ACTIONS(4693),
    [anon_sym_final] = ACTIONS(4693),
    [anon_sym_override] = ACTIONS(4693),
    [sym_virtual] = ACTIONS(4693),
    [anon_sym_alignas] = ACTIONS(4693),
    [anon_sym_explicit] = ACTIONS(4693),
    [anon_sym_typename] = ACTIONS(4693),
    [anon_sym_template] = ACTIONS(4693),
    [anon_sym_GT2] = ACTIONS(4695),
    [anon_sym_operator] = ACTIONS(4693),
    [anon_sym_try] = ACTIONS(4693),
    [anon_sym_friend] = ACTIONS(4693),
    [anon_sym_using] = ACTIONS(4693),
    [anon_sym_concept] = ACTIONS(4693),
    [anon_sym_requires] = ACTIONS(4693),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(4697),
    [anon_sym_COMMA] = ACTIONS(4699),
    [anon_sym_RPAREN] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_TILDE] = ACTIONS(4699),
    [anon_sym_STAR] = ACTIONS(4699),
    [anon_sym_PIPE_PIPE] = ACTIONS(4699),
    [anon_sym_AMP_AMP] = ACTIONS(4699),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_SEMI] = ACTIONS(4699),
    [anon_sym___extension__] = ACTIONS(4697),
    [anon_sym_extern] = ACTIONS(4697),
    [anon_sym___attribute__] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(4699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4699),
    [anon_sym___declspec] = ACTIONS(4697),
    [anon_sym___based] = ACTIONS(4697),
    [anon_sym___cdecl] = ACTIONS(4697),
    [anon_sym___clrcall] = ACTIONS(4697),
    [anon_sym___stdcall] = ACTIONS(4697),
    [anon_sym___fastcall] = ACTIONS(4697),
    [anon_sym___thiscall] = ACTIONS(4697),
    [anon_sym___vectorcall] = ACTIONS(4697),
    [anon_sym_LBRACE] = ACTIONS(4699),
    [anon_sym_signed] = ACTIONS(4697),
    [anon_sym_unsigned] = ACTIONS(4697),
    [anon_sym_long] = ACTIONS(4697),
    [anon_sym_short] = ACTIONS(4697),
    [anon_sym_LBRACK] = ACTIONS(4697),
    [anon_sym_EQ] = ACTIONS(4699),
    [anon_sym_static] = ACTIONS(4697),
    [anon_sym_register] = ACTIONS(4697),
    [anon_sym_inline] = ACTIONS(4697),
    [anon_sym___inline] = ACTIONS(4697),
    [anon_sym___inline__] = ACTIONS(4697),
    [anon_sym___forceinline] = ACTIONS(4697),
    [anon_sym_thread_local] = ACTIONS(4697),
    [anon_sym___thread] = ACTIONS(4697),
    [anon_sym_const] = ACTIONS(4697),
    [anon_sym_constexpr] = ACTIONS(4697),
    [anon_sym_volatile] = ACTIONS(4697),
    [anon_sym_restrict] = ACTIONS(4697),
    [anon_sym___restrict__] = ACTIONS(4697),
    [anon_sym__Atomic] = ACTIONS(4697),
    [anon_sym__Noreturn] = ACTIONS(4697),
    [anon_sym_noreturn] = ACTIONS(4697),
    [anon_sym_mutable] = ACTIONS(4697),
    [anon_sym_constinit] = ACTIONS(4697),
    [anon_sym_consteval] = ACTIONS(4697),
    [sym_primitive_type] = ACTIONS(4697),
    [anon_sym_enum] = ACTIONS(4697),
    [anon_sym_class] = ACTIONS(4697),
    [anon_sym_struct] = ACTIONS(4697),
    [anon_sym_union] = ACTIONS(4697),
    [anon_sym_or] = ACTIONS(4697),
    [anon_sym_and] = ACTIONS(4697),
    [anon_sym_asm] = ACTIONS(4697),
    [anon_sym___asm__] = ACTIONS(4697),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4697),
    [anon_sym_decltype] = ACTIONS(4697),
    [anon_sym_final] = ACTIONS(4697),
    [anon_sym_override] = ACTIONS(4697),
    [sym_virtual] = ACTIONS(4697),
    [anon_sym_alignas] = ACTIONS(4697),
    [anon_sym_explicit] = ACTIONS(4697),
    [anon_sym_typename] = ACTIONS(4697),
    [anon_sym_template] = ACTIONS(4697),
    [anon_sym_GT2] = ACTIONS(4699),
    [anon_sym_operator] = ACTIONS(4697),
    [anon_sym_try] = ACTIONS(4697),
    [anon_sym_friend] = ACTIONS(4697),
    [anon_sym_using] = ACTIONS(4697),
    [anon_sym_concept] = ACTIONS(4697),
    [anon_sym_requires] = ACTIONS(4697),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(4701),
    [anon_sym_COMMA] = ACTIONS(4703),
    [anon_sym_RPAREN] = ACTIONS(4703),
    [anon_sym_LPAREN2] = ACTIONS(4703),
    [anon_sym_TILDE] = ACTIONS(4703),
    [anon_sym_STAR] = ACTIONS(4703),
    [anon_sym_PIPE_PIPE] = ACTIONS(4703),
    [anon_sym_AMP_AMP] = ACTIONS(4703),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(4701),
    [anon_sym_extern] = ACTIONS(4701),
    [anon_sym___attribute__] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(4703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4703),
    [anon_sym___declspec] = ACTIONS(4701),
    [anon_sym___based] = ACTIONS(4701),
    [anon_sym___cdecl] = ACTIONS(4701),
    [anon_sym___clrcall] = ACTIONS(4701),
    [anon_sym___stdcall] = ACTIONS(4701),
    [anon_sym___fastcall] = ACTIONS(4701),
    [anon_sym___thiscall] = ACTIONS(4701),
    [anon_sym___vectorcall] = ACTIONS(4701),
    [anon_sym_LBRACE] = ACTIONS(4703),
    [anon_sym_signed] = ACTIONS(4701),
    [anon_sym_unsigned] = ACTIONS(4701),
    [anon_sym_long] = ACTIONS(4701),
    [anon_sym_short] = ACTIONS(4701),
    [anon_sym_LBRACK] = ACTIONS(4701),
    [anon_sym_EQ] = ACTIONS(4703),
    [anon_sym_static] = ACTIONS(4701),
    [anon_sym_register] = ACTIONS(4701),
    [anon_sym_inline] = ACTIONS(4701),
    [anon_sym___inline] = ACTIONS(4701),
    [anon_sym___inline__] = ACTIONS(4701),
    [anon_sym___forceinline] = ACTIONS(4701),
    [anon_sym_thread_local] = ACTIONS(4701),
    [anon_sym___thread] = ACTIONS(4701),
    [anon_sym_const] = ACTIONS(4701),
    [anon_sym_constexpr] = ACTIONS(4701),
    [anon_sym_volatile] = ACTIONS(4701),
    [anon_sym_restrict] = ACTIONS(4701),
    [anon_sym___restrict__] = ACTIONS(4701),
    [anon_sym__Atomic] = ACTIONS(4701),
    [anon_sym__Noreturn] = ACTIONS(4701),
    [anon_sym_noreturn] = ACTIONS(4701),
    [anon_sym_mutable] = ACTIONS(4701),
    [anon_sym_constinit] = ACTIONS(4701),
    [anon_sym_consteval] = ACTIONS(4701),
    [sym_primitive_type] = ACTIONS(4701),
    [anon_sym_enum] = ACTIONS(4701),
    [anon_sym_class] = ACTIONS(4701),
    [anon_sym_struct] = ACTIONS(4701),
    [anon_sym_union] = ACTIONS(4701),
    [anon_sym_or] = ACTIONS(4701),
    [anon_sym_and] = ACTIONS(4701),
    [anon_sym_asm] = ACTIONS(4701),
    [anon_sym___asm__] = ACTIONS(4701),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4701),
    [anon_sym_decltype] = ACTIONS(4701),
    [anon_sym_final] = ACTIONS(4701),
    [anon_sym_override] = ACTIONS(4701),
    [sym_virtual] = ACTIONS(4701),
    [anon_sym_alignas] = ACTIONS(4701),
    [anon_sym_explicit] = ACTIONS(4701),
    [anon_sym_typename] = ACTIONS(4701),
    [anon_sym_template] = ACTIONS(4701),
    [anon_sym_GT2] = ACTIONS(4703),
    [anon_sym_operator] = ACTIONS(4701),
    [anon_sym_try] = ACTIONS(4701),
    [anon_sym_friend] = ACTIONS(4701),
    [anon_sym_using] = ACTIONS(4701),
    [anon_sym_concept] = ACTIONS(4701),
    [anon_sym_requires] = ACTIONS(4701),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_COMMA] = ACTIONS(4683),
    [anon_sym_RPAREN] = ACTIONS(4683),
    [anon_sym_LPAREN2] = ACTIONS(4683),
    [anon_sym_TILDE] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_PIPE_PIPE] = ACTIONS(4683),
    [anon_sym_AMP_AMP] = ACTIONS(4683),
    [anon_sym_AMP] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym___extension__] = ACTIONS(4681),
    [anon_sym_extern] = ACTIONS(4681),
    [anon_sym___attribute__] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4683),
    [anon_sym___declspec] = ACTIONS(4681),
    [anon_sym___based] = ACTIONS(4681),
    [anon_sym___cdecl] = ACTIONS(4681),
    [anon_sym___clrcall] = ACTIONS(4681),
    [anon_sym___stdcall] = ACTIONS(4681),
    [anon_sym___fastcall] = ACTIONS(4681),
    [anon_sym___thiscall] = ACTIONS(4681),
    [anon_sym___vectorcall] = ACTIONS(4681),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_signed] = ACTIONS(4681),
    [anon_sym_unsigned] = ACTIONS(4681),
    [anon_sym_long] = ACTIONS(4681),
    [anon_sym_short] = ACTIONS(4681),
    [anon_sym_LBRACK] = ACTIONS(4681),
    [anon_sym_EQ] = ACTIONS(4683),
    [anon_sym_static] = ACTIONS(4681),
    [anon_sym_register] = ACTIONS(4681),
    [anon_sym_inline] = ACTIONS(4681),
    [anon_sym___inline] = ACTIONS(4681),
    [anon_sym___inline__] = ACTIONS(4681),
    [anon_sym___forceinline] = ACTIONS(4681),
    [anon_sym_thread_local] = ACTIONS(4681),
    [anon_sym___thread] = ACTIONS(4681),
    [anon_sym_const] = ACTIONS(4681),
    [anon_sym_constexpr] = ACTIONS(4681),
    [anon_sym_volatile] = ACTIONS(4681),
    [anon_sym_restrict] = ACTIONS(4681),
    [anon_sym___restrict__] = ACTIONS(4681),
    [anon_sym__Atomic] = ACTIONS(4681),
    [anon_sym__Noreturn] = ACTIONS(4681),
    [anon_sym_noreturn] = ACTIONS(4681),
    [anon_sym_mutable] = ACTIONS(4681),
    [anon_sym_constinit] = ACTIONS(4681),
    [anon_sym_consteval] = ACTIONS(4681),
    [sym_primitive_type] = ACTIONS(4681),
    [anon_sym_enum] = ACTIONS(4681),
    [anon_sym_class] = ACTIONS(4681),
    [anon_sym_struct] = ACTIONS(4681),
    [anon_sym_union] = ACTIONS(4681),
    [anon_sym_or] = ACTIONS(4681),
    [anon_sym_and] = ACTIONS(4681),
    [anon_sym_asm] = ACTIONS(4681),
    [anon_sym___asm__] = ACTIONS(4681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4681),
    [anon_sym_decltype] = ACTIONS(4681),
    [anon_sym_final] = ACTIONS(4681),
    [anon_sym_override] = ACTIONS(4681),
    [sym_virtual] = ACTIONS(4681),
    [anon_sym_alignas] = ACTIONS(4681),
    [anon_sym_explicit] = ACTIONS(4681),
    [anon_sym_typename] = ACTIONS(4681),
    [anon_sym_template] = ACTIONS(4681),
    [anon_sym_GT2] = ACTIONS(4683),
    [anon_sym_operator] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_friend] = ACTIONS(4681),
    [anon_sym_using] = ACTIONS(4681),
    [anon_sym_concept] = ACTIONS(4681),
    [anon_sym_requires] = ACTIONS(4681),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1754] = {
    [sym_string_literal] = STATE(1754),
    [sym_raw_string_literal] = STATE(1754),
    [aux_sym_concatenated_string_repeat1] = STATE(1754),
    [sym_identifier] = ACTIONS(4709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4712),
    [anon_sym_COMMA] = ACTIONS(4712),
    [anon_sym_RPAREN] = ACTIONS(4712),
    [aux_sym_preproc_if_token2] = ACTIONS(4712),
    [aux_sym_preproc_else_token1] = ACTIONS(4712),
    [aux_sym_preproc_elif_token1] = ACTIONS(4714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4712),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_DASH] = ACTIONS(4714),
    [anon_sym_PLUS] = ACTIONS(4714),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(4714),
    [anon_sym_PERCENT] = ACTIONS(4714),
    [anon_sym_PIPE_PIPE] = ACTIONS(4712),
    [anon_sym_AMP_AMP] = ACTIONS(4712),
    [anon_sym_PIPE] = ACTIONS(4714),
    [anon_sym_CARET] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_EQ_EQ] = ACTIONS(4712),
    [anon_sym_BANG_EQ] = ACTIONS(4712),
    [anon_sym_GT] = ACTIONS(4714),
    [anon_sym_GT_EQ] = ACTIONS(4712),
    [anon_sym_LT_EQ] = ACTIONS(4714),
    [anon_sym_LT] = ACTIONS(4714),
    [anon_sym_LT_LT] = ACTIONS(4714),
    [anon_sym_GT_GT] = ACTIONS(4714),
    [anon_sym_SEMI] = ACTIONS(4712),
    [anon_sym_RBRACE] = ACTIONS(4712),
    [anon_sym_LBRACK] = ACTIONS(4712),
    [anon_sym_RBRACK] = ACTIONS(4712),
    [anon_sym_EQ] = ACTIONS(4714),
    [anon_sym_COLON] = ACTIONS(4712),
    [anon_sym_QMARK] = ACTIONS(4712),
    [anon_sym_STAR_EQ] = ACTIONS(4712),
    [anon_sym_SLASH_EQ] = ACTIONS(4712),
    [anon_sym_PERCENT_EQ] = ACTIONS(4712),
    [anon_sym_PLUS_EQ] = ACTIONS(4712),
    [anon_sym_DASH_EQ] = ACTIONS(4712),
    [anon_sym_LT_LT_EQ] = ACTIONS(4712),
    [anon_sym_GT_GT_EQ] = ACTIONS(4712),
    [anon_sym_AMP_EQ] = ACTIONS(4712),
    [anon_sym_CARET_EQ] = ACTIONS(4712),
    [anon_sym_PIPE_EQ] = ACTIONS(4712),
    [anon_sym_and_eq] = ACTIONS(4714),
    [anon_sym_or_eq] = ACTIONS(4714),
    [anon_sym_xor_eq] = ACTIONS(4714),
    [anon_sym_LT_EQ_GT] = ACTIONS(4712),
    [anon_sym_or] = ACTIONS(4714),
    [anon_sym_and] = ACTIONS(4714),
    [anon_sym_bitor] = ACTIONS(4714),
    [anon_sym_xor] = ACTIONS(4714),
    [anon_sym_bitand] = ACTIONS(4714),
    [anon_sym_not_eq] = ACTIONS(4714),
    [anon_sym_DASH_DASH] = ACTIONS(4712),
    [anon_sym_PLUS_PLUS] = ACTIONS(4712),
    [anon_sym_DOT] = ACTIONS(4714),
    [anon_sym_DOT_STAR] = ACTIONS(4712),
    [anon_sym_DASH_GT] = ACTIONS(4712),
    [anon_sym_L_DQUOTE] = ACTIONS(4716),
    [anon_sym_u_DQUOTE] = ACTIONS(4716),
    [anon_sym_U_DQUOTE] = ACTIONS(4716),
    [anon_sym_u8_DQUOTE] = ACTIONS(4716),
    [anon_sym_DQUOTE] = ACTIONS(4716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4719),
    [anon_sym_LR_DQUOTE] = ACTIONS(4719),
    [anon_sym_uR_DQUOTE] = ACTIONS(4719),
    [anon_sym_UR_DQUOTE] = ACTIONS(4719),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4719),
    [sym_literal_suffix] = ACTIONS(4714),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(4722),
    [anon_sym_COMMA] = ACTIONS(4724),
    [anon_sym_RPAREN] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_PIPE_PIPE] = ACTIONS(4724),
    [anon_sym_AMP_AMP] = ACTIONS(4724),
    [anon_sym_AMP] = ACTIONS(4722),
    [anon_sym_SEMI] = ACTIONS(4724),
    [anon_sym___extension__] = ACTIONS(4722),
    [anon_sym_extern] = ACTIONS(4722),
    [anon_sym___attribute__] = ACTIONS(4722),
    [anon_sym_COLON_COLON] = ACTIONS(4724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4724),
    [anon_sym___declspec] = ACTIONS(4722),
    [anon_sym___based] = ACTIONS(4722),
    [anon_sym___cdecl] = ACTIONS(4722),
    [anon_sym___clrcall] = ACTIONS(4722),
    [anon_sym___stdcall] = ACTIONS(4722),
    [anon_sym___fastcall] = ACTIONS(4722),
    [anon_sym___thiscall] = ACTIONS(4722),
    [anon_sym___vectorcall] = ACTIONS(4722),
    [anon_sym_LBRACE] = ACTIONS(4724),
    [anon_sym_signed] = ACTIONS(4722),
    [anon_sym_unsigned] = ACTIONS(4722),
    [anon_sym_long] = ACTIONS(4722),
    [anon_sym_short] = ACTIONS(4722),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [anon_sym_EQ] = ACTIONS(4724),
    [anon_sym_static] = ACTIONS(4722),
    [anon_sym_register] = ACTIONS(4722),
    [anon_sym_inline] = ACTIONS(4722),
    [anon_sym___inline] = ACTIONS(4722),
    [anon_sym___inline__] = ACTIONS(4722),
    [anon_sym___forceinline] = ACTIONS(4722),
    [anon_sym_thread_local] = ACTIONS(4722),
    [anon_sym___thread] = ACTIONS(4722),
    [anon_sym_const] = ACTIONS(4722),
    [anon_sym_constexpr] = ACTIONS(4722),
    [anon_sym_volatile] = ACTIONS(4722),
    [anon_sym_restrict] = ACTIONS(4722),
    [anon_sym___restrict__] = ACTIONS(4722),
    [anon_sym__Atomic] = ACTIONS(4722),
    [anon_sym__Noreturn] = ACTIONS(4722),
    [anon_sym_noreturn] = ACTIONS(4722),
    [anon_sym_mutable] = ACTIONS(4722),
    [anon_sym_constinit] = ACTIONS(4722),
    [anon_sym_consteval] = ACTIONS(4722),
    [sym_primitive_type] = ACTIONS(4722),
    [anon_sym_enum] = ACTIONS(4722),
    [anon_sym_class] = ACTIONS(4722),
    [anon_sym_struct] = ACTIONS(4722),
    [anon_sym_union] = ACTIONS(4722),
    [anon_sym_or] = ACTIONS(4722),
    [anon_sym_and] = ACTIONS(4722),
    [anon_sym_asm] = ACTIONS(4722),
    [anon_sym___asm__] = ACTIONS(4722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4722),
    [anon_sym_decltype] = ACTIONS(4722),
    [anon_sym_final] = ACTIONS(4722),
    [anon_sym_override] = ACTIONS(4722),
    [sym_virtual] = ACTIONS(4722),
    [anon_sym_alignas] = ACTIONS(4722),
    [anon_sym_explicit] = ACTIONS(4722),
    [anon_sym_typename] = ACTIONS(4722),
    [anon_sym_template] = ACTIONS(4722),
    [anon_sym_GT2] = ACTIONS(4724),
    [anon_sym_operator] = ACTIONS(4722),
    [anon_sym_try] = ACTIONS(4722),
    [anon_sym_friend] = ACTIONS(4722),
    [anon_sym_using] = ACTIONS(4722),
    [anon_sym_concept] = ACTIONS(4722),
    [anon_sym_requires] = ACTIONS(4722),
  },
  [1756] = {
    [sym_string_literal] = STATE(1754),
    [sym_raw_string_literal] = STATE(1754),
    [aux_sym_concatenated_string_repeat1] = STATE(1754),
    [sym_identifier] = ACTIONS(4726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_COMMA] = ACTIONS(4728),
    [anon_sym_RPAREN] = ACTIONS(4728),
    [aux_sym_preproc_if_token2] = ACTIONS(4728),
    [aux_sym_preproc_else_token1] = ACTIONS(4728),
    [aux_sym_preproc_elif_token1] = ACTIONS(4730),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_SLASH] = ACTIONS(4730),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_PIPE_PIPE] = ACTIONS(4728),
    [anon_sym_AMP_AMP] = ACTIONS(4728),
    [anon_sym_PIPE] = ACTIONS(4730),
    [anon_sym_CARET] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_EQ_EQ] = ACTIONS(4728),
    [anon_sym_BANG_EQ] = ACTIONS(4728),
    [anon_sym_GT] = ACTIONS(4730),
    [anon_sym_GT_EQ] = ACTIONS(4728),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4730),
    [anon_sym_LT_LT] = ACTIONS(4730),
    [anon_sym_GT_GT] = ACTIONS(4730),
    [anon_sym_SEMI] = ACTIONS(4728),
    [anon_sym_RBRACE] = ACTIONS(4728),
    [anon_sym_LBRACK] = ACTIONS(4728),
    [anon_sym_RBRACK] = ACTIONS(4728),
    [anon_sym_EQ] = ACTIONS(4730),
    [anon_sym_COLON] = ACTIONS(4728),
    [anon_sym_QMARK] = ACTIONS(4728),
    [anon_sym_STAR_EQ] = ACTIONS(4728),
    [anon_sym_SLASH_EQ] = ACTIONS(4728),
    [anon_sym_PERCENT_EQ] = ACTIONS(4728),
    [anon_sym_PLUS_EQ] = ACTIONS(4728),
    [anon_sym_DASH_EQ] = ACTIONS(4728),
    [anon_sym_LT_LT_EQ] = ACTIONS(4728),
    [anon_sym_GT_GT_EQ] = ACTIONS(4728),
    [anon_sym_AMP_EQ] = ACTIONS(4728),
    [anon_sym_CARET_EQ] = ACTIONS(4728),
    [anon_sym_PIPE_EQ] = ACTIONS(4728),
    [anon_sym_and_eq] = ACTIONS(4730),
    [anon_sym_or_eq] = ACTIONS(4730),
    [anon_sym_xor_eq] = ACTIONS(4730),
    [anon_sym_LT_EQ_GT] = ACTIONS(4728),
    [anon_sym_or] = ACTIONS(4730),
    [anon_sym_and] = ACTIONS(4730),
    [anon_sym_bitor] = ACTIONS(4730),
    [anon_sym_xor] = ACTIONS(4730),
    [anon_sym_bitand] = ACTIONS(4730),
    [anon_sym_not_eq] = ACTIONS(4730),
    [anon_sym_DASH_DASH] = ACTIONS(4728),
    [anon_sym_PLUS_PLUS] = ACTIONS(4728),
    [anon_sym_DOT] = ACTIONS(4730),
    [anon_sym_DOT_STAR] = ACTIONS(4728),
    [anon_sym_DASH_GT] = ACTIONS(4728),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4730),
  },
  [1757] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4057),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7060),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_type_parameter_declaration] = STATE(7060),
    [sym_variadic_type_parameter_declaration] = STATE(7060),
    [sym_optional_type_parameter_declaration] = STATE(7060),
    [sym_template_template_parameter_declaration] = STATE(7060),
    [sym_optional_parameter_declaration] = STATE(7060),
    [sym_variadic_parameter_declaration] = STATE(7060),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(4732),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4734),
    [anon_sym_template] = ACTIONS(4736),
    [anon_sym_GT2] = ACTIONS(4738),
  },
  [1758] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4057),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6876),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_type_parameter_declaration] = STATE(6876),
    [sym_variadic_type_parameter_declaration] = STATE(6876),
    [sym_optional_type_parameter_declaration] = STATE(6876),
    [sym_template_template_parameter_declaration] = STATE(6876),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(4732),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4734),
    [anon_sym_template] = ACTIONS(4736),
    [anon_sym_GT2] = ACTIONS(4740),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(4744),
    [anon_sym_TILDE] = ACTIONS(4744),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_STAR] = ACTIONS(4744),
    [anon_sym_AMP] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(4744),
    [anon_sym_COLON_COLON] = ACTIONS(4744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(4744),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [sym_primitive_type] = ACTIONS(4742),
    [anon_sym_if] = ACTIONS(4742),
    [anon_sym_switch] = ACTIONS(4742),
    [anon_sym_case] = ACTIONS(4742),
    [anon_sym_default] = ACTIONS(4742),
    [anon_sym_while] = ACTIONS(4742),
    [anon_sym_do] = ACTIONS(4742),
    [anon_sym_for] = ACTIONS(4742),
    [anon_sym_return] = ACTIONS(4742),
    [anon_sym_break] = ACTIONS(4742),
    [anon_sym_continue] = ACTIONS(4742),
    [anon_sym_goto] = ACTIONS(4742),
    [anon_sym___try] = ACTIONS(4742),
    [anon_sym___leave] = ACTIONS(4742),
    [anon_sym_not] = ACTIONS(4742),
    [anon_sym_compl] = ACTIONS(4742),
    [anon_sym_DASH_DASH] = ACTIONS(4744),
    [anon_sym_PLUS_PLUS] = ACTIONS(4744),
    [anon_sym_sizeof] = ACTIONS(4742),
    [anon_sym___alignof__] = ACTIONS(4742),
    [anon_sym___alignof] = ACTIONS(4742),
    [anon_sym__alignof] = ACTIONS(4742),
    [anon_sym_alignof] = ACTIONS(4742),
    [anon_sym__Alignof] = ACTIONS(4742),
    [anon_sym_offsetof] = ACTIONS(4742),
    [anon_sym__Generic] = ACTIONS(4742),
    [anon_sym_asm] = ACTIONS(4742),
    [anon_sym___asm__] = ACTIONS(4742),
    [sym_number_literal] = ACTIONS(4744),
    [anon_sym_L_SQUOTE] = ACTIONS(4744),
    [anon_sym_u_SQUOTE] = ACTIONS(4744),
    [anon_sym_U_SQUOTE] = ACTIONS(4744),
    [anon_sym_u8_SQUOTE] = ACTIONS(4744),
    [anon_sym_SQUOTE] = ACTIONS(4744),
    [anon_sym_L_DQUOTE] = ACTIONS(4744),
    [anon_sym_u_DQUOTE] = ACTIONS(4744),
    [anon_sym_U_DQUOTE] = ACTIONS(4744),
    [anon_sym_u8_DQUOTE] = ACTIONS(4744),
    [anon_sym_DQUOTE] = ACTIONS(4744),
    [sym_true] = ACTIONS(4742),
    [sym_false] = ACTIONS(4742),
    [anon_sym_NULL] = ACTIONS(4742),
    [anon_sym_nullptr] = ACTIONS(4742),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4742),
    [anon_sym_template] = ACTIONS(4742),
    [anon_sym_try] = ACTIONS(4742),
    [anon_sym_delete] = ACTIONS(4742),
    [anon_sym_throw] = ACTIONS(4742),
    [anon_sym_co_return] = ACTIONS(4742),
    [anon_sym_co_yield] = ACTIONS(4742),
    [anon_sym_R_DQUOTE] = ACTIONS(4744),
    [anon_sym_LR_DQUOTE] = ACTIONS(4744),
    [anon_sym_uR_DQUOTE] = ACTIONS(4744),
    [anon_sym_UR_DQUOTE] = ACTIONS(4744),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4744),
    [anon_sym_co_await] = ACTIONS(4742),
    [anon_sym_new] = ACTIONS(4742),
    [anon_sym_requires] = ACTIONS(4742),
    [sym_this] = ACTIONS(4742),
  },
  [1760] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4057),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7231),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_type_parameter_declaration] = STATE(7231),
    [sym_variadic_type_parameter_declaration] = STATE(7231),
    [sym_optional_type_parameter_declaration] = STATE(7231),
    [sym_template_template_parameter_declaration] = STATE(7231),
    [sym_optional_parameter_declaration] = STATE(7231),
    [sym_variadic_parameter_declaration] = STATE(7231),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(4732),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4734),
    [anon_sym_template] = ACTIONS(4736),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_extern] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4539),
    [anon_sym___declspec] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_static] = ACTIONS(4532),
    [anon_sym_register] = ACTIONS(4532),
    [anon_sym_inline] = ACTIONS(4532),
    [anon_sym___inline] = ACTIONS(4532),
    [anon_sym___inline__] = ACTIONS(4532),
    [anon_sym___forceinline] = ACTIONS(4532),
    [anon_sym_thread_local] = ACTIONS(4532),
    [anon_sym___thread] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4541),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4541),
    [anon_sym_not_eq] = ACTIONS(4541),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [sym_virtual] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym_template] = ACTIONS(4532),
    [anon_sym_operator] = ACTIONS(4532),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(4746),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(4748),
    [anon_sym_TILDE] = ACTIONS(4748),
    [anon_sym_DASH] = ACTIONS(4746),
    [anon_sym_PLUS] = ACTIONS(4746),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_AMP] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4748),
    [anon_sym_COLON_COLON] = ACTIONS(4748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4748),
    [anon_sym_LBRACE] = ACTIONS(4748),
    [anon_sym_LBRACK] = ACTIONS(4746),
    [sym_primitive_type] = ACTIONS(4746),
    [anon_sym_if] = ACTIONS(4746),
    [anon_sym_switch] = ACTIONS(4746),
    [anon_sym_case] = ACTIONS(4746),
    [anon_sym_default] = ACTIONS(4746),
    [anon_sym_while] = ACTIONS(4746),
    [anon_sym_do] = ACTIONS(4746),
    [anon_sym_for] = ACTIONS(4746),
    [anon_sym_return] = ACTIONS(4746),
    [anon_sym_break] = ACTIONS(4746),
    [anon_sym_continue] = ACTIONS(4746),
    [anon_sym_goto] = ACTIONS(4746),
    [anon_sym___try] = ACTIONS(4746),
    [anon_sym___leave] = ACTIONS(4746),
    [anon_sym_not] = ACTIONS(4746),
    [anon_sym_compl] = ACTIONS(4746),
    [anon_sym_DASH_DASH] = ACTIONS(4748),
    [anon_sym_PLUS_PLUS] = ACTIONS(4748),
    [anon_sym_sizeof] = ACTIONS(4746),
    [anon_sym___alignof__] = ACTIONS(4746),
    [anon_sym___alignof] = ACTIONS(4746),
    [anon_sym__alignof] = ACTIONS(4746),
    [anon_sym_alignof] = ACTIONS(4746),
    [anon_sym__Alignof] = ACTIONS(4746),
    [anon_sym_offsetof] = ACTIONS(4746),
    [anon_sym__Generic] = ACTIONS(4746),
    [anon_sym_asm] = ACTIONS(4746),
    [anon_sym___asm__] = ACTIONS(4746),
    [sym_number_literal] = ACTIONS(4748),
    [anon_sym_L_SQUOTE] = ACTIONS(4748),
    [anon_sym_u_SQUOTE] = ACTIONS(4748),
    [anon_sym_U_SQUOTE] = ACTIONS(4748),
    [anon_sym_u8_SQUOTE] = ACTIONS(4748),
    [anon_sym_SQUOTE] = ACTIONS(4748),
    [anon_sym_L_DQUOTE] = ACTIONS(4748),
    [anon_sym_u_DQUOTE] = ACTIONS(4748),
    [anon_sym_U_DQUOTE] = ACTIONS(4748),
    [anon_sym_u8_DQUOTE] = ACTIONS(4748),
    [anon_sym_DQUOTE] = ACTIONS(4748),
    [sym_true] = ACTIONS(4746),
    [sym_false] = ACTIONS(4746),
    [anon_sym_NULL] = ACTIONS(4746),
    [anon_sym_nullptr] = ACTIONS(4746),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4746),
    [anon_sym_template] = ACTIONS(4746),
    [anon_sym_try] = ACTIONS(4746),
    [anon_sym_delete] = ACTIONS(4746),
    [anon_sym_throw] = ACTIONS(4746),
    [anon_sym_co_return] = ACTIONS(4746),
    [anon_sym_co_yield] = ACTIONS(4746),
    [anon_sym_R_DQUOTE] = ACTIONS(4748),
    [anon_sym_LR_DQUOTE] = ACTIONS(4748),
    [anon_sym_uR_DQUOTE] = ACTIONS(4748),
    [anon_sym_UR_DQUOTE] = ACTIONS(4748),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4748),
    [anon_sym_co_await] = ACTIONS(4746),
    [anon_sym_new] = ACTIONS(4746),
    [anon_sym_requires] = ACTIONS(4746),
    [sym_this] = ACTIONS(4746),
  },
  [1764] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4752),
    [anon_sym_RPAREN] = ACTIONS(4752),
    [aux_sym_preproc_if_token2] = ACTIONS(4752),
    [aux_sym_preproc_else_token1] = ACTIONS(4752),
    [aux_sym_preproc_elif_token1] = ACTIONS(4750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4752),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_DASH] = ACTIONS(4750),
    [anon_sym_PLUS] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4752),
    [anon_sym_SLASH] = ACTIONS(4750),
    [anon_sym_PERCENT] = ACTIONS(4752),
    [anon_sym_PIPE_PIPE] = ACTIONS(4752),
    [anon_sym_AMP_AMP] = ACTIONS(4752),
    [anon_sym_PIPE] = ACTIONS(4750),
    [anon_sym_CARET] = ACTIONS(4752),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_EQ_EQ] = ACTIONS(4752),
    [anon_sym_BANG_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4750),
    [anon_sym_GT_EQ] = ACTIONS(4752),
    [anon_sym_LT_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4750),
    [anon_sym_LT_LT] = ACTIONS(4752),
    [anon_sym_GT_GT] = ACTIONS(4752),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym___extension__] = ACTIONS(4750),
    [anon_sym___attribute__] = ACTIONS(4750),
    [anon_sym_LBRACE] = ACTIONS(4752),
    [anon_sym_RBRACE] = ACTIONS(4752),
    [anon_sym_signed] = ACTIONS(4754),
    [anon_sym_unsigned] = ACTIONS(4754),
    [anon_sym_long] = ACTIONS(4754),
    [anon_sym_short] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [anon_sym_RBRACK] = ACTIONS(4752),
    [anon_sym_const] = ACTIONS(4750),
    [anon_sym_constexpr] = ACTIONS(4750),
    [anon_sym_volatile] = ACTIONS(4750),
    [anon_sym_restrict] = ACTIONS(4750),
    [anon_sym___restrict__] = ACTIONS(4750),
    [anon_sym__Atomic] = ACTIONS(4750),
    [anon_sym__Noreturn] = ACTIONS(4750),
    [anon_sym_noreturn] = ACTIONS(4750),
    [anon_sym_mutable] = ACTIONS(4750),
    [anon_sym_constinit] = ACTIONS(4750),
    [anon_sym_consteval] = ACTIONS(4750),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_COLON] = ACTIONS(4752),
    [anon_sym_QMARK] = ACTIONS(4752),
    [anon_sym_LT_EQ_GT] = ACTIONS(4752),
    [anon_sym_or] = ACTIONS(4750),
    [anon_sym_and] = ACTIONS(4750),
    [anon_sym_bitor] = ACTIONS(4750),
    [anon_sym_xor] = ACTIONS(4750),
    [anon_sym_bitand] = ACTIONS(4750),
    [anon_sym_not_eq] = ACTIONS(4750),
    [anon_sym_DASH_DASH] = ACTIONS(4752),
    [anon_sym_PLUS_PLUS] = ACTIONS(4752),
    [anon_sym_DOT] = ACTIONS(4750),
    [anon_sym_DOT_STAR] = ACTIONS(4752),
    [anon_sym_DASH_GT] = ACTIONS(4752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4750),
    [anon_sym_decltype] = ACTIONS(4750),
    [anon_sym_final] = ACTIONS(4750),
    [anon_sym_override] = ACTIONS(4750),
    [anon_sym_requires] = ACTIONS(4750),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_COMMA] = ACTIONS(4759),
    [anon_sym_RPAREN] = ACTIONS(4759),
    [aux_sym_preproc_if_token2] = ACTIONS(4759),
    [aux_sym_preproc_else_token1] = ACTIONS(4759),
    [aux_sym_preproc_elif_token1] = ACTIONS(4757),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4759),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4757),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4757),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4759),
    [anon_sym_AMP_AMP] = ACTIONS(4759),
    [anon_sym_PIPE] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_AMP] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4759),
    [anon_sym_BANG_EQ] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4759),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4757),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4757),
    [anon_sym_SEMI] = ACTIONS(4759),
    [anon_sym_RBRACE] = ACTIONS(4759),
    [anon_sym_LBRACK] = ACTIONS(4759),
    [anon_sym_RBRACK] = ACTIONS(4759),
    [anon_sym_EQ] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4759),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_STAR_EQ] = ACTIONS(4759),
    [anon_sym_SLASH_EQ] = ACTIONS(4759),
    [anon_sym_PERCENT_EQ] = ACTIONS(4759),
    [anon_sym_PLUS_EQ] = ACTIONS(4759),
    [anon_sym_DASH_EQ] = ACTIONS(4759),
    [anon_sym_LT_LT_EQ] = ACTIONS(4759),
    [anon_sym_GT_GT_EQ] = ACTIONS(4759),
    [anon_sym_AMP_EQ] = ACTIONS(4759),
    [anon_sym_CARET_EQ] = ACTIONS(4759),
    [anon_sym_PIPE_EQ] = ACTIONS(4759),
    [anon_sym_and_eq] = ACTIONS(4757),
    [anon_sym_or_eq] = ACTIONS(4757),
    [anon_sym_xor_eq] = ACTIONS(4757),
    [anon_sym_LT_EQ_GT] = ACTIONS(4759),
    [anon_sym_or] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_bitor] = ACTIONS(4757),
    [anon_sym_xor] = ACTIONS(4757),
    [anon_sym_bitand] = ACTIONS(4757),
    [anon_sym_not_eq] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4759),
    [anon_sym_DOT] = ACTIONS(4757),
    [anon_sym_DOT_STAR] = ACTIONS(4759),
    [anon_sym_DASH_GT] = ACTIONS(4759),
    [anon_sym_L_DQUOTE] = ACTIONS(4759),
    [anon_sym_u_DQUOTE] = ACTIONS(4759),
    [anon_sym_U_DQUOTE] = ACTIONS(4759),
    [anon_sym_u8_DQUOTE] = ACTIONS(4759),
    [anon_sym_DQUOTE] = ACTIONS(4759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4759),
    [anon_sym_LR_DQUOTE] = ACTIONS(4759),
    [anon_sym_uR_DQUOTE] = ACTIONS(4759),
    [anon_sym_UR_DQUOTE] = ACTIONS(4759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4759),
    [sym_literal_suffix] = ACTIONS(4757),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(4761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4763),
    [anon_sym_COMMA] = ACTIONS(4763),
    [anon_sym_RPAREN] = ACTIONS(4763),
    [aux_sym_preproc_if_token2] = ACTIONS(4763),
    [aux_sym_preproc_else_token1] = ACTIONS(4763),
    [aux_sym_preproc_elif_token1] = ACTIONS(4761),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4763),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4763),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_DASH] = ACTIONS(4761),
    [anon_sym_PLUS] = ACTIONS(4761),
    [anon_sym_STAR] = ACTIONS(4761),
    [anon_sym_SLASH] = ACTIONS(4761),
    [anon_sym_PERCENT] = ACTIONS(4761),
    [anon_sym_PIPE_PIPE] = ACTIONS(4763),
    [anon_sym_AMP_AMP] = ACTIONS(4763),
    [anon_sym_PIPE] = ACTIONS(4761),
    [anon_sym_CARET] = ACTIONS(4761),
    [anon_sym_AMP] = ACTIONS(4761),
    [anon_sym_EQ_EQ] = ACTIONS(4763),
    [anon_sym_BANG_EQ] = ACTIONS(4763),
    [anon_sym_GT] = ACTIONS(4761),
    [anon_sym_GT_EQ] = ACTIONS(4763),
    [anon_sym_LT_EQ] = ACTIONS(4761),
    [anon_sym_LT] = ACTIONS(4761),
    [anon_sym_LT_LT] = ACTIONS(4761),
    [anon_sym_GT_GT] = ACTIONS(4761),
    [anon_sym_SEMI] = ACTIONS(4763),
    [anon_sym_RBRACE] = ACTIONS(4763),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [anon_sym_RBRACK] = ACTIONS(4763),
    [anon_sym_EQ] = ACTIONS(4761),
    [anon_sym_COLON] = ACTIONS(4763),
    [anon_sym_QMARK] = ACTIONS(4763),
    [anon_sym_STAR_EQ] = ACTIONS(4763),
    [anon_sym_SLASH_EQ] = ACTIONS(4763),
    [anon_sym_PERCENT_EQ] = ACTIONS(4763),
    [anon_sym_PLUS_EQ] = ACTIONS(4763),
    [anon_sym_DASH_EQ] = ACTIONS(4763),
    [anon_sym_LT_LT_EQ] = ACTIONS(4763),
    [anon_sym_GT_GT_EQ] = ACTIONS(4763),
    [anon_sym_AMP_EQ] = ACTIONS(4763),
    [anon_sym_CARET_EQ] = ACTIONS(4763),
    [anon_sym_PIPE_EQ] = ACTIONS(4763),
    [anon_sym_and_eq] = ACTIONS(4761),
    [anon_sym_or_eq] = ACTIONS(4761),
    [anon_sym_xor_eq] = ACTIONS(4761),
    [anon_sym_LT_EQ_GT] = ACTIONS(4763),
    [anon_sym_or] = ACTIONS(4761),
    [anon_sym_and] = ACTIONS(4761),
    [anon_sym_bitor] = ACTIONS(4761),
    [anon_sym_xor] = ACTIONS(4761),
    [anon_sym_bitand] = ACTIONS(4761),
    [anon_sym_not_eq] = ACTIONS(4761),
    [anon_sym_DASH_DASH] = ACTIONS(4763),
    [anon_sym_PLUS_PLUS] = ACTIONS(4763),
    [anon_sym_DOT] = ACTIONS(4761),
    [anon_sym_DOT_STAR] = ACTIONS(4763),
    [anon_sym_DASH_GT] = ACTIONS(4763),
    [anon_sym_L_DQUOTE] = ACTIONS(4763),
    [anon_sym_u_DQUOTE] = ACTIONS(4763),
    [anon_sym_U_DQUOTE] = ACTIONS(4763),
    [anon_sym_u8_DQUOTE] = ACTIONS(4763),
    [anon_sym_DQUOTE] = ACTIONS(4763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4763),
    [anon_sym_LR_DQUOTE] = ACTIONS(4763),
    [anon_sym_uR_DQUOTE] = ACTIONS(4763),
    [anon_sym_UR_DQUOTE] = ACTIONS(4763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4763),
    [sym_literal_suffix] = ACTIONS(4761),
  },
  [1767] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4497),
    [anon_sym___attribute__] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4497),
    [anon_sym_volatile] = ACTIONS(4497),
    [anon_sym_restrict] = ACTIONS(4497),
    [anon_sym___restrict__] = ACTIONS(4497),
    [anon_sym__Atomic] = ACTIONS(4497),
    [anon_sym__Noreturn] = ACTIONS(4497),
    [anon_sym_noreturn] = ACTIONS(4497),
    [anon_sym_mutable] = ACTIONS(4497),
    [anon_sym_constinit] = ACTIONS(4497),
    [anon_sym_consteval] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_and_eq] = ACTIONS(4497),
    [anon_sym_or_eq] = ACTIONS(4497),
    [anon_sym_xor_eq] = ACTIONS(4497),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4497),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4497),
    [anon_sym_not_eq] = ACTIONS(4497),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4497),
    [anon_sym_decltype] = ACTIONS(4497),
    [anon_sym_final] = ACTIONS(4497),
    [anon_sym_override] = ACTIONS(4497),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4497),
  },
  [1768] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4501),
    [anon_sym_volatile] = ACTIONS(4501),
    [anon_sym_restrict] = ACTIONS(4501),
    [anon_sym___restrict__] = ACTIONS(4501),
    [anon_sym__Atomic] = ACTIONS(4501),
    [anon_sym__Noreturn] = ACTIONS(4501),
    [anon_sym_noreturn] = ACTIONS(4501),
    [anon_sym_mutable] = ACTIONS(4501),
    [anon_sym_constinit] = ACTIONS(4501),
    [anon_sym_consteval] = ACTIONS(4501),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4501),
    [anon_sym_decltype] = ACTIONS(4501),
    [anon_sym_final] = ACTIONS(4501),
    [anon_sym_override] = ACTIONS(4501),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(4765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4767),
    [anon_sym_COMMA] = ACTIONS(4767),
    [anon_sym_RPAREN] = ACTIONS(4767),
    [aux_sym_preproc_if_token2] = ACTIONS(4767),
    [aux_sym_preproc_else_token1] = ACTIONS(4767),
    [aux_sym_preproc_elif_token1] = ACTIONS(4765),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4767),
    [anon_sym_LPAREN2] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4765),
    [anon_sym_STAR] = ACTIONS(4765),
    [anon_sym_SLASH] = ACTIONS(4765),
    [anon_sym_PERCENT] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4765),
    [anon_sym_AMP] = ACTIONS(4765),
    [anon_sym_EQ_EQ] = ACTIONS(4767),
    [anon_sym_BANG_EQ] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4765),
    [anon_sym_GT_EQ] = ACTIONS(4767),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4765),
    [anon_sym_LT_LT] = ACTIONS(4765),
    [anon_sym_GT_GT] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4767),
    [anon_sym_RBRACE] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4767),
    [anon_sym_RBRACK] = ACTIONS(4767),
    [anon_sym_EQ] = ACTIONS(4765),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_QMARK] = ACTIONS(4767),
    [anon_sym_STAR_EQ] = ACTIONS(4767),
    [anon_sym_SLASH_EQ] = ACTIONS(4767),
    [anon_sym_PERCENT_EQ] = ACTIONS(4767),
    [anon_sym_PLUS_EQ] = ACTIONS(4767),
    [anon_sym_DASH_EQ] = ACTIONS(4767),
    [anon_sym_LT_LT_EQ] = ACTIONS(4767),
    [anon_sym_GT_GT_EQ] = ACTIONS(4767),
    [anon_sym_AMP_EQ] = ACTIONS(4767),
    [anon_sym_CARET_EQ] = ACTIONS(4767),
    [anon_sym_PIPE_EQ] = ACTIONS(4767),
    [anon_sym_and_eq] = ACTIONS(4765),
    [anon_sym_or_eq] = ACTIONS(4765),
    [anon_sym_xor_eq] = ACTIONS(4765),
    [anon_sym_LT_EQ_GT] = ACTIONS(4767),
    [anon_sym_or] = ACTIONS(4765),
    [anon_sym_and] = ACTIONS(4765),
    [anon_sym_bitor] = ACTIONS(4765),
    [anon_sym_xor] = ACTIONS(4765),
    [anon_sym_bitand] = ACTIONS(4765),
    [anon_sym_not_eq] = ACTIONS(4765),
    [anon_sym_DASH_DASH] = ACTIONS(4767),
    [anon_sym_PLUS_PLUS] = ACTIONS(4767),
    [anon_sym_DOT] = ACTIONS(4765),
    [anon_sym_DOT_STAR] = ACTIONS(4767),
    [anon_sym_DASH_GT] = ACTIONS(4767),
    [anon_sym_L_DQUOTE] = ACTIONS(4767),
    [anon_sym_u_DQUOTE] = ACTIONS(4767),
    [anon_sym_U_DQUOTE] = ACTIONS(4767),
    [anon_sym_u8_DQUOTE] = ACTIONS(4767),
    [anon_sym_DQUOTE] = ACTIONS(4767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4767),
    [anon_sym_LR_DQUOTE] = ACTIONS(4767),
    [anon_sym_uR_DQUOTE] = ACTIONS(4767),
    [anon_sym_UR_DQUOTE] = ACTIONS(4767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4767),
    [sym_literal_suffix] = ACTIONS(4765),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(4769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_RPAREN] = ACTIONS(4771),
    [aux_sym_preproc_if_token2] = ACTIONS(4771),
    [aux_sym_preproc_else_token1] = ACTIONS(4771),
    [aux_sym_preproc_elif_token1] = ACTIONS(4769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4771),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(4771),
    [anon_sym_DASH] = ACTIONS(4769),
    [anon_sym_PLUS] = ACTIONS(4769),
    [anon_sym_STAR] = ACTIONS(4769),
    [anon_sym_SLASH] = ACTIONS(4769),
    [anon_sym_PERCENT] = ACTIONS(4769),
    [anon_sym_PIPE_PIPE] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4771),
    [anon_sym_PIPE] = ACTIONS(4769),
    [anon_sym_CARET] = ACTIONS(4769),
    [anon_sym_AMP] = ACTIONS(4769),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_GT] = ACTIONS(4769),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4769),
    [anon_sym_LT] = ACTIONS(4769),
    [anon_sym_LT_LT] = ACTIONS(4769),
    [anon_sym_GT_GT] = ACTIONS(4769),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_RBRACK] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4769),
    [anon_sym_COLON] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_and_eq] = ACTIONS(4769),
    [anon_sym_or_eq] = ACTIONS(4769),
    [anon_sym_xor_eq] = ACTIONS(4769),
    [anon_sym_LT_EQ_GT] = ACTIONS(4771),
    [anon_sym_or] = ACTIONS(4769),
    [anon_sym_and] = ACTIONS(4769),
    [anon_sym_bitor] = ACTIONS(4769),
    [anon_sym_xor] = ACTIONS(4769),
    [anon_sym_bitand] = ACTIONS(4769),
    [anon_sym_not_eq] = ACTIONS(4769),
    [anon_sym_DASH_DASH] = ACTIONS(4771),
    [anon_sym_PLUS_PLUS] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4769),
    [anon_sym_DOT_STAR] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_L_DQUOTE] = ACTIONS(4771),
    [anon_sym_u_DQUOTE] = ACTIONS(4771),
    [anon_sym_U_DQUOTE] = ACTIONS(4771),
    [anon_sym_u8_DQUOTE] = ACTIONS(4771),
    [anon_sym_DQUOTE] = ACTIONS(4771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4771),
    [anon_sym_LR_DQUOTE] = ACTIONS(4771),
    [anon_sym_uR_DQUOTE] = ACTIONS(4771),
    [anon_sym_UR_DQUOTE] = ACTIONS(4771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4771),
    [sym_literal_suffix] = ACTIONS(4769),
  },
  [1771] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym___extension__] = ACTIONS(4489),
    [anon_sym___attribute__] = ACTIONS(4489),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4489),
    [anon_sym_volatile] = ACTIONS(4489),
    [anon_sym_restrict] = ACTIONS(4489),
    [anon_sym___restrict__] = ACTIONS(4489),
    [anon_sym__Atomic] = ACTIONS(4489),
    [anon_sym__Noreturn] = ACTIONS(4489),
    [anon_sym_noreturn] = ACTIONS(4489),
    [anon_sym_mutable] = ACTIONS(4489),
    [anon_sym_constinit] = ACTIONS(4489),
    [anon_sym_consteval] = ACTIONS(4489),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4489),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_and_eq] = ACTIONS(4489),
    [anon_sym_or_eq] = ACTIONS(4489),
    [anon_sym_xor_eq] = ACTIONS(4489),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4489),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4489),
    [anon_sym_not_eq] = ACTIONS(4489),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4489),
    [anon_sym_decltype] = ACTIONS(4489),
    [anon_sym_final] = ACTIONS(4489),
    [anon_sym_override] = ACTIONS(4489),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4489),
  },
  [1772] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym___extension__] = ACTIONS(4522),
    [anon_sym___attribute__] = ACTIONS(4522),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4522),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4522),
    [anon_sym_volatile] = ACTIONS(4522),
    [anon_sym_restrict] = ACTIONS(4522),
    [anon_sym___restrict__] = ACTIONS(4522),
    [anon_sym__Atomic] = ACTIONS(4522),
    [anon_sym__Noreturn] = ACTIONS(4522),
    [anon_sym_noreturn] = ACTIONS(4522),
    [anon_sym_mutable] = ACTIONS(4522),
    [anon_sym_constinit] = ACTIONS(4522),
    [anon_sym_consteval] = ACTIONS(4522),
    [anon_sym_COLON] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4522),
    [anon_sym_decltype] = ACTIONS(4522),
    [anon_sym_final] = ACTIONS(4522),
    [anon_sym_override] = ACTIONS(4522),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4522),
  },
  [1773] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_and_eq] = ACTIONS(4493),
    [anon_sym_or_eq] = ACTIONS(4493),
    [anon_sym_xor_eq] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [anon_sym_final] = ACTIONS(4493),
    [anon_sym_override] = ACTIONS(4493),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4493),
  },
  [1774] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym___extension__] = ACTIONS(4526),
    [anon_sym___attribute__] = ACTIONS(4526),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4526),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4526),
    [anon_sym_volatile] = ACTIONS(4526),
    [anon_sym_restrict] = ACTIONS(4526),
    [anon_sym___restrict__] = ACTIONS(4526),
    [anon_sym__Atomic] = ACTIONS(4526),
    [anon_sym__Noreturn] = ACTIONS(4526),
    [anon_sym_noreturn] = ACTIONS(4526),
    [anon_sym_mutable] = ACTIONS(4526),
    [anon_sym_constinit] = ACTIONS(4526),
    [anon_sym_consteval] = ACTIONS(4526),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4526),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_and_eq] = ACTIONS(4526),
    [anon_sym_or_eq] = ACTIONS(4526),
    [anon_sym_xor_eq] = ACTIONS(4526),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4526),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4526),
    [anon_sym_not_eq] = ACTIONS(4526),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4526),
    [anon_sym_decltype] = ACTIONS(4526),
    [anon_sym_final] = ACTIONS(4526),
    [anon_sym_override] = ACTIONS(4526),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4526),
  },
  [1775] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_and_eq] = ACTIONS(4530),
    [anon_sym_or_eq] = ACTIONS(4530),
    [anon_sym_xor_eq] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [anon_sym_final] = ACTIONS(4530),
    [anon_sym_override] = ACTIONS(4530),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4530),
  },
  [1776] = {
    [sym_catch_clause] = STATE(1778),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1778),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_friend] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(4773),
  },
  [1777] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4497),
    [anon_sym___attribute__] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4497),
    [anon_sym_volatile] = ACTIONS(4497),
    [anon_sym_restrict] = ACTIONS(4497),
    [anon_sym___restrict__] = ACTIONS(4497),
    [anon_sym__Atomic] = ACTIONS(4497),
    [anon_sym__Noreturn] = ACTIONS(4497),
    [anon_sym_noreturn] = ACTIONS(4497),
    [anon_sym_mutable] = ACTIONS(4497),
    [anon_sym_constinit] = ACTIONS(4497),
    [anon_sym_consteval] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_and_eq] = ACTIONS(4497),
    [anon_sym_or_eq] = ACTIONS(4497),
    [anon_sym_xor_eq] = ACTIONS(4497),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4497),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4497),
    [anon_sym_not_eq] = ACTIONS(4497),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4497),
    [anon_sym_decltype] = ACTIONS(4497),
    [anon_sym_final] = ACTIONS(4497),
    [anon_sym_override] = ACTIONS(4497),
    [anon_sym_GT2] = ACTIONS(4497),
  },
  [1778] = {
    [sym_catch_clause] = STATE(1778),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1778),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_friend] = ACTIONS(2465),
    [anon_sym_public] = ACTIONS(2465),
    [anon_sym_private] = ACTIONS(2465),
    [anon_sym_protected] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(4775),
  },
  [1779] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4499),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4501),
    [anon_sym_volatile] = ACTIONS(4501),
    [anon_sym_restrict] = ACTIONS(4501),
    [anon_sym___restrict__] = ACTIONS(4501),
    [anon_sym__Atomic] = ACTIONS(4501),
    [anon_sym__Noreturn] = ACTIONS(4501),
    [anon_sym_noreturn] = ACTIONS(4501),
    [anon_sym_mutable] = ACTIONS(4501),
    [anon_sym_constinit] = ACTIONS(4501),
    [anon_sym_consteval] = ACTIONS(4501),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4499),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4501),
    [anon_sym_decltype] = ACTIONS(4501),
    [anon_sym_final] = ACTIONS(4501),
    [anon_sym_override] = ACTIONS(4501),
    [anon_sym_GT2] = ACTIONS(4501),
  },
  [1780] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7185),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7185),
    [sym_variadic_parameter_declaration] = STATE(7185),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1781] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym___extension__] = ACTIONS(4489),
    [anon_sym___attribute__] = ACTIONS(4489),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4489),
    [anon_sym_volatile] = ACTIONS(4489),
    [anon_sym_restrict] = ACTIONS(4489),
    [anon_sym___restrict__] = ACTIONS(4489),
    [anon_sym__Atomic] = ACTIONS(4489),
    [anon_sym__Noreturn] = ACTIONS(4489),
    [anon_sym_noreturn] = ACTIONS(4489),
    [anon_sym_mutable] = ACTIONS(4489),
    [anon_sym_constinit] = ACTIONS(4489),
    [anon_sym_consteval] = ACTIONS(4489),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4487),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_and_eq] = ACTIONS(4489),
    [anon_sym_or_eq] = ACTIONS(4489),
    [anon_sym_xor_eq] = ACTIONS(4489),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4489),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4489),
    [anon_sym_not_eq] = ACTIONS(4489),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4489),
    [anon_sym_decltype] = ACTIONS(4489),
    [anon_sym_final] = ACTIONS(4489),
    [anon_sym_override] = ACTIONS(4489),
    [anon_sym_GT2] = ACTIONS(4489),
  },
  [1782] = {
    [sym_attribute_specifier] = STATE(2154),
    [sym_field_declaration_list] = STATE(2040),
    [sym_virtual_specifier] = STATE(6658),
    [sym_base_class_clause] = STATE(7270),
    [sym_identifier] = ACTIONS(4778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4780),
    [anon_sym_COMMA] = ACTIONS(4780),
    [anon_sym_RPAREN] = ACTIONS(4780),
    [aux_sym_preproc_if_token2] = ACTIONS(4780),
    [aux_sym_preproc_else_token1] = ACTIONS(4780),
    [aux_sym_preproc_elif_token1] = ACTIONS(4778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_DASH] = ACTIONS(4778),
    [anon_sym_PLUS] = ACTIONS(4778),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_SLASH] = ACTIONS(4778),
    [anon_sym_PERCENT] = ACTIONS(4778),
    [anon_sym_PIPE_PIPE] = ACTIONS(4780),
    [anon_sym_AMP_AMP] = ACTIONS(4780),
    [anon_sym_PIPE] = ACTIONS(4778),
    [anon_sym_CARET] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_EQ_EQ] = ACTIONS(4780),
    [anon_sym_BANG_EQ] = ACTIONS(4780),
    [anon_sym_GT] = ACTIONS(4778),
    [anon_sym_GT_EQ] = ACTIONS(4780),
    [anon_sym_LT_EQ] = ACTIONS(4778),
    [anon_sym_LT] = ACTIONS(4778),
    [anon_sym_LT_LT] = ACTIONS(4778),
    [anon_sym_GT_GT] = ACTIONS(4778),
    [anon_sym_SEMI] = ACTIONS(4780),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(4784),
    [anon_sym_RBRACE] = ACTIONS(4780),
    [anon_sym_LBRACK] = ACTIONS(4780),
    [anon_sym_RBRACK] = ACTIONS(4780),
    [anon_sym_EQ] = ACTIONS(4778),
    [anon_sym_COLON] = ACTIONS(4786),
    [anon_sym_QMARK] = ACTIONS(4780),
    [anon_sym_STAR_EQ] = ACTIONS(4780),
    [anon_sym_SLASH_EQ] = ACTIONS(4780),
    [anon_sym_PERCENT_EQ] = ACTIONS(4780),
    [anon_sym_PLUS_EQ] = ACTIONS(4780),
    [anon_sym_DASH_EQ] = ACTIONS(4780),
    [anon_sym_LT_LT_EQ] = ACTIONS(4780),
    [anon_sym_GT_GT_EQ] = ACTIONS(4780),
    [anon_sym_AMP_EQ] = ACTIONS(4780),
    [anon_sym_CARET_EQ] = ACTIONS(4780),
    [anon_sym_PIPE_EQ] = ACTIONS(4780),
    [anon_sym_and_eq] = ACTIONS(4778),
    [anon_sym_or_eq] = ACTIONS(4778),
    [anon_sym_xor_eq] = ACTIONS(4778),
    [anon_sym_LT_EQ_GT] = ACTIONS(4780),
    [anon_sym_or] = ACTIONS(4778),
    [anon_sym_and] = ACTIONS(4778),
    [anon_sym_bitor] = ACTIONS(4778),
    [anon_sym_xor] = ACTIONS(4778),
    [anon_sym_bitand] = ACTIONS(4778),
    [anon_sym_not_eq] = ACTIONS(4778),
    [anon_sym_DASH_DASH] = ACTIONS(4780),
    [anon_sym_PLUS_PLUS] = ACTIONS(4780),
    [anon_sym_DOT] = ACTIONS(4778),
    [anon_sym_DOT_STAR] = ACTIONS(4780),
    [anon_sym_DASH_GT] = ACTIONS(4780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4778),
    [anon_sym_decltype] = ACTIONS(4778),
    [anon_sym_final] = ACTIONS(4788),
    [anon_sym_override] = ACTIONS(4788),
  },
  [1783] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1783),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4752),
    [anon_sym_RPAREN] = ACTIONS(4752),
    [aux_sym_preproc_if_token2] = ACTIONS(4752),
    [aux_sym_preproc_else_token1] = ACTIONS(4752),
    [aux_sym_preproc_elif_token1] = ACTIONS(4750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4752),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_DASH] = ACTIONS(4750),
    [anon_sym_PLUS] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4750),
    [anon_sym_SLASH] = ACTIONS(4750),
    [anon_sym_PERCENT] = ACTIONS(4750),
    [anon_sym_PIPE_PIPE] = ACTIONS(4752),
    [anon_sym_AMP_AMP] = ACTIONS(4752),
    [anon_sym_PIPE] = ACTIONS(4750),
    [anon_sym_CARET] = ACTIONS(4750),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_EQ_EQ] = ACTIONS(4752),
    [anon_sym_BANG_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4750),
    [anon_sym_GT_EQ] = ACTIONS(4752),
    [anon_sym_LT_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4750),
    [anon_sym_LT_LT] = ACTIONS(4750),
    [anon_sym_GT_GT] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym___attribute__] = ACTIONS(4750),
    [anon_sym_LBRACE] = ACTIONS(4752),
    [anon_sym_RBRACE] = ACTIONS(4752),
    [anon_sym_signed] = ACTIONS(4790),
    [anon_sym_unsigned] = ACTIONS(4790),
    [anon_sym_long] = ACTIONS(4790),
    [anon_sym_short] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [anon_sym_RBRACK] = ACTIONS(4752),
    [anon_sym_EQ] = ACTIONS(4750),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_COLON] = ACTIONS(4752),
    [anon_sym_QMARK] = ACTIONS(4752),
    [anon_sym_STAR_EQ] = ACTIONS(4752),
    [anon_sym_SLASH_EQ] = ACTIONS(4752),
    [anon_sym_PERCENT_EQ] = ACTIONS(4752),
    [anon_sym_PLUS_EQ] = ACTIONS(4752),
    [anon_sym_DASH_EQ] = ACTIONS(4752),
    [anon_sym_LT_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT_GT_EQ] = ACTIONS(4752),
    [anon_sym_AMP_EQ] = ACTIONS(4752),
    [anon_sym_CARET_EQ] = ACTIONS(4752),
    [anon_sym_PIPE_EQ] = ACTIONS(4752),
    [anon_sym_and_eq] = ACTIONS(4750),
    [anon_sym_or_eq] = ACTIONS(4750),
    [anon_sym_xor_eq] = ACTIONS(4750),
    [anon_sym_LT_EQ_GT] = ACTIONS(4752),
    [anon_sym_or] = ACTIONS(4750),
    [anon_sym_and] = ACTIONS(4750),
    [anon_sym_bitor] = ACTIONS(4750),
    [anon_sym_xor] = ACTIONS(4750),
    [anon_sym_bitand] = ACTIONS(4750),
    [anon_sym_not_eq] = ACTIONS(4750),
    [anon_sym_DASH_DASH] = ACTIONS(4752),
    [anon_sym_PLUS_PLUS] = ACTIONS(4752),
    [anon_sym_DOT] = ACTIONS(4750),
    [anon_sym_DOT_STAR] = ACTIONS(4752),
    [anon_sym_DASH_GT] = ACTIONS(4752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4750),
    [anon_sym_decltype] = ACTIONS(4750),
  },
  [1784] = {
    [sym_catch_clause] = STATE(1778),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1778),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(4773),
  },
  [1785] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_and_eq] = ACTIONS(4493),
    [anon_sym_or_eq] = ACTIONS(4493),
    [anon_sym_xor_eq] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [anon_sym_final] = ACTIONS(4493),
    [anon_sym_override] = ACTIONS(4493),
    [anon_sym_GT2] = ACTIONS(4493),
  },
  [1786] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4520),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym___extension__] = ACTIONS(4522),
    [anon_sym___attribute__] = ACTIONS(4522),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4522),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4522),
    [anon_sym_volatile] = ACTIONS(4522),
    [anon_sym_restrict] = ACTIONS(4522),
    [anon_sym___restrict__] = ACTIONS(4522),
    [anon_sym__Atomic] = ACTIONS(4522),
    [anon_sym__Noreturn] = ACTIONS(4522),
    [anon_sym_noreturn] = ACTIONS(4522),
    [anon_sym_mutable] = ACTIONS(4522),
    [anon_sym_constinit] = ACTIONS(4522),
    [anon_sym_consteval] = ACTIONS(4522),
    [anon_sym_COLON] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4520),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4522),
    [anon_sym_decltype] = ACTIONS(4522),
    [anon_sym_final] = ACTIONS(4522),
    [anon_sym_override] = ACTIONS(4522),
    [anon_sym_GT2] = ACTIONS(4522),
  },
  [1787] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4524),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym___extension__] = ACTIONS(4526),
    [anon_sym___attribute__] = ACTIONS(4526),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4526),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4526),
    [anon_sym_volatile] = ACTIONS(4526),
    [anon_sym_restrict] = ACTIONS(4526),
    [anon_sym___restrict__] = ACTIONS(4526),
    [anon_sym__Atomic] = ACTIONS(4526),
    [anon_sym__Noreturn] = ACTIONS(4526),
    [anon_sym_noreturn] = ACTIONS(4526),
    [anon_sym_mutable] = ACTIONS(4526),
    [anon_sym_constinit] = ACTIONS(4526),
    [anon_sym_consteval] = ACTIONS(4526),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4524),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_and_eq] = ACTIONS(4526),
    [anon_sym_or_eq] = ACTIONS(4526),
    [anon_sym_xor_eq] = ACTIONS(4526),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4526),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4526),
    [anon_sym_not_eq] = ACTIONS(4526),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4526),
    [anon_sym_decltype] = ACTIONS(4526),
    [anon_sym_final] = ACTIONS(4526),
    [anon_sym_override] = ACTIONS(4526),
    [anon_sym_GT2] = ACTIONS(4526),
  },
  [1788] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4528),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4528),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_and_eq] = ACTIONS(4530),
    [anon_sym_or_eq] = ACTIONS(4530),
    [anon_sym_xor_eq] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [anon_sym_final] = ACTIONS(4530),
    [anon_sym_override] = ACTIONS(4530),
    [anon_sym_GT2] = ACTIONS(4530),
  },
  [1789] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7011),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7011),
    [sym_variadic_parameter_declaration] = STATE(7011),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4795),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1790] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6938),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6938),
    [sym_variadic_parameter_declaration] = STATE(6938),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_RPAREN] = ACTIONS(4799),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1791] = {
    [sym_catch_clause] = STATE(1778),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1778),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [aux_sym_preproc_else_token1] = ACTIONS(2482),
    [aux_sym_preproc_elif_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_friend] = ACTIONS(2482),
    [anon_sym_public] = ACTIONS(2482),
    [anon_sym_private] = ACTIONS(2482),
    [anon_sym_protected] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(4773),
  },
  [1792] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [aux_sym_preproc_if_token2] = ACTIONS(3638),
    [aux_sym_preproc_else_token1] = ACTIONS(3638),
    [aux_sym_preproc_elif_token1] = ACTIONS(3646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4801),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(4804),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(4806),
    [anon_sym_SLASH_EQ] = ACTIONS(4806),
    [anon_sym_PERCENT_EQ] = ACTIONS(4806),
    [anon_sym_PLUS_EQ] = ACTIONS(4806),
    [anon_sym_DASH_EQ] = ACTIONS(4806),
    [anon_sym_LT_LT_EQ] = ACTIONS(4806),
    [anon_sym_GT_GT_EQ] = ACTIONS(4806),
    [anon_sym_AMP_EQ] = ACTIONS(4806),
    [anon_sym_CARET_EQ] = ACTIONS(4806),
    [anon_sym_PIPE_EQ] = ACTIONS(4806),
    [anon_sym_and_eq] = ACTIONS(4804),
    [anon_sym_or_eq] = ACTIONS(4804),
    [anon_sym_xor_eq] = ACTIONS(4804),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1793] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6884),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6884),
    [sym_variadic_parameter_declaration] = STATE(6884),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4808),
    [anon_sym_RPAREN] = ACTIONS(4810),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1794] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4539),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [anon_sym_EQ] = ACTIONS(4541),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4539),
    [anon_sym_volatile] = ACTIONS(4539),
    [anon_sym_restrict] = ACTIONS(4539),
    [anon_sym___restrict__] = ACTIONS(4539),
    [anon_sym__Atomic] = ACTIONS(4539),
    [anon_sym__Noreturn] = ACTIONS(4539),
    [anon_sym_noreturn] = ACTIONS(4539),
    [anon_sym_mutable] = ACTIONS(4539),
    [anon_sym_constinit] = ACTIONS(4539),
    [anon_sym_consteval] = ACTIONS(4539),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4539),
    [anon_sym_decltype] = ACTIONS(4539),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4534),
  },
  [1795] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7217),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7217),
    [sym_variadic_parameter_declaration] = STATE(7217),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [1798] = {
    [sym_template_argument_list] = STATE(1794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4566),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym___extension__] = ACTIONS(4510),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4510),
    [anon_sym_volatile] = ACTIONS(4510),
    [anon_sym_restrict] = ACTIONS(4510),
    [anon_sym___restrict__] = ACTIONS(4510),
    [anon_sym__Atomic] = ACTIONS(4510),
    [anon_sym__Noreturn] = ACTIONS(4510),
    [anon_sym_noreturn] = ACTIONS(4510),
    [anon_sym_mutable] = ACTIONS(4510),
    [anon_sym_constinit] = ACTIONS(4510),
    [anon_sym_consteval] = ACTIONS(4510),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4505),
    [anon_sym_or_eq] = ACTIONS(4505),
    [anon_sym_xor_eq] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4505),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4505),
    [anon_sym_not_eq] = ACTIONS(4505),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4510),
    [anon_sym_decltype] = ACTIONS(4510),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1799] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(6954),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(6954),
    [sym_variadic_parameter_declaration] = STATE(6954),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1800] = {
    [sym_argument_list] = STATE(2469),
    [sym_initializer_list] = STATE(2469),
    [sym_decltype_auto] = STATE(2103),
    [sym_new_declarator] = STATE(2081),
    [sym_identifier] = ACTIONS(4816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_COMMA] = ACTIONS(4818),
    [anon_sym_RPAREN] = ACTIONS(4818),
    [aux_sym_preproc_if_token2] = ACTIONS(4818),
    [aux_sym_preproc_else_token1] = ACTIONS(4818),
    [aux_sym_preproc_elif_token1] = ACTIONS(4816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4816),
    [anon_sym_PLUS] = ACTIONS(4816),
    [anon_sym_STAR] = ACTIONS(4816),
    [anon_sym_SLASH] = ACTIONS(4816),
    [anon_sym_PERCENT] = ACTIONS(4816),
    [anon_sym_PIPE_PIPE] = ACTIONS(4818),
    [anon_sym_AMP_AMP] = ACTIONS(4818),
    [anon_sym_PIPE] = ACTIONS(4816),
    [anon_sym_CARET] = ACTIONS(4816),
    [anon_sym_AMP] = ACTIONS(4816),
    [anon_sym_EQ_EQ] = ACTIONS(4818),
    [anon_sym_BANG_EQ] = ACTIONS(4818),
    [anon_sym_GT] = ACTIONS(4816),
    [anon_sym_GT_EQ] = ACTIONS(4818),
    [anon_sym_LT_EQ] = ACTIONS(4816),
    [anon_sym_LT] = ACTIONS(4816),
    [anon_sym_LT_LT] = ACTIONS(4816),
    [anon_sym_GT_GT] = ACTIONS(4816),
    [anon_sym_SEMI] = ACTIONS(4818),
    [anon_sym___attribute__] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(4818),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4818),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_COLON] = ACTIONS(4818),
    [anon_sym_QMARK] = ACTIONS(4818),
    [anon_sym_STAR_EQ] = ACTIONS(4818),
    [anon_sym_SLASH_EQ] = ACTIONS(4818),
    [anon_sym_PERCENT_EQ] = ACTIONS(4818),
    [anon_sym_PLUS_EQ] = ACTIONS(4818),
    [anon_sym_DASH_EQ] = ACTIONS(4818),
    [anon_sym_LT_LT_EQ] = ACTIONS(4818),
    [anon_sym_GT_GT_EQ] = ACTIONS(4818),
    [anon_sym_AMP_EQ] = ACTIONS(4818),
    [anon_sym_CARET_EQ] = ACTIONS(4818),
    [anon_sym_PIPE_EQ] = ACTIONS(4818),
    [anon_sym_and_eq] = ACTIONS(4816),
    [anon_sym_or_eq] = ACTIONS(4816),
    [anon_sym_xor_eq] = ACTIONS(4816),
    [anon_sym_LT_EQ_GT] = ACTIONS(4818),
    [anon_sym_or] = ACTIONS(4816),
    [anon_sym_and] = ACTIONS(4816),
    [anon_sym_bitor] = ACTIONS(4816),
    [anon_sym_xor] = ACTIONS(4816),
    [anon_sym_bitand] = ACTIONS(4816),
    [anon_sym_not_eq] = ACTIONS(4816),
    [anon_sym_DASH_DASH] = ACTIONS(4818),
    [anon_sym_PLUS_PLUS] = ACTIONS(4818),
    [anon_sym_DOT] = ACTIONS(4816),
    [anon_sym_DOT_STAR] = ACTIONS(4818),
    [anon_sym_DASH_GT] = ACTIONS(4818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4826),
  },
  [1801] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5889),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6462),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6462),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1802] = {
    [sym_template_argument_list] = STATE(1900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4846),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym___extension__] = ACTIONS(4510),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4507),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4510),
    [anon_sym_volatile] = ACTIONS(4510),
    [anon_sym_restrict] = ACTIONS(4510),
    [anon_sym___restrict__] = ACTIONS(4510),
    [anon_sym__Atomic] = ACTIONS(4510),
    [anon_sym__Noreturn] = ACTIONS(4510),
    [anon_sym_noreturn] = ACTIONS(4510),
    [anon_sym_mutable] = ACTIONS(4510),
    [anon_sym_constinit] = ACTIONS(4510),
    [anon_sym_consteval] = ACTIONS(4510),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4505),
    [anon_sym_or_eq] = ACTIONS(4505),
    [anon_sym_xor_eq] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4505),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4505),
    [anon_sym_not_eq] = ACTIONS(4505),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4510),
    [anon_sym_decltype] = ACTIONS(4510),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1803] = {
    [sym__declaration_modifiers] = STATE(2167),
    [sym__declaration_specifiers] = STATE(4022),
    [sym_attribute_specifier] = STATE(2167),
    [sym_attribute_declaration] = STATE(2167),
    [sym_ms_declspec_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2167),
    [sym_type_qualifier] = STATE(2167),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_parameter_declaration] = STATE(7241),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2167),
    [sym_dependent_type] = STATE(2673),
    [sym_optional_parameter_declaration] = STATE(7241),
    [sym_variadic_parameter_declaration] = STATE(7241),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2167),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1778),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [1804] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [aux_sym_preproc_else_token1] = ACTIONS(1950),
    [aux_sym_preproc_elif_token1] = ACTIONS(1950),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_friend] = ACTIONS(1950),
    [anon_sym_public] = ACTIONS(1950),
    [anon_sym_private] = ACTIONS(1950),
    [anon_sym_protected] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
  },
  [1805] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5981),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6447),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6447),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [aux_sym_preproc_else_token1] = ACTIONS(1922),
    [aux_sym_preproc_elif_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_friend] = ACTIONS(2486),
    [anon_sym_public] = ACTIONS(2486),
    [anon_sym_private] = ACTIONS(2486),
    [anon_sym_protected] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
  },
  [1808] = {
    [sym_template_argument_list] = STATE(1856),
    [sym_identifier] = ACTIONS(4849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3662),
    [anon_sym_COMMA] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(3662),
    [aux_sym_preproc_if_token2] = ACTIONS(3662),
    [aux_sym_preproc_else_token1] = ACTIONS(3662),
    [aux_sym_preproc_elif_token1] = ACTIONS(4849),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3662),
    [anon_sym_LPAREN2] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(4849),
    [anon_sym_PLUS] = ACTIONS(4849),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4849),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(3662),
    [anon_sym_PIPE] = ACTIONS(4849),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_EQ_EQ] = ACTIONS(3662),
    [anon_sym_BANG_EQ] = ACTIONS(3662),
    [anon_sym_GT] = ACTIONS(4849),
    [anon_sym_GT_EQ] = ACTIONS(3662),
    [anon_sym_LT_EQ] = ACTIONS(4849),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_RBRACK] = ACTIONS(3662),
    [anon_sym_EQ] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4849),
    [anon_sym_QMARK] = ACTIONS(3662),
    [anon_sym_STAR_EQ] = ACTIONS(3662),
    [anon_sym_SLASH_EQ] = ACTIONS(3662),
    [anon_sym_PERCENT_EQ] = ACTIONS(3662),
    [anon_sym_PLUS_EQ] = ACTIONS(3662),
    [anon_sym_DASH_EQ] = ACTIONS(3662),
    [anon_sym_LT_LT_EQ] = ACTIONS(3662),
    [anon_sym_GT_GT_EQ] = ACTIONS(3662),
    [anon_sym_AMP_EQ] = ACTIONS(3662),
    [anon_sym_CARET_EQ] = ACTIONS(3662),
    [anon_sym_PIPE_EQ] = ACTIONS(3662),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(3662),
    [anon_sym_or] = ACTIONS(4849),
    [anon_sym_and] = ACTIONS(4849),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4849),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DOT] = ACTIONS(4849),
    [anon_sym_DOT_STAR] = ACTIONS(3662),
    [anon_sym_DASH_GT] = ACTIONS(3662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
  },
  [1809] = {
    [sym_template_argument_list] = STATE(1856),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4510),
    [anon_sym_COMMA] = ACTIONS(4510),
    [anon_sym_RPAREN] = ACTIONS(4510),
    [aux_sym_preproc_if_token2] = ACTIONS(4510),
    [aux_sym_preproc_else_token1] = ACTIONS(4510),
    [aux_sym_preproc_elif_token1] = ACTIONS(4503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4510),
    [anon_sym_LPAREN2] = ACTIONS(4510),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4510),
    [anon_sym_AMP_AMP] = ACTIONS(4510),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4510),
    [anon_sym_BANG_EQ] = ACTIONS(4510),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4510),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4853),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4510),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_RBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_RBRACK] = ACTIONS(4510),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4510),
    [anon_sym_STAR_EQ] = ACTIONS(4510),
    [anon_sym_SLASH_EQ] = ACTIONS(4510),
    [anon_sym_PERCENT_EQ] = ACTIONS(4510),
    [anon_sym_PLUS_EQ] = ACTIONS(4510),
    [anon_sym_DASH_EQ] = ACTIONS(4510),
    [anon_sym_LT_LT_EQ] = ACTIONS(4510),
    [anon_sym_GT_GT_EQ] = ACTIONS(4510),
    [anon_sym_AMP_EQ] = ACTIONS(4510),
    [anon_sym_CARET_EQ] = ACTIONS(4510),
    [anon_sym_PIPE_EQ] = ACTIONS(4510),
    [anon_sym_and_eq] = ACTIONS(4503),
    [anon_sym_or_eq] = ACTIONS(4503),
    [anon_sym_xor_eq] = ACTIONS(4503),
    [anon_sym_LT_EQ_GT] = ACTIONS(4510),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4510),
    [anon_sym_DASH_GT] = ACTIONS(4510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [anon_sym_final] = ACTIONS(4503),
    [anon_sym_override] = ACTIONS(4503),
  },
  [1810] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6027),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6442),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6442),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1811] = {
    [sym_argument_list] = STATE(2510),
    [sym_initializer_list] = STATE(2510),
    [sym_decltype_auto] = STATE(2103),
    [sym_new_declarator] = STATE(2104),
    [sym_identifier] = ACTIONS(4856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_RPAREN] = ACTIONS(4858),
    [aux_sym_preproc_if_token2] = ACTIONS(4858),
    [aux_sym_preproc_else_token1] = ACTIONS(4858),
    [aux_sym_preproc_elif_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4856),
    [anon_sym_PLUS] = ACTIONS(4856),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4856),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4856),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4856),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_GT] = ACTIONS(4856),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4856),
    [anon_sym_LT] = ACTIONS(4856),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___attribute__] = ACTIONS(4856),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4856),
    [anon_sym_COLON] = ACTIONS(4858),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_and_eq] = ACTIONS(4856),
    [anon_sym_or_eq] = ACTIONS(4856),
    [anon_sym_xor_eq] = ACTIONS(4856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4858),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4858),
    [anon_sym_PLUS_PLUS] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4856),
    [anon_sym_DOT_STAR] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4826),
  },
  [1812] = {
    [sym_string_literal] = STATE(1741),
    [sym_raw_string_literal] = STATE(1741),
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [1813] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6037),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6462),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6462),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1814] = {
    [sym_string_literal] = STATE(1741),
    [sym_raw_string_literal] = STATE(1741),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [aux_sym_preproc_if_token2] = ACTIONS(3638),
    [aux_sym_preproc_else_token1] = ACTIONS(3638),
    [aux_sym_preproc_elif_token1] = ACTIONS(3646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3646),
    [anon_sym_or_eq] = ACTIONS(3646),
    [anon_sym_xor_eq] = ACTIONS(3646),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [1815] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6061),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6482),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6482),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1816] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5868),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6482),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6482),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1817] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(6012),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6456),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6456),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1818] = {
    [sym_argument_list] = STATE(2540),
    [sym_initializer_list] = STATE(2540),
    [sym_decltype_auto] = STATE(2103),
    [sym_new_declarator] = STATE(2091),
    [sym_identifier] = ACTIONS(4866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4868),
    [anon_sym_COMMA] = ACTIONS(4868),
    [anon_sym_RPAREN] = ACTIONS(4868),
    [aux_sym_preproc_if_token2] = ACTIONS(4868),
    [aux_sym_preproc_else_token1] = ACTIONS(4868),
    [aux_sym_preproc_elif_token1] = ACTIONS(4866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4866),
    [anon_sym_PLUS] = ACTIONS(4866),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4866),
    [anon_sym_PERCENT] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4868),
    [anon_sym_AMP_AMP] = ACTIONS(4868),
    [anon_sym_PIPE] = ACTIONS(4866),
    [anon_sym_CARET] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4868),
    [anon_sym_BANG_EQ] = ACTIONS(4868),
    [anon_sym_GT] = ACTIONS(4866),
    [anon_sym_GT_EQ] = ACTIONS(4868),
    [anon_sym_LT_EQ] = ACTIONS(4866),
    [anon_sym_LT] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4866),
    [anon_sym_GT_GT] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4868),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4868),
    [anon_sym_STAR_EQ] = ACTIONS(4868),
    [anon_sym_SLASH_EQ] = ACTIONS(4868),
    [anon_sym_PERCENT_EQ] = ACTIONS(4868),
    [anon_sym_PLUS_EQ] = ACTIONS(4868),
    [anon_sym_DASH_EQ] = ACTIONS(4868),
    [anon_sym_LT_LT_EQ] = ACTIONS(4868),
    [anon_sym_GT_GT_EQ] = ACTIONS(4868),
    [anon_sym_AMP_EQ] = ACTIONS(4868),
    [anon_sym_CARET_EQ] = ACTIONS(4868),
    [anon_sym_PIPE_EQ] = ACTIONS(4868),
    [anon_sym_and_eq] = ACTIONS(4866),
    [anon_sym_or_eq] = ACTIONS(4866),
    [anon_sym_xor_eq] = ACTIONS(4866),
    [anon_sym_LT_EQ_GT] = ACTIONS(4868),
    [anon_sym_or] = ACTIONS(4866),
    [anon_sym_and] = ACTIONS(4866),
    [anon_sym_bitor] = ACTIONS(4866),
    [anon_sym_xor] = ACTIONS(4866),
    [anon_sym_bitand] = ACTIONS(4866),
    [anon_sym_not_eq] = ACTIONS(4866),
    [anon_sym_DASH_DASH] = ACTIONS(4868),
    [anon_sym_PLUS_PLUS] = ACTIONS(4868),
    [anon_sym_DOT] = ACTIONS(4866),
    [anon_sym_DOT_STAR] = ACTIONS(4868),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4826),
  },
  [1819] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5901),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6485),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6485),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1820] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5895),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6456),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6456),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1821] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5937),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6467),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6467),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1822] = {
    [sym_argument_list] = STATE(2499),
    [sym_initializer_list] = STATE(2499),
    [sym_decltype_auto] = STATE(2103),
    [sym_new_declarator] = STATE(2135),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4872),
    [anon_sym_COMMA] = ACTIONS(4872),
    [anon_sym_RPAREN] = ACTIONS(4872),
    [aux_sym_preproc_if_token2] = ACTIONS(4872),
    [aux_sym_preproc_else_token1] = ACTIONS(4872),
    [aux_sym_preproc_elif_token1] = ACTIONS(4870),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(4870),
    [anon_sym_PLUS] = ACTIONS(4870),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4870),
    [anon_sym_PERCENT] = ACTIONS(4870),
    [anon_sym_PIPE_PIPE] = ACTIONS(4872),
    [anon_sym_AMP_AMP] = ACTIONS(4872),
    [anon_sym_PIPE] = ACTIONS(4870),
    [anon_sym_CARET] = ACTIONS(4870),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4872),
    [anon_sym_BANG_EQ] = ACTIONS(4872),
    [anon_sym_GT] = ACTIONS(4870),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_LT_EQ] = ACTIONS(4870),
    [anon_sym_LT] = ACTIONS(4870),
    [anon_sym_LT_LT] = ACTIONS(4870),
    [anon_sym_GT_GT] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4870),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4870),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4872),
    [anon_sym_STAR_EQ] = ACTIONS(4872),
    [anon_sym_SLASH_EQ] = ACTIONS(4872),
    [anon_sym_PERCENT_EQ] = ACTIONS(4872),
    [anon_sym_PLUS_EQ] = ACTIONS(4872),
    [anon_sym_DASH_EQ] = ACTIONS(4872),
    [anon_sym_LT_LT_EQ] = ACTIONS(4872),
    [anon_sym_GT_GT_EQ] = ACTIONS(4872),
    [anon_sym_AMP_EQ] = ACTIONS(4872),
    [anon_sym_CARET_EQ] = ACTIONS(4872),
    [anon_sym_PIPE_EQ] = ACTIONS(4872),
    [anon_sym_and_eq] = ACTIONS(4870),
    [anon_sym_or_eq] = ACTIONS(4870),
    [anon_sym_xor_eq] = ACTIONS(4870),
    [anon_sym_LT_EQ_GT] = ACTIONS(4872),
    [anon_sym_or] = ACTIONS(4870),
    [anon_sym_and] = ACTIONS(4870),
    [anon_sym_bitor] = ACTIONS(4870),
    [anon_sym_xor] = ACTIONS(4870),
    [anon_sym_bitand] = ACTIONS(4870),
    [anon_sym_not_eq] = ACTIONS(4870),
    [anon_sym_DASH_DASH] = ACTIONS(4872),
    [anon_sym_PLUS_PLUS] = ACTIONS(4872),
    [anon_sym_DOT] = ACTIONS(4870),
    [anon_sym_DOT_STAR] = ACTIONS(4872),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4826),
  },
  [1823] = {
    [sym__declaration_modifiers] = STATE(3676),
    [sym_attribute_specifier] = STATE(3676),
    [sym_attribute_declaration] = STATE(3676),
    [sym_ms_declspec_modifier] = STATE(3676),
    [sym_ms_based_modifier] = STATE(8245),
    [sym__declarator] = STATE(6426),
    [sym_parenthesized_declarator] = STATE(6069),
    [sym_attributed_declarator] = STATE(6069),
    [sym_pointer_declarator] = STATE(6069),
    [sym_function_declarator] = STATE(5910),
    [sym_array_declarator] = STATE(6069),
    [sym_storage_class_specifier] = STATE(3676),
    [sym_type_qualifier] = STATE(3676),
    [sym_decltype] = STATE(8136),
    [sym_alignas_specifier] = STATE(3676),
    [sym_explicit_function_specifier] = STATE(3676),
    [sym_operator_cast] = STATE(6442),
    [sym__constructor_specifiers] = STATE(3676),
    [sym_reference_declarator] = STATE(6069),
    [sym_structured_binding_declarator] = STATE(6069),
    [sym_template_type] = STATE(8136),
    [sym_template_function] = STATE(6069),
    [sym_destructor_name] = STATE(6069),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(5303),
    [sym_qualified_identifier] = STATE(6069),
    [sym_qualified_operator_cast_identifier] = STATE(6442),
    [sym_operator_name] = STATE(6069),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3676),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(4830),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym___attribute__] = ACTIONS(4834),
    [anon_sym_COLON_COLON] = ACTIONS(4836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4838),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_register] = ACTIONS(4832),
    [anon_sym_inline] = ACTIONS(4832),
    [anon_sym___inline] = ACTIONS(4832),
    [anon_sym___inline__] = ACTIONS(4832),
    [anon_sym___forceinline] = ACTIONS(4832),
    [anon_sym_thread_local] = ACTIONS(4832),
    [anon_sym___thread] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4830),
    [anon_sym_constexpr] = ACTIONS(4830),
    [anon_sym_volatile] = ACTIONS(4830),
    [anon_sym_restrict] = ACTIONS(4830),
    [anon_sym___restrict__] = ACTIONS(4830),
    [anon_sym__Atomic] = ACTIONS(4830),
    [anon_sym__Noreturn] = ACTIONS(4830),
    [anon_sym_noreturn] = ACTIONS(4830),
    [anon_sym_mutable] = ACTIONS(4830),
    [anon_sym_constinit] = ACTIONS(4830),
    [anon_sym_consteval] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1908),
    [sym_virtual] = ACTIONS(4842),
    [anon_sym_alignas] = ACTIONS(4844),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1410),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(4874),
    [aux_sym_preproc_def_token1] = ACTIONS(4874),
    [aux_sym_preproc_if_token1] = ACTIONS(4874),
    [aux_sym_preproc_if_token2] = ACTIONS(4874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4874),
    [aux_sym_preproc_else_token1] = ACTIONS(4874),
    [aux_sym_preproc_elif_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4874),
    [sym_preproc_directive] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4876),
    [anon_sym_TILDE] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_AMP_AMP] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym_typedef] = ACTIONS(4874),
    [anon_sym_extern] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4876),
    [anon_sym___declspec] = ACTIONS(4874),
    [anon_sym___based] = ACTIONS(4874),
    [anon_sym_signed] = ACTIONS(4874),
    [anon_sym_unsigned] = ACTIONS(4874),
    [anon_sym_long] = ACTIONS(4874),
    [anon_sym_short] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_static] = ACTIONS(4874),
    [anon_sym_register] = ACTIONS(4874),
    [anon_sym_inline] = ACTIONS(4874),
    [anon_sym___inline] = ACTIONS(4874),
    [anon_sym___inline__] = ACTIONS(4874),
    [anon_sym___forceinline] = ACTIONS(4874),
    [anon_sym_thread_local] = ACTIONS(4874),
    [anon_sym___thread] = ACTIONS(4874),
    [anon_sym_const] = ACTIONS(4874),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [sym_primitive_type] = ACTIONS(4874),
    [anon_sym_enum] = ACTIONS(4874),
    [anon_sym_class] = ACTIONS(4874),
    [anon_sym_struct] = ACTIONS(4874),
    [anon_sym_union] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [sym_virtual] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym_explicit] = ACTIONS(4874),
    [anon_sym_typename] = ACTIONS(4874),
    [anon_sym_template] = ACTIONS(4874),
    [anon_sym_operator] = ACTIONS(4874),
    [anon_sym_friend] = ACTIONS(4874),
    [anon_sym_public] = ACTIONS(4874),
    [anon_sym_private] = ACTIONS(4874),
    [anon_sym_protected] = ACTIONS(4874),
    [anon_sym_using] = ACTIONS(4874),
    [anon_sym_static_assert] = ACTIONS(4874),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(4878),
    [aux_sym_preproc_def_token1] = ACTIONS(4878),
    [aux_sym_preproc_if_token1] = ACTIONS(4878),
    [aux_sym_preproc_if_token2] = ACTIONS(4878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4878),
    [aux_sym_preproc_else_token1] = ACTIONS(4878),
    [aux_sym_preproc_elif_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4878),
    [sym_preproc_directive] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4878),
    [anon_sym_typedef] = ACTIONS(4878),
    [anon_sym_extern] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4878),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4880),
    [anon_sym___declspec] = ACTIONS(4878),
    [anon_sym___based] = ACTIONS(4878),
    [anon_sym_signed] = ACTIONS(4878),
    [anon_sym_unsigned] = ACTIONS(4878),
    [anon_sym_long] = ACTIONS(4878),
    [anon_sym_short] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_static] = ACTIONS(4878),
    [anon_sym_register] = ACTIONS(4878),
    [anon_sym_inline] = ACTIONS(4878),
    [anon_sym___inline] = ACTIONS(4878),
    [anon_sym___inline__] = ACTIONS(4878),
    [anon_sym___forceinline] = ACTIONS(4878),
    [anon_sym_thread_local] = ACTIONS(4878),
    [anon_sym___thread] = ACTIONS(4878),
    [anon_sym_const] = ACTIONS(4878),
    [anon_sym_constexpr] = ACTIONS(4878),
    [anon_sym_volatile] = ACTIONS(4878),
    [anon_sym_restrict] = ACTIONS(4878),
    [anon_sym___restrict__] = ACTIONS(4878),
    [anon_sym__Atomic] = ACTIONS(4878),
    [anon_sym__Noreturn] = ACTIONS(4878),
    [anon_sym_noreturn] = ACTIONS(4878),
    [anon_sym_mutable] = ACTIONS(4878),
    [anon_sym_constinit] = ACTIONS(4878),
    [anon_sym_consteval] = ACTIONS(4878),
    [sym_primitive_type] = ACTIONS(4878),
    [anon_sym_enum] = ACTIONS(4878),
    [anon_sym_class] = ACTIONS(4878),
    [anon_sym_struct] = ACTIONS(4878),
    [anon_sym_union] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4878),
    [anon_sym_decltype] = ACTIONS(4878),
    [sym_virtual] = ACTIONS(4878),
    [anon_sym_alignas] = ACTIONS(4878),
    [anon_sym_explicit] = ACTIONS(4878),
    [anon_sym_typename] = ACTIONS(4878),
    [anon_sym_template] = ACTIONS(4878),
    [anon_sym_operator] = ACTIONS(4878),
    [anon_sym_friend] = ACTIONS(4878),
    [anon_sym_public] = ACTIONS(4878),
    [anon_sym_private] = ACTIONS(4878),
    [anon_sym_protected] = ACTIONS(4878),
    [anon_sym_using] = ACTIONS(4878),
    [anon_sym_static_assert] = ACTIONS(4878),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(4882),
    [aux_sym_preproc_def_token1] = ACTIONS(4882),
    [aux_sym_preproc_if_token1] = ACTIONS(4882),
    [aux_sym_preproc_if_token2] = ACTIONS(4882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4882),
    [aux_sym_preproc_else_token1] = ACTIONS(4882),
    [aux_sym_preproc_elif_token1] = ACTIONS(4882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4882),
    [sym_preproc_directive] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4884),
    [anon_sym_TILDE] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_AMP_AMP] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4882),
    [anon_sym_typedef] = ACTIONS(4882),
    [anon_sym_extern] = ACTIONS(4882),
    [anon_sym___attribute__] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4884),
    [anon_sym___declspec] = ACTIONS(4882),
    [anon_sym___based] = ACTIONS(4882),
    [anon_sym_signed] = ACTIONS(4882),
    [anon_sym_unsigned] = ACTIONS(4882),
    [anon_sym_long] = ACTIONS(4882),
    [anon_sym_short] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_static] = ACTIONS(4882),
    [anon_sym_register] = ACTIONS(4882),
    [anon_sym_inline] = ACTIONS(4882),
    [anon_sym___inline] = ACTIONS(4882),
    [anon_sym___inline__] = ACTIONS(4882),
    [anon_sym___forceinline] = ACTIONS(4882),
    [anon_sym_thread_local] = ACTIONS(4882),
    [anon_sym___thread] = ACTIONS(4882),
    [anon_sym_const] = ACTIONS(4882),
    [anon_sym_constexpr] = ACTIONS(4882),
    [anon_sym_volatile] = ACTIONS(4882),
    [anon_sym_restrict] = ACTIONS(4882),
    [anon_sym___restrict__] = ACTIONS(4882),
    [anon_sym__Atomic] = ACTIONS(4882),
    [anon_sym__Noreturn] = ACTIONS(4882),
    [anon_sym_noreturn] = ACTIONS(4882),
    [anon_sym_mutable] = ACTIONS(4882),
    [anon_sym_constinit] = ACTIONS(4882),
    [anon_sym_consteval] = ACTIONS(4882),
    [sym_primitive_type] = ACTIONS(4882),
    [anon_sym_enum] = ACTIONS(4882),
    [anon_sym_class] = ACTIONS(4882),
    [anon_sym_struct] = ACTIONS(4882),
    [anon_sym_union] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4882),
    [anon_sym_decltype] = ACTIONS(4882),
    [sym_virtual] = ACTIONS(4882),
    [anon_sym_alignas] = ACTIONS(4882),
    [anon_sym_explicit] = ACTIONS(4882),
    [anon_sym_typename] = ACTIONS(4882),
    [anon_sym_template] = ACTIONS(4882),
    [anon_sym_operator] = ACTIONS(4882),
    [anon_sym_friend] = ACTIONS(4882),
    [anon_sym_public] = ACTIONS(4882),
    [anon_sym_private] = ACTIONS(4882),
    [anon_sym_protected] = ACTIONS(4882),
    [anon_sym_using] = ACTIONS(4882),
    [anon_sym_static_assert] = ACTIONS(4882),
  },
  [1827] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [sym_virtual] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [1828] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_friend] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
  },
  [1829] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___based] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_mutable] = ACTIONS(2638),
    [anon_sym_constinit] = ACTIONS(2638),
    [anon_sym_consteval] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2638),
    [anon_sym_decltype] = ACTIONS(2638),
    [sym_virtual] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym_explicit] = ACTIONS(2638),
    [anon_sym_typename] = ACTIONS(2638),
    [anon_sym_template] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_friend] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_static_assert] = ACTIONS(2638),
  },
  [1830] = {
    [sym_identifier] = ACTIONS(2679),
    [aux_sym_preproc_def_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token1] = ACTIONS(2679),
    [aux_sym_preproc_if_token2] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2679),
    [aux_sym_preproc_else_token1] = ACTIONS(2679),
    [aux_sym_preproc_elif_token1] = ACTIONS(2679),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2679),
    [sym_preproc_directive] = ACTIONS(2679),
    [anon_sym_LPAREN2] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_typedef] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym___based] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [anon_sym_mutable] = ACTIONS(2679),
    [anon_sym_constinit] = ACTIONS(2679),
    [anon_sym_consteval] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2679),
    [anon_sym_decltype] = ACTIONS(2679),
    [sym_virtual] = ACTIONS(2679),
    [anon_sym_alignas] = ACTIONS(2679),
    [anon_sym_explicit] = ACTIONS(2679),
    [anon_sym_typename] = ACTIONS(2679),
    [anon_sym_template] = ACTIONS(2679),
    [anon_sym_operator] = ACTIONS(2679),
    [anon_sym_friend] = ACTIONS(2679),
    [anon_sym_public] = ACTIONS(2679),
    [anon_sym_private] = ACTIONS(2679),
    [anon_sym_protected] = ACTIONS(2679),
    [anon_sym_using] = ACTIONS(2679),
    [anon_sym_static_assert] = ACTIONS(2679),
  },
  [1831] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_friend] = ACTIONS(2782),
    [anon_sym_public] = ACTIONS(2782),
    [anon_sym_private] = ACTIONS(2782),
    [anon_sym_protected] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
  },
  [1833] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [aux_sym_preproc_else_token1] = ACTIONS(2738),
    [aux_sym_preproc_elif_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_AMP_AMP] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___based] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_mutable] = ACTIONS(2738),
    [anon_sym_constinit] = ACTIONS(2738),
    [anon_sym_consteval] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2738),
    [anon_sym_decltype] = ACTIONS(2738),
    [sym_virtual] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym_explicit] = ACTIONS(2738),
    [anon_sym_typename] = ACTIONS(2738),
    [anon_sym_template] = ACTIONS(2738),
    [anon_sym_operator] = ACTIONS(2738),
    [anon_sym_friend] = ACTIONS(2738),
    [anon_sym_public] = ACTIONS(2738),
    [anon_sym_private] = ACTIONS(2738),
    [anon_sym_protected] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_static_assert] = ACTIONS(2738),
  },
  [1834] = {
    [sym_identifier] = ACTIONS(4886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4886),
    [anon_sym_PLUS] = ACTIONS(4886),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4886),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4888),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4886),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4886),
    [anon_sym_EQ_EQ] = ACTIONS(4888),
    [anon_sym_BANG_EQ] = ACTIONS(4888),
    [anon_sym_GT] = ACTIONS(4886),
    [anon_sym_GT_EQ] = ACTIONS(4888),
    [anon_sym_LT_EQ] = ACTIONS(4886),
    [anon_sym_LT] = ACTIONS(4886),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4886),
    [anon_sym___attribute__] = ACTIONS(4886),
    [anon_sym_COLON_COLON] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4888),
    [anon_sym_RBRACE] = ACTIONS(4888),
    [anon_sym_signed] = ACTIONS(4886),
    [anon_sym_unsigned] = ACTIONS(4886),
    [anon_sym_long] = ACTIONS(4886),
    [anon_sym_short] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_RBRACK] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4886),
    [anon_sym_constexpr] = ACTIONS(4886),
    [anon_sym_volatile] = ACTIONS(4886),
    [anon_sym_restrict] = ACTIONS(4886),
    [anon_sym___restrict__] = ACTIONS(4886),
    [anon_sym__Atomic] = ACTIONS(4886),
    [anon_sym__Noreturn] = ACTIONS(4886),
    [anon_sym_noreturn] = ACTIONS(4886),
    [anon_sym_mutable] = ACTIONS(4886),
    [anon_sym_constinit] = ACTIONS(4886),
    [anon_sym_consteval] = ACTIONS(4886),
    [sym_primitive_type] = ACTIONS(4886),
    [anon_sym_COLON] = ACTIONS(4886),
    [anon_sym_QMARK] = ACTIONS(4888),
    [anon_sym_LT_EQ_GT] = ACTIONS(4888),
    [anon_sym_or] = ACTIONS(4886),
    [anon_sym_and] = ACTIONS(4886),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4886),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4888),
    [anon_sym_PLUS_PLUS] = ACTIONS(4888),
    [anon_sym_DOT] = ACTIONS(4886),
    [anon_sym_DOT_STAR] = ACTIONS(4888),
    [anon_sym_DASH_GT] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4886),
    [anon_sym_decltype] = ACTIONS(4886),
    [anon_sym_final] = ACTIONS(4886),
    [anon_sym_override] = ACTIONS(4886),
    [anon_sym_requires] = ACTIONS(4886),
  },
  [1835] = {
    [sym_identifier] = ACTIONS(2598),
    [aux_sym_preproc_def_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2598),
    [aux_sym_preproc_else_token1] = ACTIONS(2598),
    [aux_sym_preproc_elif_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2598),
    [sym_preproc_directive] = ACTIONS(2598),
    [anon_sym_LPAREN2] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2598),
    [anon_sym_typedef] = ACTIONS(2598),
    [anon_sym_extern] = ACTIONS(2598),
    [anon_sym___attribute__] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2600),
    [anon_sym___declspec] = ACTIONS(2598),
    [anon_sym___based] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_register] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym___inline] = ACTIONS(2598),
    [anon_sym___inline__] = ACTIONS(2598),
    [anon_sym___forceinline] = ACTIONS(2598),
    [anon_sym_thread_local] = ACTIONS(2598),
    [anon_sym___thread] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_constexpr] = ACTIONS(2598),
    [anon_sym_volatile] = ACTIONS(2598),
    [anon_sym_restrict] = ACTIONS(2598),
    [anon_sym___restrict__] = ACTIONS(2598),
    [anon_sym__Atomic] = ACTIONS(2598),
    [anon_sym__Noreturn] = ACTIONS(2598),
    [anon_sym_noreturn] = ACTIONS(2598),
    [anon_sym_mutable] = ACTIONS(2598),
    [anon_sym_constinit] = ACTIONS(2598),
    [anon_sym_consteval] = ACTIONS(2598),
    [sym_primitive_type] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_struct] = ACTIONS(2598),
    [anon_sym_union] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2598),
    [anon_sym_decltype] = ACTIONS(2598),
    [sym_virtual] = ACTIONS(2598),
    [anon_sym_alignas] = ACTIONS(2598),
    [anon_sym_explicit] = ACTIONS(2598),
    [anon_sym_typename] = ACTIONS(2598),
    [anon_sym_template] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_friend] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_static_assert] = ACTIONS(2598),
  },
  [1836] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [sym_virtual] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_friend] = ACTIONS(2770),
    [anon_sym_public] = ACTIONS(2770),
    [anon_sym_private] = ACTIONS(2770),
    [anon_sym_protected] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
  },
  [1837] = {
    [sym_identifier] = ACTIONS(2717),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token2] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2717),
    [aux_sym_preproc_else_token1] = ACTIONS(2717),
    [aux_sym_preproc_elif_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2717),
    [sym_preproc_directive] = ACTIONS(2717),
    [anon_sym_LPAREN2] = ACTIONS(2719),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2717),
    [anon_sym_typedef] = ACTIONS(2717),
    [anon_sym_extern] = ACTIONS(2717),
    [anon_sym___attribute__] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2719),
    [anon_sym___declspec] = ACTIONS(2717),
    [anon_sym___based] = ACTIONS(2717),
    [anon_sym_signed] = ACTIONS(2717),
    [anon_sym_unsigned] = ACTIONS(2717),
    [anon_sym_long] = ACTIONS(2717),
    [anon_sym_short] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_register] = ACTIONS(2717),
    [anon_sym_inline] = ACTIONS(2717),
    [anon_sym___inline] = ACTIONS(2717),
    [anon_sym___inline__] = ACTIONS(2717),
    [anon_sym___forceinline] = ACTIONS(2717),
    [anon_sym_thread_local] = ACTIONS(2717),
    [anon_sym___thread] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_constexpr] = ACTIONS(2717),
    [anon_sym_volatile] = ACTIONS(2717),
    [anon_sym_restrict] = ACTIONS(2717),
    [anon_sym___restrict__] = ACTIONS(2717),
    [anon_sym__Atomic] = ACTIONS(2717),
    [anon_sym__Noreturn] = ACTIONS(2717),
    [anon_sym_noreturn] = ACTIONS(2717),
    [anon_sym_mutable] = ACTIONS(2717),
    [anon_sym_constinit] = ACTIONS(2717),
    [anon_sym_consteval] = ACTIONS(2717),
    [sym_primitive_type] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_struct] = ACTIONS(2717),
    [anon_sym_union] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2717),
    [anon_sym_decltype] = ACTIONS(2717),
    [sym_virtual] = ACTIONS(2717),
    [anon_sym_alignas] = ACTIONS(2717),
    [anon_sym_explicit] = ACTIONS(2717),
    [anon_sym_typename] = ACTIONS(2717),
    [anon_sym_template] = ACTIONS(2717),
    [anon_sym_operator] = ACTIONS(2717),
    [anon_sym_friend] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_static_assert] = ACTIONS(2717),
  },
  [1838] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
  },
  [1839] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
  },
  [1840] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_friend] = ACTIONS(2536),
    [anon_sym_public] = ACTIONS(2536),
    [anon_sym_private] = ACTIONS(2536),
    [anon_sym_protected] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
  },
  [1841] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [1842] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4890),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym___based] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_signed] = ACTIONS(4890),
    [anon_sym_unsigned] = ACTIONS(4890),
    [anon_sym_long] = ACTIONS(4890),
    [anon_sym_short] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4890),
    [anon_sym_constexpr] = ACTIONS(4890),
    [anon_sym_volatile] = ACTIONS(4890),
    [anon_sym_restrict] = ACTIONS(4890),
    [anon_sym___restrict__] = ACTIONS(4890),
    [anon_sym__Atomic] = ACTIONS(4890),
    [anon_sym__Noreturn] = ACTIONS(4890),
    [anon_sym_noreturn] = ACTIONS(4890),
    [anon_sym_mutable] = ACTIONS(4890),
    [anon_sym_constinit] = ACTIONS(4890),
    [anon_sym_consteval] = ACTIONS(4890),
    [sym_primitive_type] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4890),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
    [anon_sym_final] = ACTIONS(4890),
    [anon_sym_override] = ACTIONS(4890),
    [anon_sym_requires] = ACTIONS(4890),
  },
  [1843] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2620),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___based] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_mutable] = ACTIONS(2618),
    [anon_sym_constinit] = ACTIONS(2618),
    [anon_sym_consteval] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2618),
    [anon_sym_decltype] = ACTIONS(2618),
    [sym_virtual] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym_explicit] = ACTIONS(2618),
    [anon_sym_typename] = ACTIONS(2618),
    [anon_sym_template] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_friend] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_static_assert] = ACTIONS(2618),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [sym_virtual] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_friend] = ACTIONS(2786),
    [anon_sym_public] = ACTIONS(2786),
    [anon_sym_private] = ACTIONS(2786),
    [anon_sym_protected] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
  },
  [1845] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4491),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym___based] = ACTIONS(4491),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_RBRACE] = ACTIONS(4493),
    [anon_sym_signed] = ACTIONS(4491),
    [anon_sym_unsigned] = ACTIONS(4491),
    [anon_sym_long] = ACTIONS(4491),
    [anon_sym_short] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_RBRACK] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4491),
    [anon_sym_constexpr] = ACTIONS(4491),
    [anon_sym_volatile] = ACTIONS(4491),
    [anon_sym_restrict] = ACTIONS(4491),
    [anon_sym___restrict__] = ACTIONS(4491),
    [anon_sym__Atomic] = ACTIONS(4491),
    [anon_sym__Noreturn] = ACTIONS(4491),
    [anon_sym_noreturn] = ACTIONS(4491),
    [anon_sym_mutable] = ACTIONS(4491),
    [anon_sym_constinit] = ACTIONS(4491),
    [anon_sym_consteval] = ACTIONS(4491),
    [sym_primitive_type] = ACTIONS(4491),
    [anon_sym_COLON] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [anon_sym_final] = ACTIONS(4491),
    [anon_sym_override] = ACTIONS(4491),
    [anon_sym_requires] = ACTIONS(4491),
  },
  [1846] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4522),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym_SEMI] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym___based] = ACTIONS(4520),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_RBRACE] = ACTIONS(4522),
    [anon_sym_signed] = ACTIONS(4520),
    [anon_sym_unsigned] = ACTIONS(4520),
    [anon_sym_long] = ACTIONS(4520),
    [anon_sym_short] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4522),
    [anon_sym_RBRACK] = ACTIONS(4522),
    [anon_sym_const] = ACTIONS(4520),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [sym_primitive_type] = ACTIONS(4520),
    [anon_sym_COLON] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_final] = ACTIONS(4520),
    [anon_sym_override] = ACTIONS(4520),
    [anon_sym_requires] = ACTIONS(4520),
  },
  [1847] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4526),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4526),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4526),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4526),
    [anon_sym_GT_GT] = ACTIONS(4526),
    [anon_sym_SEMI] = ACTIONS(4526),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym___based] = ACTIONS(4524),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_RBRACE] = ACTIONS(4526),
    [anon_sym_signed] = ACTIONS(4524),
    [anon_sym_unsigned] = ACTIONS(4524),
    [anon_sym_long] = ACTIONS(4524),
    [anon_sym_short] = ACTIONS(4524),
    [anon_sym_LBRACK] = ACTIONS(4526),
    [anon_sym_RBRACK] = ACTIONS(4526),
    [anon_sym_const] = ACTIONS(4524),
    [anon_sym_constexpr] = ACTIONS(4524),
    [anon_sym_volatile] = ACTIONS(4524),
    [anon_sym_restrict] = ACTIONS(4524),
    [anon_sym___restrict__] = ACTIONS(4524),
    [anon_sym__Atomic] = ACTIONS(4524),
    [anon_sym__Noreturn] = ACTIONS(4524),
    [anon_sym_noreturn] = ACTIONS(4524),
    [anon_sym_mutable] = ACTIONS(4524),
    [anon_sym_constinit] = ACTIONS(4524),
    [anon_sym_consteval] = ACTIONS(4524),
    [sym_primitive_type] = ACTIONS(4524),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [anon_sym_final] = ACTIONS(4524),
    [anon_sym_override] = ACTIONS(4524),
    [anon_sym_requires] = ACTIONS(4524),
  },
  [1848] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [1849] = {
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [sym_primitive_type] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [sym_virtual] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_friend] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
  },
  [1850] = {
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
  },
  [1851] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym___based] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_signed] = ACTIONS(4528),
    [anon_sym_unsigned] = ACTIONS(4528),
    [anon_sym_long] = ACTIONS(4528),
    [anon_sym_short] = ACTIONS(4528),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_RBRACK] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4528),
    [anon_sym_constexpr] = ACTIONS(4528),
    [anon_sym_volatile] = ACTIONS(4528),
    [anon_sym_restrict] = ACTIONS(4528),
    [anon_sym___restrict__] = ACTIONS(4528),
    [anon_sym__Atomic] = ACTIONS(4528),
    [anon_sym__Noreturn] = ACTIONS(4528),
    [anon_sym_noreturn] = ACTIONS(4528),
    [anon_sym_mutable] = ACTIONS(4528),
    [anon_sym_constinit] = ACTIONS(4528),
    [anon_sym_consteval] = ACTIONS(4528),
    [sym_primitive_type] = ACTIONS(4528),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [anon_sym_final] = ACTIONS(4528),
    [anon_sym_override] = ACTIONS(4528),
    [anon_sym_requires] = ACTIONS(4528),
  },
  [1852] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_friend] = ACTIONS(2742),
    [anon_sym_public] = ACTIONS(2742),
    [anon_sym_private] = ACTIONS(2742),
    [anon_sym_protected] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
  },
  [1853] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [sym_primitive_type] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1854] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_friend] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
  },
  [1855] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_friend] = ACTIONS(2897),
    [anon_sym_public] = ACTIONS(2897),
    [anon_sym_private] = ACTIONS(2897),
    [anon_sym_protected] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
  },
  [1856] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4539),
    [anon_sym_RPAREN] = ACTIONS(4539),
    [aux_sym_preproc_if_token2] = ACTIONS(4539),
    [aux_sym_preproc_else_token1] = ACTIONS(4539),
    [aux_sym_preproc_elif_token1] = ACTIONS(4532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4539),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4539),
    [anon_sym_AMP_AMP] = ACTIONS(4539),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4539),
    [anon_sym_BANG_EQ] = ACTIONS(4539),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4539),
    [anon_sym_LT_EQ] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_SEMI] = ACTIONS(4539),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_RBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4539),
    [anon_sym_RBRACK] = ACTIONS(4539),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4539),
    [anon_sym_STAR_EQ] = ACTIONS(4539),
    [anon_sym_SLASH_EQ] = ACTIONS(4539),
    [anon_sym_PERCENT_EQ] = ACTIONS(4539),
    [anon_sym_PLUS_EQ] = ACTIONS(4539),
    [anon_sym_DASH_EQ] = ACTIONS(4539),
    [anon_sym_LT_LT_EQ] = ACTIONS(4539),
    [anon_sym_GT_GT_EQ] = ACTIONS(4539),
    [anon_sym_AMP_EQ] = ACTIONS(4539),
    [anon_sym_CARET_EQ] = ACTIONS(4539),
    [anon_sym_PIPE_EQ] = ACTIONS(4539),
    [anon_sym_and_eq] = ACTIONS(4532),
    [anon_sym_or_eq] = ACTIONS(4532),
    [anon_sym_xor_eq] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4539),
    [anon_sym_or] = ACTIONS(4532),
    [anon_sym_and] = ACTIONS(4532),
    [anon_sym_bitor] = ACTIONS(4532),
    [anon_sym_xor] = ACTIONS(4532),
    [anon_sym_bitand] = ACTIONS(4532),
    [anon_sym_not_eq] = ACTIONS(4532),
    [anon_sym_DASH_DASH] = ACTIONS(4539),
    [anon_sym_PLUS_PLUS] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_DOT_STAR] = ACTIONS(4539),
    [anon_sym_DASH_GT] = ACTIONS(4539),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [anon_sym_final] = ACTIONS(4532),
    [anon_sym_override] = ACTIONS(4532),
  },
  [1857] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [sym_primitive_type] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1858] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [aux_sym_preproc_if_token2] = ACTIONS(4902),
    [aux_sym_preproc_else_token1] = ACTIONS(4902),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4902),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4900),
    [anon_sym_or_eq] = ACTIONS(4900),
    [anon_sym_xor_eq] = ACTIONS(4900),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_final] = ACTIONS(4900),
    [anon_sym_override] = ACTIONS(4900),
  },
  [1859] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_friend] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_protected] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
  },
  [1860] = {
    [sym_identifier] = ACTIONS(4904),
    [aux_sym_preproc_def_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token1] = ACTIONS(4904),
    [aux_sym_preproc_if_token2] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4904),
    [aux_sym_preproc_else_token1] = ACTIONS(4904),
    [aux_sym_preproc_elif_token1] = ACTIONS(4904),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4904),
    [sym_preproc_directive] = ACTIONS(4904),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_STAR] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_typedef] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym_signed] = ACTIONS(4904),
    [anon_sym_unsigned] = ACTIONS(4904),
    [anon_sym_long] = ACTIONS(4904),
    [anon_sym_short] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [sym_primitive_type] = ACTIONS(4904),
    [anon_sym_enum] = ACTIONS(4904),
    [anon_sym_class] = ACTIONS(4904),
    [anon_sym_struct] = ACTIONS(4904),
    [anon_sym_union] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [sym_virtual] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym_explicit] = ACTIONS(4904),
    [anon_sym_typename] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
    [anon_sym_friend] = ACTIONS(4904),
    [anon_sym_public] = ACTIONS(4904),
    [anon_sym_private] = ACTIONS(4904),
    [anon_sym_protected] = ACTIONS(4904),
    [anon_sym_using] = ACTIONS(4904),
    [anon_sym_static_assert] = ACTIONS(4904),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [aux_sym_preproc_else_token1] = ACTIONS(2732),
    [aux_sym_preproc_elif_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_friend] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
  },
  [1862] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [aux_sym_preproc_else_token1] = ACTIONS(2746),
    [aux_sym_preproc_elif_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_AMP_AMP] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___based] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_mutable] = ACTIONS(2746),
    [anon_sym_constinit] = ACTIONS(2746),
    [anon_sym_consteval] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2746),
    [anon_sym_decltype] = ACTIONS(2746),
    [sym_virtual] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym_explicit] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2746),
    [anon_sym_template] = ACTIONS(2746),
    [anon_sym_operator] = ACTIONS(2746),
    [anon_sym_friend] = ACTIONS(2746),
    [anon_sym_public] = ACTIONS(2746),
    [anon_sym_private] = ACTIONS(2746),
    [anon_sym_protected] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_static_assert] = ACTIONS(2746),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4489),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4489),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4489),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4489),
    [anon_sym_GT_GT] = ACTIONS(4489),
    [anon_sym_SEMI] = ACTIONS(4489),
    [anon_sym___extension__] = ACTIONS(4487),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym___based] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_RBRACE] = ACTIONS(4489),
    [anon_sym_signed] = ACTIONS(4487),
    [anon_sym_unsigned] = ACTIONS(4487),
    [anon_sym_long] = ACTIONS(4487),
    [anon_sym_short] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_const] = ACTIONS(4487),
    [anon_sym_constexpr] = ACTIONS(4487),
    [anon_sym_volatile] = ACTIONS(4487),
    [anon_sym_restrict] = ACTIONS(4487),
    [anon_sym___restrict__] = ACTIONS(4487),
    [anon_sym__Atomic] = ACTIONS(4487),
    [anon_sym__Noreturn] = ACTIONS(4487),
    [anon_sym_noreturn] = ACTIONS(4487),
    [anon_sym_mutable] = ACTIONS(4487),
    [anon_sym_constinit] = ACTIONS(4487),
    [anon_sym_consteval] = ACTIONS(4487),
    [sym_primitive_type] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [anon_sym_final] = ACTIONS(4487),
    [anon_sym_override] = ACTIONS(4487),
    [anon_sym_requires] = ACTIONS(4487),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(4908),
    [aux_sym_preproc_def_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token1] = ACTIONS(4908),
    [aux_sym_preproc_if_token2] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4908),
    [aux_sym_preproc_else_token1] = ACTIONS(4908),
    [aux_sym_preproc_elif_token1] = ACTIONS(4908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4908),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4908),
    [sym_preproc_directive] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_typedef] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym_signed] = ACTIONS(4908),
    [anon_sym_unsigned] = ACTIONS(4908),
    [anon_sym_long] = ACTIONS(4908),
    [anon_sym_short] = ACTIONS(4908),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [sym_primitive_type] = ACTIONS(4908),
    [anon_sym_enum] = ACTIONS(4908),
    [anon_sym_class] = ACTIONS(4908),
    [anon_sym_struct] = ACTIONS(4908),
    [anon_sym_union] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [sym_virtual] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym_explicit] = ACTIONS(4908),
    [anon_sym_typename] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
    [anon_sym_friend] = ACTIONS(4908),
    [anon_sym_public] = ACTIONS(4908),
    [anon_sym_private] = ACTIONS(4908),
    [anon_sym_protected] = ACTIONS(4908),
    [anon_sym_using] = ACTIONS(4908),
    [anon_sym_static_assert] = ACTIONS(4908),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(4912),
    [aux_sym_preproc_def_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token1] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [sym_preproc_directive] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4914),
    [anon_sym_TILDE] = ACTIONS(4914),
    [anon_sym_STAR] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4914),
    [anon_sym_AMP] = ACTIONS(4912),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_typedef] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4914),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym_signed] = ACTIONS(4912),
    [anon_sym_unsigned] = ACTIONS(4912),
    [anon_sym_long] = ACTIONS(4912),
    [anon_sym_short] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [sym_primitive_type] = ACTIONS(4912),
    [anon_sym_enum] = ACTIONS(4912),
    [anon_sym_class] = ACTIONS(4912),
    [anon_sym_struct] = ACTIONS(4912),
    [anon_sym_union] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [sym_virtual] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym_explicit] = ACTIONS(4912),
    [anon_sym_typename] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
    [anon_sym_friend] = ACTIONS(4912),
    [anon_sym_public] = ACTIONS(4912),
    [anon_sym_private] = ACTIONS(4912),
    [anon_sym_protected] = ACTIONS(4912),
    [anon_sym_using] = ACTIONS(4912),
    [anon_sym_static_assert] = ACTIONS(4912),
  },
  [1866] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_friend] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
  },
  [1867] = {
    [sym_identifier] = ACTIONS(4916),
    [aux_sym_preproc_def_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token2] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4916),
    [aux_sym_preproc_else_token1] = ACTIONS(4916),
    [aux_sym_preproc_elif_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4916),
    [sym_preproc_directive] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4918),
    [anon_sym_TILDE] = ACTIONS(4918),
    [anon_sym_STAR] = ACTIONS(4918),
    [anon_sym_AMP_AMP] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(4916),
    [anon_sym___extension__] = ACTIONS(4916),
    [anon_sym_typedef] = ACTIONS(4916),
    [anon_sym_extern] = ACTIONS(4916),
    [anon_sym___attribute__] = ACTIONS(4916),
    [anon_sym_COLON_COLON] = ACTIONS(4918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4918),
    [anon_sym___declspec] = ACTIONS(4916),
    [anon_sym___based] = ACTIONS(4916),
    [anon_sym_signed] = ACTIONS(4916),
    [anon_sym_unsigned] = ACTIONS(4916),
    [anon_sym_long] = ACTIONS(4916),
    [anon_sym_short] = ACTIONS(4916),
    [anon_sym_LBRACK] = ACTIONS(4916),
    [anon_sym_static] = ACTIONS(4916),
    [anon_sym_register] = ACTIONS(4916),
    [anon_sym_inline] = ACTIONS(4916),
    [anon_sym___inline] = ACTIONS(4916),
    [anon_sym___inline__] = ACTIONS(4916),
    [anon_sym___forceinline] = ACTIONS(4916),
    [anon_sym_thread_local] = ACTIONS(4916),
    [anon_sym___thread] = ACTIONS(4916),
    [anon_sym_const] = ACTIONS(4916),
    [anon_sym_constexpr] = ACTIONS(4916),
    [anon_sym_volatile] = ACTIONS(4916),
    [anon_sym_restrict] = ACTIONS(4916),
    [anon_sym___restrict__] = ACTIONS(4916),
    [anon_sym__Atomic] = ACTIONS(4916),
    [anon_sym__Noreturn] = ACTIONS(4916),
    [anon_sym_noreturn] = ACTIONS(4916),
    [anon_sym_mutable] = ACTIONS(4916),
    [anon_sym_constinit] = ACTIONS(4916),
    [anon_sym_consteval] = ACTIONS(4916),
    [sym_primitive_type] = ACTIONS(4916),
    [anon_sym_enum] = ACTIONS(4916),
    [anon_sym_class] = ACTIONS(4916),
    [anon_sym_struct] = ACTIONS(4916),
    [anon_sym_union] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4916),
    [anon_sym_decltype] = ACTIONS(4916),
    [sym_virtual] = ACTIONS(4916),
    [anon_sym_alignas] = ACTIONS(4916),
    [anon_sym_explicit] = ACTIONS(4916),
    [anon_sym_typename] = ACTIONS(4916),
    [anon_sym_template] = ACTIONS(4916),
    [anon_sym_operator] = ACTIONS(4916),
    [anon_sym_friend] = ACTIONS(4916),
    [anon_sym_public] = ACTIONS(4916),
    [anon_sym_private] = ACTIONS(4916),
    [anon_sym_protected] = ACTIONS(4916),
    [anon_sym_using] = ACTIONS(4916),
    [anon_sym_static_assert] = ACTIONS(4916),
  },
  [1868] = {
    [sym_identifier] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token2] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [aux_sym_preproc_else_token1] = ACTIONS(4920),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_TILDE] = ACTIONS(4922),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym_typedef] = ACTIONS(4920),
    [anon_sym_extern] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4922),
    [anon_sym___declspec] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_static] = ACTIONS(4920),
    [anon_sym_register] = ACTIONS(4920),
    [anon_sym_inline] = ACTIONS(4920),
    [anon_sym___inline] = ACTIONS(4920),
    [anon_sym___inline__] = ACTIONS(4920),
    [anon_sym___forceinline] = ACTIONS(4920),
    [anon_sym_thread_local] = ACTIONS(4920),
    [anon_sym___thread] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_enum] = ACTIONS(4920),
    [anon_sym_class] = ACTIONS(4920),
    [anon_sym_struct] = ACTIONS(4920),
    [anon_sym_union] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [sym_virtual] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym_explicit] = ACTIONS(4920),
    [anon_sym_typename] = ACTIONS(4920),
    [anon_sym_template] = ACTIONS(4920),
    [anon_sym_operator] = ACTIONS(4920),
    [anon_sym_friend] = ACTIONS(4920),
    [anon_sym_public] = ACTIONS(4920),
    [anon_sym_private] = ACTIONS(4920),
    [anon_sym_protected] = ACTIONS(4920),
    [anon_sym_using] = ACTIONS(4920),
    [anon_sym_static_assert] = ACTIONS(4920),
  },
  [1869] = {
    [sym_type_qualifier] = STATE(1869),
    [aux_sym__type_definition_type_repeat1] = STATE(1869),
    [sym_identifier] = ACTIONS(4924),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_BANG] = ACTIONS(4926),
    [anon_sym_TILDE] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4924),
    [anon_sym_STAR] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(4926),
    [anon_sym___extension__] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4928),
    [anon_sym_volatile] = ACTIONS(4928),
    [anon_sym_restrict] = ACTIONS(4928),
    [anon_sym___restrict__] = ACTIONS(4928),
    [anon_sym__Atomic] = ACTIONS(4928),
    [anon_sym__Noreturn] = ACTIONS(4928),
    [anon_sym_noreturn] = ACTIONS(4928),
    [anon_sym_mutable] = ACTIONS(4928),
    [anon_sym_constinit] = ACTIONS(4928),
    [anon_sym_consteval] = ACTIONS(4928),
    [sym_primitive_type] = ACTIONS(4924),
    [anon_sym_not] = ACTIONS(4924),
    [anon_sym_compl] = ACTIONS(4924),
    [anon_sym_DASH_DASH] = ACTIONS(4926),
    [anon_sym_PLUS_PLUS] = ACTIONS(4926),
    [anon_sym_sizeof] = ACTIONS(4924),
    [anon_sym___alignof__] = ACTIONS(4924),
    [anon_sym___alignof] = ACTIONS(4924),
    [anon_sym__alignof] = ACTIONS(4924),
    [anon_sym_alignof] = ACTIONS(4924),
    [anon_sym__Alignof] = ACTIONS(4924),
    [anon_sym_offsetof] = ACTIONS(4924),
    [anon_sym__Generic] = ACTIONS(4924),
    [anon_sym_asm] = ACTIONS(4924),
    [anon_sym___asm__] = ACTIONS(4924),
    [sym_number_literal] = ACTIONS(4926),
    [anon_sym_L_SQUOTE] = ACTIONS(4926),
    [anon_sym_u_SQUOTE] = ACTIONS(4926),
    [anon_sym_U_SQUOTE] = ACTIONS(4926),
    [anon_sym_u8_SQUOTE] = ACTIONS(4926),
    [anon_sym_SQUOTE] = ACTIONS(4926),
    [anon_sym_L_DQUOTE] = ACTIONS(4926),
    [anon_sym_u_DQUOTE] = ACTIONS(4926),
    [anon_sym_U_DQUOTE] = ACTIONS(4926),
    [anon_sym_u8_DQUOTE] = ACTIONS(4926),
    [anon_sym_DQUOTE] = ACTIONS(4926),
    [sym_true] = ACTIONS(4924),
    [sym_false] = ACTIONS(4924),
    [anon_sym_NULL] = ACTIONS(4924),
    [anon_sym_nullptr] = ACTIONS(4924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4924),
    [anon_sym_template] = ACTIONS(4924),
    [anon_sym_delete] = ACTIONS(4924),
    [anon_sym_R_DQUOTE] = ACTIONS(4926),
    [anon_sym_LR_DQUOTE] = ACTIONS(4926),
    [anon_sym_uR_DQUOTE] = ACTIONS(4926),
    [anon_sym_UR_DQUOTE] = ACTIONS(4926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4926),
    [anon_sym_co_await] = ACTIONS(4924),
    [anon_sym_new] = ACTIONS(4924),
    [anon_sym_requires] = ACTIONS(4924),
    [sym_this] = ACTIONS(4924),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4902),
    [anon_sym_GT_GT] = ACTIONS(4902),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_signed] = ACTIONS(4900),
    [anon_sym_unsigned] = ACTIONS(4900),
    [anon_sym_long] = ACTIONS(4900),
    [anon_sym_short] = ACTIONS(4900),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [sym_primitive_type] = ACTIONS(4900),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_final] = ACTIONS(4900),
    [anon_sym_override] = ACTIONS(4900),
    [anon_sym_requires] = ACTIONS(4900),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___based] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_mutable] = ACTIONS(2654),
    [anon_sym_constinit] = ACTIONS(2654),
    [anon_sym_consteval] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2654),
    [anon_sym_decltype] = ACTIONS(2654),
    [sym_virtual] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym_explicit] = ACTIONS(2654),
    [anon_sym_typename] = ACTIONS(2654),
    [anon_sym_template] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_friend] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_static_assert] = ACTIONS(2654),
  },
  [1872] = {
    [sym_string_literal] = STATE(2017),
    [sym_template_argument_list] = STATE(3072),
    [sym_raw_string_literal] = STATE(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4580),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4931),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token2] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [aux_sym_preproc_else_token1] = ACTIONS(4920),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_TILDE] = ACTIONS(4922),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym_typedef] = ACTIONS(4920),
    [anon_sym_extern] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4922),
    [anon_sym___declspec] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_static] = ACTIONS(4920),
    [anon_sym_register] = ACTIONS(4920),
    [anon_sym_inline] = ACTIONS(4920),
    [anon_sym___inline] = ACTIONS(4920),
    [anon_sym___inline__] = ACTIONS(4920),
    [anon_sym___forceinline] = ACTIONS(4920),
    [anon_sym_thread_local] = ACTIONS(4920),
    [anon_sym___thread] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_enum] = ACTIONS(4920),
    [anon_sym_class] = ACTIONS(4920),
    [anon_sym_struct] = ACTIONS(4920),
    [anon_sym_union] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [sym_virtual] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym_explicit] = ACTIONS(4920),
    [anon_sym_typename] = ACTIONS(4920),
    [anon_sym_template] = ACTIONS(4920),
    [anon_sym_operator] = ACTIONS(4920),
    [anon_sym_friend] = ACTIONS(4920),
    [anon_sym_public] = ACTIONS(4920),
    [anon_sym_private] = ACTIONS(4920),
    [anon_sym_protected] = ACTIONS(4920),
    [anon_sym_using] = ACTIONS(4920),
    [anon_sym_static_assert] = ACTIONS(4920),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token1] = ACTIONS(4920),
    [aux_sym_preproc_if_token2] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4920),
    [aux_sym_preproc_else_token1] = ACTIONS(4920),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4920),
    [sym_preproc_directive] = ACTIONS(4920),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_TILDE] = ACTIONS(4922),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym_typedef] = ACTIONS(4920),
    [anon_sym_extern] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4922),
    [anon_sym___declspec] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_static] = ACTIONS(4920),
    [anon_sym_register] = ACTIONS(4920),
    [anon_sym_inline] = ACTIONS(4920),
    [anon_sym___inline] = ACTIONS(4920),
    [anon_sym___inline__] = ACTIONS(4920),
    [anon_sym___forceinline] = ACTIONS(4920),
    [anon_sym_thread_local] = ACTIONS(4920),
    [anon_sym___thread] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_enum] = ACTIONS(4920),
    [anon_sym_class] = ACTIONS(4920),
    [anon_sym_struct] = ACTIONS(4920),
    [anon_sym_union] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [sym_virtual] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym_explicit] = ACTIONS(4920),
    [anon_sym_typename] = ACTIONS(4920),
    [anon_sym_template] = ACTIONS(4920),
    [anon_sym_operator] = ACTIONS(4920),
    [anon_sym_friend] = ACTIONS(4920),
    [anon_sym_public] = ACTIONS(4920),
    [anon_sym_private] = ACTIONS(4920),
    [anon_sym_protected] = ACTIONS(4920),
    [anon_sym_using] = ACTIONS(4920),
    [anon_sym_static_assert] = ACTIONS(4920),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(4916),
    [aux_sym_preproc_def_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token1] = ACTIONS(4916),
    [aux_sym_preproc_if_token2] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4916),
    [aux_sym_preproc_else_token1] = ACTIONS(4916),
    [aux_sym_preproc_elif_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4916),
    [sym_preproc_directive] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4918),
    [anon_sym_TILDE] = ACTIONS(4918),
    [anon_sym_STAR] = ACTIONS(4918),
    [anon_sym_AMP_AMP] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(4916),
    [anon_sym___extension__] = ACTIONS(4916),
    [anon_sym_typedef] = ACTIONS(4916),
    [anon_sym_extern] = ACTIONS(4916),
    [anon_sym___attribute__] = ACTIONS(4916),
    [anon_sym_COLON_COLON] = ACTIONS(4918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4918),
    [anon_sym___declspec] = ACTIONS(4916),
    [anon_sym___based] = ACTIONS(4916),
    [anon_sym_signed] = ACTIONS(4916),
    [anon_sym_unsigned] = ACTIONS(4916),
    [anon_sym_long] = ACTIONS(4916),
    [anon_sym_short] = ACTIONS(4916),
    [anon_sym_LBRACK] = ACTIONS(4916),
    [anon_sym_static] = ACTIONS(4916),
    [anon_sym_register] = ACTIONS(4916),
    [anon_sym_inline] = ACTIONS(4916),
    [anon_sym___inline] = ACTIONS(4916),
    [anon_sym___inline__] = ACTIONS(4916),
    [anon_sym___forceinline] = ACTIONS(4916),
    [anon_sym_thread_local] = ACTIONS(4916),
    [anon_sym___thread] = ACTIONS(4916),
    [anon_sym_const] = ACTIONS(4916),
    [anon_sym_constexpr] = ACTIONS(4916),
    [anon_sym_volatile] = ACTIONS(4916),
    [anon_sym_restrict] = ACTIONS(4916),
    [anon_sym___restrict__] = ACTIONS(4916),
    [anon_sym__Atomic] = ACTIONS(4916),
    [anon_sym__Noreturn] = ACTIONS(4916),
    [anon_sym_noreturn] = ACTIONS(4916),
    [anon_sym_mutable] = ACTIONS(4916),
    [anon_sym_constinit] = ACTIONS(4916),
    [anon_sym_consteval] = ACTIONS(4916),
    [sym_primitive_type] = ACTIONS(4916),
    [anon_sym_enum] = ACTIONS(4916),
    [anon_sym_class] = ACTIONS(4916),
    [anon_sym_struct] = ACTIONS(4916),
    [anon_sym_union] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4916),
    [anon_sym_decltype] = ACTIONS(4916),
    [sym_virtual] = ACTIONS(4916),
    [anon_sym_alignas] = ACTIONS(4916),
    [anon_sym_explicit] = ACTIONS(4916),
    [anon_sym_typename] = ACTIONS(4916),
    [anon_sym_template] = ACTIONS(4916),
    [anon_sym_operator] = ACTIONS(4916),
    [anon_sym_friend] = ACTIONS(4916),
    [anon_sym_public] = ACTIONS(4916),
    [anon_sym_private] = ACTIONS(4916),
    [anon_sym_protected] = ACTIONS(4916),
    [anon_sym_using] = ACTIONS(4916),
    [anon_sym_static_assert] = ACTIONS(4916),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(4487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4489),
    [anon_sym_COMMA] = ACTIONS(4489),
    [anon_sym_RPAREN] = ACTIONS(4489),
    [aux_sym_preproc_if_token2] = ACTIONS(4489),
    [aux_sym_preproc_else_token1] = ACTIONS(4489),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4487),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4489),
    [anon_sym_AMP_AMP] = ACTIONS(4489),
    [anon_sym_PIPE] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4489),
    [anon_sym_BANG_EQ] = ACTIONS(4489),
    [anon_sym_GT] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4489),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4487),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4487),
    [anon_sym_SEMI] = ACTIONS(4489),
    [anon_sym___attribute__] = ACTIONS(4487),
    [anon_sym_COLON_COLON] = ACTIONS(4489),
    [anon_sym_LBRACE] = ACTIONS(4489),
    [anon_sym_RBRACE] = ACTIONS(4489),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_EQ] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4489),
    [anon_sym_STAR_EQ] = ACTIONS(4489),
    [anon_sym_SLASH_EQ] = ACTIONS(4489),
    [anon_sym_PERCENT_EQ] = ACTIONS(4489),
    [anon_sym_PLUS_EQ] = ACTIONS(4489),
    [anon_sym_DASH_EQ] = ACTIONS(4489),
    [anon_sym_LT_LT_EQ] = ACTIONS(4489),
    [anon_sym_GT_GT_EQ] = ACTIONS(4489),
    [anon_sym_AMP_EQ] = ACTIONS(4489),
    [anon_sym_CARET_EQ] = ACTIONS(4489),
    [anon_sym_PIPE_EQ] = ACTIONS(4489),
    [anon_sym_and_eq] = ACTIONS(4487),
    [anon_sym_or_eq] = ACTIONS(4487),
    [anon_sym_xor_eq] = ACTIONS(4487),
    [anon_sym_LT_EQ_GT] = ACTIONS(4489),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_bitor] = ACTIONS(4487),
    [anon_sym_xor] = ACTIONS(4487),
    [anon_sym_bitand] = ACTIONS(4487),
    [anon_sym_not_eq] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4489),
    [anon_sym_DOT] = ACTIONS(4487),
    [anon_sym_DOT_STAR] = ACTIONS(4489),
    [anon_sym_DASH_GT] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4487),
    [anon_sym_decltype] = ACTIONS(4487),
    [anon_sym_final] = ACTIONS(4487),
    [anon_sym_override] = ACTIONS(4487),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [aux_sym_preproc_if_token2] = ACTIONS(4501),
    [aux_sym_preproc_else_token1] = ACTIONS(4501),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
  },
  [1878] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4497),
    [aux_sym_preproc_else_token1] = ACTIONS(4497),
    [aux_sym_preproc_elif_token1] = ACTIONS(4495),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4495),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_and_eq] = ACTIONS(4495),
    [anon_sym_or_eq] = ACTIONS(4495),
    [anon_sym_xor_eq] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [anon_sym_final] = ACTIONS(4495),
    [anon_sym_override] = ACTIONS(4495),
  },
  [1879] = {
    [sym_template_argument_list] = STATE(1993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4507),
    [anon_sym_COMMA] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4507),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4512),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4935),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym___extension__] = ACTIONS(4510),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_LBRACK] = ACTIONS(4507),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4510),
    [anon_sym_volatile] = ACTIONS(4510),
    [anon_sym_restrict] = ACTIONS(4510),
    [anon_sym___restrict__] = ACTIONS(4510),
    [anon_sym__Atomic] = ACTIONS(4510),
    [anon_sym__Noreturn] = ACTIONS(4510),
    [anon_sym_noreturn] = ACTIONS(4510),
    [anon_sym_mutable] = ACTIONS(4510),
    [anon_sym_constinit] = ACTIONS(4510),
    [anon_sym_consteval] = ACTIONS(4510),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4512),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4505),
    [anon_sym_or_eq] = ACTIONS(4505),
    [anon_sym_xor_eq] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4505),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4505),
    [anon_sym_not_eq] = ACTIONS(4505),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4510),
    [anon_sym_decltype] = ACTIONS(4510),
    [anon_sym_GT2] = ACTIONS(4507),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [aux_sym_preproc_else_token1] = ACTIONS(2883),
    [aux_sym_preproc_elif_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_friend] = ACTIONS(2883),
    [anon_sym_public] = ACTIONS(2883),
    [anon_sym_private] = ACTIONS(2883),
    [anon_sym_protected] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_friend] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_protected] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4501),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4501),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4501),
    [anon_sym_GT_GT] = ACTIONS(4501),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_signed] = ACTIONS(4499),
    [anon_sym_unsigned] = ACTIONS(4499),
    [anon_sym_long] = ACTIONS(4499),
    [anon_sym_short] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [sym_primitive_type] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
    [anon_sym_requires] = ACTIONS(4499),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_AMP_AMP] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___based] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_mutable] = ACTIONS(2742),
    [anon_sym_constinit] = ACTIONS(2742),
    [anon_sym_consteval] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2742),
    [anon_sym_decltype] = ACTIONS(2742),
    [sym_virtual] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym_explicit] = ACTIONS(2742),
    [anon_sym_typename] = ACTIONS(2742),
    [anon_sym_template] = ACTIONS(2742),
    [anon_sym_operator] = ACTIONS(2742),
    [anon_sym_friend] = ACTIONS(2742),
    [anon_sym_public] = ACTIONS(2742),
    [anon_sym_private] = ACTIONS(2742),
    [anon_sym_protected] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_static_assert] = ACTIONS(2742),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(4938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4940),
    [anon_sym_COMMA] = ACTIONS(4940),
    [anon_sym_RPAREN] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4940),
    [anon_sym_PIPE_PIPE] = ACTIONS(4940),
    [anon_sym_AMP_AMP] = ACTIONS(4940),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4940),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4940),
    [anon_sym_BANG_EQ] = ACTIONS(4940),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4940),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4940),
    [anon_sym_GT_GT] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4940),
    [anon_sym___extension__] = ACTIONS(4938),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym_COLON_COLON] = ACTIONS(4940),
    [anon_sym___based] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4940),
    [anon_sym_RBRACE] = ACTIONS(4940),
    [anon_sym_signed] = ACTIONS(4938),
    [anon_sym_unsigned] = ACTIONS(4938),
    [anon_sym_long] = ACTIONS(4938),
    [anon_sym_short] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_RBRACK] = ACTIONS(4940),
    [anon_sym_const] = ACTIONS(4938),
    [anon_sym_constexpr] = ACTIONS(4938),
    [anon_sym_volatile] = ACTIONS(4938),
    [anon_sym_restrict] = ACTIONS(4938),
    [anon_sym___restrict__] = ACTIONS(4938),
    [anon_sym__Atomic] = ACTIONS(4938),
    [anon_sym__Noreturn] = ACTIONS(4938),
    [anon_sym_noreturn] = ACTIONS(4938),
    [anon_sym_mutable] = ACTIONS(4938),
    [anon_sym_constinit] = ACTIONS(4938),
    [anon_sym_consteval] = ACTIONS(4938),
    [sym_primitive_type] = ACTIONS(4938),
    [anon_sym_COLON] = ACTIONS(4938),
    [anon_sym_QMARK] = ACTIONS(4940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4940),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4940),
    [anon_sym_PLUS_PLUS] = ACTIONS(4940),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4940),
    [anon_sym_DASH_GT] = ACTIONS(4940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_final] = ACTIONS(4938),
    [anon_sym_override] = ACTIONS(4938),
    [anon_sym_requires] = ACTIONS(4938),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(2721),
    [aux_sym_preproc_def_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token1] = ACTIONS(2721),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2721),
    [aux_sym_preproc_elif_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2721),
    [anon_sym_LPAREN2] = ACTIONS(2723),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym___extension__] = ACTIONS(2721),
    [anon_sym_typedef] = ACTIONS(2721),
    [anon_sym_extern] = ACTIONS(2721),
    [anon_sym___attribute__] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2723),
    [anon_sym___declspec] = ACTIONS(2721),
    [anon_sym___based] = ACTIONS(2721),
    [anon_sym_signed] = ACTIONS(2721),
    [anon_sym_unsigned] = ACTIONS(2721),
    [anon_sym_long] = ACTIONS(2721),
    [anon_sym_short] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_register] = ACTIONS(2721),
    [anon_sym_inline] = ACTIONS(2721),
    [anon_sym___inline] = ACTIONS(2721),
    [anon_sym___inline__] = ACTIONS(2721),
    [anon_sym___forceinline] = ACTIONS(2721),
    [anon_sym_thread_local] = ACTIONS(2721),
    [anon_sym___thread] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_constexpr] = ACTIONS(2721),
    [anon_sym_volatile] = ACTIONS(2721),
    [anon_sym_restrict] = ACTIONS(2721),
    [anon_sym___restrict__] = ACTIONS(2721),
    [anon_sym__Atomic] = ACTIONS(2721),
    [anon_sym__Noreturn] = ACTIONS(2721),
    [anon_sym_noreturn] = ACTIONS(2721),
    [anon_sym_mutable] = ACTIONS(2721),
    [anon_sym_constinit] = ACTIONS(2721),
    [anon_sym_consteval] = ACTIONS(2721),
    [sym_primitive_type] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_struct] = ACTIONS(2721),
    [anon_sym_union] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2721),
    [anon_sym_decltype] = ACTIONS(2721),
    [sym_virtual] = ACTIONS(2721),
    [anon_sym_alignas] = ACTIONS(2721),
    [anon_sym_explicit] = ACTIONS(2721),
    [anon_sym_typename] = ACTIONS(2721),
    [anon_sym_template] = ACTIONS(2721),
    [anon_sym_operator] = ACTIONS(2721),
    [anon_sym_friend] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_static_assert] = ACTIONS(2721),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(4495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_RPAREN] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_STAR] = ACTIONS(4497),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4495),
    [anon_sym_CARET] = ACTIONS(4497),
    [anon_sym_AMP] = ACTIONS(4495),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_GT] = ACTIONS(4495),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4495),
    [anon_sym_LT] = ACTIONS(4495),
    [anon_sym_LT_LT] = ACTIONS(4497),
    [anon_sym_GT_GT] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym___based] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_signed] = ACTIONS(4495),
    [anon_sym_unsigned] = ACTIONS(4495),
    [anon_sym_long] = ACTIONS(4495),
    [anon_sym_short] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_const] = ACTIONS(4495),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [sym_primitive_type] = ACTIONS(4495),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_LT_EQ_GT] = ACTIONS(4497),
    [anon_sym_or] = ACTIONS(4495),
    [anon_sym_and] = ACTIONS(4495),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4495),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4497),
    [anon_sym_PLUS_PLUS] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4495),
    [anon_sym_DOT_STAR] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [anon_sym_final] = ACTIONS(4495),
    [anon_sym_override] = ACTIONS(4495),
    [anon_sym_requires] = ACTIONS(4495),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_friend] = ACTIONS(2754),
    [anon_sym_public] = ACTIONS(2754),
    [anon_sym_private] = ACTIONS(2754),
    [anon_sym_protected] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [aux_sym_preproc_else_token1] = ACTIONS(2810),
    [aux_sym_preproc_elif_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [sym_virtual] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_friend] = ACTIONS(2810),
    [anon_sym_public] = ACTIONS(2810),
    [anon_sym_private] = ACTIONS(2810),
    [anon_sym_protected] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(4938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4940),
    [anon_sym_COMMA] = ACTIONS(4940),
    [anon_sym_RPAREN] = ACTIONS(4940),
    [aux_sym_preproc_if_token2] = ACTIONS(4940),
    [aux_sym_preproc_else_token1] = ACTIONS(4940),
    [aux_sym_preproc_elif_token1] = ACTIONS(4938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4940),
    [anon_sym_AMP_AMP] = ACTIONS(4940),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4940),
    [anon_sym_BANG_EQ] = ACTIONS(4940),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4940),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym_COLON_COLON] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4940),
    [anon_sym_RBRACE] = ACTIONS(4940),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_RBRACK] = ACTIONS(4940),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_COLON] = ACTIONS(4938),
    [anon_sym_QMARK] = ACTIONS(4940),
    [anon_sym_STAR_EQ] = ACTIONS(4940),
    [anon_sym_SLASH_EQ] = ACTIONS(4940),
    [anon_sym_PERCENT_EQ] = ACTIONS(4940),
    [anon_sym_PLUS_EQ] = ACTIONS(4940),
    [anon_sym_DASH_EQ] = ACTIONS(4940),
    [anon_sym_LT_LT_EQ] = ACTIONS(4940),
    [anon_sym_GT_GT_EQ] = ACTIONS(4940),
    [anon_sym_AMP_EQ] = ACTIONS(4940),
    [anon_sym_CARET_EQ] = ACTIONS(4940),
    [anon_sym_PIPE_EQ] = ACTIONS(4940),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4940),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4940),
    [anon_sym_PLUS_PLUS] = ACTIONS(4940),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4940),
    [anon_sym_DASH_GT] = ACTIONS(4940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_final] = ACTIONS(4938),
    [anon_sym_override] = ACTIONS(4938),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2713),
    [aux_sym_preproc_def_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token1] = ACTIONS(2713),
    [aux_sym_preproc_if_token2] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2713),
    [aux_sym_preproc_else_token1] = ACTIONS(2713),
    [aux_sym_preproc_elif_token1] = ACTIONS(2713),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2713),
    [sym_preproc_directive] = ACTIONS(2713),
    [anon_sym_LPAREN2] = ACTIONS(2715),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym___extension__] = ACTIONS(2713),
    [anon_sym_typedef] = ACTIONS(2713),
    [anon_sym_extern] = ACTIONS(2713),
    [anon_sym___attribute__] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2715),
    [anon_sym___declspec] = ACTIONS(2713),
    [anon_sym___based] = ACTIONS(2713),
    [anon_sym_signed] = ACTIONS(2713),
    [anon_sym_unsigned] = ACTIONS(2713),
    [anon_sym_long] = ACTIONS(2713),
    [anon_sym_short] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_register] = ACTIONS(2713),
    [anon_sym_inline] = ACTIONS(2713),
    [anon_sym___inline] = ACTIONS(2713),
    [anon_sym___inline__] = ACTIONS(2713),
    [anon_sym___forceinline] = ACTIONS(2713),
    [anon_sym_thread_local] = ACTIONS(2713),
    [anon_sym___thread] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_constexpr] = ACTIONS(2713),
    [anon_sym_volatile] = ACTIONS(2713),
    [anon_sym_restrict] = ACTIONS(2713),
    [anon_sym___restrict__] = ACTIONS(2713),
    [anon_sym__Atomic] = ACTIONS(2713),
    [anon_sym__Noreturn] = ACTIONS(2713),
    [anon_sym_noreturn] = ACTIONS(2713),
    [anon_sym_mutable] = ACTIONS(2713),
    [anon_sym_constinit] = ACTIONS(2713),
    [anon_sym_consteval] = ACTIONS(2713),
    [sym_primitive_type] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_struct] = ACTIONS(2713),
    [anon_sym_union] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2713),
    [anon_sym_decltype] = ACTIONS(2713),
    [sym_virtual] = ACTIONS(2713),
    [anon_sym_alignas] = ACTIONS(2713),
    [anon_sym_explicit] = ACTIONS(2713),
    [anon_sym_typename] = ACTIONS(2713),
    [anon_sym_template] = ACTIONS(2713),
    [anon_sym_operator] = ACTIONS(2713),
    [anon_sym_friend] = ACTIONS(2713),
    [anon_sym_public] = ACTIONS(2713),
    [anon_sym_private] = ACTIONS(2713),
    [anon_sym_protected] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_static_assert] = ACTIONS(2713),
  },
  [1892] = {
    [sym_string_literal] = STATE(1741),
    [sym_template_argument_list] = STATE(2779),
    [sym_raw_string_literal] = STATE(1741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4945),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4572),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(4948),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_friend] = ACTIONS(2758),
    [anon_sym_public] = ACTIONS(2758),
    [anon_sym_private] = ACTIONS(2758),
    [anon_sym_protected] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_friend] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
  },
  [1895] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4931),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [aux_sym_preproc_else_token1] = ACTIONS(2646),
    [aux_sym_preproc_elif_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym_COLON_COLON] = ACTIONS(2648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___based] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_mutable] = ACTIONS(2646),
    [anon_sym_constinit] = ACTIONS(2646),
    [anon_sym_consteval] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2646),
    [anon_sym_decltype] = ACTIONS(2646),
    [sym_virtual] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym_explicit] = ACTIONS(2646),
    [anon_sym_typename] = ACTIONS(2646),
    [anon_sym_template] = ACTIONS(2646),
    [anon_sym_operator] = ACTIONS(2646),
    [anon_sym_friend] = ACTIONS(2646),
    [anon_sym_public] = ACTIONS(2646),
    [anon_sym_private] = ACTIONS(2646),
    [anon_sym_protected] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(2646),
    [anon_sym_static_assert] = ACTIONS(2646),
  },
  [1897] = {
    [sym_string_literal] = STATE(1741),
    [sym_template_argument_list] = STATE(2232),
    [sym_raw_string_literal] = STATE(1741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(4931),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4634),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4931),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [sym_virtual] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1900] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4534),
    [anon_sym_COMMA] = ACTIONS(4534),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym___extension__] = ACTIONS(4539),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4541),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4539),
    [anon_sym_volatile] = ACTIONS(4539),
    [anon_sym_restrict] = ACTIONS(4539),
    [anon_sym___restrict__] = ACTIONS(4539),
    [anon_sym__Atomic] = ACTIONS(4539),
    [anon_sym__Noreturn] = ACTIONS(4539),
    [anon_sym_noreturn] = ACTIONS(4539),
    [anon_sym_mutable] = ACTIONS(4539),
    [anon_sym_constinit] = ACTIONS(4539),
    [anon_sym_consteval] = ACTIONS(4539),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4539),
    [anon_sym_decltype] = ACTIONS(4539),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4534),
  },
  [1901] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3721),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1902] = {
    [sym_string_literal] = STATE(1741),
    [sym_raw_string_literal] = STATE(1741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_RBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_COLON] = ACTIONS(3638),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3646),
    [anon_sym_or_eq] = ACTIONS(3646),
    [anon_sym_xor_eq] = ACTIONS(3646),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1905] = {
    [sym_decltype_auto] = STATE(1979),
    [sym_identifier] = ACTIONS(4954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4956),
    [anon_sym_COMMA] = ACTIONS(4956),
    [anon_sym_RPAREN] = ACTIONS(4956),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(4954),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_SLASH] = ACTIONS(4954),
    [anon_sym_PERCENT] = ACTIONS(4956),
    [anon_sym_PIPE_PIPE] = ACTIONS(4956),
    [anon_sym_AMP_AMP] = ACTIONS(4956),
    [anon_sym_PIPE] = ACTIONS(4954),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(4954),
    [anon_sym_EQ_EQ] = ACTIONS(4956),
    [anon_sym_BANG_EQ] = ACTIONS(4956),
    [anon_sym_GT] = ACTIONS(4954),
    [anon_sym_GT_EQ] = ACTIONS(4956),
    [anon_sym_LT_EQ] = ACTIONS(4954),
    [anon_sym_LT] = ACTIONS(4954),
    [anon_sym_LT_LT] = ACTIONS(4956),
    [anon_sym_GT_GT] = ACTIONS(4956),
    [anon_sym_SEMI] = ACTIONS(4956),
    [anon_sym___extension__] = ACTIONS(4954),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym___based] = ACTIONS(4954),
    [anon_sym_LBRACE] = ACTIONS(4956),
    [anon_sym_RBRACE] = ACTIONS(4956),
    [anon_sym_signed] = ACTIONS(4954),
    [anon_sym_unsigned] = ACTIONS(4954),
    [anon_sym_long] = ACTIONS(4954),
    [anon_sym_short] = ACTIONS(4954),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [anon_sym_const] = ACTIONS(4954),
    [anon_sym_constexpr] = ACTIONS(4954),
    [anon_sym_volatile] = ACTIONS(4954),
    [anon_sym_restrict] = ACTIONS(4954),
    [anon_sym___restrict__] = ACTIONS(4954),
    [anon_sym__Atomic] = ACTIONS(4954),
    [anon_sym__Noreturn] = ACTIONS(4954),
    [anon_sym_noreturn] = ACTIONS(4954),
    [anon_sym_mutable] = ACTIONS(4954),
    [anon_sym_constinit] = ACTIONS(4954),
    [anon_sym_consteval] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(4954),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_QMARK] = ACTIONS(4956),
    [anon_sym_LT_EQ_GT] = ACTIONS(4956),
    [anon_sym_or] = ACTIONS(4954),
    [anon_sym_and] = ACTIONS(4954),
    [anon_sym_bitor] = ACTIONS(4954),
    [anon_sym_xor] = ACTIONS(4954),
    [anon_sym_bitand] = ACTIONS(4954),
    [anon_sym_not_eq] = ACTIONS(4954),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_DOT_STAR] = ACTIONS(4956),
    [anon_sym_DASH_GT] = ACTIONS(4956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4958),
    [anon_sym_decltype] = ACTIONS(4960),
    [anon_sym_final] = ACTIONS(4954),
    [anon_sym_override] = ACTIONS(4954),
    [anon_sym_requires] = ACTIONS(4954),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [aux_sym_preproc_else_token1] = ACTIONS(2879),
    [aux_sym_preproc_elif_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_friend] = ACTIONS(2879),
    [anon_sym_public] = ACTIONS(2879),
    [anon_sym_private] = ACTIONS(2879),
    [anon_sym_protected] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
  },
  [1907] = {
    [sym_string_literal] = STATE(1741),
    [sym_raw_string_literal] = STATE(1741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_COLON] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [anon_sym_L_DQUOTE] = ACTIONS(1902),
    [anon_sym_u_DQUOTE] = ACTIONS(1902),
    [anon_sym_U_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8_DQUOTE] = ACTIONS(1902),
    [anon_sym_DQUOTE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1912),
    [anon_sym_LR_DQUOTE] = ACTIONS(1912),
    [anon_sym_uR_DQUOTE] = ACTIONS(1912),
    [anon_sym_UR_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1912),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token2] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [aux_sym_preproc_else_token1] = ACTIONS(2709),
    [aux_sym_preproc_elif_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2711),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(2711),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2711),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [sym_primitive_type] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [sym_virtual] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_friend] = ACTIONS(2709),
    [anon_sym_public] = ACTIONS(2709),
    [anon_sym_private] = ACTIONS(2709),
    [anon_sym_protected] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
  },
  [1910] = {
    [sym_string_literal] = STATE(2017),
    [sym_template_argument_list] = STATE(2987),
    [sym_raw_string_literal] = STATE(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4569),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4572),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(4948),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [1911] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(4962),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_COMMA] = ACTIONS(4493),
    [anon_sym_RPAREN] = ACTIONS(4493),
    [aux_sym_preproc_if_token2] = ACTIONS(4493),
    [aux_sym_preproc_else_token1] = ACTIONS(4493),
    [aux_sym_preproc_elif_token1] = ACTIONS(4491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_STAR] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4491),
    [anon_sym_PERCENT] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(4491),
    [anon_sym_EQ_EQ] = ACTIONS(4493),
    [anon_sym_BANG_EQ] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4491),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4491),
    [anon_sym_LT_LT] = ACTIONS(4491),
    [anon_sym_GT_GT] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4493),
    [anon_sym_RBRACE] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_RBRACK] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4491),
    [anon_sym_COLON] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4493),
    [anon_sym_STAR_EQ] = ACTIONS(4493),
    [anon_sym_SLASH_EQ] = ACTIONS(4493),
    [anon_sym_PERCENT_EQ] = ACTIONS(4493),
    [anon_sym_PLUS_EQ] = ACTIONS(4493),
    [anon_sym_DASH_EQ] = ACTIONS(4493),
    [anon_sym_LT_LT_EQ] = ACTIONS(4493),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4493),
    [anon_sym_CARET_EQ] = ACTIONS(4493),
    [anon_sym_PIPE_EQ] = ACTIONS(4493),
    [anon_sym_and_eq] = ACTIONS(4491),
    [anon_sym_or_eq] = ACTIONS(4491),
    [anon_sym_xor_eq] = ACTIONS(4491),
    [anon_sym_LT_EQ_GT] = ACTIONS(4493),
    [anon_sym_or] = ACTIONS(4491),
    [anon_sym_and] = ACTIONS(4491),
    [anon_sym_bitor] = ACTIONS(4491),
    [anon_sym_xor] = ACTIONS(4491),
    [anon_sym_bitand] = ACTIONS(4491),
    [anon_sym_not_eq] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4493),
    [anon_sym_DOT] = ACTIONS(4491),
    [anon_sym_DOT_STAR] = ACTIONS(4493),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4491),
    [anon_sym_decltype] = ACTIONS(4491),
    [anon_sym_final] = ACTIONS(4491),
    [anon_sym_override] = ACTIONS(4491),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_friend] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(4874),
    [aux_sym_preproc_def_token1] = ACTIONS(4874),
    [aux_sym_preproc_if_token1] = ACTIONS(4874),
    [aux_sym_preproc_if_token2] = ACTIONS(4874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4874),
    [aux_sym_preproc_else_token1] = ACTIONS(4874),
    [aux_sym_preproc_elif_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4874),
    [sym_preproc_directive] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4876),
    [anon_sym_TILDE] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_AMP_AMP] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym_typedef] = ACTIONS(4874),
    [anon_sym_extern] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4876),
    [anon_sym___declspec] = ACTIONS(4874),
    [anon_sym___based] = ACTIONS(4874),
    [anon_sym_signed] = ACTIONS(4874),
    [anon_sym_unsigned] = ACTIONS(4874),
    [anon_sym_long] = ACTIONS(4874),
    [anon_sym_short] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_static] = ACTIONS(4874),
    [anon_sym_register] = ACTIONS(4874),
    [anon_sym_inline] = ACTIONS(4874),
    [anon_sym___inline] = ACTIONS(4874),
    [anon_sym___inline__] = ACTIONS(4874),
    [anon_sym___forceinline] = ACTIONS(4874),
    [anon_sym_thread_local] = ACTIONS(4874),
    [anon_sym___thread] = ACTIONS(4874),
    [anon_sym_const] = ACTIONS(4874),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [sym_primitive_type] = ACTIONS(4874),
    [anon_sym_enum] = ACTIONS(4874),
    [anon_sym_class] = ACTIONS(4874),
    [anon_sym_struct] = ACTIONS(4874),
    [anon_sym_union] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [sym_virtual] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym_explicit] = ACTIONS(4874),
    [anon_sym_typename] = ACTIONS(4874),
    [anon_sym_template] = ACTIONS(4874),
    [anon_sym_operator] = ACTIONS(4874),
    [anon_sym_friend] = ACTIONS(4874),
    [anon_sym_public] = ACTIONS(4874),
    [anon_sym_private] = ACTIONS(4874),
    [anon_sym_protected] = ACTIONS(4874),
    [anon_sym_using] = ACTIONS(4874),
    [anon_sym_static_assert] = ACTIONS(4874),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(4964),
    [aux_sym_preproc_def_token1] = ACTIONS(4964),
    [aux_sym_preproc_if_token1] = ACTIONS(4964),
    [aux_sym_preproc_if_token2] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4964),
    [aux_sym_preproc_else_token1] = ACTIONS(4964),
    [aux_sym_preproc_elif_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4964),
    [sym_preproc_directive] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_TILDE] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_AMP_AMP] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(4964),
    [anon_sym_typedef] = ACTIONS(4964),
    [anon_sym_extern] = ACTIONS(4964),
    [anon_sym___attribute__] = ACTIONS(4964),
    [anon_sym_COLON_COLON] = ACTIONS(4966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4966),
    [anon_sym___declspec] = ACTIONS(4964),
    [anon_sym___based] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4964),
    [anon_sym_unsigned] = ACTIONS(4964),
    [anon_sym_long] = ACTIONS(4964),
    [anon_sym_short] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_static] = ACTIONS(4964),
    [anon_sym_register] = ACTIONS(4964),
    [anon_sym_inline] = ACTIONS(4964),
    [anon_sym___inline] = ACTIONS(4964),
    [anon_sym___inline__] = ACTIONS(4964),
    [anon_sym___forceinline] = ACTIONS(4964),
    [anon_sym_thread_local] = ACTIONS(4964),
    [anon_sym___thread] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(4964),
    [anon_sym_constexpr] = ACTIONS(4964),
    [anon_sym_volatile] = ACTIONS(4964),
    [anon_sym_restrict] = ACTIONS(4964),
    [anon_sym___restrict__] = ACTIONS(4964),
    [anon_sym__Atomic] = ACTIONS(4964),
    [anon_sym__Noreturn] = ACTIONS(4964),
    [anon_sym_noreturn] = ACTIONS(4964),
    [anon_sym_mutable] = ACTIONS(4964),
    [anon_sym_constinit] = ACTIONS(4964),
    [anon_sym_consteval] = ACTIONS(4964),
    [sym_primitive_type] = ACTIONS(4964),
    [anon_sym_enum] = ACTIONS(4964),
    [anon_sym_class] = ACTIONS(4964),
    [anon_sym_struct] = ACTIONS(4964),
    [anon_sym_union] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4964),
    [anon_sym_decltype] = ACTIONS(4964),
    [sym_virtual] = ACTIONS(4964),
    [anon_sym_alignas] = ACTIONS(4964),
    [anon_sym_explicit] = ACTIONS(4964),
    [anon_sym_typename] = ACTIONS(4964),
    [anon_sym_template] = ACTIONS(4964),
    [anon_sym_operator] = ACTIONS(4964),
    [anon_sym_friend] = ACTIONS(4964),
    [anon_sym_public] = ACTIONS(4964),
    [anon_sym_private] = ACTIONS(4964),
    [anon_sym_protected] = ACTIONS(4964),
    [anon_sym_using] = ACTIONS(4964),
    [anon_sym_static_assert] = ACTIONS(4964),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(4968),
    [aux_sym_preproc_def_token1] = ACTIONS(4968),
    [aux_sym_preproc_if_token1] = ACTIONS(4968),
    [aux_sym_preproc_if_token2] = ACTIONS(4968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4968),
    [aux_sym_preproc_else_token1] = ACTIONS(4968),
    [aux_sym_preproc_elif_token1] = ACTIONS(4968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4968),
    [sym_preproc_directive] = ACTIONS(4968),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_TILDE] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_AMP_AMP] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4968),
    [anon_sym___extension__] = ACTIONS(4968),
    [anon_sym_typedef] = ACTIONS(4968),
    [anon_sym_extern] = ACTIONS(4968),
    [anon_sym___attribute__] = ACTIONS(4968),
    [anon_sym_COLON_COLON] = ACTIONS(4970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4970),
    [anon_sym___declspec] = ACTIONS(4968),
    [anon_sym___based] = ACTIONS(4968),
    [anon_sym_signed] = ACTIONS(4968),
    [anon_sym_unsigned] = ACTIONS(4968),
    [anon_sym_long] = ACTIONS(4968),
    [anon_sym_short] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4968),
    [anon_sym_static] = ACTIONS(4968),
    [anon_sym_register] = ACTIONS(4968),
    [anon_sym_inline] = ACTIONS(4968),
    [anon_sym___inline] = ACTIONS(4968),
    [anon_sym___inline__] = ACTIONS(4968),
    [anon_sym___forceinline] = ACTIONS(4968),
    [anon_sym_thread_local] = ACTIONS(4968),
    [anon_sym___thread] = ACTIONS(4968),
    [anon_sym_const] = ACTIONS(4968),
    [anon_sym_constexpr] = ACTIONS(4968),
    [anon_sym_volatile] = ACTIONS(4968),
    [anon_sym_restrict] = ACTIONS(4968),
    [anon_sym___restrict__] = ACTIONS(4968),
    [anon_sym__Atomic] = ACTIONS(4968),
    [anon_sym__Noreturn] = ACTIONS(4968),
    [anon_sym_noreturn] = ACTIONS(4968),
    [anon_sym_mutable] = ACTIONS(4968),
    [anon_sym_constinit] = ACTIONS(4968),
    [anon_sym_consteval] = ACTIONS(4968),
    [sym_primitive_type] = ACTIONS(4968),
    [anon_sym_enum] = ACTIONS(4968),
    [anon_sym_class] = ACTIONS(4968),
    [anon_sym_struct] = ACTIONS(4968),
    [anon_sym_union] = ACTIONS(4968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4968),
    [anon_sym_decltype] = ACTIONS(4968),
    [sym_virtual] = ACTIONS(4968),
    [anon_sym_alignas] = ACTIONS(4968),
    [anon_sym_explicit] = ACTIONS(4968),
    [anon_sym_typename] = ACTIONS(4968),
    [anon_sym_template] = ACTIONS(4968),
    [anon_sym_operator] = ACTIONS(4968),
    [anon_sym_friend] = ACTIONS(4968),
    [anon_sym_public] = ACTIONS(4968),
    [anon_sym_private] = ACTIONS(4968),
    [anon_sym_protected] = ACTIONS(4968),
    [anon_sym_using] = ACTIONS(4968),
    [anon_sym_static_assert] = ACTIONS(4968),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_friend] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(4972),
    [aux_sym_preproc_def_token1] = ACTIONS(4972),
    [aux_sym_preproc_if_token1] = ACTIONS(4972),
    [aux_sym_preproc_if_token2] = ACTIONS(4972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4972),
    [aux_sym_preproc_else_token1] = ACTIONS(4972),
    [aux_sym_preproc_elif_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4972),
    [sym_preproc_directive] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_TILDE] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_AMP_AMP] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4972),
    [anon_sym_typedef] = ACTIONS(4972),
    [anon_sym_extern] = ACTIONS(4972),
    [anon_sym___attribute__] = ACTIONS(4972),
    [anon_sym_COLON_COLON] = ACTIONS(4974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4974),
    [anon_sym___declspec] = ACTIONS(4972),
    [anon_sym___based] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4972),
    [anon_sym_unsigned] = ACTIONS(4972),
    [anon_sym_long] = ACTIONS(4972),
    [anon_sym_short] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_static] = ACTIONS(4972),
    [anon_sym_register] = ACTIONS(4972),
    [anon_sym_inline] = ACTIONS(4972),
    [anon_sym___inline] = ACTIONS(4972),
    [anon_sym___inline__] = ACTIONS(4972),
    [anon_sym___forceinline] = ACTIONS(4972),
    [anon_sym_thread_local] = ACTIONS(4972),
    [anon_sym___thread] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4972),
    [anon_sym_constexpr] = ACTIONS(4972),
    [anon_sym_volatile] = ACTIONS(4972),
    [anon_sym_restrict] = ACTIONS(4972),
    [anon_sym___restrict__] = ACTIONS(4972),
    [anon_sym__Atomic] = ACTIONS(4972),
    [anon_sym__Noreturn] = ACTIONS(4972),
    [anon_sym_noreturn] = ACTIONS(4972),
    [anon_sym_mutable] = ACTIONS(4972),
    [anon_sym_constinit] = ACTIONS(4972),
    [anon_sym_consteval] = ACTIONS(4972),
    [sym_primitive_type] = ACTIONS(4972),
    [anon_sym_enum] = ACTIONS(4972),
    [anon_sym_class] = ACTIONS(4972),
    [anon_sym_struct] = ACTIONS(4972),
    [anon_sym_union] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4972),
    [anon_sym_decltype] = ACTIONS(4972),
    [sym_virtual] = ACTIONS(4972),
    [anon_sym_alignas] = ACTIONS(4972),
    [anon_sym_explicit] = ACTIONS(4972),
    [anon_sym_typename] = ACTIONS(4972),
    [anon_sym_template] = ACTIONS(4972),
    [anon_sym_operator] = ACTIONS(4972),
    [anon_sym_friend] = ACTIONS(4972),
    [anon_sym_public] = ACTIONS(4972),
    [anon_sym_private] = ACTIONS(4972),
    [anon_sym_protected] = ACTIONS(4972),
    [anon_sym_using] = ACTIONS(4972),
    [anon_sym_static_assert] = ACTIONS(4972),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(4976),
    [aux_sym_preproc_def_token1] = ACTIONS(4976),
    [aux_sym_preproc_if_token1] = ACTIONS(4976),
    [aux_sym_preproc_if_token2] = ACTIONS(4976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4976),
    [aux_sym_preproc_else_token1] = ACTIONS(4976),
    [aux_sym_preproc_elif_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4976),
    [sym_preproc_directive] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_TILDE] = ACTIONS(4978),
    [anon_sym_STAR] = ACTIONS(4978),
    [anon_sym_AMP_AMP] = ACTIONS(4978),
    [anon_sym_AMP] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4976),
    [anon_sym_typedef] = ACTIONS(4976),
    [anon_sym_extern] = ACTIONS(4976),
    [anon_sym___attribute__] = ACTIONS(4976),
    [anon_sym_COLON_COLON] = ACTIONS(4978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4978),
    [anon_sym___declspec] = ACTIONS(4976),
    [anon_sym___based] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4976),
    [anon_sym_unsigned] = ACTIONS(4976),
    [anon_sym_long] = ACTIONS(4976),
    [anon_sym_short] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_static] = ACTIONS(4976),
    [anon_sym_register] = ACTIONS(4976),
    [anon_sym_inline] = ACTIONS(4976),
    [anon_sym___inline] = ACTIONS(4976),
    [anon_sym___inline__] = ACTIONS(4976),
    [anon_sym___forceinline] = ACTIONS(4976),
    [anon_sym_thread_local] = ACTIONS(4976),
    [anon_sym___thread] = ACTIONS(4976),
    [anon_sym_const] = ACTIONS(4976),
    [anon_sym_constexpr] = ACTIONS(4976),
    [anon_sym_volatile] = ACTIONS(4976),
    [anon_sym_restrict] = ACTIONS(4976),
    [anon_sym___restrict__] = ACTIONS(4976),
    [anon_sym__Atomic] = ACTIONS(4976),
    [anon_sym__Noreturn] = ACTIONS(4976),
    [anon_sym_noreturn] = ACTIONS(4976),
    [anon_sym_mutable] = ACTIONS(4976),
    [anon_sym_constinit] = ACTIONS(4976),
    [anon_sym_consteval] = ACTIONS(4976),
    [sym_primitive_type] = ACTIONS(4976),
    [anon_sym_enum] = ACTIONS(4976),
    [anon_sym_class] = ACTIONS(4976),
    [anon_sym_struct] = ACTIONS(4976),
    [anon_sym_union] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4976),
    [anon_sym_decltype] = ACTIONS(4976),
    [sym_virtual] = ACTIONS(4976),
    [anon_sym_alignas] = ACTIONS(4976),
    [anon_sym_explicit] = ACTIONS(4976),
    [anon_sym_typename] = ACTIONS(4976),
    [anon_sym_template] = ACTIONS(4976),
    [anon_sym_operator] = ACTIONS(4976),
    [anon_sym_friend] = ACTIONS(4976),
    [anon_sym_public] = ACTIONS(4976),
    [anon_sym_private] = ACTIONS(4976),
    [anon_sym_protected] = ACTIONS(4976),
    [anon_sym_using] = ACTIONS(4976),
    [anon_sym_static_assert] = ACTIONS(4976),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(4972),
    [aux_sym_preproc_def_token1] = ACTIONS(4972),
    [aux_sym_preproc_if_token1] = ACTIONS(4972),
    [aux_sym_preproc_if_token2] = ACTIONS(4972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4972),
    [aux_sym_preproc_else_token1] = ACTIONS(4972),
    [aux_sym_preproc_elif_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4972),
    [sym_preproc_directive] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_TILDE] = ACTIONS(4974),
    [anon_sym_STAR] = ACTIONS(4974),
    [anon_sym_AMP_AMP] = ACTIONS(4974),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4972),
    [anon_sym_typedef] = ACTIONS(4972),
    [anon_sym_extern] = ACTIONS(4972),
    [anon_sym___attribute__] = ACTIONS(4972),
    [anon_sym_COLON_COLON] = ACTIONS(4974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4974),
    [anon_sym___declspec] = ACTIONS(4972),
    [anon_sym___based] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4972),
    [anon_sym_unsigned] = ACTIONS(4972),
    [anon_sym_long] = ACTIONS(4972),
    [anon_sym_short] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_static] = ACTIONS(4972),
    [anon_sym_register] = ACTIONS(4972),
    [anon_sym_inline] = ACTIONS(4972),
    [anon_sym___inline] = ACTIONS(4972),
    [anon_sym___inline__] = ACTIONS(4972),
    [anon_sym___forceinline] = ACTIONS(4972),
    [anon_sym_thread_local] = ACTIONS(4972),
    [anon_sym___thread] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4972),
    [anon_sym_constexpr] = ACTIONS(4972),
    [anon_sym_volatile] = ACTIONS(4972),
    [anon_sym_restrict] = ACTIONS(4972),
    [anon_sym___restrict__] = ACTIONS(4972),
    [anon_sym__Atomic] = ACTIONS(4972),
    [anon_sym__Noreturn] = ACTIONS(4972),
    [anon_sym_noreturn] = ACTIONS(4972),
    [anon_sym_mutable] = ACTIONS(4972),
    [anon_sym_constinit] = ACTIONS(4972),
    [anon_sym_consteval] = ACTIONS(4972),
    [sym_primitive_type] = ACTIONS(4972),
    [anon_sym_enum] = ACTIONS(4972),
    [anon_sym_class] = ACTIONS(4972),
    [anon_sym_struct] = ACTIONS(4972),
    [anon_sym_union] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4972),
    [anon_sym_decltype] = ACTIONS(4972),
    [sym_virtual] = ACTIONS(4972),
    [anon_sym_alignas] = ACTIONS(4972),
    [anon_sym_explicit] = ACTIONS(4972),
    [anon_sym_typename] = ACTIONS(4972),
    [anon_sym_template] = ACTIONS(4972),
    [anon_sym_operator] = ACTIONS(4972),
    [anon_sym_friend] = ACTIONS(4972),
    [anon_sym_public] = ACTIONS(4972),
    [anon_sym_private] = ACTIONS(4972),
    [anon_sym_protected] = ACTIONS(4972),
    [anon_sym_using] = ACTIONS(4972),
    [anon_sym_static_assert] = ACTIONS(4972),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [sym_virtual] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_friend] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(4976),
    [aux_sym_preproc_def_token1] = ACTIONS(4976),
    [aux_sym_preproc_if_token1] = ACTIONS(4976),
    [aux_sym_preproc_if_token2] = ACTIONS(4976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4976),
    [aux_sym_preproc_else_token1] = ACTIONS(4976),
    [aux_sym_preproc_elif_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4976),
    [sym_preproc_directive] = ACTIONS(4976),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_TILDE] = ACTIONS(4978),
    [anon_sym_STAR] = ACTIONS(4978),
    [anon_sym_AMP_AMP] = ACTIONS(4978),
    [anon_sym_AMP] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4976),
    [anon_sym_typedef] = ACTIONS(4976),
    [anon_sym_extern] = ACTIONS(4976),
    [anon_sym___attribute__] = ACTIONS(4976),
    [anon_sym_COLON_COLON] = ACTIONS(4978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4978),
    [anon_sym___declspec] = ACTIONS(4976),
    [anon_sym___based] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4976),
    [anon_sym_unsigned] = ACTIONS(4976),
    [anon_sym_long] = ACTIONS(4976),
    [anon_sym_short] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym_static] = ACTIONS(4976),
    [anon_sym_register] = ACTIONS(4976),
    [anon_sym_inline] = ACTIONS(4976),
    [anon_sym___inline] = ACTIONS(4976),
    [anon_sym___inline__] = ACTIONS(4976),
    [anon_sym___forceinline] = ACTIONS(4976),
    [anon_sym_thread_local] = ACTIONS(4976),
    [anon_sym___thread] = ACTIONS(4976),
    [anon_sym_const] = ACTIONS(4976),
    [anon_sym_constexpr] = ACTIONS(4976),
    [anon_sym_volatile] = ACTIONS(4976),
    [anon_sym_restrict] = ACTIONS(4976),
    [anon_sym___restrict__] = ACTIONS(4976),
    [anon_sym__Atomic] = ACTIONS(4976),
    [anon_sym__Noreturn] = ACTIONS(4976),
    [anon_sym_noreturn] = ACTIONS(4976),
    [anon_sym_mutable] = ACTIONS(4976),
    [anon_sym_constinit] = ACTIONS(4976),
    [anon_sym_consteval] = ACTIONS(4976),
    [sym_primitive_type] = ACTIONS(4976),
    [anon_sym_enum] = ACTIONS(4976),
    [anon_sym_class] = ACTIONS(4976),
    [anon_sym_struct] = ACTIONS(4976),
    [anon_sym_union] = ACTIONS(4976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4976),
    [anon_sym_decltype] = ACTIONS(4976),
    [sym_virtual] = ACTIONS(4976),
    [anon_sym_alignas] = ACTIONS(4976),
    [anon_sym_explicit] = ACTIONS(4976),
    [anon_sym_typename] = ACTIONS(4976),
    [anon_sym_template] = ACTIONS(4976),
    [anon_sym_operator] = ACTIONS(4976),
    [anon_sym_friend] = ACTIONS(4976),
    [anon_sym_public] = ACTIONS(4976),
    [anon_sym_private] = ACTIONS(4976),
    [anon_sym_protected] = ACTIONS(4976),
    [anon_sym_using] = ACTIONS(4976),
    [anon_sym_static_assert] = ACTIONS(4976),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(4980),
    [aux_sym_preproc_def_token1] = ACTIONS(4980),
    [aux_sym_preproc_if_token1] = ACTIONS(4980),
    [aux_sym_preproc_if_token2] = ACTIONS(4980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4980),
    [aux_sym_preproc_else_token1] = ACTIONS(4980),
    [aux_sym_preproc_elif_token1] = ACTIONS(4980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4980),
    [sym_preproc_directive] = ACTIONS(4980),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_TILDE] = ACTIONS(4982),
    [anon_sym_STAR] = ACTIONS(4982),
    [anon_sym_AMP_AMP] = ACTIONS(4982),
    [anon_sym_AMP] = ACTIONS(4980),
    [anon_sym___extension__] = ACTIONS(4980),
    [anon_sym_typedef] = ACTIONS(4980),
    [anon_sym_extern] = ACTIONS(4980),
    [anon_sym___attribute__] = ACTIONS(4980),
    [anon_sym_COLON_COLON] = ACTIONS(4982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4982),
    [anon_sym___declspec] = ACTIONS(4980),
    [anon_sym___based] = ACTIONS(4980),
    [anon_sym_signed] = ACTIONS(4980),
    [anon_sym_unsigned] = ACTIONS(4980),
    [anon_sym_long] = ACTIONS(4980),
    [anon_sym_short] = ACTIONS(4980),
    [anon_sym_LBRACK] = ACTIONS(4980),
    [anon_sym_static] = ACTIONS(4980),
    [anon_sym_register] = ACTIONS(4980),
    [anon_sym_inline] = ACTIONS(4980),
    [anon_sym___inline] = ACTIONS(4980),
    [anon_sym___inline__] = ACTIONS(4980),
    [anon_sym___forceinline] = ACTIONS(4980),
    [anon_sym_thread_local] = ACTIONS(4980),
    [anon_sym___thread] = ACTIONS(4980),
    [anon_sym_const] = ACTIONS(4980),
    [anon_sym_constexpr] = ACTIONS(4980),
    [anon_sym_volatile] = ACTIONS(4980),
    [anon_sym_restrict] = ACTIONS(4980),
    [anon_sym___restrict__] = ACTIONS(4980),
    [anon_sym__Atomic] = ACTIONS(4980),
    [anon_sym__Noreturn] = ACTIONS(4980),
    [anon_sym_noreturn] = ACTIONS(4980),
    [anon_sym_mutable] = ACTIONS(4980),
    [anon_sym_constinit] = ACTIONS(4980),
    [anon_sym_consteval] = ACTIONS(4980),
    [sym_primitive_type] = ACTIONS(4980),
    [anon_sym_enum] = ACTIONS(4980),
    [anon_sym_class] = ACTIONS(4980),
    [anon_sym_struct] = ACTIONS(4980),
    [anon_sym_union] = ACTIONS(4980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4980),
    [anon_sym_decltype] = ACTIONS(4980),
    [sym_virtual] = ACTIONS(4980),
    [anon_sym_alignas] = ACTIONS(4980),
    [anon_sym_explicit] = ACTIONS(4980),
    [anon_sym_typename] = ACTIONS(4980),
    [anon_sym_template] = ACTIONS(4980),
    [anon_sym_operator] = ACTIONS(4980),
    [anon_sym_friend] = ACTIONS(4980),
    [anon_sym_public] = ACTIONS(4980),
    [anon_sym_private] = ACTIONS(4980),
    [anon_sym_protected] = ACTIONS(4980),
    [anon_sym_using] = ACTIONS(4980),
    [anon_sym_static_assert] = ACTIONS(4980),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [sym_virtual] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(4528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [aux_sym_preproc_if_token2] = ACTIONS(4530),
    [aux_sym_preproc_else_token1] = ACTIONS(4530),
    [aux_sym_preproc_elif_token1] = ACTIONS(4528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_DASH] = ACTIONS(4528),
    [anon_sym_PLUS] = ACTIONS(4528),
    [anon_sym_STAR] = ACTIONS(4528),
    [anon_sym_SLASH] = ACTIONS(4528),
    [anon_sym_PERCENT] = ACTIONS(4528),
    [anon_sym_PIPE_PIPE] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_PIPE] = ACTIONS(4528),
    [anon_sym_CARET] = ACTIONS(4528),
    [anon_sym_AMP] = ACTIONS(4528),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_GT] = ACTIONS(4528),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4528),
    [anon_sym_LT] = ACTIONS(4528),
    [anon_sym_LT_LT] = ACTIONS(4528),
    [anon_sym_GT_GT] = ACTIONS(4528),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_RBRACK] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4528),
    [anon_sym_COLON] = ACTIONS(4528),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_and_eq] = ACTIONS(4528),
    [anon_sym_or_eq] = ACTIONS(4528),
    [anon_sym_xor_eq] = ACTIONS(4528),
    [anon_sym_LT_EQ_GT] = ACTIONS(4530),
    [anon_sym_or] = ACTIONS(4528),
    [anon_sym_and] = ACTIONS(4528),
    [anon_sym_bitor] = ACTIONS(4528),
    [anon_sym_xor] = ACTIONS(4528),
    [anon_sym_bitand] = ACTIONS(4528),
    [anon_sym_not_eq] = ACTIONS(4528),
    [anon_sym_DASH_DASH] = ACTIONS(4530),
    [anon_sym_PLUS_PLUS] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4528),
    [anon_sym_DOT_STAR] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4528),
    [anon_sym_decltype] = ACTIONS(4528),
    [anon_sym_final] = ACTIONS(4528),
    [anon_sym_override] = ACTIONS(4528),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_friend] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(4524),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4526),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [aux_sym_preproc_if_token2] = ACTIONS(4526),
    [aux_sym_preproc_else_token1] = ACTIONS(4526),
    [aux_sym_preproc_elif_token1] = ACTIONS(4524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4526),
    [anon_sym_DASH] = ACTIONS(4524),
    [anon_sym_PLUS] = ACTIONS(4524),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4524),
    [anon_sym_PERCENT] = ACTIONS(4524),
    [anon_sym_PIPE_PIPE] = ACTIONS(4526),
    [anon_sym_AMP_AMP] = ACTIONS(4526),
    [anon_sym_PIPE] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4524),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4526),
    [anon_sym_BANG_EQ] = ACTIONS(4526),
    [anon_sym_GT] = ACTIONS(4524),
    [anon_sym_GT_EQ] = ACTIONS(4526),
    [anon_sym_LT_EQ] = ACTIONS(4524),
    [anon_sym_LT] = ACTIONS(4524),
    [anon_sym_LT_LT] = ACTIONS(4524),
    [anon_sym_GT_GT] = ACTIONS(4524),
    [anon_sym_SEMI] = ACTIONS(4526),
    [anon_sym___attribute__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(4526),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_RBRACE] = ACTIONS(4526),
    [anon_sym_LBRACK] = ACTIONS(4526),
    [anon_sym_RBRACK] = ACTIONS(4526),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_COLON] = ACTIONS(4524),
    [anon_sym_QMARK] = ACTIONS(4526),
    [anon_sym_STAR_EQ] = ACTIONS(4526),
    [anon_sym_SLASH_EQ] = ACTIONS(4526),
    [anon_sym_PERCENT_EQ] = ACTIONS(4526),
    [anon_sym_PLUS_EQ] = ACTIONS(4526),
    [anon_sym_DASH_EQ] = ACTIONS(4526),
    [anon_sym_LT_LT_EQ] = ACTIONS(4526),
    [anon_sym_GT_GT_EQ] = ACTIONS(4526),
    [anon_sym_AMP_EQ] = ACTIONS(4526),
    [anon_sym_CARET_EQ] = ACTIONS(4526),
    [anon_sym_PIPE_EQ] = ACTIONS(4526),
    [anon_sym_and_eq] = ACTIONS(4524),
    [anon_sym_or_eq] = ACTIONS(4524),
    [anon_sym_xor_eq] = ACTIONS(4524),
    [anon_sym_LT_EQ_GT] = ACTIONS(4526),
    [anon_sym_or] = ACTIONS(4524),
    [anon_sym_and] = ACTIONS(4524),
    [anon_sym_bitor] = ACTIONS(4524),
    [anon_sym_xor] = ACTIONS(4524),
    [anon_sym_bitand] = ACTIONS(4524),
    [anon_sym_not_eq] = ACTIONS(4524),
    [anon_sym_DASH_DASH] = ACTIONS(4526),
    [anon_sym_PLUS_PLUS] = ACTIONS(4526),
    [anon_sym_DOT] = ACTIONS(4524),
    [anon_sym_DOT_STAR] = ACTIONS(4526),
    [anon_sym_DASH_GT] = ACTIONS(4526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4524),
    [anon_sym_decltype] = ACTIONS(4524),
    [anon_sym_final] = ACTIONS(4524),
    [anon_sym_override] = ACTIONS(4524),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4522),
    [anon_sym_COMMA] = ACTIONS(4522),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [aux_sym_preproc_if_token2] = ACTIONS(4522),
    [aux_sym_preproc_else_token1] = ACTIONS(4522),
    [aux_sym_preproc_elif_token1] = ACTIONS(4520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(4522),
    [anon_sym_DASH] = ACTIONS(4520),
    [anon_sym_PLUS] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_SLASH] = ACTIONS(4520),
    [anon_sym_PERCENT] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4522),
    [anon_sym_AMP_AMP] = ACTIONS(4522),
    [anon_sym_PIPE] = ACTIONS(4520),
    [anon_sym_CARET] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4520),
    [anon_sym_EQ_EQ] = ACTIONS(4522),
    [anon_sym_BANG_EQ] = ACTIONS(4522),
    [anon_sym_GT] = ACTIONS(4520),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4520),
    [anon_sym_LT] = ACTIONS(4520),
    [anon_sym_LT_LT] = ACTIONS(4520),
    [anon_sym_GT_GT] = ACTIONS(4520),
    [anon_sym_SEMI] = ACTIONS(4522),
    [anon_sym___attribute__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(4522),
    [anon_sym_LBRACE] = ACTIONS(4522),
    [anon_sym_RBRACE] = ACTIONS(4522),
    [anon_sym_LBRACK] = ACTIONS(4522),
    [anon_sym_RBRACK] = ACTIONS(4522),
    [anon_sym_EQ] = ACTIONS(4520),
    [anon_sym_COLON] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4522),
    [anon_sym_STAR_EQ] = ACTIONS(4522),
    [anon_sym_SLASH_EQ] = ACTIONS(4522),
    [anon_sym_PERCENT_EQ] = ACTIONS(4522),
    [anon_sym_PLUS_EQ] = ACTIONS(4522),
    [anon_sym_DASH_EQ] = ACTIONS(4522),
    [anon_sym_LT_LT_EQ] = ACTIONS(4522),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4522),
    [anon_sym_CARET_EQ] = ACTIONS(4522),
    [anon_sym_PIPE_EQ] = ACTIONS(4522),
    [anon_sym_and_eq] = ACTIONS(4520),
    [anon_sym_or_eq] = ACTIONS(4520),
    [anon_sym_xor_eq] = ACTIONS(4520),
    [anon_sym_LT_EQ_GT] = ACTIONS(4522),
    [anon_sym_or] = ACTIONS(4520),
    [anon_sym_and] = ACTIONS(4520),
    [anon_sym_bitor] = ACTIONS(4520),
    [anon_sym_xor] = ACTIONS(4520),
    [anon_sym_bitand] = ACTIONS(4520),
    [anon_sym_not_eq] = ACTIONS(4520),
    [anon_sym_DASH_DASH] = ACTIONS(4522),
    [anon_sym_PLUS_PLUS] = ACTIONS(4522),
    [anon_sym_DOT] = ACTIONS(4520),
    [anon_sym_DOT_STAR] = ACTIONS(4522),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_final] = ACTIONS(4520),
    [anon_sym_override] = ACTIONS(4520),
  },
  [1931] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(4984),
    [aux_sym_preproc_def_token1] = ACTIONS(4984),
    [aux_sym_preproc_if_token1] = ACTIONS(4984),
    [aux_sym_preproc_if_token2] = ACTIONS(4984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4984),
    [aux_sym_preproc_else_token1] = ACTIONS(4984),
    [aux_sym_preproc_elif_token1] = ACTIONS(4984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4984),
    [sym_preproc_directive] = ACTIONS(4984),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_TILDE] = ACTIONS(4986),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_AMP_AMP] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4984),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym_typedef] = ACTIONS(4984),
    [anon_sym_extern] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4984),
    [anon_sym_COLON_COLON] = ACTIONS(4986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4986),
    [anon_sym___declspec] = ACTIONS(4984),
    [anon_sym___based] = ACTIONS(4984),
    [anon_sym_signed] = ACTIONS(4984),
    [anon_sym_unsigned] = ACTIONS(4984),
    [anon_sym_long] = ACTIONS(4984),
    [anon_sym_short] = ACTIONS(4984),
    [anon_sym_LBRACK] = ACTIONS(4984),
    [anon_sym_static] = ACTIONS(4984),
    [anon_sym_register] = ACTIONS(4984),
    [anon_sym_inline] = ACTIONS(4984),
    [anon_sym___inline] = ACTIONS(4984),
    [anon_sym___inline__] = ACTIONS(4984),
    [anon_sym___forceinline] = ACTIONS(4984),
    [anon_sym_thread_local] = ACTIONS(4984),
    [anon_sym___thread] = ACTIONS(4984),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [sym_primitive_type] = ACTIONS(4984),
    [anon_sym_enum] = ACTIONS(4984),
    [anon_sym_class] = ACTIONS(4984),
    [anon_sym_struct] = ACTIONS(4984),
    [anon_sym_union] = ACTIONS(4984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4984),
    [anon_sym_decltype] = ACTIONS(4984),
    [sym_virtual] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4984),
    [anon_sym_explicit] = ACTIONS(4984),
    [anon_sym_typename] = ACTIONS(4984),
    [anon_sym_template] = ACTIONS(4984),
    [anon_sym_operator] = ACTIONS(4984),
    [anon_sym_friend] = ACTIONS(4984),
    [anon_sym_public] = ACTIONS(4984),
    [anon_sym_private] = ACTIONS(4984),
    [anon_sym_protected] = ACTIONS(4984),
    [anon_sym_using] = ACTIONS(4984),
    [anon_sym_static_assert] = ACTIONS(4984),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4990),
    [anon_sym_TILDE] = ACTIONS(4990),
    [anon_sym_STAR] = ACTIONS(4990),
    [anon_sym_AMP_AMP] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(4988),
    [anon_sym___extension__] = ACTIONS(4988),
    [anon_sym_typedef] = ACTIONS(4988),
    [anon_sym_extern] = ACTIONS(4988),
    [anon_sym___attribute__] = ACTIONS(4988),
    [anon_sym_COLON_COLON] = ACTIONS(4990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4990),
    [anon_sym___declspec] = ACTIONS(4988),
    [anon_sym___based] = ACTIONS(4988),
    [anon_sym_signed] = ACTIONS(4988),
    [anon_sym_unsigned] = ACTIONS(4988),
    [anon_sym_long] = ACTIONS(4988),
    [anon_sym_short] = ACTIONS(4988),
    [anon_sym_LBRACK] = ACTIONS(4988),
    [anon_sym_static] = ACTIONS(4988),
    [anon_sym_register] = ACTIONS(4988),
    [anon_sym_inline] = ACTIONS(4988),
    [anon_sym___inline] = ACTIONS(4988),
    [anon_sym___inline__] = ACTIONS(4988),
    [anon_sym___forceinline] = ACTIONS(4988),
    [anon_sym_thread_local] = ACTIONS(4988),
    [anon_sym___thread] = ACTIONS(4988),
    [anon_sym_const] = ACTIONS(4988),
    [anon_sym_constexpr] = ACTIONS(4988),
    [anon_sym_volatile] = ACTIONS(4988),
    [anon_sym_restrict] = ACTIONS(4988),
    [anon_sym___restrict__] = ACTIONS(4988),
    [anon_sym__Atomic] = ACTIONS(4988),
    [anon_sym__Noreturn] = ACTIONS(4988),
    [anon_sym_noreturn] = ACTIONS(4988),
    [anon_sym_mutable] = ACTIONS(4988),
    [anon_sym_constinit] = ACTIONS(4988),
    [anon_sym_consteval] = ACTIONS(4988),
    [sym_primitive_type] = ACTIONS(4988),
    [anon_sym_enum] = ACTIONS(4988),
    [anon_sym_class] = ACTIONS(4988),
    [anon_sym_struct] = ACTIONS(4988),
    [anon_sym_union] = ACTIONS(4988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4988),
    [anon_sym_decltype] = ACTIONS(4988),
    [sym_virtual] = ACTIONS(4988),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym_explicit] = ACTIONS(4988),
    [anon_sym_typename] = ACTIONS(4988),
    [anon_sym_template] = ACTIONS(4988),
    [anon_sym_operator] = ACTIONS(4988),
    [anon_sym_friend] = ACTIONS(4988),
    [anon_sym_public] = ACTIONS(4988),
    [anon_sym_private] = ACTIONS(4988),
    [anon_sym_protected] = ACTIONS(4988),
    [anon_sym_using] = ACTIONS(4988),
    [anon_sym_static_assert] = ACTIONS(4988),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [aux_sym_preproc_else_token1] = ACTIONS(4992),
    [aux_sym_preproc_elif_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [sym_virtual] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_friend] = ACTIONS(2782),
    [anon_sym_public] = ACTIONS(2782),
    [anon_sym_private] = ACTIONS(2782),
    [anon_sym_protected] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___based] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_mutable] = ACTIONS(2634),
    [anon_sym_constinit] = ACTIONS(2634),
    [anon_sym_consteval] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2634),
    [anon_sym_decltype] = ACTIONS(2634),
    [sym_virtual] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym_explicit] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2634),
    [anon_sym_template] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_friend] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_static_assert] = ACTIONS(2634),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [aux_sym_preproc_else_token1] = ACTIONS(4996),
    [aux_sym_preproc_elif_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4998),
    [anon_sym_TILDE] = ACTIONS(4998),
    [anon_sym_STAR] = ACTIONS(4998),
    [anon_sym_AMP_AMP] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4996),
    [anon_sym_typedef] = ACTIONS(4996),
    [anon_sym_extern] = ACTIONS(4996),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym_COLON_COLON] = ACTIONS(4998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4998),
    [anon_sym___declspec] = ACTIONS(4996),
    [anon_sym___based] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(4996),
    [anon_sym_unsigned] = ACTIONS(4996),
    [anon_sym_long] = ACTIONS(4996),
    [anon_sym_short] = ACTIONS(4996),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_static] = ACTIONS(4996),
    [anon_sym_register] = ACTIONS(4996),
    [anon_sym_inline] = ACTIONS(4996),
    [anon_sym___inline] = ACTIONS(4996),
    [anon_sym___inline__] = ACTIONS(4996),
    [anon_sym___forceinline] = ACTIONS(4996),
    [anon_sym_thread_local] = ACTIONS(4996),
    [anon_sym___thread] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4996),
    [anon_sym_constexpr] = ACTIONS(4996),
    [anon_sym_volatile] = ACTIONS(4996),
    [anon_sym_restrict] = ACTIONS(4996),
    [anon_sym___restrict__] = ACTIONS(4996),
    [anon_sym__Atomic] = ACTIONS(4996),
    [anon_sym__Noreturn] = ACTIONS(4996),
    [anon_sym_noreturn] = ACTIONS(4996),
    [anon_sym_mutable] = ACTIONS(4996),
    [anon_sym_constinit] = ACTIONS(4996),
    [anon_sym_consteval] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(4996),
    [anon_sym_enum] = ACTIONS(4996),
    [anon_sym_class] = ACTIONS(4996),
    [anon_sym_struct] = ACTIONS(4996),
    [anon_sym_union] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [sym_virtual] = ACTIONS(4996),
    [anon_sym_alignas] = ACTIONS(4996),
    [anon_sym_explicit] = ACTIONS(4996),
    [anon_sym_typename] = ACTIONS(4996),
    [anon_sym_template] = ACTIONS(4996),
    [anon_sym_operator] = ACTIONS(4996),
    [anon_sym_friend] = ACTIONS(4996),
    [anon_sym_public] = ACTIONS(4996),
    [anon_sym_private] = ACTIONS(4996),
    [anon_sym_protected] = ACTIONS(4996),
    [anon_sym_using] = ACTIONS(4996),
    [anon_sym_static_assert] = ACTIONS(4996),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [aux_sym_preproc_else_token1] = ACTIONS(5000),
    [aux_sym_preproc_elif_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_TILDE] = ACTIONS(5002),
    [anon_sym_STAR] = ACTIONS(5002),
    [anon_sym_AMP_AMP] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(5000),
    [anon_sym___extension__] = ACTIONS(5000),
    [anon_sym_typedef] = ACTIONS(5000),
    [anon_sym_extern] = ACTIONS(5000),
    [anon_sym___attribute__] = ACTIONS(5000),
    [anon_sym_COLON_COLON] = ACTIONS(5002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5002),
    [anon_sym___declspec] = ACTIONS(5000),
    [anon_sym___based] = ACTIONS(5000),
    [anon_sym_signed] = ACTIONS(5000),
    [anon_sym_unsigned] = ACTIONS(5000),
    [anon_sym_long] = ACTIONS(5000),
    [anon_sym_short] = ACTIONS(5000),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [anon_sym_static] = ACTIONS(5000),
    [anon_sym_register] = ACTIONS(5000),
    [anon_sym_inline] = ACTIONS(5000),
    [anon_sym___inline] = ACTIONS(5000),
    [anon_sym___inline__] = ACTIONS(5000),
    [anon_sym___forceinline] = ACTIONS(5000),
    [anon_sym_thread_local] = ACTIONS(5000),
    [anon_sym___thread] = ACTIONS(5000),
    [anon_sym_const] = ACTIONS(5000),
    [anon_sym_constexpr] = ACTIONS(5000),
    [anon_sym_volatile] = ACTIONS(5000),
    [anon_sym_restrict] = ACTIONS(5000),
    [anon_sym___restrict__] = ACTIONS(5000),
    [anon_sym__Atomic] = ACTIONS(5000),
    [anon_sym__Noreturn] = ACTIONS(5000),
    [anon_sym_noreturn] = ACTIONS(5000),
    [anon_sym_mutable] = ACTIONS(5000),
    [anon_sym_constinit] = ACTIONS(5000),
    [anon_sym_consteval] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(5000),
    [anon_sym_enum] = ACTIONS(5000),
    [anon_sym_class] = ACTIONS(5000),
    [anon_sym_struct] = ACTIONS(5000),
    [anon_sym_union] = ACTIONS(5000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5000),
    [anon_sym_decltype] = ACTIONS(5000),
    [sym_virtual] = ACTIONS(5000),
    [anon_sym_alignas] = ACTIONS(5000),
    [anon_sym_explicit] = ACTIONS(5000),
    [anon_sym_typename] = ACTIONS(5000),
    [anon_sym_template] = ACTIONS(5000),
    [anon_sym_operator] = ACTIONS(5000),
    [anon_sym_friend] = ACTIONS(5000),
    [anon_sym_public] = ACTIONS(5000),
    [anon_sym_private] = ACTIONS(5000),
    [anon_sym_protected] = ACTIONS(5000),
    [anon_sym_using] = ACTIONS(5000),
    [anon_sym_static_assert] = ACTIONS(5000),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(5004),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token2] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5004),
    [aux_sym_preproc_else_token1] = ACTIONS(5004),
    [aux_sym_preproc_elif_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5004),
    [sym_preproc_directive] = ACTIONS(5004),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_TILDE] = ACTIONS(5006),
    [anon_sym_STAR] = ACTIONS(5006),
    [anon_sym_AMP_AMP] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(5004),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym_typedef] = ACTIONS(5004),
    [anon_sym_extern] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(5004),
    [anon_sym_COLON_COLON] = ACTIONS(5006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5006),
    [anon_sym___declspec] = ACTIONS(5004),
    [anon_sym___based] = ACTIONS(5004),
    [anon_sym_signed] = ACTIONS(5004),
    [anon_sym_unsigned] = ACTIONS(5004),
    [anon_sym_long] = ACTIONS(5004),
    [anon_sym_short] = ACTIONS(5004),
    [anon_sym_LBRACK] = ACTIONS(5004),
    [anon_sym_static] = ACTIONS(5004),
    [anon_sym_register] = ACTIONS(5004),
    [anon_sym_inline] = ACTIONS(5004),
    [anon_sym___inline] = ACTIONS(5004),
    [anon_sym___inline__] = ACTIONS(5004),
    [anon_sym___forceinline] = ACTIONS(5004),
    [anon_sym_thread_local] = ACTIONS(5004),
    [anon_sym___thread] = ACTIONS(5004),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [sym_primitive_type] = ACTIONS(5004),
    [anon_sym_enum] = ACTIONS(5004),
    [anon_sym_class] = ACTIONS(5004),
    [anon_sym_struct] = ACTIONS(5004),
    [anon_sym_union] = ACTIONS(5004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5004),
    [anon_sym_decltype] = ACTIONS(5004),
    [sym_virtual] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5004),
    [anon_sym_explicit] = ACTIONS(5004),
    [anon_sym_typename] = ACTIONS(5004),
    [anon_sym_template] = ACTIONS(5004),
    [anon_sym_operator] = ACTIONS(5004),
    [anon_sym_friend] = ACTIONS(5004),
    [anon_sym_public] = ACTIONS(5004),
    [anon_sym_private] = ACTIONS(5004),
    [anon_sym_protected] = ACTIONS(5004),
    [anon_sym_using] = ACTIONS(5004),
    [anon_sym_static_assert] = ACTIONS(5004),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [aux_sym_preproc_else_token1] = ACTIONS(5008),
    [aux_sym_preproc_elif_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [aux_sym_preproc_else_token1] = ACTIONS(5008),
    [aux_sym_preproc_elif_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(5012),
    [aux_sym_preproc_def_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token1] = ACTIONS(5012),
    [aux_sym_preproc_if_token2] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5012),
    [aux_sym_preproc_else_token1] = ACTIONS(5012),
    [aux_sym_preproc_elif_token1] = ACTIONS(5012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5012),
    [sym_preproc_directive] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5014),
    [anon_sym_TILDE] = ACTIONS(5014),
    [anon_sym_STAR] = ACTIONS(5014),
    [anon_sym_AMP_AMP] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(5012),
    [anon_sym_typedef] = ACTIONS(5012),
    [anon_sym_extern] = ACTIONS(5012),
    [anon_sym___attribute__] = ACTIONS(5012),
    [anon_sym_COLON_COLON] = ACTIONS(5014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5014),
    [anon_sym___declspec] = ACTIONS(5012),
    [anon_sym___based] = ACTIONS(5012),
    [anon_sym_signed] = ACTIONS(5012),
    [anon_sym_unsigned] = ACTIONS(5012),
    [anon_sym_long] = ACTIONS(5012),
    [anon_sym_short] = ACTIONS(5012),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [anon_sym_static] = ACTIONS(5012),
    [anon_sym_register] = ACTIONS(5012),
    [anon_sym_inline] = ACTIONS(5012),
    [anon_sym___inline] = ACTIONS(5012),
    [anon_sym___inline__] = ACTIONS(5012),
    [anon_sym___forceinline] = ACTIONS(5012),
    [anon_sym_thread_local] = ACTIONS(5012),
    [anon_sym___thread] = ACTIONS(5012),
    [anon_sym_const] = ACTIONS(5012),
    [anon_sym_constexpr] = ACTIONS(5012),
    [anon_sym_volatile] = ACTIONS(5012),
    [anon_sym_restrict] = ACTIONS(5012),
    [anon_sym___restrict__] = ACTIONS(5012),
    [anon_sym__Atomic] = ACTIONS(5012),
    [anon_sym__Noreturn] = ACTIONS(5012),
    [anon_sym_noreturn] = ACTIONS(5012),
    [anon_sym_mutable] = ACTIONS(5012),
    [anon_sym_constinit] = ACTIONS(5012),
    [anon_sym_consteval] = ACTIONS(5012),
    [sym_primitive_type] = ACTIONS(5012),
    [anon_sym_enum] = ACTIONS(5012),
    [anon_sym_class] = ACTIONS(5012),
    [anon_sym_struct] = ACTIONS(5012),
    [anon_sym_union] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5012),
    [anon_sym_decltype] = ACTIONS(5012),
    [sym_virtual] = ACTIONS(5012),
    [anon_sym_alignas] = ACTIONS(5012),
    [anon_sym_explicit] = ACTIONS(5012),
    [anon_sym_typename] = ACTIONS(5012),
    [anon_sym_template] = ACTIONS(5012),
    [anon_sym_operator] = ACTIONS(5012),
    [anon_sym_friend] = ACTIONS(5012),
    [anon_sym_public] = ACTIONS(5012),
    [anon_sym_private] = ACTIONS(5012),
    [anon_sym_protected] = ACTIONS(5012),
    [anon_sym_using] = ACTIONS(5012),
    [anon_sym_static_assert] = ACTIONS(5012),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(5016),
    [aux_sym_preproc_def_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token1] = ACTIONS(5016),
    [aux_sym_preproc_if_token2] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5016),
    [aux_sym_preproc_else_token1] = ACTIONS(5016),
    [aux_sym_preproc_elif_token1] = ACTIONS(5016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5016),
    [sym_preproc_directive] = ACTIONS(5016),
    [anon_sym_LPAREN2] = ACTIONS(5018),
    [anon_sym_TILDE] = ACTIONS(5018),
    [anon_sym_STAR] = ACTIONS(5018),
    [anon_sym_AMP_AMP] = ACTIONS(5018),
    [anon_sym_AMP] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(5016),
    [anon_sym_typedef] = ACTIONS(5016),
    [anon_sym_extern] = ACTIONS(5016),
    [anon_sym___attribute__] = ACTIONS(5016),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5018),
    [anon_sym___declspec] = ACTIONS(5016),
    [anon_sym___based] = ACTIONS(5016),
    [anon_sym_signed] = ACTIONS(5016),
    [anon_sym_unsigned] = ACTIONS(5016),
    [anon_sym_long] = ACTIONS(5016),
    [anon_sym_short] = ACTIONS(5016),
    [anon_sym_LBRACK] = ACTIONS(5016),
    [anon_sym_static] = ACTIONS(5016),
    [anon_sym_register] = ACTIONS(5016),
    [anon_sym_inline] = ACTIONS(5016),
    [anon_sym___inline] = ACTIONS(5016),
    [anon_sym___inline__] = ACTIONS(5016),
    [anon_sym___forceinline] = ACTIONS(5016),
    [anon_sym_thread_local] = ACTIONS(5016),
    [anon_sym___thread] = ACTIONS(5016),
    [anon_sym_const] = ACTIONS(5016),
    [anon_sym_constexpr] = ACTIONS(5016),
    [anon_sym_volatile] = ACTIONS(5016),
    [anon_sym_restrict] = ACTIONS(5016),
    [anon_sym___restrict__] = ACTIONS(5016),
    [anon_sym__Atomic] = ACTIONS(5016),
    [anon_sym__Noreturn] = ACTIONS(5016),
    [anon_sym_noreturn] = ACTIONS(5016),
    [anon_sym_mutable] = ACTIONS(5016),
    [anon_sym_constinit] = ACTIONS(5016),
    [anon_sym_consteval] = ACTIONS(5016),
    [sym_primitive_type] = ACTIONS(5016),
    [anon_sym_enum] = ACTIONS(5016),
    [anon_sym_class] = ACTIONS(5016),
    [anon_sym_struct] = ACTIONS(5016),
    [anon_sym_union] = ACTIONS(5016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5016),
    [anon_sym_decltype] = ACTIONS(5016),
    [sym_virtual] = ACTIONS(5016),
    [anon_sym_alignas] = ACTIONS(5016),
    [anon_sym_explicit] = ACTIONS(5016),
    [anon_sym_typename] = ACTIONS(5016),
    [anon_sym_template] = ACTIONS(5016),
    [anon_sym_operator] = ACTIONS(5016),
    [anon_sym_friend] = ACTIONS(5016),
    [anon_sym_public] = ACTIONS(5016),
    [anon_sym_private] = ACTIONS(5016),
    [anon_sym_protected] = ACTIONS(5016),
    [anon_sym_using] = ACTIONS(5016),
    [anon_sym_static_assert] = ACTIONS(5016),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(5020),
    [aux_sym_preproc_def_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token1] = ACTIONS(5020),
    [aux_sym_preproc_if_token2] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5020),
    [aux_sym_preproc_else_token1] = ACTIONS(5020),
    [aux_sym_preproc_elif_token1] = ACTIONS(5020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5020),
    [sym_preproc_directive] = ACTIONS(5020),
    [anon_sym_LPAREN2] = ACTIONS(5022),
    [anon_sym_TILDE] = ACTIONS(5022),
    [anon_sym_STAR] = ACTIONS(5022),
    [anon_sym_AMP_AMP] = ACTIONS(5022),
    [anon_sym_AMP] = ACTIONS(5020),
    [anon_sym___extension__] = ACTIONS(5020),
    [anon_sym_typedef] = ACTIONS(5020),
    [anon_sym_extern] = ACTIONS(5020),
    [anon_sym___attribute__] = ACTIONS(5020),
    [anon_sym_COLON_COLON] = ACTIONS(5022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5022),
    [anon_sym___declspec] = ACTIONS(5020),
    [anon_sym___based] = ACTIONS(5020),
    [anon_sym_signed] = ACTIONS(5020),
    [anon_sym_unsigned] = ACTIONS(5020),
    [anon_sym_long] = ACTIONS(5020),
    [anon_sym_short] = ACTIONS(5020),
    [anon_sym_LBRACK] = ACTIONS(5020),
    [anon_sym_static] = ACTIONS(5020),
    [anon_sym_register] = ACTIONS(5020),
    [anon_sym_inline] = ACTIONS(5020),
    [anon_sym___inline] = ACTIONS(5020),
    [anon_sym___inline__] = ACTIONS(5020),
    [anon_sym___forceinline] = ACTIONS(5020),
    [anon_sym_thread_local] = ACTIONS(5020),
    [anon_sym___thread] = ACTIONS(5020),
    [anon_sym_const] = ACTIONS(5020),
    [anon_sym_constexpr] = ACTIONS(5020),
    [anon_sym_volatile] = ACTIONS(5020),
    [anon_sym_restrict] = ACTIONS(5020),
    [anon_sym___restrict__] = ACTIONS(5020),
    [anon_sym__Atomic] = ACTIONS(5020),
    [anon_sym__Noreturn] = ACTIONS(5020),
    [anon_sym_noreturn] = ACTIONS(5020),
    [anon_sym_mutable] = ACTIONS(5020),
    [anon_sym_constinit] = ACTIONS(5020),
    [anon_sym_consteval] = ACTIONS(5020),
    [sym_primitive_type] = ACTIONS(5020),
    [anon_sym_enum] = ACTIONS(5020),
    [anon_sym_class] = ACTIONS(5020),
    [anon_sym_struct] = ACTIONS(5020),
    [anon_sym_union] = ACTIONS(5020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5020),
    [anon_sym_decltype] = ACTIONS(5020),
    [sym_virtual] = ACTIONS(5020),
    [anon_sym_alignas] = ACTIONS(5020),
    [anon_sym_explicit] = ACTIONS(5020),
    [anon_sym_typename] = ACTIONS(5020),
    [anon_sym_template] = ACTIONS(5020),
    [anon_sym_operator] = ACTIONS(5020),
    [anon_sym_friend] = ACTIONS(5020),
    [anon_sym_public] = ACTIONS(5020),
    [anon_sym_private] = ACTIONS(5020),
    [anon_sym_protected] = ACTIONS(5020),
    [anon_sym_using] = ACTIONS(5020),
    [anon_sym_static_assert] = ACTIONS(5020),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [aux_sym_preproc_else_token1] = ACTIONS(5024),
    [aux_sym_preproc_elif_token1] = ACTIONS(5024),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_STAR] = ACTIONS(5026),
    [anon_sym_AMP_AMP] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(5024),
    [anon_sym___extension__] = ACTIONS(5024),
    [anon_sym_typedef] = ACTIONS(5024),
    [anon_sym_extern] = ACTIONS(5024),
    [anon_sym___attribute__] = ACTIONS(5024),
    [anon_sym_COLON_COLON] = ACTIONS(5026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5026),
    [anon_sym___declspec] = ACTIONS(5024),
    [anon_sym___based] = ACTIONS(5024),
    [anon_sym_signed] = ACTIONS(5024),
    [anon_sym_unsigned] = ACTIONS(5024),
    [anon_sym_long] = ACTIONS(5024),
    [anon_sym_short] = ACTIONS(5024),
    [anon_sym_LBRACK] = ACTIONS(5024),
    [anon_sym_static] = ACTIONS(5024),
    [anon_sym_register] = ACTIONS(5024),
    [anon_sym_inline] = ACTIONS(5024),
    [anon_sym___inline] = ACTIONS(5024),
    [anon_sym___inline__] = ACTIONS(5024),
    [anon_sym___forceinline] = ACTIONS(5024),
    [anon_sym_thread_local] = ACTIONS(5024),
    [anon_sym___thread] = ACTIONS(5024),
    [anon_sym_const] = ACTIONS(5024),
    [anon_sym_constexpr] = ACTIONS(5024),
    [anon_sym_volatile] = ACTIONS(5024),
    [anon_sym_restrict] = ACTIONS(5024),
    [anon_sym___restrict__] = ACTIONS(5024),
    [anon_sym__Atomic] = ACTIONS(5024),
    [anon_sym__Noreturn] = ACTIONS(5024),
    [anon_sym_noreturn] = ACTIONS(5024),
    [anon_sym_mutable] = ACTIONS(5024),
    [anon_sym_constinit] = ACTIONS(5024),
    [anon_sym_consteval] = ACTIONS(5024),
    [sym_primitive_type] = ACTIONS(5024),
    [anon_sym_enum] = ACTIONS(5024),
    [anon_sym_class] = ACTIONS(5024),
    [anon_sym_struct] = ACTIONS(5024),
    [anon_sym_union] = ACTIONS(5024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5024),
    [anon_sym_decltype] = ACTIONS(5024),
    [sym_virtual] = ACTIONS(5024),
    [anon_sym_alignas] = ACTIONS(5024),
    [anon_sym_explicit] = ACTIONS(5024),
    [anon_sym_typename] = ACTIONS(5024),
    [anon_sym_template] = ACTIONS(5024),
    [anon_sym_operator] = ACTIONS(5024),
    [anon_sym_friend] = ACTIONS(5024),
    [anon_sym_public] = ACTIONS(5024),
    [anon_sym_private] = ACTIONS(5024),
    [anon_sym_protected] = ACTIONS(5024),
    [anon_sym_using] = ACTIONS(5024),
    [anon_sym_static_assert] = ACTIONS(5024),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(5028),
    [aux_sym_preproc_def_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token1] = ACTIONS(5028),
    [aux_sym_preproc_if_token2] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5028),
    [aux_sym_preproc_else_token1] = ACTIONS(5028),
    [aux_sym_preproc_elif_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5028),
    [sym_preproc_directive] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5030),
    [anon_sym_TILDE] = ACTIONS(5030),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_AMP_AMP] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5028),
    [anon_sym_typedef] = ACTIONS(5028),
    [anon_sym_extern] = ACTIONS(5028),
    [anon_sym___attribute__] = ACTIONS(5028),
    [anon_sym_COLON_COLON] = ACTIONS(5030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5030),
    [anon_sym___declspec] = ACTIONS(5028),
    [anon_sym___based] = ACTIONS(5028),
    [anon_sym_signed] = ACTIONS(5028),
    [anon_sym_unsigned] = ACTIONS(5028),
    [anon_sym_long] = ACTIONS(5028),
    [anon_sym_short] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [anon_sym_static] = ACTIONS(5028),
    [anon_sym_register] = ACTIONS(5028),
    [anon_sym_inline] = ACTIONS(5028),
    [anon_sym___inline] = ACTIONS(5028),
    [anon_sym___inline__] = ACTIONS(5028),
    [anon_sym___forceinline] = ACTIONS(5028),
    [anon_sym_thread_local] = ACTIONS(5028),
    [anon_sym___thread] = ACTIONS(5028),
    [anon_sym_const] = ACTIONS(5028),
    [anon_sym_constexpr] = ACTIONS(5028),
    [anon_sym_volatile] = ACTIONS(5028),
    [anon_sym_restrict] = ACTIONS(5028),
    [anon_sym___restrict__] = ACTIONS(5028),
    [anon_sym__Atomic] = ACTIONS(5028),
    [anon_sym__Noreturn] = ACTIONS(5028),
    [anon_sym_noreturn] = ACTIONS(5028),
    [anon_sym_mutable] = ACTIONS(5028),
    [anon_sym_constinit] = ACTIONS(5028),
    [anon_sym_consteval] = ACTIONS(5028),
    [sym_primitive_type] = ACTIONS(5028),
    [anon_sym_enum] = ACTIONS(5028),
    [anon_sym_class] = ACTIONS(5028),
    [anon_sym_struct] = ACTIONS(5028),
    [anon_sym_union] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5028),
    [anon_sym_decltype] = ACTIONS(5028),
    [sym_virtual] = ACTIONS(5028),
    [anon_sym_alignas] = ACTIONS(5028),
    [anon_sym_explicit] = ACTIONS(5028),
    [anon_sym_typename] = ACTIONS(5028),
    [anon_sym_template] = ACTIONS(5028),
    [anon_sym_operator] = ACTIONS(5028),
    [anon_sym_friend] = ACTIONS(5028),
    [anon_sym_public] = ACTIONS(5028),
    [anon_sym_private] = ACTIONS(5028),
    [anon_sym_protected] = ACTIONS(5028),
    [anon_sym_using] = ACTIONS(5028),
    [anon_sym_static_assert] = ACTIONS(5028),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [aux_sym_preproc_else_token1] = ACTIONS(2956),
    [aux_sym_preproc_elif_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [sym_virtual] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_friend] = ACTIONS(2956),
    [anon_sym_public] = ACTIONS(2956),
    [anon_sym_private] = ACTIONS(2956),
    [anon_sym_protected] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5034),
    [anon_sym_TILDE] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5034),
    [anon_sym_AMP_AMP] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(5032),
    [anon_sym___extension__] = ACTIONS(5032),
    [anon_sym_typedef] = ACTIONS(5032),
    [anon_sym_extern] = ACTIONS(5032),
    [anon_sym___attribute__] = ACTIONS(5032),
    [anon_sym_COLON_COLON] = ACTIONS(5034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5034),
    [anon_sym___declspec] = ACTIONS(5032),
    [anon_sym___based] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(5032),
    [anon_sym_unsigned] = ACTIONS(5032),
    [anon_sym_long] = ACTIONS(5032),
    [anon_sym_short] = ACTIONS(5032),
    [anon_sym_LBRACK] = ACTIONS(5032),
    [anon_sym_static] = ACTIONS(5032),
    [anon_sym_register] = ACTIONS(5032),
    [anon_sym_inline] = ACTIONS(5032),
    [anon_sym___inline] = ACTIONS(5032),
    [anon_sym___inline__] = ACTIONS(5032),
    [anon_sym___forceinline] = ACTIONS(5032),
    [anon_sym_thread_local] = ACTIONS(5032),
    [anon_sym___thread] = ACTIONS(5032),
    [anon_sym_const] = ACTIONS(5032),
    [anon_sym_constexpr] = ACTIONS(5032),
    [anon_sym_volatile] = ACTIONS(5032),
    [anon_sym_restrict] = ACTIONS(5032),
    [anon_sym___restrict__] = ACTIONS(5032),
    [anon_sym__Atomic] = ACTIONS(5032),
    [anon_sym__Noreturn] = ACTIONS(5032),
    [anon_sym_noreturn] = ACTIONS(5032),
    [anon_sym_mutable] = ACTIONS(5032),
    [anon_sym_constinit] = ACTIONS(5032),
    [anon_sym_consteval] = ACTIONS(5032),
    [sym_primitive_type] = ACTIONS(5032),
    [anon_sym_enum] = ACTIONS(5032),
    [anon_sym_class] = ACTIONS(5032),
    [anon_sym_struct] = ACTIONS(5032),
    [anon_sym_union] = ACTIONS(5032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5032),
    [anon_sym_decltype] = ACTIONS(5032),
    [sym_virtual] = ACTIONS(5032),
    [anon_sym_alignas] = ACTIONS(5032),
    [anon_sym_explicit] = ACTIONS(5032),
    [anon_sym_typename] = ACTIONS(5032),
    [anon_sym_template] = ACTIONS(5032),
    [anon_sym_operator] = ACTIONS(5032),
    [anon_sym_friend] = ACTIONS(5032),
    [anon_sym_public] = ACTIONS(5032),
    [anon_sym_private] = ACTIONS(5032),
    [anon_sym_protected] = ACTIONS(5032),
    [anon_sym_using] = ACTIONS(5032),
    [anon_sym_static_assert] = ACTIONS(5032),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5034),
    [anon_sym_TILDE] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5034),
    [anon_sym_AMP_AMP] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(5032),
    [anon_sym___extension__] = ACTIONS(5032),
    [anon_sym_typedef] = ACTIONS(5032),
    [anon_sym_extern] = ACTIONS(5032),
    [anon_sym___attribute__] = ACTIONS(5032),
    [anon_sym_COLON_COLON] = ACTIONS(5034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5034),
    [anon_sym___declspec] = ACTIONS(5032),
    [anon_sym___based] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(5032),
    [anon_sym_unsigned] = ACTIONS(5032),
    [anon_sym_long] = ACTIONS(5032),
    [anon_sym_short] = ACTIONS(5032),
    [anon_sym_LBRACK] = ACTIONS(5032),
    [anon_sym_static] = ACTIONS(5032),
    [anon_sym_register] = ACTIONS(5032),
    [anon_sym_inline] = ACTIONS(5032),
    [anon_sym___inline] = ACTIONS(5032),
    [anon_sym___inline__] = ACTIONS(5032),
    [anon_sym___forceinline] = ACTIONS(5032),
    [anon_sym_thread_local] = ACTIONS(5032),
    [anon_sym___thread] = ACTIONS(5032),
    [anon_sym_const] = ACTIONS(5032),
    [anon_sym_constexpr] = ACTIONS(5032),
    [anon_sym_volatile] = ACTIONS(5032),
    [anon_sym_restrict] = ACTIONS(5032),
    [anon_sym___restrict__] = ACTIONS(5032),
    [anon_sym__Atomic] = ACTIONS(5032),
    [anon_sym__Noreturn] = ACTIONS(5032),
    [anon_sym_noreturn] = ACTIONS(5032),
    [anon_sym_mutable] = ACTIONS(5032),
    [anon_sym_constinit] = ACTIONS(5032),
    [anon_sym_consteval] = ACTIONS(5032),
    [sym_primitive_type] = ACTIONS(5032),
    [anon_sym_enum] = ACTIONS(5032),
    [anon_sym_class] = ACTIONS(5032),
    [anon_sym_struct] = ACTIONS(5032),
    [anon_sym_union] = ACTIONS(5032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5032),
    [anon_sym_decltype] = ACTIONS(5032),
    [sym_virtual] = ACTIONS(5032),
    [anon_sym_alignas] = ACTIONS(5032),
    [anon_sym_explicit] = ACTIONS(5032),
    [anon_sym_typename] = ACTIONS(5032),
    [anon_sym_template] = ACTIONS(5032),
    [anon_sym_operator] = ACTIONS(5032),
    [anon_sym_friend] = ACTIONS(5032),
    [anon_sym_public] = ACTIONS(5032),
    [anon_sym_private] = ACTIONS(5032),
    [anon_sym_protected] = ACTIONS(5032),
    [anon_sym_using] = ACTIONS(5032),
    [anon_sym_static_assert] = ACTIONS(5032),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(5036),
    [aux_sym_preproc_def_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token1] = ACTIONS(5036),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5036),
    [aux_sym_preproc_else_token1] = ACTIONS(5036),
    [aux_sym_preproc_elif_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_TILDE] = ACTIONS(5038),
    [anon_sym_STAR] = ACTIONS(5038),
    [anon_sym_AMP_AMP] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(5036),
    [anon_sym___extension__] = ACTIONS(5036),
    [anon_sym_typedef] = ACTIONS(5036),
    [anon_sym_extern] = ACTIONS(5036),
    [anon_sym___attribute__] = ACTIONS(5036),
    [anon_sym_COLON_COLON] = ACTIONS(5038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5038),
    [anon_sym___declspec] = ACTIONS(5036),
    [anon_sym___based] = ACTIONS(5036),
    [anon_sym_signed] = ACTIONS(5036),
    [anon_sym_unsigned] = ACTIONS(5036),
    [anon_sym_long] = ACTIONS(5036),
    [anon_sym_short] = ACTIONS(5036),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [anon_sym_static] = ACTIONS(5036),
    [anon_sym_register] = ACTIONS(5036),
    [anon_sym_inline] = ACTIONS(5036),
    [anon_sym___inline] = ACTIONS(5036),
    [anon_sym___inline__] = ACTIONS(5036),
    [anon_sym___forceinline] = ACTIONS(5036),
    [anon_sym_thread_local] = ACTIONS(5036),
    [anon_sym___thread] = ACTIONS(5036),
    [anon_sym_const] = ACTIONS(5036),
    [anon_sym_constexpr] = ACTIONS(5036),
    [anon_sym_volatile] = ACTIONS(5036),
    [anon_sym_restrict] = ACTIONS(5036),
    [anon_sym___restrict__] = ACTIONS(5036),
    [anon_sym__Atomic] = ACTIONS(5036),
    [anon_sym__Noreturn] = ACTIONS(5036),
    [anon_sym_noreturn] = ACTIONS(5036),
    [anon_sym_mutable] = ACTIONS(5036),
    [anon_sym_constinit] = ACTIONS(5036),
    [anon_sym_consteval] = ACTIONS(5036),
    [sym_primitive_type] = ACTIONS(5036),
    [anon_sym_enum] = ACTIONS(5036),
    [anon_sym_class] = ACTIONS(5036),
    [anon_sym_struct] = ACTIONS(5036),
    [anon_sym_union] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5036),
    [anon_sym_decltype] = ACTIONS(5036),
    [sym_virtual] = ACTIONS(5036),
    [anon_sym_alignas] = ACTIONS(5036),
    [anon_sym_explicit] = ACTIONS(5036),
    [anon_sym_typename] = ACTIONS(5036),
    [anon_sym_template] = ACTIONS(5036),
    [anon_sym_operator] = ACTIONS(5036),
    [anon_sym_friend] = ACTIONS(5036),
    [anon_sym_public] = ACTIONS(5036),
    [anon_sym_private] = ACTIONS(5036),
    [anon_sym_protected] = ACTIONS(5036),
    [anon_sym_using] = ACTIONS(5036),
    [anon_sym_static_assert] = ACTIONS(5036),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(5040),
    [aux_sym_preproc_def_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token1] = ACTIONS(5040),
    [aux_sym_preproc_if_token2] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5040),
    [aux_sym_preproc_else_token1] = ACTIONS(5040),
    [aux_sym_preproc_elif_token1] = ACTIONS(5040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5040),
    [sym_preproc_directive] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_TILDE] = ACTIONS(5042),
    [anon_sym_STAR] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(5040),
    [anon_sym___extension__] = ACTIONS(5040),
    [anon_sym_typedef] = ACTIONS(5040),
    [anon_sym_extern] = ACTIONS(5040),
    [anon_sym___attribute__] = ACTIONS(5040),
    [anon_sym_COLON_COLON] = ACTIONS(5042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5042),
    [anon_sym___declspec] = ACTIONS(5040),
    [anon_sym___based] = ACTIONS(5040),
    [anon_sym_signed] = ACTIONS(5040),
    [anon_sym_unsigned] = ACTIONS(5040),
    [anon_sym_long] = ACTIONS(5040),
    [anon_sym_short] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [anon_sym_static] = ACTIONS(5040),
    [anon_sym_register] = ACTIONS(5040),
    [anon_sym_inline] = ACTIONS(5040),
    [anon_sym___inline] = ACTIONS(5040),
    [anon_sym___inline__] = ACTIONS(5040),
    [anon_sym___forceinline] = ACTIONS(5040),
    [anon_sym_thread_local] = ACTIONS(5040),
    [anon_sym___thread] = ACTIONS(5040),
    [anon_sym_const] = ACTIONS(5040),
    [anon_sym_constexpr] = ACTIONS(5040),
    [anon_sym_volatile] = ACTIONS(5040),
    [anon_sym_restrict] = ACTIONS(5040),
    [anon_sym___restrict__] = ACTIONS(5040),
    [anon_sym__Atomic] = ACTIONS(5040),
    [anon_sym__Noreturn] = ACTIONS(5040),
    [anon_sym_noreturn] = ACTIONS(5040),
    [anon_sym_mutable] = ACTIONS(5040),
    [anon_sym_constinit] = ACTIONS(5040),
    [anon_sym_consteval] = ACTIONS(5040),
    [sym_primitive_type] = ACTIONS(5040),
    [anon_sym_enum] = ACTIONS(5040),
    [anon_sym_class] = ACTIONS(5040),
    [anon_sym_struct] = ACTIONS(5040),
    [anon_sym_union] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5040),
    [anon_sym_decltype] = ACTIONS(5040),
    [sym_virtual] = ACTIONS(5040),
    [anon_sym_alignas] = ACTIONS(5040),
    [anon_sym_explicit] = ACTIONS(5040),
    [anon_sym_typename] = ACTIONS(5040),
    [anon_sym_template] = ACTIONS(5040),
    [anon_sym_operator] = ACTIONS(5040),
    [anon_sym_friend] = ACTIONS(5040),
    [anon_sym_public] = ACTIONS(5040),
    [anon_sym_private] = ACTIONS(5040),
    [anon_sym_protected] = ACTIONS(5040),
    [anon_sym_using] = ACTIONS(5040),
    [anon_sym_static_assert] = ACTIONS(5040),
  },
  [1953] = {
    [sym_string_literal] = STATE(1953),
    [sym_raw_string_literal] = STATE(1953),
    [aux_sym_concatenated_string_repeat1] = STATE(1953),
    [sym_identifier] = ACTIONS(5044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4712),
    [anon_sym_COMMA] = ACTIONS(4712),
    [anon_sym_RPAREN] = ACTIONS(4712),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_DASH] = ACTIONS(4714),
    [anon_sym_PLUS] = ACTIONS(4714),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(4714),
    [anon_sym_PERCENT] = ACTIONS(4714),
    [anon_sym_PIPE_PIPE] = ACTIONS(4712),
    [anon_sym_AMP_AMP] = ACTIONS(4712),
    [anon_sym_PIPE] = ACTIONS(4714),
    [anon_sym_CARET] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_EQ_EQ] = ACTIONS(4712),
    [anon_sym_BANG_EQ] = ACTIONS(4712),
    [anon_sym_GT] = ACTIONS(4714),
    [anon_sym_GT_EQ] = ACTIONS(4712),
    [anon_sym_LT_EQ] = ACTIONS(4714),
    [anon_sym_LT] = ACTIONS(4714),
    [anon_sym_LT_LT] = ACTIONS(4714),
    [anon_sym_GT_GT] = ACTIONS(4714),
    [anon_sym_LBRACK] = ACTIONS(4712),
    [anon_sym_EQ] = ACTIONS(4714),
    [anon_sym_QMARK] = ACTIONS(4712),
    [anon_sym_STAR_EQ] = ACTIONS(4712),
    [anon_sym_SLASH_EQ] = ACTIONS(4712),
    [anon_sym_PERCENT_EQ] = ACTIONS(4712),
    [anon_sym_PLUS_EQ] = ACTIONS(4712),
    [anon_sym_DASH_EQ] = ACTIONS(4712),
    [anon_sym_LT_LT_EQ] = ACTIONS(4712),
    [anon_sym_GT_GT_EQ] = ACTIONS(4712),
    [anon_sym_AMP_EQ] = ACTIONS(4712),
    [anon_sym_CARET_EQ] = ACTIONS(4712),
    [anon_sym_PIPE_EQ] = ACTIONS(4712),
    [anon_sym_and_eq] = ACTIONS(4714),
    [anon_sym_or_eq] = ACTIONS(4714),
    [anon_sym_xor_eq] = ACTIONS(4714),
    [anon_sym_LT_EQ_GT] = ACTIONS(4712),
    [anon_sym_or] = ACTIONS(4714),
    [anon_sym_and] = ACTIONS(4714),
    [anon_sym_bitor] = ACTIONS(4714),
    [anon_sym_xor] = ACTIONS(4714),
    [anon_sym_bitand] = ACTIONS(4714),
    [anon_sym_not_eq] = ACTIONS(4714),
    [anon_sym_DASH_DASH] = ACTIONS(4712),
    [anon_sym_PLUS_PLUS] = ACTIONS(4712),
    [anon_sym_DOT] = ACTIONS(4714),
    [anon_sym_DOT_STAR] = ACTIONS(4712),
    [anon_sym_DASH_GT] = ACTIONS(4714),
    [anon_sym_L_DQUOTE] = ACTIONS(5047),
    [anon_sym_u_DQUOTE] = ACTIONS(5047),
    [anon_sym_U_DQUOTE] = ACTIONS(5047),
    [anon_sym_u8_DQUOTE] = ACTIONS(5047),
    [anon_sym_DQUOTE] = ACTIONS(5047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5050),
    [anon_sym_LR_DQUOTE] = ACTIONS(5050),
    [anon_sym_uR_DQUOTE] = ACTIONS(5050),
    [anon_sym_UR_DQUOTE] = ACTIONS(5050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5050),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4712),
    [sym_literal_suffix] = ACTIONS(4714),
  },
  [1954] = {
    [sym_catch_clause] = STATE(1998),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5053),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5057),
    [anon_sym_COMMA] = ACTIONS(5057),
    [anon_sym_RPAREN] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5057),
    [anon_sym_DASH] = ACTIONS(5055),
    [anon_sym_PLUS] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5057),
    [anon_sym_SLASH] = ACTIONS(5055),
    [anon_sym_PERCENT] = ACTIONS(5057),
    [anon_sym_PIPE_PIPE] = ACTIONS(5057),
    [anon_sym_AMP_AMP] = ACTIONS(5057),
    [anon_sym_PIPE] = ACTIONS(5055),
    [anon_sym_CARET] = ACTIONS(5057),
    [anon_sym_AMP] = ACTIONS(5055),
    [anon_sym_EQ_EQ] = ACTIONS(5057),
    [anon_sym_BANG_EQ] = ACTIONS(5057),
    [anon_sym_GT] = ACTIONS(5055),
    [anon_sym_GT_EQ] = ACTIONS(5057),
    [anon_sym_LT_EQ] = ACTIONS(5055),
    [anon_sym_LT] = ACTIONS(5055),
    [anon_sym_LT_LT] = ACTIONS(5057),
    [anon_sym_GT_GT] = ACTIONS(5057),
    [anon_sym_SEMI] = ACTIONS(5057),
    [anon_sym___extension__] = ACTIONS(5055),
    [anon_sym___attribute__] = ACTIONS(5055),
    [anon_sym___based] = ACTIONS(5055),
    [anon_sym_LBRACE] = ACTIONS(5057),
    [anon_sym_RBRACE] = ACTIONS(5057),
    [anon_sym_signed] = ACTIONS(5055),
    [anon_sym_unsigned] = ACTIONS(5055),
    [anon_sym_long] = ACTIONS(5055),
    [anon_sym_short] = ACTIONS(5055),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_RBRACK] = ACTIONS(5057),
    [anon_sym_const] = ACTIONS(5055),
    [anon_sym_constexpr] = ACTIONS(5055),
    [anon_sym_volatile] = ACTIONS(5055),
    [anon_sym_restrict] = ACTIONS(5055),
    [anon_sym___restrict__] = ACTIONS(5055),
    [anon_sym__Atomic] = ACTIONS(5055),
    [anon_sym__Noreturn] = ACTIONS(5055),
    [anon_sym_noreturn] = ACTIONS(5055),
    [anon_sym_mutable] = ACTIONS(5055),
    [anon_sym_constinit] = ACTIONS(5055),
    [anon_sym_consteval] = ACTIONS(5055),
    [sym_primitive_type] = ACTIONS(5055),
    [anon_sym_COLON] = ACTIONS(5057),
    [anon_sym_QMARK] = ACTIONS(5057),
    [anon_sym_LT_EQ_GT] = ACTIONS(5057),
    [anon_sym_or] = ACTIONS(5055),
    [anon_sym_and] = ACTIONS(5055),
    [anon_sym_bitor] = ACTIONS(5055),
    [anon_sym_xor] = ACTIONS(5055),
    [anon_sym_bitand] = ACTIONS(5055),
    [anon_sym_not_eq] = ACTIONS(5055),
    [anon_sym_DASH_DASH] = ACTIONS(5057),
    [anon_sym_PLUS_PLUS] = ACTIONS(5057),
    [anon_sym_DOT] = ACTIONS(5055),
    [anon_sym_DOT_STAR] = ACTIONS(5057),
    [anon_sym_DASH_GT] = ACTIONS(5057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5055),
    [anon_sym_decltype] = ACTIONS(5055),
    [anon_sym_final] = ACTIONS(5055),
    [anon_sym_override] = ACTIONS(5055),
    [anon_sym_requires] = ACTIONS(5055),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(5059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5061),
    [anon_sym_COMMA] = ACTIONS(5061),
    [anon_sym_RPAREN] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5059),
    [anon_sym_PLUS] = ACTIONS(5059),
    [anon_sym_STAR] = ACTIONS(5061),
    [anon_sym_SLASH] = ACTIONS(5059),
    [anon_sym_PERCENT] = ACTIONS(5061),
    [anon_sym_PIPE_PIPE] = ACTIONS(5061),
    [anon_sym_AMP_AMP] = ACTIONS(5061),
    [anon_sym_PIPE] = ACTIONS(5059),
    [anon_sym_CARET] = ACTIONS(5061),
    [anon_sym_AMP] = ACTIONS(5059),
    [anon_sym_EQ_EQ] = ACTIONS(5061),
    [anon_sym_BANG_EQ] = ACTIONS(5061),
    [anon_sym_GT] = ACTIONS(5059),
    [anon_sym_GT_EQ] = ACTIONS(5061),
    [anon_sym_LT_EQ] = ACTIONS(5059),
    [anon_sym_LT] = ACTIONS(5059),
    [anon_sym_LT_LT] = ACTIONS(5061),
    [anon_sym_GT_GT] = ACTIONS(5061),
    [anon_sym_SEMI] = ACTIONS(5061),
    [anon_sym___extension__] = ACTIONS(5059),
    [anon_sym___attribute__] = ACTIONS(5059),
    [anon_sym___based] = ACTIONS(5059),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5061),
    [anon_sym_signed] = ACTIONS(5059),
    [anon_sym_unsigned] = ACTIONS(5059),
    [anon_sym_long] = ACTIONS(5059),
    [anon_sym_short] = ACTIONS(5059),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_RBRACK] = ACTIONS(5061),
    [anon_sym_const] = ACTIONS(5059),
    [anon_sym_constexpr] = ACTIONS(5059),
    [anon_sym_volatile] = ACTIONS(5059),
    [anon_sym_restrict] = ACTIONS(5059),
    [anon_sym___restrict__] = ACTIONS(5059),
    [anon_sym__Atomic] = ACTIONS(5059),
    [anon_sym__Noreturn] = ACTIONS(5059),
    [anon_sym_noreturn] = ACTIONS(5059),
    [anon_sym_mutable] = ACTIONS(5059),
    [anon_sym_constinit] = ACTIONS(5059),
    [anon_sym_consteval] = ACTIONS(5059),
    [sym_primitive_type] = ACTIONS(5059),
    [anon_sym_COLON] = ACTIONS(5061),
    [anon_sym_QMARK] = ACTIONS(5061),
    [anon_sym_LT_EQ_GT] = ACTIONS(5061),
    [anon_sym_or] = ACTIONS(5059),
    [anon_sym_and] = ACTIONS(5059),
    [anon_sym_bitor] = ACTIONS(5059),
    [anon_sym_xor] = ACTIONS(5059),
    [anon_sym_bitand] = ACTIONS(5059),
    [anon_sym_not_eq] = ACTIONS(5059),
    [anon_sym_DASH_DASH] = ACTIONS(5061),
    [anon_sym_PLUS_PLUS] = ACTIONS(5061),
    [anon_sym_DOT] = ACTIONS(5059),
    [anon_sym_DOT_STAR] = ACTIONS(5061),
    [anon_sym_DASH_GT] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5059),
    [anon_sym_decltype] = ACTIONS(5059),
    [anon_sym_final] = ACTIONS(5059),
    [anon_sym_override] = ACTIONS(5059),
    [anon_sym_requires] = ACTIONS(5059),
  },
  [1957] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(5063),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_RBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5068),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(5070),
    [anon_sym_SLASH_EQ] = ACTIONS(5070),
    [anon_sym_PERCENT_EQ] = ACTIONS(5070),
    [anon_sym_PLUS_EQ] = ACTIONS(5070),
    [anon_sym_DASH_EQ] = ACTIONS(5070),
    [anon_sym_LT_LT_EQ] = ACTIONS(5070),
    [anon_sym_GT_GT_EQ] = ACTIONS(5070),
    [anon_sym_AMP_EQ] = ACTIONS(5070),
    [anon_sym_CARET_EQ] = ACTIONS(5070),
    [anon_sym_PIPE_EQ] = ACTIONS(5070),
    [anon_sym_and_eq] = ACTIONS(5070),
    [anon_sym_or_eq] = ACTIONS(5070),
    [anon_sym_xor_eq] = ACTIONS(5070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(5072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5074),
    [anon_sym_COMMA] = ACTIONS(5074),
    [anon_sym_RPAREN] = ACTIONS(5074),
    [anon_sym_LPAREN2] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5074),
    [anon_sym_SLASH] = ACTIONS(5072),
    [anon_sym_PERCENT] = ACTIONS(5074),
    [anon_sym_PIPE_PIPE] = ACTIONS(5074),
    [anon_sym_AMP_AMP] = ACTIONS(5074),
    [anon_sym_PIPE] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(5072),
    [anon_sym_EQ_EQ] = ACTIONS(5074),
    [anon_sym_BANG_EQ] = ACTIONS(5074),
    [anon_sym_GT] = ACTIONS(5072),
    [anon_sym_GT_EQ] = ACTIONS(5074),
    [anon_sym_LT_EQ] = ACTIONS(5072),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_SEMI] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5072),
    [anon_sym___attribute__] = ACTIONS(5072),
    [anon_sym___based] = ACTIONS(5072),
    [anon_sym_LBRACE] = ACTIONS(5074),
    [anon_sym_RBRACE] = ACTIONS(5074),
    [anon_sym_signed] = ACTIONS(5072),
    [anon_sym_unsigned] = ACTIONS(5072),
    [anon_sym_long] = ACTIONS(5072),
    [anon_sym_short] = ACTIONS(5072),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym_RBRACK] = ACTIONS(5074),
    [anon_sym_const] = ACTIONS(5072),
    [anon_sym_constexpr] = ACTIONS(5072),
    [anon_sym_volatile] = ACTIONS(5072),
    [anon_sym_restrict] = ACTIONS(5072),
    [anon_sym___restrict__] = ACTIONS(5072),
    [anon_sym__Atomic] = ACTIONS(5072),
    [anon_sym__Noreturn] = ACTIONS(5072),
    [anon_sym_noreturn] = ACTIONS(5072),
    [anon_sym_mutable] = ACTIONS(5072),
    [anon_sym_constinit] = ACTIONS(5072),
    [anon_sym_consteval] = ACTIONS(5072),
    [sym_primitive_type] = ACTIONS(5072),
    [anon_sym_COLON] = ACTIONS(5074),
    [anon_sym_QMARK] = ACTIONS(5074),
    [anon_sym_LT_EQ_GT] = ACTIONS(5074),
    [anon_sym_or] = ACTIONS(5072),
    [anon_sym_and] = ACTIONS(5072),
    [anon_sym_bitor] = ACTIONS(5072),
    [anon_sym_xor] = ACTIONS(5072),
    [anon_sym_bitand] = ACTIONS(5072),
    [anon_sym_not_eq] = ACTIONS(5072),
    [anon_sym_DASH_DASH] = ACTIONS(5074),
    [anon_sym_PLUS_PLUS] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_DOT_STAR] = ACTIONS(5074),
    [anon_sym_DASH_GT] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5072),
    [anon_sym_decltype] = ACTIONS(5072),
    [anon_sym_final] = ACTIONS(5072),
    [anon_sym_override] = ACTIONS(5072),
    [anon_sym_requires] = ACTIONS(5072),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_RPAREN] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5076),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5076),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5076),
    [anon_sym_unsigned] = ACTIONS(5076),
    [anon_sym_long] = ACTIONS(5076),
    [anon_sym_short] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_RBRACK] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_mutable] = ACTIONS(5076),
    [anon_sym_constinit] = ACTIONS(5076),
    [anon_sym_consteval] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [anon_sym_LT_EQ_GT] = ACTIONS(5078),
    [anon_sym_or] = ACTIONS(5076),
    [anon_sym_and] = ACTIONS(5076),
    [anon_sym_bitor] = ACTIONS(5076),
    [anon_sym_xor] = ACTIONS(5076),
    [anon_sym_bitand] = ACTIONS(5076),
    [anon_sym_not_eq] = ACTIONS(5076),
    [anon_sym_DASH_DASH] = ACTIONS(5078),
    [anon_sym_PLUS_PLUS] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_DOT_STAR] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5076),
    [anon_sym_decltype] = ACTIONS(5076),
    [anon_sym_final] = ACTIONS(5076),
    [anon_sym_override] = ACTIONS(5076),
    [anon_sym_requires] = ACTIONS(5076),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5082),
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5082),
    [anon_sym_AMP_AMP] = ACTIONS(5082),
    [anon_sym_PIPE] = ACTIONS(5080),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5080),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_BANG_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5080),
    [anon_sym_LT] = ACTIONS(5080),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5080),
    [anon_sym___attribute__] = ACTIONS(5080),
    [anon_sym___based] = ACTIONS(5080),
    [anon_sym_LBRACE] = ACTIONS(5082),
    [anon_sym_RBRACE] = ACTIONS(5082),
    [anon_sym_signed] = ACTIONS(5080),
    [anon_sym_unsigned] = ACTIONS(5080),
    [anon_sym_long] = ACTIONS(5080),
    [anon_sym_short] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_RBRACK] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5080),
    [anon_sym_constexpr] = ACTIONS(5080),
    [anon_sym_volatile] = ACTIONS(5080),
    [anon_sym_restrict] = ACTIONS(5080),
    [anon_sym___restrict__] = ACTIONS(5080),
    [anon_sym__Atomic] = ACTIONS(5080),
    [anon_sym__Noreturn] = ACTIONS(5080),
    [anon_sym_noreturn] = ACTIONS(5080),
    [anon_sym_mutable] = ACTIONS(5080),
    [anon_sym_constinit] = ACTIONS(5080),
    [anon_sym_consteval] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(5080),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [anon_sym_LT_EQ_GT] = ACTIONS(5082),
    [anon_sym_or] = ACTIONS(5080),
    [anon_sym_and] = ACTIONS(5080),
    [anon_sym_bitor] = ACTIONS(5080),
    [anon_sym_xor] = ACTIONS(5080),
    [anon_sym_bitand] = ACTIONS(5080),
    [anon_sym_not_eq] = ACTIONS(5080),
    [anon_sym_DASH_DASH] = ACTIONS(5082),
    [anon_sym_PLUS_PLUS] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_DOT_STAR] = ACTIONS(5082),
    [anon_sym_DASH_GT] = ACTIONS(5082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5080),
    [anon_sym_decltype] = ACTIONS(5080),
    [anon_sym_final] = ACTIONS(5080),
    [anon_sym_override] = ACTIONS(5080),
    [anon_sym_requires] = ACTIONS(5080),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5084),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_PIPE] = ACTIONS(5084),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5084),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(5084),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5086),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_signed] = ACTIONS(5084),
    [anon_sym_unsigned] = ACTIONS(5084),
    [anon_sym_long] = ACTIONS(5084),
    [anon_sym_short] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_RBRACK] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [sym_primitive_type] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5084),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
    [anon_sym_requires] = ACTIONS(5084),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(5088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5090),
    [anon_sym_COMMA] = ACTIONS(5090),
    [anon_sym_RPAREN] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5088),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5090),
    [anon_sym_AMP_AMP] = ACTIONS(5090),
    [anon_sym_PIPE] = ACTIONS(5088),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5088),
    [anon_sym_EQ_EQ] = ACTIONS(5090),
    [anon_sym_BANG_EQ] = ACTIONS(5090),
    [anon_sym_GT] = ACTIONS(5088),
    [anon_sym_GT_EQ] = ACTIONS(5090),
    [anon_sym_LT_EQ] = ACTIONS(5088),
    [anon_sym_LT] = ACTIONS(5088),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5088),
    [anon_sym___attribute__] = ACTIONS(5088),
    [anon_sym___based] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5090),
    [anon_sym_RBRACE] = ACTIONS(5090),
    [anon_sym_signed] = ACTIONS(5088),
    [anon_sym_unsigned] = ACTIONS(5088),
    [anon_sym_long] = ACTIONS(5088),
    [anon_sym_short] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_RBRACK] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5088),
    [anon_sym_constexpr] = ACTIONS(5088),
    [anon_sym_volatile] = ACTIONS(5088),
    [anon_sym_restrict] = ACTIONS(5088),
    [anon_sym___restrict__] = ACTIONS(5088),
    [anon_sym__Atomic] = ACTIONS(5088),
    [anon_sym__Noreturn] = ACTIONS(5088),
    [anon_sym_noreturn] = ACTIONS(5088),
    [anon_sym_mutable] = ACTIONS(5088),
    [anon_sym_constinit] = ACTIONS(5088),
    [anon_sym_consteval] = ACTIONS(5088),
    [sym_primitive_type] = ACTIONS(5088),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5090),
    [anon_sym_LT_EQ_GT] = ACTIONS(5090),
    [anon_sym_or] = ACTIONS(5088),
    [anon_sym_and] = ACTIONS(5088),
    [anon_sym_bitor] = ACTIONS(5088),
    [anon_sym_xor] = ACTIONS(5088),
    [anon_sym_bitand] = ACTIONS(5088),
    [anon_sym_not_eq] = ACTIONS(5088),
    [anon_sym_DASH_DASH] = ACTIONS(5090),
    [anon_sym_PLUS_PLUS] = ACTIONS(5090),
    [anon_sym_DOT] = ACTIONS(5088),
    [anon_sym_DOT_STAR] = ACTIONS(5090),
    [anon_sym_DASH_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(5088),
    [anon_sym_final] = ACTIONS(5088),
    [anon_sym_override] = ACTIONS(5088),
    [anon_sym_requires] = ACTIONS(5088),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5094),
    [anon_sym_COMMA] = ACTIONS(5094),
    [anon_sym_RPAREN] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5092),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_PIPE] = ACTIONS(5092),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym_EQ_EQ] = ACTIONS(5094),
    [anon_sym_BANG_EQ] = ACTIONS(5094),
    [anon_sym_GT] = ACTIONS(5092),
    [anon_sym_GT_EQ] = ACTIONS(5094),
    [anon_sym_LT_EQ] = ACTIONS(5092),
    [anon_sym_LT] = ACTIONS(5092),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5094),
    [anon_sym_RBRACE] = ACTIONS(5094),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_RBRACK] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5094),
    [anon_sym_LT_EQ_GT] = ACTIONS(5094),
    [anon_sym_or] = ACTIONS(5092),
    [anon_sym_and] = ACTIONS(5092),
    [anon_sym_bitor] = ACTIONS(5092),
    [anon_sym_xor] = ACTIONS(5092),
    [anon_sym_bitand] = ACTIONS(5092),
    [anon_sym_not_eq] = ACTIONS(5092),
    [anon_sym_DASH_DASH] = ACTIONS(5094),
    [anon_sym_PLUS_PLUS] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5092),
    [anon_sym_DOT_STAR] = ACTIONS(5094),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [anon_sym_final] = ACTIONS(5092),
    [anon_sym_override] = ACTIONS(5092),
    [anon_sym_requires] = ACTIONS(5092),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_requires] = ACTIONS(5096),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5102),
    [anon_sym_COMMA] = ACTIONS(5102),
    [anon_sym_RPAREN] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5100),
    [anon_sym_STAR] = ACTIONS(5102),
    [anon_sym_SLASH] = ACTIONS(5100),
    [anon_sym_PERCENT] = ACTIONS(5102),
    [anon_sym_PIPE_PIPE] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_PIPE] = ACTIONS(5100),
    [anon_sym_CARET] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym_EQ_EQ] = ACTIONS(5102),
    [anon_sym_BANG_EQ] = ACTIONS(5102),
    [anon_sym_GT] = ACTIONS(5100),
    [anon_sym_GT_EQ] = ACTIONS(5102),
    [anon_sym_LT_EQ] = ACTIONS(5100),
    [anon_sym_LT] = ACTIONS(5100),
    [anon_sym_LT_LT] = ACTIONS(5102),
    [anon_sym_GT_GT] = ACTIONS(5102),
    [anon_sym_SEMI] = ACTIONS(5102),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5102),
    [anon_sym_RBRACE] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(5100),
    [anon_sym_unsigned] = ACTIONS(5100),
    [anon_sym_long] = ACTIONS(5100),
    [anon_sym_short] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_RBRACK] = ACTIONS(5102),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [sym_primitive_type] = ACTIONS(5100),
    [anon_sym_COLON] = ACTIONS(5102),
    [anon_sym_QMARK] = ACTIONS(5102),
    [anon_sym_LT_EQ_GT] = ACTIONS(5102),
    [anon_sym_or] = ACTIONS(5100),
    [anon_sym_and] = ACTIONS(5100),
    [anon_sym_bitor] = ACTIONS(5100),
    [anon_sym_xor] = ACTIONS(5100),
    [anon_sym_bitand] = ACTIONS(5100),
    [anon_sym_not_eq] = ACTIONS(5100),
    [anon_sym_DASH_DASH] = ACTIONS(5102),
    [anon_sym_PLUS_PLUS] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_DOT_STAR] = ACTIONS(5102),
    [anon_sym_DASH_GT] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [anon_sym_final] = ACTIONS(5100),
    [anon_sym_override] = ACTIONS(5100),
    [anon_sym_requires] = ACTIONS(5100),
  },
  [1966] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3757),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_requires] = ACTIONS(5096),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5106),
    [anon_sym_COMMA] = ACTIONS(5106),
    [anon_sym_RPAREN] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5106),
    [anon_sym_SLASH] = ACTIONS(5104),
    [anon_sym_PERCENT] = ACTIONS(5106),
    [anon_sym_PIPE_PIPE] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_PIPE] = ACTIONS(5104),
    [anon_sym_CARET] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym_EQ_EQ] = ACTIONS(5106),
    [anon_sym_BANG_EQ] = ACTIONS(5106),
    [anon_sym_GT] = ACTIONS(5104),
    [anon_sym_GT_EQ] = ACTIONS(5106),
    [anon_sym_LT_EQ] = ACTIONS(5104),
    [anon_sym_LT] = ACTIONS(5104),
    [anon_sym_LT_LT] = ACTIONS(5106),
    [anon_sym_GT_GT] = ACTIONS(5106),
    [anon_sym_SEMI] = ACTIONS(5106),
    [anon_sym___extension__] = ACTIONS(5104),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym___based] = ACTIONS(5104),
    [anon_sym_LBRACE] = ACTIONS(5106),
    [anon_sym_RBRACE] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(5104),
    [anon_sym_unsigned] = ACTIONS(5104),
    [anon_sym_long] = ACTIONS(5104),
    [anon_sym_short] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [anon_sym_RBRACK] = ACTIONS(5106),
    [anon_sym_const] = ACTIONS(5104),
    [anon_sym_constexpr] = ACTIONS(5104),
    [anon_sym_volatile] = ACTIONS(5104),
    [anon_sym_restrict] = ACTIONS(5104),
    [anon_sym___restrict__] = ACTIONS(5104),
    [anon_sym__Atomic] = ACTIONS(5104),
    [anon_sym__Noreturn] = ACTIONS(5104),
    [anon_sym_noreturn] = ACTIONS(5104),
    [anon_sym_mutable] = ACTIONS(5104),
    [anon_sym_constinit] = ACTIONS(5104),
    [anon_sym_consteval] = ACTIONS(5104),
    [sym_primitive_type] = ACTIONS(5104),
    [anon_sym_COLON] = ACTIONS(5106),
    [anon_sym_QMARK] = ACTIONS(5106),
    [anon_sym_LT_EQ_GT] = ACTIONS(5106),
    [anon_sym_or] = ACTIONS(5104),
    [anon_sym_and] = ACTIONS(5104),
    [anon_sym_bitor] = ACTIONS(5104),
    [anon_sym_xor] = ACTIONS(5104),
    [anon_sym_bitand] = ACTIONS(5104),
    [anon_sym_not_eq] = ACTIONS(5104),
    [anon_sym_DASH_DASH] = ACTIONS(5106),
    [anon_sym_PLUS_PLUS] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_DOT_STAR] = ACTIONS(5106),
    [anon_sym_DASH_GT] = ACTIONS(5106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
    [anon_sym_final] = ACTIONS(5104),
    [anon_sym_override] = ACTIONS(5104),
    [anon_sym_requires] = ACTIONS(5104),
  },
  [1969] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3968),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1970] = {
    [sym_string_literal] = STATE(1970),
    [sym_raw_string_literal] = STATE(1970),
    [aux_sym_concatenated_string_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4712),
    [anon_sym_COMMA] = ACTIONS(4712),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_DASH] = ACTIONS(4714),
    [anon_sym_PLUS] = ACTIONS(4714),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(4714),
    [anon_sym_PERCENT] = ACTIONS(4714),
    [anon_sym_PIPE_PIPE] = ACTIONS(4712),
    [anon_sym_AMP_AMP] = ACTIONS(4712),
    [anon_sym_PIPE] = ACTIONS(4714),
    [anon_sym_CARET] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_EQ_EQ] = ACTIONS(4712),
    [anon_sym_BANG_EQ] = ACTIONS(4712),
    [anon_sym_GT] = ACTIONS(4714),
    [anon_sym_GT_EQ] = ACTIONS(4712),
    [anon_sym_LT_EQ] = ACTIONS(4714),
    [anon_sym_LT] = ACTIONS(4714),
    [anon_sym_LT_LT] = ACTIONS(4714),
    [anon_sym_GT_GT] = ACTIONS(4714),
    [anon_sym_SEMI] = ACTIONS(4712),
    [anon_sym___attribute__] = ACTIONS(4714),
    [anon_sym_LBRACK] = ACTIONS(4712),
    [anon_sym_EQ] = ACTIONS(4714),
    [anon_sym_QMARK] = ACTIONS(4712),
    [anon_sym_STAR_EQ] = ACTIONS(4712),
    [anon_sym_SLASH_EQ] = ACTIONS(4712),
    [anon_sym_PERCENT_EQ] = ACTIONS(4712),
    [anon_sym_PLUS_EQ] = ACTIONS(4712),
    [anon_sym_DASH_EQ] = ACTIONS(4712),
    [anon_sym_LT_LT_EQ] = ACTIONS(4712),
    [anon_sym_GT_GT_EQ] = ACTIONS(4712),
    [anon_sym_AMP_EQ] = ACTIONS(4712),
    [anon_sym_CARET_EQ] = ACTIONS(4712),
    [anon_sym_PIPE_EQ] = ACTIONS(4712),
    [anon_sym_and_eq] = ACTIONS(4714),
    [anon_sym_or_eq] = ACTIONS(4714),
    [anon_sym_xor_eq] = ACTIONS(4714),
    [anon_sym_LT_EQ_GT] = ACTIONS(4712),
    [anon_sym_or] = ACTIONS(4714),
    [anon_sym_and] = ACTIONS(4714),
    [anon_sym_bitor] = ACTIONS(4714),
    [anon_sym_xor] = ACTIONS(4714),
    [anon_sym_bitand] = ACTIONS(4714),
    [anon_sym_not_eq] = ACTIONS(4714),
    [anon_sym_DASH_DASH] = ACTIONS(4712),
    [anon_sym_PLUS_PLUS] = ACTIONS(4712),
    [anon_sym_DOT] = ACTIONS(4714),
    [anon_sym_DOT_STAR] = ACTIONS(4712),
    [anon_sym_DASH_GT] = ACTIONS(4712),
    [anon_sym_L_DQUOTE] = ACTIONS(5111),
    [anon_sym_u_DQUOTE] = ACTIONS(5111),
    [anon_sym_U_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8_DQUOTE] = ACTIONS(5111),
    [anon_sym_DQUOTE] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5114),
    [anon_sym_LR_DQUOTE] = ACTIONS(5114),
    [anon_sym_uR_DQUOTE] = ACTIONS(5114),
    [anon_sym_UR_DQUOTE] = ACTIONS(5114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5114),
    [sym_literal_suffix] = ACTIONS(4714),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5119),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5119),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5119),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5119),
    [anon_sym_GT_GT] = ACTIONS(5119),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_signed] = ACTIONS(5117),
    [anon_sym_unsigned] = ACTIONS(5117),
    [anon_sym_long] = ACTIONS(5117),
    [anon_sym_short] = ACTIONS(5117),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_RBRACK] = ACTIONS(5119),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [sym_primitive_type] = ACTIONS(5117),
    [anon_sym_COLON] = ACTIONS(5119),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_final] = ACTIONS(5117),
    [anon_sym_override] = ACTIONS(5117),
    [anon_sym_requires] = ACTIONS(5117),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_requires] = ACTIONS(5096),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_signed] = ACTIONS(5121),
    [anon_sym_unsigned] = ACTIONS(5121),
    [anon_sym_long] = ACTIONS(5121),
    [anon_sym_short] = ACTIONS(5121),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [sym_primitive_type] = ACTIONS(5121),
    [anon_sym_COLON] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_final] = ACTIONS(5121),
    [anon_sym_override] = ACTIONS(5121),
    [anon_sym_requires] = ACTIONS(5121),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4898),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5127),
    [anon_sym_GT_GT] = ACTIONS(5127),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_signed] = ACTIONS(5125),
    [anon_sym_unsigned] = ACTIONS(5125),
    [anon_sym_long] = ACTIONS(5125),
    [anon_sym_short] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [sym_primitive_type] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5127),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_requires] = ACTIONS(5125),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5131),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_signed] = ACTIONS(5129),
    [anon_sym_unsigned] = ACTIONS(5129),
    [anon_sym_long] = ACTIONS(5129),
    [anon_sym_short] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [sym_primitive_type] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5131),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_requires] = ACTIONS(5129),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_signed] = ACTIONS(5133),
    [anon_sym_unsigned] = ACTIONS(5133),
    [anon_sym_long] = ACTIONS(5133),
    [anon_sym_short] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [sym_primitive_type] = ACTIONS(5133),
    [anon_sym_COLON] = ACTIONS(5135),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_final] = ACTIONS(5133),
    [anon_sym_override] = ACTIONS(5133),
    [anon_sym_requires] = ACTIONS(5133),
  },
  [1978] = {
    [sym_catch_clause] = STATE(1998),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_friend] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(5053),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_signed] = ACTIONS(5137),
    [anon_sym_unsigned] = ACTIONS(5137),
    [anon_sym_long] = ACTIONS(5137),
    [anon_sym_short] = ACTIONS(5137),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_RBRACK] = ACTIONS(5139),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [sym_primitive_type] = ACTIONS(5137),
    [anon_sym_COLON] = ACTIONS(5139),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_final] = ACTIONS(5137),
    [anon_sym_override] = ACTIONS(5137),
    [anon_sym_requires] = ACTIONS(5137),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5143),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5143),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5143),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5143),
    [anon_sym_GT_GT] = ACTIONS(5143),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_signed] = ACTIONS(5141),
    [anon_sym_unsigned] = ACTIONS(5141),
    [anon_sym_long] = ACTIONS(5141),
    [anon_sym_short] = ACTIONS(5141),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_RBRACK] = ACTIONS(5143),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [sym_primitive_type] = ACTIONS(5141),
    [anon_sym_COLON] = ACTIONS(5143),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_final] = ACTIONS(5141),
    [anon_sym_override] = ACTIONS(5141),
    [anon_sym_requires] = ACTIONS(5141),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5147),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_signed] = ACTIONS(5145),
    [anon_sym_unsigned] = ACTIONS(5145),
    [anon_sym_long] = ACTIONS(5145),
    [anon_sym_short] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_RBRACK] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [sym_primitive_type] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_final] = ACTIONS(5145),
    [anon_sym_override] = ACTIONS(5145),
    [anon_sym_requires] = ACTIONS(5145),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5151),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5151),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5151),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5151),
    [anon_sym_GT_GT] = ACTIONS(5151),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_signed] = ACTIONS(5149),
    [anon_sym_unsigned] = ACTIONS(5149),
    [anon_sym_long] = ACTIONS(5149),
    [anon_sym_short] = ACTIONS(5149),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_RBRACK] = ACTIONS(5151),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [sym_primitive_type] = ACTIONS(5149),
    [anon_sym_COLON] = ACTIONS(5151),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_final] = ACTIONS(5149),
    [anon_sym_override] = ACTIONS(5149),
    [anon_sym_requires] = ACTIONS(5149),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5084),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_PIPE] = ACTIONS(5084),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5084),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(5084),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5086),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_signed] = ACTIONS(5084),
    [anon_sym_unsigned] = ACTIONS(5084),
    [anon_sym_long] = ACTIONS(5084),
    [anon_sym_short] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_RBRACK] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [sym_primitive_type] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5084),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
    [anon_sym_requires] = ACTIONS(5084),
  },
  [1984] = {
    [sym_string_literal] = STATE(1953),
    [sym_raw_string_literal] = STATE(1953),
    [aux_sym_concatenated_string_repeat1] = STATE(1953),
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_COMMA] = ACTIONS(4728),
    [anon_sym_RPAREN] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_SLASH] = ACTIONS(4730),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_PIPE_PIPE] = ACTIONS(4728),
    [anon_sym_AMP_AMP] = ACTIONS(4728),
    [anon_sym_PIPE] = ACTIONS(4730),
    [anon_sym_CARET] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_EQ_EQ] = ACTIONS(4728),
    [anon_sym_BANG_EQ] = ACTIONS(4728),
    [anon_sym_GT] = ACTIONS(4730),
    [anon_sym_GT_EQ] = ACTIONS(4728),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4730),
    [anon_sym_LT_LT] = ACTIONS(4730),
    [anon_sym_GT_GT] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4728),
    [anon_sym_EQ] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4728),
    [anon_sym_STAR_EQ] = ACTIONS(4728),
    [anon_sym_SLASH_EQ] = ACTIONS(4728),
    [anon_sym_PERCENT_EQ] = ACTIONS(4728),
    [anon_sym_PLUS_EQ] = ACTIONS(4728),
    [anon_sym_DASH_EQ] = ACTIONS(4728),
    [anon_sym_LT_LT_EQ] = ACTIONS(4728),
    [anon_sym_GT_GT_EQ] = ACTIONS(4728),
    [anon_sym_AMP_EQ] = ACTIONS(4728),
    [anon_sym_CARET_EQ] = ACTIONS(4728),
    [anon_sym_PIPE_EQ] = ACTIONS(4728),
    [anon_sym_and_eq] = ACTIONS(4730),
    [anon_sym_or_eq] = ACTIONS(4730),
    [anon_sym_xor_eq] = ACTIONS(4730),
    [anon_sym_LT_EQ_GT] = ACTIONS(4728),
    [anon_sym_or] = ACTIONS(4730),
    [anon_sym_and] = ACTIONS(4730),
    [anon_sym_bitor] = ACTIONS(4730),
    [anon_sym_xor] = ACTIONS(4730),
    [anon_sym_bitand] = ACTIONS(4730),
    [anon_sym_not_eq] = ACTIONS(4730),
    [anon_sym_DASH_DASH] = ACTIONS(4728),
    [anon_sym_PLUS_PLUS] = ACTIONS(4728),
    [anon_sym_DOT] = ACTIONS(4730),
    [anon_sym_DOT_STAR] = ACTIONS(4728),
    [anon_sym_DASH_GT] = ACTIONS(4730),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4728),
    [sym_literal_suffix] = ACTIONS(4730),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(4532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4539),
    [anon_sym_COMMA] = ACTIONS(4539),
    [anon_sym_RPAREN] = ACTIONS(4539),
    [aux_sym_preproc_if_token2] = ACTIONS(4539),
    [aux_sym_preproc_else_token1] = ACTIONS(4539),
    [aux_sym_preproc_elif_token1] = ACTIONS(4532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4539),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4539),
    [anon_sym_LPAREN2] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4539),
    [anon_sym_PIPE_PIPE] = ACTIONS(4539),
    [anon_sym_AMP_AMP] = ACTIONS(4539),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_CARET] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4539),
    [anon_sym_BANG_EQ] = ACTIONS(4539),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4539),
    [anon_sym_LT_EQ] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4539),
    [anon_sym_GT_GT] = ACTIONS(4539),
    [anon_sym_SEMI] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_RBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4539),
    [anon_sym_RBRACK] = ACTIONS(4539),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_QMARK] = ACTIONS(4539),
    [anon_sym_LT_EQ_GT] = ACTIONS(4539),
    [anon_sym_or] = ACTIONS(4532),
    [anon_sym_and] = ACTIONS(4532),
    [anon_sym_bitor] = ACTIONS(4532),
    [anon_sym_xor] = ACTIONS(4532),
    [anon_sym_bitand] = ACTIONS(4532),
    [anon_sym_not_eq] = ACTIONS(4532),
    [anon_sym_DASH_DASH] = ACTIONS(4539),
    [anon_sym_PLUS_PLUS] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_DOT_STAR] = ACTIONS(4539),
    [anon_sym_DASH_GT] = ACTIONS(4539),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [anon_sym_final] = ACTIONS(4532),
    [anon_sym_override] = ACTIONS(4532),
    [anon_sym_requires] = ACTIONS(4532),
  },
  [1986] = {
    [sym_catch_clause] = STATE(2024),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5155),
  },
  [1987] = {
    [sym_catch_clause] = STATE(2024),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_friend] = ACTIONS(2482),
    [anon_sym_public] = ACTIONS(2482),
    [anon_sym_private] = ACTIONS(2482),
    [anon_sym_protected] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(5155),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5159),
    [anon_sym_COMMA] = ACTIONS(5159),
    [anon_sym_RPAREN] = ACTIONS(5159),
    [anon_sym_LPAREN2] = ACTIONS(5159),
    [anon_sym_DASH] = ACTIONS(5157),
    [anon_sym_PLUS] = ACTIONS(5157),
    [anon_sym_STAR] = ACTIONS(5159),
    [anon_sym_SLASH] = ACTIONS(5157),
    [anon_sym_PERCENT] = ACTIONS(5159),
    [anon_sym_PIPE_PIPE] = ACTIONS(5159),
    [anon_sym_AMP_AMP] = ACTIONS(5159),
    [anon_sym_PIPE] = ACTIONS(5157),
    [anon_sym_CARET] = ACTIONS(5159),
    [anon_sym_AMP] = ACTIONS(5157),
    [anon_sym_EQ_EQ] = ACTIONS(5159),
    [anon_sym_BANG_EQ] = ACTIONS(5159),
    [anon_sym_GT] = ACTIONS(5157),
    [anon_sym_GT_EQ] = ACTIONS(5159),
    [anon_sym_LT_EQ] = ACTIONS(5157),
    [anon_sym_LT] = ACTIONS(5157),
    [anon_sym_LT_LT] = ACTIONS(5159),
    [anon_sym_GT_GT] = ACTIONS(5159),
    [anon_sym_SEMI] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(5157),
    [anon_sym___attribute__] = ACTIONS(5157),
    [anon_sym___based] = ACTIONS(5157),
    [anon_sym_LBRACE] = ACTIONS(5159),
    [anon_sym_RBRACE] = ACTIONS(5159),
    [anon_sym_signed] = ACTIONS(5157),
    [anon_sym_unsigned] = ACTIONS(5157),
    [anon_sym_long] = ACTIONS(5157),
    [anon_sym_short] = ACTIONS(5157),
    [anon_sym_LBRACK] = ACTIONS(5159),
    [anon_sym_RBRACK] = ACTIONS(5159),
    [anon_sym_const] = ACTIONS(5157),
    [anon_sym_constexpr] = ACTIONS(5157),
    [anon_sym_volatile] = ACTIONS(5157),
    [anon_sym_restrict] = ACTIONS(5157),
    [anon_sym___restrict__] = ACTIONS(5157),
    [anon_sym__Atomic] = ACTIONS(5157),
    [anon_sym__Noreturn] = ACTIONS(5157),
    [anon_sym_noreturn] = ACTIONS(5157),
    [anon_sym_mutable] = ACTIONS(5157),
    [anon_sym_constinit] = ACTIONS(5157),
    [anon_sym_consteval] = ACTIONS(5157),
    [sym_primitive_type] = ACTIONS(5157),
    [anon_sym_COLON] = ACTIONS(5159),
    [anon_sym_QMARK] = ACTIONS(5159),
    [anon_sym_LT_EQ_GT] = ACTIONS(5159),
    [anon_sym_or] = ACTIONS(5157),
    [anon_sym_and] = ACTIONS(5157),
    [anon_sym_bitor] = ACTIONS(5157),
    [anon_sym_xor] = ACTIONS(5157),
    [anon_sym_bitand] = ACTIONS(5157),
    [anon_sym_not_eq] = ACTIONS(5157),
    [anon_sym_DASH_DASH] = ACTIONS(5159),
    [anon_sym_PLUS_PLUS] = ACTIONS(5159),
    [anon_sym_DOT] = ACTIONS(5157),
    [anon_sym_DOT_STAR] = ACTIONS(5159),
    [anon_sym_DASH_GT] = ACTIONS(5159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5157),
    [anon_sym_decltype] = ACTIONS(5157),
    [anon_sym_final] = ACTIONS(5157),
    [anon_sym_override] = ACTIONS(5157),
    [anon_sym_requires] = ACTIONS(5157),
  },
  [1989] = {
    [sym_string_literal] = STATE(3194),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(5161),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(5163),
    [anon_sym_SLASH_EQ] = ACTIONS(5163),
    [anon_sym_PERCENT_EQ] = ACTIONS(5163),
    [anon_sym_PLUS_EQ] = ACTIONS(5163),
    [anon_sym_DASH_EQ] = ACTIONS(5163),
    [anon_sym_LT_LT_EQ] = ACTIONS(5163),
    [anon_sym_GT_GT_EQ] = ACTIONS(5163),
    [anon_sym_AMP_EQ] = ACTIONS(5163),
    [anon_sym_CARET_EQ] = ACTIONS(5163),
    [anon_sym_PIPE_EQ] = ACTIONS(5163),
    [anon_sym_and_eq] = ACTIONS(5163),
    [anon_sym_or_eq] = ACTIONS(5163),
    [anon_sym_xor_eq] = ACTIONS(5163),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(5165),
    [anon_sym_u_DQUOTE] = ACTIONS(5165),
    [anon_sym_U_DQUOTE] = ACTIONS(5165),
    [anon_sym_u8_DQUOTE] = ACTIONS(5165),
    [anon_sym_DQUOTE] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5167),
    [anon_sym_LR_DQUOTE] = ACTIONS(5167),
    [anon_sym_uR_DQUOTE] = ACTIONS(5167),
    [anon_sym_UR_DQUOTE] = ACTIONS(5167),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5167),
  },
  [1990] = {
    [sym_string_literal] = STATE(1994),
    [sym_raw_string_literal] = STATE(1994),
    [aux_sym_concatenated_string_repeat1] = STATE(1994),
    [sym_identifier] = ACTIONS(5169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_COMMA] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4665),
    [anon_sym_DASH] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4667),
    [anon_sym_STAR] = ACTIONS(4667),
    [anon_sym_SLASH] = ACTIONS(4667),
    [anon_sym_PERCENT] = ACTIONS(4667),
    [anon_sym_PIPE_PIPE] = ACTIONS(4665),
    [anon_sym_AMP_AMP] = ACTIONS(4665),
    [anon_sym_PIPE] = ACTIONS(4667),
    [anon_sym_CARET] = ACTIONS(4667),
    [anon_sym_AMP] = ACTIONS(4667),
    [anon_sym_EQ_EQ] = ACTIONS(4665),
    [anon_sym_BANG_EQ] = ACTIONS(4665),
    [anon_sym_GT] = ACTIONS(4667),
    [anon_sym_GT_EQ] = ACTIONS(4665),
    [anon_sym_LT_EQ] = ACTIONS(4667),
    [anon_sym_LT] = ACTIONS(4667),
    [anon_sym_LT_LT] = ACTIONS(4667),
    [anon_sym_GT_GT] = ACTIONS(4667),
    [anon_sym_SEMI] = ACTIONS(4665),
    [anon_sym___attribute__] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4667),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_STAR_EQ] = ACTIONS(4665),
    [anon_sym_SLASH_EQ] = ACTIONS(4665),
    [anon_sym_PERCENT_EQ] = ACTIONS(4665),
    [anon_sym_PLUS_EQ] = ACTIONS(4665),
    [anon_sym_DASH_EQ] = ACTIONS(4665),
    [anon_sym_LT_LT_EQ] = ACTIONS(4665),
    [anon_sym_GT_GT_EQ] = ACTIONS(4665),
    [anon_sym_AMP_EQ] = ACTIONS(4665),
    [anon_sym_CARET_EQ] = ACTIONS(4665),
    [anon_sym_PIPE_EQ] = ACTIONS(4665),
    [anon_sym_and_eq] = ACTIONS(4667),
    [anon_sym_or_eq] = ACTIONS(4667),
    [anon_sym_xor_eq] = ACTIONS(4667),
    [anon_sym_LT_EQ_GT] = ACTIONS(4665),
    [anon_sym_or] = ACTIONS(4667),
    [anon_sym_and] = ACTIONS(4667),
    [anon_sym_bitor] = ACTIONS(4667),
    [anon_sym_xor] = ACTIONS(4667),
    [anon_sym_bitand] = ACTIONS(4667),
    [anon_sym_not_eq] = ACTIONS(4667),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_DOT] = ACTIONS(4667),
    [anon_sym_DOT_STAR] = ACTIONS(4665),
    [anon_sym_DASH_GT] = ACTIONS(4665),
    [anon_sym_L_DQUOTE] = ACTIONS(5171),
    [anon_sym_u_DQUOTE] = ACTIONS(5171),
    [anon_sym_U_DQUOTE] = ACTIONS(5171),
    [anon_sym_u8_DQUOTE] = ACTIONS(5171),
    [anon_sym_DQUOTE] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5173),
    [anon_sym_LR_DQUOTE] = ACTIONS(5173),
    [anon_sym_uR_DQUOTE] = ACTIONS(5173),
    [anon_sym_UR_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5173),
    [sym_literal_suffix] = ACTIONS(4667),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5177),
    [anon_sym_COMMA] = ACTIONS(5177),
    [anon_sym_RPAREN] = ACTIONS(5177),
    [anon_sym_LPAREN2] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5175),
    [anon_sym_PLUS] = ACTIONS(5175),
    [anon_sym_STAR] = ACTIONS(5177),
    [anon_sym_SLASH] = ACTIONS(5175),
    [anon_sym_PERCENT] = ACTIONS(5177),
    [anon_sym_PIPE_PIPE] = ACTIONS(5177),
    [anon_sym_AMP_AMP] = ACTIONS(5177),
    [anon_sym_PIPE] = ACTIONS(5175),
    [anon_sym_CARET] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(5175),
    [anon_sym_EQ_EQ] = ACTIONS(5177),
    [anon_sym_BANG_EQ] = ACTIONS(5177),
    [anon_sym_GT] = ACTIONS(5175),
    [anon_sym_GT_EQ] = ACTIONS(5177),
    [anon_sym_LT_EQ] = ACTIONS(5175),
    [anon_sym_LT] = ACTIONS(5175),
    [anon_sym_LT_LT] = ACTIONS(5177),
    [anon_sym_GT_GT] = ACTIONS(5177),
    [anon_sym_SEMI] = ACTIONS(5177),
    [anon_sym___extension__] = ACTIONS(5175),
    [anon_sym___attribute__] = ACTIONS(5175),
    [anon_sym___based] = ACTIONS(5175),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_RBRACE] = ACTIONS(5177),
    [anon_sym_signed] = ACTIONS(5175),
    [anon_sym_unsigned] = ACTIONS(5175),
    [anon_sym_long] = ACTIONS(5175),
    [anon_sym_short] = ACTIONS(5175),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [anon_sym_RBRACK] = ACTIONS(5177),
    [anon_sym_const] = ACTIONS(5175),
    [anon_sym_constexpr] = ACTIONS(5175),
    [anon_sym_volatile] = ACTIONS(5175),
    [anon_sym_restrict] = ACTIONS(5175),
    [anon_sym___restrict__] = ACTIONS(5175),
    [anon_sym__Atomic] = ACTIONS(5175),
    [anon_sym__Noreturn] = ACTIONS(5175),
    [anon_sym_noreturn] = ACTIONS(5175),
    [anon_sym_mutable] = ACTIONS(5175),
    [anon_sym_constinit] = ACTIONS(5175),
    [anon_sym_consteval] = ACTIONS(5175),
    [sym_primitive_type] = ACTIONS(5175),
    [anon_sym_COLON] = ACTIONS(5177),
    [anon_sym_QMARK] = ACTIONS(5177),
    [anon_sym_LT_EQ_GT] = ACTIONS(5177),
    [anon_sym_or] = ACTIONS(5175),
    [anon_sym_and] = ACTIONS(5175),
    [anon_sym_bitor] = ACTIONS(5175),
    [anon_sym_xor] = ACTIONS(5175),
    [anon_sym_bitand] = ACTIONS(5175),
    [anon_sym_not_eq] = ACTIONS(5175),
    [anon_sym_DASH_DASH] = ACTIONS(5177),
    [anon_sym_PLUS_PLUS] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5175),
    [anon_sym_DOT_STAR] = ACTIONS(5177),
    [anon_sym_DASH_GT] = ACTIONS(5177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5175),
    [anon_sym_decltype] = ACTIONS(5175),
    [anon_sym_final] = ACTIONS(5175),
    [anon_sym_override] = ACTIONS(5175),
    [anon_sym_requires] = ACTIONS(5175),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5181),
    [anon_sym_COMMA] = ACTIONS(5181),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [anon_sym_DASH] = ACTIONS(5179),
    [anon_sym_PLUS] = ACTIONS(5179),
    [anon_sym_STAR] = ACTIONS(5181),
    [anon_sym_SLASH] = ACTIONS(5179),
    [anon_sym_PERCENT] = ACTIONS(5181),
    [anon_sym_PIPE_PIPE] = ACTIONS(5181),
    [anon_sym_AMP_AMP] = ACTIONS(5181),
    [anon_sym_PIPE] = ACTIONS(5179),
    [anon_sym_CARET] = ACTIONS(5181),
    [anon_sym_AMP] = ACTIONS(5179),
    [anon_sym_EQ_EQ] = ACTIONS(5181),
    [anon_sym_BANG_EQ] = ACTIONS(5181),
    [anon_sym_GT] = ACTIONS(5179),
    [anon_sym_GT_EQ] = ACTIONS(5181),
    [anon_sym_LT_EQ] = ACTIONS(5179),
    [anon_sym_LT] = ACTIONS(5179),
    [anon_sym_LT_LT] = ACTIONS(5181),
    [anon_sym_GT_GT] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(5179),
    [anon_sym___attribute__] = ACTIONS(5179),
    [anon_sym___based] = ACTIONS(5179),
    [anon_sym_LBRACE] = ACTIONS(5181),
    [anon_sym_RBRACE] = ACTIONS(5181),
    [anon_sym_signed] = ACTIONS(5179),
    [anon_sym_unsigned] = ACTIONS(5179),
    [anon_sym_long] = ACTIONS(5179),
    [anon_sym_short] = ACTIONS(5179),
    [anon_sym_LBRACK] = ACTIONS(5181),
    [anon_sym_RBRACK] = ACTIONS(5181),
    [anon_sym_const] = ACTIONS(5179),
    [anon_sym_constexpr] = ACTIONS(5179),
    [anon_sym_volatile] = ACTIONS(5179),
    [anon_sym_restrict] = ACTIONS(5179),
    [anon_sym___restrict__] = ACTIONS(5179),
    [anon_sym__Atomic] = ACTIONS(5179),
    [anon_sym__Noreturn] = ACTIONS(5179),
    [anon_sym_noreturn] = ACTIONS(5179),
    [anon_sym_mutable] = ACTIONS(5179),
    [anon_sym_constinit] = ACTIONS(5179),
    [anon_sym_consteval] = ACTIONS(5179),
    [sym_primitive_type] = ACTIONS(5179),
    [anon_sym_COLON] = ACTIONS(5181),
    [anon_sym_QMARK] = ACTIONS(5181),
    [anon_sym_LT_EQ_GT] = ACTIONS(5181),
    [anon_sym_or] = ACTIONS(5179),
    [anon_sym_and] = ACTIONS(5179),
    [anon_sym_bitor] = ACTIONS(5179),
    [anon_sym_xor] = ACTIONS(5179),
    [anon_sym_bitand] = ACTIONS(5179),
    [anon_sym_not_eq] = ACTIONS(5179),
    [anon_sym_DASH_DASH] = ACTIONS(5181),
    [anon_sym_PLUS_PLUS] = ACTIONS(5181),
    [anon_sym_DOT] = ACTIONS(5179),
    [anon_sym_DOT_STAR] = ACTIONS(5181),
    [anon_sym_DASH_GT] = ACTIONS(5181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5179),
    [anon_sym_decltype] = ACTIONS(5179),
    [anon_sym_final] = ACTIONS(5179),
    [anon_sym_override] = ACTIONS(5179),
    [anon_sym_requires] = ACTIONS(5179),
  },
  [1993] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_STAR] = ACTIONS(4543),
    [anon_sym_SLASH] = ACTIONS(4541),
    [anon_sym_PERCENT] = ACTIONS(4541),
    [anon_sym_PIPE_PIPE] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4541),
    [anon_sym_CARET] = ACTIONS(4541),
    [anon_sym_AMP] = ACTIONS(4543),
    [anon_sym_EQ_EQ] = ACTIONS(4534),
    [anon_sym_BANG_EQ] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4541),
    [anon_sym_GT_EQ] = ACTIONS(4541),
    [anon_sym_LT_EQ] = ACTIONS(4541),
    [anon_sym_LT] = ACTIONS(4541),
    [anon_sym_LT_LT] = ACTIONS(4541),
    [anon_sym_GT_GT] = ACTIONS(4541),
    [anon_sym___extension__] = ACTIONS(4539),
    [anon_sym_COLON_COLON] = ACTIONS(4539),
    [anon_sym_LBRACE] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4541),
    [anon_sym_const] = ACTIONS(4532),
    [anon_sym_constexpr] = ACTIONS(4539),
    [anon_sym_volatile] = ACTIONS(4539),
    [anon_sym_restrict] = ACTIONS(4539),
    [anon_sym___restrict__] = ACTIONS(4539),
    [anon_sym__Atomic] = ACTIONS(4539),
    [anon_sym__Noreturn] = ACTIONS(4539),
    [anon_sym_noreturn] = ACTIONS(4539),
    [anon_sym_mutable] = ACTIONS(4539),
    [anon_sym_constinit] = ACTIONS(4539),
    [anon_sym_consteval] = ACTIONS(4539),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_STAR_EQ] = ACTIONS(4534),
    [anon_sym_SLASH_EQ] = ACTIONS(4534),
    [anon_sym_PERCENT_EQ] = ACTIONS(4534),
    [anon_sym_PLUS_EQ] = ACTIONS(4534),
    [anon_sym_DASH_EQ] = ACTIONS(4534),
    [anon_sym_LT_LT_EQ] = ACTIONS(4534),
    [anon_sym_GT_GT_EQ] = ACTIONS(4541),
    [anon_sym_AMP_EQ] = ACTIONS(4534),
    [anon_sym_CARET_EQ] = ACTIONS(4534),
    [anon_sym_PIPE_EQ] = ACTIONS(4534),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4541),
    [anon_sym_and] = ACTIONS(4541),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4541),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4534),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_DOT_STAR] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4539),
    [anon_sym_decltype] = ACTIONS(4539),
    [anon_sym_GT2] = ACTIONS(4536),
  },
  [1994] = {
    [sym_string_literal] = STATE(1970),
    [sym_raw_string_literal] = STATE(1970),
    [aux_sym_concatenated_string_repeat1] = STATE(1970),
    [sym_identifier] = ACTIONS(5183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_COMMA] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_SLASH] = ACTIONS(4730),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_PIPE_PIPE] = ACTIONS(4728),
    [anon_sym_AMP_AMP] = ACTIONS(4728),
    [anon_sym_PIPE] = ACTIONS(4730),
    [anon_sym_CARET] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_EQ_EQ] = ACTIONS(4728),
    [anon_sym_BANG_EQ] = ACTIONS(4728),
    [anon_sym_GT] = ACTIONS(4730),
    [anon_sym_GT_EQ] = ACTIONS(4728),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4730),
    [anon_sym_LT_LT] = ACTIONS(4730),
    [anon_sym_GT_GT] = ACTIONS(4730),
    [anon_sym_SEMI] = ACTIONS(4728),
    [anon_sym___attribute__] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4728),
    [anon_sym_EQ] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4728),
    [anon_sym_STAR_EQ] = ACTIONS(4728),
    [anon_sym_SLASH_EQ] = ACTIONS(4728),
    [anon_sym_PERCENT_EQ] = ACTIONS(4728),
    [anon_sym_PLUS_EQ] = ACTIONS(4728),
    [anon_sym_DASH_EQ] = ACTIONS(4728),
    [anon_sym_LT_LT_EQ] = ACTIONS(4728),
    [anon_sym_GT_GT_EQ] = ACTIONS(4728),
    [anon_sym_AMP_EQ] = ACTIONS(4728),
    [anon_sym_CARET_EQ] = ACTIONS(4728),
    [anon_sym_PIPE_EQ] = ACTIONS(4728),
    [anon_sym_and_eq] = ACTIONS(4730),
    [anon_sym_or_eq] = ACTIONS(4730),
    [anon_sym_xor_eq] = ACTIONS(4730),
    [anon_sym_LT_EQ_GT] = ACTIONS(4728),
    [anon_sym_or] = ACTIONS(4730),
    [anon_sym_and] = ACTIONS(4730),
    [anon_sym_bitor] = ACTIONS(4730),
    [anon_sym_xor] = ACTIONS(4730),
    [anon_sym_bitand] = ACTIONS(4730),
    [anon_sym_not_eq] = ACTIONS(4730),
    [anon_sym_DASH_DASH] = ACTIONS(4728),
    [anon_sym_PLUS_PLUS] = ACTIONS(4728),
    [anon_sym_DOT] = ACTIONS(4730),
    [anon_sym_DOT_STAR] = ACTIONS(4728),
    [anon_sym_DASH_GT] = ACTIONS(4728),
    [anon_sym_L_DQUOTE] = ACTIONS(5171),
    [anon_sym_u_DQUOTE] = ACTIONS(5171),
    [anon_sym_U_DQUOTE] = ACTIONS(5171),
    [anon_sym_u8_DQUOTE] = ACTIONS(5171),
    [anon_sym_DQUOTE] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5173),
    [anon_sym_LR_DQUOTE] = ACTIONS(5173),
    [anon_sym_uR_DQUOTE] = ACTIONS(5173),
    [anon_sym_UR_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5173),
    [sym_literal_suffix] = ACTIONS(4730),
  },
  [1995] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(5185),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [1996] = {
    [sym_attribute_specifier] = STATE(2087),
    [sym_enumerator_list] = STATE(2052),
    [sym_identifier] = ACTIONS(5187),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5189),
    [anon_sym_COMMA] = ACTIONS(5189),
    [anon_sym_RPAREN] = ACTIONS(5189),
    [aux_sym_preproc_if_token2] = ACTIONS(5189),
    [aux_sym_preproc_else_token1] = ACTIONS(5189),
    [aux_sym_preproc_elif_token1] = ACTIONS(5187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [anon_sym_DASH] = ACTIONS(5187),
    [anon_sym_PLUS] = ACTIONS(5187),
    [anon_sym_STAR] = ACTIONS(5187),
    [anon_sym_SLASH] = ACTIONS(5187),
    [anon_sym_PERCENT] = ACTIONS(5187),
    [anon_sym_PIPE_PIPE] = ACTIONS(5189),
    [anon_sym_AMP_AMP] = ACTIONS(5189),
    [anon_sym_PIPE] = ACTIONS(5187),
    [anon_sym_CARET] = ACTIONS(5187),
    [anon_sym_AMP] = ACTIONS(5187),
    [anon_sym_EQ_EQ] = ACTIONS(5189),
    [anon_sym_BANG_EQ] = ACTIONS(5189),
    [anon_sym_GT] = ACTIONS(5187),
    [anon_sym_GT_EQ] = ACTIONS(5189),
    [anon_sym_LT_EQ] = ACTIONS(5187),
    [anon_sym_LT] = ACTIONS(5187),
    [anon_sym_LT_LT] = ACTIONS(5187),
    [anon_sym_GT_GT] = ACTIONS(5187),
    [anon_sym_SEMI] = ACTIONS(5189),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5191),
    [anon_sym_RBRACE] = ACTIONS(5189),
    [anon_sym_LBRACK] = ACTIONS(5189),
    [anon_sym_RBRACK] = ACTIONS(5189),
    [anon_sym_EQ] = ACTIONS(5187),
    [anon_sym_COLON] = ACTIONS(5189),
    [anon_sym_QMARK] = ACTIONS(5189),
    [anon_sym_STAR_EQ] = ACTIONS(5189),
    [anon_sym_SLASH_EQ] = ACTIONS(5189),
    [anon_sym_PERCENT_EQ] = ACTIONS(5189),
    [anon_sym_PLUS_EQ] = ACTIONS(5189),
    [anon_sym_DASH_EQ] = ACTIONS(5189),
    [anon_sym_LT_LT_EQ] = ACTIONS(5189),
    [anon_sym_GT_GT_EQ] = ACTIONS(5189),
    [anon_sym_AMP_EQ] = ACTIONS(5189),
    [anon_sym_CARET_EQ] = ACTIONS(5189),
    [anon_sym_PIPE_EQ] = ACTIONS(5189),
    [anon_sym_and_eq] = ACTIONS(5187),
    [anon_sym_or_eq] = ACTIONS(5187),
    [anon_sym_xor_eq] = ACTIONS(5187),
    [anon_sym_LT_EQ_GT] = ACTIONS(5189),
    [anon_sym_or] = ACTIONS(5187),
    [anon_sym_and] = ACTIONS(5187),
    [anon_sym_bitor] = ACTIONS(5187),
    [anon_sym_xor] = ACTIONS(5187),
    [anon_sym_bitand] = ACTIONS(5187),
    [anon_sym_not_eq] = ACTIONS(5187),
    [anon_sym_DASH_DASH] = ACTIONS(5189),
    [anon_sym_PLUS_PLUS] = ACTIONS(5189),
    [anon_sym_DOT] = ACTIONS(5187),
    [anon_sym_DOT_STAR] = ACTIONS(5189),
    [anon_sym_DASH_GT] = ACTIONS(5189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5187),
    [anon_sym_decltype] = ACTIONS(5187),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(5193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5195),
    [anon_sym_COMMA] = ACTIONS(5195),
    [anon_sym_RPAREN] = ACTIONS(5195),
    [anon_sym_LPAREN2] = ACTIONS(5195),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5193),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5195),
    [anon_sym_AMP_AMP] = ACTIONS(5195),
    [anon_sym_PIPE] = ACTIONS(5193),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5193),
    [anon_sym_EQ_EQ] = ACTIONS(5195),
    [anon_sym_BANG_EQ] = ACTIONS(5195),
    [anon_sym_GT] = ACTIONS(5193),
    [anon_sym_GT_EQ] = ACTIONS(5195),
    [anon_sym_LT_EQ] = ACTIONS(5193),
    [anon_sym_LT] = ACTIONS(5193),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_SEMI] = ACTIONS(5195),
    [anon_sym___extension__] = ACTIONS(5193),
    [anon_sym___attribute__] = ACTIONS(5193),
    [anon_sym___based] = ACTIONS(5193),
    [anon_sym_LBRACE] = ACTIONS(5195),
    [anon_sym_RBRACE] = ACTIONS(5195),
    [anon_sym_signed] = ACTIONS(5193),
    [anon_sym_unsigned] = ACTIONS(5193),
    [anon_sym_long] = ACTIONS(5193),
    [anon_sym_short] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5195),
    [anon_sym_RBRACK] = ACTIONS(5195),
    [anon_sym_const] = ACTIONS(5193),
    [anon_sym_constexpr] = ACTIONS(5193),
    [anon_sym_volatile] = ACTIONS(5193),
    [anon_sym_restrict] = ACTIONS(5193),
    [anon_sym___restrict__] = ACTIONS(5193),
    [anon_sym__Atomic] = ACTIONS(5193),
    [anon_sym__Noreturn] = ACTIONS(5193),
    [anon_sym_noreturn] = ACTIONS(5193),
    [anon_sym_mutable] = ACTIONS(5193),
    [anon_sym_constinit] = ACTIONS(5193),
    [anon_sym_consteval] = ACTIONS(5193),
    [sym_primitive_type] = ACTIONS(5193),
    [anon_sym_COLON] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5195),
    [anon_sym_or] = ACTIONS(5193),
    [anon_sym_and] = ACTIONS(5193),
    [anon_sym_bitor] = ACTIONS(5193),
    [anon_sym_xor] = ACTIONS(5193),
    [anon_sym_bitand] = ACTIONS(5193),
    [anon_sym_not_eq] = ACTIONS(5193),
    [anon_sym_DASH_DASH] = ACTIONS(5195),
    [anon_sym_PLUS_PLUS] = ACTIONS(5195),
    [anon_sym_DOT] = ACTIONS(5193),
    [anon_sym_DOT_STAR] = ACTIONS(5195),
    [anon_sym_DASH_GT] = ACTIONS(5195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5193),
    [anon_sym_decltype] = ACTIONS(5193),
    [anon_sym_final] = ACTIONS(5193),
    [anon_sym_override] = ACTIONS(5193),
    [anon_sym_requires] = ACTIONS(5193),
  },
  [1998] = {
    [sym_catch_clause] = STATE(1998),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_friend] = ACTIONS(2465),
    [anon_sym_public] = ACTIONS(2465),
    [anon_sym_private] = ACTIONS(2465),
    [anon_sym_protected] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(5197),
  },
  [1999] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3771),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [2000] = {
    [sym_catch_clause] = STATE(2024),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_STAR] = ACTIONS(2455),
    [anon_sym_AMP_AMP] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym___extension__] = ACTIONS(2453),
    [anon_sym_typedef] = ACTIONS(2453),
    [anon_sym_extern] = ACTIONS(2453),
    [anon_sym___attribute__] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(2455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2455),
    [anon_sym___declspec] = ACTIONS(2453),
    [anon_sym___based] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_signed] = ACTIONS(2453),
    [anon_sym_unsigned] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_register] = ACTIONS(2453),
    [anon_sym_inline] = ACTIONS(2453),
    [anon_sym___inline] = ACTIONS(2453),
    [anon_sym___inline__] = ACTIONS(2453),
    [anon_sym___forceinline] = ACTIONS(2453),
    [anon_sym_thread_local] = ACTIONS(2453),
    [anon_sym___thread] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_constexpr] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_restrict] = ACTIONS(2453),
    [anon_sym___restrict__] = ACTIONS(2453),
    [anon_sym__Atomic] = ACTIONS(2453),
    [anon_sym__Noreturn] = ACTIONS(2453),
    [anon_sym_noreturn] = ACTIONS(2453),
    [anon_sym_mutable] = ACTIONS(2453),
    [anon_sym_constinit] = ACTIONS(2453),
    [anon_sym_consteval] = ACTIONS(2453),
    [sym_primitive_type] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_struct] = ACTIONS(2453),
    [anon_sym_union] = ACTIONS(2453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2453),
    [anon_sym_decltype] = ACTIONS(2453),
    [sym_virtual] = ACTIONS(2453),
    [anon_sym_alignas] = ACTIONS(2453),
    [anon_sym_explicit] = ACTIONS(2453),
    [anon_sym_typename] = ACTIONS(2453),
    [anon_sym_template] = ACTIONS(2453),
    [anon_sym_operator] = ACTIONS(2453),
    [anon_sym_friend] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_using] = ACTIONS(2453),
    [anon_sym_static_assert] = ACTIONS(2453),
    [anon_sym_catch] = ACTIONS(5155),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4890),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym___based] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_signed] = ACTIONS(4890),
    [anon_sym_unsigned] = ACTIONS(4890),
    [anon_sym_long] = ACTIONS(4890),
    [anon_sym_short] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4890),
    [anon_sym_constexpr] = ACTIONS(4890),
    [anon_sym_volatile] = ACTIONS(4890),
    [anon_sym_restrict] = ACTIONS(4890),
    [anon_sym___restrict__] = ACTIONS(4890),
    [anon_sym__Atomic] = ACTIONS(4890),
    [anon_sym__Noreturn] = ACTIONS(4890),
    [anon_sym_noreturn] = ACTIONS(4890),
    [anon_sym_mutable] = ACTIONS(4890),
    [anon_sym_constinit] = ACTIONS(4890),
    [anon_sym_consteval] = ACTIONS(4890),
    [sym_primitive_type] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
    [anon_sym_final] = ACTIONS(4890),
    [anon_sym_override] = ACTIONS(4890),
    [anon_sym_requires] = ACTIONS(4890),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3176),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_RPAREN] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_GT2] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_noexcept] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
  },
  [2003] = {
    [sym_string_literal] = STATE(2299),
    [sym_template_argument_list] = STATE(3542),
    [sym_raw_string_literal] = STATE(2299),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(5200),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(5203),
    [anon_sym_or_eq] = ACTIONS(5203),
    [anon_sym_xor_eq] = ACTIONS(5203),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(3977),
    [anon_sym_u_DQUOTE] = ACTIONS(3977),
    [anon_sym_U_DQUOTE] = ACTIONS(3977),
    [anon_sym_u8_DQUOTE] = ACTIONS(3977),
    [anon_sym_DQUOTE] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3979),
    [anon_sym_LR_DQUOTE] = ACTIONS(3979),
    [anon_sym_uR_DQUOTE] = ACTIONS(3979),
    [anon_sym_UR_DQUOTE] = ACTIONS(3979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3979),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [2004] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(5205),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_RBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5068),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(5070),
    [anon_sym_SLASH_EQ] = ACTIONS(5070),
    [anon_sym_PERCENT_EQ] = ACTIONS(5070),
    [anon_sym_PLUS_EQ] = ACTIONS(5070),
    [anon_sym_DASH_EQ] = ACTIONS(5070),
    [anon_sym_LT_LT_EQ] = ACTIONS(5070),
    [anon_sym_GT_GT_EQ] = ACTIONS(5070),
    [anon_sym_AMP_EQ] = ACTIONS(5070),
    [anon_sym_CARET_EQ] = ACTIONS(5070),
    [anon_sym_PIPE_EQ] = ACTIONS(5070),
    [anon_sym_and_eq] = ACTIONS(5070),
    [anon_sym_or_eq] = ACTIONS(5070),
    [anon_sym_xor_eq] = ACTIONS(5070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [2005] = {
    [sym_attribute_specifier] = STATE(2139),
    [sym_enumerator_list] = STATE(2039),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5210),
    [anon_sym_COMMA] = ACTIONS(5210),
    [anon_sym_RPAREN] = ACTIONS(5210),
    [aux_sym_preproc_if_token2] = ACTIONS(5210),
    [aux_sym_preproc_else_token1] = ACTIONS(5210),
    [aux_sym_preproc_elif_token1] = ACTIONS(5208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5210),
    [anon_sym_LPAREN2] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5208),
    [anon_sym_STAR] = ACTIONS(5208),
    [anon_sym_SLASH] = ACTIONS(5208),
    [anon_sym_PERCENT] = ACTIONS(5208),
    [anon_sym_PIPE_PIPE] = ACTIONS(5210),
    [anon_sym_AMP_AMP] = ACTIONS(5210),
    [anon_sym_PIPE] = ACTIONS(5208),
    [anon_sym_CARET] = ACTIONS(5208),
    [anon_sym_AMP] = ACTIONS(5208),
    [anon_sym_EQ_EQ] = ACTIONS(5210),
    [anon_sym_BANG_EQ] = ACTIONS(5210),
    [anon_sym_GT] = ACTIONS(5208),
    [anon_sym_GT_EQ] = ACTIONS(5210),
    [anon_sym_LT_EQ] = ACTIONS(5208),
    [anon_sym_LT] = ACTIONS(5208),
    [anon_sym_LT_LT] = ACTIONS(5208),
    [anon_sym_GT_GT] = ACTIONS(5208),
    [anon_sym_SEMI] = ACTIONS(5210),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5191),
    [anon_sym_RBRACE] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [anon_sym_RBRACK] = ACTIONS(5210),
    [anon_sym_EQ] = ACTIONS(5208),
    [anon_sym_COLON] = ACTIONS(5210),
    [anon_sym_QMARK] = ACTIONS(5210),
    [anon_sym_STAR_EQ] = ACTIONS(5210),
    [anon_sym_SLASH_EQ] = ACTIONS(5210),
    [anon_sym_PERCENT_EQ] = ACTIONS(5210),
    [anon_sym_PLUS_EQ] = ACTIONS(5210),
    [anon_sym_DASH_EQ] = ACTIONS(5210),
    [anon_sym_LT_LT_EQ] = ACTIONS(5210),
    [anon_sym_GT_GT_EQ] = ACTIONS(5210),
    [anon_sym_AMP_EQ] = ACTIONS(5210),
    [anon_sym_CARET_EQ] = ACTIONS(5210),
    [anon_sym_PIPE_EQ] = ACTIONS(5210),
    [anon_sym_and_eq] = ACTIONS(5208),
    [anon_sym_or_eq] = ACTIONS(5208),
    [anon_sym_xor_eq] = ACTIONS(5208),
    [anon_sym_LT_EQ_GT] = ACTIONS(5210),
    [anon_sym_or] = ACTIONS(5208),
    [anon_sym_and] = ACTIONS(5208),
    [anon_sym_bitor] = ACTIONS(5208),
    [anon_sym_xor] = ACTIONS(5208),
    [anon_sym_bitand] = ACTIONS(5208),
    [anon_sym_not_eq] = ACTIONS(5208),
    [anon_sym_DASH_DASH] = ACTIONS(5210),
    [anon_sym_PLUS_PLUS] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_DOT_STAR] = ACTIONS(5210),
    [anon_sym_DASH_GT] = ACTIONS(5210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5208),
    [anon_sym_decltype] = ACTIONS(5208),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_COMMA] = ACTIONS(5214),
    [anon_sym_RPAREN] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5212),
    [anon_sym_STAR] = ACTIONS(5214),
    [anon_sym_SLASH] = ACTIONS(5212),
    [anon_sym_PERCENT] = ACTIONS(5214),
    [anon_sym_PIPE_PIPE] = ACTIONS(5214),
    [anon_sym_AMP_AMP] = ACTIONS(5214),
    [anon_sym_PIPE] = ACTIONS(5212),
    [anon_sym_CARET] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(5212),
    [anon_sym_EQ_EQ] = ACTIONS(5214),
    [anon_sym_BANG_EQ] = ACTIONS(5214),
    [anon_sym_GT] = ACTIONS(5212),
    [anon_sym_GT_EQ] = ACTIONS(5214),
    [anon_sym_LT_EQ] = ACTIONS(5212),
    [anon_sym_LT] = ACTIONS(5212),
    [anon_sym_LT_LT] = ACTIONS(5214),
    [anon_sym_GT_GT] = ACTIONS(5214),
    [anon_sym_SEMI] = ACTIONS(5214),
    [anon_sym___extension__] = ACTIONS(5212),
    [anon_sym___attribute__] = ACTIONS(5212),
    [anon_sym___based] = ACTIONS(5212),
    [anon_sym_LBRACE] = ACTIONS(5214),
    [anon_sym_RBRACE] = ACTIONS(5214),
    [anon_sym_signed] = ACTIONS(5212),
    [anon_sym_unsigned] = ACTIONS(5212),
    [anon_sym_long] = ACTIONS(5212),
    [anon_sym_short] = ACTIONS(5212),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_const] = ACTIONS(5212),
    [anon_sym_constexpr] = ACTIONS(5212),
    [anon_sym_volatile] = ACTIONS(5212),
    [anon_sym_restrict] = ACTIONS(5212),
    [anon_sym___restrict__] = ACTIONS(5212),
    [anon_sym__Atomic] = ACTIONS(5212),
    [anon_sym__Noreturn] = ACTIONS(5212),
    [anon_sym_noreturn] = ACTIONS(5212),
    [anon_sym_mutable] = ACTIONS(5212),
    [anon_sym_constinit] = ACTIONS(5212),
    [anon_sym_consteval] = ACTIONS(5212),
    [sym_primitive_type] = ACTIONS(5212),
    [anon_sym_COLON] = ACTIONS(5214),
    [anon_sym_QMARK] = ACTIONS(5214),
    [anon_sym_LT_EQ_GT] = ACTIONS(5214),
    [anon_sym_or] = ACTIONS(5212),
    [anon_sym_and] = ACTIONS(5212),
    [anon_sym_bitor] = ACTIONS(5212),
    [anon_sym_xor] = ACTIONS(5212),
    [anon_sym_bitand] = ACTIONS(5212),
    [anon_sym_not_eq] = ACTIONS(5212),
    [anon_sym_DASH_DASH] = ACTIONS(5214),
    [anon_sym_PLUS_PLUS] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_DOT_STAR] = ACTIONS(5214),
    [anon_sym_DASH_GT] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5212),
    [anon_sym_decltype] = ACTIONS(5212),
    [anon_sym_final] = ACTIONS(5212),
    [anon_sym_override] = ACTIONS(5212),
    [anon_sym_requires] = ACTIONS(5212),
  },
  [2007] = {
    [sym_string_literal] = STATE(1990),
    [sym_template_argument_list] = STATE(2232),
    [sym_raw_string_literal] = STATE(1990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4634),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(5171),
    [anon_sym_u_DQUOTE] = ACTIONS(5171),
    [anon_sym_U_DQUOTE] = ACTIONS(5171),
    [anon_sym_u8_DQUOTE] = ACTIONS(5171),
    [anon_sym_DQUOTE] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5173),
    [anon_sym_LR_DQUOTE] = ACTIONS(5173),
    [anon_sym_uR_DQUOTE] = ACTIONS(5173),
    [anon_sym_UR_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5173),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5218),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5218),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5218),
    [anon_sym_GT_GT] = ACTIONS(5218),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___extension__] = ACTIONS(5216),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym___based] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_signed] = ACTIONS(5216),
    [anon_sym_unsigned] = ACTIONS(5216),
    [anon_sym_long] = ACTIONS(5216),
    [anon_sym_short] = ACTIONS(5216),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_const] = ACTIONS(5216),
    [anon_sym_constexpr] = ACTIONS(5216),
    [anon_sym_volatile] = ACTIONS(5216),
    [anon_sym_restrict] = ACTIONS(5216),
    [anon_sym___restrict__] = ACTIONS(5216),
    [anon_sym__Atomic] = ACTIONS(5216),
    [anon_sym__Noreturn] = ACTIONS(5216),
    [anon_sym_noreturn] = ACTIONS(5216),
    [anon_sym_mutable] = ACTIONS(5216),
    [anon_sym_constinit] = ACTIONS(5216),
    [anon_sym_consteval] = ACTIONS(5216),
    [sym_primitive_type] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
    [anon_sym_final] = ACTIONS(5216),
    [anon_sym_override] = ACTIONS(5216),
    [anon_sym_requires] = ACTIONS(5216),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5222),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5222),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5222),
    [anon_sym_GT_GT] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___extension__] = ACTIONS(5220),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym___based] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5220),
    [anon_sym_unsigned] = ACTIONS(5220),
    [anon_sym_long] = ACTIONS(5220),
    [anon_sym_short] = ACTIONS(5220),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5220),
    [anon_sym_constexpr] = ACTIONS(5220),
    [anon_sym_volatile] = ACTIONS(5220),
    [anon_sym_restrict] = ACTIONS(5220),
    [anon_sym___restrict__] = ACTIONS(5220),
    [anon_sym__Atomic] = ACTIONS(5220),
    [anon_sym__Noreturn] = ACTIONS(5220),
    [anon_sym_noreturn] = ACTIONS(5220),
    [anon_sym_mutable] = ACTIONS(5220),
    [anon_sym_constinit] = ACTIONS(5220),
    [anon_sym_consteval] = ACTIONS(5220),
    [sym_primitive_type] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
    [anon_sym_final] = ACTIONS(5220),
    [anon_sym_override] = ACTIONS(5220),
    [anon_sym_requires] = ACTIONS(5220),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5226),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5226),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5226),
    [anon_sym_GT_GT] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___extension__] = ACTIONS(5224),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym___based] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_signed] = ACTIONS(5224),
    [anon_sym_unsigned] = ACTIONS(5224),
    [anon_sym_long] = ACTIONS(5224),
    [anon_sym_short] = ACTIONS(5224),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5224),
    [anon_sym_constexpr] = ACTIONS(5224),
    [anon_sym_volatile] = ACTIONS(5224),
    [anon_sym_restrict] = ACTIONS(5224),
    [anon_sym___restrict__] = ACTIONS(5224),
    [anon_sym__Atomic] = ACTIONS(5224),
    [anon_sym__Noreturn] = ACTIONS(5224),
    [anon_sym_noreturn] = ACTIONS(5224),
    [anon_sym_mutable] = ACTIONS(5224),
    [anon_sym_constinit] = ACTIONS(5224),
    [anon_sym_consteval] = ACTIONS(5224),
    [sym_primitive_type] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
    [anon_sym_final] = ACTIONS(5224),
    [anon_sym_override] = ACTIONS(5224),
    [anon_sym_requires] = ACTIONS(5224),
  },
  [2011] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2016),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [anon_sym_RPAREN] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5230),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5230),
    [anon_sym_PIPE_PIPE] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5230),
    [anon_sym_BANG_EQ] = ACTIONS(5230),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5230),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5230),
    [anon_sym_GT_GT] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5230),
    [anon_sym___extension__] = ACTIONS(5232),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_RBRACE] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5234),
    [anon_sym_unsigned] = ACTIONS(5234),
    [anon_sym_long] = ACTIONS(5234),
    [anon_sym_short] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_RBRACK] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5232),
    [anon_sym_constexpr] = ACTIONS(5232),
    [anon_sym_volatile] = ACTIONS(5232),
    [anon_sym_restrict] = ACTIONS(5232),
    [anon_sym___restrict__] = ACTIONS(5232),
    [anon_sym__Atomic] = ACTIONS(5232),
    [anon_sym__Noreturn] = ACTIONS(5232),
    [anon_sym_noreturn] = ACTIONS(5232),
    [anon_sym_mutable] = ACTIONS(5232),
    [anon_sym_constinit] = ACTIONS(5232),
    [anon_sym_consteval] = ACTIONS(5232),
    [sym_primitive_type] = ACTIONS(5236),
    [anon_sym_COLON] = ACTIONS(5230),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_LT_EQ_GT] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5230),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
    [anon_sym_final] = ACTIONS(5232),
    [anon_sym_override] = ACTIONS(5232),
    [anon_sym_requires] = ACTIONS(5232),
  },
  [2012] = {
    [sym_catch_clause] = STATE(1998),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_friend] = ACTIONS(2482),
    [anon_sym_public] = ACTIONS(2482),
    [anon_sym_private] = ACTIONS(2482),
    [anon_sym_protected] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_catch] = ACTIONS(5053),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_RPAREN] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5240),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5240),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5240),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5240),
    [anon_sym_GT_GT] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5240),
    [anon_sym___extension__] = ACTIONS(5238),
    [anon_sym___attribute__] = ACTIONS(5238),
    [anon_sym___based] = ACTIONS(5238),
    [anon_sym_LBRACE] = ACTIONS(5240),
    [anon_sym_RBRACE] = ACTIONS(5240),
    [anon_sym_signed] = ACTIONS(5238),
    [anon_sym_unsigned] = ACTIONS(5238),
    [anon_sym_long] = ACTIONS(5238),
    [anon_sym_short] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_RBRACK] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5238),
    [anon_sym_constexpr] = ACTIONS(5238),
    [anon_sym_volatile] = ACTIONS(5238),
    [anon_sym_restrict] = ACTIONS(5238),
    [anon_sym___restrict__] = ACTIONS(5238),
    [anon_sym__Atomic] = ACTIONS(5238),
    [anon_sym__Noreturn] = ACTIONS(5238),
    [anon_sym_noreturn] = ACTIONS(5238),
    [anon_sym_mutable] = ACTIONS(5238),
    [anon_sym_constinit] = ACTIONS(5238),
    [anon_sym_consteval] = ACTIONS(5238),
    [sym_primitive_type] = ACTIONS(5238),
    [anon_sym_COLON] = ACTIONS(5240),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5238),
    [anon_sym_decltype] = ACTIONS(5238),
    [anon_sym_final] = ACTIONS(5238),
    [anon_sym_override] = ACTIONS(5238),
    [anon_sym_requires] = ACTIONS(5238),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5244),
    [anon_sym_COMMA] = ACTIONS(5244),
    [anon_sym_RPAREN] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_TILDE] = ACTIONS(5244),
    [anon_sym_STAR] = ACTIONS(5244),
    [anon_sym_AMP_AMP] = ACTIONS(5244),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_SEMI] = ACTIONS(5244),
    [anon_sym___extension__] = ACTIONS(5242),
    [anon_sym_extern] = ACTIONS(5242),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_COLON_COLON] = ACTIONS(5244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5244),
    [anon_sym___declspec] = ACTIONS(5242),
    [anon_sym___based] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(5244),
    [anon_sym_signed] = ACTIONS(5242),
    [anon_sym_unsigned] = ACTIONS(5242),
    [anon_sym_long] = ACTIONS(5242),
    [anon_sym_short] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [anon_sym_EQ] = ACTIONS(5244),
    [anon_sym_static] = ACTIONS(5242),
    [anon_sym_register] = ACTIONS(5242),
    [anon_sym_inline] = ACTIONS(5242),
    [anon_sym___inline] = ACTIONS(5242),
    [anon_sym___inline__] = ACTIONS(5242),
    [anon_sym___forceinline] = ACTIONS(5242),
    [anon_sym_thread_local] = ACTIONS(5242),
    [anon_sym___thread] = ACTIONS(5242),
    [anon_sym_const] = ACTIONS(5242),
    [anon_sym_constexpr] = ACTIONS(5242),
    [anon_sym_volatile] = ACTIONS(5242),
    [anon_sym_restrict] = ACTIONS(5242),
    [anon_sym___restrict__] = ACTIONS(5242),
    [anon_sym__Atomic] = ACTIONS(5242),
    [anon_sym__Noreturn] = ACTIONS(5242),
    [anon_sym_noreturn] = ACTIONS(5242),
    [anon_sym_mutable] = ACTIONS(5242),
    [anon_sym_constinit] = ACTIONS(5242),
    [anon_sym_consteval] = ACTIONS(5242),
    [sym_primitive_type] = ACTIONS(5242),
    [anon_sym_enum] = ACTIONS(5242),
    [anon_sym_class] = ACTIONS(5242),
    [anon_sym_struct] = ACTIONS(5242),
    [anon_sym_union] = ACTIONS(5242),
    [anon_sym_asm] = ACTIONS(5242),
    [anon_sym___asm__] = ACTIONS(5242),
    [anon_sym_DASH_GT] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5242),
    [anon_sym_decltype] = ACTIONS(5242),
    [anon_sym_final] = ACTIONS(5242),
    [anon_sym_override] = ACTIONS(5242),
    [sym_virtual] = ACTIONS(5242),
    [anon_sym_alignas] = ACTIONS(5242),
    [anon_sym_explicit] = ACTIONS(5242),
    [anon_sym_typename] = ACTIONS(5242),
    [anon_sym_template] = ACTIONS(5242),
    [anon_sym_GT2] = ACTIONS(5244),
    [anon_sym_operator] = ACTIONS(5242),
    [anon_sym_try] = ACTIONS(5242),
    [anon_sym_noexcept] = ACTIONS(5242),
    [anon_sym_throw] = ACTIONS(5242),
    [anon_sym_requires] = ACTIONS(5242),
  },
  [2015] = {
    [sym_string_literal] = STATE(2017),
    [sym_template_argument_list] = STATE(3072),
    [sym_raw_string_literal] = STATE(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4580),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
  },
  [2016] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5246),
    [anon_sym_COMMA] = ACTIONS(5246),
    [anon_sym_RPAREN] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5249),
    [anon_sym_PLUS] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5249),
    [anon_sym_PERCENT] = ACTIONS(5246),
    [anon_sym_PIPE_PIPE] = ACTIONS(5246),
    [anon_sym_AMP_AMP] = ACTIONS(5246),
    [anon_sym_PIPE] = ACTIONS(5249),
    [anon_sym_CARET] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(5249),
    [anon_sym_EQ_EQ] = ACTIONS(5246),
    [anon_sym_BANG_EQ] = ACTIONS(5246),
    [anon_sym_GT] = ACTIONS(5249),
    [anon_sym_GT_EQ] = ACTIONS(5246),
    [anon_sym_LT_EQ] = ACTIONS(5249),
    [anon_sym_LT] = ACTIONS(5249),
    [anon_sym_LT_LT] = ACTIONS(5246),
    [anon_sym_GT_GT] = ACTIONS(5246),
    [anon_sym_SEMI] = ACTIONS(5246),
    [anon_sym___extension__] = ACTIONS(5249),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5246),
    [anon_sym_RBRACE] = ACTIONS(5246),
    [anon_sym_signed] = ACTIONS(4754),
    [anon_sym_unsigned] = ACTIONS(4754),
    [anon_sym_long] = ACTIONS(4754),
    [anon_sym_short] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [anon_sym_RBRACK] = ACTIONS(5246),
    [anon_sym_const] = ACTIONS(5249),
    [anon_sym_constexpr] = ACTIONS(5249),
    [anon_sym_volatile] = ACTIONS(5249),
    [anon_sym_restrict] = ACTIONS(5249),
    [anon_sym___restrict__] = ACTIONS(5249),
    [anon_sym__Atomic] = ACTIONS(5249),
    [anon_sym__Noreturn] = ACTIONS(5249),
    [anon_sym_noreturn] = ACTIONS(5249),
    [anon_sym_mutable] = ACTIONS(5249),
    [anon_sym_constinit] = ACTIONS(5249),
    [anon_sym_consteval] = ACTIONS(5249),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_COLON] = ACTIONS(5246),
    [anon_sym_QMARK] = ACTIONS(5246),
    [anon_sym_LT_EQ_GT] = ACTIONS(5246),
    [anon_sym_or] = ACTIONS(5249),
    [anon_sym_and] = ACTIONS(5249),
    [anon_sym_bitor] = ACTIONS(5249),
    [anon_sym_xor] = ACTIONS(5249),
    [anon_sym_bitand] = ACTIONS(5249),
    [anon_sym_not_eq] = ACTIONS(5249),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5249),
    [anon_sym_DOT_STAR] = ACTIONS(5246),
    [anon_sym_DASH_GT] = ACTIONS(5246),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5249),
    [anon_sym_decltype] = ACTIONS(5249),
    [anon_sym_final] = ACTIONS(5249),
    [anon_sym_override] = ACTIONS(5249),
    [anon_sym_requires] = ACTIONS(5249),
  },
  [2017] = {
    [sym_string_literal] = STATE(1984),
    [sym_raw_string_literal] = STATE(1984),
    [aux_sym_concatenated_string_repeat1] = STATE(1984),
    [sym_identifier] = ACTIONS(5252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_COMMA] = ACTIONS(4665),
    [anon_sym_RPAREN] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4665),
    [anon_sym_DASH] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4667),
    [anon_sym_STAR] = ACTIONS(4667),
    [anon_sym_SLASH] = ACTIONS(4667),
    [anon_sym_PERCENT] = ACTIONS(4667),
    [anon_sym_PIPE_PIPE] = ACTIONS(4665),
    [anon_sym_AMP_AMP] = ACTIONS(4665),
    [anon_sym_PIPE] = ACTIONS(4667),
    [anon_sym_CARET] = ACTIONS(4667),
    [anon_sym_AMP] = ACTIONS(4667),
    [anon_sym_EQ_EQ] = ACTIONS(4665),
    [anon_sym_BANG_EQ] = ACTIONS(4665),
    [anon_sym_GT] = ACTIONS(4667),
    [anon_sym_GT_EQ] = ACTIONS(4665),
    [anon_sym_LT_EQ] = ACTIONS(4667),
    [anon_sym_LT] = ACTIONS(4667),
    [anon_sym_LT_LT] = ACTIONS(4667),
    [anon_sym_GT_GT] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4667),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_STAR_EQ] = ACTIONS(4665),
    [anon_sym_SLASH_EQ] = ACTIONS(4665),
    [anon_sym_PERCENT_EQ] = ACTIONS(4665),
    [anon_sym_PLUS_EQ] = ACTIONS(4665),
    [anon_sym_DASH_EQ] = ACTIONS(4665),
    [anon_sym_LT_LT_EQ] = ACTIONS(4665),
    [anon_sym_GT_GT_EQ] = ACTIONS(4665),
    [anon_sym_AMP_EQ] = ACTIONS(4665),
    [anon_sym_CARET_EQ] = ACTIONS(4665),
    [anon_sym_PIPE_EQ] = ACTIONS(4665),
    [anon_sym_and_eq] = ACTIONS(4667),
    [anon_sym_or_eq] = ACTIONS(4667),
    [anon_sym_xor_eq] = ACTIONS(4667),
    [anon_sym_LT_EQ_GT] = ACTIONS(4665),
    [anon_sym_or] = ACTIONS(4667),
    [anon_sym_and] = ACTIONS(4667),
    [anon_sym_bitor] = ACTIONS(4667),
    [anon_sym_xor] = ACTIONS(4667),
    [anon_sym_bitand] = ACTIONS(4667),
    [anon_sym_not_eq] = ACTIONS(4667),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_DOT] = ACTIONS(4667),
    [anon_sym_DOT_STAR] = ACTIONS(4665),
    [anon_sym_DASH_GT] = ACTIONS(4667),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4665),
    [sym_literal_suffix] = ACTIONS(4667),
  },
  [2018] = {
    [sym_template_argument_list] = STATE(1726),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5256),
    [aux_sym_preproc_if_token2] = ACTIONS(5256),
    [aux_sym_preproc_else_token1] = ACTIONS(5256),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_SLASH] = ACTIONS(5254),
    [anon_sym_PERCENT] = ACTIONS(5254),
    [anon_sym_PIPE_PIPE] = ACTIONS(5256),
    [anon_sym_AMP_AMP] = ACTIONS(5256),
    [anon_sym_PIPE] = ACTIONS(5254),
    [anon_sym_CARET] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5254),
    [anon_sym_EQ_EQ] = ACTIONS(5256),
    [anon_sym_BANG_EQ] = ACTIONS(5256),
    [anon_sym_GT] = ACTIONS(5254),
    [anon_sym_GT_EQ] = ACTIONS(5256),
    [anon_sym_LT_EQ] = ACTIONS(5254),
    [anon_sym_LT] = ACTIONS(5254),
    [anon_sym_LT_LT] = ACTIONS(5254),
    [anon_sym_GT_GT] = ACTIONS(5254),
    [anon_sym___attribute__] = ACTIONS(5254),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_signed] = ACTIONS(5258),
    [anon_sym_unsigned] = ACTIONS(5258),
    [anon_sym_long] = ACTIONS(5258),
    [anon_sym_short] = ACTIONS(5258),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_EQ] = ACTIONS(5254),
    [anon_sym_QMARK] = ACTIONS(5256),
    [anon_sym_STAR_EQ] = ACTIONS(5256),
    [anon_sym_SLASH_EQ] = ACTIONS(5256),
    [anon_sym_PERCENT_EQ] = ACTIONS(5256),
    [anon_sym_PLUS_EQ] = ACTIONS(5256),
    [anon_sym_DASH_EQ] = ACTIONS(5256),
    [anon_sym_LT_LT_EQ] = ACTIONS(5256),
    [anon_sym_GT_GT_EQ] = ACTIONS(5256),
    [anon_sym_AMP_EQ] = ACTIONS(5256),
    [anon_sym_CARET_EQ] = ACTIONS(5256),
    [anon_sym_PIPE_EQ] = ACTIONS(5256),
    [anon_sym_and_eq] = ACTIONS(5254),
    [anon_sym_or_eq] = ACTIONS(5254),
    [anon_sym_xor_eq] = ACTIONS(5254),
    [anon_sym_LT_EQ_GT] = ACTIONS(5256),
    [anon_sym_or] = ACTIONS(5254),
    [anon_sym_and] = ACTIONS(5254),
    [anon_sym_bitor] = ACTIONS(5254),
    [anon_sym_xor] = ACTIONS(5254),
    [anon_sym_bitand] = ACTIONS(5254),
    [anon_sym_not_eq] = ACTIONS(5254),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_DOT_STAR] = ACTIONS(5256),
    [anon_sym_DASH_GT] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5254),
    [anon_sym_decltype] = ACTIONS(5254),
  },
  [2019] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3719),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3674),
    [anon_sym_SLASH_EQ] = ACTIONS(3674),
    [anon_sym_PERCENT_EQ] = ACTIONS(3674),
    [anon_sym_PLUS_EQ] = ACTIONS(3674),
    [anon_sym_DASH_EQ] = ACTIONS(3674),
    [anon_sym_LT_LT_EQ] = ACTIONS(3674),
    [anon_sym_GT_GT_EQ] = ACTIONS(3674),
    [anon_sym_AMP_EQ] = ACTIONS(3674),
    [anon_sym_CARET_EQ] = ACTIONS(3674),
    [anon_sym_PIPE_EQ] = ACTIONS(3674),
    [anon_sym_and_eq] = ACTIONS(3674),
    [anon_sym_or_eq] = ACTIONS(3674),
    [anon_sym_xor_eq] = ACTIONS(3674),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5260),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_SLASH] = ACTIONS(5260),
    [anon_sym_PERCENT] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_PIPE] = ACTIONS(5260),
    [anon_sym_CARET] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_EQ_EQ] = ACTIONS(5262),
    [anon_sym_BANG_EQ] = ACTIONS(5262),
    [anon_sym_GT] = ACTIONS(5260),
    [anon_sym_GT_EQ] = ACTIONS(5262),
    [anon_sym_LT_EQ] = ACTIONS(5260),
    [anon_sym_LT] = ACTIONS(5260),
    [anon_sym_LT_LT] = ACTIONS(5262),
    [anon_sym_GT_GT] = ACTIONS(5262),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_RBRACE] = ACTIONS(5262),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [anon_sym_RBRACK] = ACTIONS(5262),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_COLON] = ACTIONS(5262),
    [anon_sym_QMARK] = ACTIONS(5262),
    [anon_sym_LT_EQ_GT] = ACTIONS(5262),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_bitor] = ACTIONS(5260),
    [anon_sym_xor] = ACTIONS(5260),
    [anon_sym_bitand] = ACTIONS(5260),
    [anon_sym_not_eq] = ACTIONS(5260),
    [anon_sym_DASH_DASH] = ACTIONS(5262),
    [anon_sym_PLUS_PLUS] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_DOT_STAR] = ACTIONS(5262),
    [anon_sym_DASH_GT] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5264),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_SLASH] = ACTIONS(5264),
    [anon_sym_PERCENT] = ACTIONS(5266),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5264),
    [anon_sym_CARET] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5264),
    [anon_sym_GT_EQ] = ACTIONS(5266),
    [anon_sym_LT_EQ] = ACTIONS(5264),
    [anon_sym_LT] = ACTIONS(5264),
    [anon_sym_LT_LT] = ACTIONS(5266),
    [anon_sym_GT_GT] = ACTIONS(5266),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_LBRACE] = ACTIONS(5266),
    [anon_sym_RBRACE] = ACTIONS(5266),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_RBRACK] = ACTIONS(5266),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_COLON] = ACTIONS(5266),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5264),
    [anon_sym_and] = ACTIONS(5264),
    [anon_sym_bitor] = ACTIONS(5264),
    [anon_sym_xor] = ACTIONS(5264),
    [anon_sym_bitand] = ACTIONS(5264),
    [anon_sym_not_eq] = ACTIONS(5264),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_final] = ACTIONS(5264),
    [anon_sym_override] = ACTIONS(5264),
    [anon_sym_requires] = ACTIONS(5264),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5270),
    [anon_sym_COMMA] = ACTIONS(5270),
    [anon_sym_RPAREN] = ACTIONS(5270),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5270),
    [anon_sym_BANG_EQ] = ACTIONS(5270),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5270),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_LBRACE] = ACTIONS(5270),
    [anon_sym_RBRACE] = ACTIONS(5270),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [anon_sym_RBRACK] = ACTIONS(5270),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_COLON] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5270),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5270),
    [anon_sym_PLUS_PLUS] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5270),
    [anon_sym_DASH_GT] = ACTIONS(5270),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_final] = ACTIONS(5268),
    [anon_sym_override] = ACTIONS(5268),
    [anon_sym_requires] = ACTIONS(5268),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [sym_primitive_type] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4898),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [2024] = {
    [sym_catch_clause] = STATE(2024),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_AMP_AMP] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2465),
    [anon_sym_typedef] = ACTIONS(2465),
    [anon_sym_extern] = ACTIONS(2465),
    [anon_sym___attribute__] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2467),
    [anon_sym___declspec] = ACTIONS(2465),
    [anon_sym___based] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2467),
    [anon_sym_signed] = ACTIONS(2465),
    [anon_sym_unsigned] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2465),
    [anon_sym_inline] = ACTIONS(2465),
    [anon_sym___inline] = ACTIONS(2465),
    [anon_sym___inline__] = ACTIONS(2465),
    [anon_sym___forceinline] = ACTIONS(2465),
    [anon_sym_thread_local] = ACTIONS(2465),
    [anon_sym___thread] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_constexpr] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_restrict] = ACTIONS(2465),
    [anon_sym___restrict__] = ACTIONS(2465),
    [anon_sym__Atomic] = ACTIONS(2465),
    [anon_sym__Noreturn] = ACTIONS(2465),
    [anon_sym_noreturn] = ACTIONS(2465),
    [anon_sym_mutable] = ACTIONS(2465),
    [anon_sym_constinit] = ACTIONS(2465),
    [anon_sym_consteval] = ACTIONS(2465),
    [sym_primitive_type] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_struct] = ACTIONS(2465),
    [anon_sym_union] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2465),
    [anon_sym_decltype] = ACTIONS(2465),
    [sym_virtual] = ACTIONS(2465),
    [anon_sym_alignas] = ACTIONS(2465),
    [anon_sym_explicit] = ACTIONS(2465),
    [anon_sym_typename] = ACTIONS(2465),
    [anon_sym_template] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2465),
    [anon_sym_friend] = ACTIONS(2465),
    [anon_sym_public] = ACTIONS(2465),
    [anon_sym_private] = ACTIONS(2465),
    [anon_sym_protected] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_static_assert] = ACTIONS(2465),
    [anon_sym_catch] = ACTIONS(5272),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5275),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5277),
    [anon_sym_COMMA] = ACTIONS(5277),
    [anon_sym_RPAREN] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_SLASH] = ACTIONS(5275),
    [anon_sym_PERCENT] = ACTIONS(5277),
    [anon_sym_PIPE_PIPE] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_PIPE] = ACTIONS(5275),
    [anon_sym_CARET] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_EQ_EQ] = ACTIONS(5277),
    [anon_sym_BANG_EQ] = ACTIONS(5277),
    [anon_sym_GT] = ACTIONS(5275),
    [anon_sym_GT_EQ] = ACTIONS(5277),
    [anon_sym_LT_EQ] = ACTIONS(5275),
    [anon_sym_LT] = ACTIONS(5275),
    [anon_sym_LT_LT] = ACTIONS(5277),
    [anon_sym_GT_GT] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_LBRACE] = ACTIONS(5277),
    [anon_sym_RBRACE] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_RBRACK] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [sym_primitive_type] = ACTIONS(5275),
    [anon_sym_COLON] = ACTIONS(5277),
    [anon_sym_QMARK] = ACTIONS(5277),
    [anon_sym_LT_EQ_GT] = ACTIONS(5277),
    [anon_sym_or] = ACTIONS(5275),
    [anon_sym_and] = ACTIONS(5275),
    [anon_sym_bitor] = ACTIONS(5275),
    [anon_sym_xor] = ACTIONS(5275),
    [anon_sym_bitand] = ACTIONS(5275),
    [anon_sym_not_eq] = ACTIONS(5275),
    [anon_sym_DASH_DASH] = ACTIONS(5277),
    [anon_sym_PLUS_PLUS] = ACTIONS(5277),
    [anon_sym_DOT] = ACTIONS(5275),
    [anon_sym_DOT_STAR] = ACTIONS(5277),
    [anon_sym_DASH_GT] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_final] = ACTIONS(5275),
    [anon_sym_override] = ACTIONS(5275),
    [anon_sym_requires] = ACTIONS(5275),
  },
  [2026] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4767),
    [anon_sym_COMMA] = ACTIONS(4767),
    [anon_sym_RPAREN] = ACTIONS(4767),
    [anon_sym_LPAREN2] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4765),
    [anon_sym_STAR] = ACTIONS(4765),
    [anon_sym_SLASH] = ACTIONS(4765),
    [anon_sym_PERCENT] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4765),
    [anon_sym_AMP] = ACTIONS(4765),
    [anon_sym_EQ_EQ] = ACTIONS(4767),
    [anon_sym_BANG_EQ] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4765),
    [anon_sym_GT_EQ] = ACTIONS(4767),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4765),
    [anon_sym_LT_LT] = ACTIONS(4765),
    [anon_sym_GT_GT] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4767),
    [anon_sym_RBRACE] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4767),
    [anon_sym_RBRACK] = ACTIONS(4767),
    [anon_sym_EQ] = ACTIONS(4765),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_QMARK] = ACTIONS(4767),
    [anon_sym_STAR_EQ] = ACTIONS(4767),
    [anon_sym_SLASH_EQ] = ACTIONS(4767),
    [anon_sym_PERCENT_EQ] = ACTIONS(4767),
    [anon_sym_PLUS_EQ] = ACTIONS(4767),
    [anon_sym_DASH_EQ] = ACTIONS(4767),
    [anon_sym_LT_LT_EQ] = ACTIONS(4767),
    [anon_sym_GT_GT_EQ] = ACTIONS(4767),
    [anon_sym_AMP_EQ] = ACTIONS(4767),
    [anon_sym_CARET_EQ] = ACTIONS(4767),
    [anon_sym_PIPE_EQ] = ACTIONS(4767),
    [anon_sym_and_eq] = ACTIONS(4765),
    [anon_sym_or_eq] = ACTIONS(4765),
    [anon_sym_xor_eq] = ACTIONS(4765),
    [anon_sym_LT_EQ_GT] = ACTIONS(4767),
    [anon_sym_or] = ACTIONS(4765),
    [anon_sym_and] = ACTIONS(4765),
    [anon_sym_bitor] = ACTIONS(4765),
    [anon_sym_xor] = ACTIONS(4765),
    [anon_sym_bitand] = ACTIONS(4765),
    [anon_sym_not_eq] = ACTIONS(4765),
    [anon_sym_DASH_DASH] = ACTIONS(4767),
    [anon_sym_PLUS_PLUS] = ACTIONS(4767),
    [anon_sym_DOT] = ACTIONS(4765),
    [anon_sym_DOT_STAR] = ACTIONS(4767),
    [anon_sym_DASH_GT] = ACTIONS(4767),
    [anon_sym_L_DQUOTE] = ACTIONS(4767),
    [anon_sym_u_DQUOTE] = ACTIONS(4767),
    [anon_sym_U_DQUOTE] = ACTIONS(4767),
    [anon_sym_u8_DQUOTE] = ACTIONS(4767),
    [anon_sym_DQUOTE] = ACTIONS(4767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4767),
    [anon_sym_LR_DQUOTE] = ACTIONS(4767),
    [anon_sym_uR_DQUOTE] = ACTIONS(4767),
    [anon_sym_UR_DQUOTE] = ACTIONS(4767),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4767),
    [sym_literal_suffix] = ACTIONS(4765),
  },
  [2027] = {
    [sym_string_literal] = STATE(3369),
    [sym_template_argument_list] = STATE(4351),
    [sym_raw_string_literal] = STATE(3369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3646),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4583),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(4588),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(4590),
    [anon_sym_SLASH_EQ] = ACTIONS(4590),
    [anon_sym_PERCENT_EQ] = ACTIONS(4590),
    [anon_sym_PLUS_EQ] = ACTIONS(4590),
    [anon_sym_DASH_EQ] = ACTIONS(4590),
    [anon_sym_LT_LT_EQ] = ACTIONS(4590),
    [anon_sym_GT_GT_EQ] = ACTIONS(4588),
    [anon_sym_AMP_EQ] = ACTIONS(4590),
    [anon_sym_CARET_EQ] = ACTIONS(4590),
    [anon_sym_PIPE_EQ] = ACTIONS(4590),
    [anon_sym_and_eq] = ACTIONS(4590),
    [anon_sym_or_eq] = ACTIONS(4590),
    [anon_sym_xor_eq] = ACTIONS(4590),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(4592),
    [anon_sym_u_DQUOTE] = ACTIONS(4592),
    [anon_sym_U_DQUOTE] = ACTIONS(4592),
    [anon_sym_u8_DQUOTE] = ACTIONS(4592),
    [anon_sym_DQUOTE] = ACTIONS(4592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3638),
    [anon_sym_R_DQUOTE] = ACTIONS(4594),
    [anon_sym_LR_DQUOTE] = ACTIONS(4594),
    [anon_sym_uR_DQUOTE] = ACTIONS(4594),
    [anon_sym_UR_DQUOTE] = ACTIONS(4594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4594),
  },
  [2028] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4763),
    [anon_sym_COMMA] = ACTIONS(4763),
    [anon_sym_RPAREN] = ACTIONS(4763),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_DASH] = ACTIONS(4761),
    [anon_sym_PLUS] = ACTIONS(4761),
    [anon_sym_STAR] = ACTIONS(4761),
    [anon_sym_SLASH] = ACTIONS(4761),
    [anon_sym_PERCENT] = ACTIONS(4761),
    [anon_sym_PIPE_PIPE] = ACTIONS(4763),
    [anon_sym_AMP_AMP] = ACTIONS(4763),
    [anon_sym_PIPE] = ACTIONS(4761),
    [anon_sym_CARET] = ACTIONS(4761),
    [anon_sym_AMP] = ACTIONS(4761),
    [anon_sym_EQ_EQ] = ACTIONS(4763),
    [anon_sym_BANG_EQ] = ACTIONS(4763),
    [anon_sym_GT] = ACTIONS(4761),
    [anon_sym_GT_EQ] = ACTIONS(4763),
    [anon_sym_LT_EQ] = ACTIONS(4761),
    [anon_sym_LT] = ACTIONS(4761),
    [anon_sym_LT_LT] = ACTIONS(4761),
    [anon_sym_GT_GT] = ACTIONS(4761),
    [anon_sym_SEMI] = ACTIONS(4763),
    [anon_sym_RBRACE] = ACTIONS(4763),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [anon_sym_RBRACK] = ACTIONS(4763),
    [anon_sym_EQ] = ACTIONS(4761),
    [anon_sym_COLON] = ACTIONS(4763),
    [anon_sym_QMARK] = ACTIONS(4763),
    [anon_sym_STAR_EQ] = ACTIONS(4763),
    [anon_sym_SLASH_EQ] = ACTIONS(4763),
    [anon_sym_PERCENT_EQ] = ACTIONS(4763),
    [anon_sym_PLUS_EQ] = ACTIONS(4763),
    [anon_sym_DASH_EQ] = ACTIONS(4763),
    [anon_sym_LT_LT_EQ] = ACTIONS(4763),
    [anon_sym_GT_GT_EQ] = ACTIONS(4763),
    [anon_sym_AMP_EQ] = ACTIONS(4763),
    [anon_sym_CARET_EQ] = ACTIONS(4763),
    [anon_sym_PIPE_EQ] = ACTIONS(4763),
    [anon_sym_and_eq] = ACTIONS(4761),
    [anon_sym_or_eq] = ACTIONS(4761),
    [anon_sym_xor_eq] = ACTIONS(4761),
    [anon_sym_LT_EQ_GT] = ACTIONS(4763),
    [anon_sym_or] = ACTIONS(4761),
    [anon_sym_and] = ACTIONS(4761),
    [anon_sym_bitor] = ACTIONS(4761),
    [anon_sym_xor] = ACTIONS(4761),
    [anon_sym_bitand] = ACTIONS(4761),
    [anon_sym_not_eq] = ACTIONS(4761),
    [anon_sym_DASH_DASH] = ACTIONS(4763),
    [anon_sym_PLUS_PLUS] = ACTIONS(4763),
    [anon_sym_DOT] = ACTIONS(4761),
    [anon_sym_DOT_STAR] = ACTIONS(4763),
    [anon_sym_DASH_GT] = ACTIONS(4763),
    [anon_sym_L_DQUOTE] = ACTIONS(4763),
    [anon_sym_u_DQUOTE] = ACTIONS(4763),
    [anon_sym_U_DQUOTE] = ACTIONS(4763),
    [anon_sym_u8_DQUOTE] = ACTIONS(4763),
    [anon_sym_DQUOTE] = ACTIONS(4763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4763),
    [anon_sym_LR_DQUOTE] = ACTIONS(4763),
    [anon_sym_uR_DQUOTE] = ACTIONS(4763),
    [anon_sym_UR_DQUOTE] = ACTIONS(4763),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4763),
    [sym_literal_suffix] = ACTIONS(4761),
  },
  [2029] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4622),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2030] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_COMMA] = ACTIONS(4759),
    [anon_sym_RPAREN] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4757),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4757),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4759),
    [anon_sym_AMP_AMP] = ACTIONS(4759),
    [anon_sym_PIPE] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_AMP] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4759),
    [anon_sym_BANG_EQ] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4759),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4757),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4757),
    [anon_sym_SEMI] = ACTIONS(4759),
    [anon_sym_RBRACE] = ACTIONS(4759),
    [anon_sym_LBRACK] = ACTIONS(4759),
    [anon_sym_RBRACK] = ACTIONS(4759),
    [anon_sym_EQ] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4759),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_STAR_EQ] = ACTIONS(4759),
    [anon_sym_SLASH_EQ] = ACTIONS(4759),
    [anon_sym_PERCENT_EQ] = ACTIONS(4759),
    [anon_sym_PLUS_EQ] = ACTIONS(4759),
    [anon_sym_DASH_EQ] = ACTIONS(4759),
    [anon_sym_LT_LT_EQ] = ACTIONS(4759),
    [anon_sym_GT_GT_EQ] = ACTIONS(4759),
    [anon_sym_AMP_EQ] = ACTIONS(4759),
    [anon_sym_CARET_EQ] = ACTIONS(4759),
    [anon_sym_PIPE_EQ] = ACTIONS(4759),
    [anon_sym_and_eq] = ACTIONS(4757),
    [anon_sym_or_eq] = ACTIONS(4757),
    [anon_sym_xor_eq] = ACTIONS(4757),
    [anon_sym_LT_EQ_GT] = ACTIONS(4759),
    [anon_sym_or] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_bitor] = ACTIONS(4757),
    [anon_sym_xor] = ACTIONS(4757),
    [anon_sym_bitand] = ACTIONS(4757),
    [anon_sym_not_eq] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4759),
    [anon_sym_DOT] = ACTIONS(4757),
    [anon_sym_DOT_STAR] = ACTIONS(4759),
    [anon_sym_DASH_GT] = ACTIONS(4759),
    [anon_sym_L_DQUOTE] = ACTIONS(4759),
    [anon_sym_u_DQUOTE] = ACTIONS(4759),
    [anon_sym_U_DQUOTE] = ACTIONS(4759),
    [anon_sym_u8_DQUOTE] = ACTIONS(4759),
    [anon_sym_DQUOTE] = ACTIONS(4759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4759),
    [anon_sym_LR_DQUOTE] = ACTIONS(4759),
    [anon_sym_uR_DQUOTE] = ACTIONS(4759),
    [anon_sym_UR_DQUOTE] = ACTIONS(4759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4759),
    [sym_literal_suffix] = ACTIONS(4757),
  },
  [2031] = {
    [sym_attribute_declaration] = STATE(2110),
    [sym_parameter_list] = STATE(2112),
    [aux_sym_attributed_declarator_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(5279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5281),
    [anon_sym_COMMA] = ACTIONS(5281),
    [anon_sym_RPAREN] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_else_token1] = ACTIONS(5281),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5279),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_PIPE] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5281),
    [anon_sym_BANG_EQ] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5281),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5279),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_RBRACK] = ACTIONS(5281),
    [anon_sym_EQ] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5281),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_STAR_EQ] = ACTIONS(5281),
    [anon_sym_SLASH_EQ] = ACTIONS(5281),
    [anon_sym_PERCENT_EQ] = ACTIONS(5281),
    [anon_sym_PLUS_EQ] = ACTIONS(5281),
    [anon_sym_DASH_EQ] = ACTIONS(5281),
    [anon_sym_LT_LT_EQ] = ACTIONS(5281),
    [anon_sym_GT_GT_EQ] = ACTIONS(5281),
    [anon_sym_AMP_EQ] = ACTIONS(5281),
    [anon_sym_CARET_EQ] = ACTIONS(5281),
    [anon_sym_PIPE_EQ] = ACTIONS(5281),
    [anon_sym_and_eq] = ACTIONS(5279),
    [anon_sym_or_eq] = ACTIONS(5279),
    [anon_sym_xor_eq] = ACTIONS(5279),
    [anon_sym_LT_EQ_GT] = ACTIONS(5281),
    [anon_sym_or] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_bitor] = ACTIONS(5279),
    [anon_sym_xor] = ACTIONS(5279),
    [anon_sym_bitand] = ACTIONS(5279),
    [anon_sym_not_eq] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5279),
    [anon_sym_DOT_STAR] = ACTIONS(5281),
    [anon_sym_DASH_GT] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
  },
  [2032] = {
    [sym_decltype_auto] = STATE(2103),
    [sym_identifier] = ACTIONS(4954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4956),
    [anon_sym_COMMA] = ACTIONS(4956),
    [anon_sym_RPAREN] = ACTIONS(4956),
    [aux_sym_preproc_if_token2] = ACTIONS(4956),
    [aux_sym_preproc_else_token1] = ACTIONS(4956),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4956),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(4954),
    [anon_sym_STAR] = ACTIONS(4954),
    [anon_sym_SLASH] = ACTIONS(4954),
    [anon_sym_PERCENT] = ACTIONS(4954),
    [anon_sym_PIPE_PIPE] = ACTIONS(4956),
    [anon_sym_AMP_AMP] = ACTIONS(4956),
    [anon_sym_PIPE] = ACTIONS(4954),
    [anon_sym_CARET] = ACTIONS(4954),
    [anon_sym_AMP] = ACTIONS(4954),
    [anon_sym_EQ_EQ] = ACTIONS(4956),
    [anon_sym_BANG_EQ] = ACTIONS(4956),
    [anon_sym_GT] = ACTIONS(4954),
    [anon_sym_GT_EQ] = ACTIONS(4956),
    [anon_sym_LT_EQ] = ACTIONS(4954),
    [anon_sym_LT] = ACTIONS(4954),
    [anon_sym_LT_LT] = ACTIONS(4954),
    [anon_sym_GT_GT] = ACTIONS(4954),
    [anon_sym_SEMI] = ACTIONS(4956),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym_LBRACE] = ACTIONS(4956),
    [anon_sym_RBRACE] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [anon_sym_EQ] = ACTIONS(4954),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_QMARK] = ACTIONS(4956),
    [anon_sym_STAR_EQ] = ACTIONS(4956),
    [anon_sym_SLASH_EQ] = ACTIONS(4956),
    [anon_sym_PERCENT_EQ] = ACTIONS(4956),
    [anon_sym_PLUS_EQ] = ACTIONS(4956),
    [anon_sym_DASH_EQ] = ACTIONS(4956),
    [anon_sym_LT_LT_EQ] = ACTIONS(4956),
    [anon_sym_GT_GT_EQ] = ACTIONS(4956),
    [anon_sym_AMP_EQ] = ACTIONS(4956),
    [anon_sym_CARET_EQ] = ACTIONS(4956),
    [anon_sym_PIPE_EQ] = ACTIONS(4956),
    [anon_sym_and_eq] = ACTIONS(4954),
    [anon_sym_or_eq] = ACTIONS(4954),
    [anon_sym_xor_eq] = ACTIONS(4954),
    [anon_sym_LT_EQ_GT] = ACTIONS(4956),
    [anon_sym_or] = ACTIONS(4954),
    [anon_sym_and] = ACTIONS(4954),
    [anon_sym_bitor] = ACTIONS(4954),
    [anon_sym_xor] = ACTIONS(4954),
    [anon_sym_bitand] = ACTIONS(4954),
    [anon_sym_not_eq] = ACTIONS(4954),
    [anon_sym_DASH_DASH] = ACTIONS(4956),
    [anon_sym_PLUS_PLUS] = ACTIONS(4956),
    [anon_sym_DOT] = ACTIONS(4954),
    [anon_sym_DOT_STAR] = ACTIONS(4956),
    [anon_sym_DASH_GT] = ACTIONS(4956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4824),
    [anon_sym_decltype] = ACTIONS(4826),
  },
  [2033] = {
    [sym_attribute_specifier] = STATE(2164),
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5291),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_STAR_EQ] = ACTIONS(5291),
    [anon_sym_SLASH_EQ] = ACTIONS(5291),
    [anon_sym_PERCENT_EQ] = ACTIONS(5291),
    [anon_sym_PLUS_EQ] = ACTIONS(5291),
    [anon_sym_DASH_EQ] = ACTIONS(5291),
    [anon_sym_LT_LT_EQ] = ACTIONS(5291),
    [anon_sym_GT_GT_EQ] = ACTIONS(5291),
    [anon_sym_AMP_EQ] = ACTIONS(5291),
    [anon_sym_CARET_EQ] = ACTIONS(5291),
    [anon_sym_PIPE_EQ] = ACTIONS(5291),
    [anon_sym_and_eq] = ACTIONS(5289),
    [anon_sym_or_eq] = ACTIONS(5289),
    [anon_sym_xor_eq] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [2035] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1783),
    [sym_identifier] = ACTIONS(5249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5246),
    [anon_sym_COMMA] = ACTIONS(5246),
    [aux_sym_preproc_if_token2] = ACTIONS(5246),
    [aux_sym_preproc_else_token1] = ACTIONS(5246),
    [aux_sym_preproc_elif_token1] = ACTIONS(5249),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5246),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5249),
    [anon_sym_PLUS] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5249),
    [anon_sym_SLASH] = ACTIONS(5249),
    [anon_sym_PERCENT] = ACTIONS(5249),
    [anon_sym_PIPE_PIPE] = ACTIONS(5246),
    [anon_sym_AMP_AMP] = ACTIONS(5246),
    [anon_sym_PIPE] = ACTIONS(5249),
    [anon_sym_CARET] = ACTIONS(5249),
    [anon_sym_AMP] = ACTIONS(5249),
    [anon_sym_EQ_EQ] = ACTIONS(5246),
    [anon_sym_BANG_EQ] = ACTIONS(5246),
    [anon_sym_GT] = ACTIONS(5249),
    [anon_sym_GT_EQ] = ACTIONS(5246),
    [anon_sym_LT_EQ] = ACTIONS(5249),
    [anon_sym_LT] = ACTIONS(5249),
    [anon_sym_LT_LT] = ACTIONS(5249),
    [anon_sym_GT_GT] = ACTIONS(5249),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5246),
    [anon_sym_signed] = ACTIONS(4790),
    [anon_sym_unsigned] = ACTIONS(4790),
    [anon_sym_long] = ACTIONS(4790),
    [anon_sym_short] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [anon_sym_EQ] = ACTIONS(5249),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_QMARK] = ACTIONS(5246),
    [anon_sym_STAR_EQ] = ACTIONS(5246),
    [anon_sym_SLASH_EQ] = ACTIONS(5246),
    [anon_sym_PERCENT_EQ] = ACTIONS(5246),
    [anon_sym_PLUS_EQ] = ACTIONS(5246),
    [anon_sym_DASH_EQ] = ACTIONS(5246),
    [anon_sym_LT_LT_EQ] = ACTIONS(5246),
    [anon_sym_GT_GT_EQ] = ACTIONS(5246),
    [anon_sym_AMP_EQ] = ACTIONS(5246),
    [anon_sym_CARET_EQ] = ACTIONS(5246),
    [anon_sym_PIPE_EQ] = ACTIONS(5246),
    [anon_sym_and_eq] = ACTIONS(5249),
    [anon_sym_or_eq] = ACTIONS(5249),
    [anon_sym_xor_eq] = ACTIONS(5249),
    [anon_sym_LT_EQ_GT] = ACTIONS(5246),
    [anon_sym_or] = ACTIONS(5249),
    [anon_sym_and] = ACTIONS(5249),
    [anon_sym_bitor] = ACTIONS(5249),
    [anon_sym_xor] = ACTIONS(5249),
    [anon_sym_bitand] = ACTIONS(5249),
    [anon_sym_not_eq] = ACTIONS(5249),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5249),
    [anon_sym_DOT_STAR] = ACTIONS(5246),
    [anon_sym_DASH_GT] = ACTIONS(5246),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5249),
    [anon_sym_decltype] = ACTIONS(5249),
  },
  [2036] = {
    [sym_template_argument_list] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3644),
    [anon_sym_COMMA] = ACTIONS(3644),
    [aux_sym_preproc_if_token2] = ACTIONS(3644),
    [aux_sym_preproc_else_token1] = ACTIONS(3644),
    [aux_sym_preproc_elif_token1] = ACTIONS(3636),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3644),
    [anon_sym_LPAREN2] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_PERCENT] = ACTIONS(3636),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_AMP_AMP] = ACTIONS(3644),
    [anon_sym_PIPE] = ACTIONS(3636),
    [anon_sym_CARET] = ACTIONS(3636),
    [anon_sym_AMP] = ACTIONS(3636),
    [anon_sym_EQ_EQ] = ACTIONS(3644),
    [anon_sym_BANG_EQ] = ACTIONS(3644),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3644),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(3636),
    [anon_sym_GT_GT] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_signed] = ACTIONS(5258),
    [anon_sym_unsigned] = ACTIONS(5258),
    [anon_sym_long] = ACTIONS(5258),
    [anon_sym_short] = ACTIONS(5258),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_EQ] = ACTIONS(3636),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_STAR_EQ] = ACTIONS(3644),
    [anon_sym_SLASH_EQ] = ACTIONS(3644),
    [anon_sym_PERCENT_EQ] = ACTIONS(3644),
    [anon_sym_PLUS_EQ] = ACTIONS(3644),
    [anon_sym_DASH_EQ] = ACTIONS(3644),
    [anon_sym_LT_LT_EQ] = ACTIONS(3644),
    [anon_sym_GT_GT_EQ] = ACTIONS(3644),
    [anon_sym_AMP_EQ] = ACTIONS(3644),
    [anon_sym_CARET_EQ] = ACTIONS(3644),
    [anon_sym_PIPE_EQ] = ACTIONS(3644),
    [anon_sym_and_eq] = ACTIONS(3636),
    [anon_sym_or_eq] = ACTIONS(3636),
    [anon_sym_xor_eq] = ACTIONS(3636),
    [anon_sym_LT_EQ_GT] = ACTIONS(3644),
    [anon_sym_or] = ACTIONS(3636),
    [anon_sym_and] = ACTIONS(3636),
    [anon_sym_bitor] = ACTIONS(3636),
    [anon_sym_xor] = ACTIONS(3636),
    [anon_sym_bitand] = ACTIONS(3636),
    [anon_sym_not_eq] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DOT] = ACTIONS(3636),
    [anon_sym_DOT_STAR] = ACTIONS(3644),
    [anon_sym_DASH_GT] = ACTIONS(3644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
  },
  [2037] = {
    [sym_attribute_specifier] = STATE(2089),
    [sym_identifier] = ACTIONS(5293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5295),
    [anon_sym_COMMA] = ACTIONS(5295),
    [anon_sym_RPAREN] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_else_token1] = ACTIONS(5295),
    [aux_sym_preproc_elif_token1] = ACTIONS(5293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5295),
    [anon_sym_DASH] = ACTIONS(5293),
    [anon_sym_PLUS] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_SLASH] = ACTIONS(5293),
    [anon_sym_PERCENT] = ACTIONS(5293),
    [anon_sym_PIPE_PIPE] = ACTIONS(5295),
    [anon_sym_AMP_AMP] = ACTIONS(5295),
    [anon_sym_PIPE] = ACTIONS(5293),
    [anon_sym_CARET] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5293),
    [anon_sym_EQ_EQ] = ACTIONS(5295),
    [anon_sym_BANG_EQ] = ACTIONS(5295),
    [anon_sym_GT] = ACTIONS(5293),
    [anon_sym_GT_EQ] = ACTIONS(5295),
    [anon_sym_LT_EQ] = ACTIONS(5293),
    [anon_sym_LT] = ACTIONS(5293),
    [anon_sym_LT_LT] = ACTIONS(5293),
    [anon_sym_GT_GT] = ACTIONS(5293),
    [anon_sym_SEMI] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5295),
    [anon_sym_RBRACE] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_RBRACK] = ACTIONS(5295),
    [anon_sym_EQ] = ACTIONS(5293),
    [anon_sym_COLON] = ACTIONS(5295),
    [anon_sym_QMARK] = ACTIONS(5295),
    [anon_sym_STAR_EQ] = ACTIONS(5295),
    [anon_sym_SLASH_EQ] = ACTIONS(5295),
    [anon_sym_PERCENT_EQ] = ACTIONS(5295),
    [anon_sym_PLUS_EQ] = ACTIONS(5295),
    [anon_sym_DASH_EQ] = ACTIONS(5295),
    [anon_sym_LT_LT_EQ] = ACTIONS(5295),
    [anon_sym_GT_GT_EQ] = ACTIONS(5295),
    [anon_sym_AMP_EQ] = ACTIONS(5295),
    [anon_sym_CARET_EQ] = ACTIONS(5295),
    [anon_sym_PIPE_EQ] = ACTIONS(5295),
    [anon_sym_and_eq] = ACTIONS(5293),
    [anon_sym_or_eq] = ACTIONS(5293),
    [anon_sym_xor_eq] = ACTIONS(5293),
    [anon_sym_LT_EQ_GT] = ACTIONS(5295),
    [anon_sym_or] = ACTIONS(5293),
    [anon_sym_and] = ACTIONS(5293),
    [anon_sym_bitor] = ACTIONS(5293),
    [anon_sym_xor] = ACTIONS(5293),
    [anon_sym_bitand] = ACTIONS(5293),
    [anon_sym_not_eq] = ACTIONS(5293),
    [anon_sym_DASH_DASH] = ACTIONS(5295),
    [anon_sym_PLUS_PLUS] = ACTIONS(5295),
    [anon_sym_DOT] = ACTIONS(5293),
    [anon_sym_DOT_STAR] = ACTIONS(5295),
    [anon_sym_DASH_GT] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5293),
    [anon_sym_decltype] = ACTIONS(5293),
  },
  [2038] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2035),
    [sym_identifier] = ACTIONS(5297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [aux_sym_preproc_if_token2] = ACTIONS(5230),
    [aux_sym_preproc_else_token1] = ACTIONS(5230),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5232),
    [anon_sym_PIPE_PIPE] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5230),
    [anon_sym_BANG_EQ] = ACTIONS(5230),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5230),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5232),
    [anon_sym_GT_GT] = ACTIONS(5232),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5300),
    [anon_sym_unsigned] = ACTIONS(5300),
    [anon_sym_long] = ACTIONS(5300),
    [anon_sym_short] = ACTIONS(5300),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_EQ] = ACTIONS(5232),
    [sym_primitive_type] = ACTIONS(5302),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_STAR_EQ] = ACTIONS(5230),
    [anon_sym_SLASH_EQ] = ACTIONS(5230),
    [anon_sym_PERCENT_EQ] = ACTIONS(5230),
    [anon_sym_PLUS_EQ] = ACTIONS(5230),
    [anon_sym_DASH_EQ] = ACTIONS(5230),
    [anon_sym_LT_LT_EQ] = ACTIONS(5230),
    [anon_sym_GT_GT_EQ] = ACTIONS(5230),
    [anon_sym_AMP_EQ] = ACTIONS(5230),
    [anon_sym_CARET_EQ] = ACTIONS(5230),
    [anon_sym_PIPE_EQ] = ACTIONS(5230),
    [anon_sym_and_eq] = ACTIONS(5232),
    [anon_sym_or_eq] = ACTIONS(5232),
    [anon_sym_xor_eq] = ACTIONS(5232),
    [anon_sym_LT_EQ_GT] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5230),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
  },
  [2039] = {
    [sym_attribute_specifier] = STATE(2088),
    [sym_identifier] = ACTIONS(5304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5306),
    [anon_sym_COMMA] = ACTIONS(5306),
    [anon_sym_RPAREN] = ACTIONS(5306),
    [aux_sym_preproc_if_token2] = ACTIONS(5306),
    [aux_sym_preproc_else_token1] = ACTIONS(5306),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5306),
    [anon_sym_LPAREN2] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5304),
    [anon_sym_STAR] = ACTIONS(5304),
    [anon_sym_SLASH] = ACTIONS(5304),
    [anon_sym_PERCENT] = ACTIONS(5304),
    [anon_sym_PIPE_PIPE] = ACTIONS(5306),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_PIPE] = ACTIONS(5304),
    [anon_sym_CARET] = ACTIONS(5304),
    [anon_sym_AMP] = ACTIONS(5304),
    [anon_sym_EQ_EQ] = ACTIONS(5306),
    [anon_sym_BANG_EQ] = ACTIONS(5306),
    [anon_sym_GT] = ACTIONS(5304),
    [anon_sym_GT_EQ] = ACTIONS(5306),
    [anon_sym_LT_EQ] = ACTIONS(5304),
    [anon_sym_LT] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(5304),
    [anon_sym_GT_GT] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5306),
    [anon_sym_RBRACE] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [anon_sym_RBRACK] = ACTIONS(5306),
    [anon_sym_EQ] = ACTIONS(5304),
    [anon_sym_COLON] = ACTIONS(5306),
    [anon_sym_QMARK] = ACTIONS(5306),
    [anon_sym_STAR_EQ] = ACTIONS(5306),
    [anon_sym_SLASH_EQ] = ACTIONS(5306),
    [anon_sym_PERCENT_EQ] = ACTIONS(5306),
    [anon_sym_PLUS_EQ] = ACTIONS(5306),
    [anon_sym_DASH_EQ] = ACTIONS(5306),
    [anon_sym_LT_LT_EQ] = ACTIONS(5306),
    [anon_sym_GT_GT_EQ] = ACTIONS(5306),
    [anon_sym_AMP_EQ] = ACTIONS(5306),
    [anon_sym_CARET_EQ] = ACTIONS(5306),
    [anon_sym_PIPE_EQ] = ACTIONS(5306),
    [anon_sym_and_eq] = ACTIONS(5304),
    [anon_sym_or_eq] = ACTIONS(5304),
    [anon_sym_xor_eq] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5306),
    [anon_sym_or] = ACTIONS(5304),
    [anon_sym_and] = ACTIONS(5304),
    [anon_sym_bitor] = ACTIONS(5304),
    [anon_sym_xor] = ACTIONS(5304),
    [anon_sym_bitand] = ACTIONS(5304),
    [anon_sym_not_eq] = ACTIONS(5304),
    [anon_sym_DASH_DASH] = ACTIONS(5306),
    [anon_sym_PLUS_PLUS] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_DOT_STAR] = ACTIONS(5306),
    [anon_sym_DASH_GT] = ACTIONS(5306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
  },
  [2040] = {
    [sym_attribute_specifier] = STATE(2162),
    [sym_identifier] = ACTIONS(5308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5310),
    [anon_sym_COMMA] = ACTIONS(5310),
    [anon_sym_RPAREN] = ACTIONS(5310),
    [aux_sym_preproc_if_token2] = ACTIONS(5310),
    [aux_sym_preproc_else_token1] = ACTIONS(5310),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5310),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5308),
    [anon_sym_STAR] = ACTIONS(5308),
    [anon_sym_SLASH] = ACTIONS(5308),
    [anon_sym_PERCENT] = ACTIONS(5308),
    [anon_sym_PIPE_PIPE] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_PIPE] = ACTIONS(5308),
    [anon_sym_CARET] = ACTIONS(5308),
    [anon_sym_AMP] = ACTIONS(5308),
    [anon_sym_EQ_EQ] = ACTIONS(5310),
    [anon_sym_BANG_EQ] = ACTIONS(5310),
    [anon_sym_GT] = ACTIONS(5308),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_LT_EQ] = ACTIONS(5308),
    [anon_sym_LT] = ACTIONS(5308),
    [anon_sym_LT_LT] = ACTIONS(5308),
    [anon_sym_GT_GT] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5310),
    [anon_sym_RBRACE] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [anon_sym_RBRACK] = ACTIONS(5310),
    [anon_sym_EQ] = ACTIONS(5308),
    [anon_sym_COLON] = ACTIONS(5310),
    [anon_sym_QMARK] = ACTIONS(5310),
    [anon_sym_STAR_EQ] = ACTIONS(5310),
    [anon_sym_SLASH_EQ] = ACTIONS(5310),
    [anon_sym_PERCENT_EQ] = ACTIONS(5310),
    [anon_sym_PLUS_EQ] = ACTIONS(5310),
    [anon_sym_DASH_EQ] = ACTIONS(5310),
    [anon_sym_LT_LT_EQ] = ACTIONS(5310),
    [anon_sym_GT_GT_EQ] = ACTIONS(5310),
    [anon_sym_AMP_EQ] = ACTIONS(5310),
    [anon_sym_CARET_EQ] = ACTIONS(5310),
    [anon_sym_PIPE_EQ] = ACTIONS(5310),
    [anon_sym_and_eq] = ACTIONS(5308),
    [anon_sym_or_eq] = ACTIONS(5308),
    [anon_sym_xor_eq] = ACTIONS(5308),
    [anon_sym_LT_EQ_GT] = ACTIONS(5310),
    [anon_sym_or] = ACTIONS(5308),
    [anon_sym_and] = ACTIONS(5308),
    [anon_sym_bitor] = ACTIONS(5308),
    [anon_sym_xor] = ACTIONS(5308),
    [anon_sym_bitand] = ACTIONS(5308),
    [anon_sym_not_eq] = ACTIONS(5308),
    [anon_sym_DASH_DASH] = ACTIONS(5310),
    [anon_sym_PLUS_PLUS] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_DOT_STAR] = ACTIONS(5310),
    [anon_sym_DASH_GT] = ACTIONS(5310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5308),
    [anon_sym_decltype] = ACTIONS(5308),
  },
  [2041] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2073),
    [sym_identifier] = ACTIONS(5312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [anon_sym_RPAREN] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5232),
    [anon_sym_PIPE_PIPE] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5230),
    [anon_sym_BANG_EQ] = ACTIONS(5230),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5230),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5232),
    [anon_sym_GT_GT] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_RBRACE] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5314),
    [anon_sym_unsigned] = ACTIONS(5314),
    [anon_sym_long] = ACTIONS(5314),
    [anon_sym_short] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_RBRACK] = ACTIONS(5230),
    [anon_sym_EQ] = ACTIONS(5232),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5230),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_STAR_EQ] = ACTIONS(5230),
    [anon_sym_SLASH_EQ] = ACTIONS(5230),
    [anon_sym_PERCENT_EQ] = ACTIONS(5230),
    [anon_sym_PLUS_EQ] = ACTIONS(5230),
    [anon_sym_DASH_EQ] = ACTIONS(5230),
    [anon_sym_LT_LT_EQ] = ACTIONS(5230),
    [anon_sym_GT_GT_EQ] = ACTIONS(5230),
    [anon_sym_AMP_EQ] = ACTIONS(5230),
    [anon_sym_CARET_EQ] = ACTIONS(5230),
    [anon_sym_PIPE_EQ] = ACTIONS(5230),
    [anon_sym_and_eq] = ACTIONS(5232),
    [anon_sym_or_eq] = ACTIONS(5232),
    [anon_sym_xor_eq] = ACTIONS(5232),
    [anon_sym_LT_EQ_GT] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5230),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
  },
  [2042] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4596),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(4886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [aux_sym_preproc_if_token2] = ACTIONS(4888),
    [aux_sym_preproc_else_token1] = ACTIONS(4888),
    [aux_sym_preproc_elif_token1] = ACTIONS(4886),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4886),
    [anon_sym_PLUS] = ACTIONS(4886),
    [anon_sym_STAR] = ACTIONS(4886),
    [anon_sym_SLASH] = ACTIONS(4886),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4888),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4886),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4886),
    [anon_sym_EQ_EQ] = ACTIONS(4888),
    [anon_sym_BANG_EQ] = ACTIONS(4888),
    [anon_sym_GT] = ACTIONS(4886),
    [anon_sym_GT_EQ] = ACTIONS(4888),
    [anon_sym_LT_EQ] = ACTIONS(4886),
    [anon_sym_LT] = ACTIONS(4886),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4886),
    [anon_sym_COLON_COLON] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4888),
    [anon_sym_RBRACE] = ACTIONS(4888),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_RBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4886),
    [anon_sym_COLON] = ACTIONS(4886),
    [anon_sym_QMARK] = ACTIONS(4888),
    [anon_sym_STAR_EQ] = ACTIONS(4888),
    [anon_sym_SLASH_EQ] = ACTIONS(4888),
    [anon_sym_PERCENT_EQ] = ACTIONS(4888),
    [anon_sym_PLUS_EQ] = ACTIONS(4888),
    [anon_sym_DASH_EQ] = ACTIONS(4888),
    [anon_sym_LT_LT_EQ] = ACTIONS(4888),
    [anon_sym_GT_GT_EQ] = ACTIONS(4888),
    [anon_sym_AMP_EQ] = ACTIONS(4888),
    [anon_sym_CARET_EQ] = ACTIONS(4888),
    [anon_sym_PIPE_EQ] = ACTIONS(4888),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4888),
    [anon_sym_or] = ACTIONS(4886),
    [anon_sym_and] = ACTIONS(4886),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4886),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4888),
    [anon_sym_PLUS_PLUS] = ACTIONS(4888),
    [anon_sym_DOT] = ACTIONS(4886),
    [anon_sym_DOT_STAR] = ACTIONS(4888),
    [anon_sym_DASH_GT] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4886),
    [anon_sym_decltype] = ACTIONS(4886),
  },
  [2045] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_RBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(5068),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(5070),
    [anon_sym_SLASH_EQ] = ACTIONS(5070),
    [anon_sym_PERCENT_EQ] = ACTIONS(5070),
    [anon_sym_PLUS_EQ] = ACTIONS(5070),
    [anon_sym_DASH_EQ] = ACTIONS(5070),
    [anon_sym_LT_LT_EQ] = ACTIONS(5070),
    [anon_sym_GT_GT_EQ] = ACTIONS(5070),
    [anon_sym_AMP_EQ] = ACTIONS(5070),
    [anon_sym_CARET_EQ] = ACTIONS(5070),
    [anon_sym_PIPE_EQ] = ACTIONS(5070),
    [anon_sym_and_eq] = ACTIONS(5070),
    [anon_sym_or_eq] = ACTIONS(5070),
    [anon_sym_xor_eq] = ACTIONS(5070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4890),
    [anon_sym_GT_GT] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4890),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_STAR_EQ] = ACTIONS(4892),
    [anon_sym_SLASH_EQ] = ACTIONS(4892),
    [anon_sym_PERCENT_EQ] = ACTIONS(4892),
    [anon_sym_PLUS_EQ] = ACTIONS(4892),
    [anon_sym_DASH_EQ] = ACTIONS(4892),
    [anon_sym_LT_LT_EQ] = ACTIONS(4892),
    [anon_sym_GT_GT_EQ] = ACTIONS(4892),
    [anon_sym_AMP_EQ] = ACTIONS(4892),
    [anon_sym_CARET_EQ] = ACTIONS(4892),
    [anon_sym_PIPE_EQ] = ACTIONS(4892),
    [anon_sym_and_eq] = ACTIONS(4890),
    [anon_sym_or_eq] = ACTIONS(4890),
    [anon_sym_xor_eq] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [2048] = {
    [sym_template_argument_list] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3644),
    [anon_sym_COMMA] = ACTIONS(3644),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_LPAREN2] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_PERCENT] = ACTIONS(3636),
    [anon_sym_PIPE_PIPE] = ACTIONS(3644),
    [anon_sym_AMP_AMP] = ACTIONS(3644),
    [anon_sym_PIPE] = ACTIONS(3636),
    [anon_sym_CARET] = ACTIONS(3636),
    [anon_sym_AMP] = ACTIONS(3636),
    [anon_sym_EQ_EQ] = ACTIONS(3644),
    [anon_sym_BANG_EQ] = ACTIONS(3644),
    [anon_sym_GT] = ACTIONS(3636),
    [anon_sym_GT_EQ] = ACTIONS(3644),
    [anon_sym_LT_EQ] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(3636),
    [anon_sym_GT_GT] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym___attribute__] = ACTIONS(3644),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_RBRACE] = ACTIONS(3644),
    [anon_sym_signed] = ACTIONS(5318),
    [anon_sym_unsigned] = ACTIONS(5318),
    [anon_sym_long] = ACTIONS(5318),
    [anon_sym_short] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_RBRACK] = ACTIONS(3644),
    [anon_sym_EQ] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3636),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_STAR_EQ] = ACTIONS(3644),
    [anon_sym_SLASH_EQ] = ACTIONS(3644),
    [anon_sym_PERCENT_EQ] = ACTIONS(3644),
    [anon_sym_PLUS_EQ] = ACTIONS(3644),
    [anon_sym_DASH_EQ] = ACTIONS(3644),
    [anon_sym_LT_LT_EQ] = ACTIONS(3644),
    [anon_sym_GT_GT_EQ] = ACTIONS(3644),
    [anon_sym_AMP_EQ] = ACTIONS(3644),
    [anon_sym_CARET_EQ] = ACTIONS(3644),
    [anon_sym_PIPE_EQ] = ACTIONS(3644),
    [anon_sym_and_eq] = ACTIONS(3644),
    [anon_sym_or_eq] = ACTIONS(3644),
    [anon_sym_xor_eq] = ACTIONS(3644),
    [anon_sym_LT_EQ_GT] = ACTIONS(3644),
    [anon_sym_or] = ACTIONS(3636),
    [anon_sym_and] = ACTIONS(3636),
    [anon_sym_bitor] = ACTIONS(3644),
    [anon_sym_xor] = ACTIONS(3636),
    [anon_sym_bitand] = ACTIONS(3644),
    [anon_sym_not_eq] = ACTIONS(3644),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DOT] = ACTIONS(3636),
    [anon_sym_DOT_STAR] = ACTIONS(3644),
    [anon_sym_DASH_GT] = ACTIONS(3644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3644),
    [anon_sym_decltype] = ACTIONS(3644),
  },
  [2049] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4570),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2050] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4604),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2051] = {
    [sym_attribute_specifier] = STATE(2143),
    [sym_identifier] = ACTIONS(5320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5322),
    [anon_sym_COMMA] = ACTIONS(5322),
    [anon_sym_RPAREN] = ACTIONS(5322),
    [aux_sym_preproc_if_token2] = ACTIONS(5322),
    [aux_sym_preproc_else_token1] = ACTIONS(5322),
    [aux_sym_preproc_elif_token1] = ACTIONS(5320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(5322),
    [anon_sym_DASH] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5320),
    [anon_sym_STAR] = ACTIONS(5320),
    [anon_sym_SLASH] = ACTIONS(5320),
    [anon_sym_PERCENT] = ACTIONS(5320),
    [anon_sym_PIPE_PIPE] = ACTIONS(5322),
    [anon_sym_AMP_AMP] = ACTIONS(5322),
    [anon_sym_PIPE] = ACTIONS(5320),
    [anon_sym_CARET] = ACTIONS(5320),
    [anon_sym_AMP] = ACTIONS(5320),
    [anon_sym_EQ_EQ] = ACTIONS(5322),
    [anon_sym_BANG_EQ] = ACTIONS(5322),
    [anon_sym_GT] = ACTIONS(5320),
    [anon_sym_GT_EQ] = ACTIONS(5322),
    [anon_sym_LT_EQ] = ACTIONS(5320),
    [anon_sym_LT] = ACTIONS(5320),
    [anon_sym_LT_LT] = ACTIONS(5320),
    [anon_sym_GT_GT] = ACTIONS(5320),
    [anon_sym_SEMI] = ACTIONS(5322),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5322),
    [anon_sym_RBRACE] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5322),
    [anon_sym_RBRACK] = ACTIONS(5322),
    [anon_sym_EQ] = ACTIONS(5320),
    [anon_sym_COLON] = ACTIONS(5322),
    [anon_sym_QMARK] = ACTIONS(5322),
    [anon_sym_STAR_EQ] = ACTIONS(5322),
    [anon_sym_SLASH_EQ] = ACTIONS(5322),
    [anon_sym_PERCENT_EQ] = ACTIONS(5322),
    [anon_sym_PLUS_EQ] = ACTIONS(5322),
    [anon_sym_DASH_EQ] = ACTIONS(5322),
    [anon_sym_LT_LT_EQ] = ACTIONS(5322),
    [anon_sym_GT_GT_EQ] = ACTIONS(5322),
    [anon_sym_AMP_EQ] = ACTIONS(5322),
    [anon_sym_CARET_EQ] = ACTIONS(5322),
    [anon_sym_PIPE_EQ] = ACTIONS(5322),
    [anon_sym_and_eq] = ACTIONS(5320),
    [anon_sym_or_eq] = ACTIONS(5320),
    [anon_sym_xor_eq] = ACTIONS(5320),
    [anon_sym_LT_EQ_GT] = ACTIONS(5322),
    [anon_sym_or] = ACTIONS(5320),
    [anon_sym_and] = ACTIONS(5320),
    [anon_sym_bitor] = ACTIONS(5320),
    [anon_sym_xor] = ACTIONS(5320),
    [anon_sym_bitand] = ACTIONS(5320),
    [anon_sym_not_eq] = ACTIONS(5320),
    [anon_sym_DASH_DASH] = ACTIONS(5322),
    [anon_sym_PLUS_PLUS] = ACTIONS(5322),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_DOT_STAR] = ACTIONS(5322),
    [anon_sym_DASH_GT] = ACTIONS(5322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5320),
    [anon_sym_decltype] = ACTIONS(5320),
  },
  [2052] = {
    [sym_attribute_specifier] = STATE(2142),
    [sym_identifier] = ACTIONS(5324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5326),
    [anon_sym_COMMA] = ACTIONS(5326),
    [anon_sym_RPAREN] = ACTIONS(5326),
    [aux_sym_preproc_if_token2] = ACTIONS(5326),
    [aux_sym_preproc_else_token1] = ACTIONS(5326),
    [aux_sym_preproc_elif_token1] = ACTIONS(5324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5326),
    [anon_sym_LPAREN2] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5324),
    [anon_sym_STAR] = ACTIONS(5324),
    [anon_sym_SLASH] = ACTIONS(5324),
    [anon_sym_PERCENT] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE] = ACTIONS(5326),
    [anon_sym_AMP_AMP] = ACTIONS(5326),
    [anon_sym_PIPE] = ACTIONS(5324),
    [anon_sym_CARET] = ACTIONS(5324),
    [anon_sym_AMP] = ACTIONS(5324),
    [anon_sym_EQ_EQ] = ACTIONS(5326),
    [anon_sym_BANG_EQ] = ACTIONS(5326),
    [anon_sym_GT] = ACTIONS(5324),
    [anon_sym_GT_EQ] = ACTIONS(5326),
    [anon_sym_LT_EQ] = ACTIONS(5324),
    [anon_sym_LT] = ACTIONS(5324),
    [anon_sym_LT_LT] = ACTIONS(5324),
    [anon_sym_GT_GT] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5326),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5326),
    [anon_sym_RBRACE] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5326),
    [anon_sym_RBRACK] = ACTIONS(5326),
    [anon_sym_EQ] = ACTIONS(5324),
    [anon_sym_COLON] = ACTIONS(5326),
    [anon_sym_QMARK] = ACTIONS(5326),
    [anon_sym_STAR_EQ] = ACTIONS(5326),
    [anon_sym_SLASH_EQ] = ACTIONS(5326),
    [anon_sym_PERCENT_EQ] = ACTIONS(5326),
    [anon_sym_PLUS_EQ] = ACTIONS(5326),
    [anon_sym_DASH_EQ] = ACTIONS(5326),
    [anon_sym_LT_LT_EQ] = ACTIONS(5326),
    [anon_sym_GT_GT_EQ] = ACTIONS(5326),
    [anon_sym_AMP_EQ] = ACTIONS(5326),
    [anon_sym_CARET_EQ] = ACTIONS(5326),
    [anon_sym_PIPE_EQ] = ACTIONS(5326),
    [anon_sym_and_eq] = ACTIONS(5324),
    [anon_sym_or_eq] = ACTIONS(5324),
    [anon_sym_xor_eq] = ACTIONS(5324),
    [anon_sym_LT_EQ_GT] = ACTIONS(5326),
    [anon_sym_or] = ACTIONS(5324),
    [anon_sym_and] = ACTIONS(5324),
    [anon_sym_bitor] = ACTIONS(5324),
    [anon_sym_xor] = ACTIONS(5324),
    [anon_sym_bitand] = ACTIONS(5324),
    [anon_sym_not_eq] = ACTIONS(5324),
    [anon_sym_DASH_DASH] = ACTIONS(5326),
    [anon_sym_PLUS_PLUS] = ACTIONS(5326),
    [anon_sym_DOT] = ACTIONS(5324),
    [anon_sym_DOT_STAR] = ACTIONS(5326),
    [anon_sym_DASH_GT] = ACTIONS(5326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5324),
    [anon_sym_decltype] = ACTIONS(5324),
  },
  [2053] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4629),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5244),
    [anon_sym_COMMA] = ACTIONS(5244),
    [anon_sym_RPAREN] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5244),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5244),
    [anon_sym_PIPE_PIPE] = ACTIONS(5244),
    [anon_sym_AMP_AMP] = ACTIONS(5244),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5244),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5244),
    [anon_sym_BANG_EQ] = ACTIONS(5244),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5244),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5244),
    [anon_sym_GT_GT] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5244),
    [anon_sym___extension__] = ACTIONS(5242),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(5244),
    [anon_sym_RBRACE] = ACTIONS(5244),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_RBRACK] = ACTIONS(5244),
    [anon_sym_const] = ACTIONS(5242),
    [anon_sym_constexpr] = ACTIONS(5242),
    [anon_sym_volatile] = ACTIONS(5242),
    [anon_sym_restrict] = ACTIONS(5242),
    [anon_sym___restrict__] = ACTIONS(5242),
    [anon_sym__Atomic] = ACTIONS(5242),
    [anon_sym__Noreturn] = ACTIONS(5242),
    [anon_sym_noreturn] = ACTIONS(5242),
    [anon_sym_mutable] = ACTIONS(5242),
    [anon_sym_constinit] = ACTIONS(5242),
    [anon_sym_consteval] = ACTIONS(5242),
    [anon_sym_COLON] = ACTIONS(5244),
    [anon_sym_QMARK] = ACTIONS(5244),
    [anon_sym_LT_EQ_GT] = ACTIONS(5244),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5244),
    [anon_sym_PLUS_PLUS] = ACTIONS(5244),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5244),
    [anon_sym_DASH_GT] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5242),
    [anon_sym_decltype] = ACTIONS(5242),
    [anon_sym_final] = ACTIONS(5242),
    [anon_sym_override] = ACTIONS(5242),
    [anon_sym_requires] = ACTIONS(5242),
  },
  [2055] = {
    [sym_attribute_specifier] = STATE(2155),
    [sym_identifier] = ACTIONS(5328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5330),
    [anon_sym_COMMA] = ACTIONS(5330),
    [anon_sym_RPAREN] = ACTIONS(5330),
    [aux_sym_preproc_if_token2] = ACTIONS(5330),
    [aux_sym_preproc_else_token1] = ACTIONS(5330),
    [aux_sym_preproc_elif_token1] = ACTIONS(5328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(5328),
    [anon_sym_STAR] = ACTIONS(5328),
    [anon_sym_SLASH] = ACTIONS(5328),
    [anon_sym_PERCENT] = ACTIONS(5328),
    [anon_sym_PIPE_PIPE] = ACTIONS(5330),
    [anon_sym_AMP_AMP] = ACTIONS(5330),
    [anon_sym_PIPE] = ACTIONS(5328),
    [anon_sym_CARET] = ACTIONS(5328),
    [anon_sym_AMP] = ACTIONS(5328),
    [anon_sym_EQ_EQ] = ACTIONS(5330),
    [anon_sym_BANG_EQ] = ACTIONS(5330),
    [anon_sym_GT] = ACTIONS(5328),
    [anon_sym_GT_EQ] = ACTIONS(5330),
    [anon_sym_LT_EQ] = ACTIONS(5328),
    [anon_sym_LT] = ACTIONS(5328),
    [anon_sym_LT_LT] = ACTIONS(5328),
    [anon_sym_GT_GT] = ACTIONS(5328),
    [anon_sym_SEMI] = ACTIONS(5330),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5330),
    [anon_sym_RBRACE] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_RBRACK] = ACTIONS(5330),
    [anon_sym_EQ] = ACTIONS(5328),
    [anon_sym_COLON] = ACTIONS(5330),
    [anon_sym_QMARK] = ACTIONS(5330),
    [anon_sym_STAR_EQ] = ACTIONS(5330),
    [anon_sym_SLASH_EQ] = ACTIONS(5330),
    [anon_sym_PERCENT_EQ] = ACTIONS(5330),
    [anon_sym_PLUS_EQ] = ACTIONS(5330),
    [anon_sym_DASH_EQ] = ACTIONS(5330),
    [anon_sym_LT_LT_EQ] = ACTIONS(5330),
    [anon_sym_GT_GT_EQ] = ACTIONS(5330),
    [anon_sym_AMP_EQ] = ACTIONS(5330),
    [anon_sym_CARET_EQ] = ACTIONS(5330),
    [anon_sym_PIPE_EQ] = ACTIONS(5330),
    [anon_sym_and_eq] = ACTIONS(5328),
    [anon_sym_or_eq] = ACTIONS(5328),
    [anon_sym_xor_eq] = ACTIONS(5328),
    [anon_sym_LT_EQ_GT] = ACTIONS(5330),
    [anon_sym_or] = ACTIONS(5328),
    [anon_sym_and] = ACTIONS(5328),
    [anon_sym_bitor] = ACTIONS(5328),
    [anon_sym_xor] = ACTIONS(5328),
    [anon_sym_bitand] = ACTIONS(5328),
    [anon_sym_not_eq] = ACTIONS(5328),
    [anon_sym_DASH_DASH] = ACTIONS(5330),
    [anon_sym_PLUS_PLUS] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5328),
    [anon_sym_DOT_STAR] = ACTIONS(5330),
    [anon_sym_DASH_GT] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5328),
    [anon_sym_decltype] = ACTIONS(5328),
  },
  [2056] = {
    [sym_attribute_declaration] = STATE(2110),
    [sym_parameter_list] = STATE(2112),
    [aux_sym_attributed_declarator_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(5332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5334),
    [anon_sym_COMMA] = ACTIONS(5334),
    [anon_sym_RPAREN] = ACTIONS(5334),
    [aux_sym_preproc_if_token2] = ACTIONS(5334),
    [aux_sym_preproc_else_token1] = ACTIONS(5334),
    [aux_sym_preproc_elif_token1] = ACTIONS(5332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_DASH] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5332),
    [anon_sym_SLASH] = ACTIONS(5332),
    [anon_sym_PERCENT] = ACTIONS(5332),
    [anon_sym_PIPE_PIPE] = ACTIONS(5334),
    [anon_sym_AMP_AMP] = ACTIONS(5334),
    [anon_sym_PIPE] = ACTIONS(5332),
    [anon_sym_CARET] = ACTIONS(5332),
    [anon_sym_AMP] = ACTIONS(5332),
    [anon_sym_EQ_EQ] = ACTIONS(5334),
    [anon_sym_BANG_EQ] = ACTIONS(5334),
    [anon_sym_GT] = ACTIONS(5332),
    [anon_sym_GT_EQ] = ACTIONS(5334),
    [anon_sym_LT_EQ] = ACTIONS(5332),
    [anon_sym_LT] = ACTIONS(5332),
    [anon_sym_LT_LT] = ACTIONS(5332),
    [anon_sym_GT_GT] = ACTIONS(5332),
    [anon_sym_SEMI] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_RBRACK] = ACTIONS(5334),
    [anon_sym_EQ] = ACTIONS(5332),
    [anon_sym_COLON] = ACTIONS(5334),
    [anon_sym_QMARK] = ACTIONS(5334),
    [anon_sym_STAR_EQ] = ACTIONS(5334),
    [anon_sym_SLASH_EQ] = ACTIONS(5334),
    [anon_sym_PERCENT_EQ] = ACTIONS(5334),
    [anon_sym_PLUS_EQ] = ACTIONS(5334),
    [anon_sym_DASH_EQ] = ACTIONS(5334),
    [anon_sym_LT_LT_EQ] = ACTIONS(5334),
    [anon_sym_GT_GT_EQ] = ACTIONS(5334),
    [anon_sym_AMP_EQ] = ACTIONS(5334),
    [anon_sym_CARET_EQ] = ACTIONS(5334),
    [anon_sym_PIPE_EQ] = ACTIONS(5334),
    [anon_sym_and_eq] = ACTIONS(5332),
    [anon_sym_or_eq] = ACTIONS(5332),
    [anon_sym_xor_eq] = ACTIONS(5332),
    [anon_sym_LT_EQ_GT] = ACTIONS(5334),
    [anon_sym_or] = ACTIONS(5332),
    [anon_sym_and] = ACTIONS(5332),
    [anon_sym_bitor] = ACTIONS(5332),
    [anon_sym_xor] = ACTIONS(5332),
    [anon_sym_bitand] = ACTIONS(5332),
    [anon_sym_not_eq] = ACTIONS(5332),
    [anon_sym_DASH_DASH] = ACTIONS(5334),
    [anon_sym_PLUS_PLUS] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_DOT_STAR] = ACTIONS(5334),
    [anon_sym_DASH_GT] = ACTIONS(5334),
    [sym_comment] = ACTIONS(3),
  },
  [2057] = {
    [sym_attribute_specifier] = STATE(2090),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5338),
    [anon_sym_COMMA] = ACTIONS(5338),
    [anon_sym_RPAREN] = ACTIONS(5338),
    [aux_sym_preproc_if_token2] = ACTIONS(5338),
    [aux_sym_preproc_else_token1] = ACTIONS(5338),
    [aux_sym_preproc_elif_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5338),
    [anon_sym_LPAREN2] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5336),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5336),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5338),
    [anon_sym_AMP_AMP] = ACTIONS(5338),
    [anon_sym_PIPE] = ACTIONS(5336),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_AMP] = ACTIONS(5336),
    [anon_sym_EQ_EQ] = ACTIONS(5338),
    [anon_sym_BANG_EQ] = ACTIONS(5338),
    [anon_sym_GT] = ACTIONS(5336),
    [anon_sym_GT_EQ] = ACTIONS(5338),
    [anon_sym_LT_EQ] = ACTIONS(5336),
    [anon_sym_LT] = ACTIONS(5336),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5338),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5338),
    [anon_sym_RBRACE] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5338),
    [anon_sym_RBRACK] = ACTIONS(5338),
    [anon_sym_EQ] = ACTIONS(5336),
    [anon_sym_COLON] = ACTIONS(5338),
    [anon_sym_QMARK] = ACTIONS(5338),
    [anon_sym_STAR_EQ] = ACTIONS(5338),
    [anon_sym_SLASH_EQ] = ACTIONS(5338),
    [anon_sym_PERCENT_EQ] = ACTIONS(5338),
    [anon_sym_PLUS_EQ] = ACTIONS(5338),
    [anon_sym_DASH_EQ] = ACTIONS(5338),
    [anon_sym_LT_LT_EQ] = ACTIONS(5338),
    [anon_sym_GT_GT_EQ] = ACTIONS(5338),
    [anon_sym_AMP_EQ] = ACTIONS(5338),
    [anon_sym_CARET_EQ] = ACTIONS(5338),
    [anon_sym_PIPE_EQ] = ACTIONS(5338),
    [anon_sym_and_eq] = ACTIONS(5336),
    [anon_sym_or_eq] = ACTIONS(5336),
    [anon_sym_xor_eq] = ACTIONS(5336),
    [anon_sym_LT_EQ_GT] = ACTIONS(5338),
    [anon_sym_or] = ACTIONS(5336),
    [anon_sym_and] = ACTIONS(5336),
    [anon_sym_bitor] = ACTIONS(5336),
    [anon_sym_xor] = ACTIONS(5336),
    [anon_sym_bitand] = ACTIONS(5336),
    [anon_sym_not_eq] = ACTIONS(5336),
    [anon_sym_DASH_DASH] = ACTIONS(5338),
    [anon_sym_PLUS_PLUS] = ACTIONS(5338),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_DOT_STAR] = ACTIONS(5338),
    [anon_sym_DASH_GT] = ACTIONS(5338),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5336),
    [anon_sym_decltype] = ACTIONS(5336),
  },
  [2058] = {
    [sym_attribute_declaration] = STATE(2110),
    [sym_parameter_list] = STATE(2112),
    [aux_sym_attributed_declarator_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(5340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5342),
    [anon_sym_COMMA] = ACTIONS(5342),
    [anon_sym_RPAREN] = ACTIONS(5342),
    [aux_sym_preproc_if_token2] = ACTIONS(5342),
    [aux_sym_preproc_else_token1] = ACTIONS(5342),
    [aux_sym_preproc_elif_token1] = ACTIONS(5340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5342),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_DASH] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5340),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_SLASH] = ACTIONS(5340),
    [anon_sym_PERCENT] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5340),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(5340),
    [anon_sym_EQ_EQ] = ACTIONS(5342),
    [anon_sym_BANG_EQ] = ACTIONS(5342),
    [anon_sym_GT] = ACTIONS(5340),
    [anon_sym_GT_EQ] = ACTIONS(5342),
    [anon_sym_LT_EQ] = ACTIONS(5340),
    [anon_sym_LT] = ACTIONS(5340),
    [anon_sym_LT_LT] = ACTIONS(5340),
    [anon_sym_GT_GT] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5342),
    [anon_sym___attribute__] = ACTIONS(5340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_RBRACK] = ACTIONS(5342),
    [anon_sym_EQ] = ACTIONS(5340),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_QMARK] = ACTIONS(5342),
    [anon_sym_STAR_EQ] = ACTIONS(5342),
    [anon_sym_SLASH_EQ] = ACTIONS(5342),
    [anon_sym_PERCENT_EQ] = ACTIONS(5342),
    [anon_sym_PLUS_EQ] = ACTIONS(5342),
    [anon_sym_DASH_EQ] = ACTIONS(5342),
    [anon_sym_LT_LT_EQ] = ACTIONS(5342),
    [anon_sym_GT_GT_EQ] = ACTIONS(5342),
    [anon_sym_AMP_EQ] = ACTIONS(5342),
    [anon_sym_CARET_EQ] = ACTIONS(5342),
    [anon_sym_PIPE_EQ] = ACTIONS(5342),
    [anon_sym_and_eq] = ACTIONS(5340),
    [anon_sym_or_eq] = ACTIONS(5340),
    [anon_sym_xor_eq] = ACTIONS(5340),
    [anon_sym_LT_EQ_GT] = ACTIONS(5342),
    [anon_sym_or] = ACTIONS(5340),
    [anon_sym_and] = ACTIONS(5340),
    [anon_sym_bitor] = ACTIONS(5340),
    [anon_sym_xor] = ACTIONS(5340),
    [anon_sym_bitand] = ACTIONS(5340),
    [anon_sym_not_eq] = ACTIONS(5340),
    [anon_sym_DASH_DASH] = ACTIONS(5342),
    [anon_sym_PLUS_PLUS] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5340),
    [anon_sym_DOT_STAR] = ACTIONS(5342),
    [anon_sym_DASH_GT] = ACTIONS(5342),
    [sym_comment] = ACTIONS(3),
  },
  [2059] = {
    [sym_string_literal] = STATE(2067),
    [sym_raw_string_literal] = STATE(2067),
    [aux_sym_concatenated_string_repeat1] = STATE(2067),
    [sym_identifier] = ACTIONS(5344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_COMMA] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4665),
    [anon_sym_DASH] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4667),
    [anon_sym_STAR] = ACTIONS(4667),
    [anon_sym_SLASH] = ACTIONS(4667),
    [anon_sym_PERCENT] = ACTIONS(4667),
    [anon_sym_PIPE_PIPE] = ACTIONS(4665),
    [anon_sym_AMP_AMP] = ACTIONS(4665),
    [anon_sym_PIPE] = ACTIONS(4667),
    [anon_sym_CARET] = ACTIONS(4667),
    [anon_sym_AMP] = ACTIONS(4667),
    [anon_sym_EQ_EQ] = ACTIONS(4665),
    [anon_sym_BANG_EQ] = ACTIONS(4665),
    [anon_sym_GT] = ACTIONS(4667),
    [anon_sym_GT_EQ] = ACTIONS(4667),
    [anon_sym_LT_EQ] = ACTIONS(4667),
    [anon_sym_LT] = ACTIONS(4667),
    [anon_sym_LT_LT] = ACTIONS(4667),
    [anon_sym_GT_GT] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4667),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_STAR_EQ] = ACTIONS(4665),
    [anon_sym_SLASH_EQ] = ACTIONS(4665),
    [anon_sym_PERCENT_EQ] = ACTIONS(4665),
    [anon_sym_PLUS_EQ] = ACTIONS(4665),
    [anon_sym_DASH_EQ] = ACTIONS(4665),
    [anon_sym_LT_LT_EQ] = ACTIONS(4665),
    [anon_sym_GT_GT_EQ] = ACTIONS(4667),
    [anon_sym_AMP_EQ] = ACTIONS(4665),
    [anon_sym_CARET_EQ] = ACTIONS(4665),
    [anon_sym_PIPE_EQ] = ACTIONS(4665),
    [anon_sym_and_eq] = ACTIONS(4667),
    [anon_sym_or_eq] = ACTIONS(4667),
    [anon_sym_xor_eq] = ACTIONS(4667),
    [anon_sym_LT_EQ_GT] = ACTIONS(4665),
    [anon_sym_or] = ACTIONS(4667),
    [anon_sym_and] = ACTIONS(4667),
    [anon_sym_bitor] = ACTIONS(4667),
    [anon_sym_xor] = ACTIONS(4667),
    [anon_sym_bitand] = ACTIONS(4667),
    [anon_sym_not_eq] = ACTIONS(4667),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_DOT] = ACTIONS(4667),
    [anon_sym_DOT_STAR] = ACTIONS(4665),
    [anon_sym_DASH_GT] = ACTIONS(4665),
    [anon_sym_L_DQUOTE] = ACTIONS(5346),
    [anon_sym_u_DQUOTE] = ACTIONS(5346),
    [anon_sym_U_DQUOTE] = ACTIONS(5346),
    [anon_sym_u8_DQUOTE] = ACTIONS(5346),
    [anon_sym_DQUOTE] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4665),
    [anon_sym_R_DQUOTE] = ACTIONS(5348),
    [anon_sym_LR_DQUOTE] = ACTIONS(5348),
    [anon_sym_uR_DQUOTE] = ACTIONS(5348),
    [anon_sym_UR_DQUOTE] = ACTIONS(5348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5348),
    [sym_literal_suffix] = ACTIONS(4667),
  },
  [2060] = {
    [sym_attribute_declaration] = STATE(2110),
    [sym_parameter_list] = STATE(2112),
    [aux_sym_attributed_declarator_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_RBRACK] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(4814),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
  },
  [2063] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_RPAREN] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(4771),
    [anon_sym_DASH] = ACTIONS(4769),
    [anon_sym_PLUS] = ACTIONS(4769),
    [anon_sym_STAR] = ACTIONS(4769),
    [anon_sym_SLASH] = ACTIONS(4769),
    [anon_sym_PERCENT] = ACTIONS(4769),
    [anon_sym_PIPE_PIPE] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4771),
    [anon_sym_PIPE] = ACTIONS(4769),
    [anon_sym_CARET] = ACTIONS(4769),
    [anon_sym_AMP] = ACTIONS(4769),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_GT] = ACTIONS(4769),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4769),
    [anon_sym_LT] = ACTIONS(4769),
    [anon_sym_LT_LT] = ACTIONS(4769),
    [anon_sym_GT_GT] = ACTIONS(4769),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_RBRACK] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4769),
    [anon_sym_COLON] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_and_eq] = ACTIONS(4769),
    [anon_sym_or_eq] = ACTIONS(4769),
    [anon_sym_xor_eq] = ACTIONS(4769),
    [anon_sym_LT_EQ_GT] = ACTIONS(4771),
    [anon_sym_or] = ACTIONS(4769),
    [anon_sym_and] = ACTIONS(4769),
    [anon_sym_bitor] = ACTIONS(4769),
    [anon_sym_xor] = ACTIONS(4769),
    [anon_sym_bitand] = ACTIONS(4769),
    [anon_sym_not_eq] = ACTIONS(4769),
    [anon_sym_DASH_DASH] = ACTIONS(4771),
    [anon_sym_PLUS_PLUS] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4769),
    [anon_sym_DOT_STAR] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_L_DQUOTE] = ACTIONS(4771),
    [anon_sym_u_DQUOTE] = ACTIONS(4771),
    [anon_sym_U_DQUOTE] = ACTIONS(4771),
    [anon_sym_u8_DQUOTE] = ACTIONS(4771),
    [anon_sym_DQUOTE] = ACTIONS(4771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4771),
    [anon_sym_LR_DQUOTE] = ACTIONS(4771),
    [anon_sym_uR_DQUOTE] = ACTIONS(4771),
    [anon_sym_UR_DQUOTE] = ACTIONS(4771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4771),
    [sym_literal_suffix] = ACTIONS(4769),
  },
  [2064] = {
    [sym_attribute_specifier] = STATE(2085),
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5354),
    [anon_sym_or_eq] = ACTIONS(5354),
    [anon_sym_xor_eq] = ACTIONS(5354),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5354),
    [anon_sym_and] = ACTIONS(5354),
    [anon_sym_bitor] = ACTIONS(5354),
    [anon_sym_xor] = ACTIONS(5354),
    [anon_sym_bitand] = ACTIONS(5354),
    [anon_sym_not_eq] = ACTIONS(5354),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5354),
    [anon_sym_decltype] = ACTIONS(5354),
  },
  [2065] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4588),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2066] = {
    [sym_attribute_specifier] = STATE(2121),
    [sym_identifier] = ACTIONS(5358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5360),
    [anon_sym_COMMA] = ACTIONS(5360),
    [anon_sym_RPAREN] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_else_token1] = ACTIONS(5360),
    [aux_sym_preproc_elif_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5360),
    [anon_sym_BANG_EQ] = ACTIONS(5360),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5360),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5360),
    [anon_sym_RBRACE] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_RBRACK] = ACTIONS(5360),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_COLON] = ACTIONS(5360),
    [anon_sym_QMARK] = ACTIONS(5360),
    [anon_sym_STAR_EQ] = ACTIONS(5360),
    [anon_sym_SLASH_EQ] = ACTIONS(5360),
    [anon_sym_PERCENT_EQ] = ACTIONS(5360),
    [anon_sym_PLUS_EQ] = ACTIONS(5360),
    [anon_sym_DASH_EQ] = ACTIONS(5360),
    [anon_sym_LT_LT_EQ] = ACTIONS(5360),
    [anon_sym_GT_GT_EQ] = ACTIONS(5360),
    [anon_sym_AMP_EQ] = ACTIONS(5360),
    [anon_sym_CARET_EQ] = ACTIONS(5360),
    [anon_sym_PIPE_EQ] = ACTIONS(5360),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5360),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5360),
    [anon_sym_PLUS_PLUS] = ACTIONS(5360),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5360),
    [anon_sym_DASH_GT] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5358),
    [anon_sym_decltype] = ACTIONS(5358),
  },
  [2067] = {
    [sym_string_literal] = STATE(2071),
    [sym_raw_string_literal] = STATE(2071),
    [aux_sym_concatenated_string_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(5362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_COMMA] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_DASH] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4730),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_SLASH] = ACTIONS(4730),
    [anon_sym_PERCENT] = ACTIONS(4730),
    [anon_sym_PIPE_PIPE] = ACTIONS(4728),
    [anon_sym_AMP_AMP] = ACTIONS(4728),
    [anon_sym_PIPE] = ACTIONS(4730),
    [anon_sym_CARET] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_EQ_EQ] = ACTIONS(4728),
    [anon_sym_BANG_EQ] = ACTIONS(4728),
    [anon_sym_GT] = ACTIONS(4730),
    [anon_sym_GT_EQ] = ACTIONS(4730),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4730),
    [anon_sym_LT_LT] = ACTIONS(4730),
    [anon_sym_GT_GT] = ACTIONS(4730),
    [anon_sym_LBRACK] = ACTIONS(4728),
    [anon_sym_EQ] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4728),
    [anon_sym_STAR_EQ] = ACTIONS(4728),
    [anon_sym_SLASH_EQ] = ACTIONS(4728),
    [anon_sym_PERCENT_EQ] = ACTIONS(4728),
    [anon_sym_PLUS_EQ] = ACTIONS(4728),
    [anon_sym_DASH_EQ] = ACTIONS(4728),
    [anon_sym_LT_LT_EQ] = ACTIONS(4728),
    [anon_sym_GT_GT_EQ] = ACTIONS(4730),
    [anon_sym_AMP_EQ] = ACTIONS(4728),
    [anon_sym_CARET_EQ] = ACTIONS(4728),
    [anon_sym_PIPE_EQ] = ACTIONS(4728),
    [anon_sym_and_eq] = ACTIONS(4730),
    [anon_sym_or_eq] = ACTIONS(4730),
    [anon_sym_xor_eq] = ACTIONS(4730),
    [anon_sym_LT_EQ_GT] = ACTIONS(4728),
    [anon_sym_or] = ACTIONS(4730),
    [anon_sym_and] = ACTIONS(4730),
    [anon_sym_bitor] = ACTIONS(4730),
    [anon_sym_xor] = ACTIONS(4730),
    [anon_sym_bitand] = ACTIONS(4730),
    [anon_sym_not_eq] = ACTIONS(4730),
    [anon_sym_DASH_DASH] = ACTIONS(4728),
    [anon_sym_PLUS_PLUS] = ACTIONS(4728),
    [anon_sym_DOT] = ACTIONS(4730),
    [anon_sym_DOT_STAR] = ACTIONS(4728),
    [anon_sym_DASH_GT] = ACTIONS(4728),
    [anon_sym_L_DQUOTE] = ACTIONS(5346),
    [anon_sym_u_DQUOTE] = ACTIONS(5346),
    [anon_sym_U_DQUOTE] = ACTIONS(5346),
    [anon_sym_u8_DQUOTE] = ACTIONS(5346),
    [anon_sym_DQUOTE] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4728),
    [anon_sym_R_DQUOTE] = ACTIONS(5348),
    [anon_sym_LR_DQUOTE] = ACTIONS(5348),
    [anon_sym_uR_DQUOTE] = ACTIONS(5348),
    [anon_sym_UR_DQUOTE] = ACTIONS(5348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5348),
    [sym_literal_suffix] = ACTIONS(4730),
  },
  [2068] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4973),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2069] = {
    [sym_attribute_specifier] = STATE(2138),
    [sym_identifier] = ACTIONS(5364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5366),
    [anon_sym_COMMA] = ACTIONS(5366),
    [anon_sym_RPAREN] = ACTIONS(5366),
    [aux_sym_preproc_if_token2] = ACTIONS(5366),
    [aux_sym_preproc_else_token1] = ACTIONS(5366),
    [aux_sym_preproc_elif_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5366),
    [anon_sym_DASH] = ACTIONS(5364),
    [anon_sym_PLUS] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_SLASH] = ACTIONS(5364),
    [anon_sym_PERCENT] = ACTIONS(5364),
    [anon_sym_PIPE_PIPE] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5366),
    [anon_sym_PIPE] = ACTIONS(5364),
    [anon_sym_CARET] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_EQ_EQ] = ACTIONS(5366),
    [anon_sym_BANG_EQ] = ACTIONS(5366),
    [anon_sym_GT] = ACTIONS(5364),
    [anon_sym_GT_EQ] = ACTIONS(5366),
    [anon_sym_LT_EQ] = ACTIONS(5364),
    [anon_sym_LT] = ACTIONS(5364),
    [anon_sym_LT_LT] = ACTIONS(5364),
    [anon_sym_GT_GT] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5366),
    [anon_sym_RBRACE] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [anon_sym_RBRACK] = ACTIONS(5366),
    [anon_sym_EQ] = ACTIONS(5364),
    [anon_sym_COLON] = ACTIONS(5366),
    [anon_sym_QMARK] = ACTIONS(5366),
    [anon_sym_STAR_EQ] = ACTIONS(5366),
    [anon_sym_SLASH_EQ] = ACTIONS(5366),
    [anon_sym_PERCENT_EQ] = ACTIONS(5366),
    [anon_sym_PLUS_EQ] = ACTIONS(5366),
    [anon_sym_DASH_EQ] = ACTIONS(5366),
    [anon_sym_LT_LT_EQ] = ACTIONS(5366),
    [anon_sym_GT_GT_EQ] = ACTIONS(5366),
    [anon_sym_AMP_EQ] = ACTIONS(5366),
    [anon_sym_CARET_EQ] = ACTIONS(5366),
    [anon_sym_PIPE_EQ] = ACTIONS(5366),
    [anon_sym_and_eq] = ACTIONS(5364),
    [anon_sym_or_eq] = ACTIONS(5364),
    [anon_sym_xor_eq] = ACTIONS(5364),
    [anon_sym_LT_EQ_GT] = ACTIONS(5366),
    [anon_sym_or] = ACTIONS(5364),
    [anon_sym_and] = ACTIONS(5364),
    [anon_sym_bitor] = ACTIONS(5364),
    [anon_sym_xor] = ACTIONS(5364),
    [anon_sym_bitand] = ACTIONS(5364),
    [anon_sym_not_eq] = ACTIONS(5364),
    [anon_sym_DASH_DASH] = ACTIONS(5366),
    [anon_sym_PLUS_PLUS] = ACTIONS(5366),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_DOT_STAR] = ACTIONS(5366),
    [anon_sym_DASH_GT] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5364),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4890),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4890),
    [anon_sym_constexpr] = ACTIONS(4890),
    [anon_sym_volatile] = ACTIONS(4890),
    [anon_sym_restrict] = ACTIONS(4890),
    [anon_sym___restrict__] = ACTIONS(4890),
    [anon_sym__Atomic] = ACTIONS(4890),
    [anon_sym__Noreturn] = ACTIONS(4890),
    [anon_sym_noreturn] = ACTIONS(4890),
    [anon_sym_mutable] = ACTIONS(4890),
    [anon_sym_constinit] = ACTIONS(4890),
    [anon_sym_consteval] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
    [anon_sym_final] = ACTIONS(4890),
    [anon_sym_override] = ACTIONS(4890),
    [anon_sym_requires] = ACTIONS(4890),
  },
  [2071] = {
    [sym_string_literal] = STATE(2071),
    [sym_raw_string_literal] = STATE(2071),
    [aux_sym_concatenated_string_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(5368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4712),
    [anon_sym_COMMA] = ACTIONS(4712),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_DASH] = ACTIONS(4714),
    [anon_sym_PLUS] = ACTIONS(4714),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_SLASH] = ACTIONS(4714),
    [anon_sym_PERCENT] = ACTIONS(4714),
    [anon_sym_PIPE_PIPE] = ACTIONS(4712),
    [anon_sym_AMP_AMP] = ACTIONS(4712),
    [anon_sym_PIPE] = ACTIONS(4714),
    [anon_sym_CARET] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_EQ_EQ] = ACTIONS(4712),
    [anon_sym_BANG_EQ] = ACTIONS(4712),
    [anon_sym_GT] = ACTIONS(4714),
    [anon_sym_GT_EQ] = ACTIONS(4714),
    [anon_sym_LT_EQ] = ACTIONS(4714),
    [anon_sym_LT] = ACTIONS(4714),
    [anon_sym_LT_LT] = ACTIONS(4714),
    [anon_sym_GT_GT] = ACTIONS(4714),
    [anon_sym_LBRACK] = ACTIONS(4712),
    [anon_sym_EQ] = ACTIONS(4714),
    [anon_sym_QMARK] = ACTIONS(4712),
    [anon_sym_STAR_EQ] = ACTIONS(4712),
    [anon_sym_SLASH_EQ] = ACTIONS(4712),
    [anon_sym_PERCENT_EQ] = ACTIONS(4712),
    [anon_sym_PLUS_EQ] = ACTIONS(4712),
    [anon_sym_DASH_EQ] = ACTIONS(4712),
    [anon_sym_LT_LT_EQ] = ACTIONS(4712),
    [anon_sym_GT_GT_EQ] = ACTIONS(4714),
    [anon_sym_AMP_EQ] = ACTIONS(4712),
    [anon_sym_CARET_EQ] = ACTIONS(4712),
    [anon_sym_PIPE_EQ] = ACTIONS(4712),
    [anon_sym_and_eq] = ACTIONS(4714),
    [anon_sym_or_eq] = ACTIONS(4714),
    [anon_sym_xor_eq] = ACTIONS(4714),
    [anon_sym_LT_EQ_GT] = ACTIONS(4712),
    [anon_sym_or] = ACTIONS(4714),
    [anon_sym_and] = ACTIONS(4714),
    [anon_sym_bitor] = ACTIONS(4714),
    [anon_sym_xor] = ACTIONS(4714),
    [anon_sym_bitand] = ACTIONS(4714),
    [anon_sym_not_eq] = ACTIONS(4714),
    [anon_sym_DASH_DASH] = ACTIONS(4712),
    [anon_sym_PLUS_PLUS] = ACTIONS(4712),
    [anon_sym_DOT] = ACTIONS(4714),
    [anon_sym_DOT_STAR] = ACTIONS(4712),
    [anon_sym_DASH_GT] = ACTIONS(4712),
    [anon_sym_L_DQUOTE] = ACTIONS(5371),
    [anon_sym_u_DQUOTE] = ACTIONS(5371),
    [anon_sym_U_DQUOTE] = ACTIONS(5371),
    [anon_sym_u8_DQUOTE] = ACTIONS(5371),
    [anon_sym_DQUOTE] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4712),
    [anon_sym_R_DQUOTE] = ACTIONS(5374),
    [anon_sym_LR_DQUOTE] = ACTIONS(5374),
    [anon_sym_uR_DQUOTE] = ACTIONS(5374),
    [anon_sym_UR_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5374),
    [sym_literal_suffix] = ACTIONS(4714),
  },
  [2072] = {
    [sym_attribute_specifier] = STATE(2114),
    [sym_identifier] = ACTIONS(5377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5379),
    [anon_sym_COMMA] = ACTIONS(5379),
    [anon_sym_RPAREN] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_else_token1] = ACTIONS(5379),
    [aux_sym_preproc_elif_token1] = ACTIONS(5377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5379),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5377),
    [anon_sym_PLUS] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(5377),
    [anon_sym_SLASH] = ACTIONS(5377),
    [anon_sym_PERCENT] = ACTIONS(5377),
    [anon_sym_PIPE_PIPE] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_PIPE] = ACTIONS(5377),
    [anon_sym_CARET] = ACTIONS(5377),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_EQ_EQ] = ACTIONS(5379),
    [anon_sym_BANG_EQ] = ACTIONS(5379),
    [anon_sym_GT] = ACTIONS(5377),
    [anon_sym_GT_EQ] = ACTIONS(5379),
    [anon_sym_LT_EQ] = ACTIONS(5377),
    [anon_sym_LT] = ACTIONS(5377),
    [anon_sym_LT_LT] = ACTIONS(5377),
    [anon_sym_GT_GT] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(4782),
    [anon_sym_LBRACE] = ACTIONS(5379),
    [anon_sym_RBRACE] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5379),
    [anon_sym_RBRACK] = ACTIONS(5379),
    [anon_sym_EQ] = ACTIONS(5377),
    [anon_sym_COLON] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_STAR_EQ] = ACTIONS(5379),
    [anon_sym_SLASH_EQ] = ACTIONS(5379),
    [anon_sym_PERCENT_EQ] = ACTIONS(5379),
    [anon_sym_PLUS_EQ] = ACTIONS(5379),
    [anon_sym_DASH_EQ] = ACTIONS(5379),
    [anon_sym_LT_LT_EQ] = ACTIONS(5379),
    [anon_sym_GT_GT_EQ] = ACTIONS(5379),
    [anon_sym_AMP_EQ] = ACTIONS(5379),
    [anon_sym_CARET_EQ] = ACTIONS(5379),
    [anon_sym_PIPE_EQ] = ACTIONS(5379),
    [anon_sym_and_eq] = ACTIONS(5377),
    [anon_sym_or_eq] = ACTIONS(5377),
    [anon_sym_xor_eq] = ACTIONS(5377),
    [anon_sym_LT_EQ_GT] = ACTIONS(5379),
    [anon_sym_or] = ACTIONS(5377),
    [anon_sym_and] = ACTIONS(5377),
    [anon_sym_bitor] = ACTIONS(5377),
    [anon_sym_xor] = ACTIONS(5377),
    [anon_sym_bitand] = ACTIONS(5377),
    [anon_sym_not_eq] = ACTIONS(5377),
    [anon_sym_DASH_DASH] = ACTIONS(5379),
    [anon_sym_PLUS_PLUS] = ACTIONS(5379),
    [anon_sym_DOT] = ACTIONS(5377),
    [anon_sym_DOT_STAR] = ACTIONS(5379),
    [anon_sym_DASH_GT] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
  },
  [2073] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1783),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5246),
    [anon_sym_COMMA] = ACTIONS(5246),
    [anon_sym_RPAREN] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5249),
    [anon_sym_PLUS] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5249),
    [anon_sym_SLASH] = ACTIONS(5249),
    [anon_sym_PERCENT] = ACTIONS(5249),
    [anon_sym_PIPE_PIPE] = ACTIONS(5246),
    [anon_sym_AMP_AMP] = ACTIONS(5246),
    [anon_sym_PIPE] = ACTIONS(5249),
    [anon_sym_CARET] = ACTIONS(5249),
    [anon_sym_AMP] = ACTIONS(5249),
    [anon_sym_EQ_EQ] = ACTIONS(5246),
    [anon_sym_BANG_EQ] = ACTIONS(5246),
    [anon_sym_GT] = ACTIONS(5249),
    [anon_sym_GT_EQ] = ACTIONS(5246),
    [anon_sym_LT_EQ] = ACTIONS(5249),
    [anon_sym_LT] = ACTIONS(5249),
    [anon_sym_LT_LT] = ACTIONS(5249),
    [anon_sym_GT_GT] = ACTIONS(5249),
    [anon_sym_SEMI] = ACTIONS(5246),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5246),
    [anon_sym_RBRACE] = ACTIONS(5246),
    [anon_sym_signed] = ACTIONS(4790),
    [anon_sym_unsigned] = ACTIONS(4790),
    [anon_sym_long] = ACTIONS(4790),
    [anon_sym_short] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [anon_sym_RBRACK] = ACTIONS(5246),
    [anon_sym_EQ] = ACTIONS(5249),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_COLON] = ACTIONS(5246),
    [anon_sym_QMARK] = ACTIONS(5246),
    [anon_sym_STAR_EQ] = ACTIONS(5246),
    [anon_sym_SLASH_EQ] = ACTIONS(5246),
    [anon_sym_PERCENT_EQ] = ACTIONS(5246),
    [anon_sym_PLUS_EQ] = ACTIONS(5246),
    [anon_sym_DASH_EQ] = ACTIONS(5246),
    [anon_sym_LT_LT_EQ] = ACTIONS(5246),
    [anon_sym_GT_GT_EQ] = ACTIONS(5246),
    [anon_sym_AMP_EQ] = ACTIONS(5246),
    [anon_sym_CARET_EQ] = ACTIONS(5246),
    [anon_sym_PIPE_EQ] = ACTIONS(5246),
    [anon_sym_and_eq] = ACTIONS(5249),
    [anon_sym_or_eq] = ACTIONS(5249),
    [anon_sym_xor_eq] = ACTIONS(5249),
    [anon_sym_LT_EQ_GT] = ACTIONS(5246),
    [anon_sym_or] = ACTIONS(5249),
    [anon_sym_and] = ACTIONS(5249),
    [anon_sym_bitor] = ACTIONS(5249),
    [anon_sym_xor] = ACTIONS(5249),
    [anon_sym_bitand] = ACTIONS(5249),
    [anon_sym_not_eq] = ACTIONS(5249),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5249),
    [anon_sym_DOT_STAR] = ACTIONS(5246),
    [anon_sym_DASH_GT] = ACTIONS(5246),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5249),
    [anon_sym_decltype] = ACTIONS(5249),
  },
  [2074] = {
    [sym_attribute_declaration] = STATE(2110),
    [sym_parameter_list] = STATE(2112),
    [aux_sym_attributed_declarator_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(5381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_RPAREN] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_else_token1] = ACTIONS(5383),
    [aux_sym_preproc_elif_token1] = ACTIONS(5381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym_STAR] = ACTIONS(5381),
    [anon_sym_SLASH] = ACTIONS(5381),
    [anon_sym_PERCENT] = ACTIONS(5381),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5381),
    [anon_sym_CARET] = ACTIONS(5381),
    [anon_sym_AMP] = ACTIONS(5381),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5381),
    [anon_sym_GT_EQ] = ACTIONS(5383),
    [anon_sym_LT_EQ] = ACTIONS(5381),
    [anon_sym_LT] = ACTIONS(5381),
    [anon_sym_LT_LT] = ACTIONS(5381),
    [anon_sym_GT_GT] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_RBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5381),
    [anon_sym_COLON] = ACTIONS(5383),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5383),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5381),
    [anon_sym_or_eq] = ACTIONS(5381),
    [anon_sym_xor_eq] = ACTIONS(5381),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5381),
    [anon_sym_and] = ACTIONS(5381),
    [anon_sym_bitor] = ACTIONS(5381),
    [anon_sym_xor] = ACTIONS(5381),
    [anon_sym_bitand] = ACTIONS(5381),
    [anon_sym_not_eq] = ACTIONS(5381),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5381),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5383),
    [sym_comment] = ACTIONS(3),
  },
  [2075] = {
    [sym_template_argument_list] = STATE(1726),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5256),
    [anon_sym_RPAREN] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_SLASH] = ACTIONS(5254),
    [anon_sym_PERCENT] = ACTIONS(5254),
    [anon_sym_PIPE_PIPE] = ACTIONS(5256),
    [anon_sym_AMP_AMP] = ACTIONS(5256),
    [anon_sym_PIPE] = ACTIONS(5254),
    [anon_sym_CARET] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5254),
    [anon_sym_EQ_EQ] = ACTIONS(5256),
    [anon_sym_BANG_EQ] = ACTIONS(5256),
    [anon_sym_GT] = ACTIONS(5254),
    [anon_sym_GT_EQ] = ACTIONS(5256),
    [anon_sym_LT_EQ] = ACTIONS(5254),
    [anon_sym_LT] = ACTIONS(5254),
    [anon_sym_LT_LT] = ACTIONS(5254),
    [anon_sym_GT_GT] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym___attribute__] = ACTIONS(5256),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_RBRACE] = ACTIONS(5256),
    [anon_sym_signed] = ACTIONS(5318),
    [anon_sym_unsigned] = ACTIONS(5318),
    [anon_sym_long] = ACTIONS(5318),
    [anon_sym_short] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_RBRACK] = ACTIONS(5256),
    [anon_sym_EQ] = ACTIONS(5254),
    [anon_sym_COLON] = ACTIONS(5254),
    [anon_sym_QMARK] = ACTIONS(5256),
    [anon_sym_STAR_EQ] = ACTIONS(5256),
    [anon_sym_SLASH_EQ] = ACTIONS(5256),
    [anon_sym_PERCENT_EQ] = ACTIONS(5256),
    [anon_sym_PLUS_EQ] = ACTIONS(5256),
    [anon_sym_DASH_EQ] = ACTIONS(5256),
    [anon_sym_LT_LT_EQ] = ACTIONS(5256),
    [anon_sym_GT_GT_EQ] = ACTIONS(5256),
    [anon_sym_AMP_EQ] = ACTIONS(5256),
    [anon_sym_CARET_EQ] = ACTIONS(5256),
    [anon_sym_PIPE_EQ] = ACTIONS(5256),
    [anon_sym_and_eq] = ACTIONS(5256),
    [anon_sym_or_eq] = ACTIONS(5256),
    [anon_sym_xor_eq] = ACTIONS(5256),
    [anon_sym_LT_EQ_GT] = ACTIONS(5256),
    [anon_sym_or] = ACTIONS(5254),
    [anon_sym_and] = ACTIONS(5254),
    [anon_sym_bitor] = ACTIONS(5256),
    [anon_sym_xor] = ACTIONS(5254),
    [anon_sym_bitand] = ACTIONS(5256),
    [anon_sym_not_eq] = ACTIONS(5256),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_DOT_STAR] = ACTIONS(5256),
    [anon_sym_DASH_GT] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5256),
    [anon_sym_decltype] = ACTIONS(5256),
  },
  [2076] = {
    [sym__declaration_modifiers] = STATE(2160),
    [sym__declaration_specifiers] = STATE(4602),
    [sym_attribute_specifier] = STATE(2160),
    [sym_attribute_declaration] = STATE(2160),
    [sym_ms_declspec_modifier] = STATE(2160),
    [sym_storage_class_specifier] = STATE(2160),
    [sym_type_qualifier] = STATE(2160),
    [sym__type_specifier] = STATE(2583),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(2160),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2077] = {
    [sym_string_literal] = STATE(2542),
    [sym_template_argument_list] = STATE(3675),
    [sym_raw_string_literal] = STATE(2542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(4951),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_COLON] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(5387),
    [anon_sym_SLASH_EQ] = ACTIONS(5387),
    [anon_sym_PERCENT_EQ] = ACTIONS(5387),
    [anon_sym_PLUS_EQ] = ACTIONS(5387),
    [anon_sym_DASH_EQ] = ACTIONS(5387),
    [anon_sym_LT_LT_EQ] = ACTIONS(5387),
    [anon_sym_GT_GT_EQ] = ACTIONS(5387),
    [anon_sym_AMP_EQ] = ACTIONS(5387),
    [anon_sym_CARET_EQ] = ACTIONS(5387),
    [anon_sym_PIPE_EQ] = ACTIONS(5387),
    [anon_sym_and_eq] = ACTIONS(5387),
    [anon_sym_or_eq] = ACTIONS(5387),
    [anon_sym_xor_eq] = ACTIONS(5387),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
  },
  [2078] = {
    [sym_string_literal] = STATE(2059),
    [sym_template_argument_list] = STATE(3178),
    [sym_raw_string_literal] = STATE(2059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3646),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(5389),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3646),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3638),
    [anon_sym_or_eq] = ACTIONS(3638),
    [anon_sym_xor_eq] = ACTIONS(3638),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3638),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3638),
    [anon_sym_not_eq] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(5346),
    [anon_sym_u_DQUOTE] = ACTIONS(5346),
    [anon_sym_U_DQUOTE] = ACTIONS(5346),
    [anon_sym_u8_DQUOTE] = ACTIONS(5346),
    [anon_sym_DQUOTE] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3638),
    [anon_sym_R_DQUOTE] = ACTIONS(5348),
    [anon_sym_LR_DQUOTE] = ACTIONS(5348),
    [anon_sym_uR_DQUOTE] = ACTIONS(5348),
    [anon_sym_UR_DQUOTE] = ACTIONS(5348),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5348),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(5392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [aux_sym_preproc_if_token2] = ACTIONS(5394),
    [aux_sym_preproc_else_token1] = ACTIONS(5394),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5392),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [anon_sym_PIPE_PIPE] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_CARET] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5392),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5392),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_RBRACK] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5392),
    [anon_sym_COLON] = ACTIONS(5394),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_STAR_EQ] = ACTIONS(5394),
    [anon_sym_SLASH_EQ] = ACTIONS(5394),
    [anon_sym_PERCENT_EQ] = ACTIONS(5394),
    [anon_sym_PLUS_EQ] = ACTIONS(5394),
    [anon_sym_DASH_EQ] = ACTIONS(5394),
    [anon_sym_LT_LT_EQ] = ACTIONS(5394),
    [anon_sym_GT_GT_EQ] = ACTIONS(5394),
    [anon_sym_AMP_EQ] = ACTIONS(5394),
    [anon_sym_CARET_EQ] = ACTIONS(5394),
    [anon_sym_PIPE_EQ] = ACTIONS(5394),
    [anon_sym_and_eq] = ACTIONS(5392),
    [anon_sym_or_eq] = ACTIONS(5392),
    [anon_sym_xor_eq] = ACTIONS(5392),
    [anon_sym_LT_EQ_GT] = ACTIONS(5394),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_and] = ACTIONS(5392),
    [anon_sym_bitor] = ACTIONS(5392),
    [anon_sym_xor] = ACTIONS(5392),
    [anon_sym_bitand] = ACTIONS(5392),
    [anon_sym_not_eq] = ACTIONS(5392),
    [anon_sym_DASH_DASH] = ACTIONS(5394),
    [anon_sym_PLUS_PLUS] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_DOT_STAR] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5392),
  },
  [2080] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5396),
    [anon_sym_COMMA] = ACTIONS(5396),
    [anon_sym_RPAREN] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_SLASH] = ACTIONS(5398),
    [anon_sym_PERCENT] = ACTIONS(5396),
    [anon_sym_PIPE_PIPE] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_PIPE] = ACTIONS(5398),
    [anon_sym_CARET] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_EQ_EQ] = ACTIONS(5396),
    [anon_sym_BANG_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5398),
    [anon_sym_GT_EQ] = ACTIONS(5396),
    [anon_sym_LT_EQ] = ACTIONS(5398),
    [anon_sym_LT] = ACTIONS(5398),
    [anon_sym_LT_LT] = ACTIONS(5396),
    [anon_sym_GT_GT] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5396),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACK] = ACTIONS(5396),
    [anon_sym_const] = ACTIONS(5398),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5396),
    [anon_sym_QMARK] = ACTIONS(5396),
    [anon_sym_LT_EQ_GT] = ACTIONS(5396),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5396),
    [anon_sym_PLUS_PLUS] = ACTIONS(5396),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_DOT_STAR] = ACTIONS(5396),
    [anon_sym_DASH_GT] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_final] = ACTIONS(5396),
    [anon_sym_override] = ACTIONS(5396),
    [anon_sym_requires] = ACTIONS(5396),
  },
  [2081] = {
    [sym_argument_list] = STATE(2497),
    [sym_initializer_list] = STATE(2497),
    [sym_identifier] = ACTIONS(5402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5404),
    [anon_sym_COMMA] = ACTIONS(5404),
    [anon_sym_RPAREN] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_else_token1] = ACTIONS(5404),
    [aux_sym_preproc_elif_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_SLASH] = ACTIONS(5402),
    [anon_sym_PERCENT] = ACTIONS(5402),
    [anon_sym_PIPE_PIPE] = ACTIONS(5404),
    [anon_sym_AMP_AMP] = ACTIONS(5404),
    [anon_sym_PIPE] = ACTIONS(5402),
    [anon_sym_CARET] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5402),
    [anon_sym_EQ_EQ] = ACTIONS(5404),
    [anon_sym_BANG_EQ] = ACTIONS(5404),
    [anon_sym_GT] = ACTIONS(5402),
    [anon_sym_GT_EQ] = ACTIONS(5404),
    [anon_sym_LT_EQ] = ACTIONS(5402),
    [anon_sym_LT] = ACTIONS(5402),
    [anon_sym_LT_LT] = ACTIONS(5402),
    [anon_sym_GT_GT] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5402),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACK] = ACTIONS(5404),
    [anon_sym_EQ] = ACTIONS(5402),
    [anon_sym_COLON] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5404),
    [anon_sym_STAR_EQ] = ACTIONS(5404),
    [anon_sym_SLASH_EQ] = ACTIONS(5404),
    [anon_sym_PERCENT_EQ] = ACTIONS(5404),
    [anon_sym_PLUS_EQ] = ACTIONS(5404),
    [anon_sym_DASH_EQ] = ACTIONS(5404),
    [anon_sym_LT_LT_EQ] = ACTIONS(5404),
    [anon_sym_GT_GT_EQ] = ACTIONS(5404),
    [anon_sym_AMP_EQ] = ACTIONS(5404),
    [anon_sym_CARET_EQ] = ACTIONS(5404),
    [anon_sym_PIPE_EQ] = ACTIONS(5404),
    [anon_sym_and_eq] = ACTIONS(5402),
    [anon_sym_or_eq] = ACTIONS(5402),
    [anon_sym_xor_eq] = ACTIONS(5402),
    [anon_sym_LT_EQ_GT] = ACTIONS(5404),
    [anon_sym_or] = ACTIONS(5402),
    [anon_sym_and] = ACTIONS(5402),
    [anon_sym_bitor] = ACTIONS(5402),
    [anon_sym_xor] = ACTIONS(5402),
    [anon_sym_bitand] = ACTIONS(5402),
    [anon_sym_not_eq] = ACTIONS(5402),
    [anon_sym_DASH_DASH] = ACTIONS(5404),
    [anon_sym_PLUS_PLUS] = ACTIONS(5404),
    [anon_sym_DOT] = ACTIONS(5402),
    [anon_sym_DOT_STAR] = ACTIONS(5404),
    [anon_sym_DASH_GT] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
  },
  [2082] = {
    [sym__declaration_modifiers] = STATE(3649),
    [sym_attribute_specifier] = STATE(3649),
    [sym_attribute_declaration] = STATE(3649),
    [sym_ms_declspec_modifier] = STATE(3649),
    [sym_storage_class_specifier] = STATE(3649),
    [sym_type_qualifier] = STATE(3649),
    [sym__type_specifier] = STATE(4063),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3649),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6300),
    [sym_qualified_type_identifier] = STATE(3080),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3649),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3544),
    [anon_sym_unsigned] = ACTIONS(3544),
    [anon_sym_long] = ACTIONS(3544),
    [anon_sym_short] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_struct] = ACTIONS(3552),
    [anon_sym_union] = ACTIONS(3554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3558),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [aux_sym_preproc_if_token2] = ACTIONS(5143),
    [aux_sym_preproc_else_token1] = ACTIONS(5143),
    [aux_sym_preproc_elif_token1] = ACTIONS(5141),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_RBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_COLON] = ACTIONS(5143),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5141),
    [anon_sym_or_eq] = ACTIONS(5141),
    [anon_sym_xor_eq] = ACTIONS(5141),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5275),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5277),
    [anon_sym_COMMA] = ACTIONS(5277),
    [anon_sym_RPAREN] = ACTIONS(5277),
    [aux_sym_preproc_if_token2] = ACTIONS(5277),
    [aux_sym_preproc_else_token1] = ACTIONS(5277),
    [aux_sym_preproc_elif_token1] = ACTIONS(5275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_SLASH] = ACTIONS(5275),
    [anon_sym_PERCENT] = ACTIONS(5275),
    [anon_sym_PIPE_PIPE] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_PIPE] = ACTIONS(5275),
    [anon_sym_CARET] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_EQ_EQ] = ACTIONS(5277),
    [anon_sym_BANG_EQ] = ACTIONS(5277),
    [anon_sym_GT] = ACTIONS(5275),
    [anon_sym_GT_EQ] = ACTIONS(5277),
    [anon_sym_LT_EQ] = ACTIONS(5275),
    [anon_sym_LT] = ACTIONS(5275),
    [anon_sym_LT_LT] = ACTIONS(5275),
    [anon_sym_GT_GT] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_LBRACE] = ACTIONS(5277),
    [anon_sym_RBRACE] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_RBRACK] = ACTIONS(5277),
    [anon_sym_EQ] = ACTIONS(5275),
    [anon_sym_COLON] = ACTIONS(5277),
    [anon_sym_QMARK] = ACTIONS(5277),
    [anon_sym_STAR_EQ] = ACTIONS(5277),
    [anon_sym_SLASH_EQ] = ACTIONS(5277),
    [anon_sym_PERCENT_EQ] = ACTIONS(5277),
    [anon_sym_PLUS_EQ] = ACTIONS(5277),
    [anon_sym_DASH_EQ] = ACTIONS(5277),
    [anon_sym_LT_LT_EQ] = ACTIONS(5277),
    [anon_sym_GT_GT_EQ] = ACTIONS(5277),
    [anon_sym_AMP_EQ] = ACTIONS(5277),
    [anon_sym_CARET_EQ] = ACTIONS(5277),
    [anon_sym_PIPE_EQ] = ACTIONS(5277),
    [anon_sym_and_eq] = ACTIONS(5275),
    [anon_sym_or_eq] = ACTIONS(5275),
    [anon_sym_xor_eq] = ACTIONS(5275),
    [anon_sym_LT_EQ_GT] = ACTIONS(5277),
    [anon_sym_or] = ACTIONS(5275),
    [anon_sym_and] = ACTIONS(5275),
    [anon_sym_bitor] = ACTIONS(5275),
    [anon_sym_xor] = ACTIONS(5275),
    [anon_sym_bitand] = ACTIONS(5275),
    [anon_sym_not_eq] = ACTIONS(5275),
    [anon_sym_DASH_DASH] = ACTIONS(5277),
    [anon_sym_PLUS_PLUS] = ACTIONS(5277),
    [anon_sym_DOT] = ACTIONS(5275),
    [anon_sym_DOT_STAR] = ACTIONS(5277),
    [anon_sym_DASH_GT] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(5268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5270),
    [anon_sym_COMMA] = ACTIONS(5270),
    [anon_sym_RPAREN] = ACTIONS(5270),
    [aux_sym_preproc_if_token2] = ACTIONS(5270),
    [aux_sym_preproc_else_token1] = ACTIONS(5270),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5270),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5270),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5268),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_SLASH] = ACTIONS(5268),
    [anon_sym_PERCENT] = ACTIONS(5268),
    [anon_sym_PIPE_PIPE] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_PIPE] = ACTIONS(5268),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_EQ_EQ] = ACTIONS(5270),
    [anon_sym_BANG_EQ] = ACTIONS(5270),
    [anon_sym_GT] = ACTIONS(5268),
    [anon_sym_GT_EQ] = ACTIONS(5270),
    [anon_sym_LT_EQ] = ACTIONS(5268),
    [anon_sym_LT] = ACTIONS(5268),
    [anon_sym_LT_LT] = ACTIONS(5268),
    [anon_sym_GT_GT] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_LBRACE] = ACTIONS(5270),
    [anon_sym_RBRACE] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [anon_sym_RBRACK] = ACTIONS(5270),
    [anon_sym_EQ] = ACTIONS(5268),
    [anon_sym_COLON] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5270),
    [anon_sym_STAR_EQ] = ACTIONS(5270),
    [anon_sym_SLASH_EQ] = ACTIONS(5270),
    [anon_sym_PERCENT_EQ] = ACTIONS(5270),
    [anon_sym_PLUS_EQ] = ACTIONS(5270),
    [anon_sym_DASH_EQ] = ACTIONS(5270),
    [anon_sym_LT_LT_EQ] = ACTIONS(5270),
    [anon_sym_GT_GT_EQ] = ACTIONS(5270),
    [anon_sym_AMP_EQ] = ACTIONS(5270),
    [anon_sym_CARET_EQ] = ACTIONS(5270),
    [anon_sym_PIPE_EQ] = ACTIONS(5270),
    [anon_sym_and_eq] = ACTIONS(5268),
    [anon_sym_or_eq] = ACTIONS(5268),
    [anon_sym_xor_eq] = ACTIONS(5268),
    [anon_sym_LT_EQ_GT] = ACTIONS(5270),
    [anon_sym_or] = ACTIONS(5268),
    [anon_sym_and] = ACTIONS(5268),
    [anon_sym_bitor] = ACTIONS(5268),
    [anon_sym_xor] = ACTIONS(5268),
    [anon_sym_bitand] = ACTIONS(5268),
    [anon_sym_not_eq] = ACTIONS(5268),
    [anon_sym_DASH_DASH] = ACTIONS(5270),
    [anon_sym_PLUS_PLUS] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_DOT_STAR] = ACTIONS(5270),
    [anon_sym_DASH_GT] = ACTIONS(5270),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
  },
  [2086] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_RPAREN] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5076),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5076),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_RBRACK] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [anon_sym_LT_EQ_GT] = ACTIONS(5078),
    [anon_sym_or] = ACTIONS(5078),
    [anon_sym_and] = ACTIONS(5078),
    [anon_sym_bitor] = ACTIONS(5078),
    [anon_sym_xor] = ACTIONS(5078),
    [anon_sym_bitand] = ACTIONS(5078),
    [anon_sym_not_eq] = ACTIONS(5078),
    [anon_sym_DASH_DASH] = ACTIONS(5078),
    [anon_sym_PLUS_PLUS] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_DOT_STAR] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [anon_sym_final] = ACTIONS(5078),
    [anon_sym_override] = ACTIONS(5078),
    [anon_sym_requires] = ACTIONS(5078),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(5264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5266),
    [aux_sym_preproc_if_token2] = ACTIONS(5266),
    [aux_sym_preproc_else_token1] = ACTIONS(5266),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5264),
    [anon_sym_STAR] = ACTIONS(5264),
    [anon_sym_SLASH] = ACTIONS(5264),
    [anon_sym_PERCENT] = ACTIONS(5264),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_PIPE] = ACTIONS(5264),
    [anon_sym_CARET] = ACTIONS(5264),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_EQ_EQ] = ACTIONS(5266),
    [anon_sym_BANG_EQ] = ACTIONS(5266),
    [anon_sym_GT] = ACTIONS(5264),
    [anon_sym_GT_EQ] = ACTIONS(5266),
    [anon_sym_LT_EQ] = ACTIONS(5264),
    [anon_sym_LT] = ACTIONS(5264),
    [anon_sym_LT_LT] = ACTIONS(5264),
    [anon_sym_GT_GT] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_LBRACE] = ACTIONS(5266),
    [anon_sym_RBRACE] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [anon_sym_RBRACK] = ACTIONS(5266),
    [anon_sym_EQ] = ACTIONS(5264),
    [anon_sym_COLON] = ACTIONS(5266),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_STAR_EQ] = ACTIONS(5266),
    [anon_sym_SLASH_EQ] = ACTIONS(5266),
    [anon_sym_PERCENT_EQ] = ACTIONS(5266),
    [anon_sym_PLUS_EQ] = ACTIONS(5266),
    [anon_sym_DASH_EQ] = ACTIONS(5266),
    [anon_sym_LT_LT_EQ] = ACTIONS(5266),
    [anon_sym_GT_GT_EQ] = ACTIONS(5266),
    [anon_sym_AMP_EQ] = ACTIONS(5266),
    [anon_sym_CARET_EQ] = ACTIONS(5266),
    [anon_sym_PIPE_EQ] = ACTIONS(5266),
    [anon_sym_and_eq] = ACTIONS(5264),
    [anon_sym_or_eq] = ACTIONS(5264),
    [anon_sym_xor_eq] = ACTIONS(5264),
    [anon_sym_LT_EQ_GT] = ACTIONS(5266),
    [anon_sym_or] = ACTIONS(5264),
    [anon_sym_and] = ACTIONS(5264),
    [anon_sym_bitor] = ACTIONS(5264),
    [anon_sym_xor] = ACTIONS(5264),
    [anon_sym_bitand] = ACTIONS(5264),
    [anon_sym_not_eq] = ACTIONS(5264),
    [anon_sym_DASH_DASH] = ACTIONS(5266),
    [anon_sym_PLUS_PLUS] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_DOT_STAR] = ACTIONS(5266),
    [anon_sym_DASH_GT] = ACTIONS(5266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [aux_sym_preproc_if_token2] = ACTIONS(5262),
    [aux_sym_preproc_else_token1] = ACTIONS(5262),
    [aux_sym_preproc_elif_token1] = ACTIONS(5260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5262),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5260),
    [anon_sym_STAR] = ACTIONS(5260),
    [anon_sym_SLASH] = ACTIONS(5260),
    [anon_sym_PERCENT] = ACTIONS(5260),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_PIPE] = ACTIONS(5260),
    [anon_sym_CARET] = ACTIONS(5260),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_EQ_EQ] = ACTIONS(5262),
    [anon_sym_BANG_EQ] = ACTIONS(5262),
    [anon_sym_GT] = ACTIONS(5260),
    [anon_sym_GT_EQ] = ACTIONS(5262),
    [anon_sym_LT_EQ] = ACTIONS(5260),
    [anon_sym_LT] = ACTIONS(5260),
    [anon_sym_LT_LT] = ACTIONS(5260),
    [anon_sym_GT_GT] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_RBRACE] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [anon_sym_RBRACK] = ACTIONS(5262),
    [anon_sym_EQ] = ACTIONS(5260),
    [anon_sym_COLON] = ACTIONS(5262),
    [anon_sym_QMARK] = ACTIONS(5262),
    [anon_sym_STAR_EQ] = ACTIONS(5262),
    [anon_sym_SLASH_EQ] = ACTIONS(5262),
    [anon_sym_PERCENT_EQ] = ACTIONS(5262),
    [anon_sym_PLUS_EQ] = ACTIONS(5262),
    [anon_sym_DASH_EQ] = ACTIONS(5262),
    [anon_sym_LT_LT_EQ] = ACTIONS(5262),
    [anon_sym_GT_GT_EQ] = ACTIONS(5262),
    [anon_sym_AMP_EQ] = ACTIONS(5262),
    [anon_sym_CARET_EQ] = ACTIONS(5262),
    [anon_sym_PIPE_EQ] = ACTIONS(5262),
    [anon_sym_and_eq] = ACTIONS(5260),
    [anon_sym_or_eq] = ACTIONS(5260),
    [anon_sym_xor_eq] = ACTIONS(5260),
    [anon_sym_LT_EQ_GT] = ACTIONS(5262),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_bitor] = ACTIONS(5260),
    [anon_sym_xor] = ACTIONS(5260),
    [anon_sym_bitand] = ACTIONS(5260),
    [anon_sym_not_eq] = ACTIONS(5260),
    [anon_sym_DASH_DASH] = ACTIONS(5262),
    [anon_sym_PLUS_PLUS] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_DOT_STAR] = ACTIONS(5262),
    [anon_sym_DASH_GT] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [aux_sym_preproc_if_token2] = ACTIONS(5226),
    [aux_sym_preproc_else_token1] = ACTIONS(5226),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5224),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5224),
    [anon_sym_GT_GT] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_EQ] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_STAR_EQ] = ACTIONS(5226),
    [anon_sym_SLASH_EQ] = ACTIONS(5226),
    [anon_sym_PERCENT_EQ] = ACTIONS(5226),
    [anon_sym_PLUS_EQ] = ACTIONS(5226),
    [anon_sym_DASH_EQ] = ACTIONS(5226),
    [anon_sym_LT_LT_EQ] = ACTIONS(5226),
    [anon_sym_GT_GT_EQ] = ACTIONS(5226),
    [anon_sym_AMP_EQ] = ACTIONS(5226),
    [anon_sym_CARET_EQ] = ACTIONS(5226),
    [anon_sym_PIPE_EQ] = ACTIONS(5226),
    [anon_sym_and_eq] = ACTIONS(5224),
    [anon_sym_or_eq] = ACTIONS(5224),
    [anon_sym_xor_eq] = ACTIONS(5224),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_else_token1] = ACTIONS(5222),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5220),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5220),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5220),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5220),
    [anon_sym_GT_GT] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_EQ] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_STAR_EQ] = ACTIONS(5222),
    [anon_sym_SLASH_EQ] = ACTIONS(5222),
    [anon_sym_PERCENT_EQ] = ACTIONS(5222),
    [anon_sym_PLUS_EQ] = ACTIONS(5222),
    [anon_sym_DASH_EQ] = ACTIONS(5222),
    [anon_sym_LT_LT_EQ] = ACTIONS(5222),
    [anon_sym_GT_GT_EQ] = ACTIONS(5222),
    [anon_sym_AMP_EQ] = ACTIONS(5222),
    [anon_sym_CARET_EQ] = ACTIONS(5222),
    [anon_sym_PIPE_EQ] = ACTIONS(5222),
    [anon_sym_and_eq] = ACTIONS(5220),
    [anon_sym_or_eq] = ACTIONS(5220),
    [anon_sym_xor_eq] = ACTIONS(5220),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
  },
  [2091] = {
    [sym_argument_list] = STATE(2511),
    [sym_initializer_list] = STATE(2511),
    [sym_identifier] = ACTIONS(5410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5412),
    [anon_sym_COMMA] = ACTIONS(5412),
    [anon_sym_RPAREN] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_else_token1] = ACTIONS(5412),
    [aux_sym_preproc_elif_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(5410),
    [anon_sym_PLUS] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_SLASH] = ACTIONS(5410),
    [anon_sym_PERCENT] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE] = ACTIONS(5412),
    [anon_sym_AMP_AMP] = ACTIONS(5412),
    [anon_sym_PIPE] = ACTIONS(5410),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5410),
    [anon_sym_EQ_EQ] = ACTIONS(5412),
    [anon_sym_BANG_EQ] = ACTIONS(5412),
    [anon_sym_GT] = ACTIONS(5410),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_LT_EQ] = ACTIONS(5410),
    [anon_sym_LT] = ACTIONS(5410),
    [anon_sym_LT_LT] = ACTIONS(5410),
    [anon_sym_GT_GT] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5410),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5412),
    [anon_sym_RBRACK] = ACTIONS(5412),
    [anon_sym_EQ] = ACTIONS(5410),
    [anon_sym_COLON] = ACTIONS(5412),
    [anon_sym_QMARK] = ACTIONS(5412),
    [anon_sym_STAR_EQ] = ACTIONS(5412),
    [anon_sym_SLASH_EQ] = ACTIONS(5412),
    [anon_sym_PERCENT_EQ] = ACTIONS(5412),
    [anon_sym_PLUS_EQ] = ACTIONS(5412),
    [anon_sym_DASH_EQ] = ACTIONS(5412),
    [anon_sym_LT_LT_EQ] = ACTIONS(5412),
    [anon_sym_GT_GT_EQ] = ACTIONS(5412),
    [anon_sym_AMP_EQ] = ACTIONS(5412),
    [anon_sym_CARET_EQ] = ACTIONS(5412),
    [anon_sym_PIPE_EQ] = ACTIONS(5412),
    [anon_sym_and_eq] = ACTIONS(5410),
    [anon_sym_or_eq] = ACTIONS(5410),
    [anon_sym_xor_eq] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5412),
    [anon_sym_or] = ACTIONS(5410),
    [anon_sym_and] = ACTIONS(5410),
    [anon_sym_bitor] = ACTIONS(5410),
    [anon_sym_xor] = ACTIONS(5410),
    [anon_sym_bitand] = ACTIONS(5410),
    [anon_sym_not_eq] = ACTIONS(5410),
    [anon_sym_DASH_DASH] = ACTIONS(5412),
    [anon_sym_PLUS_PLUS] = ACTIONS(5412),
    [anon_sym_DOT] = ACTIONS(5410),
    [anon_sym_DOT_STAR] = ACTIONS(5412),
    [anon_sym_DASH_GT] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_friend] = ACTIONS(1950),
    [anon_sym_public] = ACTIONS(1950),
    [anon_sym_private] = ACTIONS(1950),
    [anon_sym_protected] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
  },
  [2094] = {
    [sym_string_literal] = STATE(2017),
    [sym_raw_string_literal] = STATE(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4860),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4862),
    [sym_literal_suffix] = ACTIONS(5414),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_COMMA] = ACTIONS(5214),
    [anon_sym_RPAREN] = ACTIONS(5214),
    [aux_sym_preproc_if_token2] = ACTIONS(5214),
    [aux_sym_preproc_else_token1] = ACTIONS(5214),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5212),
    [anon_sym_STAR] = ACTIONS(5212),
    [anon_sym_SLASH] = ACTIONS(5212),
    [anon_sym_PERCENT] = ACTIONS(5212),
    [anon_sym_PIPE_PIPE] = ACTIONS(5214),
    [anon_sym_AMP_AMP] = ACTIONS(5214),
    [anon_sym_PIPE] = ACTIONS(5212),
    [anon_sym_CARET] = ACTIONS(5212),
    [anon_sym_AMP] = ACTIONS(5212),
    [anon_sym_EQ_EQ] = ACTIONS(5214),
    [anon_sym_BANG_EQ] = ACTIONS(5214),
    [anon_sym_GT] = ACTIONS(5212),
    [anon_sym_GT_EQ] = ACTIONS(5214),
    [anon_sym_LT_EQ] = ACTIONS(5212),
    [anon_sym_LT] = ACTIONS(5212),
    [anon_sym_LT_LT] = ACTIONS(5212),
    [anon_sym_GT_GT] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [anon_sym___attribute__] = ACTIONS(5212),
    [anon_sym_LBRACE] = ACTIONS(5214),
    [anon_sym_RBRACE] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_EQ] = ACTIONS(5212),
    [anon_sym_COLON] = ACTIONS(5214),
    [anon_sym_QMARK] = ACTIONS(5214),
    [anon_sym_STAR_EQ] = ACTIONS(5214),
    [anon_sym_SLASH_EQ] = ACTIONS(5214),
    [anon_sym_PERCENT_EQ] = ACTIONS(5214),
    [anon_sym_PLUS_EQ] = ACTIONS(5214),
    [anon_sym_DASH_EQ] = ACTIONS(5214),
    [anon_sym_LT_LT_EQ] = ACTIONS(5214),
    [anon_sym_GT_GT_EQ] = ACTIONS(5214),
    [anon_sym_AMP_EQ] = ACTIONS(5214),
    [anon_sym_CARET_EQ] = ACTIONS(5214),
    [anon_sym_PIPE_EQ] = ACTIONS(5214),
    [anon_sym_and_eq] = ACTIONS(5212),
    [anon_sym_or_eq] = ACTIONS(5212),
    [anon_sym_xor_eq] = ACTIONS(5212),
    [anon_sym_LT_EQ_GT] = ACTIONS(5214),
    [anon_sym_or] = ACTIONS(5212),
    [anon_sym_and] = ACTIONS(5212),
    [anon_sym_bitor] = ACTIONS(5212),
    [anon_sym_xor] = ACTIONS(5212),
    [anon_sym_bitand] = ACTIONS(5212),
    [anon_sym_not_eq] = ACTIONS(5212),
    [anon_sym_DASH_DASH] = ACTIONS(5214),
    [anon_sym_PLUS_PLUS] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_DOT_STAR] = ACTIONS(5214),
    [anon_sym_DASH_GT] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5212),
    [anon_sym_decltype] = ACTIONS(5212),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4890),
    [anon_sym_GT_GT] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_STAR_EQ] = ACTIONS(4892),
    [anon_sym_SLASH_EQ] = ACTIONS(4892),
    [anon_sym_PERCENT_EQ] = ACTIONS(4892),
    [anon_sym_PLUS_EQ] = ACTIONS(4892),
    [anon_sym_DASH_EQ] = ACTIONS(4892),
    [anon_sym_LT_LT_EQ] = ACTIONS(4892),
    [anon_sym_GT_GT_EQ] = ACTIONS(4892),
    [anon_sym_AMP_EQ] = ACTIONS(4892),
    [anon_sym_CARET_EQ] = ACTIONS(4892),
    [anon_sym_PIPE_EQ] = ACTIONS(4892),
    [anon_sym_and_eq] = ACTIONS(4890),
    [anon_sym_or_eq] = ACTIONS(4890),
    [anon_sym_xor_eq] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5418),
    [anon_sym_COMMA] = ACTIONS(5418),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [aux_sym_preproc_if_token2] = ACTIONS(5418),
    [aux_sym_preproc_else_token1] = ACTIONS(5418),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5416),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5416),
    [anon_sym_PIPE_PIPE] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_CARET] = ACTIONS(5416),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5418),
    [anon_sym_BANG_EQ] = ACTIONS(5418),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5418),
    [anon_sym_LT_EQ] = ACTIONS(5416),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5416),
    [anon_sym_GT_GT] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5418),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_RBRACK] = ACTIONS(5418),
    [anon_sym_EQ] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_QMARK] = ACTIONS(5418),
    [anon_sym_STAR_EQ] = ACTIONS(5418),
    [anon_sym_SLASH_EQ] = ACTIONS(5418),
    [anon_sym_PERCENT_EQ] = ACTIONS(5418),
    [anon_sym_PLUS_EQ] = ACTIONS(5418),
    [anon_sym_DASH_EQ] = ACTIONS(5418),
    [anon_sym_LT_LT_EQ] = ACTIONS(5418),
    [anon_sym_GT_GT_EQ] = ACTIONS(5418),
    [anon_sym_AMP_EQ] = ACTIONS(5418),
    [anon_sym_CARET_EQ] = ACTIONS(5418),
    [anon_sym_PIPE_EQ] = ACTIONS(5418),
    [anon_sym_and_eq] = ACTIONS(5416),
    [anon_sym_or_eq] = ACTIONS(5416),
    [anon_sym_xor_eq] = ACTIONS(5416),
    [anon_sym_LT_EQ_GT] = ACTIONS(5418),
    [anon_sym_or] = ACTIONS(5416),
    [anon_sym_and] = ACTIONS(5416),
    [anon_sym_bitor] = ACTIONS(5416),
    [anon_sym_xor] = ACTIONS(5416),
    [anon_sym_bitand] = ACTIONS(5416),
    [anon_sym_not_eq] = ACTIONS(5416),
    [anon_sym_DASH_DASH] = ACTIONS(5418),
    [anon_sym_PLUS_PLUS] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_DOT_STAR] = ACTIONS(5418),
    [anon_sym_DASH_GT] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5416),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_RPAREN] = ACTIONS(5422),
    [aux_sym_preproc_if_token2] = ACTIONS(5422),
    [aux_sym_preproc_else_token1] = ACTIONS(5422),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5422),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5420),
    [anon_sym_STAR] = ACTIONS(5420),
    [anon_sym_SLASH] = ACTIONS(5420),
    [anon_sym_PERCENT] = ACTIONS(5420),
    [anon_sym_PIPE_PIPE] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_PIPE] = ACTIONS(5420),
    [anon_sym_CARET] = ACTIONS(5420),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_GT] = ACTIONS(5420),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(5420),
    [anon_sym_LT_LT] = ACTIONS(5420),
    [anon_sym_GT_GT] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5422),
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_RBRACK] = ACTIONS(5422),
    [anon_sym_EQ] = ACTIONS(5420),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_STAR_EQ] = ACTIONS(5422),
    [anon_sym_SLASH_EQ] = ACTIONS(5422),
    [anon_sym_PERCENT_EQ] = ACTIONS(5422),
    [anon_sym_PLUS_EQ] = ACTIONS(5422),
    [anon_sym_DASH_EQ] = ACTIONS(5422),
    [anon_sym_LT_LT_EQ] = ACTIONS(5422),
    [anon_sym_GT_GT_EQ] = ACTIONS(5422),
    [anon_sym_AMP_EQ] = ACTIONS(5422),
    [anon_sym_CARET_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_and_eq] = ACTIONS(5420),
    [anon_sym_or_eq] = ACTIONS(5420),
    [anon_sym_xor_eq] = ACTIONS(5420),
    [anon_sym_LT_EQ_GT] = ACTIONS(5422),
    [anon_sym_or] = ACTIONS(5420),
    [anon_sym_and] = ACTIONS(5420),
    [anon_sym_bitor] = ACTIONS(5420),
    [anon_sym_xor] = ACTIONS(5420),
    [anon_sym_bitand] = ACTIONS(5420),
    [anon_sym_not_eq] = ACTIONS(5420),
    [anon_sym_DASH_DASH] = ACTIONS(5422),
    [anon_sym_PLUS_PLUS] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_DOT_STAR] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5420),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(5424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_RPAREN] = ACTIONS(5426),
    [aux_sym_preproc_if_token2] = ACTIONS(5426),
    [aux_sym_preproc_else_token1] = ACTIONS(5426),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5426),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5424),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5424),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5426),
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5426),
    [anon_sym_EQ] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_STAR_EQ] = ACTIONS(5426),
    [anon_sym_SLASH_EQ] = ACTIONS(5426),
    [anon_sym_PERCENT_EQ] = ACTIONS(5426),
    [anon_sym_PLUS_EQ] = ACTIONS(5426),
    [anon_sym_DASH_EQ] = ACTIONS(5426),
    [anon_sym_LT_LT_EQ] = ACTIONS(5426),
    [anon_sym_GT_GT_EQ] = ACTIONS(5426),
    [anon_sym_AMP_EQ] = ACTIONS(5426),
    [anon_sym_CARET_EQ] = ACTIONS(5426),
    [anon_sym_PIPE_EQ] = ACTIONS(5426),
    [anon_sym_and_eq] = ACTIONS(5424),
    [anon_sym_or_eq] = ACTIONS(5424),
    [anon_sym_xor_eq] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5426),
    [anon_sym_or] = ACTIONS(5424),
    [anon_sym_and] = ACTIONS(5424),
    [anon_sym_bitor] = ACTIONS(5424),
    [anon_sym_xor] = ACTIONS(5424),
    [anon_sym_bitand] = ACTIONS(5424),
    [anon_sym_not_eq] = ACTIONS(5424),
    [anon_sym_DASH_DASH] = ACTIONS(5426),
    [anon_sym_PLUS_PLUS] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_DOT_STAR] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5424),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(1950),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1950),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1950),
    [anon_sym_typedef] = ACTIONS(1950),
    [anon_sym_extern] = ACTIONS(1950),
    [anon_sym___attribute__] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1948),
    [anon_sym___declspec] = ACTIONS(1950),
    [anon_sym___based] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(1950),
    [anon_sym_unsigned] = ACTIONS(1950),
    [anon_sym_long] = ACTIONS(1950),
    [anon_sym_short] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_static] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1950),
    [anon_sym_inline] = ACTIONS(1950),
    [anon_sym___inline] = ACTIONS(1950),
    [anon_sym___inline__] = ACTIONS(1950),
    [anon_sym___forceinline] = ACTIONS(1950),
    [anon_sym_thread_local] = ACTIONS(1950),
    [anon_sym___thread] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_constexpr] = ACTIONS(1950),
    [anon_sym_volatile] = ACTIONS(1950),
    [anon_sym_restrict] = ACTIONS(1950),
    [anon_sym___restrict__] = ACTIONS(1950),
    [anon_sym__Atomic] = ACTIONS(1950),
    [anon_sym__Noreturn] = ACTIONS(1950),
    [anon_sym_noreturn] = ACTIONS(1950),
    [anon_sym_mutable] = ACTIONS(1950),
    [anon_sym_constinit] = ACTIONS(1950),
    [anon_sym_consteval] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1950),
    [anon_sym_enum] = ACTIONS(1950),
    [anon_sym_class] = ACTIONS(1950),
    [anon_sym_struct] = ACTIONS(1950),
    [anon_sym_union] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1950),
    [anon_sym_decltype] = ACTIONS(1950),
    [sym_virtual] = ACTIONS(1950),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym_explicit] = ACTIONS(1950),
    [anon_sym_typename] = ACTIONS(1950),
    [anon_sym_template] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1950),
    [anon_sym_friend] = ACTIONS(1950),
    [anon_sym_public] = ACTIONS(1950),
    [anon_sym_private] = ACTIONS(1950),
    [anon_sym_protected] = ACTIONS(1950),
    [anon_sym_using] = ACTIONS(1950),
    [anon_sym_static_assert] = ACTIONS(1950),
    [anon_sym_catch] = ACTIONS(1950),
  },
  [2101] = {
    [sym_string_literal] = STATE(2017),
    [sym_raw_string_literal] = STATE(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3646),
    [anon_sym_or_eq] = ACTIONS(3646),
    [anon_sym_xor_eq] = ACTIONS(3646),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3646),
    [anon_sym_L_DQUOTE] = ACTIONS(4576),
    [anon_sym_u_DQUOTE] = ACTIONS(4576),
    [anon_sym_U_DQUOTE] = ACTIONS(4576),
    [anon_sym_u8_DQUOTE] = ACTIONS(4576),
    [anon_sym_DQUOTE] = ACTIONS(4576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4578),
    [anon_sym_LR_DQUOTE] = ACTIONS(4578),
    [anon_sym_uR_DQUOTE] = ACTIONS(4578),
    [anon_sym_UR_DQUOTE] = ACTIONS(4578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3638),
    [sym_literal_suffix] = ACTIONS(5414),
  },
  [2102] = {
    [sym_attribute_declaration] = STATE(2102),
    [aux_sym_attributed_declarator_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(5428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_RPAREN] = ACTIONS(5430),
    [aux_sym_preproc_if_token2] = ACTIONS(5430),
    [aux_sym_preproc_else_token1] = ACTIONS(5430),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5430),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5428),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5428),
    [anon_sym_PIPE_PIPE] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_CARET] = ACTIONS(5428),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5428),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5428),
    [anon_sym_GT_GT] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5428),
    [anon_sym_RBRACK] = ACTIONS(5430),
    [anon_sym_EQ] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_STAR_EQ] = ACTIONS(5430),
    [anon_sym_SLASH_EQ] = ACTIONS(5430),
    [anon_sym_PERCENT_EQ] = ACTIONS(5430),
    [anon_sym_PLUS_EQ] = ACTIONS(5430),
    [anon_sym_DASH_EQ] = ACTIONS(5430),
    [anon_sym_LT_LT_EQ] = ACTIONS(5430),
    [anon_sym_GT_GT_EQ] = ACTIONS(5430),
    [anon_sym_AMP_EQ] = ACTIONS(5430),
    [anon_sym_CARET_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_and_eq] = ACTIONS(5428),
    [anon_sym_or_eq] = ACTIONS(5428),
    [anon_sym_xor_eq] = ACTIONS(5428),
    [anon_sym_LT_EQ_GT] = ACTIONS(5430),
    [anon_sym_or] = ACTIONS(5428),
    [anon_sym_and] = ACTIONS(5428),
    [anon_sym_bitor] = ACTIONS(5428),
    [anon_sym_xor] = ACTIONS(5428),
    [anon_sym_bitand] = ACTIONS(5428),
    [anon_sym_not_eq] = ACTIONS(5428),
    [anon_sym_DASH_DASH] = ACTIONS(5430),
    [anon_sym_PLUS_PLUS] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_DOT_STAR] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [aux_sym_preproc_if_token2] = ACTIONS(5139),
    [aux_sym_preproc_else_token1] = ACTIONS(5139),
    [aux_sym_preproc_elif_token1] = ACTIONS(5137),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_RBRACK] = ACTIONS(5139),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_COLON] = ACTIONS(5139),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5137),
    [anon_sym_or_eq] = ACTIONS(5137),
    [anon_sym_xor_eq] = ACTIONS(5137),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
  },
  [2104] = {
    [sym_argument_list] = STATE(2520),
    [sym_initializer_list] = STATE(2520),
    [sym_identifier] = ACTIONS(5435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5437),
    [anon_sym_COMMA] = ACTIONS(5437),
    [anon_sym_RPAREN] = ACTIONS(5437),
    [aux_sym_preproc_if_token2] = ACTIONS(5437),
    [aux_sym_preproc_else_token1] = ACTIONS(5437),
    [aux_sym_preproc_elif_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_STAR] = ACTIONS(5435),
    [anon_sym_SLASH] = ACTIONS(5435),
    [anon_sym_PERCENT] = ACTIONS(5435),
    [anon_sym_PIPE_PIPE] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_PIPE] = ACTIONS(5435),
    [anon_sym_CARET] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_EQ_EQ] = ACTIONS(5437),
    [anon_sym_BANG_EQ] = ACTIONS(5437),
    [anon_sym_GT] = ACTIONS(5435),
    [anon_sym_GT_EQ] = ACTIONS(5437),
    [anon_sym_LT_EQ] = ACTIONS(5435),
    [anon_sym_LT] = ACTIONS(5435),
    [anon_sym_LT_LT] = ACTIONS(5435),
    [anon_sym_GT_GT] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(5437),
    [anon_sym_LBRACK] = ACTIONS(5437),
    [anon_sym_RBRACK] = ACTIONS(5437),
    [anon_sym_EQ] = ACTIONS(5435),
    [anon_sym_COLON] = ACTIONS(5437),
    [anon_sym_QMARK] = ACTIONS(5437),
    [anon_sym_STAR_EQ] = ACTIONS(5437),
    [anon_sym_SLASH_EQ] = ACTIONS(5437),
    [anon_sym_PERCENT_EQ] = ACTIONS(5437),
    [anon_sym_PLUS_EQ] = ACTIONS(5437),
    [anon_sym_DASH_EQ] = ACTIONS(5437),
    [anon_sym_LT_LT_EQ] = ACTIONS(5437),
    [anon_sym_GT_GT_EQ] = ACTIONS(5437),
    [anon_sym_AMP_EQ] = ACTIONS(5437),
    [anon_sym_CARET_EQ] = ACTIONS(5437),
    [anon_sym_PIPE_EQ] = ACTIONS(5437),
    [anon_sym_and_eq] = ACTIONS(5435),
    [anon_sym_or_eq] = ACTIONS(5435),
    [anon_sym_xor_eq] = ACTIONS(5435),
    [anon_sym_LT_EQ_GT] = ACTIONS(5437),
    [anon_sym_or] = ACTIONS(5435),
    [anon_sym_and] = ACTIONS(5435),
    [anon_sym_bitor] = ACTIONS(5435),
    [anon_sym_xor] = ACTIONS(5435),
    [anon_sym_bitand] = ACTIONS(5435),
    [anon_sym_not_eq] = ACTIONS(5435),
    [anon_sym_DASH_DASH] = ACTIONS(5437),
    [anon_sym_PLUS_PLUS] = ACTIONS(5437),
    [anon_sym_DOT] = ACTIONS(5435),
    [anon_sym_DOT_STAR] = ACTIONS(5437),
    [anon_sym_DASH_GT] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [aux_sym_preproc_if_token2] = ACTIONS(5123),
    [aux_sym_preproc_else_token1] = ACTIONS(5123),
    [aux_sym_preproc_elif_token1] = ACTIONS(5121),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_COLON] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5121),
    [anon_sym_or_eq] = ACTIONS(5121),
    [anon_sym_xor_eq] = ACTIONS(5121),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1922),
    [sym_preproc_directive] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym___extension__] = ACTIONS(1922),
    [anon_sym_typedef] = ACTIONS(1922),
    [anon_sym_extern] = ACTIONS(1922),
    [anon_sym___attribute__] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1920),
    [anon_sym___declspec] = ACTIONS(1922),
    [anon_sym___based] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_signed] = ACTIONS(1922),
    [anon_sym_unsigned] = ACTIONS(1922),
    [anon_sym_long] = ACTIONS(1922),
    [anon_sym_short] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_register] = ACTIONS(1922),
    [anon_sym_inline] = ACTIONS(1922),
    [anon_sym___inline] = ACTIONS(1922),
    [anon_sym___inline__] = ACTIONS(1922),
    [anon_sym___forceinline] = ACTIONS(1922),
    [anon_sym_thread_local] = ACTIONS(1922),
    [anon_sym___thread] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_constexpr] = ACTIONS(1922),
    [anon_sym_volatile] = ACTIONS(1922),
    [anon_sym_restrict] = ACTIONS(1922),
    [anon_sym___restrict__] = ACTIONS(1922),
    [anon_sym__Atomic] = ACTIONS(1922),
    [anon_sym__Noreturn] = ACTIONS(1922),
    [anon_sym_noreturn] = ACTIONS(1922),
    [anon_sym_mutable] = ACTIONS(1922),
    [anon_sym_constinit] = ACTIONS(1922),
    [anon_sym_consteval] = ACTIONS(1922),
    [sym_primitive_type] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_struct] = ACTIONS(1922),
    [anon_sym_union] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1922),
    [anon_sym_decltype] = ACTIONS(1922),
    [sym_virtual] = ACTIONS(1922),
    [anon_sym_alignas] = ACTIONS(1922),
    [anon_sym_explicit] = ACTIONS(1922),
    [anon_sym_typename] = ACTIONS(1922),
    [anon_sym_template] = ACTIONS(1922),
    [anon_sym_operator] = ACTIONS(1922),
    [anon_sym_friend] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_static_assert] = ACTIONS(1922),
    [anon_sym_catch] = ACTIONS(1922),
  },
  [2107] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4890),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_final] = ACTIONS(4892),
    [anon_sym_override] = ACTIONS(4892),
    [anon_sym_requires] = ACTIONS(4892),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [aux_sym_preproc_if_token2] = ACTIONS(5098),
    [aux_sym_preproc_else_token1] = ACTIONS(5098),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_STAR_EQ] = ACTIONS(5098),
    [anon_sym_SLASH_EQ] = ACTIONS(5098),
    [anon_sym_PERCENT_EQ] = ACTIONS(5098),
    [anon_sym_PLUS_EQ] = ACTIONS(5098),
    [anon_sym_DASH_EQ] = ACTIONS(5098),
    [anon_sym_LT_LT_EQ] = ACTIONS(5098),
    [anon_sym_GT_GT_EQ] = ACTIONS(5098),
    [anon_sym_AMP_EQ] = ACTIONS(5098),
    [anon_sym_CARET_EQ] = ACTIONS(5098),
    [anon_sym_PIPE_EQ] = ACTIONS(5098),
    [anon_sym_and_eq] = ACTIONS(5096),
    [anon_sym_or_eq] = ACTIONS(5096),
    [anon_sym_xor_eq] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
  },
  [2109] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5441),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5443),
    [anon_sym_unsigned] = ACTIONS(5443),
    [anon_sym_long] = ACTIONS(5443),
    [anon_sym_short] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5441),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5439),
    [anon_sym_LT_EQ_GT] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_DOT_STAR] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_final] = ACTIONS(5439),
    [anon_sym_override] = ACTIONS(5439),
    [anon_sym_requires] = ACTIONS(5439),
  },
  [2110] = {
    [sym_attribute_declaration] = STATE(2102),
    [aux_sym_attributed_declarator_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(5445),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5447),
    [anon_sym_COMMA] = ACTIONS(5447),
    [anon_sym_RPAREN] = ACTIONS(5447),
    [aux_sym_preproc_if_token2] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5447),
    [anon_sym_LPAREN2] = ACTIONS(5447),
    [anon_sym_DASH] = ACTIONS(5445),
    [anon_sym_PLUS] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5445),
    [anon_sym_SLASH] = ACTIONS(5445),
    [anon_sym_PERCENT] = ACTIONS(5445),
    [anon_sym_PIPE_PIPE] = ACTIONS(5447),
    [anon_sym_AMP_AMP] = ACTIONS(5447),
    [anon_sym_PIPE] = ACTIONS(5445),
    [anon_sym_CARET] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5445),
    [anon_sym_EQ_EQ] = ACTIONS(5447),
    [anon_sym_BANG_EQ] = ACTIONS(5447),
    [anon_sym_GT] = ACTIONS(5445),
    [anon_sym_GT_EQ] = ACTIONS(5447),
    [anon_sym_LT_EQ] = ACTIONS(5445),
    [anon_sym_LT] = ACTIONS(5445),
    [anon_sym_LT_LT] = ACTIONS(5445),
    [anon_sym_GT_GT] = ACTIONS(5445),
    [anon_sym_SEMI] = ACTIONS(5447),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5445),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_EQ] = ACTIONS(5445),
    [anon_sym_COLON] = ACTIONS(5447),
    [anon_sym_QMARK] = ACTIONS(5447),
    [anon_sym_STAR_EQ] = ACTIONS(5447),
    [anon_sym_SLASH_EQ] = ACTIONS(5447),
    [anon_sym_PERCENT_EQ] = ACTIONS(5447),
    [anon_sym_PLUS_EQ] = ACTIONS(5447),
    [anon_sym_DASH_EQ] = ACTIONS(5447),
    [anon_sym_LT_LT_EQ] = ACTIONS(5447),
    [anon_sym_GT_GT_EQ] = ACTIONS(5447),
    [anon_sym_AMP_EQ] = ACTIONS(5447),
    [anon_sym_CARET_EQ] = ACTIONS(5447),
    [anon_sym_PIPE_EQ] = ACTIONS(5447),
    [anon_sym_and_eq] = ACTIONS(5445),
    [anon_sym_or_eq] = ACTIONS(5445),
    [anon_sym_xor_eq] = ACTIONS(5445),
    [anon_sym_LT_EQ_GT] = ACTIONS(5447),
    [anon_sym_or] = ACTIONS(5445),
    [anon_sym_and] = ACTIONS(5445),
    [anon_sym_bitor] = ACTIONS(5445),
    [anon_sym_xor] = ACTIONS(5445),
    [anon_sym_bitand] = ACTIONS(5445),
    [anon_sym_not_eq] = ACTIONS(5445),
    [anon_sym_DASH_DASH] = ACTIONS(5447),
    [anon_sym_PLUS_PLUS] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_DOT_STAR] = ACTIONS(5447),
    [anon_sym_DASH_GT] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
  },
  [2111] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5449),
    [anon_sym_COMMA] = ACTIONS(5449),
    [anon_sym_RPAREN] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5451),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_PIPE] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5449),
    [anon_sym_BANG_EQ] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5449),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5451),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5449),
    [anon_sym___attribute__] = ACTIONS(5449),
    [anon_sym_LBRACE] = ACTIONS(5449),
    [anon_sym_RBRACE] = ACTIONS(5449),
    [anon_sym_signed] = ACTIONS(5453),
    [anon_sym_unsigned] = ACTIONS(5453),
    [anon_sym_long] = ACTIONS(5453),
    [anon_sym_short] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5449),
    [anon_sym_RBRACK] = ACTIONS(5449),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5449),
    [anon_sym_volatile] = ACTIONS(5449),
    [anon_sym_restrict] = ACTIONS(5449),
    [anon_sym___restrict__] = ACTIONS(5449),
    [anon_sym__Atomic] = ACTIONS(5449),
    [anon_sym__Noreturn] = ACTIONS(5449),
    [anon_sym_noreturn] = ACTIONS(5449),
    [anon_sym_mutable] = ACTIONS(5449),
    [anon_sym_constinit] = ACTIONS(5449),
    [anon_sym_consteval] = ACTIONS(5449),
    [anon_sym_COLON] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5449),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5449),
    [anon_sym_DOT] = ACTIONS(5451),
    [anon_sym_DOT_STAR] = ACTIONS(5449),
    [anon_sym_DASH_GT] = ACTIONS(5449),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5449),
    [anon_sym_decltype] = ACTIONS(5449),
    [anon_sym_final] = ACTIONS(5449),
    [anon_sym_override] = ACTIONS(5449),
    [anon_sym_requires] = ACTIONS(5449),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5455),
  },
  [2113] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2125),
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_else_token1] = ACTIONS(5078),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5076),
    [anon_sym_AMP] = ACTIONS(5076),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5076),
    [anon_sym_LT_LT] = ACTIONS(5076),
    [anon_sym_GT_GT] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_EQ] = ACTIONS(5076),
    [anon_sym_QMARK] = ACTIONS(5078),
    [anon_sym_STAR_EQ] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [anon_sym_PERCENT_EQ] = ACTIONS(5078),
    [anon_sym_PLUS_EQ] = ACTIONS(5078),
    [anon_sym_DASH_EQ] = ACTIONS(5078),
    [anon_sym_LT_LT_EQ] = ACTIONS(5078),
    [anon_sym_GT_GT_EQ] = ACTIONS(5078),
    [anon_sym_AMP_EQ] = ACTIONS(5078),
    [anon_sym_CARET_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_and_eq] = ACTIONS(5076),
    [anon_sym_or_eq] = ACTIONS(5076),
    [anon_sym_xor_eq] = ACTIONS(5076),
    [anon_sym_LT_EQ_GT] = ACTIONS(5078),
    [anon_sym_or] = ACTIONS(5076),
    [anon_sym_and] = ACTIONS(5076),
    [anon_sym_bitor] = ACTIONS(5076),
    [anon_sym_xor] = ACTIONS(5076),
    [anon_sym_bitand] = ACTIONS(5076),
    [anon_sym_not_eq] = ACTIONS(5076),
    [anon_sym_DASH_DASH] = ACTIONS(5078),
    [anon_sym_PLUS_PLUS] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_DOT_STAR] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5076),
    [anon_sym_decltype] = ACTIONS(5076),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [aux_sym_preproc_if_token2] = ACTIONS(5127),
    [aux_sym_preproc_else_token1] = ACTIONS(5127),
    [aux_sym_preproc_elif_token1] = ACTIONS(5125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5127),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
  },
  [2115] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(5461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5461),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_CARET] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5461),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5461),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5461),
    [anon_sym_LBRACE] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5465),
    [anon_sym_unsigned] = ACTIONS(5465),
    [anon_sym_long] = ACTIONS(5465),
    [anon_sym_short] = ACTIONS(5465),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_EQ] = ACTIONS(5461),
    [anon_sym_QMARK] = ACTIONS(5463),
    [anon_sym_STAR_EQ] = ACTIONS(5463),
    [anon_sym_SLASH_EQ] = ACTIONS(5463),
    [anon_sym_PERCENT_EQ] = ACTIONS(5463),
    [anon_sym_PLUS_EQ] = ACTIONS(5463),
    [anon_sym_DASH_EQ] = ACTIONS(5463),
    [anon_sym_LT_LT_EQ] = ACTIONS(5463),
    [anon_sym_GT_GT_EQ] = ACTIONS(5463),
    [anon_sym_AMP_EQ] = ACTIONS(5463),
    [anon_sym_CARET_EQ] = ACTIONS(5463),
    [anon_sym_PIPE_EQ] = ACTIONS(5463),
    [anon_sym_and_eq] = ACTIONS(5461),
    [anon_sym_or_eq] = ACTIONS(5461),
    [anon_sym_xor_eq] = ACTIONS(5461),
    [anon_sym_LT_EQ_GT] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5461),
    [anon_sym_and] = ACTIONS(5461),
    [anon_sym_bitor] = ACTIONS(5461),
    [anon_sym_xor] = ACTIONS(5461),
    [anon_sym_bitand] = ACTIONS(5461),
    [anon_sym_not_eq] = ACTIONS(5461),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_DOT_STAR] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5461),
    [anon_sym_decltype] = ACTIONS(5461),
  },
  [2116] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(5398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5396),
    [anon_sym_COMMA] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_else_token1] = ACTIONS(5396),
    [aux_sym_preproc_elif_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_SLASH] = ACTIONS(5398),
    [anon_sym_PERCENT] = ACTIONS(5398),
    [anon_sym_PIPE_PIPE] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_PIPE] = ACTIONS(5398),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_EQ_EQ] = ACTIONS(5396),
    [anon_sym_BANG_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5398),
    [anon_sym_GT_EQ] = ACTIONS(5396),
    [anon_sym_LT_EQ] = ACTIONS(5398),
    [anon_sym_LT] = ACTIONS(5398),
    [anon_sym_LT_LT] = ACTIONS(5398),
    [anon_sym_GT_GT] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5398),
    [anon_sym_LBRACE] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5465),
    [anon_sym_unsigned] = ACTIONS(5465),
    [anon_sym_long] = ACTIONS(5465),
    [anon_sym_short] = ACTIONS(5465),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_EQ] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5396),
    [anon_sym_STAR_EQ] = ACTIONS(5396),
    [anon_sym_SLASH_EQ] = ACTIONS(5396),
    [anon_sym_PERCENT_EQ] = ACTIONS(5396),
    [anon_sym_PLUS_EQ] = ACTIONS(5396),
    [anon_sym_DASH_EQ] = ACTIONS(5396),
    [anon_sym_LT_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT_GT_EQ] = ACTIONS(5396),
    [anon_sym_AMP_EQ] = ACTIONS(5396),
    [anon_sym_CARET_EQ] = ACTIONS(5396),
    [anon_sym_PIPE_EQ] = ACTIONS(5396),
    [anon_sym_and_eq] = ACTIONS(5398),
    [anon_sym_or_eq] = ACTIONS(5398),
    [anon_sym_xor_eq] = ACTIONS(5398),
    [anon_sym_LT_EQ_GT] = ACTIONS(5396),
    [anon_sym_or] = ACTIONS(5398),
    [anon_sym_and] = ACTIONS(5398),
    [anon_sym_bitor] = ACTIONS(5398),
    [anon_sym_xor] = ACTIONS(5398),
    [anon_sym_bitand] = ACTIONS(5398),
    [anon_sym_not_eq] = ACTIONS(5398),
    [anon_sym_DASH_DASH] = ACTIONS(5396),
    [anon_sym_PLUS_PLUS] = ACTIONS(5396),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_DOT_STAR] = ACTIONS(5396),
    [anon_sym_DASH_GT] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5398),
    [anon_sym_decltype] = ACTIONS(5398),
  },
  [2117] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5449),
    [anon_sym_COMMA] = ACTIONS(5449),
    [aux_sym_preproc_if_token2] = ACTIONS(5449),
    [aux_sym_preproc_else_token1] = ACTIONS(5449),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5451),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_PIPE] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5449),
    [anon_sym_BANG_EQ] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5449),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5451),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(5449),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5449),
    [anon_sym_EQ] = ACTIONS(5451),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_STAR_EQ] = ACTIONS(5449),
    [anon_sym_SLASH_EQ] = ACTIONS(5449),
    [anon_sym_PERCENT_EQ] = ACTIONS(5449),
    [anon_sym_PLUS_EQ] = ACTIONS(5449),
    [anon_sym_DASH_EQ] = ACTIONS(5449),
    [anon_sym_LT_LT_EQ] = ACTIONS(5449),
    [anon_sym_GT_GT_EQ] = ACTIONS(5449),
    [anon_sym_AMP_EQ] = ACTIONS(5449),
    [anon_sym_CARET_EQ] = ACTIONS(5449),
    [anon_sym_PIPE_EQ] = ACTIONS(5449),
    [anon_sym_and_eq] = ACTIONS(5451),
    [anon_sym_or_eq] = ACTIONS(5451),
    [anon_sym_xor_eq] = ACTIONS(5451),
    [anon_sym_LT_EQ_GT] = ACTIONS(5449),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_bitor] = ACTIONS(5451),
    [anon_sym_xor] = ACTIONS(5451),
    [anon_sym_bitand] = ACTIONS(5451),
    [anon_sym_not_eq] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5449),
    [anon_sym_DOT] = ACTIONS(5451),
    [anon_sym_DOT_STAR] = ACTIONS(5449),
    [anon_sym_DASH_GT] = ACTIONS(5449),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
  },
  [2118] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2116),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5441),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5441),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5469),
    [anon_sym_unsigned] = ACTIONS(5469),
    [anon_sym_long] = ACTIONS(5469),
    [anon_sym_short] = ACTIONS(5469),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_EQ] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5439),
    [anon_sym_STAR_EQ] = ACTIONS(5439),
    [anon_sym_SLASH_EQ] = ACTIONS(5439),
    [anon_sym_PERCENT_EQ] = ACTIONS(5439),
    [anon_sym_PLUS_EQ] = ACTIONS(5439),
    [anon_sym_DASH_EQ] = ACTIONS(5439),
    [anon_sym_LT_LT_EQ] = ACTIONS(5439),
    [anon_sym_GT_GT_EQ] = ACTIONS(5439),
    [anon_sym_AMP_EQ] = ACTIONS(5439),
    [anon_sym_CARET_EQ] = ACTIONS(5439),
    [anon_sym_PIPE_EQ] = ACTIONS(5439),
    [anon_sym_and_eq] = ACTIONS(5441),
    [anon_sym_or_eq] = ACTIONS(5441),
    [anon_sym_xor_eq] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5441),
    [anon_sym_and] = ACTIONS(5441),
    [anon_sym_bitor] = ACTIONS(5441),
    [anon_sym_xor] = ACTIONS(5441),
    [anon_sym_bitand] = ACTIONS(5441),
    [anon_sym_not_eq] = ACTIONS(5441),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_DOT_STAR] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5441),
    [anon_sym_decltype] = ACTIONS(5441),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [aux_sym_preproc_if_token2] = ACTIONS(5131),
    [aux_sym_preproc_else_token1] = ACTIONS(5131),
    [aux_sym_preproc_elif_token1] = ACTIONS(5129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5131),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5129),
    [anon_sym_or_eq] = ACTIONS(5129),
    [anon_sym_xor_eq] = ACTIONS(5129),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
  },
  [2120] = {
    [sym_template_argument_list] = STATE(1726),
    [sym_identifier] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_STAR] = ACTIONS(3662),
    [anon_sym_PIPE_PIPE] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(3662),
    [anon_sym_AMP] = ACTIONS(4849),
    [anon_sym_LT] = ACTIONS(5471),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym_extern] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3662),
    [anon_sym___declspec] = ACTIONS(4849),
    [anon_sym___based] = ACTIONS(4849),
    [anon_sym___cdecl] = ACTIONS(4849),
    [anon_sym___clrcall] = ACTIONS(4849),
    [anon_sym___stdcall] = ACTIONS(4849),
    [anon_sym___fastcall] = ACTIONS(4849),
    [anon_sym___thiscall] = ACTIONS(4849),
    [anon_sym___vectorcall] = ACTIONS(4849),
    [anon_sym_signed] = ACTIONS(4849),
    [anon_sym_unsigned] = ACTIONS(4849),
    [anon_sym_long] = ACTIONS(4849),
    [anon_sym_short] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_static] = ACTIONS(4849),
    [anon_sym_register] = ACTIONS(4849),
    [anon_sym_inline] = ACTIONS(4849),
    [anon_sym___inline] = ACTIONS(4849),
    [anon_sym___inline__] = ACTIONS(4849),
    [anon_sym___forceinline] = ACTIONS(4849),
    [anon_sym_thread_local] = ACTIONS(4849),
    [anon_sym___thread] = ACTIONS(4849),
    [anon_sym_const] = ACTIONS(4849),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [sym_primitive_type] = ACTIONS(4849),
    [anon_sym_enum] = ACTIONS(4849),
    [anon_sym_class] = ACTIONS(4849),
    [anon_sym_struct] = ACTIONS(4849),
    [anon_sym_union] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4849),
    [anon_sym_and] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [sym_virtual] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym_explicit] = ACTIONS(4849),
    [anon_sym_typename] = ACTIONS(4849),
    [anon_sym_template] = ACTIONS(4849),
    [anon_sym_operator] = ACTIONS(4849),
    [anon_sym_friend] = ACTIONS(4849),
    [anon_sym_using] = ACTIONS(4849),
    [anon_sym_concept] = ACTIONS(4849),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [aux_sym_preproc_if_token2] = ACTIONS(5119),
    [aux_sym_preproc_else_token1] = ACTIONS(5119),
    [aux_sym_preproc_elif_token1] = ACTIONS(5117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_RBRACK] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_COLON] = ACTIONS(5119),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5117),
    [anon_sym_or_eq] = ACTIONS(5117),
    [anon_sym_xor_eq] = ACTIONS(5117),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [aux_sym_preproc_if_token2] = ACTIONS(5135),
    [aux_sym_preproc_else_token1] = ACTIONS(5135),
    [aux_sym_preproc_elif_token1] = ACTIONS(5133),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_COLON] = ACTIONS(5135),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5133),
    [anon_sym_or_eq] = ACTIONS(5133),
    [anon_sym_xor_eq] = ACTIONS(5133),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
  },
  [2123] = {
    [sym_template_argument_list] = STATE(2232),
    [sym_identifier] = ACTIONS(4512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [aux_sym_preproc_if_token2] = ACTIONS(4505),
    [aux_sym_preproc_else_token1] = ACTIONS(4505),
    [aux_sym_preproc_elif_token1] = ACTIONS(4512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4512),
    [anon_sym_STAR] = ACTIONS(4512),
    [anon_sym_SLASH] = ACTIONS(4512),
    [anon_sym_PERCENT] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4512),
    [anon_sym_AMP] = ACTIONS(4512),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4512),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(5473),
    [anon_sym_LT_LT] = ACTIONS(4512),
    [anon_sym_GT_GT] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___attribute__] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACE] = ACTIONS(4510),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [anon_sym_RBRACK] = ACTIONS(4505),
    [anon_sym_EQ] = ACTIONS(4512),
    [anon_sym_COLON] = ACTIONS(4512),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4512),
    [anon_sym_or_eq] = ACTIONS(4512),
    [anon_sym_xor_eq] = ACTIONS(4512),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4512),
    [anon_sym_and] = ACTIONS(4512),
    [anon_sym_bitor] = ACTIONS(4512),
    [anon_sym_xor] = ACTIONS(4512),
    [anon_sym_bitand] = ACTIONS(4512),
    [anon_sym_not_eq] = ACTIONS(4512),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4512),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
  },
  [2124] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [aux_sym_preproc_if_token2] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5465),
    [anon_sym_unsigned] = ACTIONS(5465),
    [anon_sym_long] = ACTIONS(5465),
    [anon_sym_short] = ACTIONS(5465),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_STAR_EQ] = ACTIONS(5478),
    [anon_sym_SLASH_EQ] = ACTIONS(5478),
    [anon_sym_PERCENT_EQ] = ACTIONS(5478),
    [anon_sym_PLUS_EQ] = ACTIONS(5478),
    [anon_sym_DASH_EQ] = ACTIONS(5478),
    [anon_sym_LT_LT_EQ] = ACTIONS(5478),
    [anon_sym_GT_GT_EQ] = ACTIONS(5478),
    [anon_sym_AMP_EQ] = ACTIONS(5478),
    [anon_sym_CARET_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_and_eq] = ACTIONS(5476),
    [anon_sym_or_eq] = ACTIONS(5476),
    [anon_sym_xor_eq] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
  },
  [2125] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [aux_sym_preproc_if_token2] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5465),
    [anon_sym_unsigned] = ACTIONS(5465),
    [anon_sym_long] = ACTIONS(5465),
    [anon_sym_short] = ACTIONS(5465),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_and_eq] = ACTIONS(5480),
    [anon_sym_or_eq] = ACTIONS(5480),
    [anon_sym_xor_eq] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
  },
  [2126] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4752),
    [aux_sym_preproc_if_token2] = ACTIONS(4752),
    [aux_sym_preproc_else_token1] = ACTIONS(4752),
    [aux_sym_preproc_elif_token1] = ACTIONS(4750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4752),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_DASH] = ACTIONS(4750),
    [anon_sym_PLUS] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4750),
    [anon_sym_SLASH] = ACTIONS(4750),
    [anon_sym_PERCENT] = ACTIONS(4750),
    [anon_sym_PIPE_PIPE] = ACTIONS(4752),
    [anon_sym_AMP_AMP] = ACTIONS(4752),
    [anon_sym_PIPE] = ACTIONS(4750),
    [anon_sym_CARET] = ACTIONS(4750),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_EQ_EQ] = ACTIONS(4752),
    [anon_sym_BANG_EQ] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4750),
    [anon_sym_GT_EQ] = ACTIONS(4752),
    [anon_sym_LT_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4750),
    [anon_sym_LT_LT] = ACTIONS(4750),
    [anon_sym_GT_GT] = ACTIONS(4750),
    [anon_sym___attribute__] = ACTIONS(4750),
    [anon_sym_LBRACE] = ACTIONS(4752),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_QMARK] = ACTIONS(4752),
    [anon_sym_STAR_EQ] = ACTIONS(4752),
    [anon_sym_SLASH_EQ] = ACTIONS(4752),
    [anon_sym_PERCENT_EQ] = ACTIONS(4752),
    [anon_sym_PLUS_EQ] = ACTIONS(4752),
    [anon_sym_DASH_EQ] = ACTIONS(4752),
    [anon_sym_LT_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT_GT_EQ] = ACTIONS(4752),
    [anon_sym_AMP_EQ] = ACTIONS(4752),
    [anon_sym_CARET_EQ] = ACTIONS(4752),
    [anon_sym_PIPE_EQ] = ACTIONS(4752),
    [anon_sym_and_eq] = ACTIONS(4750),
    [anon_sym_or_eq] = ACTIONS(4750),
    [anon_sym_xor_eq] = ACTIONS(4750),
    [anon_sym_LT_EQ_GT] = ACTIONS(4752),
    [anon_sym_or] = ACTIONS(4750),
    [anon_sym_and] = ACTIONS(4750),
    [anon_sym_bitor] = ACTIONS(4750),
    [anon_sym_xor] = ACTIONS(4750),
    [anon_sym_bitand] = ACTIONS(4750),
    [anon_sym_not_eq] = ACTIONS(4750),
    [anon_sym_DASH_DASH] = ACTIONS(4752),
    [anon_sym_PLUS_PLUS] = ACTIONS(4752),
    [anon_sym_DOT] = ACTIONS(4750),
    [anon_sym_DOT_STAR] = ACTIONS(4752),
    [anon_sym_DASH_GT] = ACTIONS(4752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4750),
    [anon_sym_decltype] = ACTIONS(4750),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5181),
    [anon_sym_COMMA] = ACTIONS(5181),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [aux_sym_preproc_if_token2] = ACTIONS(5181),
    [aux_sym_preproc_else_token1] = ACTIONS(5181),
    [aux_sym_preproc_elif_token1] = ACTIONS(5179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5181),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [anon_sym_DASH] = ACTIONS(5179),
    [anon_sym_PLUS] = ACTIONS(5179),
    [anon_sym_STAR] = ACTIONS(5179),
    [anon_sym_SLASH] = ACTIONS(5179),
    [anon_sym_PERCENT] = ACTIONS(5179),
    [anon_sym_PIPE_PIPE] = ACTIONS(5181),
    [anon_sym_AMP_AMP] = ACTIONS(5181),
    [anon_sym_PIPE] = ACTIONS(5179),
    [anon_sym_CARET] = ACTIONS(5179),
    [anon_sym_AMP] = ACTIONS(5179),
    [anon_sym_EQ_EQ] = ACTIONS(5181),
    [anon_sym_BANG_EQ] = ACTIONS(5181),
    [anon_sym_GT] = ACTIONS(5179),
    [anon_sym_GT_EQ] = ACTIONS(5181),
    [anon_sym_LT_EQ] = ACTIONS(5179),
    [anon_sym_LT] = ACTIONS(5179),
    [anon_sym_LT_LT] = ACTIONS(5179),
    [anon_sym_GT_GT] = ACTIONS(5179),
    [anon_sym_SEMI] = ACTIONS(5181),
    [anon_sym___attribute__] = ACTIONS(5179),
    [anon_sym_LBRACE] = ACTIONS(5181),
    [anon_sym_RBRACE] = ACTIONS(5181),
    [anon_sym_LBRACK] = ACTIONS(5181),
    [anon_sym_RBRACK] = ACTIONS(5181),
    [anon_sym_EQ] = ACTIONS(5179),
    [anon_sym_COLON] = ACTIONS(5181),
    [anon_sym_QMARK] = ACTIONS(5181),
    [anon_sym_STAR_EQ] = ACTIONS(5181),
    [anon_sym_SLASH_EQ] = ACTIONS(5181),
    [anon_sym_PERCENT_EQ] = ACTIONS(5181),
    [anon_sym_PLUS_EQ] = ACTIONS(5181),
    [anon_sym_DASH_EQ] = ACTIONS(5181),
    [anon_sym_LT_LT_EQ] = ACTIONS(5181),
    [anon_sym_GT_GT_EQ] = ACTIONS(5181),
    [anon_sym_AMP_EQ] = ACTIONS(5181),
    [anon_sym_CARET_EQ] = ACTIONS(5181),
    [anon_sym_PIPE_EQ] = ACTIONS(5181),
    [anon_sym_and_eq] = ACTIONS(5179),
    [anon_sym_or_eq] = ACTIONS(5179),
    [anon_sym_xor_eq] = ACTIONS(5179),
    [anon_sym_LT_EQ_GT] = ACTIONS(5181),
    [anon_sym_or] = ACTIONS(5179),
    [anon_sym_and] = ACTIONS(5179),
    [anon_sym_bitor] = ACTIONS(5179),
    [anon_sym_xor] = ACTIONS(5179),
    [anon_sym_bitand] = ACTIONS(5179),
    [anon_sym_not_eq] = ACTIONS(5179),
    [anon_sym_DASH_DASH] = ACTIONS(5181),
    [anon_sym_PLUS_PLUS] = ACTIONS(5181),
    [anon_sym_DOT] = ACTIONS(5179),
    [anon_sym_DOT_STAR] = ACTIONS(5181),
    [anon_sym_DASH_GT] = ACTIONS(5181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5179),
    [anon_sym_decltype] = ACTIONS(5179),
  },
  [2128] = {
    [sym__declaration_modifiers] = STATE(3649),
    [sym_attribute_specifier] = STATE(3649),
    [sym_attribute_declaration] = STATE(3649),
    [sym_ms_declspec_modifier] = STATE(3649),
    [sym_storage_class_specifier] = STATE(3649),
    [sym_type_qualifier] = STATE(3649),
    [sym__type_specifier] = STATE(2561),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3649),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3649),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_friend] = ACTIONS(2486),
    [anon_sym_public] = ACTIONS(2486),
    [anon_sym_private] = ACTIONS(2486),
    [anon_sym_protected] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4892),
    [anon_sym_COMMA] = ACTIONS(4892),
    [anon_sym_RPAREN] = ACTIONS(4892),
    [aux_sym_preproc_if_token2] = ACTIONS(4892),
    [aux_sym_preproc_else_token1] = ACTIONS(4892),
    [aux_sym_preproc_elif_token1] = ACTIONS(4890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4892),
    [anon_sym_DASH] = ACTIONS(4890),
    [anon_sym_PLUS] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4892),
    [anon_sym_AMP_AMP] = ACTIONS(4892),
    [anon_sym_PIPE] = ACTIONS(4890),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4890),
    [anon_sym_EQ_EQ] = ACTIONS(4892),
    [anon_sym_BANG_EQ] = ACTIONS(4892),
    [anon_sym_GT] = ACTIONS(4890),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4890),
    [anon_sym_LT] = ACTIONS(4890),
    [anon_sym_LT_LT] = ACTIONS(4890),
    [anon_sym_GT_GT] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym_RBRACE] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4892),
    [anon_sym_STAR_EQ] = ACTIONS(4892),
    [anon_sym_SLASH_EQ] = ACTIONS(4892),
    [anon_sym_PERCENT_EQ] = ACTIONS(4892),
    [anon_sym_PLUS_EQ] = ACTIONS(4892),
    [anon_sym_DASH_EQ] = ACTIONS(4892),
    [anon_sym_LT_LT_EQ] = ACTIONS(4892),
    [anon_sym_GT_GT_EQ] = ACTIONS(4892),
    [anon_sym_AMP_EQ] = ACTIONS(4892),
    [anon_sym_CARET_EQ] = ACTIONS(4892),
    [anon_sym_PIPE_EQ] = ACTIONS(4892),
    [anon_sym_and_eq] = ACTIONS(4890),
    [anon_sym_or_eq] = ACTIONS(4890),
    [anon_sym_xor_eq] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4890),
    [anon_sym_and] = ACTIONS(4890),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4890),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4892),
    [anon_sym_PLUS_PLUS] = ACTIONS(4892),
    [anon_sym_DOT] = ACTIONS(4890),
    [anon_sym_DOT_STAR] = ACTIONS(4892),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
  },
  [2131] = {
    [sym_template_argument_list] = STATE(1726),
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4510),
    [anon_sym_TILDE] = ACTIONS(4510),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_PIPE_PIPE] = ACTIONS(4510),
    [anon_sym_AMP_AMP] = ACTIONS(4510),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(5471),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(3657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4510),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym___cdecl] = ACTIONS(4503),
    [anon_sym___clrcall] = ACTIONS(4503),
    [anon_sym___stdcall] = ACTIONS(4503),
    [anon_sym___fastcall] = ACTIONS(4503),
    [anon_sym___thiscall] = ACTIONS(4503),
    [anon_sym___vectorcall] = ACTIONS(4503),
    [anon_sym_signed] = ACTIONS(4503),
    [anon_sym_unsigned] = ACTIONS(4503),
    [anon_sym_long] = ACTIONS(4503),
    [anon_sym_short] = ACTIONS(4503),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [sym_primitive_type] = ACTIONS(4503),
    [anon_sym_enum] = ACTIONS(4503),
    [anon_sym_class] = ACTIONS(4503),
    [anon_sym_struct] = ACTIONS(4503),
    [anon_sym_union] = ACTIONS(4503),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym_explicit] = ACTIONS(4503),
    [anon_sym_typename] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
    [anon_sym_friend] = ACTIONS(4503),
    [anon_sym_using] = ACTIONS(4503),
    [anon_sym_concept] = ACTIONS(4503),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5084),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_PIPE] = ACTIONS(5084),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5084),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(5084),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5086),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_RBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5084),
    [anon_sym_or_eq] = ACTIONS(5084),
    [anon_sym_xor_eq] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5084),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(5487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5489),
    [anon_sym_COMMA] = ACTIONS(5489),
    [anon_sym_RPAREN] = ACTIONS(5489),
    [aux_sym_preproc_if_token2] = ACTIONS(5489),
    [aux_sym_preproc_else_token1] = ACTIONS(5489),
    [aux_sym_preproc_elif_token1] = ACTIONS(5487),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5489),
    [anon_sym_DASH] = ACTIONS(5487),
    [anon_sym_PLUS] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_SLASH] = ACTIONS(5487),
    [anon_sym_PERCENT] = ACTIONS(5487),
    [anon_sym_PIPE_PIPE] = ACTIONS(5489),
    [anon_sym_AMP_AMP] = ACTIONS(5489),
    [anon_sym_PIPE] = ACTIONS(5487),
    [anon_sym_CARET] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5487),
    [anon_sym_EQ_EQ] = ACTIONS(5489),
    [anon_sym_BANG_EQ] = ACTIONS(5489),
    [anon_sym_GT] = ACTIONS(5487),
    [anon_sym_GT_EQ] = ACTIONS(5489),
    [anon_sym_LT_EQ] = ACTIONS(5487),
    [anon_sym_LT] = ACTIONS(5487),
    [anon_sym_LT_LT] = ACTIONS(5487),
    [anon_sym_GT_GT] = ACTIONS(5487),
    [anon_sym_SEMI] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5489),
    [anon_sym_LBRACE] = ACTIONS(5489),
    [anon_sym_RBRACE] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [anon_sym_RBRACK] = ACTIONS(5489),
    [anon_sym_EQ] = ACTIONS(5487),
    [anon_sym_COLON] = ACTIONS(5489),
    [anon_sym_QMARK] = ACTIONS(5489),
    [anon_sym_STAR_EQ] = ACTIONS(5489),
    [anon_sym_SLASH_EQ] = ACTIONS(5489),
    [anon_sym_PERCENT_EQ] = ACTIONS(5489),
    [anon_sym_PLUS_EQ] = ACTIONS(5489),
    [anon_sym_DASH_EQ] = ACTIONS(5489),
    [anon_sym_LT_LT_EQ] = ACTIONS(5489),
    [anon_sym_GT_GT_EQ] = ACTIONS(5489),
    [anon_sym_AMP_EQ] = ACTIONS(5489),
    [anon_sym_CARET_EQ] = ACTIONS(5489),
    [anon_sym_PIPE_EQ] = ACTIONS(5489),
    [anon_sym_and_eq] = ACTIONS(5487),
    [anon_sym_or_eq] = ACTIONS(5487),
    [anon_sym_xor_eq] = ACTIONS(5487),
    [anon_sym_LT_EQ_GT] = ACTIONS(5489),
    [anon_sym_or] = ACTIONS(5487),
    [anon_sym_and] = ACTIONS(5487),
    [anon_sym_bitor] = ACTIONS(5487),
    [anon_sym_xor] = ACTIONS(5487),
    [anon_sym_bitand] = ACTIONS(5487),
    [anon_sym_not_eq] = ACTIONS(5487),
    [anon_sym_DASH_DASH] = ACTIONS(5489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5489),
    [anon_sym_DOT] = ACTIONS(5487),
    [anon_sym_DOT_STAR] = ACTIONS(5489),
    [anon_sym_DASH_GT] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5487),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5493),
    [anon_sym_COMMA] = ACTIONS(5493),
    [anon_sym_RPAREN] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5493),
    [anon_sym_DASH] = ACTIONS(5491),
    [anon_sym_PLUS] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_SLASH] = ACTIONS(5491),
    [anon_sym_PERCENT] = ACTIONS(5491),
    [anon_sym_PIPE_PIPE] = ACTIONS(5493),
    [anon_sym_AMP_AMP] = ACTIONS(5493),
    [anon_sym_PIPE] = ACTIONS(5491),
    [anon_sym_CARET] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5491),
    [anon_sym_EQ_EQ] = ACTIONS(5493),
    [anon_sym_BANG_EQ] = ACTIONS(5493),
    [anon_sym_GT] = ACTIONS(5491),
    [anon_sym_GT_EQ] = ACTIONS(5493),
    [anon_sym_LT_EQ] = ACTIONS(5491),
    [anon_sym_LT] = ACTIONS(5491),
    [anon_sym_LT_LT] = ACTIONS(5491),
    [anon_sym_GT_GT] = ACTIONS(5491),
    [anon_sym_SEMI] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5493),
    [anon_sym_LBRACE] = ACTIONS(5493),
    [anon_sym_RBRACE] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [anon_sym_RBRACK] = ACTIONS(5493),
    [anon_sym_EQ] = ACTIONS(5491),
    [anon_sym_COLON] = ACTIONS(5493),
    [anon_sym_QMARK] = ACTIONS(5493),
    [anon_sym_STAR_EQ] = ACTIONS(5493),
    [anon_sym_SLASH_EQ] = ACTIONS(5493),
    [anon_sym_PERCENT_EQ] = ACTIONS(5493),
    [anon_sym_PLUS_EQ] = ACTIONS(5493),
    [anon_sym_DASH_EQ] = ACTIONS(5493),
    [anon_sym_LT_LT_EQ] = ACTIONS(5493),
    [anon_sym_GT_GT_EQ] = ACTIONS(5493),
    [anon_sym_AMP_EQ] = ACTIONS(5493),
    [anon_sym_CARET_EQ] = ACTIONS(5493),
    [anon_sym_PIPE_EQ] = ACTIONS(5493),
    [anon_sym_and_eq] = ACTIONS(5491),
    [anon_sym_or_eq] = ACTIONS(5491),
    [anon_sym_xor_eq] = ACTIONS(5491),
    [anon_sym_LT_EQ_GT] = ACTIONS(5493),
    [anon_sym_or] = ACTIONS(5491),
    [anon_sym_and] = ACTIONS(5491),
    [anon_sym_bitor] = ACTIONS(5491),
    [anon_sym_xor] = ACTIONS(5491),
    [anon_sym_bitand] = ACTIONS(5491),
    [anon_sym_not_eq] = ACTIONS(5491),
    [anon_sym_DASH_DASH] = ACTIONS(5493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5493),
    [anon_sym_DOT] = ACTIONS(5491),
    [anon_sym_DOT_STAR] = ACTIONS(5493),
    [anon_sym_DASH_GT] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5491),
  },
  [2135] = {
    [sym_argument_list] = STATE(2495),
    [sym_initializer_list] = STATE(2495),
    [sym_identifier] = ACTIONS(5495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5497),
    [anon_sym_COMMA] = ACTIONS(5497),
    [anon_sym_RPAREN] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5495),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_DASH] = ACTIONS(5495),
    [anon_sym_PLUS] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_SLASH] = ACTIONS(5495),
    [anon_sym_PERCENT] = ACTIONS(5495),
    [anon_sym_PIPE_PIPE] = ACTIONS(5497),
    [anon_sym_AMP_AMP] = ACTIONS(5497),
    [anon_sym_PIPE] = ACTIONS(5495),
    [anon_sym_CARET] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5495),
    [anon_sym_EQ_EQ] = ACTIONS(5497),
    [anon_sym_BANG_EQ] = ACTIONS(5497),
    [anon_sym_GT] = ACTIONS(5495),
    [anon_sym_GT_EQ] = ACTIONS(5497),
    [anon_sym_LT_EQ] = ACTIONS(5495),
    [anon_sym_LT] = ACTIONS(5495),
    [anon_sym_LT_LT] = ACTIONS(5495),
    [anon_sym_GT_GT] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5495),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_RBRACK] = ACTIONS(5497),
    [anon_sym_EQ] = ACTIONS(5495),
    [anon_sym_COLON] = ACTIONS(5497),
    [anon_sym_QMARK] = ACTIONS(5497),
    [anon_sym_STAR_EQ] = ACTIONS(5497),
    [anon_sym_SLASH_EQ] = ACTIONS(5497),
    [anon_sym_PERCENT_EQ] = ACTIONS(5497),
    [anon_sym_PLUS_EQ] = ACTIONS(5497),
    [anon_sym_DASH_EQ] = ACTIONS(5497),
    [anon_sym_LT_LT_EQ] = ACTIONS(5497),
    [anon_sym_GT_GT_EQ] = ACTIONS(5497),
    [anon_sym_AMP_EQ] = ACTIONS(5497),
    [anon_sym_CARET_EQ] = ACTIONS(5497),
    [anon_sym_PIPE_EQ] = ACTIONS(5497),
    [anon_sym_and_eq] = ACTIONS(5495),
    [anon_sym_or_eq] = ACTIONS(5495),
    [anon_sym_xor_eq] = ACTIONS(5495),
    [anon_sym_LT_EQ_GT] = ACTIONS(5497),
    [anon_sym_or] = ACTIONS(5495),
    [anon_sym_and] = ACTIONS(5495),
    [anon_sym_bitor] = ACTIONS(5495),
    [anon_sym_xor] = ACTIONS(5495),
    [anon_sym_bitand] = ACTIONS(5495),
    [anon_sym_not_eq] = ACTIONS(5495),
    [anon_sym_DASH_DASH] = ACTIONS(5497),
    [anon_sym_PLUS_PLUS] = ACTIONS(5497),
    [anon_sym_DOT] = ACTIONS(5495),
    [anon_sym_DOT_STAR] = ACTIONS(5497),
    [anon_sym_DASH_GT] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5159),
    [anon_sym_COMMA] = ACTIONS(5159),
    [anon_sym_RPAREN] = ACTIONS(5159),
    [aux_sym_preproc_if_token2] = ACTIONS(5159),
    [aux_sym_preproc_else_token1] = ACTIONS(5159),
    [aux_sym_preproc_elif_token1] = ACTIONS(5157),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5159),
    [anon_sym_LPAREN2] = ACTIONS(5159),
    [anon_sym_DASH] = ACTIONS(5157),
    [anon_sym_PLUS] = ACTIONS(5157),
    [anon_sym_STAR] = ACTIONS(5157),
    [anon_sym_SLASH] = ACTIONS(5157),
    [anon_sym_PERCENT] = ACTIONS(5157),
    [anon_sym_PIPE_PIPE] = ACTIONS(5159),
    [anon_sym_AMP_AMP] = ACTIONS(5159),
    [anon_sym_PIPE] = ACTIONS(5157),
    [anon_sym_CARET] = ACTIONS(5157),
    [anon_sym_AMP] = ACTIONS(5157),
    [anon_sym_EQ_EQ] = ACTIONS(5159),
    [anon_sym_BANG_EQ] = ACTIONS(5159),
    [anon_sym_GT] = ACTIONS(5157),
    [anon_sym_GT_EQ] = ACTIONS(5159),
    [anon_sym_LT_EQ] = ACTIONS(5157),
    [anon_sym_LT] = ACTIONS(5157),
    [anon_sym_LT_LT] = ACTIONS(5157),
    [anon_sym_GT_GT] = ACTIONS(5157),
    [anon_sym_SEMI] = ACTIONS(5159),
    [anon_sym___attribute__] = ACTIONS(5157),
    [anon_sym_LBRACE] = ACTIONS(5159),
    [anon_sym_RBRACE] = ACTIONS(5159),
    [anon_sym_LBRACK] = ACTIONS(5159),
    [anon_sym_RBRACK] = ACTIONS(5159),
    [anon_sym_EQ] = ACTIONS(5157),
    [anon_sym_COLON] = ACTIONS(5159),
    [anon_sym_QMARK] = ACTIONS(5159),
    [anon_sym_STAR_EQ] = ACTIONS(5159),
    [anon_sym_SLASH_EQ] = ACTIONS(5159),
    [anon_sym_PERCENT_EQ] = ACTIONS(5159),
    [anon_sym_PLUS_EQ] = ACTIONS(5159),
    [anon_sym_DASH_EQ] = ACTIONS(5159),
    [anon_sym_LT_LT_EQ] = ACTIONS(5159),
    [anon_sym_GT_GT_EQ] = ACTIONS(5159),
    [anon_sym_AMP_EQ] = ACTIONS(5159),
    [anon_sym_CARET_EQ] = ACTIONS(5159),
    [anon_sym_PIPE_EQ] = ACTIONS(5159),
    [anon_sym_and_eq] = ACTIONS(5157),
    [anon_sym_or_eq] = ACTIONS(5157),
    [anon_sym_xor_eq] = ACTIONS(5157),
    [anon_sym_LT_EQ_GT] = ACTIONS(5159),
    [anon_sym_or] = ACTIONS(5157),
    [anon_sym_and] = ACTIONS(5157),
    [anon_sym_bitor] = ACTIONS(5157),
    [anon_sym_xor] = ACTIONS(5157),
    [anon_sym_bitand] = ACTIONS(5157),
    [anon_sym_not_eq] = ACTIONS(5157),
    [anon_sym_DASH_DASH] = ACTIONS(5159),
    [anon_sym_PLUS_PLUS] = ACTIONS(5159),
    [anon_sym_DOT] = ACTIONS(5157),
    [anon_sym_DOT_STAR] = ACTIONS(5159),
    [anon_sym_DASH_GT] = ACTIONS(5159),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5157),
    [anon_sym_decltype] = ACTIONS(5157),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_RPAREN] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_else_token1] = ACTIONS(5078),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5076),
    [anon_sym_AMP] = ACTIONS(5076),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5076),
    [anon_sym_LT_LT] = ACTIONS(5076),
    [anon_sym_GT_GT] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_RBRACK] = ACTIONS(5078),
    [anon_sym_EQ] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [anon_sym_STAR_EQ] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [anon_sym_PERCENT_EQ] = ACTIONS(5078),
    [anon_sym_PLUS_EQ] = ACTIONS(5078),
    [anon_sym_DASH_EQ] = ACTIONS(5078),
    [anon_sym_LT_LT_EQ] = ACTIONS(5078),
    [anon_sym_GT_GT_EQ] = ACTIONS(5078),
    [anon_sym_AMP_EQ] = ACTIONS(5078),
    [anon_sym_CARET_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_and_eq] = ACTIONS(5076),
    [anon_sym_or_eq] = ACTIONS(5076),
    [anon_sym_xor_eq] = ACTIONS(5076),
    [anon_sym_LT_EQ_GT] = ACTIONS(5078),
    [anon_sym_or] = ACTIONS(5076),
    [anon_sym_and] = ACTIONS(5076),
    [anon_sym_bitor] = ACTIONS(5076),
    [anon_sym_xor] = ACTIONS(5076),
    [anon_sym_bitand] = ACTIONS(5076),
    [anon_sym_not_eq] = ACTIONS(5076),
    [anon_sym_DASH_DASH] = ACTIONS(5078),
    [anon_sym_PLUS_PLUS] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_DOT_STAR] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5076),
    [anon_sym_decltype] = ACTIONS(5076),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(5072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5074),
    [anon_sym_COMMA] = ACTIONS(5074),
    [anon_sym_RPAREN] = ACTIONS(5074),
    [aux_sym_preproc_if_token2] = ACTIONS(5074),
    [aux_sym_preproc_else_token1] = ACTIONS(5074),
    [aux_sym_preproc_elif_token1] = ACTIONS(5072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5074),
    [anon_sym_LPAREN2] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_SLASH] = ACTIONS(5072),
    [anon_sym_PERCENT] = ACTIONS(5072),
    [anon_sym_PIPE_PIPE] = ACTIONS(5074),
    [anon_sym_AMP_AMP] = ACTIONS(5074),
    [anon_sym_PIPE] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_AMP] = ACTIONS(5072),
    [anon_sym_EQ_EQ] = ACTIONS(5074),
    [anon_sym_BANG_EQ] = ACTIONS(5074),
    [anon_sym_GT] = ACTIONS(5072),
    [anon_sym_GT_EQ] = ACTIONS(5074),
    [anon_sym_LT_EQ] = ACTIONS(5072),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5072),
    [anon_sym_GT_GT] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5074),
    [anon_sym___attribute__] = ACTIONS(5072),
    [anon_sym_LBRACE] = ACTIONS(5074),
    [anon_sym_RBRACE] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym_RBRACK] = ACTIONS(5074),
    [anon_sym_EQ] = ACTIONS(5072),
    [anon_sym_COLON] = ACTIONS(5074),
    [anon_sym_QMARK] = ACTIONS(5074),
    [anon_sym_STAR_EQ] = ACTIONS(5074),
    [anon_sym_SLASH_EQ] = ACTIONS(5074),
    [anon_sym_PERCENT_EQ] = ACTIONS(5074),
    [anon_sym_PLUS_EQ] = ACTIONS(5074),
    [anon_sym_DASH_EQ] = ACTIONS(5074),
    [anon_sym_LT_LT_EQ] = ACTIONS(5074),
    [anon_sym_GT_GT_EQ] = ACTIONS(5074),
    [anon_sym_AMP_EQ] = ACTIONS(5074),
    [anon_sym_CARET_EQ] = ACTIONS(5074),
    [anon_sym_PIPE_EQ] = ACTIONS(5074),
    [anon_sym_and_eq] = ACTIONS(5072),
    [anon_sym_or_eq] = ACTIONS(5072),
    [anon_sym_xor_eq] = ACTIONS(5072),
    [anon_sym_LT_EQ_GT] = ACTIONS(5074),
    [anon_sym_or] = ACTIONS(5072),
    [anon_sym_and] = ACTIONS(5072),
    [anon_sym_bitor] = ACTIONS(5072),
    [anon_sym_xor] = ACTIONS(5072),
    [anon_sym_bitand] = ACTIONS(5072),
    [anon_sym_not_eq] = ACTIONS(5072),
    [anon_sym_DASH_DASH] = ACTIONS(5074),
    [anon_sym_PLUS_PLUS] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_DOT_STAR] = ACTIONS(5074),
    [anon_sym_DASH_GT] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5072),
    [anon_sym_decltype] = ACTIONS(5072),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(5059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5061),
    [anon_sym_COMMA] = ACTIONS(5061),
    [anon_sym_RPAREN] = ACTIONS(5061),
    [aux_sym_preproc_if_token2] = ACTIONS(5061),
    [aux_sym_preproc_else_token1] = ACTIONS(5061),
    [aux_sym_preproc_elif_token1] = ACTIONS(5059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5059),
    [anon_sym_PLUS] = ACTIONS(5059),
    [anon_sym_STAR] = ACTIONS(5059),
    [anon_sym_SLASH] = ACTIONS(5059),
    [anon_sym_PERCENT] = ACTIONS(5059),
    [anon_sym_PIPE_PIPE] = ACTIONS(5061),
    [anon_sym_AMP_AMP] = ACTIONS(5061),
    [anon_sym_PIPE] = ACTIONS(5059),
    [anon_sym_CARET] = ACTIONS(5059),
    [anon_sym_AMP] = ACTIONS(5059),
    [anon_sym_EQ_EQ] = ACTIONS(5061),
    [anon_sym_BANG_EQ] = ACTIONS(5061),
    [anon_sym_GT] = ACTIONS(5059),
    [anon_sym_GT_EQ] = ACTIONS(5061),
    [anon_sym_LT_EQ] = ACTIONS(5059),
    [anon_sym_LT] = ACTIONS(5059),
    [anon_sym_LT_LT] = ACTIONS(5059),
    [anon_sym_GT_GT] = ACTIONS(5059),
    [anon_sym_SEMI] = ACTIONS(5061),
    [anon_sym___attribute__] = ACTIONS(5059),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_RBRACK] = ACTIONS(5061),
    [anon_sym_EQ] = ACTIONS(5059),
    [anon_sym_COLON] = ACTIONS(5061),
    [anon_sym_QMARK] = ACTIONS(5061),
    [anon_sym_STAR_EQ] = ACTIONS(5061),
    [anon_sym_SLASH_EQ] = ACTIONS(5061),
    [anon_sym_PERCENT_EQ] = ACTIONS(5061),
    [anon_sym_PLUS_EQ] = ACTIONS(5061),
    [anon_sym_DASH_EQ] = ACTIONS(5061),
    [anon_sym_LT_LT_EQ] = ACTIONS(5061),
    [anon_sym_GT_GT_EQ] = ACTIONS(5061),
    [anon_sym_AMP_EQ] = ACTIONS(5061),
    [anon_sym_CARET_EQ] = ACTIONS(5061),
    [anon_sym_PIPE_EQ] = ACTIONS(5061),
    [anon_sym_and_eq] = ACTIONS(5059),
    [anon_sym_or_eq] = ACTIONS(5059),
    [anon_sym_xor_eq] = ACTIONS(5059),
    [anon_sym_LT_EQ_GT] = ACTIONS(5061),
    [anon_sym_or] = ACTIONS(5059),
    [anon_sym_and] = ACTIONS(5059),
    [anon_sym_bitor] = ACTIONS(5059),
    [anon_sym_xor] = ACTIONS(5059),
    [anon_sym_bitand] = ACTIONS(5059),
    [anon_sym_not_eq] = ACTIONS(5059),
    [anon_sym_DASH_DASH] = ACTIONS(5061),
    [anon_sym_PLUS_PLUS] = ACTIONS(5061),
    [anon_sym_DOT] = ACTIONS(5059),
    [anon_sym_DOT_STAR] = ACTIONS(5061),
    [anon_sym_DASH_GT] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5059),
    [anon_sym_decltype] = ACTIONS(5059),
  },
  [2140] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2140),
    [sym_identifier] = ACTIONS(4750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4752),
    [anon_sym_RPAREN] = ACTIONS(4752),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_TILDE] = ACTIONS(4752),
    [anon_sym_STAR] = ACTIONS(4752),
    [anon_sym_AMP_AMP] = ACTIONS(4752),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym___extension__] = ACTIONS(4750),
    [anon_sym_extern] = ACTIONS(4750),
    [anon_sym___attribute__] = ACTIONS(4750),
    [anon_sym_COLON_COLON] = ACTIONS(4752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4752),
    [anon_sym___declspec] = ACTIONS(4750),
    [anon_sym___based] = ACTIONS(4750),
    [anon_sym___cdecl] = ACTIONS(4750),
    [anon_sym___clrcall] = ACTIONS(4750),
    [anon_sym___stdcall] = ACTIONS(4750),
    [anon_sym___fastcall] = ACTIONS(4750),
    [anon_sym___thiscall] = ACTIONS(4750),
    [anon_sym___vectorcall] = ACTIONS(4750),
    [anon_sym_LBRACE] = ACTIONS(4752),
    [anon_sym_signed] = ACTIONS(5499),
    [anon_sym_unsigned] = ACTIONS(5499),
    [anon_sym_long] = ACTIONS(5499),
    [anon_sym_short] = ACTIONS(5499),
    [anon_sym_LBRACK] = ACTIONS(4750),
    [anon_sym_EQ] = ACTIONS(4752),
    [anon_sym_static] = ACTIONS(4750),
    [anon_sym_register] = ACTIONS(4750),
    [anon_sym_inline] = ACTIONS(4750),
    [anon_sym___inline] = ACTIONS(4750),
    [anon_sym___inline__] = ACTIONS(4750),
    [anon_sym___forceinline] = ACTIONS(4750),
    [anon_sym_thread_local] = ACTIONS(4750),
    [anon_sym___thread] = ACTIONS(4750),
    [anon_sym_const] = ACTIONS(4750),
    [anon_sym_constexpr] = ACTIONS(4750),
    [anon_sym_volatile] = ACTIONS(4750),
    [anon_sym_restrict] = ACTIONS(4750),
    [anon_sym___restrict__] = ACTIONS(4750),
    [anon_sym__Atomic] = ACTIONS(4750),
    [anon_sym__Noreturn] = ACTIONS(4750),
    [anon_sym_noreturn] = ACTIONS(4750),
    [anon_sym_mutable] = ACTIONS(4750),
    [anon_sym_constinit] = ACTIONS(4750),
    [anon_sym_consteval] = ACTIONS(4750),
    [sym_primitive_type] = ACTIONS(4750),
    [anon_sym_asm] = ACTIONS(4750),
    [anon_sym___asm__] = ACTIONS(4750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4750),
    [anon_sym_decltype] = ACTIONS(4750),
    [anon_sym_final] = ACTIONS(4750),
    [anon_sym_override] = ACTIONS(4750),
    [sym_virtual] = ACTIONS(4750),
    [anon_sym_alignas] = ACTIONS(4750),
    [anon_sym_template] = ACTIONS(4750),
    [anon_sym_GT2] = ACTIONS(4752),
    [anon_sym_operator] = ACTIONS(4750),
    [anon_sym_try] = ACTIONS(4750),
    [anon_sym_requires] = ACTIONS(4750),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___based] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_mutable] = ACTIONS(2486),
    [anon_sym_constinit] = ACTIONS(2486),
    [anon_sym_consteval] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2486),
    [anon_sym_decltype] = ACTIONS(2486),
    [sym_virtual] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2486),
    [anon_sym_operator] = ACTIONS(2486),
    [anon_sym_friend] = ACTIONS(2486),
    [anon_sym_public] = ACTIONS(2486),
    [anon_sym_private] = ACTIONS(2486),
    [anon_sym_protected] = ACTIONS(2486),
    [anon_sym_using] = ACTIONS(2486),
    [anon_sym_static_assert] = ACTIONS(2486),
    [anon_sym_catch] = ACTIONS(2486),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5177),
    [anon_sym_COMMA] = ACTIONS(5177),
    [anon_sym_RPAREN] = ACTIONS(5177),
    [aux_sym_preproc_if_token2] = ACTIONS(5177),
    [aux_sym_preproc_else_token1] = ACTIONS(5177),
    [aux_sym_preproc_elif_token1] = ACTIONS(5175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5177),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5177),
    [anon_sym_LPAREN2] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5175),
    [anon_sym_PLUS] = ACTIONS(5175),
    [anon_sym_STAR] = ACTIONS(5175),
    [anon_sym_SLASH] = ACTIONS(5175),
    [anon_sym_PERCENT] = ACTIONS(5175),
    [anon_sym_PIPE_PIPE] = ACTIONS(5177),
    [anon_sym_AMP_AMP] = ACTIONS(5177),
    [anon_sym_PIPE] = ACTIONS(5175),
    [anon_sym_CARET] = ACTIONS(5175),
    [anon_sym_AMP] = ACTIONS(5175),
    [anon_sym_EQ_EQ] = ACTIONS(5177),
    [anon_sym_BANG_EQ] = ACTIONS(5177),
    [anon_sym_GT] = ACTIONS(5175),
    [anon_sym_GT_EQ] = ACTIONS(5177),
    [anon_sym_LT_EQ] = ACTIONS(5175),
    [anon_sym_LT] = ACTIONS(5175),
    [anon_sym_LT_LT] = ACTIONS(5175),
    [anon_sym_GT_GT] = ACTIONS(5175),
    [anon_sym_SEMI] = ACTIONS(5177),
    [anon_sym___attribute__] = ACTIONS(5175),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_RBRACE] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [anon_sym_RBRACK] = ACTIONS(5177),
    [anon_sym_EQ] = ACTIONS(5175),
    [anon_sym_COLON] = ACTIONS(5177),
    [anon_sym_QMARK] = ACTIONS(5177),
    [anon_sym_STAR_EQ] = ACTIONS(5177),
    [anon_sym_SLASH_EQ] = ACTIONS(5177),
    [anon_sym_PERCENT_EQ] = ACTIONS(5177),
    [anon_sym_PLUS_EQ] = ACTIONS(5177),
    [anon_sym_DASH_EQ] = ACTIONS(5177),
    [anon_sym_LT_LT_EQ] = ACTIONS(5177),
    [anon_sym_GT_GT_EQ] = ACTIONS(5177),
    [anon_sym_AMP_EQ] = ACTIONS(5177),
    [anon_sym_CARET_EQ] = ACTIONS(5177),
    [anon_sym_PIPE_EQ] = ACTIONS(5177),
    [anon_sym_and_eq] = ACTIONS(5175),
    [anon_sym_or_eq] = ACTIONS(5175),
    [anon_sym_xor_eq] = ACTIONS(5175),
    [anon_sym_LT_EQ_GT] = ACTIONS(5177),
    [anon_sym_or] = ACTIONS(5175),
    [anon_sym_and] = ACTIONS(5175),
    [anon_sym_bitor] = ACTIONS(5175),
    [anon_sym_xor] = ACTIONS(5175),
    [anon_sym_bitand] = ACTIONS(5175),
    [anon_sym_not_eq] = ACTIONS(5175),
    [anon_sym_DASH_DASH] = ACTIONS(5177),
    [anon_sym_PLUS_PLUS] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5175),
    [anon_sym_DOT_STAR] = ACTIONS(5177),
    [anon_sym_DASH_GT] = ACTIONS(5177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5175),
    [anon_sym_decltype] = ACTIONS(5175),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5057),
    [anon_sym_COMMA] = ACTIONS(5057),
    [anon_sym_RPAREN] = ACTIONS(5057),
    [aux_sym_preproc_if_token2] = ACTIONS(5057),
    [aux_sym_preproc_else_token1] = ACTIONS(5057),
    [aux_sym_preproc_elif_token1] = ACTIONS(5055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5057),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5057),
    [anon_sym_DASH] = ACTIONS(5055),
    [anon_sym_PLUS] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5055),
    [anon_sym_SLASH] = ACTIONS(5055),
    [anon_sym_PERCENT] = ACTIONS(5055),
    [anon_sym_PIPE_PIPE] = ACTIONS(5057),
    [anon_sym_AMP_AMP] = ACTIONS(5057),
    [anon_sym_PIPE] = ACTIONS(5055),
    [anon_sym_CARET] = ACTIONS(5055),
    [anon_sym_AMP] = ACTIONS(5055),
    [anon_sym_EQ_EQ] = ACTIONS(5057),
    [anon_sym_BANG_EQ] = ACTIONS(5057),
    [anon_sym_GT] = ACTIONS(5055),
    [anon_sym_GT_EQ] = ACTIONS(5057),
    [anon_sym_LT_EQ] = ACTIONS(5055),
    [anon_sym_LT] = ACTIONS(5055),
    [anon_sym_LT_LT] = ACTIONS(5055),
    [anon_sym_GT_GT] = ACTIONS(5055),
    [anon_sym_SEMI] = ACTIONS(5057),
    [anon_sym___attribute__] = ACTIONS(5055),
    [anon_sym_LBRACE] = ACTIONS(5057),
    [anon_sym_RBRACE] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_RBRACK] = ACTIONS(5057),
    [anon_sym_EQ] = ACTIONS(5055),
    [anon_sym_COLON] = ACTIONS(5057),
    [anon_sym_QMARK] = ACTIONS(5057),
    [anon_sym_STAR_EQ] = ACTIONS(5057),
    [anon_sym_SLASH_EQ] = ACTIONS(5057),
    [anon_sym_PERCENT_EQ] = ACTIONS(5057),
    [anon_sym_PLUS_EQ] = ACTIONS(5057),
    [anon_sym_DASH_EQ] = ACTIONS(5057),
    [anon_sym_LT_LT_EQ] = ACTIONS(5057),
    [anon_sym_GT_GT_EQ] = ACTIONS(5057),
    [anon_sym_AMP_EQ] = ACTIONS(5057),
    [anon_sym_CARET_EQ] = ACTIONS(5057),
    [anon_sym_PIPE_EQ] = ACTIONS(5057),
    [anon_sym_and_eq] = ACTIONS(5055),
    [anon_sym_or_eq] = ACTIONS(5055),
    [anon_sym_xor_eq] = ACTIONS(5055),
    [anon_sym_LT_EQ_GT] = ACTIONS(5057),
    [anon_sym_or] = ACTIONS(5055),
    [anon_sym_and] = ACTIONS(5055),
    [anon_sym_bitor] = ACTIONS(5055),
    [anon_sym_xor] = ACTIONS(5055),
    [anon_sym_bitand] = ACTIONS(5055),
    [anon_sym_not_eq] = ACTIONS(5055),
    [anon_sym_DASH_DASH] = ACTIONS(5057),
    [anon_sym_PLUS_PLUS] = ACTIONS(5057),
    [anon_sym_DOT] = ACTIONS(5055),
    [anon_sym_DOT_STAR] = ACTIONS(5057),
    [anon_sym_DASH_GT] = ACTIONS(5057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5055),
    [anon_sym_decltype] = ACTIONS(5055),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5504),
    [anon_sym_COMMA] = ACTIONS(5504),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [aux_sym_preproc_if_token2] = ACTIONS(5504),
    [aux_sym_preproc_else_token1] = ACTIONS(5504),
    [aux_sym_preproc_elif_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5502),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5502),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5504),
    [anon_sym_RBRACE] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_RBRACK] = ACTIONS(5504),
    [anon_sym_EQ] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5504),
    [anon_sym_STAR_EQ] = ACTIONS(5504),
    [anon_sym_SLASH_EQ] = ACTIONS(5504),
    [anon_sym_PERCENT_EQ] = ACTIONS(5504),
    [anon_sym_PLUS_EQ] = ACTIONS(5504),
    [anon_sym_DASH_EQ] = ACTIONS(5504),
    [anon_sym_LT_LT_EQ] = ACTIONS(5504),
    [anon_sym_GT_GT_EQ] = ACTIONS(5504),
    [anon_sym_AMP_EQ] = ACTIONS(5504),
    [anon_sym_CARET_EQ] = ACTIONS(5504),
    [anon_sym_PIPE_EQ] = ACTIONS(5504),
    [anon_sym_and_eq] = ACTIONS(5502),
    [anon_sym_or_eq] = ACTIONS(5502),
    [anon_sym_xor_eq] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5504),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [anon_sym_bitor] = ACTIONS(5502),
    [anon_sym_xor] = ACTIONS(5502),
    [anon_sym_bitand] = ACTIONS(5502),
    [anon_sym_not_eq] = ACTIONS(5502),
    [anon_sym_DASH_DASH] = ACTIONS(5504),
    [anon_sym_PLUS_PLUS] = ACTIONS(5504),
    [anon_sym_DOT] = ACTIONS(5502),
    [anon_sym_DOT_STAR] = ACTIONS(5504),
    [anon_sym_DASH_GT] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5502),
  },
  [2145] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5482),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5482),
    [anon_sym_volatile] = ACTIONS(5482),
    [anon_sym_restrict] = ACTIONS(5482),
    [anon_sym___restrict__] = ACTIONS(5482),
    [anon_sym__Atomic] = ACTIONS(5482),
    [anon_sym__Noreturn] = ACTIONS(5482),
    [anon_sym_noreturn] = ACTIONS(5482),
    [anon_sym_mutable] = ACTIONS(5482),
    [anon_sym_constinit] = ACTIONS(5482),
    [anon_sym_consteval] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_bitor] = ACTIONS(5482),
    [anon_sym_xor] = ACTIONS(5482),
    [anon_sym_bitand] = ACTIONS(5482),
    [anon_sym_not_eq] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5482),
    [anon_sym_decltype] = ACTIONS(5482),
    [anon_sym_final] = ACTIONS(5482),
    [anon_sym_override] = ACTIONS(5482),
    [anon_sym_requires] = ACTIONS(5482),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [aux_sym_preproc_if_token2] = ACTIONS(5151),
    [aux_sym_preproc_else_token1] = ACTIONS(5151),
    [aux_sym_preproc_elif_token1] = ACTIONS(5149),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_RBRACK] = ACTIONS(5151),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_COLON] = ACTIONS(5151),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5149),
    [anon_sym_or_eq] = ACTIONS(5149),
    [anon_sym_xor_eq] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5244),
    [anon_sym_COMMA] = ACTIONS(5244),
    [anon_sym_RPAREN] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5244),
    [anon_sym_AMP_AMP] = ACTIONS(5244),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5244),
    [anon_sym_BANG_EQ] = ACTIONS(5244),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5244),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_SEMI] = ACTIONS(5244),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(5244),
    [anon_sym_RBRACE] = ACTIONS(5244),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_RBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_COLON] = ACTIONS(5244),
    [anon_sym_QMARK] = ACTIONS(5244),
    [anon_sym_STAR_EQ] = ACTIONS(5244),
    [anon_sym_SLASH_EQ] = ACTIONS(5244),
    [anon_sym_PERCENT_EQ] = ACTIONS(5244),
    [anon_sym_PLUS_EQ] = ACTIONS(5244),
    [anon_sym_DASH_EQ] = ACTIONS(5244),
    [anon_sym_LT_LT_EQ] = ACTIONS(5244),
    [anon_sym_GT_GT_EQ] = ACTIONS(5244),
    [anon_sym_AMP_EQ] = ACTIONS(5244),
    [anon_sym_CARET_EQ] = ACTIONS(5244),
    [anon_sym_PIPE_EQ] = ACTIONS(5244),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5244),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5244),
    [anon_sym_PLUS_PLUS] = ACTIONS(5244),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5244),
    [anon_sym_DASH_GT] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5242),
    [anon_sym_decltype] = ACTIONS(5242),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [aux_sym_preproc_if_token2] = ACTIONS(5218),
    [aux_sym_preproc_else_token1] = ACTIONS(5218),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5216),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5216),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5216),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5216),
    [anon_sym_GT_GT] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_EQ] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_STAR_EQ] = ACTIONS(5218),
    [anon_sym_SLASH_EQ] = ACTIONS(5218),
    [anon_sym_PERCENT_EQ] = ACTIONS(5218),
    [anon_sym_PLUS_EQ] = ACTIONS(5218),
    [anon_sym_DASH_EQ] = ACTIONS(5218),
    [anon_sym_LT_LT_EQ] = ACTIONS(5218),
    [anon_sym_GT_GT_EQ] = ACTIONS(5218),
    [anon_sym_AMP_EQ] = ACTIONS(5218),
    [anon_sym_CARET_EQ] = ACTIONS(5218),
    [anon_sym_PIPE_EQ] = ACTIONS(5218),
    [anon_sym_and_eq] = ACTIONS(5216),
    [anon_sym_or_eq] = ACTIONS(5216),
    [anon_sym_xor_eq] = ACTIONS(5216),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(5238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_RPAREN] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_SEMI] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5238),
    [anon_sym_LBRACE] = ACTIONS(5240),
    [anon_sym_RBRACE] = ACTIONS(5240),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_RBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_COLON] = ACTIONS(5240),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5240),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5238),
    [anon_sym_decltype] = ACTIONS(5238),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(5193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5195),
    [anon_sym_COMMA] = ACTIONS(5195),
    [anon_sym_RPAREN] = ACTIONS(5195),
    [aux_sym_preproc_if_token2] = ACTIONS(5195),
    [aux_sym_preproc_else_token1] = ACTIONS(5195),
    [aux_sym_preproc_elif_token1] = ACTIONS(5193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5195),
    [anon_sym_LPAREN2] = ACTIONS(5195),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_STAR] = ACTIONS(5193),
    [anon_sym_SLASH] = ACTIONS(5193),
    [anon_sym_PERCENT] = ACTIONS(5193),
    [anon_sym_PIPE_PIPE] = ACTIONS(5195),
    [anon_sym_AMP_AMP] = ACTIONS(5195),
    [anon_sym_PIPE] = ACTIONS(5193),
    [anon_sym_CARET] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(5193),
    [anon_sym_EQ_EQ] = ACTIONS(5195),
    [anon_sym_BANG_EQ] = ACTIONS(5195),
    [anon_sym_GT] = ACTIONS(5193),
    [anon_sym_GT_EQ] = ACTIONS(5195),
    [anon_sym_LT_EQ] = ACTIONS(5193),
    [anon_sym_LT] = ACTIONS(5193),
    [anon_sym_LT_LT] = ACTIONS(5193),
    [anon_sym_GT_GT] = ACTIONS(5193),
    [anon_sym_SEMI] = ACTIONS(5195),
    [anon_sym___attribute__] = ACTIONS(5193),
    [anon_sym_LBRACE] = ACTIONS(5195),
    [anon_sym_RBRACE] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5195),
    [anon_sym_RBRACK] = ACTIONS(5195),
    [anon_sym_EQ] = ACTIONS(5193),
    [anon_sym_COLON] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5195),
    [anon_sym_STAR_EQ] = ACTIONS(5195),
    [anon_sym_SLASH_EQ] = ACTIONS(5195),
    [anon_sym_PERCENT_EQ] = ACTIONS(5195),
    [anon_sym_PLUS_EQ] = ACTIONS(5195),
    [anon_sym_DASH_EQ] = ACTIONS(5195),
    [anon_sym_LT_LT_EQ] = ACTIONS(5195),
    [anon_sym_GT_GT_EQ] = ACTIONS(5195),
    [anon_sym_AMP_EQ] = ACTIONS(5195),
    [anon_sym_CARET_EQ] = ACTIONS(5195),
    [anon_sym_PIPE_EQ] = ACTIONS(5195),
    [anon_sym_and_eq] = ACTIONS(5193),
    [anon_sym_or_eq] = ACTIONS(5193),
    [anon_sym_xor_eq] = ACTIONS(5193),
    [anon_sym_LT_EQ_GT] = ACTIONS(5195),
    [anon_sym_or] = ACTIONS(5193),
    [anon_sym_and] = ACTIONS(5193),
    [anon_sym_bitor] = ACTIONS(5193),
    [anon_sym_xor] = ACTIONS(5193),
    [anon_sym_bitand] = ACTIONS(5193),
    [anon_sym_not_eq] = ACTIONS(5193),
    [anon_sym_DASH_DASH] = ACTIONS(5195),
    [anon_sym_PLUS_PLUS] = ACTIONS(5195),
    [anon_sym_DOT] = ACTIONS(5193),
    [anon_sym_DOT_STAR] = ACTIONS(5195),
    [anon_sym_DASH_GT] = ACTIONS(5195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5193),
    [anon_sym_decltype] = ACTIONS(5193),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5090),
    [anon_sym_COMMA] = ACTIONS(5090),
    [anon_sym_RPAREN] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_else_token1] = ACTIONS(5090),
    [aux_sym_preproc_elif_token1] = ACTIONS(5088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_STAR] = ACTIONS(5088),
    [anon_sym_SLASH] = ACTIONS(5088),
    [anon_sym_PERCENT] = ACTIONS(5088),
    [anon_sym_PIPE_PIPE] = ACTIONS(5090),
    [anon_sym_AMP_AMP] = ACTIONS(5090),
    [anon_sym_PIPE] = ACTIONS(5088),
    [anon_sym_CARET] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(5088),
    [anon_sym_EQ_EQ] = ACTIONS(5090),
    [anon_sym_BANG_EQ] = ACTIONS(5090),
    [anon_sym_GT] = ACTIONS(5088),
    [anon_sym_GT_EQ] = ACTIONS(5090),
    [anon_sym_LT_EQ] = ACTIONS(5088),
    [anon_sym_LT] = ACTIONS(5088),
    [anon_sym_LT_LT] = ACTIONS(5088),
    [anon_sym_GT_GT] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5090),
    [anon_sym_RBRACE] = ACTIONS(5090),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_RBRACK] = ACTIONS(5090),
    [anon_sym_EQ] = ACTIONS(5088),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5090),
    [anon_sym_STAR_EQ] = ACTIONS(5090),
    [anon_sym_SLASH_EQ] = ACTIONS(5090),
    [anon_sym_PERCENT_EQ] = ACTIONS(5090),
    [anon_sym_PLUS_EQ] = ACTIONS(5090),
    [anon_sym_DASH_EQ] = ACTIONS(5090),
    [anon_sym_LT_LT_EQ] = ACTIONS(5090),
    [anon_sym_GT_GT_EQ] = ACTIONS(5090),
    [anon_sym_AMP_EQ] = ACTIONS(5090),
    [anon_sym_CARET_EQ] = ACTIONS(5090),
    [anon_sym_PIPE_EQ] = ACTIONS(5090),
    [anon_sym_and_eq] = ACTIONS(5088),
    [anon_sym_or_eq] = ACTIONS(5088),
    [anon_sym_xor_eq] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5090),
    [anon_sym_or] = ACTIONS(5088),
    [anon_sym_and] = ACTIONS(5088),
    [anon_sym_bitor] = ACTIONS(5088),
    [anon_sym_xor] = ACTIONS(5088),
    [anon_sym_bitand] = ACTIONS(5088),
    [anon_sym_not_eq] = ACTIONS(5088),
    [anon_sym_DASH_DASH] = ACTIONS(5090),
    [anon_sym_PLUS_PLUS] = ACTIONS(5090),
    [anon_sym_DOT] = ACTIONS(5088),
    [anon_sym_DOT_STAR] = ACTIONS(5090),
    [anon_sym_DASH_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(5088),
  },
  [2152] = {
    [sym_string_literal] = STATE(1990),
    [sym_raw_string_literal] = STATE(1990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [anon_sym_L_DQUOTE] = ACTIONS(5171),
    [anon_sym_u_DQUOTE] = ACTIONS(5171),
    [anon_sym_U_DQUOTE] = ACTIONS(5171),
    [anon_sym_u8_DQUOTE] = ACTIONS(5171),
    [anon_sym_DQUOTE] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5173),
    [anon_sym_LR_DQUOTE] = ACTIONS(5173),
    [anon_sym_uR_DQUOTE] = ACTIONS(5173),
    [anon_sym_UR_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5173),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [2153] = {
    [sym_string_literal] = STATE(1990),
    [sym_raw_string_literal] = STATE(1990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_PERCENT] = ACTIONS(3646),
    [anon_sym_PIPE_PIPE] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_PIPE] = ACTIONS(3646),
    [anon_sym_CARET] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(3646),
    [anon_sym_EQ_EQ] = ACTIONS(3638),
    [anon_sym_BANG_EQ] = ACTIONS(3638),
    [anon_sym_GT] = ACTIONS(3646),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_LT_EQ] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_LT_LT] = ACTIONS(3646),
    [anon_sym_GT_GT] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___attribute__] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_EQ] = ACTIONS(3646),
    [anon_sym_QMARK] = ACTIONS(3638),
    [anon_sym_STAR_EQ] = ACTIONS(3638),
    [anon_sym_SLASH_EQ] = ACTIONS(3638),
    [anon_sym_PERCENT_EQ] = ACTIONS(3638),
    [anon_sym_PLUS_EQ] = ACTIONS(3638),
    [anon_sym_DASH_EQ] = ACTIONS(3638),
    [anon_sym_LT_LT_EQ] = ACTIONS(3638),
    [anon_sym_GT_GT_EQ] = ACTIONS(3638),
    [anon_sym_AMP_EQ] = ACTIONS(3638),
    [anon_sym_CARET_EQ] = ACTIONS(3638),
    [anon_sym_PIPE_EQ] = ACTIONS(3638),
    [anon_sym_and_eq] = ACTIONS(3646),
    [anon_sym_or_eq] = ACTIONS(3646),
    [anon_sym_xor_eq] = ACTIONS(3646),
    [anon_sym_LT_EQ_GT] = ACTIONS(3638),
    [anon_sym_or] = ACTIONS(3646),
    [anon_sym_and] = ACTIONS(3646),
    [anon_sym_bitor] = ACTIONS(3646),
    [anon_sym_xor] = ACTIONS(3646),
    [anon_sym_bitand] = ACTIONS(3646),
    [anon_sym_not_eq] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DOT] = ACTIONS(3646),
    [anon_sym_DOT_STAR] = ACTIONS(3638),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(5171),
    [anon_sym_u_DQUOTE] = ACTIONS(5171),
    [anon_sym_U_DQUOTE] = ACTIONS(5171),
    [anon_sym_u8_DQUOTE] = ACTIONS(5171),
    [anon_sym_DQUOTE] = ACTIONS(5171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5173),
    [anon_sym_LR_DQUOTE] = ACTIONS(5173),
    [anon_sym_uR_DQUOTE] = ACTIONS(5173),
    [anon_sym_UR_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5173),
    [sym_literal_suffix] = ACTIONS(4864),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5106),
    [anon_sym_COMMA] = ACTIONS(5106),
    [anon_sym_RPAREN] = ACTIONS(5106),
    [aux_sym_preproc_if_token2] = ACTIONS(5106),
    [aux_sym_preproc_else_token1] = ACTIONS(5106),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5104),
    [anon_sym_SLASH] = ACTIONS(5104),
    [anon_sym_PERCENT] = ACTIONS(5104),
    [anon_sym_PIPE_PIPE] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_PIPE] = ACTIONS(5104),
    [anon_sym_CARET] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym_EQ_EQ] = ACTIONS(5106),
    [anon_sym_BANG_EQ] = ACTIONS(5106),
    [anon_sym_GT] = ACTIONS(5104),
    [anon_sym_GT_EQ] = ACTIONS(5106),
    [anon_sym_LT_EQ] = ACTIONS(5104),
    [anon_sym_LT] = ACTIONS(5104),
    [anon_sym_LT_LT] = ACTIONS(5104),
    [anon_sym_GT_GT] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym_LBRACE] = ACTIONS(5106),
    [anon_sym_RBRACE] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [anon_sym_RBRACK] = ACTIONS(5106),
    [anon_sym_EQ] = ACTIONS(5104),
    [anon_sym_COLON] = ACTIONS(5106),
    [anon_sym_QMARK] = ACTIONS(5106),
    [anon_sym_STAR_EQ] = ACTIONS(5106),
    [anon_sym_SLASH_EQ] = ACTIONS(5106),
    [anon_sym_PERCENT_EQ] = ACTIONS(5106),
    [anon_sym_PLUS_EQ] = ACTIONS(5106),
    [anon_sym_DASH_EQ] = ACTIONS(5106),
    [anon_sym_LT_LT_EQ] = ACTIONS(5106),
    [anon_sym_GT_GT_EQ] = ACTIONS(5106),
    [anon_sym_AMP_EQ] = ACTIONS(5106),
    [anon_sym_CARET_EQ] = ACTIONS(5106),
    [anon_sym_PIPE_EQ] = ACTIONS(5106),
    [anon_sym_and_eq] = ACTIONS(5104),
    [anon_sym_or_eq] = ACTIONS(5104),
    [anon_sym_xor_eq] = ACTIONS(5104),
    [anon_sym_LT_EQ_GT] = ACTIONS(5106),
    [anon_sym_or] = ACTIONS(5104),
    [anon_sym_and] = ACTIONS(5104),
    [anon_sym_bitor] = ACTIONS(5104),
    [anon_sym_xor] = ACTIONS(5104),
    [anon_sym_bitand] = ACTIONS(5104),
    [anon_sym_not_eq] = ACTIONS(5104),
    [anon_sym_DASH_DASH] = ACTIONS(5106),
    [anon_sym_PLUS_PLUS] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_DOT_STAR] = ACTIONS(5106),
    [anon_sym_DASH_GT] = ACTIONS(5106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [aux_sym_preproc_if_token2] = ACTIONS(5147),
    [aux_sym_preproc_else_token1] = ACTIONS(5147),
    [aux_sym_preproc_elif_token1] = ACTIONS(5145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_RBRACK] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5147),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5082),
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5080),
    [anon_sym_PLUS] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5080),
    [anon_sym_PIPE_PIPE] = ACTIONS(5082),
    [anon_sym_AMP_AMP] = ACTIONS(5082),
    [anon_sym_PIPE] = ACTIONS(5080),
    [anon_sym_CARET] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5080),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_BANG_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5080),
    [anon_sym_LT] = ACTIONS(5080),
    [anon_sym_LT_LT] = ACTIONS(5080),
    [anon_sym_GT_GT] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5080),
    [anon_sym_LBRACE] = ACTIONS(5082),
    [anon_sym_RBRACE] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_RBRACK] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5080),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [anon_sym_STAR_EQ] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [anon_sym_PERCENT_EQ] = ACTIONS(5082),
    [anon_sym_PLUS_EQ] = ACTIONS(5082),
    [anon_sym_DASH_EQ] = ACTIONS(5082),
    [anon_sym_LT_LT_EQ] = ACTIONS(5082),
    [anon_sym_GT_GT_EQ] = ACTIONS(5082),
    [anon_sym_AMP_EQ] = ACTIONS(5082),
    [anon_sym_CARET_EQ] = ACTIONS(5082),
    [anon_sym_PIPE_EQ] = ACTIONS(5082),
    [anon_sym_and_eq] = ACTIONS(5080),
    [anon_sym_or_eq] = ACTIONS(5080),
    [anon_sym_xor_eq] = ACTIONS(5080),
    [anon_sym_LT_EQ_GT] = ACTIONS(5082),
    [anon_sym_or] = ACTIONS(5080),
    [anon_sym_and] = ACTIONS(5080),
    [anon_sym_bitor] = ACTIONS(5080),
    [anon_sym_xor] = ACTIONS(5080),
    [anon_sym_bitand] = ACTIONS(5080),
    [anon_sym_not_eq] = ACTIONS(5080),
    [anon_sym_DASH_DASH] = ACTIONS(5082),
    [anon_sym_PLUS_PLUS] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_DOT_STAR] = ACTIONS(5082),
    [anon_sym_DASH_GT] = ACTIONS(5082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5080),
    [anon_sym_decltype] = ACTIONS(5080),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5508),
    [anon_sym_COMMA] = ACTIONS(5508),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5506),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym_EQ_EQ] = ACTIONS(5508),
    [anon_sym_BANG_EQ] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5506),
    [anon_sym_GT_EQ] = ACTIONS(5508),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5506),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_RBRACE] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_EQ] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_QMARK] = ACTIONS(5508),
    [anon_sym_STAR_EQ] = ACTIONS(5508),
    [anon_sym_SLASH_EQ] = ACTIONS(5508),
    [anon_sym_PERCENT_EQ] = ACTIONS(5508),
    [anon_sym_PLUS_EQ] = ACTIONS(5508),
    [anon_sym_DASH_EQ] = ACTIONS(5508),
    [anon_sym_LT_LT_EQ] = ACTIONS(5508),
    [anon_sym_GT_GT_EQ] = ACTIONS(5508),
    [anon_sym_AMP_EQ] = ACTIONS(5508),
    [anon_sym_CARET_EQ] = ACTIONS(5508),
    [anon_sym_PIPE_EQ] = ACTIONS(5508),
    [anon_sym_and_eq] = ACTIONS(5506),
    [anon_sym_or_eq] = ACTIONS(5506),
    [anon_sym_xor_eq] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5508),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [anon_sym_bitor] = ACTIONS(5506),
    [anon_sym_xor] = ACTIONS(5506),
    [anon_sym_bitand] = ACTIONS(5506),
    [anon_sym_not_eq] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_DOT_STAR] = ACTIONS(5508),
    [anon_sym_DASH_GT] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5506),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5512),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_EQ] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_STAR_EQ] = ACTIONS(5512),
    [anon_sym_SLASH_EQ] = ACTIONS(5512),
    [anon_sym_PERCENT_EQ] = ACTIONS(5512),
    [anon_sym_PLUS_EQ] = ACTIONS(5512),
    [anon_sym_DASH_EQ] = ACTIONS(5512),
    [anon_sym_LT_LT_EQ] = ACTIONS(5512),
    [anon_sym_GT_GT_EQ] = ACTIONS(5512),
    [anon_sym_AMP_EQ] = ACTIONS(5512),
    [anon_sym_CARET_EQ] = ACTIONS(5512),
    [anon_sym_PIPE_EQ] = ACTIONS(5512),
    [anon_sym_and_eq] = ACTIONS(5510),
    [anon_sym_or_eq] = ACTIONS(5510),
    [anon_sym_xor_eq] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5510),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_STAR_EQ] = ACTIONS(5516),
    [anon_sym_SLASH_EQ] = ACTIONS(5516),
    [anon_sym_PERCENT_EQ] = ACTIONS(5516),
    [anon_sym_PLUS_EQ] = ACTIONS(5516),
    [anon_sym_DASH_EQ] = ACTIONS(5516),
    [anon_sym_LT_LT_EQ] = ACTIONS(5516),
    [anon_sym_GT_GT_EQ] = ACTIONS(5516),
    [anon_sym_AMP_EQ] = ACTIONS(5516),
    [anon_sym_CARET_EQ] = ACTIONS(5516),
    [anon_sym_PIPE_EQ] = ACTIONS(5516),
    [anon_sym_and_eq] = ACTIONS(5514),
    [anon_sym_or_eq] = ACTIONS(5514),
    [anon_sym_xor_eq] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5514),
  },
  [2160] = {
    [sym__declaration_modifiers] = STATE(3649),
    [sym_attribute_specifier] = STATE(3649),
    [sym_attribute_declaration] = STATE(3649),
    [sym_ms_declspec_modifier] = STATE(3649),
    [sym_storage_class_specifier] = STATE(3649),
    [sym_type_qualifier] = STATE(3649),
    [sym__type_specifier] = STATE(2561),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3649),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6319),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3649),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5084),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_PIPE] = ACTIONS(5084),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5084),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(5084),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5086),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_RBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5084),
    [anon_sym_or_eq] = ACTIONS(5084),
    [anon_sym_xor_eq] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5084),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5094),
    [anon_sym_COMMA] = ACTIONS(5094),
    [anon_sym_RPAREN] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_else_token1] = ACTIONS(5094),
    [aux_sym_preproc_elif_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_STAR] = ACTIONS(5092),
    [anon_sym_SLASH] = ACTIONS(5092),
    [anon_sym_PERCENT] = ACTIONS(5092),
    [anon_sym_PIPE_PIPE] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_PIPE] = ACTIONS(5092),
    [anon_sym_CARET] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym_EQ_EQ] = ACTIONS(5094),
    [anon_sym_BANG_EQ] = ACTIONS(5094),
    [anon_sym_GT] = ACTIONS(5092),
    [anon_sym_GT_EQ] = ACTIONS(5094),
    [anon_sym_LT_EQ] = ACTIONS(5092),
    [anon_sym_LT] = ACTIONS(5092),
    [anon_sym_LT_LT] = ACTIONS(5092),
    [anon_sym_GT_GT] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5094),
    [anon_sym_RBRACE] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_RBRACK] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5092),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5094),
    [anon_sym_STAR_EQ] = ACTIONS(5094),
    [anon_sym_SLASH_EQ] = ACTIONS(5094),
    [anon_sym_PERCENT_EQ] = ACTIONS(5094),
    [anon_sym_PLUS_EQ] = ACTIONS(5094),
    [anon_sym_DASH_EQ] = ACTIONS(5094),
    [anon_sym_LT_LT_EQ] = ACTIONS(5094),
    [anon_sym_GT_GT_EQ] = ACTIONS(5094),
    [anon_sym_AMP_EQ] = ACTIONS(5094),
    [anon_sym_CARET_EQ] = ACTIONS(5094),
    [anon_sym_PIPE_EQ] = ACTIONS(5094),
    [anon_sym_and_eq] = ACTIONS(5092),
    [anon_sym_or_eq] = ACTIONS(5092),
    [anon_sym_xor_eq] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5094),
    [anon_sym_or] = ACTIONS(5092),
    [anon_sym_and] = ACTIONS(5092),
    [anon_sym_bitor] = ACTIONS(5092),
    [anon_sym_xor] = ACTIONS(5092),
    [anon_sym_bitand] = ACTIONS(5092),
    [anon_sym_not_eq] = ACTIONS(5092),
    [anon_sym_DASH_DASH] = ACTIONS(5094),
    [anon_sym_PLUS_PLUS] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5092),
    [anon_sym_DOT_STAR] = ACTIONS(5094),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [aux_sym_preproc_if_token2] = ACTIONS(5098),
    [aux_sym_preproc_else_token1] = ACTIONS(5098),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_STAR_EQ] = ACTIONS(5098),
    [anon_sym_SLASH_EQ] = ACTIONS(5098),
    [anon_sym_PERCENT_EQ] = ACTIONS(5098),
    [anon_sym_PLUS_EQ] = ACTIONS(5098),
    [anon_sym_DASH_EQ] = ACTIONS(5098),
    [anon_sym_LT_LT_EQ] = ACTIONS(5098),
    [anon_sym_GT_GT_EQ] = ACTIONS(5098),
    [anon_sym_AMP_EQ] = ACTIONS(5098),
    [anon_sym_CARET_EQ] = ACTIONS(5098),
    [anon_sym_PIPE_EQ] = ACTIONS(5098),
    [anon_sym_and_eq] = ACTIONS(5096),
    [anon_sym_or_eq] = ACTIONS(5096),
    [anon_sym_xor_eq] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(5100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5102),
    [anon_sym_COMMA] = ACTIONS(5102),
    [anon_sym_RPAREN] = ACTIONS(5102),
    [aux_sym_preproc_if_token2] = ACTIONS(5102),
    [aux_sym_preproc_else_token1] = ACTIONS(5102),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5100),
    [anon_sym_STAR] = ACTIONS(5100),
    [anon_sym_SLASH] = ACTIONS(5100),
    [anon_sym_PERCENT] = ACTIONS(5100),
    [anon_sym_PIPE_PIPE] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_PIPE] = ACTIONS(5100),
    [anon_sym_CARET] = ACTIONS(5100),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym_EQ_EQ] = ACTIONS(5102),
    [anon_sym_BANG_EQ] = ACTIONS(5102),
    [anon_sym_GT] = ACTIONS(5100),
    [anon_sym_GT_EQ] = ACTIONS(5102),
    [anon_sym_LT_EQ] = ACTIONS(5100),
    [anon_sym_LT] = ACTIONS(5100),
    [anon_sym_LT_LT] = ACTIONS(5100),
    [anon_sym_GT_GT] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5102),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5102),
    [anon_sym_RBRACE] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_RBRACK] = ACTIONS(5102),
    [anon_sym_EQ] = ACTIONS(5100),
    [anon_sym_COLON] = ACTIONS(5102),
    [anon_sym_QMARK] = ACTIONS(5102),
    [anon_sym_STAR_EQ] = ACTIONS(5102),
    [anon_sym_SLASH_EQ] = ACTIONS(5102),
    [anon_sym_PERCENT_EQ] = ACTIONS(5102),
    [anon_sym_PLUS_EQ] = ACTIONS(5102),
    [anon_sym_DASH_EQ] = ACTIONS(5102),
    [anon_sym_LT_LT_EQ] = ACTIONS(5102),
    [anon_sym_GT_GT_EQ] = ACTIONS(5102),
    [anon_sym_AMP_EQ] = ACTIONS(5102),
    [anon_sym_CARET_EQ] = ACTIONS(5102),
    [anon_sym_PIPE_EQ] = ACTIONS(5102),
    [anon_sym_and_eq] = ACTIONS(5100),
    [anon_sym_or_eq] = ACTIONS(5100),
    [anon_sym_xor_eq] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5102),
    [anon_sym_or] = ACTIONS(5100),
    [anon_sym_and] = ACTIONS(5100),
    [anon_sym_bitor] = ACTIONS(5100),
    [anon_sym_xor] = ACTIONS(5100),
    [anon_sym_bitand] = ACTIONS(5100),
    [anon_sym_not_eq] = ACTIONS(5100),
    [anon_sym_DASH_DASH] = ACTIONS(5102),
    [anon_sym_PLUS_PLUS] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_DOT_STAR] = ACTIONS(5102),
    [anon_sym_DASH_GT] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
  },
  [2165] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5478),
    [anon_sym_volatile] = ACTIONS(5478),
    [anon_sym_restrict] = ACTIONS(5478),
    [anon_sym___restrict__] = ACTIONS(5478),
    [anon_sym__Atomic] = ACTIONS(5478),
    [anon_sym__Noreturn] = ACTIONS(5478),
    [anon_sym_noreturn] = ACTIONS(5478),
    [anon_sym_mutable] = ACTIONS(5478),
    [anon_sym_constinit] = ACTIONS(5478),
    [anon_sym_consteval] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_bitor] = ACTIONS(5478),
    [anon_sym_xor] = ACTIONS(5478),
    [anon_sym_bitand] = ACTIONS(5478),
    [anon_sym_not_eq] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
    [anon_sym_final] = ACTIONS(5478),
    [anon_sym_override] = ACTIONS(5478),
    [anon_sym_requires] = ACTIONS(5478),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5098),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [aux_sym_preproc_if_token2] = ACTIONS(5098),
    [aux_sym_preproc_else_token1] = ACTIONS(5098),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5098),
    [anon_sym_BANG_EQ] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5096),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_RBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5098),
    [anon_sym_STAR_EQ] = ACTIONS(5098),
    [anon_sym_SLASH_EQ] = ACTIONS(5098),
    [anon_sym_PERCENT_EQ] = ACTIONS(5098),
    [anon_sym_PLUS_EQ] = ACTIONS(5098),
    [anon_sym_DASH_EQ] = ACTIONS(5098),
    [anon_sym_LT_LT_EQ] = ACTIONS(5098),
    [anon_sym_GT_GT_EQ] = ACTIONS(5098),
    [anon_sym_AMP_EQ] = ACTIONS(5098),
    [anon_sym_CARET_EQ] = ACTIONS(5098),
    [anon_sym_PIPE_EQ] = ACTIONS(5098),
    [anon_sym_and_eq] = ACTIONS(5096),
    [anon_sym_or_eq] = ACTIONS(5096),
    [anon_sym_xor_eq] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5098),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5096),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5098),
    [anon_sym_PLUS_PLUS] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_DOT_STAR] = ACTIONS(5098),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
  },
  [2167] = {
    [sym__declaration_modifiers] = STATE(3649),
    [sym_attribute_specifier] = STATE(3649),
    [sym_attribute_declaration] = STATE(3649),
    [sym_ms_declspec_modifier] = STATE(3649),
    [sym_storage_class_specifier] = STATE(3649),
    [sym_type_qualifier] = STATE(3649),
    [sym__type_specifier] = STATE(2561),
    [sym_sized_type_specifier] = STATE(2673),
    [sym_enum_specifier] = STATE(2673),
    [sym_struct_specifier] = STATE(2673),
    [sym_union_specifier] = STATE(2673),
    [sym_placeholder_type_specifier] = STATE(2673),
    [sym_decltype_auto] = STATE(2642),
    [sym_decltype] = STATE(2598),
    [sym_class_specifier] = STATE(2673),
    [sym_alignas_specifier] = STATE(3649),
    [sym_dependent_type] = STATE(2673),
    [sym_template_type] = STATE(2598),
    [sym_dependent_type_identifier] = STATE(8136),
    [sym__scope_resolution] = STATE(6322),
    [sym_qualified_type_identifier] = STATE(3414),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3649),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2662),
    [sym_identifier] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1724),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_class] = ACTIONS(1750),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [sym_virtual] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1780),
    [anon_sym_template] = ACTIONS(1410),
  },
  [2168] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5463),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5463),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_CARET] = ACTIONS(5463),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5461),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5463),
    [anon_sym_GT_GT] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_LBRACE] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5461),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_QMARK] = ACTIONS(5463),
    [anon_sym_LT_EQ_GT] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5463),
    [anon_sym_and] = ACTIONS(5463),
    [anon_sym_bitor] = ACTIONS(5463),
    [anon_sym_xor] = ACTIONS(5463),
    [anon_sym_bitand] = ACTIONS(5463),
    [anon_sym_not_eq] = ACTIONS(5463),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_DOT_STAR] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_final] = ACTIONS(5463),
    [anon_sym_override] = ACTIONS(5463),
    [anon_sym_requires] = ACTIONS(5463),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2618), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [71] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2758), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2842), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2732), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2634), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4988), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1783), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2713), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2725), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5008), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4984), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2650), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_LBRACK,
    STATE(2396), 1,
      sym_new_declarator,
    ACTIONS(5520), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5522), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2858), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2638), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2634), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2709), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2638), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2798), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5524), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5526), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4972), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2858), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5004), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2858), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5024), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2810), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5030), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5028), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2883), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2654), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2125), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5459), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4892), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2782), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2782), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4980), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2889), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2858), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2742), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2742), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4976), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2528), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2646), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2826), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2536), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4972), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5032), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2956), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5032), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 1,
      sym_identifier,
    STATE(2220), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5531), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5534), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4714), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4712), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2679), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4878), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2883), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2810), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5036), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2598), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2798), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2948), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5008), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2721), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4534), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2738), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4874), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2650), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2956), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2713), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2822), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4874), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2721), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2742), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3584), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [5278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2646), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2175), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5078), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [5424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4976), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4916), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2742), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4920), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4920), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4920), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2854), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4994), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4992), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5004), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4976), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2782), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2948), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5042), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5040), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5024), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4912), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2790), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4908), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2897), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5008), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2309), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5439), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4882), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2822), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6990] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6220), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2860), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5543), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [7113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5020), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2826), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4972), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2879), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2786), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5016), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2725), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym___attribute__,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(5559), 1,
      anon_sym_COLON,
    STATE(1996), 1,
      sym__enum_base_clause,
    STATE(2064), 1,
      sym_enumerator_list,
    STATE(2105), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5557), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4904), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2560), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2556), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2717), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4968), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4996), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8332] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6150), 1,
      sym__declarator,
    STATE(6216), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2267), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(2882), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5561), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [8455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2598), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2366), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5449), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2897), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2782), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5000), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4968), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4972), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5000), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2754), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4916), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4996), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4980), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      sym_identifier,
    STATE(2341), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3977), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3979), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4667), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4665), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [9461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2850), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2846), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4964), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym___attribute__,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(5559), 1,
      anon_sym_COLON,
    STATE(2005), 1,
      sym__enum_base_clause,
    STATE(2069), 1,
      sym_enumerator_list,
    STATE(2083), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5569), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2932), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5036), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2964), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4976), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1783), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5396), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2770), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2758), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5014), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5012), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2770), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4878), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4851), 1,
      anon_sym_LT,
    STATE(2189), 1,
      sym_template_argument_list,
    ACTIONS(5571), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5573), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2905), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2618), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2754), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2679), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2750), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4916), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2700), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2746), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2732), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2746), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4874), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2790), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2717), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4851), 1,
      anon_sym_LT,
    STATE(2189), 1,
      sym_template_argument_list,
    ACTIONS(5575), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5577), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2638), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2638), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5032), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2700), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2634), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_attribute_specifier,
    STATE(2547), 1,
      sym_field_declaration_list,
    STATE(6602), 1,
      sym_virtual_specifier,
    STATE(7460), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4780), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [12345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4912), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      sym_identifier,
    STATE(2220), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3977), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3979), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4730), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4728), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5030), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5028), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5032), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4874), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2738), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4882), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2850), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2175), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4892), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [12996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4908), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2842), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2964), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1783), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [13284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4964), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2786), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [13497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2564), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5014), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5012), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4904), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5042), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5040), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2932), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2750), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4994), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4992), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4916), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4988), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    STATE(2059), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5346), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5348), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3638), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3646), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [14215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1783), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5463), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [14290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3598), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [14361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2854), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(4984), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2889), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2879), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2905), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2846), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2709), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2634), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5020), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2654), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2560), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    STATE(2059), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5346), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5348), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4860), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [15292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5008), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5016), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4528), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15504] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5589), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [15588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4900), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 1,
      sym_identifier,
    ACTIONS(5605), 1,
      sym_primitive_type,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5232), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [15808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4900), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4750), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5612), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4499), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5249), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16590] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 1,
      sym_identifier,
    ACTIONS(5618), 1,
      sym_primitive_type,
    STATE(2443), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5616), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5232), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [16668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1950), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1922), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5620), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5622), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16880] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5626), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5628), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4491), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4520), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4524), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17314] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5630), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5632), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [17398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5634), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5636), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [17482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3600), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5640), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [17704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5644), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4896), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4495), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2824), 1,
      sym_field_declaration_list,
    STATE(2940), 1,
      sym_attribute_specifier,
    STATE(6599), 1,
      sym_virtual_specifier,
    STATE(7545), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4780), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5656), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5658), 1,
      anon_sym_or,
    ACTIONS(5660), 1,
      anon_sym_and,
    ACTIONS(5652), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5664), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4896), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3586), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [18512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5672), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4896), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2568), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5256), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4938), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4896), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4487), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(4750), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [19018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5681), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5685), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 1,
      anon_sym_LT,
    STATE(2232), 1,
      sym_template_argument_list,
    ACTIONS(5687), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5689), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5696), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5700), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5700), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5700), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_and,
    ACTIONS(5704), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5702), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4896), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19728] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5710), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5712), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [19812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5249), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [19888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4938), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4896), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4675), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5716), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4771), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [20304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5724), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4687), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5728), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20649] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(5732), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5734), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6401), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(5543), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [20770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1920), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21115] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(5738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_AMP,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6419), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(5543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3096), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [21236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4505), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3528), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5744), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2596), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5256), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5750), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4767), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [21658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5754), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5758), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_or,
    ACTIONS(5766), 1,
      anon_sym_and,
    ACTIONS(5650), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5652), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21873] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(3027), 1,
      sym_attribute_specifier,
    STATE(6801), 1,
      sym_virtual_specifier,
    STATE(7361), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4780), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5774), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4691), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4759), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [22165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5778), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4683), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4683), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4683), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22441] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(5732), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5734), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6150), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(5561), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2455), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3102), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4695), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5782), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5622), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5788), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4750), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [22911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5793), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5797), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4679), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1948), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4661), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4763), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5801), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23394] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(5738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_AMP,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6150), 1,
      sym__declarator,
    STATE(6431), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(5561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2461), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [23515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5805), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5809), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5813), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5817), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5821), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5825), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5829), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5788), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5249), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [24073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2568), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(5831), 1,
      anon_sym___attribute__,
    ACTIONS(5833), 1,
      anon_sym_COLON,
    STATE(1996), 1,
      sym__enum_base_clause,
    STATE(2064), 1,
      sym_enumerator_list,
    STATE(2105), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5557), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [24292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5766), 1,
      anon_sym_and,
    ACTIONS(5702), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5704), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5837), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4699), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4671), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5841), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5845), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5853), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4703), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(5831), 1,
      anon_sym___attribute__,
    ACTIONS(5833), 1,
      anon_sym_COLON,
    STATE(2005), 1,
      sym__enum_base_clause,
    STATE(2069), 1,
      sym_enumerator_list,
    STATE(2083), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5569), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [25067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    STATE(2021), 1,
      sym_attribute_specifier,
    STATE(2576), 1,
      sym_enumerator_list,
    ACTIONS(5187), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5189), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [25144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5857), 1,
      anon_sym_LT,
    STATE(2568), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(5674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3644), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5865), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5869), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5873), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4657), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5877), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5881), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5885), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5889), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5893), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5897), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5901), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5905), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5909), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5911), 1,
      sym_identifier,
    ACTIONS(5915), 1,
      sym_primitive_type,
    STATE(2500), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5913), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5232), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [26266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5919), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5923), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4724), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_attribute_specifier,
    STATE(2553), 1,
      sym_enumerator_list,
    ACTIONS(5208), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5210), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    STATE(2299), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3977), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3979), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [26627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    STATE(2299), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3977), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3979), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3646), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [26704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5927), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5935), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26911] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5561), 1,
      anon_sym_RPAREN,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6174), 1,
      sym__declarator,
    STATE(6431), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2580), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3230), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5939), 1,
      sym_identifier,
    STATE(2571), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4667), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4665), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5396), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5463), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1958), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5366), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1975), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5379), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1963), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5310), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5943), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [27535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1965), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5291), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2788), 1,
      sym_field_declaration_list,
    STATE(2956), 1,
      sym_attribute_specifier,
    STATE(6609), 1,
      sym_virtual_specifier,
    STATE(7458), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4780), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [27691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5396), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5463), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(2020), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5306), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2552), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5953), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5449), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [28047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5955), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5078), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2551), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5439), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [28259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5482), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(2022), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5356), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(5967), 1,
      sym_virtual,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(2652), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(5961), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5959), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [28493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1955), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5322), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(2009), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5338), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5449), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5971), 1,
      sym_identifier,
    STATE(2566), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5974), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5977), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4714), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4712), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2543), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5980), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5439), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5982), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5078), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5986), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5984), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [29141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5988), 1,
      sym_identifier,
    STATE(2566), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4730), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4728), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1981), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5330), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1971), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5360), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5478), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29433] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5990), 1,
      anon_sym_LT,
    STATE(2596), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(5746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3644), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(1991), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5326), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    STATE(2010), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5295), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5857), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(4849), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3662), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5992), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [29797] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5543), 1,
      anon_sym_RPAREN,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6178), 1,
      sym__declarator,
    STATE(6419), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5996), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(4503), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4510), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30059] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6001), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [30149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2564), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5982), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30288] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    ACTIONS(6007), 1,
      anon_sym_COLON,
    STATE(2727), 1,
      sym__enum_base_clause,
    STATE(2743), 1,
      sym_enumerator_list,
    STATE(2934), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5557), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5449), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4539), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4767), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4759), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2592), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6011), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5439), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5396), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6015), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(4503), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4510), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [30854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4902), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    ACTIONS(6007), 1,
      anon_sym_COLON,
    STATE(2683), 1,
      sym__enum_base_clause,
    STATE(2821), 1,
      sym_enumerator_list,
    STATE(2943), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5569), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2711), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5256), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4892), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4890), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [31217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5463), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4886), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [31355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4763), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2607), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6020), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5078), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5254), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [31570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4771), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5990), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(4849), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3662), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [31710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4940), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3118), 1,
      sym_field_declaration_list,
    STATE(3438), 1,
      sym_attribute_specifier,
    STATE(6741), 1,
      sym_virtual_specifier,
    STATE(7502), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4780), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      sym_identifier,
    ACTIONS(6032), 1,
      sym_primitive_type,
    STATE(2616), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6030), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5232), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5230), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4750), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4752), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(4956), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4954), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [32302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5955), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5249), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5246), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4940), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [32581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5121), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5129), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5179), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5275), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5224), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5268), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [32977] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6051), 1,
      anon_sym___attribute__,
    ACTIONS(6054), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6057), 1,
      anon_sym___declspec,
    ACTIONS(6060), 1,
      sym_virtual,
    ACTIONS(6063), 1,
      anon_sym_alignas,
    STATE(2624), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6048), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6043), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6045), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6041), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5264), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5238), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33191] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6070), 1,
      sym_auto,
    ACTIONS(6072), 1,
      anon_sym_decltype,
    STATE(2945), 1,
      sym_decltype_auto,
    STATE(3005), 1,
      sym_new_declarator,
    STATE(3361), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4868), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5260), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4539), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5096), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6070), 1,
      sym_auto,
    ACTIONS(6072), 1,
      anon_sym_decltype,
    STATE(2945), 1,
      sym_decltype_auto,
    STATE(2998), 1,
      sym_new_declarator,
    STATE(3478), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4818), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5096), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5218), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5216), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6070), 1,
      sym_auto,
    ACTIONS(6072), 1,
      anon_sym_decltype,
    STATE(2903), 1,
      sym_new_declarator,
    STATE(2945), 1,
      sym_decltype_auto,
    STATE(3486), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4858), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5055), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5137), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5084), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5175), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34031] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6078), 1,
      sym_virtual,
    STATE(2624), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6076), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6074), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5100), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(6080), 1,
      anon_sym_LPAREN2,
    STATE(2450), 1,
      sym_argument_list,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3778), 1,
      sym_initializer_list,
    ACTIONS(6083), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [34257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5157), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34323] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6070), 1,
      sym_auto,
    ACTIONS(6072), 1,
      anon_sym_decltype,
    STATE(2945), 1,
      sym_decltype_auto,
    STATE(2986), 1,
      sym_new_declarator,
    STATE(3405), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4872), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5104), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5117), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5096), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4898), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5092), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5084), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5080), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [34869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4898), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34937] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6078), 1,
      sym_virtual,
    STATE(2624), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6087), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6085), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5133), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6089), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(4510), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4503), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5141), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5145), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5149), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2607), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6020), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5220), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5212), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 1,
      sym_identifier,
    ACTIONS(6096), 1,
      sym_primitive_type,
    STATE(2670), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6094), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5232), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [35697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5061), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5059), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5074), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5072), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5193), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5078), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5076), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_COLON,
    STATE(2759), 1,
      sym__enum_base_clause,
    STATE(2840), 1,
      sym_enumerator_list,
    STATE(3014), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5557), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5088), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4902), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_primitive_type,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5499), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5249), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [36245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
    STATE(2711), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3644), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6089), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
    ACTIONS(3662), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4849), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [36393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4890), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_COLON,
    STATE(2754), 1,
      sym__enum_base_clause,
    STATE(2881), 1,
      sym_enumerator_list,
    STATE(3040), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5569), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5125), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4539), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [36669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2699), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5478), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5476), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [36738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6083), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5078), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5076), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [36807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2699), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5482), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5480), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [36876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4898), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2708), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6106), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5441), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [37010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2707), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6108), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5449), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5451), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [37079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    STATE(2757), 1,
      sym_enumerator_list,
    STATE(2933), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5210), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4539), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2700), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5439), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4489), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(2772), 1,
      sym_enumerator_list,
    STATE(2973), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5210), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37424] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6116), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      sym_auto,
    ACTIONS(6120), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3113), 1,
      sym_new_declarator,
    STATE(3510), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4818), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [37505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4501), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4497), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4530), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4526), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5078), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37834] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6152), 1,
      anon_sym_QMARK,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6124), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6128), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37947] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6162), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6164), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6166), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5463), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38125] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6152), 1,
      anon_sym_QMARK,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6168), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6170), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(2750), 1,
      sym_enumerator_list,
    STATE(2964), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5189), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2699), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4750), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [38380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6166), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5396), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4522), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38514] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6175), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6177), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4493), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2696), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6179), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5449), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38844] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2699), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5463), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5461), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [39004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2699), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5396), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5398), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [39073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [39138] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6166), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39302] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39399] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6102), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
    ACTIONS(4849), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3662), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6166), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39638] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(5591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39743] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6152), 1,
      anon_sym_QMARK,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5921), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(5923), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39856] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6116), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      sym_auto,
    ACTIONS(6120), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3076), 1,
      sym_new_declarator,
    STATE(3548), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4868), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6181), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
    ACTIONS(4503), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4510), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40008] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6184), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6186), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4940), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4898), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4898), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40316] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40417] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6134), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6148), 1,
      anon_sym_GT_EQ,
    ACTIONS(6154), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6156), 1,
      anon_sym_or,
    ACTIONS(6158), 1,
      anon_sym_and,
    ACTIONS(6160), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6138), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6140), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6142), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6144), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6146), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6188), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6190), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6116), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      sym_auto,
    ACTIONS(6120), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3101), 1,
      sym_new_declarator,
    STATE(3577), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4872), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [40607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    STATE(2765), 1,
      sym_enumerator_list,
    STATE(2921), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6150), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40911] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6132), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4902), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41191] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6116), 1,
      anon_sym_LBRACK,
    ACTIONS(6118), 1,
      sym_auto,
    ACTIONS(6120), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3123), 1,
      sym_new_declarator,
    STATE(3534), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4858), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [41272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4539), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4528), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [41400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(2993), 1,
      sym__enum_base_clause,
    STATE(3114), 1,
      sym_enumerator_list,
    STATE(3432), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5569), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4896), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [41542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4862), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1728), 1,
      sym_string_literal,
    ACTIONS(6200), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [41676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4940), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2922), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5356), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2616), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2906), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5322), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4487), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2957), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5322), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6204), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4499), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2959), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5326), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4940), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4495), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6194), 1,
      anon_sym_COLON,
    STATE(3002), 1,
      sym__enum_base_clause,
    STATE(3090), 1,
      sym_enumerator_list,
    STATE(3463), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5557), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    STATE(2871), 1,
      sym_enumerator_list,
    STATE(3018), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1729), 1,
      sym_string_literal,
    ACTIONS(6200), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [42612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6208), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2920), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5306), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6212), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    STATE(2867), 1,
      sym_enumerator_list,
    STATE(3029), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2961), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5338), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5776), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [43078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2937), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5330), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4902), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [43212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2907), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5326), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4524), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2941), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5360), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1730), 1,
      sym_string_literal,
    ACTIONS(6200), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [43480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2962), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5295), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4520), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [43676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2963), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5306), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4900), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [43810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5242), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [43874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6083), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [43942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2918), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5295), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2917), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5338), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4534), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6216), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5903), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [44340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2965), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5356), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4898), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4896), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [44474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1727), 1,
      sym_string_literal,
    ACTIONS(6200), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [44542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4898), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4489), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2970), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5291), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2971), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5310), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6220), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4898), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5863), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [44998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3638), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2974), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5366), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4493), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2976), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5379), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4501), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4522), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5843), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [45522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4526), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4530), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4497), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4497), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4530), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2980), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5360), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4489), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [46166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4526), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4522), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4493), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2550), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    STATE(2983), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5330), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2930), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2935), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5379), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6224), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2946), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5366), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4491), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [47078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym___attribute__,
    STATE(2931), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5310), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47146] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [47241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [47330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      sym_auto,
    ACTIONS(6250), 1,
      anon_sym_decltype,
    STATE(3386), 1,
      sym_decltype_auto,
    STATE(3418), 1,
      sym_new_declarator,
    STATE(3765), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4858), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4888), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [47472] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6124), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_QMARK,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [47585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4888), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_LPAREN2,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_parameter_list,
    STATE(3000), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5334), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      sym_auto,
    ACTIONS(6250), 1,
      anon_sym_decltype,
    STATE(3386), 1,
      sym_decltype_auto,
    STATE(3475), 1,
      sym_new_declarator,
    STATE(3746), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4818), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_LPAREN2,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_parameter_list,
    STATE(3000), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5350), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5352), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47873] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6274), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [47960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6276), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [48023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    STATE(2985), 1,
      sym_decltype_auto,
    ACTIONS(4954), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4956), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48092] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6184), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5135), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5135), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3028), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5356), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48394] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6284), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [48481] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(5921), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_QMARK,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4806), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(3638), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3646), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [48661] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6168), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_QMARK,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48774] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6286), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [48861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48940] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6290), 1,
      anon_sym_COMMA,
    ACTIONS(6292), 1,
      anon_sym_RPAREN,
    ACTIONS(6294), 1,
      anon_sym_DASH,
    ACTIONS(6296), 1,
      anon_sym_PLUS,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    ACTIONS(6300), 1,
      anon_sym_SLASH,
    ACTIONS(6302), 1,
      anon_sym_PERCENT,
    ACTIONS(6304), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_CARET,
    ACTIONS(6312), 1,
      anon_sym_AMP,
    ACTIONS(6314), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6316), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6318), 1,
      anon_sym_GT,
    ACTIONS(6320), 1,
      anon_sym_GT_EQ,
    ACTIONS(6322), 1,
      anon_sym_LT_EQ,
    ACTIONS(6324), 1,
      anon_sym_LT,
    ACTIONS(6326), 1,
      anon_sym_LT_LT,
    ACTIONS(6328), 1,
      anon_sym_GT_GT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_EQ,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6336), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6338), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6340), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6342), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6344), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6346), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6348), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6350), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6352), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6354), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6360), 1,
      anon_sym_or,
    ACTIONS(6362), 1,
      anon_sym_and,
    ACTIONS(6364), 1,
      anon_sym_bitor,
    ACTIONS(6366), 1,
      anon_sym_xor,
    ACTIONS(6368), 1,
      anon_sym_bitand,
    ACTIONS(6370), 1,
      anon_sym_not_eq,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6380), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [49164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49269] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5151), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6384), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [49528] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(5589), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6216), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_LPAREN2,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_parameter_list,
    STATE(3000), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5279), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5281), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49765] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      sym_auto,
    ACTIONS(6250), 1,
      anon_sym_decltype,
    STATE(3386), 1,
      sym_decltype_auto,
    STATE(3393), 1,
      sym_new_declarator,
    STATE(3766), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4872), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5082), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49972] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50081] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6115), 1,
      sym__declarator,
    STATE(6176), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6386), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50188] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [50285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5082), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5131), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50411] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5151), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3050), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5322), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3045), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5326), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50717] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [50808] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6388), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [50895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3033), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5295), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3031), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5306), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3054), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5330), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5277), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5277), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [51287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      sym_auto,
    ACTIONS(6250), 1,
      anon_sym_decltype,
    STATE(3386), 1,
      sym_decltype_auto,
    STATE(3467), 1,
      sym_new_declarator,
    STATE(3738), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4868), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3022), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5291), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3021), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5310), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51585] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6390), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3016), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5366), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51739] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6220), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5543), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3013), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5379), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4532), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [51976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 1,
      sym_auto,
    ACTIONS(6072), 1,
      anon_sym_decltype,
    STATE(2945), 1,
      sym_decltype_auto,
    ACTIONS(4954), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4956), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5078), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52189] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_LPAREN2,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_parameter_list,
    STATE(3000), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5340), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52410] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6290), 1,
      anon_sym_COMMA,
    ACTIONS(6294), 1,
      anon_sym_DASH,
    ACTIONS(6296), 1,
      anon_sym_PLUS,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    ACTIONS(6300), 1,
      anon_sym_SLASH,
    ACTIONS(6302), 1,
      anon_sym_PERCENT,
    ACTIONS(6304), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_CARET,
    ACTIONS(6312), 1,
      anon_sym_AMP,
    ACTIONS(6314), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6316), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6318), 1,
      anon_sym_GT,
    ACTIONS(6320), 1,
      anon_sym_GT_EQ,
    ACTIONS(6322), 1,
      anon_sym_LT_EQ,
    ACTIONS(6324), 1,
      anon_sym_LT,
    ACTIONS(6326), 1,
      anon_sym_LT_LT,
    ACTIONS(6328), 1,
      anon_sym_GT_GT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_EQ,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6336), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6338), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6340), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6342), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6344), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6346), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6348), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6350), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6352), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6354), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6360), 1,
      anon_sym_or,
    ACTIONS(6362), 1,
      anon_sym_and,
    ACTIONS(6364), 1,
      anon_sym_bitor,
    ACTIONS(6366), 1,
      anon_sym_xor,
    ACTIONS(6368), 1,
      anon_sym_bitand,
    ACTIONS(6370), 1,
      anon_sym_not_eq,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6392), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    ACTIONS(4517), 1,
      anon_sym_LT,
    STATE(2779), 1,
      sym_template_argument_list,
    ACTIONS(4512), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 1,
      anon_sym_LPAREN2,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_parameter_list,
    STATE(3000), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5381), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5383), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [52778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5078), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3034), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5338), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53036] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6290), 1,
      anon_sym_COMMA,
    ACTIONS(6294), 1,
      anon_sym_DASH,
    ACTIONS(6296), 1,
      anon_sym_PLUS,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    ACTIONS(6300), 1,
      anon_sym_SLASH,
    ACTIONS(6302), 1,
      anon_sym_PERCENT,
    ACTIONS(6304), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6308), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_CARET,
    ACTIONS(6312), 1,
      anon_sym_AMP,
    ACTIONS(6314), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6316), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6318), 1,
      anon_sym_GT,
    ACTIONS(6320), 1,
      anon_sym_GT_EQ,
    ACTIONS(6322), 1,
      anon_sym_LT_EQ,
    ACTIONS(6324), 1,
      anon_sym_LT,
    ACTIONS(6326), 1,
      anon_sym_LT_LT,
    ACTIONS(6328), 1,
      anon_sym_GT_GT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_EQ,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6336), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6338), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6340), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6342), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6344), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6346), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6348), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6350), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6352), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6354), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6360), 1,
      anon_sym_or,
    ACTIONS(6362), 1,
      anon_sym_and,
    ACTIONS(6364), 1,
      anon_sym_bitor,
    ACTIONS(6366), 1,
      anon_sym_xor,
    ACTIONS(6368), 1,
      anon_sym_bitand,
    ACTIONS(6370), 1,
      anon_sym_not_eq,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6394), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    ACTIONS(4566), 1,
      anon_sym_LT,
    STATE(2987), 1,
      sym_template_argument_list,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      anon_sym___attribute__,
    STATE(3035), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5360), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53335] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5963), 1,
      sym_auto,
    ACTIONS(5965), 1,
      anon_sym_decltype,
    ACTIONS(6003), 1,
      sym_virtual,
    ACTIONS(6396), 1,
      anon_sym_SEMI,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(6001), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2639), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4832), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5999), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [53422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3384), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5437), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_parameter_list,
    STATE(3104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5279), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5281), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6404), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3540), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3538), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5057), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5177), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53752] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6406), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [53832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    STATE(2663), 1,
      sym_attribute_specifier,
    STATE(3134), 1,
      sym_enumerator_list,
    ACTIONS(5210), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5208), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [53902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6414), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6412), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6410), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53968] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6418), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [54048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6424), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6422), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6420), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [54114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6428), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [54194] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [54274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4888), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_parameter_list,
    STATE(3104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5350), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5352), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5266), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5270), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54780] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6432), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [54860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6438), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6436), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6434), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [54926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6442), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [55006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_parameter_list,
    STATE(3104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5332), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5334), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    STATE(2625), 1,
      sym_attribute_specifier,
    STATE(3187), 1,
      sym_enumerator_list,
    ACTIONS(5189), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5187), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [55148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5102), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5094), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5061), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5123), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5127), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6448), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6446), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6444), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [55710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5147), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5106), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5119), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5143), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_parameter_list,
    STATE(3104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5340), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5342), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5139), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5074), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5135), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5151), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5240), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5195), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5090), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5159), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5106), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5057), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_parameter_list,
    STATE(3104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5381), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5383), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5177), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5214), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5222), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5226), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5262), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5266), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5270), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6452), 1,
      anon_sym_SEMI,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [57608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5181), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6454), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3566), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3564), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5086), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5102), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5094), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5086), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5061), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5074), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5123), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5127), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5244), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5098), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5098), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5119), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5098), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5143), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5147), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    ACTIONS(4846), 1,
      anon_sym_LT,
    STATE(3072), 1,
      sym_template_argument_list,
    ACTIONS(4512), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5139), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3269), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5497), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5218), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2989), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5430), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5240), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5195), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5090), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(3087), 1,
      sym_enumerator_list,
    STATE(3455), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5210), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5159), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5082), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3406), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5404), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5244), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2989), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5445), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5447), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(2542), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3646), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3638), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(3053), 1,
      sym_enumerator_list,
    STATE(3388), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(2542), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5277), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5412), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym_auto,
    ACTIONS(6120), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    ACTIONS(4954), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4956), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5078), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5131), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5214), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(3525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5254), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6459), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [60486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5127), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5123), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60669] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(5732), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5734), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6115), 1,
      sym__declarator,
    STATE(6402), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(6386), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5074), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60835] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(6461), 1,
      anon_sym_LBRACK,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3818), 1,
      sym_template_argument_list,
    ACTIONS(3659), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3644), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [60910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5061), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61032] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5630), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5632), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [61107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5094), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5102), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5098), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5181), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5098), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5106), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5270), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5266), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6184), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [61763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5262), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5226), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5119), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [62143] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6188), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5098), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5143), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62483] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5634), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5636), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5638), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5640), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [62631] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5589), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5177), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(5589), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62947] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [63046] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [63141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3316), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5322), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5057), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63267] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [63360] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [63449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3318), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5326), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5147), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63662] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5139), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63806] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63885] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    ACTIONS(4935), 1,
      anon_sym_LT,
    STATE(3178), 1,
      sym_template_argument_list,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5857), 1,
      anon_sym_LT,
    STATE(3132), 1,
      sym_template_argument_list,
    ACTIONS(5571), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5573), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3636), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [64173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5218), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64234] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5626), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5628), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5240), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(1794), 1,
      sym_template_argument_list,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5195), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5090), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LT,
    STATE(1684), 1,
      sym_template_argument_list,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64622] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6124), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6526), 1,
      anon_sym_QMARK,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [64733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5159), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3431), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5330), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3437), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5360), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3529), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5412), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65115] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [65196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6162), 1,
      anon_sym_EQ,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(2542), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3646), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4890), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [65433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3381), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5338), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3382), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5295), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5244), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65624] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6168), 1,
      anon_sym_EQ,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6526), 1,
      anon_sym_QMARK,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65735] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6124), 1,
      anon_sym_EQ,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [65846] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [65925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3385), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5306), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [66067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5710), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5712), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [66142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3389), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5356), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6188), 1,
      anon_sym_EQ,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    STATE(3200), 1,
      sym_new_declarator,
    ACTIONS(5520), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5522), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(2987), 1,
      sym_template_argument_list,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66507] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66614] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(5738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_AMP,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6115), 1,
      sym__declarator,
    STATE(6438), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(6386), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [66719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5857), 1,
      anon_sym_LT,
    STATE(3132), 1,
      sym_template_argument_list,
    ACTIONS(5575), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5577), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66786] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(5738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_AMP,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6419), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(5543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [66891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6162), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [66998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(2542), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3308), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3312), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3601), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5497), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67134] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(5732), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5734), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6120), 1,
      sym__declarator,
    STATE(6401), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(5543), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [67239] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6168), 1,
      anon_sym_EQ,
    ACTIONS(6288), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_QMARK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5445), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5447), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67415] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_PIPE,
    ACTIONS(6478), 1,
      anon_sym_AMP,
    ACTIONS(6484), 1,
      anon_sym_GT_EQ,
    ACTIONS(6488), 1,
      anon_sym_or,
    ACTIONS(6490), 1,
      anon_sym_and,
    ACTIONS(6492), 1,
      anon_sym_bitor,
    ACTIONS(6494), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6476), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6468), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6480), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6482), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LT,
    STATE(2779), 1,
      sym_template_argument_list,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5428), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5430), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6184), 1,
      anon_sym_EQ,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3662), 1,
      anon_sym_SEMI,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3636), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [67832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3446), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67897] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67980] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(5921), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6526), 1,
      anon_sym_QMARK,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6530), 1,
      anon_sym_or,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3576), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5404), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3459), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5366), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68310] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [68399] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [68492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3448), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5310), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym___attribute__,
    STATE(3464), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5379), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68622] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [68717] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68816] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym_GT_EQ,
    ACTIONS(6528), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6532), 1,
      anon_sym_and,
    ACTIONS(6534), 1,
      anon_sym_bitor,
    ACTIONS(6536), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6504), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6514), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6524), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6506), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6518), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6520), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3596), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5437), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4888), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(4942), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3646), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2635), 1,
      sym_attribute_specifier,
    ACTIONS(5322), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5320), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2622), 1,
      sym_attribute_specifier,
    ACTIONS(5295), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5293), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69240] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6230), 1,
      anon_sym_AMP,
    ACTIONS(6236), 1,
      anon_sym_GT_EQ,
    ACTIONS(6240), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6242), 1,
      anon_sym_bitand,
    ACTIONS(6252), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6254), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_QMARK,
    ACTIONS(6262), 1,
      anon_sym_or,
    ACTIONS(6264), 1,
      anon_sym_and,
    ACTIONS(6266), 1,
      anon_sym_bitor,
    ACTIONS(6392), 1,
      anon_sym_RPAREN,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(6545), 1,
      anon_sym_EQ,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6238), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6228), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6232), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6234), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6356), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_LT,
    STATE(3072), 1,
      sym_template_argument_list,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5712), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69492] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6175), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [69596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5524), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2628), 1,
      sym_attribute_specifier,
    ACTIONS(5306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5304), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(5356), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5354), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_EQ,
    ACTIONS(3674), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69910] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6592), 1,
      anon_sym_RPAREN,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5135), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70186] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6670), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5151), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5640), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [70474] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5626), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5628), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70548] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6676), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70704] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    ACTIONS(6678), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6680), 1,
      anon_sym_QMARK,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6168), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [70812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4931), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70872] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6162), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [70976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [71054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71176] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6682), 1,
      sym_identifier,
    ACTIONS(6686), 1,
      sym_primitive_type,
    STATE(3227), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5232), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [71244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [71386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2659), 1,
      sym_attribute_specifier,
    ACTIONS(5338), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5336), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [71510] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [71594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4896), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [71654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71716] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [71802] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6688), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_new_declarator,
    ACTIONS(5520), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5522), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2675), 1,
      sym_attribute_specifier,
    ACTIONS(5379), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5377), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [72086] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    ACTIONS(6678), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6680), 1,
      anon_sym_QMARK,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6124), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72194] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [72284] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [72376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5589), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72472] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6690), 1,
      sym_identifier,
    STATE(3168), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6693), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6696), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4714), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4712), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5644), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6248), 1,
      sym_auto,
    ACTIONS(6250), 1,
      anon_sym_decltype,
    STATE(3386), 1,
      sym_decltype_auto,
    ACTIONS(4954), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4956), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5078), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5589), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5082), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73156] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6699), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2664), 1,
      sym_attribute_specifier,
    ACTIONS(5366), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5364), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [73438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5990), 1,
      anon_sym_LT,
    STATE(3420), 1,
      sym_template_argument_list,
    ACTIONS(5575), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5577), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2648), 1,
      sym_attribute_specifier,
    ACTIONS(5310), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5308), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [73568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LT,
    STATE(1706), 1,
      sym_template_argument_list,
    ACTIONS(5687), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_LT,
    STATE(1900), 1,
      sym_template_argument_list,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    ACTIONS(3646), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_EQ,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4942), 1,
      anon_sym_LPAREN2,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(3674), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      sym_identifier,
    STATE(3168), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5165), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5167), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4730), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4728), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2638), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5324), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [73960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2640), 1,
      sym_attribute_specifier,
    ACTIONS(5291), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5289), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [74024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5426), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74084] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [74158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5422), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    ACTIONS(4860), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74340] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      sym_identifier,
    STATE(3186), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5165), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5167), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4667), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4665), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3847), 1,
      sym_field_declaration_list,
    STATE(3984), 1,
      sym_attribute_specifier,
    STATE(6703), 1,
      sym_virtual_specifier,
    STATE(7281), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4780), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74544] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [74624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74686] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6709), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(4942), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3646), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74968] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    ACTIONS(6678), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6680), 1,
      anon_sym_QMARK,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(5921), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75076] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6711), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5640), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75364] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6184), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75528] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5630), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5632), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75602] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5634), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5636), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3600), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5990), 1,
      anon_sym_LT,
    STATE(3420), 1,
      sym_template_argument_list,
    ACTIONS(5571), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5573), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_const,
    ACTIONS(4543), 1,
      anon_sym_AMP,
    ACTIONS(4536), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4541), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4539), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4534), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5277), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(3565), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5256), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76058] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_EQ,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [76164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5668), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [76236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5672), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6749), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6747), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [76356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(3662), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4849), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [76422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2656), 1,
      sym_attribute_specifier,
    ACTIONS(5330), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5328), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [76486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5668), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [76558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6216), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76618] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6566), 1,
      anon_sym_PIPE,
    ACTIONS(6570), 1,
      anon_sym_AMP,
    ACTIONS(6578), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6580), 1,
      anon_sym_or,
    ACTIONS(6582), 1,
      anon_sym_and,
    ACTIONS(6584), 1,
      anon_sym_bitor,
    ACTIONS(6586), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6188), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6558), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6568), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6576), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6572), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6574), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [76722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    STATE(2645), 1,
      sym_attribute_specifier,
    ACTIONS(5360), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5358), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [76786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5499), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5249), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [76912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6216), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(4510), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4503), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [77038] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5543), 1,
      anon_sym_RPAREN,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6178), 1,
      sym__declarator,
    STATE(6419), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [77142] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6386), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6247), 1,
      sym__declarator,
    STATE(6438), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [77246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(1702), 1,
      sym_template_argument_list,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77430] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_EQ,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77536] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77646] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6753), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77802] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5921), 1,
      anon_sym_EQ,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [77988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5394), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78048] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_EQ,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78154] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5589), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [78228] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6168), 1,
      anon_sym_EQ,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78338] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6739), 1,
      anon_sym_or,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78504] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5634), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5636), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [78578] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6741), 1,
      anon_sym_and,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78680] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6552), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5630), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5632), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [78754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78876] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6723), 1,
      anon_sym_PIPE,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6743), 1,
      anon_sym_bitor,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79034] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5710), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5712), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4942), 1,
      anon_sym_LPAREN2,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(3646), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4942), 1,
      anon_sym_LPAREN2,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(3646), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79300] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6376), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6378), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6590), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_DASH,
    ACTIONS(6596), 1,
      anon_sym_PLUS,
    ACTIONS(6598), 1,
      anon_sym_STAR,
    ACTIONS(6600), 1,
      anon_sym_SLASH,
    ACTIONS(6602), 1,
      anon_sym_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6608), 1,
      anon_sym_PIPE,
    ACTIONS(6610), 1,
      anon_sym_CARET,
    ACTIONS(6612), 1,
      anon_sym_AMP,
    ACTIONS(6614), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6616), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6618), 1,
      anon_sym_GT,
    ACTIONS(6620), 1,
      anon_sym_GT_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ,
    ACTIONS(6624), 1,
      anon_sym_LT,
    ACTIONS(6626), 1,
      anon_sym_LT_LT,
    ACTIONS(6628), 1,
      anon_sym_GT_GT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6634), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6636), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6638), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6640), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6642), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6644), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6646), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6648), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6650), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6652), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6656), 1,
      anon_sym_or,
    ACTIONS(6658), 1,
      anon_sym_and,
    ACTIONS(6660), 1,
      anon_sym_bitor,
    ACTIONS(6662), 1,
      anon_sym_xor,
    ACTIONS(6664), 1,
      anon_sym_bitand,
    ACTIONS(6666), 1,
      anon_sym_not_eq,
    ACTIONS(6757), 1,
      anon_sym_RPAREN,
    STATE(1449), 1,
      sym__binary_fold_operator,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    STATE(7738), 1,
      sym__fold_operator,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3586), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79516] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79596] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79674] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6725), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [79936] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6727), 1,
      anon_sym_AMP,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6745), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [80028] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(6733), 1,
      anon_sym_GT_EQ,
    ACTIONS(6737), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5595), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6735), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6717), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6729), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6731), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [80116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4675), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6759), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4574), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3644), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [80542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1920), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5244), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80896] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5930), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3293), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4024), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6247), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4011), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4687), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3174), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [81275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5664), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      sym_identifier,
    ACTIONS(6776), 1,
      sym_primitive_type,
    STATE(3336), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5232), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5230), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81401] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6352), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3429), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4046), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6786), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    STATE(3565), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(3644), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4657), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5508), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    ACTIONS(4862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4860), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [81868] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5913), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4050), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5927), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5805), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5426), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5422), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5418), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5512), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5394), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4759), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [82559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LT,
    STATE(1709), 1,
      sym_template_argument_list,
    ACTIONS(5687), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1948), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5877), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5744), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    ACTIONS(3638), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3646), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [82978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4771), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 1,
      anon_sym_namespace,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [83157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5504), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83216] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4044), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5057), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83376] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6150), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3415), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5177), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4767), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83595] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6247), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4032), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6120), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3331), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4031), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3528), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4661), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5159), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5685), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6115), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4763), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [84608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_or,
    ACTIONS(6812), 1,
      anon_sym_and,
    ACTIONS(5650), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_primitive_type,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4754), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5249), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5246), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5493), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2568), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4691), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6814), 1,
      anon_sym_namespace,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [85096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5489), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [85275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85334] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3320), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4044), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6818), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [85496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85614] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5883), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3354), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4048), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_LBRACE,
    ACTIONS(4892), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [85776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3600), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5930), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4024), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6216), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6214), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [85995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5090), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5195), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5240), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      anon_sym_LT,
    STATE(3178), 1,
      sym_template_argument_list,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86412] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3379), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4042), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6823), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [86633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4657), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5612), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_COLON,
    STATE(2655), 1,
      sym_attribute_specifier,
    STATE(2909), 1,
      sym__enum_base_clause,
    STATE(3179), 1,
      sym_enumerator_list,
    ACTIONS(5569), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5567), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [86822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6827), 1,
      sym_identifier,
    STATE(3457), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4592), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4594), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4667), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4665), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3586), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5644), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 1,
      anon_sym_LBRACE,
    ACTIONS(4892), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [87188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_COLON,
    STATE(2618), 1,
      sym_attribute_specifier,
    STATE(2927), 1,
      sym__enum_base_clause,
    STATE(3135), 1,
      sym_enumerator_list,
    ACTIONS(5557), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5555), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [87377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6852), 1,
      anon_sym_requires,
    STATE(4599), 1,
      sym__function_attributes_start,
    STATE(4728), 1,
      sym_ref_qualifier,
    STATE(5641), 1,
      sym__function_attributes_end,
    STATE(5724), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6845), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87482] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6381), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4047), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [87821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5873), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5139), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6859), 1,
      anon_sym_requires,
    STATE(4595), 1,
      sym__function_attributes_start,
    STATE(4730), 1,
      sym_ref_qualifier,
    STATE(5644), 1,
      sym__function_attributes_end,
    STATE(5738), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5111), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5266), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5270), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4675), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5793), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4699), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    STATE(3714), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5497), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3636), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [88945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [89065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5885), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5672), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5881), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4671), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5801), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [89714] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6120), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4031), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4661), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    STATE(3693), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5437), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4679), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5524), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5526), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6865), 1,
      sym_identifier,
    STATE(3422), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6868), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6871), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4714), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4712), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4679), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4695), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1948), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4695), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90598] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4042), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5147), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5143), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [90937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5778), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5119), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5106), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91232] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5884), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5620), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6196), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [91512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6884), 1,
      anon_sym_LPAREN2,
    STATE(2679), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3413), 1,
      sym_argument_list,
    STATE(3711), 1,
      sym_initializer_list,
    ACTIONS(6083), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4890), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [91701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5102), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5681), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5094), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5696), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_typedef,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [92234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5061), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      sym_identifier,
    STATE(3422), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4592), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4594), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4730), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4728), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5074), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_namespace,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [92598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4574), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5256), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [92665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5123), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5127), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4687), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_EQ,
    ACTIONS(5163), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    STATE(3756), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5412), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 1,
      anon_sym_namespace,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [93090] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5947), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6174), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3315), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4013), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93292] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5921), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3469), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93393] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3280), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4039), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4691), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93553] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5947), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3439), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym_LPAREN2,
    STATE(3768), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5404), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6812), 1,
      anon_sym_and,
    ACTIONS(5702), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5704), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93782] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4039), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4699), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94237] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6174), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3477), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4045), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      anon_sym_LT,
    STATE(1993), 1,
      sym_template_argument_list,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4671), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5700), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94695] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6124), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [94801] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [94877] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [94963] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95099] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [95189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5845), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [95341] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [95439] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [95539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3584), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [95597] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5591), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4590), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3638), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3646), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [95805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4661), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5712), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [95993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5774), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5758), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_EQ,
    ACTIONS(5387), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3840), 1,
      sym_field_declaration_list,
    STATE(6720), 1,
      sym_virtual_specifier,
    STATE(7291), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4780), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [96303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3518), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4890), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [96365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5841), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96423] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6461), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(3659), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(3636), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [96495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(3662), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4849), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [96617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5480), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5482), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [96679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5901), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6929), 1,
      anon_sym_and,
    ACTIONS(5702), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5704), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5068), 1,
      anon_sym_EQ,
    ACTIONS(5070), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3598), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [96919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6276), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [96977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5591), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [97061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5476), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5478), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [97123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [97181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3518), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5076), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6923), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5078), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [97301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5853), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5461), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5463), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [97421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5398), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6925), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5396), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [97483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5905), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97541] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [97647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6934), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6936), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(6941), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(6931), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [97769] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(6943), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3636), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97841] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [97921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4699), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5716), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5728), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5685), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4657), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5897), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5893), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6380), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5865), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5909), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98735] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6184), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [98837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5797), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5793), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98953] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [99055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5919), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5923), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4695), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5881), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6786), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4849), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(3662), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99409] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6949), 1,
      anon_sym___attribute__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_requires,
    STATE(4642), 1,
      sym__function_attributes_start,
    STATE(4800), 1,
      sym_ref_qualifier,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5610), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5145), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5801), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5837), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5478), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    STATE(3662), 1,
      sym_new_declarator,
    ACTIONS(5520), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5522), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4679), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5744), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5782), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5778), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5681), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4683), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5805), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5821), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5829), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5754), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100449] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6168), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5885), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5700), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6967), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4503), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5927), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2568), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5700), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101025] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6162), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5825), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(4510), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4503), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [101543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5873), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4675), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4671), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6970), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4750), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4752), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1948), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5666), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [102081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1920), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4497), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4687), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102487] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6188), 1,
      anon_sym_EQ,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6654), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6903), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_CARET,
    ACTIONS(6907), 1,
      anon_sym_AMP,
    ACTIONS(6913), 1,
      anon_sym_GT_EQ,
    ACTIONS(6917), 1,
      anon_sym_bitor,
    ACTIONS(6919), 1,
      anon_sym_xor,
    ACTIONS(6921), 1,
      anon_sym_bitand,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6895), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6899), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6915), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6897), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6909), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6911), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5750), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4522), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5809), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3528), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5634), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5636), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [102951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5630), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5632), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [103023] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6949), 1,
      anon_sym___attribute__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    STATE(4658), 1,
      sym__function_attributes_start,
    STATE(4790), 1,
      sym_ref_qualifier,
    STATE(5557), 1,
      sym__function_attributes_end,
    STATE(5573), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5157), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5696), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5889), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4691), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6929), 1,
      anon_sym_and,
    ACTIONS(6975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6977), 1,
      anon_sym_or,
    ACTIONS(5650), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5877), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5817), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5078), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5463), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6464), 1,
      anon_sym_DOT_STAR,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3277), 1,
      sym_subscript_argument_list,
    ACTIONS(6374), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5638), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5640), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [103735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5441), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3599), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6965), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5396), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(3194), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5165), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5167), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    STATE(3194), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5165), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5167), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3646), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3530), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5451), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6983), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5449), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [104111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5869), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6985), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5449), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3632), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6987), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5439), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6989), 1,
      anon_sym_COLON,
    STATE(2655), 1,
      sym_attribute_specifier,
    STATE(2909), 1,
      sym__enum_base_clause,
    STATE(3179), 1,
      sym_enumerator_list,
    ACTIONS(5569), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5567), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [104362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6962), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    STATE(4696), 1,
      sym__function_attributes_start,
    STATE(4841), 1,
      sym_ref_qualifier,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5688), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5169), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    ACTIONS(6997), 1,
      anon_sym_COLON,
    STATE(3792), 1,
      sym__enum_base_clause,
    STATE(3857), 1,
      sym_enumerator_list,
    STATE(4002), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5557), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104534] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7004), 1,
      anon_sym_requires,
    STATE(4697), 1,
      sym__function_attributes_start,
    STATE(4830), 1,
      sym_ref_qualifier,
    STATE(5609), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5187), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104637] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    STATE(4678), 1,
      sym__function_attributes_start,
    STATE(4873), 1,
      sym_ref_qualifier,
    STATE(5516), 1,
      sym_trailing_return_type,
    STATE(5616), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7007), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5188), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104740] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_requires,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    STATE(4675), 1,
      sym__function_attributes_start,
    STATE(4867), 1,
      sym_ref_qualifier,
    STATE(5562), 1,
      sym__function_attributes_end,
    STATE(5609), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7007), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5186), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    ACTIONS(4860), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    STATE(3369), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4592), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4594), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4860), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    ACTIONS(6997), 1,
      anon_sym_COLON,
    STATE(3813), 1,
      sym__enum_base_clause,
    STATE(3842), 1,
      sym_enumerator_list,
    STATE(3977), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5569), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105036] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7020), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7026), 1,
      anon_sym___declspec,
    ACTIONS(7029), 1,
      sym_virtual,
    ACTIONS(7032), 1,
      anon_sym_alignas,
    STATE(3649), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7017), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7014), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6041), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [105109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      sym_literal_suffix,
    ACTIONS(3646), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4902), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4493), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4522), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105398] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    STATE(4692), 1,
      sym__function_attributes_start,
    STATE(4857), 1,
      sym_ref_qualifier,
    STATE(5515), 1,
      sym__function_attributes_end,
    STATE(5573), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7007), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5179), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_new_declarator,
    ACTIONS(5520), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5522), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4526), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105619] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    STATE(4693), 1,
      sym__function_attributes_start,
    STATE(4836), 1,
      sym_ref_qualifier,
    STATE(5516), 1,
      sym_trailing_return_type,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5170), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4530), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4497), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4501), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4489), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106064] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6962), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    STATE(4699), 1,
      sym__function_attributes_start,
    STATE(4839), 1,
      sym_ref_qualifier,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5599), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7007), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5192), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6216), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6989), 1,
      anon_sym_COLON,
    STATE(2618), 1,
      sym_attribute_specifier,
    STATE(2927), 1,
      sym__enum_base_clause,
    STATE(3135), 1,
      sym_enumerator_list,
    ACTIONS(5557), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5555), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4898), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4898), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(4503), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4510), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [106706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4534), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106765] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 1,
      anon_sym___attribute__,
    ACTIONS(7052), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7055), 1,
      anon_sym___declspec,
    ACTIONS(7058), 1,
      sym_virtual,
    ACTIONS(7061), 1,
      anon_sym_alignas,
    ACTIONS(7064), 1,
      anon_sym_explicit,
    ACTIONS(7041), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7039), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7046), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3676), 10,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7043), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    STATE(2884), 1,
      sym_template_argument_list,
    ACTIONS(6943), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3662), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4849), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    STATE(4690), 1,
      sym__function_attributes_start,
    STATE(4859), 1,
      sym_ref_qualifier,
    STATE(5573), 1,
      sym_trailing_return_type,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5189), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(4849), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3662), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [107073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    STATE(3369), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4592), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4594), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2568), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4695), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    STATE(4748), 1,
      sym__function_attributes_start,
    STATE(4937), 1,
      sym_ref_qualifier,
    STATE(5739), 1,
      sym__function_attributes_end,
    STATE(5909), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5198), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5612), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107576] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [107646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5744), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5782), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5873), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5805), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5927), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5869), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7073), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4503), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4510), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [108268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7078), 1,
      sym_auto,
    ACTIONS(7080), 1,
      anon_sym_decltype,
    STATE(3844), 1,
      sym_new_declarator,
    STATE(3969), 1,
      sym_decltype_auto,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4872), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108340] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7078), 1,
      sym_auto,
    ACTIONS(7080), 1,
      anon_sym_decltype,
    STATE(3853), 1,
      sym_new_declarator,
    STATE(3969), 1,
      sym_decltype_auto,
    STATE(3807), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4858), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108412] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7078), 1,
      sym_auto,
    ACTIONS(7080), 1,
      anon_sym_decltype,
    STATE(3856), 1,
      sym_new_declarator,
    STATE(3969), 1,
      sym_decltype_auto,
    STATE(3785), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4818), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108484] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7078), 1,
      sym_auto,
    ACTIONS(7080), 1,
      anon_sym_decltype,
    STATE(3860), 1,
      sym_new_declarator,
    STATE(3969), 1,
      sym_decltype_auto,
    STATE(3773), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4868), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1948), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5630), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5632), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [108794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5793), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109018] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5634), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5636), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4771), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4769), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [109144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4691), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3528), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4687), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2568), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4759), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4683), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109816] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5712), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4763), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4675), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5702), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5704), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(3818), 1,
      sym_template_argument_list,
    ACTIONS(4507), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4510), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4503), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [110178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4671), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110346] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7086), 1,
      anon_sym_requires,
    STATE(4706), 1,
      sym__function_attributes_start,
    STATE(4948), 1,
      sym_ref_qualifier,
    STATE(5836), 1,
      sym__function_attributes_end,
    STATE(5940), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6845), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5211), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    STATE(4729), 1,
      sym__function_attributes_start,
    STATE(4877), 1,
      sym_ref_qualifier,
    STATE(5803), 1,
      sym__function_attributes_end,
    STATE(5958), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5216), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5640), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [110618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4657), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5668), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [110854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5841), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4661), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7091), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5650), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4767), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4765), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [111362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(3525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3636), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6459), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [111428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4771), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4767), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4767), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5885), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4759), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4771), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4898), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4763), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5885), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5778), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4699), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7093), 1,
      anon_sym_requires,
    STATE(4751), 1,
      sym__function_attributes_start,
    STATE(4924), 1,
      sym_ref_qualifier,
    STATE(5775), 1,
      sym__function_attributes_end,
    STATE(5924), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5212), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4679), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6759), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4849), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3662), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [112600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5744), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5935), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2625), 1,
      sym_attribute_specifier,
    STATE(3820), 1,
      sym_enumerator_list,
    ACTIONS(5187), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5189), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5821), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5829), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112883] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(4820), 1,
      sym__function_attributes_start,
    STATE(5087), 1,
      sym_ref_qualifier,
    STATE(5948), 1,
      sym__function_attributes_end,
    STATE(6119), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5220), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5817), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5837), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5873), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2663), 1,
      sym_attribute_specifier,
    STATE(3828), 1,
      sym_enumerator_list,
    ACTIONS(5208), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5210), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5889), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5919), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5774), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5758), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_requires,
    STATE(4822), 1,
      sym__function_attributes_start,
    STATE(5097), 1,
      sym_ref_qualifier,
    STATE(5927), 1,
      sym__function_attributes_end,
    STATE(6099), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6845), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4145), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5225), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6829), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5805), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5809), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5927), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4771), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7110), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7107), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7105), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7103), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [113816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    STATE(3834), 1,
      sym_enumerator_list,
    STATE(3999), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5189), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5750), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3528), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5793), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5931), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114099] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4572), 1,
      anon_sym_SEMI,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(6461), 1,
      anon_sym_LBRACK,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(3659), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3644), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [114170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7113), 1,
      anon_sym_COLON,
    STATE(1973), 1,
      sym_attribute_specifier,
    STATE(2515), 1,
      sym__enum_base_clause,
    STATE(2560), 1,
      sym_enumerator_list,
    ACTIONS(5555), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5557), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [114237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4759), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7113), 1,
      anon_sym_COLON,
    STATE(1980), 1,
      sym_attribute_specifier,
    STATE(2535), 1,
      sym__enum_base_clause,
    STATE(2545), 1,
      sym_enumerator_list,
    ACTIONS(5567), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5569), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [114359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5797), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5782), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4763), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5825), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4767), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5893), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5813), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5853), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5909), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5897), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5901), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115019] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    STATE(3852), 1,
      sym_enumerator_list,
    STATE(4001), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5210), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2574), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4586), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5254), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5256), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [115145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5869), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5923), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115255] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5791), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4322), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4539), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4532), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [115399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2635), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5322), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2638), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5326), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115515] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(2574), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(4586), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3644), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [115579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3989), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5338), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2659), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5338), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115695] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(4072), 1,
      sym_new_declarator,
    STATE(3807), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4858), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3976), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5330), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2622), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5295), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3983), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5360), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2628), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5306), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    ACTIONS(4892), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [116053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5356), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116111] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5859), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3817), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4333), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116197] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5853), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4373), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(4067), 1,
      sym_new_declarator,
    STATE(3785), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4818), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3952), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5326), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3996), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5322), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116469] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5866), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3832), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    ACTIONS(4892), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4890), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [116613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(4004), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5379), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2640), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5291), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2648), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5310), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2664), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5366), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(4003), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5366), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2675), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5379), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    STATE(3808), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5497), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7147), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7145), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [117075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(4061), 1,
      sym_new_declarator,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4872), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3997), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5310), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2645), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5360), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3994), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5291), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117319] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7151), 1,
      anon_sym_RPAREN,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6827), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(2656), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5330), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3995), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    STATE(3780), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5437), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117593] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5809), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117679] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5814), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4353), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    STATE(3775), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5404), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3948), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5356), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(4060), 1,
      sym_new_declarator,
    STATE(3773), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4868), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym___attribute__,
    STATE(3992), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5295), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    STATE(3809), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5412), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5131), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5470), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7181), 1,
      sym_identifier,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7189), 1,
      anon_sym_enum,
    ACTIONS(7191), 1,
      anon_sym_class,
    ACTIONS(7193), 1,
      anon_sym_struct,
    ACTIONS(7195), 1,
      anon_sym_union,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7201), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4668), 1,
      sym__type_specifier,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7699), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7754), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118504] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3044), 1,
      anon_sym_enum,
    ACTIONS(3046), 1,
      anon_sym_class,
    ACTIONS(3048), 1,
      anon_sym_struct,
    ACTIONS(3050), 1,
      anon_sym_union,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(3078), 1,
      anon_sym_typename,
    ACTIONS(7203), 1,
      sym_identifier,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7207), 1,
      sym_primitive_type,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4580), 1,
      sym__type_specifier,
    STATE(5876), 1,
      sym_type_descriptor,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    STATE(3968), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5443), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4888), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118747] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8370), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118842] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7725), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118937] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119032] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7717), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119127] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8130), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119222] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7209), 1,
      sym_identifier,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7215), 1,
      sym_primitive_type,
    ACTIONS(7217), 1,
      anon_sym_enum,
    ACTIONS(7219), 1,
      anon_sym_class,
    ACTIONS(7221), 1,
      anon_sym_struct,
    ACTIONS(7223), 1,
      anon_sym_union,
    ACTIONS(7225), 1,
      sym_auto,
    ACTIONS(7227), 1,
      anon_sym_decltype,
    ACTIONS(7229), 1,
      anon_sym_typename,
    STATE(4133), 1,
      sym__type_specifier,
    STATE(4509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4976), 1,
      sym_decltype_auto,
    STATE(5082), 1,
      sym_qualified_type_identifier,
    STATE(5876), 1,
      sym_type_descriptor,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3975), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4927), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119317] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119412] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5416), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119507] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7568), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119602] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8315), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5469), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119792] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7977), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119887] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5455), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4080), 1,
      sym__type_specifier,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3958), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120077] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5481), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(4915), 1,
      sym__function_attributes_start,
    STATE(5156), 1,
      sym_ref_qualifier,
    STATE(5958), 1,
      sym_trailing_return_type,
    STATE(6139), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6829), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5250), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120271] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7986), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120366] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8125), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120461] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4533), 1,
      sym__type_specifier,
    STATE(5876), 1,
      sym_type_descriptor,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4008), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120556] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7955), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120651] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8109), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4264), 1,
      sym__type_specifier,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3961), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8167), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120936] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5436), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5078), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121084] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5877), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3946), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121224] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8295), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4110), 1,
      sym__type_specifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3954), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121414] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7510), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121509] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(4507), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4510), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4503), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7277), 1,
      anon_sym_LT,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(4503), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4510), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [121726] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121821] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8144), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121916] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7797), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5082), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122064] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4112), 1,
      sym__type_specifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3993), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8010), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122254] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5490), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122349] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7810), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8003), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5135), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    STATE(4932), 1,
      sym__function_attributes_start,
    STATE(5160), 1,
      sym_ref_qualifier,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6241), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6829), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5249), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8155), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122786] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7861), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122881] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4164), 1,
      sym__type_specifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3991), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122976] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7654), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123071] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5423), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123166] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8082), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123261] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4296), 1,
      sym_template_argument_list,
    ACTIONS(3659), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3644), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [123328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7286), 1,
      anon_sym_requires,
    STATE(4941), 1,
      sym__function_attributes_start,
    STATE(5151), 1,
      sym_ref_qualifier,
    STATE(5996), 1,
      sym__function_attributes_end,
    STATE(6246), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6829), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6959), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5683), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5262), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(4849), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3662), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [123486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7871), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5151), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8104), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123824] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7998), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8102), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5277), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 1,
      sym_auto,
    ACTIONS(7080), 1,
      anon_sym_decltype,
    STATE(3969), 1,
      sym_decltype_auto,
    ACTIONS(4954), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4956), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124126] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4868), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8149), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124221] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5409), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124316] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5415), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124411] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8055), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124506] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5429), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124601] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5437), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4689), 1,
      sym__type_specifier,
    STATE(5876), 1,
      sym_type_descriptor,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3978), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5492), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7918), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5478), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7643), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125171] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5451), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125266] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3536), 1,
      sym_identifier,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(3548), 1,
      anon_sym_enum,
    ACTIONS(3550), 1,
      anon_sym_class,
    ACTIONS(3552), 1,
      anon_sym_struct,
    ACTIONS(3554), 1,
      anon_sym_union,
    ACTIONS(3558), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4300), 1,
      sym__type_specifier,
    STATE(5690), 1,
      sym_type_descriptor,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(3957), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125361] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(8162), 1,
      sym_type_descriptor,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125456] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4753), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7979), 1,
      sym_type_descriptor,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125551] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6839), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7086), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(4900), 1,
      sym__function_attributes_start,
    STATE(5154), 1,
      sym_ref_qualifier,
    STATE(5940), 1,
      sym_trailing_return_type,
    STATE(6117), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6829), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6845), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5959), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5287), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125650] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5914), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4541), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125735] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5126), 1,
      sym__type_specifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5407), 1,
      sym__type_definition_type,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(3974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5270), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3853), 1,
      sym_new_declarator,
    STATE(3807), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4858), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125950] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6013), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4608), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126034] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4872), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5177), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126178] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6007), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4628), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126262] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4116), 1,
      sym__type_specifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7303), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7301), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7305), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126458] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3536), 1,
      sym_identifier,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(3548), 1,
      anon_sym_enum,
    ACTIONS(3550), 1,
      anon_sym_class,
    ACTIONS(3552), 1,
      anon_sym_struct,
    ACTIONS(3554), 1,
      anon_sym_union,
    ACTIONS(3558), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4308), 1,
      sym__type_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126550] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4085), 1,
      sym__type_specifier,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5159), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126746] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4240), 1,
      sym__type_specifier,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5090), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126890] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6018), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3950), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5240), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7309), 1,
      anon_sym_COLON,
    STATE(2655), 1,
      sym_attribute_specifier,
    STATE(3781), 1,
      sym__enum_base_clause,
    STATE(3841), 1,
      sym_enumerator_list,
    ACTIONS(5567), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5569), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [127194] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3044), 1,
      anon_sym_enum,
    ACTIONS(3046), 1,
      anon_sym_class,
    ACTIONS(3048), 1,
      anon_sym_struct,
    ACTIONS(3050), 1,
      anon_sym_union,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(3078), 1,
      anon_sym_typename,
    ACTIONS(7203), 1,
      sym_identifier,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7207), 1,
      sym_primitive_type,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4579), 1,
      sym__type_specifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5139), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127338] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7181), 1,
      sym_identifier,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7189), 1,
      anon_sym_enum,
    ACTIONS(7191), 1,
      anon_sym_class,
    ACTIONS(7193), 1,
      anon_sym_struct,
    ACTIONS(7195), 1,
      anon_sym_union,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7201), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4644), 1,
      sym__type_specifier,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127430] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6088), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3953), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4606), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127514] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3044), 1,
      anon_sym_enum,
    ACTIONS(3046), 1,
      anon_sym_class,
    ACTIONS(3048), 1,
      anon_sym_struct,
    ACTIONS(3050), 1,
      anon_sym_union,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(3078), 1,
      anon_sym_typename,
    ACTIONS(7203), 1,
      sym_identifier,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7207), 1,
      sym_primitive_type,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4707), 1,
      sym__type_specifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127606] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_attribute_specifier,
    STATE(3181), 1,
      sym_field_declaration_list,
    STATE(6665), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4778), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [127674] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5139), 1,
      sym__type_specifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127766] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7209), 1,
      sym_identifier,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7215), 1,
      sym_primitive_type,
    ACTIONS(7217), 1,
      anon_sym_enum,
    ACTIONS(7219), 1,
      anon_sym_class,
    ACTIONS(7221), 1,
      anon_sym_struct,
    ACTIONS(7223), 1,
      anon_sym_union,
    ACTIONS(7225), 1,
      sym_auto,
    ACTIONS(7227), 1,
      anon_sym_decltype,
    ACTIONS(7229), 1,
      anon_sym_typename,
    STATE(4151), 1,
      sym__type_specifier,
    STATE(4509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4976), 1,
      sym_decltype_auto,
    STATE(5082), 1,
      sym_qualified_type_identifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4927), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5147), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5143), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127962] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4695), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128054] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3860), 1,
      sym_new_declarator,
    STATE(3773), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4868), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4539), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4532), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5181), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5098), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5119), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5106), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5214), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5098), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7309), 1,
      anon_sym_COLON,
    STATE(2618), 1,
      sym_attribute_specifier,
    STATE(3774), 1,
      sym__enum_base_clause,
    STATE(3830), 1,
      sym_enumerator_list,
    ACTIONS(5555), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5557), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [128556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5098), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5222), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5086), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128712] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4256), 1,
      sym__type_specifier,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5226), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128856] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4113), 1,
      sym__type_specifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5102), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5262), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5057), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5094), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5086), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5266), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      anon_sym_COLON,
    STATE(2698), 1,
      sym__enum_base_clause,
    STATE(2782), 1,
      sym_enumerator_list,
    STATE(2975), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5557), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [129324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5061), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5123), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5074), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129532] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4750), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129624] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3844), 1,
      sym_new_declarator,
    STATE(3776), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4872), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      anon_sym_COLON,
    STATE(2687), 1,
      sym__enum_base_clause,
    STATE(2793), 1,
      sym_enumerator_list,
    STATE(2982), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5569), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [129756] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4434), 1,
      sym__type_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(7076), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3856), 1,
      sym_new_declarator,
    STATE(3785), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4818), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129916] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5921), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5923), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [130019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6242), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130104] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7351), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7353), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [130207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130292] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6162), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [130391] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6136), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130476] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6120), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130561] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5947), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130646] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6126), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4038), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4649), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(4263), 1,
      sym_new_declarator,
    STATE(4619), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4866), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4868), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [130796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5845), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5905), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130898] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(7365), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7371), 1,
      anon_sym_AMP,
    ACTIONS(7373), 1,
      anon_sym_EQ,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6256), 1,
      sym__declarator,
    STATE(6458), 1,
      sym__abstract_declarator,
    STATE(6551), 1,
      sym_abstract_reference_declarator,
    STATE(6816), 1,
      sym_variadic_reference_declarator,
    STATE(6968), 1,
      sym_variadic_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(7367), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [130999] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [131074] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5913), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [131238] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5591), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [131321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5591), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [131406] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [131495] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5589), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [131586] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [131681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6115), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131766] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6242), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5884), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131936] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6168), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6170), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [132039] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [132108] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [132179] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5591), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [132252] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6156), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132335] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6247), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132420] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5950), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(4229), 1,
      sym_new_declarator,
    STATE(4591), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4856), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4858), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132572] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6381), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7378), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7375), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7105), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7103), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [132716] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6247), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132801] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132886] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6362), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5930), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133141] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(4231), 1,
      sym_new_declarator,
    STATE(4567), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4870), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4872), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [133208] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5971), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133293] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6124), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6128), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [133396] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6175), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [133495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    ACTIONS(7363), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(4176), 1,
      sym_new_declarator,
    STATE(4627), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(4816), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4818), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [133562] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(7365), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6149), 1,
      sym__declarator,
    STATE(6193), 1,
      sym__abstract_declarator,
    STATE(7167), 1,
      sym_variadic_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7381), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [133657] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6188), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [133756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5865), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133807] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(7365), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7371), 1,
      anon_sym_AMP,
    ACTIONS(7383), 1,
      anon_sym_EQ,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6281), 1,
      sym__declarator,
    STATE(6451), 1,
      sym__abstract_declarator,
    STATE(6512), 1,
      sym_abstract_reference_declarator,
    STATE(6816), 1,
      sym_variadic_reference_declarator,
    STATE(6968), 1,
      sym_variadic_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(7367), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [133908] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_SLASH,
    ACTIONS(7321), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7323), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7327), 1,
      anon_sym_CARET,
    ACTIONS(7335), 1,
      anon_sym_GT_EQ,
    ACTIONS(7341), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7343), 1,
      anon_sym_or,
    ACTIONS(7345), 1,
      anon_sym_and,
    ACTIONS(7347), 1,
      anon_sym_xor,
    ACTIONS(7349), 1,
      anon_sym_not_eq,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6184), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7317), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7325), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7329), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7337), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7333), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [134007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5778), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(3809), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5412), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(3808), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5497), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6216), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7387), 1,
      anon_sym___declspec,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    ACTIONS(7393), 1,
      sym_virtual,
    ACTIONS(7395), 1,
      anon_sym_alignas,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(5959), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(5961), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7385), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4168), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134296] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7387), 1,
      anon_sym___declspec,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    ACTIONS(7395), 1,
      anon_sym_alignas,
    ACTIONS(7397), 1,
      sym_virtual,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(5999), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6001), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7385), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4259), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134372] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6175), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4677), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_typedef,
    ACTIONS(3176), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [134506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(3775), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5404), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7407), 1,
      anon_sym_typedef,
    ACTIONS(3176), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [134614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3638), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4505), 1,
      anon_sym_SEMI,
    ACTIONS(4514), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(4507), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4510), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4503), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [134728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(3780), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5437), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134836] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6211), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4065), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134969] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8173), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4746), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7429), 1,
      anon_sym_or,
    ACTIONS(7431), 1,
      anon_sym_and,
    ACTIONS(5650), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5652), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135107] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5843), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4745), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [135288] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5852), 1,
      sym__abstract_declarator,
    STATE(4360), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7447), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2700), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [135414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_and,
    ACTIONS(5702), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5704), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135467] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7475), 1,
      anon_sym_SEMI,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6495), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7733), 1,
      sym_attribute_specifier,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [135619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5864), 1,
      sym__abstract_declarator,
    STATE(4330), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7485), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135696] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5844), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4077), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4735), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135777] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2831), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7595), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4111), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4740), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6252), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5561), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135939] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6105), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4733), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136020] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2060), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7670), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4106), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136101] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2060), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7670), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136182] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6105), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4098), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4733), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136263] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2944), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8173), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2618), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [136393] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4708), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136474] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5843), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4123), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4745), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136555] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6394), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4101), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136636] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6102), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4704), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6216), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136766] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6029), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4717), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136847] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6391), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2663), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [136977] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2833), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7595), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4126), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137058] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6034), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4128), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4720), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137139] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    ACTIONS(7539), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6531), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8037), 1,
      sym_attribute_specifier,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137242] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2058), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7670), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4726), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137323] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    ACTIONS(7541), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6522), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8280), 1,
      sym_attribute_specifier,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7543), 1,
      anon_sym_COLON,
    STATE(2618), 1,
      sym_attribute_specifier,
    STATE(2927), 1,
      sym__enum_base_clause,
    STATE(3135), 1,
      sym_enumerator_list,
    ACTIONS(5557), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5555), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [137487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2598), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [137536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5818), 1,
      sym__abstract_declarator,
    STATE(4369), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7447), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [137613] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2833), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7595), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5855), 1,
      sym__abstract_declarator,
    STATE(4382), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7447), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137771] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5860), 1,
      sym__abstract_declarator,
    STATE(4374), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7485), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137848] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2926), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8173), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4075), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4703), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6143), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4089), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5810), 1,
      sym__abstract_declarator,
    STATE(4317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7485), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [138087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2905), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [138136] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6391), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4122), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138217] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5545), 1,
      anon_sym_STAR,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_AMP,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6149), 1,
      sym__declarator,
    STATE(6193), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7381), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [138306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7551), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5650), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5652), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5702), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5704), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138410] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6441), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4723), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138491] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5842), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4727), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8173), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4093), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4746), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138653] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2056), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7670), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4091), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138734] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2890), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7595), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7543), 1,
      anon_sym_COLON,
    STATE(2655), 1,
      sym_attribute_specifier,
    STATE(2909), 1,
      sym__enum_base_clause,
    STATE(3179), 1,
      sym_enumerator_list,
    ACTIONS(5569), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5567), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [138876] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6030), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4719), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138957] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6030), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    ACTIONS(7419), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4100), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4719), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7123), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(4440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3636), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7553), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [139096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(3525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3636), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6459), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139230] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7569), 1,
      sym_auto,
    ACTIONS(7571), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5084), 1,
      sym_decltype_auto,
    STATE(5939), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4493), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(4849), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3662), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(4503), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4510), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139414] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6170), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [139508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5923), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [139602] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6336), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139682] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6340), 1,
      sym__abstract_declarator,
    ACTIONS(7125), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7127), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4768), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5561), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139762] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6128), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [139856] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7597), 1,
      anon_sym_COMMA,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
    ACTIONS(7601), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7160), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [139956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(4440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5254), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7553), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140082] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6186), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [140172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7605), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4577), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7603), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [140230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140302] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6164), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [140392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7305), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [140440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7303), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7301), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [140488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6190), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [140578] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7569), 1,
      sym_auto,
    ACTIONS(7571), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5084), 1,
      sym_decltype_auto,
    STATE(5887), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4524), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140654] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140720] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_template_argument_list,
    ACTIONS(4507), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4510), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4503), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [140848] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6177), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [140938] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5591), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [141026] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5591), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [141112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5591), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [141196] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5591), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [141278] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5591), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [141356] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6985), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [141453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4874), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4691), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141577] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6020), 1,
      sym__abstract_declarator,
    STATE(4631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1480), 1,
      sym__fold_operator,
    ACTIONS(7623), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(7621), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [141701] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6378), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4162), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4871), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1920), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141825] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7387), 1,
      anon_sym___declspec,
    ACTIONS(7395), 1,
      anon_sym_alignas,
    ACTIONS(7625), 1,
      sym_virtual,
    ACTIONS(6085), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6087), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7385), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4189), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141939] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4661), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7629), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7627), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [142122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5905), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142199] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5905), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4204), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142276] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    STATE(4611), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5402), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5404), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [142418] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7639), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [142513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6216), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4200), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5561), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5892), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4173), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4862), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7651), 1,
      anon_sym_LPAREN2,
    ACTIONS(7653), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7649), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [142718] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6909), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [142815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6170), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142908] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7659), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6834), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143074] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143141] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7687), 1,
      anon_sym_RBRACK,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143238] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7697), 1,
      anon_sym_COMMA,
    ACTIONS(7699), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6917), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143335] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7701), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7703), 1,
      anon_sym_COMMA,
    ACTIONS(7705), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7076), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143432] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 1,
      anon_sym_const,
    ACTIONS(7017), 1,
      anon_sym___inline,
    ACTIONS(7713), 1,
      anon_sym___attribute__,
    ACTIONS(7716), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7719), 1,
      anon_sym___declspec,
    ACTIONS(7722), 1,
      sym_virtual,
    ACTIONS(7725), 1,
      anon_sym_alignas,
    ACTIONS(6041), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6043), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7710), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4189), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7707), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143499] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [143588] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7766), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7065), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143685] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5736), 1,
      anon_sym_STAR,
    ACTIONS(5738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_AMP,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6149), 1,
      sym__declarator,
    STATE(6414), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(7381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [143772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143843] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7703), 1,
      anon_sym_COMMA,
    ACTIONS(7768), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6982), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143940] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7770), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [144033] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7772), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7172), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144130] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7774), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7203), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144227] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144302] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7776), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7152), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144399] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6220), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4866), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7778), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5249), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [144531] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7781), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7132), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144628] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7783), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7112), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5943), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4852), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144802] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [144879] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7785), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7091), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4683), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145023] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [145104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4657), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145151] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7787), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7023), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [145248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [145331] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7789), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7069), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4892), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4890), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [145477] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [145562] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6128), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4724), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145702] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6861), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [145799] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7793), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7046), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145896] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7795), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7020), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7797), 1,
      sym_identifier,
    ACTIONS(7801), 1,
      sym_primitive_type,
    STATE(4201), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5232), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [146048] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7803), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7110), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1948), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [146192] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4874), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146269] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_STAR,
    ACTIONS(5732), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5734), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6149), 1,
      sym__declarator,
    STATE(6412), 1,
      sym__abstract_declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    ACTIONS(7381), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [146356] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [146443] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6382), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    ACTIONS(3156), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3154), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146520] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7805), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(6951), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146617] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    STATE(4601), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5435), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5437), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [146735] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6961), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [146832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    STATE(4632), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5495), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5497), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [146885] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7809), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6970), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [146982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4671), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [147029] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7811), 1,
      anon_sym_COMMA,
    ACTIONS(7813), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6949), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4703), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [147173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4699), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [147220] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7815), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(6925), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147317] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7817), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(6866), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7819), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6910), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147511] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6015), 1,
      sym__abstract_declarator,
    STATE(4613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147586] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7821), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7187), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147683] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7823), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(6932), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147780] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6947), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147877] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6927), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147974] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7829), 1,
      anon_sym_COMMA,
    ACTIONS(7831), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7025), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148071] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7051), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148168] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7835), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [148261] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7601), 1,
      anon_sym_RBRACE,
    ACTIONS(7837), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7160), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148358] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7839), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7117), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4675), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [148502] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7841), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7143), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148599] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6880), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148696] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7845), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7166), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148793] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    ACTIONS(7849), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7188), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5923), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148983] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6045), 1,
      sym__abstract_declarator,
    STATE(4603), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7194), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149155] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7853), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6879), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149252] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7387), 1,
      anon_sym___declspec,
    ACTIONS(7395), 1,
      anon_sym_alignas,
    ACTIONS(7625), 1,
      sym_virtual,
    ACTIONS(6074), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6076), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7385), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4189), 8,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149319] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
    ACTIONS(7857), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149416] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7859), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6992), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149513] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7861), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6939), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_LPAREN2,
    STATE(4587), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5410), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5412), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149663] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6019), 1,
      sym__abstract_declarator,
    STATE(4594), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149738] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7863), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(6875), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149835] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7865), 1,
      anon_sym_COMMA,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7019), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149932] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7067), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150029] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7879), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5182), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6343), 1,
      sym__abstract_declarator,
    ACTIONS(7881), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7883), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4269), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4840), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5561), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150108] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7879), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5182), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6367), 1,
      sym__abstract_declarator,
    ACTIONS(7881), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7883), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4838), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5086), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5543), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150187] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(6851), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4695), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4679), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150378] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    ACTIONS(7889), 1,
      anon_sym_GT2,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    STATE(7034), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150475] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7703), 1,
      anon_sym_COMMA,
    ACTIONS(7891), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    STATE(7076), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4687), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4683), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [150666] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_PIPE,
    ACTIONS(7465), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7481), 1,
      anon_sym_bitor,
    ACTIONS(7483), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7451), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7453), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7459), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7463), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7473), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7467), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7469), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [150755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7778), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4750), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150806] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
    ACTIONS(7893), 1,
      anon_sym_COMMA,
    ACTIONS(7896), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150903] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7898), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150998] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7898), 1,
      anon_sym_SEMI,
    ACTIONS(7900), 1,
      anon_sym_COMMA,
    ACTIONS(7903), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4683), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [151142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5630), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5632), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151202] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7931), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151388] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7943), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151482] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7945), 1,
      anon_sym_COMMA,
    ACTIONS(7947), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151576] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6177), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151664] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7949), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151756] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151850] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(5923), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5923), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7949), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152126] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6401), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4945), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152204] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4294), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4944), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5561), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4539), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4532), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [152332] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7959), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152426] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7961), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152520] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7963), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152614] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6147), 1,
      sym__abstract_declarator,
    STATE(4635), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152688] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152782] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7967), 1,
      anon_sym_COMMA,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7605), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4682), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7603), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [152932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7639), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153024] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153118] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7971), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7973), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6122), 1,
      sym__abstract_declarator,
    STATE(4665), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6128), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153470] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7975), 1,
      anon_sym_COMMA,
    ACTIONS(7977), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(4637), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5254), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153620] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7981), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153714] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153802] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6170), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153894] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153982] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5801), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154050] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5805), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [154118] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154298] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7898), 1,
      anon_sym_COLON,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5668), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [154450] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5849), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154518] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7903), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154610] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154790] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7987), 1,
      anon_sym_COMMA,
    ACTIONS(7989), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154884] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [154952] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155016] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5848), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155144] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6170), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155236] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [155322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5791), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [155474] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [155556] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [155636] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [155712] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(7991), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4942), 1,
      anon_sym_LPAREN2,
    ACTIONS(4948), 1,
      anon_sym_LBRACK,
    ACTIONS(3646), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3638), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [155950] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156096] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156162] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7353), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156324] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6190), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156412] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156482] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7949), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(4860), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156622] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7993), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4541), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4534), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156764] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7995), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156858] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5809), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_literal_suffix,
    ACTIONS(3646), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [157048] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [157124] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7857), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [157218] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [157284] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157378] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5863), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_LBRACK,
    STATE(4552), 1,
      sym_new_declarator,
    ACTIONS(5520), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5522), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [157496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5634), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5636), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [157556] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [157638] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [157722] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5712), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [157782] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8001), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157876] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8003), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157970] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8005), 1,
      anon_sym_COMMA,
    ACTIONS(8007), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158064] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5811), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [158132] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [158190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158282] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8011), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158376] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5845), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5850), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158512] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [158572] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8013), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158664] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8015), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158758] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5853), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158826] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8017), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158920] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8019), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159014] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8021), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5861), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159176] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [159262] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159356] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8025), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159450] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8027), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159636] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8029), 1,
      anon_sym_COMMA,
    ACTIONS(8031), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159730] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159824] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159888] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159982] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160074] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8037), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160168] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8039), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160260] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8041), 1,
      anon_sym_COMMA,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160354] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160446] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6186), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [160534] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8045), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160628] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_COMMA,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8047), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160722] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6164), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6216), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160856] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8049), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160950] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8051), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161044] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [161108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6190), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161196] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161284] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [161370] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [161454] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6431), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4428), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4880), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5561), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8053), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5666), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5668), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [161682] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [161764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [161844] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6170), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161936] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [162016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6177), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [162104] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8055), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162198] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162266] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5638), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5640), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [162390] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8057), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162484] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5589), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8013), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162636] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7381), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6228), 1,
      sym__declarator,
    STATE(6414), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [162722] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162816] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    ACTIONS(6550), 1,
      anon_sym_LBRACK,
    ACTIONS(6554), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_SLASH,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      anon_sym_AMP,
    ACTIONS(7752), 1,
      anon_sym_LT_LT,
    ACTIONS(7754), 1,
      anon_sym_GT_GT,
    ACTIONS(7758), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_bitor,
    ACTIONS(7762), 1,
      anon_sym_bitand,
    STATE(3539), 1,
      sym_subscript_argument_list,
    STATE(3556), 1,
      sym_argument_list,
    ACTIONS(6556), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7732), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7738), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7740), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7744), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7748), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6186), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7750), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162904] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5589), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162974] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(3154), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4148), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6419), 1,
      sym__abstract_declarator,
    ACTIONS(7257), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7259), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4043), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4899), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163052] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5630), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5632), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163112] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5634), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5636), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163246] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8061), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163338] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5589), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5591), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [163414] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6196), 1,
      sym__abstract_declarator,
    STATE(4676), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163487] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8063), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163578] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8065), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8067), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163851] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3779), 1,
      anon_sym_LPAREN2,
    ACTIONS(3781), 1,
      anon_sym_STAR,
    ACTIONS(3783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3785), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6384), 1,
      sym__declarator,
    STATE(6540), 1,
      sym__abstract_declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5476), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5478), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163983] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8071), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164165] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8073), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164256] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8075), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5480), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5482), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164396] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164487] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164578] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8077), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8079), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8081), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4503), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5441), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8083), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4504), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5451), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8085), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5449), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165222] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4445), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4890), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8087), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8089), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8091), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165635] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8093), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165726] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8095), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165908] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8097), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165999] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8099), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8101), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166272] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8103), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166363] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5064), 1,
      sym_ms_call_modifier,
    STATE(5417), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6960), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166535] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166626] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8105), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8107), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166808] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8109), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8111), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8113), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(8115), 1,
      anon_sym_COLON,
    STATE(2618), 1,
      sym_attribute_specifier,
    STATE(3774), 1,
      sym__enum_base_clause,
    STATE(3830), 1,
      sym_enumerator_list,
    ACTIONS(5555), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5557), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167138] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(8115), 1,
      anon_sym_COLON,
    STATE(2655), 1,
      sym_attribute_specifier,
    STATE(3781), 1,
      sym__enum_base_clause,
    STATE(3841), 1,
      sym_enumerator_list,
    ACTIONS(5567), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5569), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8119), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8121), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8123), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8125), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8127), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8129), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8136), 1,
      anon_sym_const,
    ACTIONS(4924), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8133), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4926), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [168156] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5065), 1,
      sym_ms_call_modifier,
    STATE(5456), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(7119), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8139), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5886), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168486] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8141), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168577] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8143), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168668] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8145), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8147), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    ACTIONS(3646), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3638), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168897] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8149), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8151), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4752), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4750), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8156), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [169219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5398), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5396), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5461), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5463), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169317] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4996), 1,
      sym_ms_call_modifier,
    STATE(5439), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(7073), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169398] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169489] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8158), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [169580] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8160), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [169671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8162), 1,
      sym_identifier,
    ACTIONS(8166), 1,
      sym_primitive_type,
    STATE(4519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8164), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5230), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5232), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym_literal_suffix,
    ACTIONS(4860), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4862), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8168), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5914), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8170), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4445), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5076), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8087), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5078), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8172), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8174), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170251] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8176), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170342] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8178), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4750), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5246), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5249), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170484] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8180), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170575] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4978), 1,
      sym_ms_call_modifier,
    STATE(5398), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6907), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [170747] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7911), 1,
      anon_sym_SLASH,
    ACTIONS(7917), 1,
      anon_sym_PIPE,
    ACTIONS(7921), 1,
      anon_sym_AMP,
    ACTIONS(7927), 1,
      anon_sym_GT_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    ACTIONS(7935), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7937), 1,
      anon_sym_bitor,
    ACTIONS(7939), 1,
      anon_sym_bitand,
    ACTIONS(8182), 1,
      anon_sym_COLON,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(6674), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7909), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7913), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7915), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7919), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7929), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7923), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7925), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170838] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5919), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170905] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8184), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [170996] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8186), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171087] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8188), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171178] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8190), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171269] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5073), 1,
      sym_ms_call_modifier,
    STATE(5405), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6826), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171350] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8192), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171441] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8194), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8196), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6188), 1,
      sym__abstract_declarator,
    STATE(4680), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8198), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8200), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [171969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8202), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8204), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8206), 1,
      anon_sym_LT,
    STATE(4646), 1,
      sym_template_argument_list,
    ACTIONS(4503), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4510), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172202] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8206), 1,
      anon_sym_LT,
    STATE(4637), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4646), 1,
      sym_template_argument_list,
    ACTIONS(3636), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5923), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172324] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8208), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172415] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8210), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6216), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172551] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8212), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172642] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8214), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172733] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(7701), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8216), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8218), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [172915] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8220), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8206), 1,
      anon_sym_LT,
    STATE(4646), 1,
      sym_template_argument_list,
    ACTIONS(4849), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3662), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [173057] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(4957), 1,
      sym_ms_call_modifier,
    STATE(5444), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6966), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5612), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173183] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8222), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8224), 1,
      anon_sym_COMMA,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8226), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8228), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173547] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8230), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173638] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173729] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5055), 1,
      sym_ms_call_modifier,
    STATE(5426), 1,
      sym__declarator,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6999), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173810] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    ACTIONS(8234), 1,
      anon_sym_RBRACK,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8236), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173992] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8238), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [174083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    ACTIONS(8240), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [174174] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7667), 1,
      anon_sym_SLASH,
    ACTIONS(7673), 1,
      anon_sym_PIPE,
    ACTIONS(7677), 1,
      anon_sym_AMP,
    ACTIONS(7683), 1,
      anon_sym_GT_EQ,
    ACTIONS(7689), 1,
      anon_sym_QMARK,
    ACTIONS(7691), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7693), 1,
      anon_sym_bitor,
    ACTIONS(7695), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7663), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7665), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7671), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7675), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7685), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7679), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7681), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(4993), 1,
      sym_ms_call_modifier,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6376), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5829), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5897), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5869), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174566] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5095), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6179), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5837), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174688] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(5543), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5182), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6499), 1,
      sym__abstract_declarator,
    ACTIONS(7881), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7883), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5086), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5102), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5744), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5809), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5885), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2568), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8250), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8248), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [174990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175034] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6260), 1,
      sym__abstract_declarator,
    STATE(4709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7485), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6253), 1,
      sym__abstract_declarator,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7447), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5905), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5901), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5782), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5774), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5865), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5845), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5853), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5043), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6233), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8256), 1,
      anon_sym___attribute__,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8254), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8252), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [175656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5849), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5923), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5927), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6016), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175854] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(4754), 1,
      sym_ref_qualifier,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(5773), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [175936] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4975), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6209), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5817), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5805), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176102] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_requires,
    STATE(4741), 1,
      sym_ref_qualifier,
    STATE(5646), 1,
      sym__function_attributes_end,
    STATE(5753), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176184] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4736), 1,
      sym_field_declaration_list,
    STATE(4798), 1,
      sym_attribute_specifier,
    STATE(6711), 1,
      sym_virtual_specifier,
    STATE(7417), 1,
      sym_base_class_clause,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4778), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4780), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [176244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5871), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5873), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176288] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5070), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6244), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6023), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176432] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4972), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6163), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5702), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5704), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176556] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6007), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7605), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7603), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [176672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5778), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5889), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5821), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5919), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176914] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6010), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8273), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5650), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5652), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177028] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(5561), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7879), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5182), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6523), 1,
      sym__abstract_declarator,
    ACTIONS(7881), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7883), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4572), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5797), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5724), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3528), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5935), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5254), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4574), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177334] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(7313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7559), 1,
      anon_sym_SLASH,
    ACTIONS(7563), 1,
      anon_sym_GT_EQ,
    ACTIONS(7567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(7581), 1,
      anon_sym_AMP,
    ACTIONS(7585), 1,
      anon_sym_QMARK,
    ACTIONS(7587), 1,
      anon_sym_bitor,
    ACTIONS(7589), 1,
      anon_sym_bitand,
    STATE(2448), 1,
      sym_subscript_argument_list,
    STATE(2502), 1,
      sym_argument_list,
    ACTIONS(5599), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7071), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7557), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7573), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7575), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7579), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7583), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [177422] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5091), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6231), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [177500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5825), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5841), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5909), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177632] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6013), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5758), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6003), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177808] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(4989), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6177), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [177886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177930] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6039), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5813), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5893), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8277), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym__enum_base_clause,
    STATE(4743), 1,
      sym_enumerator_list,
    STATE(4784), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5557), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [178139] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6124), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5644), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [178247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5476), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5478), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4643), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5441), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8281), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8283), 1,
      anon_sym_SEMI,
    ACTIONS(5891), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5893), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4898), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5244), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [178474] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(4811), 1,
      sym_ref_qualifier,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5596), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5164), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [178555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5398), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5396), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178602] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6323), 1,
      sym__abstract_declarator,
    STATE(4770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7485), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5461), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5463), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4539), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8277), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym__enum_base_clause,
    STATE(4725), 1,
      sym_enumerator_list,
    STATE(4810), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5569), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [178818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4651), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5076), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8297), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5078), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178865] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6156), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4493), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5480), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5482), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4645), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5451), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5449), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3636), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4574), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5664), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [179163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3174), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [179206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4940), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_field_declaration_list,
    STATE(5069), 1,
      sym_attribute_specifier,
    STATE(6754), 1,
      sym_virtual_specifier,
    STATE(7317), 1,
      sym_base_class_clause,
    ACTIONS(4778), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4760), 1,
      sym_ref_qualifier,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5589), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5166), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4522), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4526), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4896), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4898), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4530), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179563] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6109), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5672), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [179671] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6111), 1,
      sym__abstract_declarator,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6835), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4497), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_const,
    ACTIONS(4924), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8307), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4926), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [179828] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(4821), 1,
      sym_decltype_auto,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6331), 1,
      sym__abstract_declarator,
    STATE(4813), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4900), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4902), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4501), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4489), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(2574), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5254), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4586), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5256), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180083] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6175), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8313), 1,
      anon_sym_LT,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(4503), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4510), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180195] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(4864), 1,
      sym_ref_qualifier,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5173), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [180275] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6192), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180339] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6224), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180403] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4858), 1,
      sym_ref_qualifier,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5621), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5171), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [180483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym___attribute__,
    STATE(4679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8254), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8252), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [180529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6198), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_attribute_specifier,
    STATE(5163), 1,
      sym_field_declaration_list,
    STATE(6766), 1,
      sym_virtual_specifier,
    STATE(7393), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4780), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4778), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [180651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(8250), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8248), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [180699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8313), 1,
      anon_sym_LT,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(4849), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3662), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4926), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(8136), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4924), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [180793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    STATE(4738), 1,
      sym_enumerator_list,
    STATE(4794), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5189), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [180843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4651), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8297), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7605), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7603), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [180937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4503), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4510), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [180985] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6365), 1,
      sym__abstract_declarator,
    STATE(4837), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4869), 1,
      sym_ref_qualifier,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5178), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    STATE(4747), 1,
      sym_enumerator_list,
    STATE(4765), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5210), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [181185] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4875), 1,
      sym_ref_qualifier,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5174), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181265] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4834), 1,
      sym_ref_qualifier,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5694), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5172), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [181345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    ACTIONS(8329), 1,
      anon_sym_COLON,
    STATE(4819), 1,
      sym__enum_base_clause,
    STATE(4835), 1,
      sym_enumerator_list,
    STATE(5005), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5557), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    STATE(4829), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7485), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181469] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(4854), 1,
      sym_ref_qualifier,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5711), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5175), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181549] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(4832), 1,
      sym_ref_qualifier,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5185), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [181629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4898), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(4833), 1,
      sym_ref_qualifier,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5597), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5190), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181751] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1748), 1,
      anon_sym_enum,
    ACTIONS(1750), 1,
      anon_sym_class,
    ACTIONS(1752), 1,
      anon_sym_struct,
    ACTIONS(1754), 1,
      anon_sym_union,
    ACTIONS(1780), 1,
      anon_sym_typename,
    ACTIONS(3002), 1,
      sym_primitive_type,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8337), 1,
      anon_sym_EQ,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3414), 1,
      sym_qualified_type_identifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    ACTIONS(8335), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    ACTIONS(8329), 1,
      anon_sym_COLON,
    STATE(4795), 1,
      sym__enum_base_clause,
    STATE(4853), 1,
      sym_enumerator_list,
    STATE(5079), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5569), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
    ACTIONS(4849), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3662), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [181937] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(8173), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182002] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6113), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182067] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8333), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8337), 1,
      anon_sym_EQ,
    ACTIONS(8339), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5395), 1,
      sym_ms_declspec_modifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8335), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5132), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [182156] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(4920), 1,
      sym_ref_qualifier,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5214), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [182235] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6421), 1,
      sym__abstract_declarator,
    STATE(4936), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7485), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6272), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6386), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182367] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6270), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5543), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8313), 1,
      anon_sym_LT,
    STATE(2574), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_template_argument_list,
    ACTIONS(3636), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4586), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [182544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6255), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4812), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5330), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [182652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4804), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5360), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [182697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      sym_auto,
    ACTIONS(7547), 1,
      anon_sym_decltype,
    STATE(4821), 1,
      sym_decltype_auto,
    ACTIONS(4954), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4956), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [182744] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2060), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(6028), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182874] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2058), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(6029), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(6030), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183069] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6391), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183134] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6441), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183199] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6440), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4785), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5379), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [183309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4780), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5366), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [183354] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2074), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(5812), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183484] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_requires,
    STATE(5646), 1,
      sym__function_attributes_end,
    STATE(5753), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [183557] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(4907), 1,
      sym_ref_qualifier,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5213), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [183636] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(5773), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [183709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(3662), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4849), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [183756] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2958), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(8173), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183821] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6102), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4818), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5322), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [183931] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(5843), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4773), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5310), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4769), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5291), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4758), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5326), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184131] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6105), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184196] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2833), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184261] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8351), 1,
      anon_sym_requires,
    STATE(5634), 1,
      sym__function_attributes_end,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [184334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    ACTIONS(4510), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4503), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [184381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4783), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5356), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184426] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(6280), 1,
      sym_auto,
    ACTIONS(6282), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(2985), 1,
      sym_decltype_auto,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6417), 1,
      sym__abstract_declarator,
    STATE(4950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184495] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(5842), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184560] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2944), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(8173), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4799), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5306), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184670] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4921), 1,
      sym_ref_qualifier,
    STATE(5774), 1,
      sym__function_attributes_end,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5204), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3176), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [184790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6416), 1,
      sym__abstract_declarator,
    STATE(4935), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7485), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184859] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_requires,
    STATE(4882), 1,
      sym_ref_qualifier,
    STATE(5754), 1,
      sym__function_attributes_end,
    STATE(5893), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5218), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4805), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5338), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184983] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6404), 1,
      sym__abstract_declarator,
    STATE(4925), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185052] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5636), 1,
      sym__function_attributes_end,
    STATE(5726), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5119), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [185125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    STATE(4802), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5295), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185170] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2893), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185235] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2890), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5177), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5098), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185380] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8357), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(5602), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5165), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [185452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8363), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5670), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5672), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [185494] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6301), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6386), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5181), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185596] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7207), 1,
      sym_primitive_type,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      anon_sym_typename,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4019), 1,
      sym__type_specifier,
    STATE(4887), 1,
      sym_argument_list,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5061), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5086), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185756] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_enum,
    ACTIONS(8390), 1,
      anon_sym_class,
    ACTIONS(8392), 1,
      anon_sym_struct,
    ACTIONS(8394), 1,
      anon_sym_union,
    ACTIONS(8396), 1,
      sym_auto,
    ACTIONS(8398), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      anon_sym_typename,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2627), 1,
      sym__type_specifier,
    STATE(2953), 1,
      sym_qualified_type_identifier,
    STATE(2955), 1,
      sym_decltype_auto,
    STATE(4953), 1,
      sym_argument_list,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2954), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185836] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6336), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5102), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [185938] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6288), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7983), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186000] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7207), 1,
      sym_primitive_type,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      anon_sym_typename,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4053), 1,
      sym__type_specifier,
    STATE(4888), 1,
      sym_argument_list,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186080] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3979), 1,
      sym__type_specifier,
    STATE(4929), 1,
      sym_argument_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5094), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5086), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5082), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186280] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4009), 1,
      sym__type_specifier,
    STATE(4931), 1,
      sym_argument_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5135), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186400] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3833), 1,
      sym__type_specifier,
    STATE(4913), 1,
      sym_argument_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186480] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_enum,
    ACTIONS(8390), 1,
      anon_sym_class,
    ACTIONS(8392), 1,
      anon_sym_struct,
    ACTIONS(8394), 1,
      anon_sym_union,
    ACTIONS(8396), 1,
      sym_auto,
    ACTIONS(8398), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      anon_sym_typename,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym__type_specifier,
    STATE(2953), 1,
      sym_qualified_type_identifier,
    STATE(2955), 1,
      sym_decltype_auto,
    STATE(4946), 1,
      sym_argument_list,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2954), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5074), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5078), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186640] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8422), 1,
      sym_primitive_type,
    ACTIONS(8424), 1,
      anon_sym_enum,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8436), 1,
      anon_sym_typename,
    STATE(1800), 1,
      sym__type_specifier,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(4922), 1,
      sym_argument_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5270), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5123), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5127), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186840] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8422), 1,
      sym_primitive_type,
    ACTIONS(8424), 1,
      anon_sym_enum,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8436), 1,
      anon_sym_typename,
    STATE(1818), 1,
      sym__type_specifier,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(4918), 1,
      sym_argument_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5131), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186960] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_enum,
    ACTIONS(8446), 1,
      anon_sym_typename,
    STATE(1800), 1,
      sym__type_specifier,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(4881), 1,
      sym_argument_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187040] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(4440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3636), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7553), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3644), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [187090] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5589), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5166), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [187162] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8448), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8454), 1,
      sym_primitive_type,
    ACTIONS(8456), 1,
      anon_sym_enum,
    ACTIONS(8458), 1,
      anon_sym_class,
    ACTIONS(8460), 1,
      anon_sym_struct,
    ACTIONS(8462), 1,
      anon_sym_union,
    ACTIONS(8464), 1,
      sym_auto,
    ACTIONS(8466), 1,
      anon_sym_decltype,
    ACTIONS(8468), 1,
      anon_sym_typename,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2876), 1,
      sym__type_specifier,
    STATE(3328), 1,
      sym_decltype_auto,
    STATE(3346), 1,
      sym_qualified_type_identifier,
    STATE(4892), 1,
      sym_argument_list,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3332), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5098), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4892), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5266), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    STATE(4831), 1,
      sym_enumerator_list,
    STATE(4955), 1,
      sym_attribute_specifier,
    ACTIONS(5208), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5210), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5159), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187450] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3858), 1,
      sym__type_specifier,
    STATE(4930), 1,
      sym_argument_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5106), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5262), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187610] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5596), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5164), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [187682] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8448), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8454), 1,
      sym_primitive_type,
    ACTIONS(8456), 1,
      anon_sym_enum,
    ACTIONS(8458), 1,
      anon_sym_class,
    ACTIONS(8460), 1,
      anon_sym_struct,
    ACTIONS(8462), 1,
      anon_sym_union,
    ACTIONS(8464), 1,
      sym_auto,
    ACTIONS(8466), 1,
      anon_sym_decltype,
    ACTIONS(8468), 1,
      anon_sym_typename,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2832), 1,
      sym__type_specifier,
    STATE(3328), 1,
      sym_decltype_auto,
    STATE(3346), 1,
      sym_qualified_type_identifier,
    STATE(4893), 1,
      sym_argument_list,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3332), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5226), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187802] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_enum,
    ACTIONS(8446), 1,
      anon_sym_typename,
    STATE(1818), 1,
      sym__type_specifier,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(4886), 1,
      sym_argument_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5119), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5222), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5098), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5214), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188042] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 1,
      sym_primitive_type,
    ACTIONS(8478), 1,
      anon_sym_enum,
    ACTIONS(8480), 1,
      anon_sym_class,
    ACTIONS(8482), 1,
      anon_sym_struct,
    ACTIONS(8484), 1,
      anon_sym_union,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    ACTIONS(8490), 1,
      anon_sym_typename,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3702), 1,
      sym__type_specifier,
    STATE(3959), 1,
      sym_decltype_auto,
    STATE(4912), 1,
      sym_argument_list,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3895), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3960), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188122] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 1,
      sym_primitive_type,
    ACTIONS(8478), 1,
      anon_sym_enum,
    ACTIONS(8480), 1,
      anon_sym_class,
    ACTIONS(8482), 1,
      anon_sym_struct,
    ACTIONS(8484), 1,
      anon_sym_union,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    ACTIONS(8490), 1,
      anon_sym_typename,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3703), 1,
      sym__type_specifier,
    STATE(3959), 1,
      sym_decltype_auto,
    STATE(4911), 1,
      sym_argument_list,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3895), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3960), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5143), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188242] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8357), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym__function_attributes_end,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5142), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [188314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5147), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188354] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_const,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6326), 1,
      sym__abstract_declarator,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7999), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6947), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188416] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8504), 1,
      sym_primitive_type,
    ACTIONS(8506), 1,
      anon_sym_enum,
    ACTIONS(8508), 1,
      anon_sym_class,
    ACTIONS(8510), 1,
      anon_sym_struct,
    ACTIONS(8512), 1,
      anon_sym_union,
    ACTIONS(8514), 1,
      sym_auto,
    ACTIONS(8516), 1,
      anon_sym_decltype,
    ACTIONS(8518), 1,
      anon_sym_typename,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2718), 1,
      sym__type_specifier,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3073), 1,
      sym_decltype_auto,
    STATE(4908), 1,
      sym_argument_list,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3009), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3071), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5151), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5090), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5277), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5057), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188656] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    STATE(4865), 1,
      sym_enumerator_list,
    STATE(4964), 1,
      sym_attribute_specifier,
    ACTIONS(5187), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5189), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5089), 1,
      sym_ref_qualifier,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6098), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5222), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [188782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5139), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188822] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      anon_sym_requires,
    STATE(5098), 1,
      sym_ref_qualifier,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6129), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5226), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [188900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5218), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5240), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5195), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [189020] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8504), 1,
      sym_primitive_type,
    ACTIONS(8506), 1,
      anon_sym_enum,
    ACTIONS(8508), 1,
      anon_sym_class,
    ACTIONS(8510), 1,
      anon_sym_struct,
    ACTIONS(8512), 1,
      anon_sym_union,
    ACTIONS(8514), 1,
      sym_auto,
    ACTIONS(8516), 1,
      anon_sym_decltype,
    ACTIONS(8518), 1,
      anon_sym_typename,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2688), 1,
      sym__type_specifier,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3073), 1,
      sym_decltype_auto,
    STATE(4909), 1,
      sym_argument_list,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3009), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3071), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON,
    STATE(1973), 1,
      sym_attribute_specifier,
    STATE(4959), 1,
      sym__enum_base_clause,
    STATE(5149), 1,
      sym_enumerator_list,
    ACTIONS(5557), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5555), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8525), 1,
      anon_sym_COLON,
    STATE(1980), 1,
      sym_attribute_specifier,
    STATE(2535), 1,
      sym__enum_base_clause,
    STATE(2545), 1,
      sym_enumerator_list,
    ACTIONS(5567), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5569), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [189202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6368), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7983), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189263] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5185), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [189334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4965), 1,
      sym_attribute_specifier,
    ACTIONS(5304), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5306), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189377] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5607), 1,
      sym_trailing_return_type,
    STATE(5678), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5184), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [189448] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5183), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [189519] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    STATE(5691), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5176), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [189590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4960), 1,
      sym_attribute_specifier,
    ACTIONS(5354), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5356), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189633] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5694), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5172), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [189704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6355), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7999), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6371), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6386), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189826] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5597), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5190), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [189897] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7885), 1,
      anon_sym_const,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6367), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189958] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5711), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5175), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [190029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(6369), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4967), 1,
      sym_attribute_specifier,
    ACTIONS(5293), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5295), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON,
    STATE(1980), 1,
      sym_attribute_specifier,
    STATE(4977), 1,
      sym__enum_base_clause,
    STATE(5158), 1,
      sym_enumerator_list,
    ACTIONS(5569), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5567), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190184] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6220), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4968), 1,
      sym_attribute_specifier,
    ACTIONS(5336), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5338), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(5071), 1,
      sym_attribute_specifier,
    ACTIONS(5358), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5360), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(8536), 1,
      anon_sym_COLON,
    STATE(2687), 1,
      sym__enum_base_clause,
    STATE(2793), 1,
      sym_enumerator_list,
    STATE(2982), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5569), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [190382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(5080), 1,
      sym_attribute_specifier,
    ACTIONS(5328), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5330), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(5010), 1,
      sym_attribute_specifier,
    ACTIONS(5377), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5379), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym___attribute__,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(8536), 1,
      anon_sym_COLON,
    STATE(2698), 1,
      sym__enum_base_clause,
    STATE(2782), 1,
      sym_enumerator_list,
    STATE(2975), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5557), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [190519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(5969), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(5004), 1,
      sym_attribute_specifier,
    ACTIONS(5364), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5366), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190623] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(5675), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5180), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [190694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4992), 1,
      sym_attribute_specifier,
    ACTIONS(5308), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5310), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8525), 1,
      anon_sym_COLON,
    STATE(1973), 1,
      sym_attribute_specifier,
    STATE(2515), 1,
      sym__enum_base_clause,
    STATE(2560), 1,
      sym_enumerator_list,
    ACTIONS(5555), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5557), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [190788] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5174), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [190859] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    STATE(5626), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5194), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [190930] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5178), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [191001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4980), 1,
      sym_attribute_specifier,
    ACTIONS(5320), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5322), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4990), 1,
      sym_attribute_specifier,
    ACTIONS(5289), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5291), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(5905), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191148] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(5943), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191209] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym__function_attributes_end,
    STATE(5607), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5177), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym___attribute__,
    STATE(4979), 1,
      sym_attribute_specifier,
    ACTIONS(5324), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5326), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191323] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6176), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6386), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5173), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191455] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7447), 1,
      anon_sym_COLON,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6552), 1,
      sym__abstract_declarator,
    STATE(5135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191522] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5191), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [191593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(5133), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5256), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5254), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [191640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(6342), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191701] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7135), 1,
      sym_auto,
    ACTIONS(7137), 1,
      anon_sym_decltype,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_COLON,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6508), 1,
      sym__abstract_declarator,
    STATE(5108), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191768] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5621), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5171), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [191839] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(6382), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3152), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5167), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [191971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3536), 1,
      sym_identifier,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(3548), 1,
      anon_sym_enum,
    ACTIONS(3550), 1,
      anon_sym_class,
    ACTIONS(3552), 1,
      anon_sym_struct,
    ACTIONS(3554), 1,
      anon_sym_union,
    ACTIONS(3558), 1,
      anon_sym_typename,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192045] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5213), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [192115] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_enum,
    ACTIONS(8446), 1,
      anon_sym_typename,
    STATE(2032), 1,
      sym__type_specifier,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192189] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      sym_identifier,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7267), 1,
      anon_sym_enum,
    ACTIONS(7269), 1,
      anon_sym_class,
    ACTIONS(7271), 1,
      anon_sym_struct,
    ACTIONS(7273), 1,
      anon_sym_union,
    ACTIONS(7275), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4715), 1,
      sym__type_specifier,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192263] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6419), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_enum,
    ACTIONS(8446), 1,
      anon_sym_typename,
    STATE(1822), 1,
      sym__type_specifier,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192397] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8538), 1,
      anon_sym_requires,
    STATE(5729), 1,
      sym__function_attributes_end,
    STATE(5929), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5205), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [192467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5135), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5277), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192543] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8504), 1,
      sym_primitive_type,
    ACTIONS(8506), 1,
      anon_sym_enum,
    ACTIONS(8508), 1,
      anon_sym_class,
    ACTIONS(8510), 1,
      anon_sym_struct,
    ACTIONS(8512), 1,
      anon_sym_union,
    ACTIONS(8514), 1,
      sym_auto,
    ACTIONS(8516), 1,
      anon_sym_decltype,
    ACTIONS(8518), 1,
      anon_sym_typename,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3006), 1,
      sym__type_specifier,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3073), 1,
      sym_decltype_auto,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3009), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3071), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192617] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_primitive_type,
    ACTIONS(8444), 1,
      anon_sym_enum,
    ACTIONS(8446), 1,
      anon_sym_typename,
    STATE(1811), 1,
      sym__type_specifier,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(7207), 1,
      sym_primitive_type,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      anon_sym_typename,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4041), 1,
      sym__type_specifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(7207), 1,
      sym_primitive_type,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      anon_sym_typename,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(4049), 1,
      sym__type_specifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192839] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5743), 1,
      sym__declarator,
    STATE(7373), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192909] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5704), 1,
      sym__declarator,
    STATE(6999), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192979] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7209), 1,
      sym_identifier,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7215), 1,
      sym_primitive_type,
    ACTIONS(7217), 1,
      anon_sym_enum,
    ACTIONS(7219), 1,
      anon_sym_class,
    ACTIONS(7221), 1,
      anon_sym_struct,
    ACTIONS(7223), 1,
      anon_sym_union,
    ACTIONS(7225), 1,
      sym_auto,
    ACTIONS(7227), 1,
      anon_sym_decltype,
    ACTIONS(7229), 1,
      anon_sym_typename,
    STATE(4509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4938), 1,
      sym__type_specifier,
    STATE(4976), 1,
      sym_decltype_auto,
    STATE(5082), 1,
      sym_qualified_type_identifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(4927), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193053] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8448), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8454), 1,
      sym_primitive_type,
    ACTIONS(8456), 1,
      anon_sym_enum,
    ACTIONS(8458), 1,
      anon_sym_class,
    ACTIONS(8460), 1,
      anon_sym_struct,
    ACTIONS(8462), 1,
      anon_sym_union,
    ACTIONS(8464), 1,
      sym_auto,
    ACTIONS(8466), 1,
      anon_sym_decltype,
    ACTIONS(8468), 1,
      anon_sym_typename,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2827), 1,
      sym__type_specifier,
    STATE(3328), 1,
      sym_decltype_auto,
    STATE(3346), 1,
      sym_qualified_type_identifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3332), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8448), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8454), 1,
      sym_primitive_type,
    ACTIONS(8456), 1,
      anon_sym_enum,
    ACTIONS(8458), 1,
      anon_sym_class,
    ACTIONS(8460), 1,
      anon_sym_struct,
    ACTIONS(8462), 1,
      anon_sym_union,
    ACTIONS(8464), 1,
      sym_auto,
    ACTIONS(8466), 1,
      anon_sym_decltype,
    ACTIONS(8468), 1,
      anon_sym_typename,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2856), 1,
      sym__type_specifier,
    STATE(3328), 1,
      sym_decltype_auto,
    STATE(3346), 1,
      sym_qualified_type_identifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3332), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193201] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5669), 1,
      sym__declarator,
    STATE(7073), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193271] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3002), 1,
      sym_primitive_type,
    ACTIONS(3004), 1,
      anon_sym_enum,
    ACTIONS(3006), 1,
      anon_sym_class,
    ACTIONS(3008), 1,
      anon_sym_struct,
    ACTIONS(3010), 1,
      anon_sym_union,
    ACTIONS(3012), 1,
      anon_sym_typename,
    ACTIONS(4596), 1,
      sym_identifier,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3414), 1,
      sym_qualified_type_identifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193345] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5635), 1,
      sym__declarator,
    STATE(7177), 1,
      sym_init_declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193415] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5652), 1,
      sym__declarator,
    STATE(7119), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193485] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5661), 1,
      sym__declarator,
    STATE(7177), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193555] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6438), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5148), 1,
      sym_ref_qualifier,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [193691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(7207), 1,
      sym_primitive_type,
    ACTIONS(8366), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8370), 1,
      anon_sym_enum,
    ACTIONS(8372), 1,
      anon_sym_class,
    ACTIONS(8374), 1,
      anon_sym_struct,
    ACTIONS(8376), 1,
      anon_sym_union,
    ACTIONS(8378), 1,
      anon_sym_typename,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2836), 1,
      sym__type_specifier,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5082), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193803] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8422), 1,
      sym_primitive_type,
    ACTIONS(8424), 1,
      anon_sym_enum,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8436), 1,
      anon_sym_typename,
    STATE(2032), 1,
      sym__type_specifier,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193877] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8448), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8454), 1,
      sym_primitive_type,
    ACTIONS(8456), 1,
      anon_sym_enum,
    ACTIONS(8458), 1,
      anon_sym_class,
    ACTIONS(8460), 1,
      anon_sym_struct,
    ACTIONS(8462), 1,
      anon_sym_union,
    ACTIONS(8464), 1,
      sym_auto,
    ACTIONS(8466), 1,
      anon_sym_decltype,
    ACTIONS(8468), 1,
      anon_sym_typename,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3172), 1,
      sym__type_specifier,
    STATE(3328), 1,
      sym_decltype_auto,
    STATE(3346), 1,
      sym_qualified_type_identifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3198), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3332), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5078), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193989] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_enum,
    ACTIONS(8390), 1,
      anon_sym_class,
    ACTIONS(8392), 1,
      anon_sym_struct,
    ACTIONS(8394), 1,
      anon_sym_union,
    ACTIONS(8396), 1,
      sym_auto,
    ACTIONS(8398), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      anon_sym_typename,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2885), 1,
      sym__type_specifier,
    STATE(2953), 1,
      sym_qualified_type_identifier,
    STATE(2955), 1,
      sym_decltype_auto,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2954), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194063] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5819), 1,
      sym__function_attributes_end,
    STATE(5931), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5217), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8504), 1,
      sym_primitive_type,
    ACTIONS(8506), 1,
      anon_sym_enum,
    ACTIONS(8508), 1,
      anon_sym_class,
    ACTIONS(8510), 1,
      anon_sym_struct,
    ACTIONS(8512), 1,
      anon_sym_union,
    ACTIONS(8514), 1,
      sym_auto,
    ACTIONS(8516), 1,
      anon_sym_decltype,
    ACTIONS(8518), 1,
      anon_sym_typename,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2735), 1,
      sym__type_specifier,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3073), 1,
      sym_decltype_auto,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3009), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3071), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8504), 1,
      sym_primitive_type,
    ACTIONS(8506), 1,
      anon_sym_enum,
    ACTIONS(8508), 1,
      anon_sym_class,
    ACTIONS(8510), 1,
      anon_sym_struct,
    ACTIONS(8512), 1,
      anon_sym_union,
    ACTIONS(8514), 1,
      sym_auto,
    ACTIONS(8516), 1,
      anon_sym_decltype,
    ACTIONS(8518), 1,
      anon_sym_typename,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2726), 1,
      sym__type_specifier,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3073), 1,
      sym_decltype_auto,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3009), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3071), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5131), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194319] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 1,
      sym_primitive_type,
    ACTIONS(8478), 1,
      anon_sym_enum,
    ACTIONS(8480), 1,
      anon_sym_class,
    ACTIONS(8482), 1,
      anon_sym_struct,
    ACTIONS(8484), 1,
      anon_sym_union,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    ACTIONS(8490), 1,
      anon_sym_typename,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3701), 1,
      sym__type_specifier,
    STATE(3959), 1,
      sym_decltype_auto,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3895), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3960), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194393] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 1,
      sym_primitive_type,
    ACTIONS(8478), 1,
      anon_sym_enum,
    ACTIONS(8480), 1,
      anon_sym_class,
    ACTIONS(8482), 1,
      anon_sym_struct,
    ACTIONS(8484), 1,
      anon_sym_union,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    ACTIONS(8490), 1,
      anon_sym_typename,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3700), 1,
      sym__type_specifier,
    STATE(3959), 1,
      sym_decltype_auto,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3895), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3960), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3846), 1,
      sym__type_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194541] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3002), 1,
      sym_primitive_type,
    ACTIONS(4596), 1,
      sym_identifier,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3414), 1,
      sym_qualified_type_identifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5162), 1,
      sym_ref_qualifier,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5241), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_AMP,
    ACTIONS(8544), 1,
      anon_sym_const,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8541), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(4926), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(6516), 1,
      sym__type_specifier,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194809] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8422), 1,
      sym_primitive_type,
    ACTIONS(8424), 1,
      anon_sym_enum,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8436), 1,
      anon_sym_typename,
    STATE(1811), 1,
      sym__type_specifier,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194883] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5665), 1,
      sym__declarator,
    STATE(7177), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194953] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5854), 1,
      sym__function_attributes_end,
    STATE(5872), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5201), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [195023] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5728), 1,
      sym__function_attributes_end,
    STATE(5873), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5202), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195093] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8422), 1,
      sym_primitive_type,
    ACTIONS(8424), 1,
      anon_sym_enum,
    ACTIONS(8426), 1,
      anon_sym_class,
    ACTIONS(8428), 1,
      anon_sym_struct,
    ACTIONS(8430), 1,
      anon_sym_union,
    ACTIONS(8432), 1,
      sym_auto,
    ACTIONS(8434), 1,
      anon_sym_decltype,
    ACTIONS(8436), 1,
      anon_sym_typename,
    STATE(1822), 1,
      sym__type_specifier,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2096), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_decltype_auto,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2046), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2130), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1905), 1,
      sym__type_specifier,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195241] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_requires,
    STATE(5754), 1,
      sym__function_attributes_end,
    STATE(5893), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5218), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [195311] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6410), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7999), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [195371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 1,
      sym_primitive_type,
    ACTIONS(8478), 1,
      anon_sym_enum,
    ACTIONS(8480), 1,
      anon_sym_class,
    ACTIONS(8482), 1,
      anon_sym_struct,
    ACTIONS(8484), 1,
      anon_sym_union,
    ACTIONS(8486), 1,
      sym_auto,
    ACTIONS(8488), 1,
      anon_sym_decltype,
    ACTIONS(8490), 1,
      anon_sym_typename,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3929), 1,
      sym__type_specifier,
    STATE(3959), 1,
      sym_decltype_auto,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(3895), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3960), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [195485] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1748), 1,
      anon_sym_enum,
    ACTIONS(1750), 1,
      anon_sym_class,
    ACTIONS(1752), 1,
      anon_sym_struct,
    ACTIONS(1754), 1,
      anon_sym_union,
    ACTIONS(1780), 1,
      anon_sym_typename,
    ACTIONS(3002), 1,
      sym_primitive_type,
    ACTIONS(4546), 1,
      sym_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3414), 1,
      sym_qualified_type_identifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3949), 1,
      sym__type_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(3824), 1,
      sym__type_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195707] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7155), 1,
      sym_primitive_type,
    ACTIONS(8402), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8406), 1,
      anon_sym_enum,
    ACTIONS(8408), 1,
      anon_sym_class,
    ACTIONS(8410), 1,
      anon_sym_struct,
    ACTIONS(8412), 1,
      anon_sym_union,
    ACTIONS(8414), 1,
      anon_sym_typename,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(4006), 1,
      sym__type_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195781] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5152), 1,
      sym_ref_qualifier,
    STATE(6091), 1,
      sym__function_attributes_end,
    STATE(6217), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5237), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [195857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1826), 1,
      anon_sym_enum,
    ACTIONS(1828), 1,
      anon_sym_class,
    ACTIONS(1830), 1,
      anon_sym_struct,
    ACTIONS(1832), 1,
      anon_sym_union,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(1860), 1,
      anon_sym_typename,
    ACTIONS(7149), 1,
      sym_identifier,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7155), 1,
      sym_primitive_type,
    STATE(1905), 1,
      sym__type_specifier,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2070), 1,
      sym_qualified_type_identifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(6503), 1,
      sym__type_specifier,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7983), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196065] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6407), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7983), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196125] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5774), 1,
      sym__function_attributes_end,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5204), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [196195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7569), 1,
      sym_auto,
    ACTIONS(7571), 1,
      anon_sym_decltype,
    STATE(5084), 1,
      sym_decltype_auto,
    ACTIONS(4954), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4956), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5151), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196277] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(7181), 1,
      sym_identifier,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7187), 1,
      sym_primitive_type,
    ACTIONS(7189), 1,
      anon_sym_enum,
    ACTIONS(7191), 1,
      anon_sym_class,
    ACTIONS(7193), 1,
      anon_sym_struct,
    ACTIONS(7195), 1,
      anon_sym_union,
    ACTIONS(7197), 1,
      sym_auto,
    ACTIONS(7199), 1,
      anon_sym_decltype,
    ACTIONS(7201), 1,
      anon_sym_typename,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4715), 1,
      sym__type_specifier,
    STATE(4796), 1,
      sym_decltype_auto,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4793), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6833), 1,
      anon_sym_AMP,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_requires,
    STATE(5159), 1,
      sym_ref_qualifier,
    STATE(6082), 1,
      sym__function_attributes_end,
    STATE(6248), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5252), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [196427] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5674), 1,
      sym__declarator,
    STATE(6960), 1,
      sym_init_declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3546), 1,
      sym_primitive_type,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_enum,
    ACTIONS(7237), 1,
      anon_sym_class,
    ACTIONS(7239), 1,
      anon_sym_struct,
    ACTIONS(7241), 1,
      anon_sym_union,
    ACTIONS(7243), 1,
      anon_sym_typename,
    STATE(2611), 1,
      sym__type_specifier,
    STATE(2642), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2598), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2673), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6401), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5543), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6402), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6386), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_enum,
    ACTIONS(8390), 1,
      anon_sym_class,
    ACTIONS(8392), 1,
      anon_sym_struct,
    ACTIONS(8394), 1,
      anon_sym_union,
    ACTIONS(8396), 1,
      sym_auto,
    ACTIONS(8398), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      anon_sym_typename,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2643), 1,
      sym__type_specifier,
    STATE(2953), 1,
      sym_qualified_type_identifier,
    STATE(2955), 1,
      sym_decltype_auto,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2954), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(3044), 1,
      anon_sym_enum,
    ACTIONS(3046), 1,
      anon_sym_class,
    ACTIONS(3048), 1,
      anon_sym_struct,
    ACTIONS(3050), 1,
      anon_sym_union,
    ACTIONS(3074), 1,
      sym_auto,
    ACTIONS(3076), 1,
      anon_sym_decltype,
    ACTIONS(3078), 1,
      anon_sym_typename,
    ACTIONS(7203), 1,
      sym_identifier,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7207), 1,
      sym_primitive_type,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2836), 1,
      sym__type_specifier,
    STATE(2995), 1,
      sym_decltype_auto,
    STATE(2997), 1,
      sym_qualified_type_identifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2857), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2994), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196839] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5214), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [196909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1856), 1,
      sym_auto,
    ACTIONS(1858), 1,
      anon_sym_decltype,
    ACTIONS(7163), 1,
      sym_identifier,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7169), 1,
      sym_primitive_type,
    ACTIONS(7171), 1,
      anon_sym_enum,
    ACTIONS(7173), 1,
      anon_sym_class,
    ACTIONS(7175), 1,
      anon_sym_struct,
    ACTIONS(7177), 1,
      anon_sym_union,
    ACTIONS(7179), 1,
      anon_sym_typename,
    STATE(1905), 1,
      sym__type_specifier,
    STATE(1988), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_qualified_type_identifier,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(1842), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2001), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_const,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6423), 1,
      sym__abstract_declarator,
    STATE(4916), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7999), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7255), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(8553), 1,
      anon_sym_LPAREN2,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3508), 1,
      sym_argument_list,
    STATE(4597), 1,
      sym_initializer_list,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5955), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [197093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4952), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4924), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(4926), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8544), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [197135] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(8380), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_enum,
    ACTIONS(8390), 1,
      anon_sym_class,
    ACTIONS(8392), 1,
      anon_sym_struct,
    ACTIONS(8394), 1,
      anon_sym_union,
    ACTIONS(8396), 1,
      sym_auto,
    ACTIONS(8398), 1,
      anon_sym_decltype,
    ACTIONS(8400), 1,
      anon_sym_typename,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2634), 1,
      sym__type_specifier,
    STATE(2953), 1,
      sym_qualified_type_identifier,
    STATE(2955), 1,
      sym_decltype_auto,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2954), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4888), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5061), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197284] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3964), 1,
      sym__class_declaration_item,
    STATE(3966), 1,
      sym__class_declaration,
    STATE(5387), 1,
      sym_ms_declspec_modifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5381), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5122), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [197363] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6183), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197430] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6228), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    STATE(2021), 1,
      sym_attribute_specifier,
    STATE(5143), 1,
      sym_enumerator_list,
    ACTIONS(5189), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5187), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5270), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197579] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5384), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5109), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [197658] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5384), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5109), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [197737] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5384), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5109), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [197816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5266), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5262), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197890] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6366), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5226), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5222), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198031] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2911), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [198110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2911), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [198189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2911), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [198268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6190), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198335] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_STAR,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_AMP,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(6377), 1,
      sym__declarator,
    STATE(7780), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5214), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198439] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6214), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5159), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_attribute_specifier,
    STATE(5155), 1,
      sym_enumerator_list,
    ACTIONS(5210), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5208), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198588] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6166), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5177), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5057), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1962), 1,
      sym__class_declaration,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5352), 1,
      sym_ms_declspec_modifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5369), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5125), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [198808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6149), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2013), 1,
      sym__class_declaration,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5352), 1,
      sym_ms_declspec_modifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5369), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5125), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [198954] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2008), 1,
      sym__class_declaration,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5352), 1,
      sym_ms_declspec_modifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5369), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5125), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199112] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5181), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6207), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5102), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5094), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6384), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2008), 1,
      sym__class_declaration,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(5350), 1,
      sym_ms_declspec_modifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5137), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2013), 1,
      sym__class_declaration,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(5350), 1,
      sym_ms_declspec_modifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5137), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6201), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199777] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1962), 1,
      sym__class_declaration,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(5350), 1,
      sym_ms_declspec_modifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5137), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [199856] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6353), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199923] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2951), 1,
      sym__class_declaration_item,
    STATE(2952), 1,
      sym__class_declaration,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5114), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200002] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2950), 1,
      sym__class_declaration,
    STATE(2951), 1,
      sym__class_declaration_item,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5114), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200081] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_STAR,
    ACTIONS(6802), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6804), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(6263), 1,
      sym__declarator,
    STATE(7730), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2949), 1,
      sym__class_declaration,
    STATE(2951), 1,
      sym__class_declaration_item,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5114), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5086), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5074), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5123), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200338] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1962), 1,
      sym__class_declaration,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5341), 1,
      sym_ms_declspec_modifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5140), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200417] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2013), 1,
      sym__class_declaration,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5341), 1,
      sym_ms_declspec_modifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5140), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5907), 1,
      sym__declarator,
    STATE(7656), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200563] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1997), 1,
      sym__class_declaration_item,
    STATE(2008), 1,
      sym__class_declaration,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5341), 1,
      sym_ms_declspec_modifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5140), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5127), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2150), 1,
      sym__class_declaration_item,
    STATE(2151), 1,
      sym__class_declaration,
    STATE(5390), 1,
      sym_ms_declspec_modifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5389), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2149), 1,
      sym__class_declaration,
    STATE(2150), 1,
      sym__class_declaration_item,
    STATE(5390), 1,
      sym_ms_declspec_modifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5389), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200837] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2148), 1,
      sym__class_declaration,
    STATE(2150), 1,
      sym__class_declaration_item,
    STATE(5390), 1,
      sym_ms_declspec_modifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5389), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [200916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5244), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201032] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2914), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5086), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201306] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5362), 1,
      sym_ms_declspec_modifier,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5359), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5128), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201385] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5362), 1,
      sym_ms_declspec_modifier,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5359), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5128), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201464] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5362), 1,
      sym_ms_declspec_modifier,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5359), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5128), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201543] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(2992), 1,
      sym__class_declaration,
    STATE(5299), 1,
      sym_ms_declspec_modifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5138), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201622] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2990), 1,
      sym__class_declaration,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(5299), 1,
      sym_ms_declspec_modifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5138), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201701] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2988), 1,
      sym__class_declaration,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(5299), 1,
      sym_ms_declspec_modifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5138), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201780] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2908), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201859] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(2992), 1,
      sym__class_declaration,
    STATE(5334), 1,
      sym_ms_declspec_modifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5335), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5113), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [201938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2990), 1,
      sym__class_declaration,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(5334), 1,
      sym_ms_declspec_modifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5335), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5113), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2988), 1,
      sym__class_declaration,
    STATE(2991), 1,
      sym__class_declaration_item,
    STATE(5334), 1,
      sym_ms_declspec_modifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5335), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5113), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202096] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2923), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202175] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2923), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202254] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2923), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202333] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2908), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202412] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3964), 1,
      sym__class_declaration_item,
    STATE(3965), 1,
      sym__class_declaration,
    STATE(5387), 1,
      sym_ms_declspec_modifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5381), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5122), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202491] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3356), 1,
      sym__class_declaration,
    STATE(3357), 1,
      sym__class_declaration_item,
    STATE(5388), 1,
      sym_ms_declspec_modifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5386), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5118), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202570] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3357), 1,
      sym__class_declaration_item,
    STATE(3359), 1,
      sym__class_declaration,
    STATE(5388), 1,
      sym_ms_declspec_modifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5386), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5118), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202649] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3357), 1,
      sym__class_declaration_item,
    STATE(3360), 1,
      sym__class_declaration,
    STATE(5388), 1,
      sym_ms_declspec_modifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5386), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5118), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202728] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4816), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5304), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5136), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202807] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4824), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5304), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5136), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4823), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5304), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5136), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [202965] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3067), 1,
      sym__class_declaration_item,
    STATE(3068), 1,
      sym__class_declaration,
    STATE(5343), 1,
      sym_ms_declspec_modifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5342), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5121), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203044] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2908), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203123] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6197), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [203190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3065), 1,
      sym__class_declaration,
    STATE(3067), 1,
      sym__class_declaration_item,
    STATE(5343), 1,
      sym_ms_declspec_modifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5342), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5121), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3063), 1,
      sym__class_declaration,
    STATE(3067), 1,
      sym__class_declaration_item,
    STATE(5343), 1,
      sym_ms_declspec_modifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5342), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5121), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5115), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203427] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5115), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203506] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5115), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203585] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5078), 1,
      sym__class_declaration,
    STATE(5081), 1,
      sym__class_declaration_item,
    STATE(5325), 1,
      sym_ms_declspec_modifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5105), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203664] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5081), 1,
      sym__class_declaration_item,
    STATE(5083), 1,
      sym__class_declaration,
    STATE(5325), 1,
      sym_ms_declspec_modifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5105), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203743] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5081), 1,
      sym__class_declaration_item,
    STATE(5094), 1,
      sym__class_declaration,
    STATE(5325), 1,
      sym_ms_declspec_modifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5105), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203822] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3962), 1,
      sym__class_declaration,
    STATE(3964), 1,
      sym__class_declaration_item,
    STATE(5387), 1,
      sym_ms_declspec_modifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5381), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5122), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203901] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4816), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5315), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5316), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5107), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [203980] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4824), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5315), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5316), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5107), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204059] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6237), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204126] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4823), 1,
      sym__class_declaration,
    STATE(4825), 1,
      sym__class_declaration_item,
    STATE(5315), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5316), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5107), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6372), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204272] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5541), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6876), 1,
      anon_sym_STAR,
    ACTIONS(6878), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_AMP,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5879), 1,
      sym__declarator,
    STATE(7644), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5395), 1,
      sym_ms_declspec_modifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5132), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5395), 1,
      sym_ms_declspec_modifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5132), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204497] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5395), 1,
      sym_ms_declspec_modifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5132), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5098), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6386), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204680] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6221), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204747] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6181), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2966), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204893] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2966), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [204972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5098), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5106), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205046] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6239), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [205113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5119), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5098), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205187] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6232), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [205254] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6228), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [205321] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2925), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205400] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2925), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2925), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5090), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5143), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5147), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5195), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5240), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5139), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205817] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2633), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2966), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205896] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8588), 1,
      sym_ms_restrict_modifier,
    STATE(5182), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7103), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8591), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8594), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5086), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7105), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205943] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6098), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5222), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(5133), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3644), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3636), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206059] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5960), 1,
      sym__function_attributes_end,
    STATE(6114), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5221), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206128] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2990), 1,
      anon_sym_STAR,
    ACTIONS(2992), 1,
      anon_sym_AMP,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(6344), 1,
      sym__declarator,
    STATE(8245), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206195] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6218), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8599), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym__enum_base_clause,
    STATE(4725), 1,
      sym_enumerator_list,
    STATE(4810), 1,
      sym_attribute_specifier,
    ACTIONS(5567), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5569), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8599), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym__enum_base_clause,
    STATE(4743), 1,
      sym_enumerator_list,
    STATE(4784), 1,
      sym_attribute_specifier,
    ACTIONS(5555), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5557), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5218), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206397] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2986), 1,
      anon_sym_LPAREN2,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      sym_identifier,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    ACTIONS(6794), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6796), 1,
      anon_sym_AMP,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(6172), 1,
      sym__declarator,
    STATE(7564), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6069), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206464] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2626), 1,
      sym__class_declaration,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2914), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [206543] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      anon_sym_requires,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6129), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5226), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206612] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8601), 1,
      anon_sym_requires,
    STATE(5920), 1,
      sym__function_attributes_end,
    STATE(6137), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5223), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8344), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2665), 1,
      sym__class_declaration_item,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5317), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2914), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5129), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [206760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5396), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5398), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206800] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2166), 1,
      sym__class_declaration_item,
    STATE(5380), 1,
      sym_ms_declspec_modifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [206876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6507), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5078), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5076), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206972] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8351), 1,
      anon_sym_requires,
    STATE(5634), 1,
      sym__function_attributes_end,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207034] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5062), 1,
      sym__class_declaration_item,
    STATE(5321), 1,
      sym_ms_declspec_modifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5322), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207110] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5636), 1,
      sym__function_attributes_end,
    STATE(5726), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207172] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4792), 1,
      sym__class_declaration_item,
    STATE(5329), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207248] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(7983), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6501), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207306] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5393), 1,
      sym_ms_declspec_modifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5394), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5100), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5439), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8607), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [207422] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(5773), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(5543), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6499), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207542] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2979), 1,
      sym__class_declaration_item,
    STATE(5349), 1,
      sym_ms_declspec_modifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207618] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2938), 1,
      sym__class_declaration_item,
    STATE(5332), 1,
      sym_ms_declspec_modifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5333), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207694] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(5356), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5130), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5449), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8610), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5451), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [207810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_requires,
    STATE(5638), 1,
      sym__function_attributes_end,
    STATE(5732), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207872] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3443), 1,
      sym__class_declaration_item,
    STATE(5378), 1,
      sym_ms_declspec_modifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [207948] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5631), 1,
      sym__function_attributes_end,
    STATE(5762), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5430), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5428), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [208050] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3024), 1,
      sym__class_declaration_item,
    STATE(5339), 1,
      sym_ms_declspec_modifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208126] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3988), 1,
      sym__class_declaration_item,
    STATE(5363), 1,
      sym_ms_declspec_modifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5364), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6884), 1,
      anon_sym_LPAREN2,
    STATE(2145), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym_initializer_list,
    STATE(3413), 1,
      sym_argument_list,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5408), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4892), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [208250] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_requires,
    STATE(5646), 1,
      sym__function_attributes_end,
    STATE(5753), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208312] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1964), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5318), 1,
      sym_ms_declspec_modifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym_auto,
    ACTIONS(4960), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(5207), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8628), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8626), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      sym_identifier,
    ACTIONS(8636), 1,
      sym_primitive_type,
    STATE(5134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5230), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5232), 17,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [208478] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5397), 1,
      sym_ms_declspec_modifier,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208554] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5311), 1,
      sym_ms_declspec_modifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5463), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8639), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5461), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5482), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8642), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5480), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208710] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(5371), 1,
      sym_ms_declspec_modifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5373), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5478), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5476), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2140), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5246), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8648), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5249), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7885), 1,
      anon_sym_const,
    ACTIONS(7999), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6509), 1,
      sym__abstract_declarator,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7877), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4792), 1,
      sym__class_declaration_item,
    STATE(5375), 1,
      sym_ms_declspec_modifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5370), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209000] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1964), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(5377), 1,
      sym_ms_declspec_modifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209076] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2979), 1,
      sym__class_declaration_item,
    STATE(5306), 1,
      sym_ms_declspec_modifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym_auto,
    ACTIONS(4960), 1,
      anon_sym_decltype,
    STATE(1979), 1,
      sym_decltype_auto,
    STATE(5208), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8654), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8652), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209198] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4834), 1,
      anon_sym___attribute__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4840), 1,
      anon_sym___declspec,
    ACTIONS(4844), 1,
      anon_sym_alignas,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1964), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(5314), 1,
      sym_ms_declspec_modifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5326), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [209274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1975), 1,
      sym_attribute_specifier,
    ACTIONS(5379), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5377), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8656), 1,
      anon_sym___attribute__,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5585), 1,
      sym__function_attributes_end,
    STATE(5586), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1991), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1981), 1,
      sym_attribute_specifier,
    ACTIONS(5330), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5328), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5596), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1965), 1,
      sym_attribute_specifier,
    ACTIONS(5291), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5289), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2010), 1,
      sym_attribute_specifier,
    ACTIONS(5295), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5293), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209591] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5872), 1,
      sym_trailing_return_type,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5283), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2022), 1,
      sym_attribute_specifier,
    ACTIONS(5356), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5354), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1971), 1,
      sym_attribute_specifier,
    ACTIONS(5360), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5358), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209736] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_requires,
    STATE(6082), 1,
      sym__function_attributes_end,
    STATE(6248), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5252), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209803] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6096), 1,
      sym__function_attributes_end,
    STATE(6200), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2009), 1,
      sym_attribute_specifier,
    ACTIONS(5338), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5336), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209909] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2020), 1,
      sym_attribute_specifier,
    ACTIONS(5306), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5304), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [210015] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5241), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210082] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8285), 1,
      anon_sym___attribute__,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5589), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1958), 1,
      sym_attribute_specifier,
    ACTIONS(5366), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5364), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [210182] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_requires,
    STATE(6083), 1,
      sym__function_attributes_end,
    STATE(6210), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5247), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6091), 1,
      sym__function_attributes_end,
    STATE(6217), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5237), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1955), 1,
      sym_attribute_specifier,
    ACTIONS(5322), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5320), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [210355] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_noexcept,
    ACTIONS(6850), 1,
      anon_sym_throw,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5931), 1,
      sym_trailing_return_type,
    STATE(6127), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5242), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1963), 1,
      sym_attribute_specifier,
    ACTIONS(5310), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5308), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [210461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8357), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym__function_attributes_end,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8656), 1,
      anon_sym___attribute__,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5561), 1,
      sym_trailing_return_type,
    STATE(5612), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8357), 1,
      anon_sym___attribute__,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(5602), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210644] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5507), 1,
      sym__function_attributes_end,
    STATE(5561), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8671), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [210704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7303), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [210738] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5711), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210798] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5694), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [210858] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    STATE(5626), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [210918] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    STATE(5691), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [210978] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym__function_attributes_end,
    STATE(5607), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211038] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211098] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(5675), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211158] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5521), 1,
      sym_trailing_return_type,
    STATE(5689), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211218] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_requires,
    STATE(5529), 1,
      sym__function_attributes_end,
    STATE(5605), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8671), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211278] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    STATE(5702), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211338] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5586), 1,
      sym_trailing_return_type,
    STATE(5671), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211458] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(5565), 1,
      sym_ms_call_modifier,
    STATE(6420), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [211516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7305), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7307), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [211550] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5556), 1,
      sym__function_attributes_end,
    STATE(5586), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8671), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym_trailing_return_type,
    STATE(5676), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211670] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5607), 1,
      sym_trailing_return_type,
    STATE(5678), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211730] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5608), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211850] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    STATE(5621), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211910] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211970] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5611), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [212030] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5561), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212090] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    STATE(5597), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8318), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [212150] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(5533), 1,
      sym_ms_call_modifier,
    STATE(6396), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [212208] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5521), 1,
      sym_trailing_return_type,
    STATE(5628), 1,
      sym__function_attributes_end,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8671), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [212268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4892), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4890), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [212306] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(5528), 1,
      sym_ms_call_modifier,
    STATE(6398), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [212364] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(5517), 1,
      sym_ms_call_modifier,
    STATE(6424), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [212422] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5774), 1,
      sym__function_attributes_end,
    STATE(5882), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [212481] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    ACTIONS(8683), 1,
      anon_sym_LPAREN2,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(8689), 1,
      anon_sym_requires,
    STATE(3473), 1,
      sym_requirement_seq,
    STATE(3652), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(7256), 1,
      sym_requires_parameter_list,
    ACTIONS(8687), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4076), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    ACTIONS(8691), 1,
      anon_sym_LPAREN2,
    ACTIONS(8693), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      anon_sym_requires,
    STATE(1858), 1,
      sym_template_type,
    STATE(2473), 1,
      sym_requirement_seq,
    STATE(5668), 1,
      sym_lambda_capture_specifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(7283), 1,
      sym_requires_parameter_list,
    ACTIONS(8695), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2470), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8699), 1,
      anon_sym_requires,
    STATE(5835), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [212662] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5766), 1,
      sym__function_attributes_end,
    STATE(5869), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [212721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8708), 1,
      anon_sym_requires,
    STATE(2669), 1,
      sym_template_type,
    STATE(3623), 1,
      sym_requirement_seq,
    STATE(5660), 1,
      sym_lambda_capture_specifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_requires_parameter_list,
    ACTIONS(8706), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3625), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212782] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5728), 1,
      sym__function_attributes_end,
    STATE(5873), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [212841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8710), 1,
      anon_sym_requires,
    STATE(5769), 1,
      sym__function_attributes_end,
    STATE(5938), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [212900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4902), 1,
      anon_sym_LBRACE,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4892), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [212937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8715), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8713), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8719), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8717), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8683), 1,
      anon_sym_LPAREN2,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(8689), 1,
      anon_sym_requires,
    STATE(1870), 1,
      sym_template_type,
    STATE(3473), 1,
      sym_requirement_seq,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(7256), 1,
      sym_requires_parameter_list,
    ACTIONS(8721), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4120), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213072] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    ACTIONS(8723), 1,
      anon_sym_LPAREN2,
    ACTIONS(8725), 1,
      anon_sym_LBRACE,
    ACTIONS(8729), 1,
      anon_sym_requires,
    STATE(2594), 1,
      sym_template_type,
    STATE(3339), 1,
      sym_requirement_seq,
    STATE(5656), 1,
      sym_lambda_capture_specifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(7296), 1,
      sym_requires_parameter_list,
    ACTIONS(8727), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3335), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [213192] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8315), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_requires,
    STATE(5754), 1,
      sym__function_attributes_end,
    STATE(5893), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [213251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5819), 1,
      sym__function_attributes_end,
    STATE(5931), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [213310] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5854), 1,
      sym__function_attributes_end,
    STATE(5872), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [213369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    ACTIONS(8731), 1,
      anon_sym_LPAREN2,
    ACTIONS(8733), 1,
      anon_sym_LBRACE,
    ACTIONS(8737), 1,
      anon_sym_requires,
    STATE(2734), 1,
      sym_template_type,
    STATE(4163), 1,
      sym_requirement_seq,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(7219), 1,
      sym_requires_parameter_list,
    ACTIONS(8735), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4614), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213430] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym__function_attributes_end,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [213489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5797), 1,
      sym__function_attributes_end,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [213548] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8527), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8538), 1,
      anon_sym_requires,
    STATE(5729), 1,
      sym__function_attributes_end,
    STATE(5929), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [213607] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    ACTIONS(8739), 1,
      anon_sym_LPAREN2,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    ACTIONS(8745), 1,
      anon_sym_requires,
    STATE(2764), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_requirement_seq,
    STATE(5685), 1,
      sym_lambda_capture_specifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(7440), 1,
      sym_requires_parameter_list,
    ACTIONS(8743), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3747), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213668] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6098), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [213726] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5967), 1,
      sym__function_attributes_end,
    STATE(6108), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [213784] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5960), 1,
      sym__function_attributes_end,
    STATE(6114), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [213842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8747), 1,
      anon_sym_requires,
    STATE(5902), 1,
      sym__function_attributes_end,
    STATE(6145), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [213900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7117), 1,
      anon_sym_STAR,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_AMP,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5862), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213948] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      anon_sym_requires,
    STATE(5926), 1,
      sym__function_attributes_end,
    STATE(6129), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [214006] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8601), 1,
      anon_sym_requires,
    STATE(5920), 1,
      sym__function_attributes_end,
    STATE(6137), 1,
      sym_trailing_return_type,
    STATE(6473), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5627), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [214064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7157), 1,
      anon_sym_STAR,
    ACTIONS(7159), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7161), 1,
      anon_sym_AMP,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5813), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [214112] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(5722), 1,
      sym_ms_call_modifier,
    STATE(6383), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    ACTIONS(1818), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [214166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_LBRACE,
    ACTIONS(4890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4892), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [214200] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7139), 1,
      anon_sym_STAR,
    ACTIONS(7141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7143), 1,
      anon_sym_AMP,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(5865), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214248] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7249), 1,
      anon_sym_STAR,
    ACTIONS(7251), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7253), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5878), 1,
      sym__abstract_declarator,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214295] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8752), 1,
      anon_sym_SEMI,
    ACTIONS(8754), 1,
      anon_sym_LBRACE,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(8758), 1,
      anon_sym_EQ,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8762), 1,
      anon_sym_try,
    STATE(2246), 1,
      sym_try_statement,
    STATE(2248), 1,
      sym_pure_virtual_clause,
    STATE(2249), 1,
      sym_delete_method_clause,
    STATE(2250), 1,
      sym_default_method_clause,
    STATE(2363), 1,
      sym_compound_statement,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6513), 1,
      sym_bitfield_clause,
    STATE(6536), 1,
      sym_initializer_list,
    STATE(6546), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7746), 1,
      sym_attribute_specifier,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [214366] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
    ACTIONS(8766), 1,
      anon_sym_LBRACE,
    ACTIONS(8768), 1,
      anon_sym_EQ,
    ACTIONS(8770), 1,
      anon_sym_try,
    STATE(1867), 1,
      sym_compound_statement,
    STATE(1868), 1,
      sym_default_method_clause,
    STATE(1873), 1,
      sym_delete_method_clause,
    STATE(1874), 1,
      sym_pure_virtual_clause,
    STATE(1875), 1,
      sym_try_statement,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6541), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6542), 1,
      sym_initializer_list,
    STATE(6543), 1,
      sym_bitfield_clause,
    STATE(7650), 1,
      sym_attribute_specifier,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [214437] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8772), 1,
      anon_sym_SEMI,
    ACTIONS(8774), 1,
      anon_sym_LBRACE,
    ACTIONS(8776), 1,
      anon_sym_EQ,
    ACTIONS(8778), 1,
      anon_sym_try,
    STATE(2295), 1,
      sym_try_statement,
    STATE(2296), 1,
      sym_pure_virtual_clause,
    STATE(2301), 1,
      sym_delete_method_clause,
    STATE(2320), 1,
      sym_default_method_clause,
    STATE(2323), 1,
      sym_compound_statement,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6532), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6533), 1,
      sym_initializer_list,
    STATE(6534), 1,
      sym_bitfield_clause,
    STATE(8305), 1,
      sym_attribute_specifier,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [214508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_AMP,
    ACTIONS(8783), 1,
      anon_sym_const,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4926), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8780), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214545] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8786), 1,
      sym_identifier,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    ACTIONS(8790), 1,
      anon_sym_COLON_COLON,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6308), 1,
      sym__scope_resolution,
    ACTIONS(8792), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5949), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [214597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6096), 1,
      sym__function_attributes_end,
    STATE(6200), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
  [214653] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    ACTIONS(8794), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4121), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [214705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8796), 1,
      anon_sym_LPAREN2,
    STATE(2734), 1,
      sym_template_type,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6290), 1,
      sym__scope_resolution,
    ACTIONS(8798), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4250), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [214757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(3652), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6291), 1,
      sym__scope_resolution,
    ACTIONS(8800), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4082), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [214809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5931), 1,
      sym_trailing_return_type,
    STATE(6127), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
  [214865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6121), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8613), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
  [214921] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6311), 1,
      sym__scope_resolution,
    ACTIONS(8804), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5617), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [214973] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(3652), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6291), 1,
      sym__scope_resolution,
    ACTIONS(8808), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3390), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    ACTIONS(8810), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6325), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215077] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8812), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2388), 1,
      sym_template_type,
    STATE(5659), 1,
      sym_lambda_capture_specifier,
    STATE(6306), 1,
      sym__scope_resolution,
    ACTIONS(8818), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1743), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8822), 1,
      anon_sym_requires,
    STATE(6085), 1,
      sym__function_attributes_end,
    STATE(6226), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8613), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
  [215185] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8812), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2388), 1,
      sym_template_type,
    STATE(5659), 1,
      sym_lambda_capture_specifier,
    STATE(6306), 1,
      sym__scope_resolution,
    ACTIONS(8825), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2439), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6091), 1,
      sym__function_attributes_end,
    STATE(6217), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
  [215293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5903), 1,
      sym_trailing_return_type,
    STATE(6130), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
  [215349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5514), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8827), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_requires,
    STATE(6083), 1,
      sym__function_attributes_end,
    STATE(6210), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
  [215443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8831), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    ACTIONS(8835), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5991), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215533] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(2998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(8837), 1,
      sym_identifier,
    ACTIONS(8839), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5255), 1,
      sym__scope_resolution,
    STATE(6621), 1,
      sym_operator_cast,
    STATE(6628), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [215603] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(8841), 1,
      sym_identifier,
    ACTIONS(8843), 1,
      anon_sym_TILDE,
    ACTIONS(8845), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8847), 1,
      anon_sym_template,
    ACTIONS(8849), 1,
      anon_sym_operator,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5256), 1,
      sym__scope_resolution,
    STATE(6621), 1,
      sym_operator_cast,
    STATE(6628), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [215673] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6313), 1,
      sym__scope_resolution,
    ACTIONS(8808), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3390), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215725] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8796), 1,
      anon_sym_LPAREN2,
    STATE(2734), 1,
      sym_template_type,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6309), 1,
      sym__scope_resolution,
    ACTIONS(8851), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6148), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215777] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8796), 1,
      anon_sym_LPAREN2,
    STATE(2734), 1,
      sym_template_type,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6290), 1,
      sym__scope_resolution,
    ACTIONS(8853), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4605), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215829] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8796), 1,
      anon_sym_LPAREN2,
    STATE(2734), 1,
      sym_template_type,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6309), 1,
      sym__scope_resolution,
    ACTIONS(8855), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6155), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [215881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7289), 1,
      anon_sym_STAR,
    ACTIONS(7291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7293), 1,
      anon_sym_AMP,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_requires,
    STATE(6082), 1,
      sym__function_attributes_end,
    STATE(6248), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
  [215983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6296), 1,
      sym__scope_resolution,
    ACTIONS(8818), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1743), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216035] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8812), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2388), 1,
      sym_template_type,
    STATE(5659), 1,
      sym_lambda_capture_specifier,
    STATE(6306), 1,
      sym__scope_resolution,
    ACTIONS(8857), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2419), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6296), 1,
      sym__scope_resolution,
    ACTIONS(8859), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5518), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_STAR,
    ACTIONS(7297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7299), 1,
      anon_sym_AMP,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6086), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216185] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8584), 1,
      sym_identifier,
    ACTIONS(8861), 1,
      anon_sym_LPAREN2,
    ACTIONS(8865), 1,
      anon_sym_requires,
    STATE(4669), 1,
      sym_template_type,
    STATE(5681), 1,
      sym_lambda_capture_specifier,
    STATE(6295), 1,
      sym__scope_resolution,
    ACTIONS(8863), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5741), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216237] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    ACTIONS(8867), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216289] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6302), 1,
      sym__scope_resolution,
    ACTIONS(8869), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5618), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216341] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6302), 1,
      sym__scope_resolution,
    ACTIONS(8871), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6185), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216393] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6292), 1,
      sym__scope_resolution,
    ACTIONS(8808), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3390), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8796), 1,
      anon_sym_LPAREN2,
    STATE(2734), 1,
      sym_template_type,
    STATE(5717), 1,
      sym_lambda_capture_specifier,
    STATE(6309), 1,
      sym__scope_resolution,
    ACTIONS(8798), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4250), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216497] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    ACTIONS(8745), 1,
      anon_sym_requires,
    ACTIONS(8873), 1,
      anon_sym_LPAREN2,
    STATE(2764), 1,
      sym_template_type,
    STATE(5685), 1,
      sym_lambda_capture_specifier,
    STATE(6341), 1,
      sym__scope_resolution,
    ACTIONS(8875), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3729), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216549] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5274), 1,
      sym__scope_resolution,
    STATE(6621), 1,
      sym_operator_cast,
    STATE(6628), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [216619] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    ACTIONS(8745), 1,
      anon_sym_requires,
    ACTIONS(8873), 1,
      anon_sym_LPAREN2,
    STATE(2764), 1,
      sym_template_type,
    STATE(5685), 1,
      sym_lambda_capture_specifier,
    STATE(6341), 1,
      sym__scope_resolution,
    ACTIONS(8881), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3730), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216671] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8786), 1,
      sym_identifier,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    ACTIONS(8790), 1,
      anon_sym_COLON_COLON,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6308), 1,
      sym__scope_resolution,
    ACTIONS(8883), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5962), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216723] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6311), 1,
      sym__scope_resolution,
    ACTIONS(8869), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5618), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216775] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_requires,
    ACTIONS(8786), 1,
      sym_identifier,
    ACTIONS(8788), 1,
      anon_sym_LPAREN2,
    ACTIONS(8790), 1,
      anon_sym_COLON_COLON,
    STATE(1870), 1,
      sym_template_type,
    STATE(5670), 1,
      sym_lambda_capture_specifier,
    STATE(6308), 1,
      sym__scope_resolution,
    ACTIONS(8808), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3390), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216827] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8708), 1,
      anon_sym_requires,
    ACTIONS(8885), 1,
      anon_sym_LPAREN2,
    STATE(2669), 1,
      sym_template_type,
    STATE(5660), 1,
      sym_lambda_capture_specifier,
    STATE(6316), 1,
      sym__scope_resolution,
    ACTIONS(8887), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3520), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8891), 1,
      anon_sym_LPAREN2,
    STATE(5404), 1,
      sym_preproc_argument_list,
    ACTIONS(8893), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8889), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216913] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6296), 1,
      sym__scope_resolution,
    ACTIONS(8895), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5629), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [216965] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8584), 1,
      sym_identifier,
    ACTIONS(8861), 1,
      anon_sym_LPAREN2,
    ACTIONS(8865), 1,
      anon_sym_requires,
    STATE(4669), 1,
      sym_template_type,
    STATE(5681), 1,
      sym_lambda_capture_specifier,
    STATE(6295), 1,
      sym__scope_resolution,
    ACTIONS(8897), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5737), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8699), 1,
      anon_sym_requires,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6141), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8613), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
  [217073] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8708), 1,
      anon_sym_requires,
    ACTIONS(8885), 1,
      anon_sym_LPAREN2,
    STATE(2669), 1,
      sym_template_type,
    STATE(5660), 1,
      sym_lambda_capture_specifier,
    STATE(6316), 1,
      sym__scope_resolution,
    ACTIONS(8899), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3597), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8584), 1,
      sym_identifier,
    ACTIONS(8861), 1,
      anon_sym_LPAREN2,
    ACTIONS(8865), 1,
      anon_sym_requires,
    STATE(4669), 1,
      sym_template_type,
    STATE(5681), 1,
      sym_lambda_capture_specifier,
    STATE(6295), 1,
      sym__scope_resolution,
    ACTIONS(8901), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5730), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5872), 1,
      sym_trailing_return_type,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8344), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
  [217233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6128), 1,
      sym__function_attributes_end,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8259), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
  [217289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6097), 1,
      sym__function_attributes_end,
    STATE(6189), 1,
      sym_trailing_return_type,
    STATE(6452), 1,
      sym_gnu_asm_expression,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6841), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8613), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
  [217345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    ACTIONS(8697), 1,
      anon_sym_requires,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      sym_template_type,
    STATE(5668), 1,
      sym_lambda_capture_specifier,
    STATE(6334), 1,
      sym__scope_resolution,
    ACTIONS(8905), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2504), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    ACTIONS(8697), 1,
      anon_sym_requires,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      sym_template_type,
    STATE(5668), 1,
      sym_lambda_capture_specifier,
    STATE(6334), 1,
      sym__scope_resolution,
    ACTIONS(8907), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2446), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217449] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6302), 1,
      sym__scope_resolution,
    ACTIONS(8909), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6225), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217501] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    ACTIONS(8729), 1,
      anon_sym_requires,
    ACTIONS(8911), 1,
      anon_sym_LPAREN2,
    STATE(2594), 1,
      sym_template_type,
    STATE(5656), 1,
      sym_lambda_capture_specifier,
    STATE(6332), 1,
      sym__scope_resolution,
    ACTIONS(8913), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3270), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217553] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    ACTIONS(8915), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5957), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217605] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    ACTIONS(8729), 1,
      anon_sym_requires,
    ACTIONS(8911), 1,
      anon_sym_LPAREN2,
    STATE(2594), 1,
      sym_template_type,
    STATE(5656), 1,
      sym_lambda_capture_specifier,
    STATE(6332), 1,
      sym__scope_resolution,
    ACTIONS(8917), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3476), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217657] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      anon_sym_LPAREN2,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5705), 1,
      sym_lambda_capture_specifier,
    STATE(6311), 1,
      sym__scope_resolution,
    ACTIONS(8919), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5505), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217709] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2476), 1,
      anon_sym_LBRACK,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_LPAREN2,
    ACTIONS(8820), 1,
      anon_sym_requires,
    STATE(2386), 1,
      sym_template_type,
    STATE(5715), 1,
      sym_lambda_capture_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    ACTIONS(8818), 2,
      sym_true,
      sym_false,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1743), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [217761] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2649), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217820] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1967), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217879] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2981), 1,
      sym__class_declaration_item,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217938] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2978), 1,
      sym__class_declaration_item,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217997] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4759), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218056] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(8933), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5309), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218099] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(8937), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_template,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5303), 1,
      sym__scope_resolution,
    STATE(6621), 1,
      sym_operator_cast,
    STATE(6628), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [218162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4806), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5370), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2972), 1,
      sym__class_declaration_item,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2969), 1,
      sym__class_declaration_item,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218339] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(8941), 1,
      anon_sym_RPAREN,
    ACTIONS(8943), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5354), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2960), 1,
      sym__class_declaration_item,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(8947), 1,
      anon_sym_RPAREN,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    STATE(7161), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2916), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2637), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218614] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218673] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2649), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1983), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218791] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4806), 1,
      sym__class_declaration_item,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218850] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4759), 1,
      sym__class_declaration_item,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218909] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218968] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1983), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1961), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219086] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(4974), 1,
      sym__class_declaration_item,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5019), 1,
      sym__class_declaration_item,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5320), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219204] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5003), 1,
      sym__class_declaration_item,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    ACTIONS(8975), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5366), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [219306] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5068), 1,
      sym__class_declaration_item,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219365] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4847), 1,
      sym_field_declaration_list,
    STATE(5072), 1,
      sym__class_declaration_item,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym_virtual_specifier,
    STATE(7332), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5322), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1961), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219483] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219542] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4774), 1,
      sym__class_declaration_item,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219601] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4766), 1,
      sym__class_declaration_item,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5331), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219660] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219719] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4807), 1,
      sym__class_declaration_item,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219778] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2929), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219837] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2932), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219896] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2981), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2978), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220014] = 5,
    ACTIONS(8889), 1,
      anon_sym_LF,
    ACTIONS(8977), 1,
      anon_sym_LPAREN2,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(5558), 1,
      sym_preproc_argument_list,
    ACTIONS(8893), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220047] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3010), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2972), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3023), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3019), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220283] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1972), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5326), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3026), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220401] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3039), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(6815), 1,
      sym_virtual_specifier,
    STATE(7371), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220460] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2006), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220519] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2939), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220578] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2767), 1,
      sym_field_declaration_list,
    STATE(2942), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(6646), 1,
      sym_virtual_specifier,
    STATE(7265), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2418), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5333), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220637] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3985), 1,
      sym__class_declaration_item,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220696] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220755] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2969), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5353), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220814] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1972), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220873] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1967), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1972), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220991] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2807), 1,
      sym_field_declaration_list,
    STATE(2960), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_virtual_specifier,
    STATE(7420), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    STATE(6918), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8985), 1,
      anon_sym_LBRACK,
    ACTIONS(8983), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [221134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2637), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3176), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [221222] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221399] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221458] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221517] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3990), 1,
      sym__class_declaration_item,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3998), 1,
      sym__class_declaration_item,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221635] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3380), 1,
      sym__class_declaration_item,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221694] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(8987), 1,
      anon_sym_RPAREN,
    STATE(7059), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221749] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2660), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221867] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1967), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221926] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4774), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [221985] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2637), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222044] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2649), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222103] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2649), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4766), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5392), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1961), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222339] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(1983), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5391), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222398] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3444), 1,
      sym__class_declaration_item,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2095), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2132), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5379), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222575] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3986), 1,
      sym__class_declaration_item,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222634] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2161), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222693] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3452), 1,
      sym__class_declaration_item,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222752] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5394), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222811] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2006), 1,
      sym__class_declaration_item,
    STATE(2573), 1,
      sym_field_declaration_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(6771), 1,
      sym_virtual_specifier,
    STATE(7333), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3441), 1,
      sym__class_declaration_item,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3827), 1,
      sym_field_declaration_list,
    STATE(3982), 1,
      sym__class_declaration_item,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(6721), 1,
      sym_virtual_specifier,
    STATE(7290), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3196), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5364), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [222988] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3075), 1,
      sym_field_declaration_list,
    STATE(3436), 1,
      sym__class_declaration_item,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(6715), 1,
      sym_virtual_specifier,
    STATE(7521), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5383), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223047] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2163), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2066), 1,
      sym_field_declaration_list,
    STATE(2108), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7252), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1782), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2006), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_field_declaration_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym_virtual_specifier,
    STATE(7396), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4681), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4714), 1,
      sym_field_declaration_list,
    STATE(4807), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(6672), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4600), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223283] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2637), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5368), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2649), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym_field_declaration_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223401] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5373), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7355), 1,
      anon_sym_STAR,
    ACTIONS(7357), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7359), 1,
      anon_sym_AMP,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6125), 1,
      sym__abstract_declarator,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223505] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(2637), 1,
      sym__class_declaration_item,
    STATE(3225), 1,
      sym_field_declaration_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7222), 1,
      sym_base_class_clause,
    ACTIONS(4788), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5358), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [223564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8993), 1,
      anon_sym_SEMI,
    ACTIONS(8995), 1,
      anon_sym_LBRACE,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(2183), 1,
      sym_try_statement,
    STATE(2186), 1,
      sym_compound_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7072), 1,
      sym_gnu_asm_expression,
    STATE(7074), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [223622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9003), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5427), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [223662] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    ACTIONS(9005), 1,
      anon_sym_SEMI,
    STATE(5233), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(7616), 1,
      sym_attribute_specifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [223714] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    ACTIONS(9007), 1,
      anon_sym_SEMI,
    STATE(5234), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(8324), 1,
      sym_attribute_specifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [223766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9011), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9009), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9023), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5537), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [223834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9027), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9031), 1,
      anon_sym_SEMI,
    ACTIONS(9033), 1,
      anon_sym_LBRACE,
    STATE(2333), 1,
      sym_try_statement,
    STATE(2334), 1,
      sym_compound_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6853), 1,
      sym_gnu_asm_expression,
    STATE(6854), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [223920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9035), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5624), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [223960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6796), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224010] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9037), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [224056] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6746), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9039), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5513), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [224146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9041), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5424), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [224186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9043), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5479), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [224226] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9045), 1,
      sym_identifier,
    ACTIONS(9047), 1,
      anon_sym_TILDE,
    ACTIONS(9049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9051), 1,
      anon_sym_template,
    ACTIONS(9053), 1,
      anon_sym_operator,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(3394), 1,
      sym_pointer_type_declarator,
    STATE(3396), 1,
      sym_template_function,
    STATE(3397), 1,
      sym_destructor_name,
    STATE(3398), 1,
      sym_dependent_identifier,
    STATE(3400), 1,
      sym_qualified_identifier,
    STATE(3402), 1,
      sym_operator_name,
    STATE(5413), 1,
      sym__scope_resolution,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [224290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6203), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [224334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6756), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224384] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6798), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9055), 1,
      anon_sym_SEMI,
    ACTIONS(9057), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_try,
    STATE(747), 1,
      sym_try_statement,
    STATE(748), 1,
      sym_compound_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6975), 1,
      aux_sym_declaration_repeat1,
    STATE(6987), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [224492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9061), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(9065), 1,
      sym_identifier,
    ACTIONS(9067), 1,
      anon_sym_TILDE,
    ACTIONS(9069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9071), 1,
      anon_sym_template,
    ACTIONS(9073), 1,
      anon_sym_operator,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2454), 1,
      sym_pointer_type_declarator,
    STATE(2456), 1,
      sym_template_function,
    STATE(2457), 1,
      sym_destructor_name,
    STATE(2458), 1,
      sym_dependent_identifier,
    STATE(2460), 1,
      sym_qualified_identifier,
    STATE(2462), 1,
      sym_operator_name,
    STATE(5419), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [224584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9075), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5422), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [224624] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9037), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [224672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9077), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9037), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224700] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6726), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224750] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [224800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9081), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5547), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [224840] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9083), 1,
      anon_sym_SEMI,
    ACTIONS(9085), 1,
      anon_sym_LBRACE,
    ACTIONS(9087), 1,
      anon_sym_try,
    STATE(306), 1,
      sym_compound_statement,
    STATE(311), 1,
      sym_try_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6931), 1,
      aux_sym_declaration_repeat1,
    STATE(6984), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [224898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9037), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224930] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(4564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5428), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [224994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6793), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [225044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9095), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9093), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9037), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9097), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5630), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9037), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [225182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9099), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5580), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9101), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5519), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225262] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6697), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [225312] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6809), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [225362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9077), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9037), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [225402] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9103), 1,
      anon_sym_SEMI,
    ACTIONS(9105), 1,
      anon_sym_LBRACE,
    ACTIONS(9107), 1,
      anon_sym_try,
    STATE(792), 1,
      sym_try_statement,
    STATE(794), 1,
      sym_compound_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7176), 1,
      sym_gnu_asm_expression,
    STATE(7180), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [225460] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(9109), 1,
      sym_identifier,
    ACTIONS(9111), 1,
      anon_sym_TILDE,
    ACTIONS(9113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9115), 1,
      anon_sym_template,
    ACTIONS(9117), 1,
      anon_sym_operator,
    STATE(2722), 1,
      sym_dependent_type_identifier,
    STATE(2723), 1,
      sym_template_type,
    STATE(2790), 1,
      sym_qualified_type_identifier,
    STATE(3583), 1,
      sym_operator_name,
    STATE(3589), 1,
      sym_qualified_identifier,
    STATE(3590), 1,
      sym_dependent_identifier,
    STATE(3592), 1,
      sym_destructor_name,
    STATE(3594), 1,
      sym_template_function,
    STATE(3608), 1,
      sym_pointer_type_declarator,
    STATE(5440), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
    STATE(8173), 1,
      sym_ms_based_modifier,
  [225524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9119), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5575), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9121), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5549), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6640), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [225654] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9123), 1,
      anon_sym_SEMI,
    ACTIONS(9125), 1,
      anon_sym_LBRACE,
    STATE(1828), 1,
      sym_try_statement,
    STATE(1829), 1,
      sym_compound_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6978), 1,
      aux_sym_declaration_repeat1,
    STATE(6980), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [225712] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    ACTIONS(9127), 1,
      anon_sym_SEMI,
    STATE(5232), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7558), 1,
      sym_attribute_specifier,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [225764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9129), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5560), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9131), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5563), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9133), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5564), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225884] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(9067), 1,
      anon_sym_TILDE,
    ACTIONS(9073), 1,
      anon_sym_operator,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9139), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2454), 1,
      sym_pointer_type_declarator,
    STATE(2456), 1,
      sym_template_function,
    STATE(2457), 1,
      sym_destructor_name,
    STATE(2458), 1,
      sym_dependent_identifier,
    STATE(2460), 1,
      sym_qualified_identifier,
    STATE(2462), 1,
      sym_operator_name,
    STATE(5449), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [225948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9141), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5568), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [225988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6743), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [226038] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6787), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [226088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6216), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9143), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5590), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6567), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [226206] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1800), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9145), 1,
      anon_sym_SEMI,
    ACTIONS(9147), 1,
      anon_sym_try,
    STATE(827), 1,
      sym_compound_statement,
    STATE(829), 1,
      sym_try_statement,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7102), 1,
      sym_gnu_asm_expression,
    STATE(7136), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [226264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9149), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5606), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226304] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9151), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5571), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9153), 1,
      sym_identifier,
    ACTIONS(9155), 1,
      anon_sym_TILDE,
    ACTIONS(9157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9159), 1,
      anon_sym_template,
    ACTIONS(9161), 1,
      anon_sym_operator,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(3249), 1,
      sym_operator_name,
    STATE(3252), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_dependent_identifier,
    STATE(3266), 1,
      sym_destructor_name,
    STATE(3267), 1,
      sym_template_function,
    STATE(3268), 1,
      sym_pointer_type_declarator,
    STATE(5459), 1,
      sym__scope_resolution,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [226408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9155), 1,
      anon_sym_TILDE,
    ACTIONS(9161), 1,
      anon_sym_operator,
    ACTIONS(9163), 1,
      sym_identifier,
    ACTIONS(9165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9167), 1,
      anon_sym_template,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(3249), 1,
      sym_operator_name,
    STATE(3252), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_dependent_identifier,
    STATE(3266), 1,
      sym_destructor_name,
    STATE(3267), 1,
      sym_template_function,
    STATE(3268), 1,
      sym_pointer_type_declarator,
    STATE(5460), 1,
      sym__scope_resolution,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [226472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9169), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5584), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9171), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5572), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9175), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9173), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_TILDE,
    ACTIONS(9053), 1,
      anon_sym_operator,
    ACTIONS(9177), 1,
      sym_identifier,
    ACTIONS(9179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9181), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(3394), 1,
      sym_pointer_type_declarator,
    STATE(3396), 1,
      sym_template_function,
    STATE(3397), 1,
      sym_destructor_name,
    STATE(3398), 1,
      sym_dependent_identifier,
    STATE(3400), 1,
      sym_qualified_identifier,
    STATE(3402), 1,
      sym_operator_name,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [226644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9185), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9183), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9187), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5542), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9191), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9189), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226740] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9193), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5592), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226780] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6805), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [226830] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6719), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [226880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    STATE(4679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5632), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8827), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9195), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5522), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9197), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5511), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [226996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9199), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5591), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227036] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(9077), 1,
      anon_sym_PIPE,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9037), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [227082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9201), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5531), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227122] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(8843), 1,
      anon_sym_TILDE,
    ACTIONS(9203), 1,
      sym_identifier,
    ACTIONS(9205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9207), 1,
      anon_sym_template,
    ACTIONS(9209), 1,
      anon_sym_operator,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5477), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [227186] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6557), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [227236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9211), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    STATE(4679), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8831), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227300] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6615), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [227350] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9215), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5540), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9217), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5421), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9219), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5431), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9221), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5433), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9223), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5438), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227550] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(9111), 1,
      anon_sym_TILDE,
    ACTIONS(9117), 1,
      anon_sym_operator,
    ACTIONS(9225), 1,
      sym_identifier,
    ACTIONS(9227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(3583), 1,
      sym_operator_name,
    STATE(3589), 1,
      sym_qualified_identifier,
    STATE(3590), 1,
      sym_dependent_identifier,
    STATE(3592), 1,
      sym_destructor_name,
    STATE(3594), 1,
      sym_template_function,
    STATE(3608), 1,
      sym_pointer_type_declarator,
    STATE(5487), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
    STATE(8173), 1,
      sym_ms_based_modifier,
  [227614] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(9077), 1,
      anon_sym_PIPE,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9037), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [227658] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_TILDE,
    ACTIONS(9053), 1,
      anon_sym_operator,
    ACTIONS(9231), 1,
      sym_identifier,
    ACTIONS(9233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9235), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(3394), 1,
      sym_pointer_type_declarator,
    STATE(3396), 1,
      sym_template_function,
    STATE(3397), 1,
      sym_destructor_name,
    STATE(3398), 1,
      sym_dependent_identifier,
    STATE(3400), 1,
      sym_qualified_identifier,
    STATE(3402), 1,
      sym_operator_name,
    STATE(5489), 1,
      sym__scope_resolution,
    STATE(7595), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [227722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6736), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [227772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9237), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227812] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6274), 1,
      sym__type_declarator,
    STATE(6614), 1,
      sym__type_definition_declarators,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [227862] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(9067), 1,
      anon_sym_TILDE,
    ACTIONS(9073), 1,
      anon_sym_operator,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2454), 1,
      sym_pointer_type_declarator,
    STATE(2456), 1,
      sym_template_function,
    STATE(2457), 1,
      sym_destructor_name,
    STATE(2458), 1,
      sym_dependent_identifier,
    STATE(2460), 1,
      sym_qualified_identifier,
    STATE(2462), 1,
      sym_operator_name,
    STATE(5493), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [227926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9245), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5496), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [227966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9247), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5546), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [228006] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9077), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9037), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [228048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9013), 1,
      sym_identifier,
    ACTIONS(9015), 1,
      anon_sym_LPAREN2,
    ACTIONS(9017), 1,
      anon_sym_defined,
    ACTIONS(9249), 1,
      sym_number_literal,
    ACTIONS(9019), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9021), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9025), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5567), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [228088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9251), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5475), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [228128] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8921), 1,
      sym_identifier,
    ACTIONS(8925), 1,
      anon_sym_LPAREN2,
    ACTIONS(8927), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      sym_number_literal,
    ACTIONS(8929), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(8931), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8935), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5488), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [228168] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(3787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5500), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 1,
      sym_decltype,
  [228232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_LBRACK,
    ACTIONS(4679), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9261), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228286] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(7529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7531), 1,
      anon_sym_AMP,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6397), 1,
      sym__type_declarator,
    STATE(8101), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [228333] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7445), 1,
      sym_primitive_type,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(7535), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7537), 1,
      anon_sym_AMP,
    STATE(6032), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [228380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9265), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5652), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228411] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6138), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [228458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5512), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [228497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [228567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9277), 1,
      anon_sym_LBRACK,
    ACTIONS(9275), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [228643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [228678] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9211), 1,
      anon_sym_LF,
    ACTIONS(9213), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [228705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9283), 1,
      anon_sym_LBRACK,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9281), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [228775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228810] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6405), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [228857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8953), 1,
      anon_sym_SLASH,
    ACTIONS(8955), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8957), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8959), 1,
      anon_sym_PIPE,
    ACTIONS(8961), 1,
      anon_sym_CARET,
    ACTIONS(8963), 1,
      anon_sym_AMP,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    ACTIONS(8949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8951), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8967), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8969), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8971), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [228935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9291), 1,
      anon_sym_LBRACK,
    ACTIONS(9293), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5520), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9289), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229001] = 11,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9077), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229044] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9183), 1,
      anon_sym_LF,
    ACTIONS(9185), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229071] = 3,
    ACTIONS(6216), 1,
      anon_sym_LF,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(6214), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229098] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9009), 1,
      anon_sym_LF,
    ACTIONS(9011), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229125] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9173), 1,
      anon_sym_LF,
    ACTIONS(9175), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229187] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6430), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [229234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(5604), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8827), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229304] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9318), 1,
      anon_sym_LF,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229388] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6435), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [229435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4724), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_LBRACK,
    ACTIONS(4683), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6314), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [229536] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9324), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_LBRACK,
    ACTIONS(4683), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229608] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(9326), 1,
      sym_identifier,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9330), 1,
      anon_sym_template,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [229665] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9332), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACK,
    ACTIONS(4657), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229737] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9334), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229782] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6798), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(9336), 1,
      sym_identifier,
    ACTIONS(9338), 1,
      anon_sym_template,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5543), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [229839] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9061), 1,
      anon_sym_LF,
    ACTIONS(9063), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [229866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_LBRACK,
    ACTIONS(4683), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229893] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9340), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229938] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9342), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [229983] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7533), 1,
      anon_sym_STAR,
    ACTIONS(9344), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_template,
    STATE(5548), 1,
      sym__scope_resolution,
    STATE(5998), 1,
      sym_operator_name,
    STATE(5999), 1,
      sym_qualified_identifier,
    STATE(6004), 1,
      sym_dependent_identifier,
    STATE(6005), 1,
      sym_destructor_name,
    STATE(6006), 1,
      sym_template_function,
    STATE(6008), 1,
      sym_pointer_type_declarator,
    STATE(7554), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [230040] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [230085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [230124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5607), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230163] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7519), 1,
      sym_primitive_type,
    ACTIONS(7521), 1,
      anon_sym_STAR,
    ACTIONS(7523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7525), 1,
      anon_sym_AMP,
    STATE(2031), 1,
      sym__type_declarator,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(7670), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [230210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9353), 1,
      anon_sym_requires,
    ACTIONS(9350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5937), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(8937), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_template,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5555), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [230337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_requires,
    STATE(5554), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [230376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230415] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9027), 1,
      anon_sym_LF,
    ACTIONS(9029), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [230442] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7411), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_STAR,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2904), 1,
      sym__type_declarator,
    STATE(3290), 1,
      sym_pointer_type_declarator,
    STATE(8173), 1,
      sym_ms_based_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3302), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [230489] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9359), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [230534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5608), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230608] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9077), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [230639] = 6,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9077), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [230672] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7507), 1,
      sym_identifier,
    ACTIONS(7509), 1,
      anon_sym_LPAREN2,
    ACTIONS(7511), 1,
      anon_sym_STAR,
    ACTIONS(7513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_AMP,
    ACTIONS(7519), 1,
      sym_primitive_type,
    STATE(2157), 1,
      sym_pointer_type_declarator,
    STATE(6409), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2079), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [230719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9363), 1,
      anon_sym_LBRACK,
    ACTIONS(9361), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230746] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9365), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [230791] = 7,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9077), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [230826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9369), 1,
      anon_sym_LBRACK,
    ACTIONS(9367), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5586), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [230892] = 8,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9077), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [230929] = 9,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9077), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [230968] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231038] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9371), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [231083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5561), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231122] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9189), 1,
      anon_sym_LF,
    ACTIONS(9191), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [231149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_LBRACK,
    ACTIONS(4687), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231211] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9077), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [231256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_LBRACK,
    ACTIONS(9373), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231283] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7487), 1,
      sym_identifier,
    ACTIONS(7489), 1,
      anon_sym_LPAREN2,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      sym_primitive_type,
    STATE(2855), 1,
      sym__type_declarator,
    STATE(3232), 1,
      sym_pointer_type_declarator,
    STATE(7595), 1,
      sym_ms_based_modifier,
    ACTIONS(7497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3240), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [231330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_LBRACK,
    ACTIONS(4703), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231357] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9377), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [231402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_requires,
    STATE(5554), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [231441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_requires,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACK,
    ACTIONS(4691), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5586), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [231542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [231581] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9077), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [231608] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9077), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [231637] = 10,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LF,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9077), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [231678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_LBRACK,
    ACTIONS(4661), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9381), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5520), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9379), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5611), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [231802] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5611), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(5551), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(9344), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_template,
    STATE(5598), 1,
      sym__scope_resolution,
    STATE(5998), 1,
      sym_operator_name,
    STATE(5999), 1,
      sym_qualified_identifier,
    STATE(6004), 1,
      sym_dependent_identifier,
    STATE(6005), 1,
      sym_destructor_name,
    STATE(6006), 1,
      sym_template_function,
    STATE(6008), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [231898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231937] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9093), 1,
      anon_sym_LF,
    ACTIONS(9095), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [231964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5561), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232038] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(2988), 1,
      anon_sym_TILDE,
    ACTIONS(6784), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7527), 1,
      anon_sym_STAR,
    ACTIONS(8937), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_template,
    STATE(2806), 1,
      sym_operator_name,
    STATE(2808), 1,
      sym_qualified_identifier,
    STATE(2817), 1,
      sym_dependent_identifier,
    STATE(2818), 1,
      sym_destructor_name,
    STATE(2819), 1,
      sym_template_function,
    STATE(2822), 1,
      sym_pointer_type_declarator,
    STATE(5603), 1,
      sym__scope_resolution,
    STATE(8101), 1,
      sym_ms_based_modifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [232095] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    ACTIONS(9350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232165] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9386), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [232210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_requires,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_DASH_GT,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5512), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_LBRACK,
    ACTIONS(4671), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7501), 1,
      anon_sym_STAR,
    ACTIONS(7503), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7505), 1,
      anon_sym_AMP,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6251), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7381), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [232525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACK,
    ACTIONS(9265), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_LBRACK,
    ACTIONS(4675), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_LBRACK,
    ACTIONS(4699), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 1,
      anon_sym_LBRACK,
    ACTIONS(4695), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232674] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_LBRACK,
    ACTIONS(1948), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9390), 1,
      anon_sym_LPAREN2,
    ACTIONS(9392), 1,
      anon_sym_LBRACK,
    ACTIONS(9388), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232769] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9394), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [232814] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7433), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      anon_sym_STAR,
    ACTIONS(7439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7441), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      sym_primitive_type,
    STATE(5824), 1,
      sym__type_declarator,
    STATE(6055), 1,
      sym_pointer_type_declarator,
    STATE(8247), 1,
      sym_ms_based_modifier,
    ACTIONS(7443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6052), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [232861] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5521), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8831), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5508), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9396), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5652), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233001] = 12,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_AMP,
    ACTIONS(9320), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9398), 1,
      anon_sym_LF,
    ACTIONS(9296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9306), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9310), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9308), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [233046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    STATE(5788), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9283), 1,
      anon_sym_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9281), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8831), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8620), 1,
      anon_sym_requires,
    STATE(5732), 1,
      sym_trailing_return_type,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233178] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9400), 1,
      anon_sym_SEMI,
    ACTIONS(9402), 1,
      anon_sym_COLON,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7014), 1,
      aux_sym_declaration_repeat1,
    STATE(7016), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [233230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    STATE(5762), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5430), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(9410), 1,
      anon_sym_requires,
    STATE(5767), 1,
      sym_trailing_return_type,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233332] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    STATE(5726), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8827), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8266), 1,
      anon_sym_requires,
    STATE(5753), 1,
      sym_trailing_return_type,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6191), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6205), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(5648), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233530] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(6859), 1,
      anon_sym_requires,
    STATE(5773), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233566] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(9419), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6202), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(5642), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_DASH_GT,
    ACTIONS(8351), 1,
      anon_sym_requires,
    STATE(5756), 1,
      sym_trailing_return_type,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_LPAREN2,
    ACTIONS(7129), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      anon_sym_STAR,
    ACTIONS(7593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7595), 1,
      anon_sym_AMP,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5699), 1,
      sym__function_declarator_seq,
    STATE(6328), 1,
      sym__abstract_declarator,
    ACTIONS(7381), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5700), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233692] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6182), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(5120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6635), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_requires,
    STATE(2489), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5828), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6731), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9429), 1,
      anon_sym_LBRACK,
    ACTIONS(9427), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9433), 1,
      anon_sym_LBRACK,
    ACTIONS(9431), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233839] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9145), 1,
      anon_sym_SEMI,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7102), 1,
      sym_gnu_asm_expression,
    STATE(7136), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [233888] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5820), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6739), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(4665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5666), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233993] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3281), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5687), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6802), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234042] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4171), 1,
      sym_compound_statement,
    STATE(5816), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6727), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5512), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234128] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    ACTIONS(9447), 1,
      anon_sym_LT,
    STATE(1746), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5653), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6690), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234177] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5718), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6781), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9400), 1,
      anon_sym_SEMI,
    ACTIONS(9455), 1,
      anon_sym_EQ,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7014), 1,
      aux_sym_declaration_repeat1,
    STATE(7016), 1,
      sym_gnu_asm_expression,
    STATE(7191), 1,
      sym_initializer_list,
    STATE(7255), 1,
      sym_argument_list,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_LBRACK,
    ACTIONS(9457), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234302] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3327), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5806), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6630), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234351] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(3744), 1,
      sym_compound_statement,
    STATE(5858), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6558), 1,
      sym_abstract_function_declarator,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9400), 1,
      anon_sym_SEMI,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7014), 1,
      aux_sym_declaration_repeat1,
    STATE(7016), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [234449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9465), 1,
      sym_identifier,
    ACTIONS(4728), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5680), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9469), 1,
      anon_sym_LBRACK,
    ACTIONS(9467), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234505] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9447), 1,
      anon_sym_LT,
    STATE(2452), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6790), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234554] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9103), 1,
      anon_sym_SEMI,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7176), 1,
      sym_gnu_asm_expression,
    STATE(7180), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [234603] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3465), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5663), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6593), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_requires,
    STATE(5554), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9267), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9055), 1,
      anon_sym_SEMI,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6975), 1,
      aux_sym_declaration_repeat1,
    STATE(6987), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [234788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_requires,
    STATE(5586), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234825] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9315), 1,
      anon_sym_requires,
    STATE(5604), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [234862] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5772), 1,
      sym_compound_statement,
    STATE(5804), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6694), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [234948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      anon_sym_requires,
    STATE(5607), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [234985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      sym_identifier,
    ACTIONS(4712), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5680), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9476), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9479), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235016] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5677), 1,
      sym_template_parameter_list,
    STATE(5731), 1,
      sym_compound_statement,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6714), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5527), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8259), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_requires,
    STATE(5608), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235164] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3719), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5664), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6643), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5601), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235250] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3417), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5841), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6810), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235299] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_requires,
    STATE(5509), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5508), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235398] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5521), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4849), 1,
      anon_sym_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
    ACTIONS(3662), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9488), 1,
      anon_sym_LBRACK,
    ACTIONS(9486), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5578), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    ACTIONS(9492), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6656), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235563] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6193), 1,
      sym__abstract_declarator,
    ACTIONS(7381), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9496), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9500), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_LBRACK,
    ACTIONS(9502), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9508), 1,
      anon_sym_LBRACK,
    ACTIONS(9506), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_requires,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5561), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235766] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_DASH_GT,
    ACTIONS(7012), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5553), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235803] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9083), 1,
      anon_sym_SEMI,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6931), 1,
      aux_sym_declaration_repeat1,
    STATE(6984), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [235852] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5579), 1,
      sym_compound_statement,
    STATE(5712), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6811), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    STATE(1740), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5822), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6747), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4503), 1,
      anon_sym_COLON,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
    ACTIONS(4510), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(5880), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9514), 1,
      anon_sym_LBRACK,
    ACTIONS(9512), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236049] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7871), 1,
      anon_sym_STAR,
    ACTIONS(7873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6348), 1,
      sym__abstract_declarator,
    ACTIONS(7381), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8495), 1,
      anon_sym_requires,
    STATE(5611), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236127] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5594), 1,
      sym_compound_statement,
    STATE(5840), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6794), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236176] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(6380), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236219] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7631), 1,
      sym_identifier,
    ACTIONS(7633), 1,
      anon_sym_STAR,
    ACTIONS(7635), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7637), 1,
      anon_sym_AMP,
    STATE(5815), 1,
      sym__field_declarator,
    STATE(6160), 1,
      sym_operator_name,
    STATE(7561), 1,
      sym_ms_based_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    STATE(1746), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5706), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6758), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9518), 1,
      anon_sym_LBRACK,
    ACTIONS(9516), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236336] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 1,
      anon_sym_LT,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4275), 1,
      sym_compound_statement,
    STATE(5657), 1,
      sym_template_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6591), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236385] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_requires,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3505), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5856), 1,
      sym_requires_clause,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6563), 1,
      sym_abstract_function_declarator,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9522), 1,
      anon_sym_LBRACK,
    ACTIONS(9520), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9524), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8613), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236509] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(7611), 1,
      sym_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN2,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_AMP,
    STATE(6360), 1,
      sym__field_declarator,
    STATE(6488), 1,
      sym_operator_name,
    STATE(7610), 1,
      sym_ms_based_modifier,
    STATE(6245), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [236552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8266), 1,
      anon_sym_requires,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5725), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9289), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236663] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9537), 1,
      sym_primitive_type,
    STATE(2038), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(2137), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8420), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [236703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(5869), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8710), 1,
      anon_sym_requires,
    STATE(5938), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9539), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9410), 1,
      anon_sym_requires,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACK,
    ACTIONS(3586), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236875] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_identifier,
    ACTIONS(9543), 1,
      sym_primitive_type,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(2666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [236915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4695), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4679), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(5882), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9545), 1,
      sym_identifier,
    ACTIONS(9547), 1,
      sym_primitive_type,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(1959), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9539), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9549), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5652), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    ACTIONS(7955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7957), 1,
      anon_sym_AMP,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6412), 1,
      sym__abstract_declarator,
    ACTIONS(7381), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [237153] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(7274), 1,
      sym_gnu_asm_expression,
    ACTIONS(9001), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9551), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7255), 2,
      sym_argument_list,
      sym_initializer_list,
  [237197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(7284), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4572), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9047), 1,
      anon_sym_TILDE,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9555), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      anon_sym_template,
    STATE(6000), 1,
      sym__scope_resolution,
    STATE(7511), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3411), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [237291] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      sym_primitive_type,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(2895), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237353] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9566), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      sym_primitive_type,
    STATE(5127), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(1959), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9541), 1,
      sym_identifier,
    ACTIONS(9543), 1,
      sym_primitive_type,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(2666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(9572), 1,
      sym_primitive_type,
    STATE(3285), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(3893), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8351), 1,
      anon_sym_requires,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8538), 1,
      anon_sym_requires,
    STATE(5929), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_requires,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(4512), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4505), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237643] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_primitive_type,
    ACTIONS(9574), 1,
      sym_identifier,
    STATE(2387), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(2895), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3040), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9576), 1,
      sym_identifier,
    ACTIONS(9578), 1,
      sym_primitive_type,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(4781), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9580), 1,
      sym_identifier,
    ACTIONS(9582), 1,
      sym_primitive_type,
    STATE(2399), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(2886), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9547), 1,
      sym_primitive_type,
    ACTIONS(9584), 1,
      sym_identifier,
    STATE(2011), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(1959), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9586), 1,
      sym_identifier,
    ACTIONS(9588), 1,
      sym_primitive_type,
    STATE(4509), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(4905), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [237895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4671), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(5894), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9593), 1,
      anon_sym_requires,
    ACTIONS(9590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [237983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(5994), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [238041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5725), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9379), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_LBRACK,
    ACTIONS(9599), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5622), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238145] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(5873), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [238181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_requires,
    STATE(5893), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [238217] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9601), 1,
      sym_identifier,
    ACTIONS(9603), 1,
      sym_primitive_type,
    STATE(2609), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(3173), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238279] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9576), 1,
      sym_identifier,
    ACTIONS(9578), 1,
      sym_primitive_type,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(4781), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238341] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9605), 1,
      sym_identifier,
    ACTIONS(9607), 1,
      sym_primitive_type,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(3007), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_identifier,
    ACTIONS(9611), 1,
      sym_primitive_type,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(2666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238443] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9613), 1,
      sym_identifier,
    ACTIONS(9615), 1,
      sym_primitive_type,
    STATE(2041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(2137), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6414), 1,
      sym__abstract_declarator,
    ACTIONS(7381), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(3600), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [238621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9609), 1,
      sym_identifier,
    ACTIONS(9611), 1,
      sym_primitive_type,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(2666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [238661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7169), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9625), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9627), 1,
      aux_sym_preproc_elif_token1,
    STATE(6227), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6234), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6422), 1,
      sym_enumerator,
    ACTIONS(9629), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8168), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8220), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [238760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_LBRACK,
    ACTIONS(5622), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(6934), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7139), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9633), 1,
      anon_sym___attribute__,
    ACTIONS(9638), 1,
      anon_sym_alignas,
    ACTIONS(9636), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5796), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(9631), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [238874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    STATE(5968), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [238907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7036), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(6928), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9067), 1,
      anon_sym_TILDE,
    ACTIONS(9641), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9645), 1,
      anon_sym_template,
    STATE(6049), 1,
      sym__scope_resolution,
    STATE(7389), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2491), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [239008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7043), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    STATE(5903), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [239101] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5736), 1,
      sym_compound_statement,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6687), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239173] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3419), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6761), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239216] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7103), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7109), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(5954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5383), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [239396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239454] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(9663), 1,
      anon_sym_EQ,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6831), 1,
      sym_initializer_list,
    STATE(6941), 1,
      sym_bitfield_clause,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9661), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [239497] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(4272), 1,
      sym_compound_statement,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6780), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(6993), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239600] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    STATE(5935), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [239633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6765), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9627), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9667), 1,
      aux_sym_preproc_if_token2,
    STATE(6167), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6180), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6422), 1,
      sym_enumerator,
    ACTIONS(9629), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7929), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(7934), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239715] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(1744), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6740), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(6916), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(5954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5281), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [239820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4862), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [239847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5872), 1,
      sym_trailing_return_type,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [239880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9627), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9669), 1,
      aux_sym_preproc_if_token2,
    STATE(6164), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6169), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6422), 1,
      sym_enumerator,
    ACTIONS(9629), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8012), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8014), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [239919] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    STATE(2487), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6632), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9067), 1,
      anon_sym_TILDE,
    ACTIONS(9641), 1,
      sym_identifier,
    ACTIONS(9671), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9673), 1,
      anon_sym_template,
    STATE(6050), 1,
      sym__scope_resolution,
    STATE(7478), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2491), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [240001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5430), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7192), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7041), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7146), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(9678), 1,
      anon_sym_requires,
    STATE(5965), 1,
      sym_trailing_return_type,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(5689), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(6891), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240268] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(7089), 1,
      anon_sym_requires,
    STATE(5931), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240301] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5501), 1,
      sym_compound_statement,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6789), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240344] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3423), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6571), 1,
      sym_abstract_function_declarator,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(5954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5342), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(5954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5352), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(5954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5334), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [240480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240509] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9111), 1,
      anon_sym_TILDE,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9685), 1,
      anon_sym_template,
    STATE(6068), 1,
      sym__scope_resolution,
    STATE(7288), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3563), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [240548] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9047), 1,
      anon_sym_TILDE,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      anon_sym_template,
    STATE(6000), 1,
      sym__scope_resolution,
    STATE(7511), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3411), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [240587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9627), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9687), 1,
      aux_sym_preproc_if_token2,
    STATE(6212), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6213), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6422), 1,
      sym_enumerator,
    ACTIONS(9629), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8107), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8110), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_DASH_GT,
    ACTIONS(8699), 1,
      anon_sym_requires,
    STATE(5973), 1,
      sym_trailing_return_type,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [240804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240833] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_compound_statement,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6597), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5825), 1,
      sym_string_literal,
    STATE(6159), 1,
      sym_raw_string_literal,
    STATE(7008), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240907] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(3770), 1,
      sym_compound_statement,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(6778), 1,
      sym_abstract_function_declarator,
    STATE(5990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241182] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6269), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(7061), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [241220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9689), 1,
      anon_sym_SEMI,
    ACTIONS(9691), 1,
      anon_sym_EQ,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9695), 1,
      anon_sym_try,
    STATE(324), 1,
      sym_compound_statement,
    STATE(7498), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(328), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [241258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [241288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 1,
      sym_identifier,
    ACTIONS(4771), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [241310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4534), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8699), 1,
      anon_sym_requires,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [241392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6261), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6589), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [241430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9697), 1,
      anon_sym_SEMI,
    ACTIONS(9699), 1,
      anon_sym_EQ,
    ACTIONS(9701), 1,
      anon_sym_try,
    STATE(869), 1,
      sym_compound_statement,
    STATE(7232), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(867), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [241468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9482), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9705), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [241576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9707), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9512), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [241658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9709), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [241690] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9711), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [241722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241798] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3851), 1,
      sym_enumerator_list,
    STATE(6302), 1,
      sym__scope_resolution,
    ACTIONS(9713), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3967), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241838] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9715), 1,
      anon_sym_SEMI,
    ACTIONS(9717), 1,
      anon_sym_EQ,
    ACTIONS(9719), 1,
      anon_sym_try,
    STATE(784), 1,
      sym_compound_statement,
    STATE(7358), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(783), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [241876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9486), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9427), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9721), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8538), 1,
      anon_sym_requires,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [241978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [242008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9723), 1,
      anon_sym_SEMI,
    ACTIONS(9725), 1,
      anon_sym_EQ,
    ACTIONS(9727), 1,
      anon_sym_try,
    STATE(726), 1,
      sym_compound_statement,
    STATE(7486), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(724), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 1,
      sym_identifier,
    ACTIONS(4763), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [242068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9520), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7646), 1,
      sym_concatenated_string,
    STATE(6036), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [242136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242156] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9729), 1,
      anon_sym_SEMI,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    ACTIONS(9733), 1,
      anon_sym_EQ,
    ACTIONS(9735), 1,
      anon_sym_try,
    STATE(1861), 1,
      sym_compound_statement,
    STATE(7481), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1862), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(9737), 1,
      anon_sym_requires,
    STATE(6144), 1,
      sym_trailing_return_type,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242254] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2814), 1,
      sym_enumerator_list,
    STATE(6309), 1,
      sym__scope_resolution,
    ACTIONS(9740), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4848), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9742), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242326] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_EQ,
    ACTIONS(9727), 1,
      anon_sym_try,
    ACTIONS(9744), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_compound_statement,
    STATE(7442), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(680), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9705), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [242396] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2572), 1,
      sym_enumerator_list,
    STATE(6292), 1,
      sym__scope_resolution,
    ACTIONS(9746), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [242466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9699), 1,
      anon_sym_EQ,
    ACTIONS(9701), 1,
      anon_sym_try,
    ACTIONS(9748), 1,
      anon_sym_SEMI,
    STATE(854), 1,
      sym_compound_statement,
    STATE(7549), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(823), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(3221), 1,
      sym_enumerator_list,
    STATE(6320), 1,
      sym__scope_resolution,
    ACTIONS(9750), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4127), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2572), 1,
      sym_enumerator_list,
    STATE(6313), 1,
      sym__scope_resolution,
    ACTIONS(9752), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3800), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9711), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [242616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    ACTIONS(9733), 1,
      anon_sym_EQ,
    ACTIONS(9735), 1,
      anon_sym_try,
    ACTIONS(9754), 1,
      anon_sym_SEMI,
    STATE(1925), 1,
      sym_compound_statement,
    STATE(7517), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1906), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242682] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7381), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_STAR,
    ACTIONS(8244), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8246), 1,
      anon_sym_AMP,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6519), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [242720] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9756), 1,
      anon_sym_SEMI,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    ACTIONS(9760), 1,
      anon_sym_EQ,
    ACTIONS(9762), 1,
      anon_sym_try,
    STATE(2368), 1,
      sym_compound_statement,
    STATE(7236), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2371), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [242758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8547), 1,
      anon_sym_requires,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8747), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9709), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [242878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6259), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6635), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8354), 1,
      anon_sym_requires,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [242974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7611), 1,
      sym_concatenated_string,
    STATE(6075), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [243002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8601), 1,
      anon_sym_requires,
    STATE(6137), 1,
      sym_trailing_return_type,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [243034] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8520), 1,
      anon_sym_requires,
    STATE(6129), 1,
      sym_trailing_return_type,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [243066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7606), 1,
      sym_concatenated_string,
    STATE(6059), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [243094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8710), 1,
      anon_sym_requires,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [243124] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9764), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [243156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [243184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8613), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      sym_identifier,
    ACTIONS(4759), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [243226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9437), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [243274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2814), 1,
      sym_enumerator_list,
    STATE(6290), 1,
      sym__scope_resolution,
    ACTIONS(9766), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9768), 1,
      anon_sym_SEMI,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    ACTIONS(9772), 1,
      anon_sym_EQ,
    ACTIONS(9774), 1,
      anon_sym_try,
    STATE(2326), 1,
      sym_compound_statement,
    STATE(7405), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2325), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [243352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [243382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3378), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8341), 1,
      anon_sym_requires,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [243438] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2055), 1,
      sym_enumerator_list,
    STATE(6334), 1,
      sym__scope_resolution,
    ACTIONS(9776), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2304), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    ACTIONS(9772), 1,
      anon_sym_EQ,
    ACTIONS(9774), 1,
      anon_sym_try,
    ACTIONS(9778), 1,
      anon_sym_SEMI,
    STATE(2251), 1,
      sym_compound_statement,
    STATE(7429), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2273), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [243516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9780), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7709), 1,
      sym_concatenated_string,
    STATE(6093), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [243576] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3221), 1,
      sym_enumerator_list,
    STATE(6319), 1,
      sym__scope_resolution,
    ACTIONS(9782), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3368), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9267), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9764), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [243668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(6098), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [243700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9784), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9786), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5652), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9788), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [243756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9506), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9524), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243796] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(6114), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [243828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5445), 1,
      anon_sym_LBRACK,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5447), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9792), 1,
      anon_sym_LBRACK,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9790), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243880] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2055), 1,
      sym_enumerator_list,
    STATE(6334), 1,
      sym__scope_resolution,
    ACTIONS(9794), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2514), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACK,
    ACTIONS(9796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [243944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [243972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8259), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(6108), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [244024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7769), 1,
      sym_concatenated_string,
    STATE(6070), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [244052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9494), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3074), 1,
      sym_enumerator_list,
    STATE(6341), 1,
      sym__scope_resolution,
    ACTIONS(9798), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9800), 1,
      anon_sym_requires,
    ACTIONS(9590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [244162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9467), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(6104), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [244214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [244242] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6107), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9803), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4713), 1,
      sym_enumerator_list,
    STATE(6311), 1,
      sym__scope_resolution,
    ACTIONS(9805), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4647), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9788), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [244346] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3221), 1,
      sym_enumerator_list,
    STATE(6322), 1,
      sym__scope_resolution,
    ACTIONS(9807), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3640), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [244414] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(5144), 1,
      sym_enumerator_list,
    STATE(6318), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4844), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7854), 1,
      sym_concatenated_string,
    STATE(6025), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [244482] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2763), 1,
      sym_enumerator_list,
    STATE(6332), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2595), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3825), 1,
      sym_enumerator_list,
    STATE(6291), 1,
      sym__scope_resolution,
    ACTIONS(9813), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3648), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 1,
      sym_identifier,
    ACTIONS(4767), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [244584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9498), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244624] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    ACTIONS(9760), 1,
      anon_sym_EQ,
    ACTIONS(9762), 1,
      anon_sym_try,
    ACTIONS(9815), 1,
      anon_sym_SEMI,
    STATE(2172), 1,
      sym_compound_statement,
    STATE(7261), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2327), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [244662] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2873), 1,
      sym_enumerator_list,
    STATE(6316), 1,
      sym__scope_resolution,
    ACTIONS(9817), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2674), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(7817), 1,
      sym_concatenated_string,
    STATE(6047), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [244730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6279), 1,
      sym_access_specifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9415), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9691), 1,
      anon_sym_EQ,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9695), 1,
      anon_sym_try,
    ACTIONS(9819), 1,
      anon_sym_SEMI,
    STATE(357), 1,
      sym_compound_statement,
    STATE(7316), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(361), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [244826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244846] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3851), 1,
      sym_enumerator_list,
    STATE(6311), 1,
      sym__scope_resolution,
    ACTIONS(9821), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244886] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4713), 1,
      sym_enumerator_list,
    STATE(6302), 1,
      sym__scope_resolution,
    ACTIONS(9823), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5092), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9502), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_LBRACK,
    ACTIONS(9796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9825), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5652), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [244972] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9717), 1,
      anon_sym_EQ,
    ACTIONS(9719), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_SEMI,
    STATE(740), 1,
      sym_compound_statement,
    STATE(7335), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(741), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [245010] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4849), 1,
      sym_enumerator_list,
    STATE(6295), 1,
      sym__scope_resolution,
    ACTIONS(9829), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9831), 1,
      anon_sym_requires,
    ACTIONS(9350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [245080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9840), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7552), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8306), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5997), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_requires,
    STATE(6248), 1,
      sym_trailing_return_type,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [245146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7483), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8328), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245221] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      anon_sym_template,
    ACTIONS(9844), 1,
      sym_identifier,
    STATE(3453), 1,
      sym_qualified_field_identifier,
    STATE(3456), 1,
      sym_dependent_field_identifier,
    STATE(3458), 1,
      sym_template_method,
    STATE(6000), 1,
      sym__scope_resolution,
    STATE(7511), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7503), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7924), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6014), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9848), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7523), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7566), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [245353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [245443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245518] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9850), 1,
      sym_identifier,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    STATE(6073), 1,
      sym__scope_resolution,
    STATE(7334), 1,
      sym_operator_name,
    STATE(7392), 1,
      sym_field_initializer,
    STATE(6770), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245555] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_EQ,
    ACTIONS(9727), 1,
      anon_sym_try,
    STATE(726), 1,
      sym_compound_statement,
    STATE(7486), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(724), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [245590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9854), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7424), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7876), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [245812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7322), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7583), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(9858), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [245893] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9717), 1,
      anon_sym_EQ,
    ACTIONS(9719), 1,
      anon_sym_try,
    STATE(740), 1,
      sym_compound_statement,
    STATE(7335), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(741), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [245928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9864), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7497), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7993), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245986] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9699), 1,
      anon_sym_EQ,
    ACTIONS(9701), 1,
      anon_sym_try,
    STATE(854), 1,
      sym_compound_statement,
    STATE(7549), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(823), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [246021] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5383), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [246050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5342), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [246079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5352), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [246108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9866), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7305), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8119), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [246141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5281), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [246170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6540), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_parameter_list,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5334), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [246234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LBRACK,
    ACTIONS(5786), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9868), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246280] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9717), 1,
      anon_sym_EQ,
    ACTIONS(9719), 1,
      anon_sym_try,
    STATE(784), 1,
      sym_compound_statement,
    STATE(7358), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(783), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [246315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9872), 1,
      anon_sym_LBRACK,
    ACTIONS(9870), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9876), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9878), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7421), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7832), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6043), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [246417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      anon_sym_LBRACK,
    ACTIONS(5504), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7403), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7813), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [246471] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9882), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7451), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8016), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6026), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [246504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 1,
      anon_sym_LBRACK,
    ACTIONS(5457), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246577] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9691), 1,
      anon_sym_EQ,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9695), 1,
      anon_sym_try,
    STATE(357), 1,
      sym_compound_statement,
    STATE(7316), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(361), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [246612] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9645), 1,
      anon_sym_template,
    ACTIONS(9886), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_qualified_field_identifier,
    STATE(2437), 1,
      sym_dependent_field_identifier,
    STATE(2438), 1,
      sym_template_method,
    STATE(6049), 1,
      sym__scope_resolution,
    STATE(7389), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246651] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9671), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9673), 1,
      anon_sym_template,
    ACTIONS(9886), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_qualified_field_identifier,
    STATE(2437), 1,
      sym_dependent_field_identifier,
    STATE(2438), 1,
      sym_template_method,
    STATE(6050), 1,
      sym__scope_resolution,
    STATE(7478), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym_LBRACK,
    ACTIONS(5516), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5394), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9890), 1,
      anon_sym_LBRACK,
    ACTIONS(9888), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym_LBRACK,
    ACTIONS(5512), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym_LBRACK,
    ACTIONS(5508), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9850), 1,
      sym_identifier,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    STATE(6073), 1,
      sym__scope_resolution,
    STATE(6924), 1,
      sym_field_initializer,
    STATE(7334), 1,
      sym_operator_name,
    STATE(6770), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9892), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7448), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7865), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6002), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [246886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246911] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    ACTIONS(7643), 1,
      anon_sym_STAR,
    ACTIONS(7645), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_AMP,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6390), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9691), 1,
      anon_sym_EQ,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9695), 1,
      anon_sym_try,
    STATE(324), 1,
      sym_compound_statement,
    STATE(7498), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(328), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [246981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 1,
      anon_sym_LBRACK,
    ACTIONS(5426), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    STATE(6217), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9896), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7279), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7694), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9898), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7364), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7772), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6071), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(4931), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 1,
      anon_sym_LBRACK,
    ACTIONS(9900), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247143] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9683), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9685), 1,
      anon_sym_template,
    ACTIONS(9904), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_dependent_field_identifier,
    STATE(3581), 1,
      sym_qualified_field_identifier,
    STATE(3587), 1,
      sym_template_method,
    STATE(6068), 1,
      sym__scope_resolution,
    STATE(7288), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9908), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7350), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7755), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247261] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9699), 1,
      anon_sym_EQ,
    ACTIONS(9701), 1,
      anon_sym_try,
    STATE(869), 1,
      sym_compound_statement,
    STATE(7232), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(867), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [247296] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9910), 1,
      sym_identifier,
    ACTIONS(9912), 1,
      anon_sym_template,
    STATE(2436), 1,
      sym_qualified_field_identifier,
    STATE(2437), 1,
      sym_dependent_field_identifier,
    STATE(2438), 1,
      sym_template_method,
    STATE(6073), 1,
      sym__scope_resolution,
    STATE(7334), 1,
      sym_operator_name,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9914), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7472), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7571), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6021), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9916), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9918), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7284), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7701), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6064), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LPAREN2,
    ACTIONS(4550), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(7261), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5980), 1,
      sym__function_declarator_seq,
    STATE(6555), 1,
      sym__abstract_declarator,
    STATE(5990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247461] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_EQ,
    ACTIONS(9727), 1,
      anon_sym_try,
    STATE(681), 1,
      sym_compound_statement,
    STATE(7442), 1,
      sym_field_initializer_list,
    ACTIONS(4572), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(680), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [247496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_LBRACK,
    ACTIONS(5493), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 1,
      anon_sym_LBRACK,
    ACTIONS(5489), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9920), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7262), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8159), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6031), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_requires,
    STATE(6210), 1,
      sym_trailing_return_type,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8822), 1,
      anon_sym_requires,
    STATE(6226), 1,
      sym_trailing_return_type,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACK,
    ACTIONS(5422), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9922), 1,
      anon_sym_requires,
    STATE(6223), 1,
      sym_trailing_return_type,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9927), 1,
      anon_sym_LBRACK,
    ACTIONS(9925), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247766] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7303), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7718), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9836), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9931), 1,
      anon_sym_RBRACE,
    ACTIONS(9838), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7320), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7727), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6089), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [247832] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    STATE(6200), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9933), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [247911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      anon_sym_LBRACK,
    ACTIONS(9939), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_LBRACK,
    ACTIONS(9943), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    STATE(6189), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_DASH_GT,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    STATE(6187), 1,
      sym_trailing_return_type,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [248019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8520), 1,
      anon_sym_requires,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248071] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2072), 1,
      sym_enumerator_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(2503), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8564), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(5141), 1,
      sym_enumerator_list,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(4827), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5342), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [248171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 1,
      anon_sym_LT,
    ACTIONS(9951), 1,
      anon_sym_LBRACK,
    STATE(6171), 1,
      sym_template_argument_list,
    ACTIONS(9947), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [248195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5352), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [248249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8562), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2546), 1,
      sym_enumerator_list,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(3798), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9953), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [248309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248361] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5855), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(1870), 1,
      sym_template_type,
    STATE(2546), 1,
      sym_enumerator_list,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(4856), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248423] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(5191), 1,
      anon_sym_LBRACE,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8570), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2072), 1,
      sym_enumerator_list,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(2277), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5383), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [248487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248513] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9711), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [248543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8578), 1,
      sym_identifier,
    STATE(2764), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_enumerator_list,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(2753), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8341), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    ACTIONS(8263), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248609] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6005), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_template_type,
    STATE(2816), 1,
      sym_enumerator_list,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(2586), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9764), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [248701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(5968), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248757] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8574), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_enumerator_list,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(4851), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(5935), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8547), 1,
      anon_sym_requires,
    STATE(5872), 1,
      sym_trailing_return_type,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_requires,
    ACTIONS(8348), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [248957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(5931), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5932), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(8699), 1,
      anon_sym_requires,
    STATE(5973), 1,
      sym_trailing_return_type,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3843), 1,
      sym_enumerator_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(3987), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4724), 1,
      sym_enumerator_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(4634), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249089] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3162), 1,
      sym_enumerator_list,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(3377), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8275), 1,
      anon_sym_LBRACE,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(4724), 1,
      sym_enumerator_list,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(5093), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9788), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [249191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8747), 1,
      anon_sym_requires,
    ACTIONS(8617), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5281), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [249245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_requires,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    STATE(5903), 1,
      sym_trailing_return_type,
    ACTIONS(6857), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5900), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 1,
      anon_sym_LBRACK,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5447), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [249299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_DASH_GT,
    ACTIONS(9678), 1,
      anon_sym_requires,
    STATE(5965), 1,
      sym_trailing_return_type,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8556), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_template_type,
    STATE(3838), 1,
      sym_enumerator_list,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(3642), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5334), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [249393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9957), 1,
      anon_sym_requires,
    ACTIONS(9590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_requires,
    ACTIONS(9407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5770), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5985), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9792), 1,
      anon_sym_LBRACK,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9790), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [249469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9962), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5652), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [249517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9705), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [249547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9709), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [249577] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      sym_identifier,
    STATE(2734), 1,
      sym_template_type,
    STATE(2795), 1,
      sym_enumerator_list,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(4000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249613] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8327), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4669), 1,
      sym_template_type,
    STATE(4850), 1,
      sym_enumerator_list,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(4694), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8580), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3843), 1,
      sym_enumerator_list,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(4477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7147), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [249705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [249725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249751] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6098), 1,
      anon_sym_LBRACE,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8582), 1,
      sym_identifier,
    STATE(2669), 1,
      sym_template_type,
    STATE(2883), 1,
      sym_enumerator_list,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(2667), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249787] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(3162), 1,
      sym_enumerator_list,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(3668), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5655), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9443), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9445), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 1,
      anon_sym_LT,
    ACTIONS(9966), 1,
      anon_sym_LBRACK,
    STATE(6236), 1,
      sym_template_argument_list,
    ACTIONS(9964), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [249869] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    STATE(2386), 1,
      sym_template_type,
    STATE(3162), 1,
      sym_enumerator_list,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(4108), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5445), 1,
      anon_sym_LBRACK,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5447), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [249928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_compound_statement,
    STATE(2207), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9968), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8343), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [249992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9978), 1,
      anon_sym_LBRACK,
    ACTIONS(9976), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250011] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2200), 1,
      sym_compound_statement,
    STATE(2201), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9980), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7664), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [250075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    STATE(6180), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7934), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [250106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9988), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8367), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [250137] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9990), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7940), 1,
      sym_qualified_identifier,
    ACTIONS(9992), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [250168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_LBRACK,
    ACTIONS(5526), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250187] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_try_statement,
    STATE(1881), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9994), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6167), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7929), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [250251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9709), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [250280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [250330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_try,
    STATE(767), 1,
      sym_try_statement,
    STATE(770), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9764), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [250394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1852), 1,
      sym_compound_statement,
    STATE(1884), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9996), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7667), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [250460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_try,
    STATE(860), 1,
      sym_compound_statement,
    STATE(861), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250495] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(9998), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6589), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250528] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1831), 1,
      sym_compound_statement,
    STATE(1936), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10000), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7625), 1,
      sym_qualified_identifier,
    ACTIONS(10002), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [250594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10006), 1,
      aux_sym_preproc_if_token2,
    STATE(6234), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8168), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [250646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [250673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250698] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [250725] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2191), 1,
      sym_try_statement,
    STATE(2204), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250760] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(10008), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(7061), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [250843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_LBRACK,
    ACTIONS(10010), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10014), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6212), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8107), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [250891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250916] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9087), 1,
      anon_sym_try,
    STATE(358), 1,
      sym_try_statement,
    STATE(359), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10016), 1,
      aux_sym_preproc_if_token2,
    STATE(6169), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8014), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [251007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [251034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_try,
    STATE(789), 1,
      sym_try_statement,
    STATE(790), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(10018), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6824), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [251127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10022), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    ACTIONS(10024), 1,
      sym_virtual,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6635), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10028), 1,
      anon_sym_LBRACK,
    ACTIONS(10026), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_try,
    STATE(693), 1,
      sym_try_statement,
    STATE(694), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9687), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    STATE(6213), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8110), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [251264] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_try,
    STATE(870), 1,
      sym_compound_statement,
    STATE(872), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8822), 1,
      anon_sym_requires,
    ACTIONS(8662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5673), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8613), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [251326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [251351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7866), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [251380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10032), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7839), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [251411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_try,
    STATE(820), 1,
      sym_compound_statement,
    STATE(821), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10034), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8185), 1,
      sym_qualified_identifier,
    ACTIONS(10036), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [251502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [251529] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2182), 1,
      sym_try_statement,
    STATE(2193), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10038), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8026), 1,
      sym_qualified_identifier,
    ACTIONS(10040), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [251620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9059), 1,
      anon_sym_try,
    STATE(739), 1,
      sym_compound_statement,
    STATE(776), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10042), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_qualified_identifier,
    ACTIONS(10044), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(10046), 1,
      anon_sym_requires,
    ACTIONS(9350), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5667), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9271), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [251713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3735), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [251738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10049), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [251761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_LBRACK,
    ACTIONS(9922), 1,
      anon_sym_requires,
    ACTIONS(9312), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9267), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [251788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10051), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9974), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8121), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [251817] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9705), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [251846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10053), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_qualified_identifier,
    ACTIONS(10055), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10059), 1,
      anon_sym_LBRACK,
    ACTIONS(10057), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251896] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2241), 1,
      sym_try_statement,
    STATE(2247), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2255), 1,
      sym_try_statement,
    STATE(2289), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9087), 1,
      anon_sym_try,
    STATE(327), 1,
      sym_try_statement,
    STATE(331), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252001] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10061), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(9986), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8216), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [252032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10065), 1,
      anon_sym_LBRACK,
    ACTIONS(10063), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 1,
      anon_sym_LBRACK,
    ACTIONS(5696), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9087), 1,
      anon_sym_try,
    STATE(338), 1,
      sym_try_statement,
    STATE(339), 1,
      sym_compound_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10067), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8224), 1,
      sym_qualified_identifier,
    ACTIONS(10069), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [252136] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9059), 1,
      anon_sym_try,
    STATE(682), 1,
      sym_compound_statement,
    STATE(683), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10071), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10080), 1,
      sym_preproc_directive,
    ACTIONS(10083), 1,
      anon_sym_RBRACE,
    ACTIONS(10077), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8092), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6240), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [252200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_requires,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(5583), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [252227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9788), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [252256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10087), 1,
      anon_sym_LBRACK,
    ACTIONS(10085), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252275] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9059), 1,
      anon_sym_try,
    STATE(780), 1,
      sym_compound_statement,
    STATE(781), 1,
      sym_try_statement,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_LBRACK,
    ACTIONS(9964), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_requires,
    ACTIONS(8291), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5672), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8259), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [252356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9711), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [252385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_requires,
    ACTIONS(8492), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5595), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5721), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8344), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [252412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10091), 1,
      anon_sym_LBRACK,
    STATE(6680), 1,
      sym_gnu_asm_input_operand,
    STATE(8222), 1,
      sym_string_literal,
    ACTIONS(10089), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [252436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10097), 1,
      anon_sym_delete,
    ACTIONS(10099), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [252548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10103), 1,
      anon_sym_EQ,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6589), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6808), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10105), 1,
      anon_sym_delete,
    ACTIONS(10107), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [252744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10109), 1,
      anon_sym_EQ,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(8285), 1,
      sym_initializer_list,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10111), 1,
      anon_sym_delete,
    ACTIONS(10113), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [252798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10117), 1,
      anon_sym_LBRACK,
    STATE(6705), 1,
      sym_gnu_asm_output_operand,
    STATE(7594), 1,
      sym_string_literal,
    ACTIONS(10115), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [252822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10119), 1,
      anon_sym_delete,
    ACTIONS(10121), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [252886] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(6990), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10123), 1,
      anon_sym_delete,
    ACTIONS(10125), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [252962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [252986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      anon_sym_LBRACK,
    ACTIONS(4493), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [253004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6623), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10129), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10107), 1,
      anon_sym_new,
    ACTIONS(10131), 1,
      anon_sym_delete,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_LBRACK,
    ACTIONS(4497), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [253074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10099), 1,
      anon_sym_new,
    ACTIONS(10133), 1,
      anon_sym_delete,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10135), 1,
      anon_sym_delete,
    ACTIONS(10137), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(2386), 1,
      sym_template_type,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(7061), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [253166] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10139), 1,
      anon_sym_EQ,
    STATE(3658), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10141), 1,
      anon_sym_delete,
    ACTIONS(10143), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10099), 1,
      anon_sym_new,
    ACTIONS(10145), 1,
      anon_sym_delete,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10147), 1,
      anon_sym_delete,
    ACTIONS(10149), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10113), 1,
      anon_sym_new,
    ACTIONS(10151), 1,
      anon_sym_delete,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10153), 1,
      anon_sym_delete,
    ACTIONS(10155), 1,
      anon_sym_new,
    ACTIONS(10095), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10093), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [253306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(10157), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      anon_sym_COLON_COLON,
    STATE(2773), 1,
      sym_template_type,
    STATE(6324), 1,
      sym__scope_resolution,
    STATE(2820), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8136), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [253359] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10161), 1,
      sym_identifier,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    STATE(690), 1,
      sym_declaration_list,
    STATE(6425), 1,
      sym_attribute_declaration,
    STATE(7260), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [253390] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10167), 1,
      sym_identifier,
    ACTIONS(10169), 1,
      anon_sym_template,
    STATE(2722), 1,
      sym_dependent_type_identifier,
    STATE(2723), 1,
      sym_template_type,
    STATE(2790), 1,
      sym_qualified_type_identifier,
    STATE(6290), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10171), 1,
      sym_identifier,
    ACTIONS(10173), 1,
      anon_sym_template,
    STATE(3669), 1,
      sym_dependent_type_identifier,
    STATE(3670), 1,
      sym_template_type,
    STATE(3761), 1,
      sym_qualified_type_identifier,
    STATE(6291), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253452] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10175), 1,
      sym_identifier,
    ACTIONS(10177), 1,
      anon_sym_template,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10179), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7828), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [253510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10181), 1,
      sym_identifier,
    ACTIONS(10185), 1,
      sym_system_lib_string,
    STATE(8098), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10183), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [253531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10187), 1,
      sym_identifier,
    ACTIONS(10189), 1,
      anon_sym_template,
    STATE(4640), 1,
      sym_template_type,
    STATE(4661), 1,
      sym_dependent_type_identifier,
    STATE(4698), 1,
      sym_qualified_type_identifier,
    STATE(6295), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253562] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10193), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(6296), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10195), 1,
      sym_identifier,
    ACTIONS(10197), 1,
      sym_system_lib_string,
    STATE(8025), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10183), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [253614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 1,
      sym_identifier,
    ACTIONS(10201), 1,
      sym_system_lib_string,
    STATE(7837), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10183), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [253635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8150), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [253662] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(3542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      sym_identifier,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(6300), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [253716] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      sym_identifier,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(3157), 1,
      sym_qualified_type_identifier,
    STATE(6302), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10207), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8074), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [253774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10209), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7913), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [253801] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10211), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8004), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [253828] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10213), 1,
      sym_identifier,
    ACTIONS(10215), 1,
      anon_sym_template,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(2426), 1,
      sym_template_type,
    STATE(2440), 1,
      sym_dependent_type_identifier,
    STATE(6306), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253859] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10217), 1,
      sym_identifier,
    STATE(822), 1,
      sym_declaration_list,
    STATE(6392), 1,
      sym_attribute_declaration,
    STATE(7294), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [253890] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      sym_identifier,
    ACTIONS(10221), 1,
      anon_sym_template,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(6308), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10169), 1,
      anon_sym_template,
    ACTIONS(10223), 1,
      sym_identifier,
    STATE(2722), 1,
      sym_dependent_type_identifier,
    STATE(2723), 1,
      sym_template_type,
    STATE(2790), 1,
      sym_qualified_type_identifier,
    STATE(6309), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [253952] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10225), 1,
      sym_identifier,
    STATE(873), 1,
      sym_declaration_list,
    STATE(6432), 1,
      sym_attribute_declaration,
    STATE(7461), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [253983] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10191), 1,
      sym_identifier,
    ACTIONS(10193), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(3157), 1,
      sym_qualified_type_identifier,
    STATE(6311), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254014] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10227), 1,
      sym_identifier,
    STATE(307), 1,
      sym_declaration_list,
    STATE(6411), 1,
      sym_attribute_declaration,
    STATE(7263), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [254045] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 1,
      anon_sym_template,
    ACTIONS(10229), 1,
      sym_identifier,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(6313), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10231), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [254101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2779), 1,
      sym_template_argument_list,
    ACTIONS(7284), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4572), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [254124] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10233), 1,
      sym_identifier,
    ACTIONS(10235), 1,
      anon_sym_template,
    STATE(2647), 1,
      sym_template_type,
    STATE(2651), 1,
      sym_dependent_type_identifier,
    STATE(2680), 1,
      sym_qualified_type_identifier,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10237), 1,
      sym_identifier,
    STATE(775), 1,
      sym_declaration_list,
    STATE(6436), 1,
      sym_attribute_declaration,
    STATE(7221), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [254186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(7165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_identifier,
    ACTIONS(10241), 1,
      anon_sym_template,
    STATE(1853), 1,
      sym_template_type,
    STATE(1857), 1,
      sym_dependent_type_identifier,
    STATE(2023), 1,
      sym_qualified_type_identifier,
    STATE(6318), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254217] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10243), 1,
      sym_identifier,
    ACTIONS(10245), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(6319), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254248] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10243), 1,
      sym_identifier,
    ACTIONS(10245), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(3157), 1,
      sym_qualified_type_identifier,
    STATE(6320), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254279] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10247), 1,
      sym_identifier,
    STATE(773), 1,
      sym_declaration_list,
    STATE(6393), 1,
      sym_attribute_declaration,
    STATE(7485), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [254310] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(4556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10249), 1,
      sym_identifier,
    ACTIONS(10251), 1,
      anon_sym_template,
    STATE(2416), 1,
      sym_template_type,
    STATE(2429), 1,
      sym_dependent_type_identifier,
    STATE(2445), 1,
      sym_qualified_type_identifier,
    STATE(6322), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(10159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10253), 1,
      sym_identifier,
    ACTIONS(10255), 1,
      anon_sym_template,
    STATE(2739), 1,
      sym_dependent_type_identifier,
    STATE(2783), 1,
      sym_template_type,
    STATE(2785), 1,
      sym_qualified_type_identifier,
    STATE(6324), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_AMP,
    ACTIONS(10257), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5704), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [254414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254437] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10259), 1,
      sym_identifier,
    STATE(718), 1,
      sym_declaration_list,
    STATE(6434), 1,
      sym_attribute_declaration,
    STATE(7264), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [254468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254491] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10261), 1,
      sym_identifier,
    STATE(367), 1,
      sym_declaration_list,
    STATE(6408), 1,
      sym_attribute_declaration,
    STATE(7495), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [254522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 1,
      sym_identifier,
    ACTIONS(10265), 1,
      sym_system_lib_string,
    STATE(8236), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10183), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [254543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8382), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_identifier,
    ACTIONS(10269), 1,
      anon_sym_template,
    STATE(2612), 1,
      sym_template_type,
    STATE(2614), 1,
      sym_dependent_type_identifier,
    STATE(2661), 1,
      sym_qualified_type_identifier,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10273), 1,
      anon_sym_AMP,
    ACTIONS(10275), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10271), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254616] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8418), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(10279), 1,
      anon_sym_template,
    STATE(1909), 1,
      sym_dependent_type_identifier,
    STATE(1933), 1,
      sym_template_type,
    STATE(1974), 1,
      sym_qualified_type_identifier,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2779), 1,
      sym_template_argument_list,
    ACTIONS(4512), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4505), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [254670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_AMP,
    ACTIONS(10257), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10281), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5652), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [254714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10283), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(7593), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [254741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_template,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(9328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__scope_resolution,
    STATE(8358), 1,
      sym_qualified_identifier,
    STATE(8136), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [254768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9619), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_parameter_list,
    STATE(5719), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254791] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_decltype,
    ACTIONS(8450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10287), 1,
      sym_identifier,
    ACTIONS(10289), 1,
      anon_sym_template,
    STATE(2760), 1,
      sym_dependent_type_identifier,
    STATE(2797), 1,
      sym_template_type,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(6341), 1,
      sym__scope_resolution,
    STATE(8136), 1,
      sym_decltype,
  [254822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(9742), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10291), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10297), 1,
      anon_sym_EQ,
    ACTIONS(10293), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [254914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10299), 1,
      anon_sym_SEMI,
    ACTIONS(10301), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6795), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10303), 1,
      anon_sym_SEMI,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10309), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10307), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [255004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10311), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10313), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9709), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10315), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(7284), 1,
      anon_sym_LBRACK,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(4572), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10317), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(4505), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9764), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10091), 1,
      anon_sym_LBRACK,
    STATE(6846), 1,
      sym_gnu_asm_input_operand,
    STATE(8222), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [255294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9788), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10321), 1,
      anon_sym_SEMI,
    ACTIONS(10323), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10325), 1,
      anon_sym_SEMI,
    ACTIONS(10327), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6732), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9705), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(9803), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10334), 1,
      aux_sym_preproc_elif_token1,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
    ACTIONS(10332), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [255512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10336), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10338), 1,
      anon_sym_SEMI,
    ACTIONS(10340), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10342), 1,
      anon_sym_SEMI,
    ACTIONS(10344), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6618), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10117), 1,
      anon_sym_LBRACK,
    STATE(7099), 1,
      sym_gnu_asm_output_operand,
    STATE(7594), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [255632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10348), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(9721), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10350), 1,
      sym_identifier,
    ACTIONS(10355), 1,
      aux_sym_preproc_elif_token1,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10353), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [255730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(9711), 1,
      anon_sym_COLON,
    STATE(3912), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8756), 1,
      anon_sym_LBRACK,
    ACTIONS(10357), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6204), 1,
      sym__function_declarator_seq,
    STATE(6464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10359), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10363), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [255876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10365), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    ACTIONS(10367), 1,
      anon_sym_SEMI,
    STATE(3685), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10369), 1,
      anon_sym_SEMI,
    ACTIONS(10371), 1,
      anon_sym_EQ,
    STATE(1726), 1,
      sym_template_argument_list,
    STATE(6605), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2779), 1,
      sym_template_argument_list,
    ACTIONS(5689), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [255974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(10373), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [255996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10225), 1,
      sym_identifier,
    STATE(873), 1,
      sym_declaration_list,
    STATE(7461), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256044] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10375), 1,
      sym_identifier,
    STATE(704), 1,
      sym_declaration_list,
    STATE(7326), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_AMP,
    ACTIONS(4066), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10377), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_COLON,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10379), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(2189), 1,
      sym_template_argument_list,
    STATE(7137), 2,
      sym_argument_list,
      sym_initializer_list,
  [256220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 1,
      anon_sym_AMP,
    ACTIONS(5986), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [256342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9649), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10383), 1,
      sym_identifier,
    STATE(365), 1,
      sym_declaration_list,
    STATE(7487), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256388] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10261), 1,
      sym_identifier,
    STATE(367), 1,
      sym_declaration_list,
    STATE(7495), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10389), 1,
      anon_sym_AMP,
    ACTIONS(10387), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9657), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 1,
      anon_sym_AMP,
    ACTIONS(5945), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [256529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9665), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      anon_sym_LBRACK,
    ACTIONS(10394), 1,
      anon_sym_EQ,
    ACTIONS(10396), 1,
      anon_sym_DOT,
    STATE(6418), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [256590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9617), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256611] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9651), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10403), 1,
      anon_sym_COMMA,
    ACTIONS(10405), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10401), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [256672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9653), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10409), 1,
      sym_identifier,
    STATE(795), 1,
      sym_declaration_list,
    STATE(7301), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(8997), 1,
      anon_sym_LBRACK,
    STATE(3678), 1,
      sym_parameter_list,
    STATE(6067), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5992), 1,
      anon_sym_AMP,
    ACTIONS(5994), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [256779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_LBRACK,
    ACTIONS(10413), 1,
      anon_sym_EQ,
    ACTIONS(10415), 1,
      anon_sym_DOT,
    STATE(6418), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [256798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      anon_sym_AMP,
    ACTIONS(10417), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10421), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9659), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [256857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10423), 1,
      sym_identifier,
    STATE(879), 1,
      sym_declaration_list,
    STATE(7434), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(5871), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [256901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10247), 1,
      sym_identifier,
    STATE(773), 1,
      sym_declaration_list,
    STATE(7485), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(10425), 1,
      anon_sym_RPAREN,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(10161), 1,
      sym_identifier,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    STATE(690), 1,
      sym_declaration_list,
    STATE(7260), 1,
      sym_nested_namespace_specifier,
    STATE(7618), 1,
      sym__namespace_specifier,
  [256974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10273), 1,
      anon_sym_AMP,
    ACTIONS(10271), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [256989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(9647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [257010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10429), 1,
      anon_sym_AMP,
    ACTIONS(10427), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [257025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(5383), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LBRACK,
    ACTIONS(5342), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(2112), 1,
      sym_parameter_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9147), 1,
      anon_sym_try,
    ACTIONS(10431), 1,
      anon_sym_SEMI,
    ACTIONS(10433), 1,
      anon_sym_EQ,
    STATE(833), 2,
      sym_compound_statement,
      sym_try_statement,
  [257091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9147), 1,
      anon_sym_try,
    ACTIONS(10439), 1,
      anon_sym_SEMI,
    ACTIONS(10441), 1,
      anon_sym_EQ,
    STATE(830), 2,
      sym_compound_statement,
      sym_try_statement,
  [257127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    ACTIONS(10443), 1,
      anon_sym_SEMI,
    ACTIONS(10445), 1,
      anon_sym_EQ,
    STATE(1926), 2,
      sym_compound_statement,
      sym_try_statement,
  [257147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    ACTIONS(10449), 1,
      anon_sym_SEMI,
    ACTIONS(10451), 1,
      anon_sym_EQ,
    STATE(2294), 2,
      sym_compound_statement,
      sym_try_statement,
  [257183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10453), 1,
      anon_sym_LPAREN2,
    STATE(6446), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10334), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10332), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [257213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10457), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [257247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym___attribute__,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5471), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_try,
    ACTIONS(10459), 1,
      anon_sym_SEMI,
    ACTIONS(10461), 1,
      anon_sym_EQ,
    STATE(745), 2,
      sym_compound_statement,
      sym_try_statement,
  [257285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(9087), 1,
      anon_sym_try,
    ACTIONS(10463), 1,
      anon_sym_SEMI,
    ACTIONS(10465), 1,
      anon_sym_EQ,
    STATE(383), 2,
      sym_compound_statement,
      sym_try_statement,
  [257305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7759), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [257319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(9107), 1,
      anon_sym_try,
    ACTIONS(10467), 1,
      anon_sym_SEMI,
    ACTIONS(10469), 1,
      anon_sym_EQ,
    STATE(700), 2,
      sym_compound_statement,
      sym_try_statement,
  [257339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10473), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [257375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10476), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10478), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    ACTIONS(10480), 1,
      anon_sym_SEMI,
    ACTIONS(10482), 1,
      anon_sym_EQ,
    STATE(2307), 2,
      sym_compound_statement,
      sym_try_statement,
  [257409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10484), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_try,
    ACTIONS(10486), 1,
      anon_sym_SEMI,
    ACTIONS(10488), 1,
      anon_sym_EQ,
    STATE(778), 2,
      sym_compound_statement,
      sym_try_statement,
  [257445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 1,
      anon_sym_LBRACK,
    ACTIONS(7245), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5447), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5637), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9953), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10490), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10492), 1,
      anon_sym_LPAREN2,
    STATE(6443), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8778), 1,
      anon_sym_try,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      anon_sym_SEMI,
    ACTIONS(10496), 1,
      anon_sym_EQ,
    STATE(2319), 2,
      sym_compound_statement,
      sym_try_statement,
  [257533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10498), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10500), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10502), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10504), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10506), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_LPAREN2,
    STATE(6470), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10083), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10510), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    STATE(5251), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [257625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10514), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(9107), 1,
      anon_sym_try,
    ACTIONS(10516), 1,
      anon_sym_SEMI,
    ACTIONS(10518), 1,
      anon_sym_EQ,
    STATE(671), 2,
      sym_compound_statement,
      sym_try_statement,
  [257659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      anon_sym_LPAREN2,
    STATE(6465), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10457), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(5689), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [257707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10522), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10524), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10476), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10478), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(9087), 1,
      anon_sym_try,
    ACTIONS(10528), 1,
      anon_sym_SEMI,
    ACTIONS(10530), 1,
      anon_sym_EQ,
    STATE(330), 2,
      sym_compound_statement,
      sym_try_statement,
  [257771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10532), 1,
      anon_sym_LPAREN2,
    STATE(6494), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(3980), 1,
      sym_template_argument_list,
    ACTIONS(5689), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [257805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_try,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      anon_sym_SEMI,
    ACTIONS(10536), 1,
      anon_sym_EQ,
    STATE(1888), 2,
      sym_compound_statement,
      sym_try_statement,
  [257825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_try,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    ACTIONS(10538), 1,
      anon_sym_SEMI,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    STATE(2351), 2,
      sym_compound_statement,
      sym_try_statement,
  [257845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7634), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [257859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(9966), 1,
      anon_sym_LBRACK,
    STATE(6236), 1,
      sym_template_argument_list,
    ACTIONS(9964), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [257877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10542), 1,
      anon_sym_LPAREN2,
    STATE(6481), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10544), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10546), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(9951), 1,
      anon_sym_LBRACK,
    STATE(6171), 1,
      sym_template_argument_list,
    ACTIONS(9947), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [257925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10548), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10550), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [257939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10552), 1,
      anon_sym_LPAREN2,
    STATE(6461), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10554), 1,
      anon_sym_LPAREN2,
    STATE(6457), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10437), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [257971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10556), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7747), 1,
      sym_attribute_specifier,
  [257990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10558), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8277), 1,
      sym_attribute_specifier,
  [258009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10560), 1,
      sym_identifier,
    STATE(6844), 1,
      sym__namespace_specifier,
    STATE(7376), 1,
      sym_nested_namespace_specifier,
  [258028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8333), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8337), 1,
      anon_sym_EQ,
    ACTIONS(10562), 1,
      sym_identifier,
    ACTIONS(8335), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9617), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10564), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7748), 1,
      sym_attribute_specifier,
  [258083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9649), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 4,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
  [258115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(10570), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10572), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7742), 1,
      sym_attribute_specifier,
  [258151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10574), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7741), 1,
      sym_attribute_specifier,
  [258170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10576), 1,
      anon_sym_SEMI,
    STATE(6500), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7739), 1,
      sym_attribute_specifier,
  [258189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9647), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9651), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9653), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10578), 1,
      sym_identifier,
    STATE(7618), 1,
      sym__namespace_specifier,
    STATE(7666), 1,
      sym_nested_namespace_specifier,
  [258265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    ACTIONS(10582), 1,
      anon_sym_COLON_COLON,
    STATE(7423), 1,
      sym_argument_list,
    ACTIONS(10580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [258282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10584), 1,
      anon_sym_EQ,
    ACTIONS(9502), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [258295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10586), 1,
      anon_sym_SEMI,
    STATE(6530), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8300), 1,
      sym_attribute_specifier,
  [258314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10560), 1,
      sym_identifier,
    STATE(7209), 1,
      sym__namespace_specifier,
    STATE(7482), 1,
      sym_nested_namespace_specifier,
  [258333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10588), 1,
      sym_identifier,
    STATE(7618), 1,
      sym__namespace_specifier,
    STATE(7995), 1,
      sym_nested_namespace_specifier,
  [258352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      sym_auto,
    ACTIONS(7391), 1,
      anon_sym_decltype,
    STATE(2636), 1,
      sym_decltype_auto,
    ACTIONS(10590), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    ACTIONS(10592), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(10594), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3447), 1,
      sym_template_method,
    STATE(7511), 1,
      sym_operator_name,
  [258407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9657), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(10596), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2432), 1,
      sym_template_method,
    STATE(7334), 1,
      sym_operator_name,
  [258445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10598), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8266), 1,
      sym_attribute_specifier,
  [258464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10600), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8267), 1,
      sym_attribute_specifier,
  [258483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(10602), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3572), 1,
      sym_template_method,
    STATE(7288), 1,
      sym_operator_name,
  [258521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10604), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8269), 1,
      sym_attribute_specifier,
  [258540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(10606), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2432), 1,
      sym_template_method,
    STATE(7389), 1,
      sym_operator_name,
  [258559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10608), 1,
      anon_sym_SEMI,
    STATE(6521), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8279), 1,
      sym_attribute_specifier,
  [258578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(8129), 1,
      anon_sym_RPAREN,
    STATE(2450), 1,
      sym_argument_list,
    STATE(3778), 1,
      sym_initializer_list,
  [258597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10610), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8028), 1,
      sym_attribute_specifier,
  [258616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10612), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8031), 1,
      sym_attribute_specifier,
  [258635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10614), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7820), 1,
      sym_attribute_specifier,
  [258654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10616), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8286), 1,
      sym_attribute_specifier,
  [258673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_SEMI,
    STATE(6525), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8287), 1,
      sym_attribute_specifier,
  [258692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10620), 1,
      anon_sym_SEMI,
    STATE(6496), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8288), 1,
      sym_attribute_specifier,
  [258711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10622), 1,
      anon_sym_SEMI,
    STATE(6539), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8034), 1,
      sym_attribute_specifier,
  [258730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10624), 1,
      anon_sym_SEMI,
    STATE(6529), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8293), 1,
      sym_attribute_specifier,
  [258749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10626), 1,
      sym_identifier,
    STATE(7618), 1,
      sym__namespace_specifier,
    STATE(8105), 1,
      sym_nested_namespace_specifier,
  [258768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    ACTIONS(10628), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10630), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7815), 1,
      sym_attribute_specifier,
  [258806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    ACTIONS(10632), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [258825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10634), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7712), 1,
      sym_attribute_specifier,
  [258844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10636), 1,
      anon_sym_SEMI,
    STATE(6504), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7710), 1,
      sym_attribute_specifier,
  [258863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10638), 1,
      anon_sym_SEMI,
    STATE(6505), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7708), 1,
      sym_attribute_specifier,
  [258882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_operator,
    ACTIONS(10606), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2432), 1,
      sym_template_method,
    STATE(7478), 1,
      sym_operator_name,
  [258901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    ACTIONS(8109), 1,
      anon_sym_RPAREN,
    STATE(2450), 1,
      sym_argument_list,
    STATE(3778), 1,
      sym_initializer_list,
  [258920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(7449), 1,
      anon_sym_COMMA,
    ACTIONS(10640), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8289), 1,
      sym_attribute_specifier,
  [258939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10642), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7319), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [258952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(10644), 1,
      aux_sym_preproc_if_token2,
    STATE(6422), 1,
      sym_enumerator,
    STATE(6710), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6773), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [258971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(3818), 1,
      sym_template_argument_list,
    ACTIONS(5689), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [258988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_LBRACK,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(4296), 1,
      sym_template_argument_list,
    ACTIONS(5689), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [259005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      anon_sym_EQ,
    ACTIONS(9502), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9665), 1,
      anon_sym_COLON,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [259037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10163), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10165), 1,
      anon_sym_inline,
    ACTIONS(10648), 1,
      sym_identifier,
    STATE(7618), 1,
      sym__namespace_specifier,
    STATE(8316), 1,
      sym_nested_namespace_specifier,
  [259056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2189), 1,
      sym_template_argument_list,
    ACTIONS(5577), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [259073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    ACTIONS(10650), 1,
      anon_sym_RPAREN,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [259092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3839), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym_base_class_clause,
  [259108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10652), 1,
      anon_sym_SEMI,
    STATE(6693), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3682), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259136] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10654), 1,
      anon_sym_DQUOTE,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10660), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(6878), 1,
      sym_compound_statement,
    STATE(7343), 1,
      sym_field_initializer_list,
  [259182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10662), 1,
      anon_sym___except,
    ACTIONS(10664), 1,
      anon_sym___finally,
    STATE(265), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [259196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10668), 1,
      anon_sym_EQ,
    STATE(803), 1,
      sym_declaration_list,
  [259226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7375), 1,
      sym_argument_list,
    ACTIONS(10670), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [259240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10672), 1,
      anon_sym_EQ,
    STATE(796), 1,
      sym_declaration_list,
  [259256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10674), 1,
      anon_sym_SEMI,
    STATE(6600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10676), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259284] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_DQUOTE,
    ACTIONS(10680), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10682), 1,
      sym_escape_sequence,
    STATE(6649), 1,
      aux_sym_string_literal_repeat1,
  [259300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3188), 1,
      sym_field_declaration_list,
    STATE(7550), 1,
      sym_base_class_clause,
  [259316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3358), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10340), 1,
      anon_sym_EQ,
    STATE(6560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(4163), 1,
      sym_requirement_seq,
    STATE(7219), 1,
      sym_requires_parameter_list,
  [259374] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10688), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259390] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DQUOTE,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    STATE(6575), 1,
      aux_sym_string_literal_repeat1,
  [259406] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10696), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259422] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10698), 1,
      anon_sym_DQUOTE,
    ACTIONS(10700), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10702), 1,
      sym_escape_sequence,
    STATE(6577), 1,
      aux_sym_string_literal_repeat1,
  [259438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10704), 1,
      anon_sym_EQ,
    STATE(6691), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10708), 1,
      anon_sym_GT2,
    STATE(7173), 1,
      aux_sym_template_argument_list_repeat1,
  [259468] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10710), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(10714), 1,
      sym_preproc_arg,
    STATE(7240), 1,
      sym_preproc_params,
  [259484] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10716), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259500] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10718), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [259514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    ACTIONS(9703), 1,
      anon_sym_LBRACK,
    STATE(3736), 1,
      sym_parameter_list,
    STATE(5898), 1,
      sym__function_declarator_seq,
  [259530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(10644), 1,
      aux_sym_preproc_if_token2,
    STATE(6710), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
  [259546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(922), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [259562] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10724), 1,
      anon_sym_DQUOTE,
    ACTIONS(10726), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10728), 1,
      sym_escape_sequence,
    STATE(6582), 1,
      aux_sym_string_literal_repeat1,
  [259578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_COMMA,
    STATE(6800), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10732), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [259592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10734), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_LBRACE,
    STATE(6857), 1,
      aux_sym_base_class_clause_repeat1,
  [259608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10740), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [259624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10742), 1,
      anon_sym_GT2,
    STATE(7153), 1,
      aux_sym_template_argument_list_repeat1,
  [259654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3312), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10744), 1,
      anon_sym_GT2,
    STATE(6870), 1,
      aux_sym_template_argument_list_repeat1,
  [259684] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10746), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259700] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10750), 1,
      sym_preproc_arg,
    STATE(7516), 1,
      sym_preproc_params,
  [259716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [259730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_EQ,
    STATE(6605), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2777), 1,
      sym_field_declaration_list,
    STATE(7480), 1,
      sym_base_class_clause,
  [259760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10752), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259774] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10754), 1,
      anon_sym_DQUOTE,
    ACTIONS(10756), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10758), 1,
      sym_escape_sequence,
    STATE(6595), 1,
      aux_sym_string_literal_repeat1,
  [259790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym_base_class_clause,
  [259806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(919), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [259822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10760), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10762), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [259850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10764), 1,
      anon_sym_GT2,
    STATE(7133), 1,
      aux_sym_template_argument_list_repeat1,
  [259866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10766), 1,
      anon_sym_GT2,
    STATE(7182), 1,
      aux_sym_template_argument_list_repeat1,
  [259882] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10768), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [259898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_field_declaration_list,
    STATE(7530), 1,
      sym_base_class_clause,
  [259914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10770), 1,
      sym_identifier,
    ACTIONS(10772), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [259926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10774), 1,
      anon_sym_EQ,
    STATE(334), 1,
      sym_declaration_list,
  [259942] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_DQUOTE,
    ACTIONS(10778), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10780), 1,
      sym_escape_sequence,
    STATE(6608), 1,
      aux_sym_string_literal_repeat1,
  [259958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(6888), 1,
      sym_compound_statement,
    STATE(7308), 1,
      sym_field_initializer_list,
  [259974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10782), 1,
      anon_sym_SEMI,
    STATE(6685), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [259988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10784), 1,
      anon_sym_SEMI,
    STATE(6737), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [260002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    STATE(6573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10786), 1,
      anon_sym_GT2,
    STATE(7113), 1,
      aux_sym_template_argument_list_repeat1,
  [260032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    STATE(2033), 1,
      sym_field_declaration_list,
    STATE(7267), 1,
      sym_base_class_clause,
  [260062] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10790), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10792), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260088] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_DQUOTE,
    ACTIONS(10796), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10798), 1,
      sym_escape_sequence,
    STATE(6620), 1,
      aux_sym_string_literal_repeat1,
  [260104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    STATE(6803), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10800), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [260118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10802), 1,
      anon_sym_COMMA,
    STATE(6624), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10805), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [260132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym___except,
    ACTIONS(10809), 1,
      anon_sym___finally,
    STATE(992), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [260146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10811), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10813), 1,
      anon_sym___except,
    ACTIONS(10815), 1,
      anon_sym___finally,
    STATE(612), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [260174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10792), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [260184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(6883), 1,
      sym_compound_statement,
    STATE(7430), 1,
      sym_field_initializer_list,
  [260200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3426), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [260214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10817), 1,
      anon_sym_GT2,
    STATE(7092), 1,
      aux_sym_template_argument_list_repeat1,
  [260230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    STATE(2513), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [260244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(3473), 1,
      sym_requirement_seq,
    STATE(7256), 1,
      sym_requires_parameter_list,
  [260260] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10819), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10821), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10824), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(7156), 1,
      aux_sym_base_class_clause_repeat1,
  [260290] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10828), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10830), 1,
      anon_sym_GT2,
    STATE(7075), 1,
      aux_sym_template_argument_list_repeat1,
  [260322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10832), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [260336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [260350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10836), 1,
      anon_sym_SEMI,
    STATE(6753), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [260364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10838), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [260378] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_DQUOTE,
    ACTIONS(10842), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10844), 1,
      sym_escape_sequence,
    STATE(6636), 1,
      aux_sym_string_literal_repeat1,
  [260394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3742), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [260408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3413), 1,
      sym_argument_list,
    STATE(3711), 1,
      sym_initializer_list,
  [260424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym_SEMI,
    ACTIONS(10848), 1,
      anon_sym_DASH_GT,
    ACTIONS(10850), 1,
      anon_sym_noexcept,
    STATE(8179), 1,
      sym_trailing_return_type,
  [260440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2815), 1,
      sym_field_declaration_list,
    STATE(7544), 1,
      sym_base_class_clause,
  [260456] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_DQUOTE,
    ACTIONS(10854), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10856), 1,
      sym_escape_sequence,
    STATE(6675), 1,
      aux_sym_string_literal_repeat1,
  [260472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(6994), 1,
      sym_compound_statement,
    STATE(7282), 1,
      sym_field_initializer_list,
  [260488] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10858), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10860), 1,
      anon_sym_GT2,
    STATE(7070), 1,
      aux_sym_template_argument_list_repeat1,
  [260520] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10862), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260534] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10864), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260550] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(10866), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10868), 1,
      sym_preproc_arg,
    STATE(7425), 1,
      sym_preproc_params,
  [260566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    ACTIONS(10870), 1,
      anon_sym_LBRACE,
    STATE(1748), 1,
      sym_requirement_seq,
    STATE(7431), 1,
      sym_requires_parameter_list,
  [260582] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_COMMA,
    STATE(6659), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10876), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [260610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(6547), 1,
      sym_template_parameter_list,
  [260626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    STATE(2037), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym_base_class_clause,
  [260642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_COMMA,
    STATE(6673), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10878), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [260656] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10880), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [260682] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10884), 1,
      anon_sym_DQUOTE,
    ACTIONS(10886), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10888), 1,
      sym_escape_sequence,
    STATE(6652), 1,
      aux_sym_string_literal_repeat1,
  [260698] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_DQUOTE,
    ACTIONS(10892), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10894), 1,
      sym_escape_sequence,
    STATE(6733), 1,
      aux_sym_string_literal_repeat1,
  [260714] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_DQUOTE,
    ACTIONS(10898), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10901), 1,
      sym_escape_sequence,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym_field_declaration_list,
    STATE(7314), 1,
      sym_base_class_clause,
  [260746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(920), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [260762] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10904), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260778] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10908), 1,
      anon_sym_GT2,
    STATE(7127), 1,
      aux_sym_template_argument_list_repeat1,
  [260808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10910), 1,
      anon_sym_GT2,
    STATE(7047), 1,
      aux_sym_template_argument_list_repeat1,
  [260824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 1,
      anon_sym___except,
    ACTIONS(10914), 1,
      anon_sym___finally,
    STATE(596), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [260838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4737), 1,
      sym_field_declaration_list,
    STATE(7416), 1,
      sym_base_class_clause,
  [260854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10916), 1,
      anon_sym_COMMA,
    STATE(6673), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10919), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [260868] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10921), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260882] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10923), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260898] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10925), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [260914] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [260928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10929), 1,
      anon_sym_GT2,
    STATE(6923), 1,
      aux_sym_template_argument_list_repeat1,
  [260944] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10931), 1,
      anon_sym_DQUOTE,
    ACTIONS(10933), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10935), 1,
      sym_escape_sequence,
    STATE(6676), 1,
      aux_sym_string_literal_repeat1,
  [260960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_COMMA,
    STATE(6588), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10937), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [260974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(6971), 1,
      sym_compound_statement,
    STATE(7446), 1,
      sym_field_initializer_list,
  [260990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10939), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [261006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10941), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [261022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    ACTIONS(10943), 1,
      anon_sym_LBRACE,
    STATE(5587), 1,
      sym_requirement_seq,
    STATE(7369), 1,
      sym_requires_parameter_list,
  [261038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10945), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(10947), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [261068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(5777), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10327), 1,
      anon_sym_EQ,
    STATE(6732), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261096] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [261110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10951), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10953), 1,
      anon_sym___except,
    ACTIONS(10955), 1,
      anon_sym___finally,
    STATE(596), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [261152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10957), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(5735), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10959), 1,
      anon_sym_GT2,
    STATE(7021), 1,
      aux_sym_template_argument_list_repeat1,
  [261196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10961), 1,
      anon_sym_GT2,
    STATE(7165), 1,
      aux_sym_template_argument_list_repeat1,
  [261212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(10963), 1,
      anon_sym_SEMI,
    STATE(6744), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261226] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10965), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [261240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4505), 1,
      anon_sym_SEMI,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1794), 1,
      sym_template_argument_list,
  [261256] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10967), 1,
      anon_sym_DQUOTE,
    ACTIONS(10969), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10971), 1,
      sym_escape_sequence,
    STATE(6749), 1,
      aux_sym_string_literal_repeat1,
  [261272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3508), 1,
      sym_argument_list,
    STATE(4597), 1,
      sym_initializer_list,
  [261288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8693), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_requirement_seq,
    STATE(7283), 1,
      sym_requires_parameter_list,
  [261304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3859), 1,
      sym_field_declaration_list,
    STATE(7278), 1,
      sym_base_class_clause,
  [261320] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(10973), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10975), 1,
      sym_preproc_arg,
    STATE(7355), 1,
      sym_preproc_params,
  [261336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_COMMA,
    STATE(6791), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10979), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [261350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    STATE(6626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2787), 1,
      sym_field_declaration_list,
    STATE(7463), 1,
      sym_base_class_clause,
  [261380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(916), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [261396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10983), 1,
      anon_sym___except,
    ACTIONS(10985), 1,
      anon_sym___finally,
    STATE(477), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [261410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9834), 1,
      sym_identifier,
    ACTIONS(10987), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8360), 1,
      sym_enumerator,
  [261426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4755), 1,
      sym_field_declaration_list,
    STATE(7401), 1,
      sym_base_class_clause,
  [261442] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10989), 1,
      anon_sym_DQUOTE,
    ACTIONS(10991), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10993), 1,
      sym_escape_sequence,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [261458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    STATE(2450), 1,
      sym_argument_list,
    STATE(3778), 1,
      sym_initializer_list,
  [261474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9471), 1,
      anon_sym_LBRACE,
    STATE(5781), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3110), 1,
      sym_field_declaration_list,
    STATE(7500), 1,
      sym_base_class_clause,
  [261504] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(10995), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [261520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10997), 1,
      anon_sym_GT2,
    STATE(6930), 1,
      aux_sym_template_argument_list_repeat1,
  [261536] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10999), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [261550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11001), 1,
      anon_sym_SEMI,
    STATE(6641), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3826), 1,
      sym_field_declaration_list,
    STATE(7311), 1,
      sym_base_class_clause,
  [261580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3849), 1,
      sym_field_declaration_list,
    STATE(7280), 1,
      sym_base_class_clause,
  [261596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(11003), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [261612] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(11005), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11007), 1,
      sym_preproc_arg,
    STATE(7438), 1,
      sym_preproc_params,
  [261628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10323), 1,
      anon_sym_EQ,
    STATE(6752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8725), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(3339), 1,
      sym_requirement_seq,
    STATE(7296), 1,
      sym_requires_parameter_list,
  [261658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11009), 1,
      anon_sym_SEMI,
    STATE(6638), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(4271), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261686] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11011), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [261700] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11013), 1,
      anon_sym_DQUOTE,
    ACTIONS(11015), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11017), 1,
      sym_escape_sequence,
    STATE(6716), 1,
      aux_sym_string_literal_repeat1,
  [261716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_LPAREN2,
    STATE(3508), 1,
      sym_argument_list,
    STATE(3627), 1,
      sym_initializer_list,
  [261732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    STATE(2480), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11019), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261760] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(11021), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [261776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11025), 1,
      anon_sym_LBRACE,
    STATE(6897), 1,
      aux_sym_base_class_clause_repeat1,
  [261792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      anon_sym_COMMA,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11030), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [261806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11032), 1,
      anon_sym_SEMI,
    STATE(6783), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11034), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11036), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3082), 1,
      sym_field_declaration_list,
    STATE(7469), 1,
      sym_base_class_clause,
  [261892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(11038), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [261908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11040), 1,
      anon_sym_SEMI,
    STATE(6767), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11042), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11044), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(6738), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [261964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [261978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5146), 1,
      sym_field_declaration_list,
    STATE(7390), 1,
      sym_base_class_clause,
  [261994] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(11048), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [262010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10344), 1,
      anon_sym_EQ,
    STATE(6618), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11050), 1,
      anon_sym_GT2,
    STATE(6952), 1,
      aux_sym_template_argument_list_repeat1,
  [262040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11054), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4843), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym_base_class_clause,
  [262084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    STATE(840), 1,
      sym_declaration_list,
  [262100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11058), 1,
      anon_sym_SEMI,
    STATE(6745), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262114] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_DQUOTE,
    ACTIONS(11062), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11064), 1,
      sym_escape_sequence,
    STATE(6559), 1,
      aux_sym_string_literal_repeat1,
  [262130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(3716), 1,
      sym_requirement_seq,
    STATE(7440), 1,
      sym_requires_parameter_list,
  [262160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    ACTIONS(11066), 1,
      anon_sym_LBRACE,
    STATE(5759), 1,
      sym_requirement_seq,
    STATE(7329), 1,
      sym_requires_parameter_list,
  [262176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9461), 1,
      anon_sym_LBRACE,
    STATE(3371), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262190] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(11068), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [262206] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(11070), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11072), 1,
      sym_preproc_arg,
    STATE(7443), 1,
      sym_preproc_params,
  [262222] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11074), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [262236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9435), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5147), 1,
      sym_field_declaration_list,
    STATE(7388), 1,
      sym_base_class_clause,
  [262266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11076), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4861), 1,
      sym_field_declaration_list,
    STATE(7315), 1,
      sym_base_class_clause,
  [262296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(917), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [262312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7198), 2,
      sym_argument_list,
      sym_initializer_list,
  [262326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2549), 1,
      sym_field_declaration_list,
    STATE(7459), 1,
      sym_base_class_clause,
  [262342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_EQ,
    STATE(6795), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(11078), 1,
      aux_sym_preproc_if_token2,
    STATE(6379), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [262370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(11080), 1,
      aux_sym_preproc_if_token2,
    STATE(6773), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [262384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      anon_sym_LPAREN2,
    STATE(2450), 1,
      sym_argument_list,
    STATE(2496), 1,
      sym_initializer_list,
  [262400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11082), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(7108), 1,
      sym_compound_statement,
    STATE(7399), 1,
      sym_field_initializer_list,
  [262430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9463), 1,
      anon_sym_LBRACE,
    STATE(3710), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262444] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11084), 1,
      anon_sym_DQUOTE,
    ACTIONS(11086), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11088), 1,
      sym_escape_sequence,
    STATE(6762), 1,
      aux_sym_string_literal_repeat1,
  [262460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_LBRACE,
    STATE(4235), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      anon_sym_LBRACE,
    STATE(3506), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262488] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_LPAREN,
    ACTIONS(11090), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11092), 1,
      sym_preproc_arg,
    STATE(7276), 1,
      sym_preproc_params,
  [262504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11094), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9693), 1,
      anon_sym_COLON,
    STATE(7202), 1,
      sym_compound_statement,
    STATE(7352), 1,
      sym_field_initializer_list,
  [262534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(914), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [262550] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11096), 1,
      anon_sym_DQUOTE,
    ACTIONS(11098), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11100), 1,
      sym_escape_sequence,
    STATE(6667), 1,
      aux_sym_string_literal_repeat1,
  [262566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11102), 1,
      anon_sym_SEMI,
    STATE(6604), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11104), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(5583), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    STATE(2447), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_COMMA,
    STATE(6624), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11106), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [262636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11108), 1,
      anon_sym_SEMI,
    STATE(4590), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11110), 1,
      anon_sym_SEMI,
    STATE(6788), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(5620), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    STATE(5830), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11114), 1,
      anon_sym_SEMI,
    STATE(6639), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262706] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11116), 1,
      anon_sym_DQUOTE,
    ACTIONS(11118), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11120), 1,
      sym_escape_sequence,
    STATE(6813), 1,
      aux_sym_string_literal_repeat1,
  [262722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11122), 1,
      anon_sym_SEMI,
    STATE(6568), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11124), 1,
      anon_sym_GT2,
    STATE(6867), 1,
      aux_sym_template_argument_list_repeat1,
  [262752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11126), 1,
      anon_sym_COMMA,
    STATE(6800), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11129), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [262766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
    STATE(7349), 1,
      sym_base_class_clause,
  [262782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3416), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11131), 1,
      anon_sym_COMMA,
    STATE(6803), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11134), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [262810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LPAREN2,
    STATE(3412), 1,
      sym_initializer_list,
    STATE(3413), 1,
      sym_argument_list,
  [262826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11136), 1,
      anon_sym_SEMI,
    STATE(6776), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(921), 1,
      sym_template_parameter_list,
    STATE(2428), 1,
      sym_template_type,
  [262856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6022), 1,
      anon_sym_LT,
    ACTIONS(11138), 1,
      anon_sym_SEMI,
    STATE(1726), 1,
      sym_template_argument_list,
  [262872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11140), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11142), 1,
      anon_sym_LBRACE,
    STATE(7058), 1,
      aux_sym_base_class_clause_repeat1,
  [262888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym___attribute__,
    ACTIONS(11144), 1,
      anon_sym_SEMI,
    STATE(6792), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [262902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    STATE(3424), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_LBRACE,
    STATE(5593), 1,
      sym_compound_statement,
    ACTIONS(9502), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [262930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_LPAREN2,
    STATE(3623), 1,
      sym_requirement_seq,
    STATE(7518), 1,
      sym_requires_parameter_list,
  [262946] = 5,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(10656), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10658), 1,
      sym_escape_sequence,
    ACTIONS(11146), 1,
      anon_sym_DQUOTE,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [262962] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_SQUOTE,
    STATE(6634), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10720), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [262976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2877), 1,
      sym_field_declaration_list,
    STATE(7360), 1,
      sym_base_class_clause,
  [262992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [263001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_GT2,
    STATE(7164), 1,
      aux_sym_template_argument_list_repeat1,
  [263014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_catch,
    STATE(193), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11158), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [263038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      anon_sym_catch,
    STATE(1978), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_COMMA,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    STATE(7056), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [263062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6847), 1,
      aux_sym_attribute_declaration_repeat1,
  [263075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8061), 1,
      anon_sym_RBRACK,
    ACTIONS(11166), 1,
      anon_sym_COMMA,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [263088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11171), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [263099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(706), 1,
      sym_declaration_list,
  [263112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11173), 1,
      anon_sym_SEMI,
    STATE(6855), 1,
      aux_sym_declaration_repeat1,
  [263125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11175), 1,
      anon_sym_COMMA,
    ACTIONS(11177), 1,
      anon_sym_RPAREN,
    STATE(7157), 1,
      aux_sym_throw_specifier_repeat1,
  [263138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11181), 1,
      anon_sym_constexpr,
    STATE(178), 1,
      sym_condition_clause,
  [263151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11183), 1,
      anon_sym_RPAREN,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    STATE(8077), 1,
      sym_gnu_asm_goto_list,
  [263164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11187), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3487), 1,
      sym_template_function,
  [263177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11189), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [263186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11191), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6836), 1,
      aux_sym_attribute_declaration_repeat1,
  [263199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11193), 1,
      anon_sym_RPAREN,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    STATE(6979), 1,
      sym_gnu_asm_input_operand_list,
  [263212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11197), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [263225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(8237), 1,
      sym_gnu_asm_goto_list,
  [263238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11201), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [263251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
    STATE(7194), 1,
      aux_sym_argument_list_repeat1,
  [263264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11203), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_RPAREN,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    STATE(6829), 1,
      sym_gnu_asm_clobber_list,
  [263290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11209), 1,
      anon_sym_RPAREN,
    STATE(8078), 1,
      sym_gnu_asm_goto_list,
  [263303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11211), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7026), 1,
      aux_sym_attribute_declaration_repeat1,
  [263316] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6698), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11213), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [263327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11215), 1,
      anon_sym_COMMA,
    ACTIONS(11217), 1,
      anon_sym_RPAREN,
    STATE(6849), 1,
      aux_sym_preproc_params_repeat1,
  [263340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11219), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [263351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7803), 1,
      anon_sym_RBRACK,
    STATE(7110), 1,
      aux_sym_subscript_argument_list_repeat1,
  [263364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [263373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11225), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [263386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11227), 1,
      anon_sym_GT2,
    STATE(6868), 1,
      aux_sym_template_argument_list_repeat1,
  [263399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11215), 1,
      anon_sym_COMMA,
    ACTIONS(11229), 1,
      anon_sym_RPAREN,
    STATE(6893), 1,
      aux_sym_preproc_params_repeat1,
  [263412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11231), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [263425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11233), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [263438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [263447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11235), 1,
      anon_sym_SEMI,
    STATE(6872), 1,
      aux_sym_declaration_repeat1,
  [263460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11237), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [263473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11239), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [263486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    ACTIONS(7849), 1,
      anon_sym_RBRACE,
    STATE(7188), 1,
      aux_sym_initializer_list_repeat1,
  [263499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11142), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [263512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_SEMI,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1794), 1,
      sym_template_argument_list,
  [263525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7898), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [263534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11241), 1,
      anon_sym_RPAREN,
    STATE(6839), 1,
      sym_gnu_asm_input_operand_list,
  [263547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11243), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [263560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11142), 1,
      anon_sym_LBRACE,
    STATE(7058), 1,
      aux_sym_base_class_clause_repeat1,
  [263573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11245), 1,
      anon_sym_COMMA,
    ACTIONS(11248), 1,
      anon_sym_RBRACK,
    STATE(6863), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [263586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11250), 1,
      anon_sym_RPAREN,
    STATE(6840), 1,
      sym_gnu_asm_clobber_list,
  [263599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_catch,
    STATE(325), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11254), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11256), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11258), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11260), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2483), 1,
      sym_template_function,
  [263662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11262), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_RPAREN,
    ACTIONS(11264), 1,
      anon_sym_COMMA,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [263688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11267), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [263701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_COMMA,
    ACTIONS(11272), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7774), 1,
      anon_sym_RBRACK,
    STATE(7203), 1,
      aux_sym_subscript_argument_list_repeat1,
  [263727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11274), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [263740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_GT2,
    STATE(6956), 1,
      aux_sym_template_parameter_list_repeat1,
  [263753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11280), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [263766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_catch,
    STATE(707), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11282), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [263790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11284), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [263803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11286), 1,
      anon_sym_RPAREN,
    STATE(7762), 1,
      sym_gnu_asm_goto_list,
  [263816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_default,
    ACTIONS(11290), 1,
      anon_sym_delete,
    ACTIONS(11292), 1,
      anon_sym_0,
  [263829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_catch,
    STATE(201), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11296), 1,
      anon_sym_RPAREN,
    STATE(7124), 1,
      aux_sym_parameter_list_repeat1,
  [263853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(351), 1,
      sym_declaration_list,
  [263866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_COMMA,
    ACTIONS(11301), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [263879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11303), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [263888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_catch,
    STATE(418), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11307), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [263912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_catch,
    STATE(403), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [263923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11311), 1,
      anon_sym_RPAREN,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    STATE(6833), 1,
      sym_gnu_asm_output_operand_list,
  [263936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11315), 1,
      anon_sym_constexpr,
    STATE(133), 1,
      sym_condition_clause,
  [263949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COMMA,
    ACTIONS(11320), 1,
      anon_sym_RPAREN,
    STATE(6893), 1,
      aux_sym_preproc_params_repeat1,
  [263962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11322), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_template_type,
    STATE(3205), 1,
      sym_template_function,
  [263975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11324), 1,
      anon_sym_default,
    ACTIONS(11326), 1,
      anon_sym_delete,
    ACTIONS(11328), 1,
      anon_sym_0,
  [263988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11330), 1,
      anon_sym_RPAREN,
    STATE(7792), 1,
      sym_gnu_asm_goto_list,
  [264001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [264014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11332), 1,
      anon_sym_RPAREN,
    STATE(6896), 1,
      sym_gnu_asm_clobber_list,
  [264027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
    STATE(7794), 1,
      sym_gnu_asm_goto_list,
  [264040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11336), 1,
      anon_sym_RPAREN,
    STATE(6942), 1,
      sym_gnu_asm_input_operand_list,
  [264053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11338), 1,
      anon_sym_COMMA,
    ACTIONS(11341), 1,
      anon_sym_RPAREN,
    STATE(6901), 1,
      aux_sym_throw_specifier_repeat1,
  [264066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11343), 1,
      anon_sym_RPAREN,
    STATE(6898), 1,
      sym_gnu_asm_input_operand_list,
  [264079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_catch,
    STATE(1987), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [264090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11347), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_parameter_list_repeat1,
  [264103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264116] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11351), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11353), 1,
      anon_sym_LPAREN2,
    STATE(7689), 1,
      sym_preproc_argument_list,
  [264129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11355), 1,
      anon_sym_SEMI,
    STATE(7079), 1,
      aux_sym_declaration_repeat1,
  [264142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
    STATE(6899), 1,
      sym_gnu_asm_clobber_list,
  [264155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11359), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      anon_sym_catch,
    STATE(2012), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [264192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11361), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_parameter_list_repeat1,
  [264205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(730), 1,
      sym_declaration_list,
  [264231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11365), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(6946), 1,
      sym_gnu_asm_output_operand_list,
  [264257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RBRACE,
    ACTIONS(11369), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [264270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(11371), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      aux_sym_preproc_argument_list_repeat1,
  [264283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11373), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11375), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3205), 1,
      sym_template_function,
  [264309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10706), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11377), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [264320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11379), 1,
      anon_sym_RPAREN,
    STATE(6835), 1,
      sym_gnu_asm_clobber_list,
  [264333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11381), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11383), 1,
      anon_sym_COMMA,
    ACTIONS(11385), 1,
      anon_sym_LBRACE,
    STATE(7159), 1,
      aux_sym_field_initializer_list_repeat1,
  [264359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11387), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11389), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11391), 1,
      anon_sym_RPAREN,
    STATE(6860), 1,
      sym_gnu_asm_output_operand_list,
  [264411] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6668), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11393), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [264422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11395), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11399), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11401), 1,
      anon_sym_RPAREN,
    STATE(6864), 1,
      sym_gnu_asm_input_operand_list,
  [264474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11403), 1,
      anon_sym_RPAREN,
    STATE(6902), 1,
      sym_gnu_asm_output_operand_list,
  [264487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11405), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      sym_gnu_asm_input_operand_list,
  [264500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11407), 1,
      anon_sym_GT2,
    STATE(6953), 1,
      aux_sym_template_argument_list_repeat1,
  [264513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11409), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [264522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11411), 1,
      anon_sym_RPAREN,
    STATE(7205), 1,
      aux_sym_parameter_list_repeat1,
  [264535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11413), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11415), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [264557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11417), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [264566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11419), 1,
      anon_sym_RPAREN,
    STATE(6969), 1,
      sym_gnu_asm_clobber_list,
  [264579] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11353), 1,
      anon_sym_LPAREN2,
    ACTIONS(11421), 1,
      aux_sym_preproc_include_token2,
    STATE(7689), 1,
      sym_preproc_argument_list,
  [264592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11423), 1,
      anon_sym_RPAREN,
    STATE(8268), 1,
      sym_gnu_asm_goto_list,
  [264605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_while,
    ACTIONS(11425), 1,
      anon_sym_else,
    STATE(546), 1,
      sym_else_clause,
  [264618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11427), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      sym_gnu_asm_input_operand_list,
  [264631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7819), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11429), 1,
      anon_sym_COMMA,
    ACTIONS(11432), 1,
      anon_sym_RPAREN,
    STATE(6948), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [264657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_RBRACE,
    ACTIONS(11434), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [264670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [264679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11440), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11442), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [264718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11444), 1,
      anon_sym_COMMA,
    ACTIONS(11446), 1,
      anon_sym_RPAREN,
    STATE(6997), 1,
      aux_sym_requires_parameter_list_repeat1,
  [264731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11448), 1,
      anon_sym_RPAREN,
    STATE(7000), 1,
      sym_gnu_asm_input_operand_list,
  [264744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11450), 1,
      anon_sym_GT2,
    STATE(7211), 1,
      aux_sym_template_parameter_list_repeat1,
  [264757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11452), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(754), 1,
      sym_declaration_list,
  [264783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11454), 1,
      anon_sym_COMMA,
    ACTIONS(11457), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [264796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11459), 1,
      anon_sym_SEMI,
    STATE(6957), 1,
      aux_sym_declaration_repeat1,
  [264809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [264822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11461), 1,
      anon_sym_RPAREN,
    STATE(6881), 1,
      sym_gnu_asm_clobber_list,
  [264835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11463), 1,
      anon_sym_RPAREN,
    STATE(7743), 1,
      sym_gnu_asm_goto_list,
  [264848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [264857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_catch,
    STATE(949), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [264868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11469), 1,
      anon_sym_SEMI,
    STATE(6976), 1,
      aux_sym_declaration_repeat1,
  [264881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    STATE(6909), 1,
      aux_sym_argument_list_repeat1,
  [264894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [264903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(7975), 1,
      sym_gnu_asm_goto_list,
  [264916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11473), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [264929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      anon_sym_catch,
    STATE(1954), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [264940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11475), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7083), 1,
      aux_sym_attribute_declaration_repeat1,
  [264953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11477), 1,
      anon_sym_COMMA,
    ACTIONS(11480), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_parameter_list_repeat1,
  [264966] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6674), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11482), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [264977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11484), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [264990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11486), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [265003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_COMMA,
    ACTIONS(11490), 1,
      anon_sym_RPAREN,
    STATE(6948), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [265016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11492), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [265029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11494), 1,
      anon_sym_RPAREN,
    STATE(6981), 1,
      sym_gnu_asm_clobber_list,
  [265042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11496), 1,
      anon_sym_SEMI,
    STATE(6915), 1,
      aux_sym_declaration_repeat1,
  [265055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11498), 1,
      anon_sym_RPAREN,
    STATE(7974), 1,
      sym_gnu_asm_goto_list,
  [265068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7703), 1,
      anon_sym_COMMA,
    ACTIONS(11500), 1,
      anon_sym_RBRACK,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [265081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11502), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7096), 1,
      aux_sym_attribute_declaration_repeat1,
  [265094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11504), 1,
      anon_sym_SEMI,
    STATE(7141), 1,
      aux_sym_declaration_repeat1,
  [265107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11506), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [265120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(7687), 1,
      anon_sym_RBRACK,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
  [265133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
    STATE(7208), 1,
      aux_sym_declaration_repeat1,
  [265146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11513), 1,
      anon_sym_LBRACE,
    STATE(6988), 1,
      aux_sym_field_initializer_list_repeat1,
  [265159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11515), 1,
      anon_sym_GT2,
    STATE(6926), 1,
      aux_sym_template_argument_list_repeat1,
  [265172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11517), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11519), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [265183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11521), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [265196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11523), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [265209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11525), 1,
      anon_sym_RPAREN,
    STATE(6935), 1,
      sym_gnu_asm_output_operand_list,
  [265222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_catch,
    STATE(1986), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [265233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11527), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_template_type,
    STATE(3487), 1,
      sym_template_function,
  [265246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11529), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11457), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [265257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11444), 1,
      anon_sym_COMMA,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(7120), 1,
      aux_sym_requires_parameter_list_repeat1,
  [265270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11533), 1,
      anon_sym_RPAREN,
    STATE(6922), 1,
      sym_gnu_asm_input_operand_list,
  [265283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      anon_sym_SEMI,
    STATE(6913), 1,
      aux_sym_declaration_repeat1,
  [265296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(7140), 1,
      sym_gnu_asm_clobber_list,
  [265309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_RBRACE,
    ACTIONS(11539), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [265322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11542), 1,
      anon_sym_constexpr,
    STATE(153), 1,
      sym_condition_clause,
  [265335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(11544), 1,
      anon_sym_RBRACK,
    STATE(7055), 1,
      aux_sym_subscript_argument_list_repeat1,
  [265348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11546), 1,
      anon_sym_RPAREN,
    STATE(6944), 1,
      sym_gnu_asm_clobber_list,
  [265361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    STATE(6947), 1,
      aux_sym_argument_list_repeat1,
  [265374] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11353), 1,
      anon_sym_LPAREN2,
    ACTIONS(11548), 1,
      aux_sym_preproc_include_token2,
    STATE(7689), 1,
      sym_preproc_argument_list,
  [265387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11550), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [265400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11552), 1,
      anon_sym_RPAREN,
    STATE(7170), 1,
      sym_gnu_asm_output_operand_list,
  [265413] = 4,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11353), 1,
      anon_sym_LPAREN2,
    ACTIONS(11554), 1,
      aux_sym_preproc_include_token2,
    STATE(7689), 1,
      sym_preproc_argument_list,
  [265426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11556), 1,
      anon_sym_GT2,
    STATE(7022), 1,
      aux_sym_template_argument_list_repeat1,
  [265439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11558), 1,
      anon_sym_RPAREN,
    STATE(6904), 1,
      aux_sym_parameter_list_repeat1,
  [265452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11560), 1,
      anon_sym_LBRACE,
    STATE(6850), 1,
      aux_sym_base_class_clause_repeat1,
  [265465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11562), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [265478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11564), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [265491] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6728), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11566), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [265502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11568), 1,
      anon_sym_SEMI,
    STATE(6905), 1,
      aux_sym_declaration_repeat1,
  [265515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11570), 1,
      anon_sym_default,
    ACTIONS(11572), 1,
      anon_sym_delete,
    ACTIONS(11574), 1,
      anon_sym_0,
  [265528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(6035), 1,
      sym_template_function,
  [265541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
    ACTIONS(11578), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [265554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11580), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11582), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11584), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [265606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_COMMA,
    ACTIONS(7831), 1,
      anon_sym_RBRACE,
    STATE(7025), 1,
      aux_sym_initializer_list_repeat1,
  [265619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      anon_sym_RBRACE,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [265632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [265645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11592), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7104), 1,
      aux_sym_attribute_declaration_repeat1,
  [265658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      anon_sym_GT2,
    STATE(6919), 1,
      aux_sym_template_argument_list_repeat1,
  [265671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_catch,
    STATE(791), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [265682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11596), 1,
      anon_sym_RPAREN,
    STATE(6962), 1,
      sym_gnu_asm_input_operand_list,
  [265695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11598), 1,
      anon_sym_GT2,
    STATE(7163), 1,
      aux_sym_template_argument_list_repeat1,
  [265708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11600), 1,
      anon_sym_RPAREN,
    STATE(7033), 1,
      sym_gnu_asm_input_operand_list,
  [265721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11602), 1,
      anon_sym_RPAREN,
    STATE(6963), 1,
      sym_gnu_asm_clobber_list,
  [265734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11604), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265747] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6583), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11606), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [265758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11608), 1,
      anon_sym_RPAREN,
    STATE(6933), 1,
      sym_gnu_asm_output_operand_list,
  [265771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11610), 1,
      anon_sym_catch,
    STATE(1776), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [265782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_RPAREN,
    STATE(6927), 1,
      aux_sym_argument_list_repeat1,
  [265795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 1,
      anon_sym_RPAREN,
    ACTIONS(11612), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [265806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [265819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(7030), 1,
      sym_gnu_asm_output_operand_list,
  [265832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [265841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11620), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [265850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(844), 1,
      sym_declaration_list,
  [265863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11622), 1,
      anon_sym_GT2,
    STATE(7048), 1,
      aux_sym_template_argument_list_repeat1,
  [265876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11626), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11628), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [265915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10275), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [265924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11630), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [265937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7787), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [265950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11632), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [265959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7007), 1,
      aux_sym_attribute_declaration_repeat1,
  [265972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6819), 1,
      aux_sym_attribute_declaration_repeat1,
  [265985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8009), 1,
      anon_sym_RBRACK,
    ACTIONS(11638), 1,
      anon_sym_COMMA,
    STATE(7055), 1,
      aux_sym_subscript_argument_list_repeat1,
  [265998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RBRACK,
    STATE(6863), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [266011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_catch,
    STATE(2000), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [266022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(11560), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [266035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(11643), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      aux_sym_preproc_argument_list_repeat1,
  [266048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11645), 1,
      anon_sym_GT2,
    STATE(7116), 1,
      aux_sym_template_parameter_list_repeat1,
  [266061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11649), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [266072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(378), 1,
      sym_declaration_list,
  [266085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10826), 1,
      anon_sym_LBRACE,
    STATE(7156), 1,
      aux_sym_base_class_clause_repeat1,
  [266098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11651), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2483), 1,
      sym_template_function,
  [266111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11653), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_COMMA,
    ACTIONS(11655), 1,
      anon_sym_RPAREN,
    STATE(6977), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [266137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7861), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [266150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11657), 1,
      anon_sym_GT2,
    STATE(7071), 1,
      aux_sym_template_argument_list_repeat1,
  [266163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11663), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11665), 1,
      anon_sym_SEMI,
    STATE(7158), 1,
      aux_sym_declaration_repeat1,
  [266215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11667), 1,
      anon_sym_SEMI,
    STATE(7189), 1,
      aux_sym_declaration_repeat1,
  [266228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [266241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11671), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7703), 1,
      anon_sym_COMMA,
    ACTIONS(11673), 1,
      anon_sym_RBRACK,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [266267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(880), 1,
      sym_declaration_list,
  [266280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11675), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11677), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [266306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11679), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [266319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7811), 1,
      anon_sym_COMMA,
    ACTIONS(7813), 1,
      anon_sym_RBRACE,
    STATE(6949), 1,
      aux_sym_initializer_list_repeat1,
  [266332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11681), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [266341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [266354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11685), 1,
      anon_sym_GT2,
    STATE(7078), 1,
      aux_sym_template_argument_list_repeat1,
  [266367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_default,
    ACTIONS(11689), 1,
      anon_sym_delete,
    ACTIONS(11691), 1,
      anon_sym_0,
  [266380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11693), 1,
      sym_identifier,
    STATE(2721), 1,
      sym_template_type,
    STATE(3495), 1,
      sym_template_function,
  [266393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COMMA,
    ACTIONS(11698), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [266406] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6718), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11700), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [266417] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6655), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11702), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [266428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11704), 1,
      anon_sym_GT2,
    STATE(7093), 1,
      aux_sym_template_argument_list_repeat1,
  [266441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11706), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11708), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11710), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    STATE(798), 1,
      sym_declaration_list,
  [266493] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6677), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11712), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [266504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11714), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [266517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
    STATE(7067), 1,
      aux_sym_argument_list_repeat1,
  [266530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 1,
      anon_sym_RBRACE,
    ACTIONS(7837), 1,
      anon_sym_COMMA,
    STATE(7160), 1,
      aux_sym_initializer_list_repeat1,
  [266543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [266552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
    STATE(6961), 1,
      aux_sym_argument_list_repeat1,
  [266565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11718), 1,
      anon_sym_EQ,
    ACTIONS(10293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [266576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11720), 1,
      anon_sym_SEMI,
    STATE(7145), 1,
      aux_sym_declaration_repeat1,
  [266589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11722), 1,
      anon_sym_RPAREN,
    STATE(7032), 1,
      sym_gnu_asm_output_operand_list,
  [266602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COMMA,
    ACTIONS(11724), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7087), 1,
      aux_sym_attribute_declaration_repeat1,
  [266615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_COMMA,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
    STATE(7019), 1,
      aux_sym_initializer_list_repeat1,
  [266628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_LBRACE,
    STATE(6857), 1,
      aux_sym_base_class_clause_repeat1,
  [266641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11726), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [266654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11610), 1,
      anon_sym_catch,
    STATE(1784), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [266665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11728), 1,
      anon_sym_RPAREN,
    STATE(6955), 1,
      sym_gnu_asm_output_operand_list,
  [266678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_RBRACK,
    STATE(7055), 1,
      aux_sym_subscript_argument_list_repeat1,
  [266691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_GT2,
    STATE(7114), 1,
      aux_sym_template_argument_list_repeat1,
  [266704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11734), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11736), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11740), 1,
      anon_sym_GT2,
    STATE(7178), 1,
      aux_sym_template_argument_list_repeat1,
  [266756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_GT2,
    STATE(7211), 1,
      aux_sym_template_parameter_list_repeat1,
  [266769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_COMMA,
    ACTIONS(11744), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [266782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11746), 1,
      anon_sym_RPAREN,
    STATE(7857), 1,
      sym_gnu_asm_goto_list,
  [266795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11748), 1,
      anon_sym_SEMI,
    STATE(7138), 1,
      aux_sym_declaration_repeat1,
  [266808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11750), 1,
      anon_sym_COMMA,
    ACTIONS(11753), 1,
      anon_sym_RPAREN,
    STATE(7120), 1,
      aux_sym_requires_parameter_list_repeat1,
  [266821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_catch,
    STATE(214), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [266832] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6814), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11755), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [266843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_default,
    ACTIONS(11759), 1,
      anon_sym_delete,
    ACTIONS(11761), 1,
      anon_sym_0,
  [266856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11763), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_parameter_list_repeat1,
  [266869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11765), 1,
      anon_sym_RPAREN,
    STATE(7118), 1,
      sym_gnu_asm_clobber_list,
  [266882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11767), 1,
      anon_sym_RPAREN,
    STATE(7858), 1,
      sym_gnu_asm_goto_list,
  [266895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11769), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11771), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3487), 1,
      sym_template_function,
  [266921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_catch,
    STATE(317), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [266932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11773), 1,
      anon_sym_RPAREN,
    STATE(7125), 1,
      sym_gnu_asm_input_operand_list,
  [266945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11775), 1,
      anon_sym_GT2,
    STATE(7134), 1,
      aux_sym_template_argument_list_repeat1,
  [266958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11779), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11781), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [266997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11783), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      sym_gnu_asm_clobber_list,
  [267010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11785), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11789), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [267034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11791), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11793), 1,
      anon_sym_RPAREN,
    STATE(7200), 1,
      sym_gnu_asm_output_operand_list,
  [267060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11795), 1,
      anon_sym_RPAREN,
    STATE(7999), 1,
      sym_gnu_asm_goto_list,
  [267073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11797), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_while,
    ACTIONS(11425), 1,
      anon_sym_else,
    STATE(557), 1,
      sym_else_clause,
  [267099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(11799), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [267112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11801), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [267121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11803), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(6900), 1,
      sym_gnu_asm_output_operand_list,
  [267147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11610), 1,
      anon_sym_catch,
    STATE(1791), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [267158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [267171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_default,
    ACTIONS(11811), 1,
      anon_sym_delete,
    ACTIONS(11813), 1,
      anon_sym_0,
  [267184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11815), 1,
      anon_sym_GT2,
    STATE(6838), 1,
      aux_sym_template_argument_list_repeat1,
  [267197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11817), 1,
      anon_sym_GT2,
    STATE(7154), 1,
      aux_sym_template_argument_list_repeat1,
  [267210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11819), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11821), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11823), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [267262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_LBRACE,
    STATE(6959), 1,
      aux_sym_base_class_clause_repeat1,
  [267275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11175), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      anon_sym_RPAREN,
    STATE(6901), 1,
      aux_sym_throw_specifier_repeat1,
  [267288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11383), 1,
      anon_sym_COMMA,
    ACTIONS(11831), 1,
      anon_sym_LBRACE,
    STATE(6988), 1,
      aux_sym_field_initializer_list_repeat1,
  [267314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [267327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8945), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      aux_sym_preproc_argument_list_repeat1,
  [267340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_RPAREN,
    STATE(7051), 1,
      aux_sym_argument_list_repeat1,
  [267353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11837), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11839), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11841), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11845), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [267414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11847), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(3495), 1,
      sym_template_function,
  [267427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11849), 1,
      anon_sym_RPAREN,
    STATE(7130), 1,
      sym_gnu_asm_output_operand_list,
  [267440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11851), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      sym_gnu_asm_input_operand_list,
  [267453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      anon_sym_GT2,
    STATE(7174), 1,
      aux_sym_template_argument_list_repeat1,
  [267466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11855), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11857), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11859), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267505] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6764), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11861), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [267516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11863), 1,
      anon_sym_SEMI,
    STATE(6877), 1,
      aux_sym_declaration_repeat1,
  [267529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_SEMI,
    STATE(7013), 1,
      aux_sym_declaration_repeat1,
  [267542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2483), 1,
      sym_template_function,
  [267568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11871), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11873), 1,
      anon_sym_constexpr,
    STATE(181), 1,
      sym_condition_clause,
  [267594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11875), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
    STATE(2771), 1,
      sym_template_function,
  [267620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11879), 1,
      sym_identifier,
    ACTIONS(11881), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(6912), 1,
      aux_sym_parameter_list_repeat1,
  [267644] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6689), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11885), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [267655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_COMMA,
    ACTIONS(11887), 1,
      anon_sym_GT2,
    STATE(6873), 1,
      aux_sym_template_argument_list_repeat1,
  [267668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    ACTIONS(11889), 1,
      anon_sym_COMMA,
    STATE(7001), 1,
      aux_sym_initializer_list_repeat1,
  [267681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11891), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10848), 1,
      anon_sym_DASH_GT,
    ACTIONS(11893), 1,
      anon_sym_SEMI,
    STATE(7994), 1,
      sym_trailing_return_type,
  [267707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_RPAREN,
    ACTIONS(11895), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [267718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_COLON,
    ACTIONS(11899), 1,
      anon_sym_RPAREN,
    STATE(6998), 1,
      sym_gnu_asm_output_operand_list,
  [267731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11901), 1,
      anon_sym_constexpr,
    STATE(159), 1,
      sym_condition_clause,
  [267744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      anon_sym_COMMA,
    ACTIONS(7841), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [267757] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    STATE(6651), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11903), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [267768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    ACTIONS(11905), 1,
      anon_sym_constexpr,
    STATE(163), 1,
      sym_condition_clause,
  [267781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      anon_sym_COMMA,
    ACTIONS(7699), 1,
      anon_sym_RBRACE,
    STATE(6917), 1,
      aux_sym_initializer_list_repeat1,
  [267794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11909), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [267805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    ACTIONS(6943), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11195), 1,
      anon_sym_COLON,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(7004), 1,
      sym_gnu_asm_input_operand_list,
  [267829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11913), 1,
      anon_sym_default,
    ACTIONS(11915), 1,
      anon_sym_delete,
    ACTIONS(11917), 1,
      anon_sym_0,
  [267842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_catch,
    STATE(417), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [267853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_COMMA,
    ACTIONS(11919), 1,
      anon_sym_RBRACK,
    STATE(7055), 1,
      aux_sym_subscript_argument_list_repeat1,
  [267866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_catch,
    STATE(396), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [267877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_COMMA,
    ACTIONS(11921), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_parameter_list_repeat1,
  [267890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_catch,
    STATE(363), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [267901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11923), 1,
      anon_sym_COMMA,
    ACTIONS(11926), 1,
      anon_sym_RPAREN,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
  [267914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    ACTIONS(11928), 1,
      anon_sym_SEMI,
    STATE(6886), 1,
      aux_sym_declaration_repeat1,
  [267927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11930), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [267938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    ACTIONS(11932), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_preproc_argument_list_repeat1,
  [267951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11935), 1,
      anon_sym_COMMA,
    ACTIONS(11938), 1,
      anon_sym_GT2,
    STATE(7211), 1,
      aux_sym_template_parameter_list_repeat1,
  [267964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 1,
      anon_sym_COLON,
    ACTIONS(11940), 1,
      anon_sym_RPAREN,
    STATE(7213), 1,
      sym_gnu_asm_clobber_list,
  [267977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11185), 1,
      anon_sym_COLON,
    ACTIONS(11942), 1,
      anon_sym_RPAREN,
    STATE(7675), 1,
      sym_gnu_asm_goto_list,
  [267990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7834), 1,
      sym_argument_list,
  [268000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(162), 1,
      sym_condition_clause,
  [268010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(7245), 1,
      sym_condition_clause,
  [268020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [268028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11944), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
  [268038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8733), 1,
      anon_sym_LBRACE,
    STATE(4209), 1,
      sym_requirement_seq,
  [268048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7206), 1,
      sym_compound_statement,
  [268058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    STATE(766), 1,
      sym_declaration_list,
  [268068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3188), 1,
      sym_field_declaration_list,
  [268078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7129), 1,
      sym_compound_statement,
  [268088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(6822), 1,
      sym_attribute,
  [268098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7567), 1,
      sym_argument_list,
  [268108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(7292), 1,
      sym_condition_clause,
  [268118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(148), 1,
      sym_condition_clause,
  [268128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_LT,
    STATE(3132), 1,
      sym_template_argument_list,
  [268138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6709), 1,
      sym_compound_statement,
  [268148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(7027), 1,
      sym_attribute,
  [268158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11938), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_compound_statement,
  [268176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8206), 1,
      anon_sym_LT,
    STATE(4646), 1,
      sym_template_argument_list,
  [268186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6671), 1,
      sym_compound_statement,
  [268196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(167), 1,
      sym_condition_clause,
  [268206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2282), 1,
      sym_compound_statement,
  [268216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [268224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11950), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [268232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
  [268242] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11952), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11954), 1,
      sym_preproc_arg,
  [268252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11753), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [268260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11956), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_template_type,
  [268270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11958), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
  [268280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11960), 1,
      anon_sym_SEMI,
  [268290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_compound_statement,
  [268300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
  [268310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LBRACE,
    STATE(3778), 1,
      sym_initializer_list,
  [268320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [268328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
  [268338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(8165), 1,
      sym_argument_list,
  [268348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(263), 1,
      sym_compound_statement,
  [268358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    STATE(2033), 1,
      sym_field_declaration_list,
  [268368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6627), 1,
      sym_compound_statement,
  [268378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(160), 1,
      sym_condition_clause,
  [268388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11895), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [268396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    STATE(3289), 1,
      sym_requirement_seq,
  [268406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(185), 1,
      sym_condition_clause,
  [268416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [268426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11962), 1,
      anon_sym_LT,
    STATE(1985), 1,
      sym_template_argument_list,
  [268436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_declaration_list,
  [268446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_compound_statement,
  [268456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9866), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [268466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_declaration_list,
  [268476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    STATE(802), 1,
      sym_declaration_list,
  [268486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2815), 1,
      sym_field_declaration_list,
  [268496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11966), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
  [268506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    STATE(2057), 1,
      sym_field_declaration_list,
  [268516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(8111), 1,
      sym_parenthesized_expression,
  [268526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11970), 1,
      anon_sym_LPAREN2,
    ACTIONS(11972), 1,
      sym_raw_string_delimiter,
  [268536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    STATE(2037), 1,
      sym_field_declaration_list,
  [268546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7331), 1,
      sym_parameter_list,
  [268556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
  [268566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11974), 1,
      sym_identifier,
    STATE(3672), 1,
      sym_template_type,
  [268576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11976), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [268584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11978), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [268592] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11980), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11982), 1,
      sym_preproc_arg,
  [268602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3839), 1,
      sym_field_declaration_list,
  [268612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3835), 1,
      sym_field_declaration_list,
  [268622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(11984), 1,
      anon_sym_RBRACE,
  [268632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3822), 1,
      sym_field_declaration_list,
  [268642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3859), 1,
      sym_field_declaration_list,
  [268652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6903), 1,
      sym_compound_statement,
  [268662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8693), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_requirement_seq,
  [268672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [268682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7342), 1,
      sym_parenthesized_expression,
  [268692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11986), 1,
      sym_identifier,
    STATE(1890), 1,
      sym_template_type,
  [268702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7623), 1,
      sym_parenthesized_expression,
  [268712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11966), 1,
      anon_sym_LT,
    STATE(3621), 1,
      sym_template_argument_list,
  [268722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym_LT,
    STATE(2736), 1,
      sym_template_argument_list,
  [268732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3849), 1,
      sym_field_declaration_list,
  [268742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3826), 1,
      sym_field_declaration_list,
  [268752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym_compound_statement,
  [268762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7246), 1,
      sym_parameter_list,
  [268772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    STATE(852), 1,
      sym_declaration_list,
  [268782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11988), 1,
      sym_identifier,
    STATE(4656), 1,
      sym_template_type,
  [268792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8725), 1,
      anon_sym_LBRACE,
    STATE(3366), 1,
      sym_requirement_seq,
  [268802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11990), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [268810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7891), 1,
      anon_sym_RBRACK,
    ACTIONS(11992), 1,
      anon_sym_COMMA,
  [268820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(249), 1,
      sym_compound_statement,
  [268830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8313), 1,
      anon_sym_LT,
    STATE(2684), 1,
      sym_template_argument_list,
  [268840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    STATE(752), 1,
      sym_declaration_list,
  [268850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4860), 1,
      sym_field_declaration_list,
  [268860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(11994), 1,
      anon_sym_RBRACE,
  [268870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2562), 1,
      sym_field_declaration_list,
  [268880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(11996), 1,
      anon_sym_RBRACE,
  [268890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_field_declaration_list,
  [268900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3823), 1,
      sym_field_declaration_list,
  [268910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7204), 1,
      sym_compound_statement,
  [268920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(161), 1,
      sym_condition_clause,
  [268930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(6983), 1,
      sym_attribute,
  [268940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3819), 1,
      sym_field_declaration_list,
  [268950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(7427), 1,
      sym_condition_clause,
  [268960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    STATE(4597), 1,
      sym_initializer_list,
  [268970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3126), 1,
      sym_field_declaration_list,
  [268980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4846), 1,
      sym_field_declaration_list,
  [268990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_compound_statement,
  [269000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4843), 1,
      sym_field_declaration_list,
  [269010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7057), 1,
      sym_compound_statement,
  [269020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11998), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [269038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [269046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12000), 1,
      anon_sym_RBRACE,
  [269056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12002), 1,
      anon_sym_LT,
    STATE(2676), 1,
      sym_template_argument_list,
  [269066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(175), 1,
      sym_condition_clause,
  [269076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7384), 1,
      sym_parenthesized_expression,
  [269086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    STATE(731), 1,
      sym_declaration_list,
  [269096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
  [269106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7258), 1,
      sym_parenthesized_expression,
  [269116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11066), 1,
      anon_sym_LBRACE,
    STATE(5755), 1,
      sym_requirement_seq,
  [269126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_compound_statement,
  [269136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_compound_statement,
  [269146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_LBRACE,
    STATE(4861), 1,
      sym_field_declaration_list,
  [269156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2549), 1,
      sym_field_declaration_list,
  [269166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
  [269176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(677), 1,
      sym_compound_statement,
  [269186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_compound_statement,
  [269196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11966), 1,
      anon_sym_LT,
    STATE(3420), 1,
      sym_template_argument_list,
  [269206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [269214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(8008), 1,
      sym_argument_list,
  [269224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6625), 1,
      sym_compound_statement,
  [269234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      sym_identifier,
    STATE(2617), 1,
      sym_template_type,
  [269244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_compound_statement,
  [269254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7029), 1,
      sym_compound_statement,
  [269264] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12006), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12008), 1,
      sym_preproc_arg,
  [269274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7988), 1,
      sym_parenthesized_expression,
  [269284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7639), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [269292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7507), 1,
      sym_parameter_list,
  [269302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_compound_statement,
  [269312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2866), 1,
      sym_field_declaration_list,
  [269322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12010), 1,
      anon_sym_RBRACE,
  [269332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12012), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6890), 1,
      sym_compound_statement,
  [269350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_compound_statement,
  [269360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12014), 1,
      anon_sym_LPAREN2,
    ACTIONS(12016), 1,
      sym_raw_string_delimiter,
  [269370] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12018), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12020), 1,
      sym_preproc_arg,
  [269380] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12022), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12024), 1,
      sym_preproc_arg,
  [269390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6865), 1,
      sym_compound_statement,
  [269400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym_compound_statement,
  [269410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7520), 1,
      sym_parenthesized_expression,
  [269420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2898), 1,
      sym_field_declaration_list,
  [269430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
  [269440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
  [269450] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12026), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12028), 1,
      sym_preproc_arg,
  [269460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [269470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12030), 1,
      sym_identifier,
    ACTIONS(12032), 1,
      anon_sym_LPAREN2,
  [269480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [269488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11171), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [269496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [269504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10943), 1,
      anon_sym_LBRACE,
    STATE(5541), 1,
      sym_requirement_seq,
  [269514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12036), 1,
      anon_sym_SEMI,
  [269524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACE,
    STATE(2877), 1,
      sym_field_declaration_list,
  [269534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(7054), 1,
      sym_attribute,
  [269544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9551), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [269552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6965), 1,
      sym_compound_statement,
  [269562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [269570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11219), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [269578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7928), 1,
      sym_argument_list,
  [269588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12040), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12042), 1,
      sym_identifier,
    STATE(2742), 1,
      sym_template_type,
  [269606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7499), 1,
      sym_parameter_list,
  [269616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [269624] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12044), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12046), 1,
      sym_preproc_arg,
  [269634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [269642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [269652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [269660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7426), 1,
      sym_parenthesized_expression,
  [269670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(158), 1,
      sym_condition_clause,
  [269680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5161), 1,
      sym_field_declaration_list,
  [269690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
  [269700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5153), 1,
      sym_field_declaration_list,
  [269710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(7353), 1,
      sym_condition_clause,
  [269720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11513), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [269728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5147), 1,
      sym_field_declaration_list,
  [269738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LBRACE,
    STATE(3711), 1,
      sym_initializer_list,
  [269748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7827), 1,
      sym_argument_list,
  [269758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(5146), 1,
      sym_field_declaration_list,
  [269768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7468), 1,
      sym_parameter_list,
  [269778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12054), 1,
      sym_identifier,
    STATE(2721), 1,
      sym_template_type,
  [269788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7147), 1,
      sym_compound_statement,
  [269798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1807), 1,
      sym_compound_statement,
  [269808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4734), 1,
      sym_field_declaration_list,
  [269818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7462), 1,
      sym_parenthesized_expression,
  [269828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12056), 1,
      anon_sym_RBRACE,
  [269838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_template_type,
  [269848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_compound_statement,
  [269858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      sym_identifier,
    STATE(2606), 1,
      sym_template_type,
  [269868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      sym_identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN2,
  [269878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(7053), 1,
      sym_attribute,
  [269888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LT,
    STATE(2189), 1,
      sym_template_argument_list,
  [269898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7037), 1,
      sym_compound_statement,
  [269908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [269916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7758), 1,
      sym_argument_list,
  [269926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [269934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(6841), 1,
      sym_attribute,
  [269944] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12066), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12068), 1,
      sym_preproc_arg,
  [269954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4752), 1,
      sym_field_declaration_list,
  [269964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4755), 1,
      sym_field_declaration_list,
  [269974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [269982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_LPAREN2,
    ACTIONS(12072), 1,
      sym_raw_string_delimiter,
  [269992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2787), 1,
      sym_field_declaration_list,
  [270002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [270012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 1,
      anon_sym_LT,
    STATE(2884), 1,
      sym_template_argument_list,
  [270022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [270030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12076), 1,
      anon_sym_RBRACE,
  [270040] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12078), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12080), 1,
      sym_preproc_arg,
  [270050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_compound_statement,
  [270060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LBRACE,
    STATE(1031), 1,
      sym_compound_statement,
  [270070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(7248), 1,
      sym_attribute,
  [270080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9770), 1,
      anon_sym_LBRACE,
    STATE(2331), 1,
      sym_compound_statement,
  [270090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7121), 1,
      sym_compound_statement,
  [270100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_requirement_seq,
  [270110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [270118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8269), 1,
      anon_sym_LBRACE,
    STATE(4737), 1,
      sym_field_declaration_list,
  [270128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    STATE(843), 1,
      sym_declaration_list,
  [270138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [270146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11649), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [270154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7400), 1,
      sym_parameter_list,
  [270164] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12082), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12084), 1,
      sym_preproc_arg,
  [270174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12086), 1,
      sym_identifier,
    STATE(2751), 1,
      sym_template_type,
  [270184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    STATE(3740), 1,
      sym_requirement_seq,
  [270194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8301), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
  [270204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      sym_compound_statement,
  [270214] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12088), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12090), 1,
      sym_preproc_arg,
  [270224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
  [270234] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12092), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12094), 1,
      sym_preproc_arg,
  [270244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6911), 1,
      sym_compound_statement,
  [270254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_LBRACE,
    STATE(3412), 1,
      sym_initializer_list,
  [270264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [270274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LT,
    STATE(2189), 1,
      sym_template_argument_list,
  [270284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7465), 1,
      sym_parameter_list,
  [270294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [270304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LBRACE,
    STATE(2496), 1,
      sym_initializer_list,
  [270314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(6832), 1,
      sym_attribute,
  [270324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(8321), 1,
      sym_parenthesized_expression,
  [270334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6820), 1,
      sym_compound_statement,
  [270344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LPAREN2,
    ACTIONS(12098), 1,
      sym_raw_string_delimiter,
  [270354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7774), 1,
      sym_argument_list,
  [270364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2769), 1,
      sym_field_declaration_list,
  [270374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_field_declaration_list,
  [270384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_field_declaration_list,
  [270394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    STATE(877), 1,
      sym_declaration_list,
  [270404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LBRACE,
    STATE(1041), 1,
      sym_compound_statement,
  [270414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2761), 1,
      sym_field_declaration_list,
  [270424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12100), 1,
      anon_sym_SEMI,
  [270434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(224), 1,
      sym_compound_statement,
  [270444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_LPAREN2,
    STATE(7348), 1,
      sym_parameter_list,
  [270454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_compound_statement,
  [270472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3049), 1,
      sym_field_declaration_list,
  [270482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7731), 1,
      sym_argument_list,
  [270492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12102), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_template_type,
  [270502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9856), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [270512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [270520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LBRACE,
    STATE(1030), 1,
      sym_compound_statement,
  [270530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5471), 1,
      anon_sym_LT,
    STATE(1726), 1,
      sym_template_argument_list,
  [270548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12104), 1,
      anon_sym_LPAREN2,
    ACTIONS(12106), 1,
      sym_raw_string_delimiter,
  [270558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
  [270568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      sym_identifier,
    ACTIONS(12112), 1,
      anon_sym_RPAREN,
  [270578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2745), 1,
      sym_field_declaration_list,
  [270588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1904), 1,
      sym_compound_statement,
  [270598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11930), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [270606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12114), 1,
      anon_sym_RBRACE,
  [270616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(7703), 1,
      sym_argument_list,
  [270626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_declaration_list,
  [270636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_compound_statement,
  [270646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_declaration_list,
  [270656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12116), 1,
      anon_sym_SEMI,
  [270666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(664), 1,
      sym_compound_statement,
  [270676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_compound_statement,
  [270686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12118), 1,
      anon_sym_LPAREN2,
    ACTIONS(12120), 1,
      sym_raw_string_delimiter,
  [270696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(180), 1,
      sym_condition_clause,
  [270714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5837), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    STATE(377), 1,
      sym_declaration_list,
  [270732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_LPAREN2,
    ACTIONS(12124), 1,
      sym_raw_string_delimiter,
  [270742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12126), 1,
      anon_sym_RBRACE,
  [270752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_compound_statement,
  [270762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
  [270772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3081), 1,
      sym_field_declaration_list,
  [270782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12128), 1,
      anon_sym_LPAREN2,
    ACTIONS(12130), 1,
      sym_raw_string_delimiter,
  [270792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3082), 1,
      sym_field_declaration_list,
  [270802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [270812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_LPAREN2,
    ACTIONS(12134), 1,
      sym_raw_string_delimiter,
  [270822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [270838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_compound_statement,
  [270848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6692), 1,
      sym_compound_statement,
  [270858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      anon_sym_LPAREN2,
    ACTIONS(12138), 1,
      sym_raw_string_delimiter,
  [270868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [270876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_LT,
    STATE(3450), 1,
      sym_template_argument_list,
  [270886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym_LPAREN2,
    ACTIONS(12142), 1,
      sym_raw_string_delimiter,
  [270896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12144), 1,
      anon_sym_LPAREN2,
    ACTIONS(12146), 1,
      sym_raw_string_delimiter,
  [270906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12148), 1,
      anon_sym_LPAREN2,
    ACTIONS(12150), 1,
      sym_raw_string_delimiter,
  [270916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LT,
    STATE(1856), 1,
      sym_template_argument_list,
  [270926] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12152), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12154), 1,
      sym_preproc_arg,
  [270936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 1,
      anon_sym_LBRACE,
    STATE(1837), 1,
      sym_compound_statement,
  [270946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    STATE(3544), 1,
      sym_requirement_seq,
  [270956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
  [270966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_compound_statement,
  [270976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_LBRACE,
    STATE(3110), 1,
      sym_field_declaration_list,
  [270986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_attribute,
  [270996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      anon_sym_RBRACE,
  [271006] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12158), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12160), 1,
      sym_preproc_arg,
  [271016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(7251), 1,
      sym_condition_clause,
  [271026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11968), 1,
      anon_sym_LPAREN2,
    STATE(7679), 1,
      sym_parenthesized_expression,
  [271036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(132), 1,
      sym_condition_clause,
  [271046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
    ACTIONS(7857), 1,
      anon_sym_SEMI,
  [271056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5805), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [271064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_LBRACE,
    STATE(2747), 1,
      sym_field_declaration_list,
  [271074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6818), 1,
      sym_compound_statement,
  [271084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12162), 1,
      anon_sym_LPAREN2,
    ACTIONS(12164), 1,
      sym_raw_string_delimiter,
  [271094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      anon_sym_LPAREN2,
    ACTIONS(12168), 1,
      sym_raw_string_delimiter,
  [271104] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12170), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12172), 1,
      sym_preproc_arg,
  [271114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12174), 1,
      anon_sym_LPAREN2,
    ACTIONS(12176), 1,
      sym_raw_string_delimiter,
  [271124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      sym_identifier,
    STATE(2428), 1,
      sym_template_type,
  [271134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12180), 1,
      anon_sym_LPAREN2,
    ACTIONS(12182), 1,
      sym_raw_string_delimiter,
  [271144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym_field_declaration_list,
  [271154] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12184), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12186), 1,
      sym_preproc_arg,
  [271164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_LPAREN2,
    STATE(8263), 1,
      sym_argument_list,
  [271174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6562), 1,
      sym_compound_statement,
  [271184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(152), 1,
      sym_condition_clause,
  [271194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [271202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2778), 1,
      sym_field_declaration_list,
  [271212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    STATE(2777), 1,
      sym_field_declaration_list,
  [271222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_LPAREN2,
    STATE(182), 1,
      sym_condition_clause,
  [271232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 1,
      sym_identifier,
    STATE(2444), 1,
      sym_template_type,
  [271242] = 3,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12190), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12192), 1,
      sym_preproc_arg,
  [271252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_compound_statement,
  [271262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACE,
    STATE(3155), 1,
      sym_field_declaration_list,
  [271272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    STATE(3627), 1,
      sym_initializer_list,
  [271282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [271292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12194), 1,
      anon_sym_SEMI,
  [271299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym_STAR,
  [271306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12198), 1,
      anon_sym_RPAREN,
  [271313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      sym_identifier,
  [271320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12202), 1,
      anon_sym_LPAREN2,
  [271327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12204), 1,
      anon_sym_SEMI,
  [271334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
  [271341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      sym_identifier,
  [271348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12208), 1,
      anon_sym_STAR,
  [271355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_SEMI,
  [271362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12212), 1,
      sym_identifier,
  [271369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12214), 1,
      anon_sym_STAR,
  [271376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12216), 1,
      anon_sym_LPAREN2,
  [271383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12156), 1,
      anon_sym_RBRACE,
  [271390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12218), 1,
      anon_sym_RPAREN,
  [271397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12220), 1,
      anon_sym_RPAREN,
  [271404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7699), 1,
      anon_sym_RBRACE,
  [271411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8045), 1,
      anon_sym_RPAREN,
  [271418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9856), 1,
      anon_sym_RBRACE,
  [271425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12222), 1,
      anon_sym_SEMI,
  [271432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12224), 1,
      sym_identifier,
  [271439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COLON,
  [271446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7943), 1,
      anon_sym_SEMI,
  [271453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_SEMI,
  [271460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12228), 1,
      anon_sym_RPAREN,
  [271467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12230), 1,
      anon_sym_RPAREN,
  [271474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12232), 1,
      sym_identifier,
  [271481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_RPAREN,
  [271488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12236), 1,
      anon_sym_RPAREN,
  [271495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12238), 1,
      anon_sym_RPAREN,
  [271502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12000), 1,
      anon_sym_RBRACE,
  [271509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_RPAREN,
  [271516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12242), 1,
      anon_sym_RPAREN,
  [271523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12244), 1,
      anon_sym_RPAREN,
  [271530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12246), 1,
      anon_sym_while,
  [271537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12248), 1,
      aux_sym_preproc_if_token2,
  [271544] = 2,
    ACTIONS(4771), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(8979), 1,
      sym_comment,
  [271551] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12250), 1,
      aux_sym_preproc_include_token2,
  [271558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12252), 1,
      anon_sym_COLON,
  [271565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12254), 1,
      sym_identifier,
  [271572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10939), 1,
      anon_sym_SEMI,
  [271579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_LPAREN2,
  [271586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12258), 1,
      anon_sym_STAR,
  [271593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_SEMI,
  [271600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12262), 1,
      anon_sym_SEMI,
  [271607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12264), 1,
      anon_sym_SEMI,
  [271614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 1,
      sym_auto,
  [271621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COLON,
  [271628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      sym_identifier,
  [271635] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12268), 1,
      aux_sym_preproc_include_token2,
  [271642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      sym_identifier,
  [271649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      sym_raw_string_delimiter,
  [271656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12274), 1,
      sym_identifier,
  [271663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 1,
      anon_sym_RPAREN,
  [271670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_RPAREN,
  [271677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12278), 1,
      aux_sym_preproc_if_token2,
  [271684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12280), 1,
      sym_identifier,
  [271691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      anon_sym_STAR,
  [271698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9916), 1,
      anon_sym_RPAREN,
  [271705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12284), 1,
      sym_identifier,
  [271712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12286), 1,
      sym_raw_string_delimiter,
  [271719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12288), 1,
      sym_identifier,
  [271726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12290), 1,
      anon_sym_SEMI,
  [271733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12292), 1,
      anon_sym_SEMI,
  [271740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
  [271747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11221), 1,
      anon_sym_COLON_COLON,
  [271754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
  [271761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12298), 1,
      sym_identifier,
  [271768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12300), 1,
      anon_sym_RPAREN,
  [271775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_RPAREN,
  [271782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12304), 1,
      anon_sym_SEMI,
  [271789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12306), 1,
      sym_identifier,
  [271796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10299), 1,
      anon_sym_SEMI,
  [271803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12308), 1,
      sym_identifier,
  [271810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12310), 1,
      anon_sym_EQ,
  [271817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_SEMI,
  [271824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_RPAREN,
  [271831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12314), 1,
      sym_identifier,
  [271838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12316), 1,
      anon_sym_LPAREN2,
  [271845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12318), 1,
      sym_raw_string_content,
  [271852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12320), 1,
      anon_sym_LPAREN2,
  [271859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12322), 1,
      anon_sym_LPAREN2,
  [271866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      sym_identifier,
  [271873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12326), 1,
      aux_sym_preproc_if_token2,
  [271880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12328), 1,
      anon_sym_SEMI,
  [271887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_SEMI,
  [271894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12332), 1,
      sym_identifier,
  [271901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      sym_identifier,
  [271908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12336), 1,
      anon_sym_DQUOTE,
  [271915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      sym_identifier,
  [271922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
  [271929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12342), 1,
      anon_sym_STAR,
  [271936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12344), 1,
      anon_sym_LPAREN2,
  [271943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9868), 1,
      anon_sym_RPAREN,
  [271950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12346), 1,
      sym_identifier,
  [271957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      sym_raw_string_delimiter,
  [271964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      sym_identifier,
  [271971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_SEMI,
  [271978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      sym_identifier,
  [271985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_DQUOTE,
  [271992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_DQUOTE,
  [271999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12360), 1,
      anon_sym_COLON,
  [272006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      aux_sym_preproc_if_token2,
  [272013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12364), 1,
      anon_sym_STAR,
  [272020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_DQUOTE,
  [272027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12368), 1,
      anon_sym_DQUOTE,
  [272034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_DQUOTE,
  [272041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12372), 1,
      anon_sym_DQUOTE,
  [272048] = 2,
    ACTIONS(4767), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(8979), 1,
      sym_comment,
  [272055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      sym_identifier,
  [272062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12374), 1,
      aux_sym_preproc_if_token2,
  [272069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12376), 1,
      aux_sym_preproc_if_token2,
  [272076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_LBRACE,
  [272083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_SEMI,
  [272090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12382), 1,
      aux_sym_preproc_if_token2,
  [272097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_DQUOTE,
  [272104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_DQUOTE,
  [272111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_STAR,
  [272118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      aux_sym_preproc_if_token2,
  [272125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8021), 1,
      anon_sym_RPAREN,
  [272132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_DQUOTE,
  [272139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_DQUOTE,
  [272146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_RPAREN,
  [272153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12398), 1,
      anon_sym_LPAREN2,
  [272160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_DQUOTE,
  [272167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_DQUOTE,
  [272174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 1,
      anon_sym_SEMI,
  [272181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
  [272188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_RPAREN,
  [272195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_SEMI,
  [272202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12410), 1,
      anon_sym_RPAREN,
  [272209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_RPAREN,
  [272216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
  [272223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12416), 1,
      sym_identifier,
  [272230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12418), 1,
      anon_sym_DQUOTE,
  [272237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_DQUOTE,
  [272244] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9027), 1,
      aux_sym_preproc_include_token2,
  [272251] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12422), 1,
      aux_sym_preproc_include_token2,
  [272258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12424), 1,
      anon_sym_DQUOTE,
  [272265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_DQUOTE,
  [272272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12428), 1,
      anon_sym_RPAREN,
  [272279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11984), 1,
      anon_sym_RBRACE,
  [272286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_COLON,
  [272293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12430), 1,
      sym_auto,
  [272300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_RPAREN,
  [272307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_RPAREN,
  [272314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12436), 1,
      anon_sym_SEMI,
  [272321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8017), 1,
      anon_sym_SEMI,
  [272328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 1,
      anon_sym_RBRACE,
  [272335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      sym_identifier,
  [272342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_RPAREN,
  [272349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      aux_sym_preproc_if_token2,
  [272356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      sym_identifier,
  [272363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12446), 1,
      aux_sym_preproc_if_token2,
  [272370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_RPAREN,
  [272377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_SEMI,
  [272384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
  [272391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_SEMI,
  [272398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12454), 1,
      sym_raw_string_delimiter,
  [272405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_SEMI,
  [272412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_SEMI,
  [272419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_DQUOTE,
  [272426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 1,
      anon_sym_SEMI,
  [272433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_DQUOTE,
  [272440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_SEMI,
  [272447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11994), 1,
      anon_sym_RBRACE,
  [272454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      sym_identifier,
  [272461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_COLON,
  [272468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      sym_auto,
  [272475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_DQUOTE,
  [272482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      anon_sym_RPAREN,
  [272489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      sym_identifier,
  [272496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      anon_sym_SEMI,
  [272503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      aux_sym_preproc_if_token2,
  [272510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 1,
      anon_sym_RBRACE,
  [272517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12482), 1,
      sym_identifier,
  [272524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 1,
      aux_sym_preproc_if_token2,
  [272531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_STAR,
  [272538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
  [272545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_DOT_DOT_DOT,
  [272552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12493), 1,
      anon_sym_SEMI,
  [272559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12495), 1,
      anon_sym_RPAREN,
  [272566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
  [272573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12499), 1,
      anon_sym_RPAREN,
  [272580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12501), 1,
      anon_sym_RPAREN,
  [272587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12503), 1,
      anon_sym_DOT_DOT_DOT,
  [272594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_SEMI,
  [272601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_SEMI,
  [272608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12507), 1,
      anon_sym_SEMI,
  [272615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12509), 1,
      anon_sym_SEMI,
  [272622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_RPAREN,
  [272629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12513), 1,
      anon_sym_LPAREN2,
  [272636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
  [272643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12515), 1,
      anon_sym_SEMI,
  [272650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12517), 1,
      anon_sym_SEMI,
  [272657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12519), 1,
      anon_sym_SEMI,
  [272664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 1,
      anon_sym_SEMI,
  [272671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_DQUOTE,
  [272678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12525), 1,
      sym_identifier,
  [272685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_bitor,
  [272692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12529), 1,
      anon_sym_DQUOTE,
  [272699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12531), 1,
      anon_sym_SEMI,
  [272706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12010), 1,
      anon_sym_RBRACE,
  [272713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8049), 1,
      anon_sym_COLON,
  [272720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_RPAREN,
  [272727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12535), 1,
      anon_sym_STAR,
  [272734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_LPAREN2,
  [272741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      sym_auto,
  [272748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 1,
      sym_identifier,
  [272755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12543), 1,
      anon_sym_RPAREN,
  [272762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8011), 1,
      anon_sym_SEMI,
  [272769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_RPAREN,
  [272776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_SEMI,
  [272783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12549), 1,
      sym_identifier,
  [272790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12551), 1,
      anon_sym_RPAREN,
  [272797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
  [272804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 1,
      anon_sym_RPAREN,
  [272811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_LT,
  [272818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12555), 1,
      sym_raw_string_delimiter,
  [272825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_RBRACE,
  [272832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12557), 1,
      sym_identifier,
  [272839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12559), 1,
      anon_sym_RPAREN,
  [272846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12561), 1,
      anon_sym_RPAREN,
  [272853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_DASH_GT_STAR,
  [272860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_DOT_STAR,
  [272867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_not_eq,
  [272874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_bitand,
  [272881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12563), 1,
      anon_sym_STAR,
  [272888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_xor,
  [272895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12565), 1,
      anon_sym_RPAREN,
  [272902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_RPAREN,
  [272909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_RPAREN,
  [272916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12571), 1,
      anon_sym_RPAREN,
  [272923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_RPAREN,
  [272930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      sym_identifier,
  [272937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_and,
  [272944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_or,
  [272951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12577), 1,
      sym_identifier,
  [272958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PIPE_EQ,
  [272965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_RPAREN,
  [272972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 1,
      anon_sym_LPAREN2,
  [272979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_RPAREN,
  [272986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 1,
      anon_sym_DQUOTE,
  [272993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_SEMI,
  [273000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12589), 1,
      anon_sym_SEMI,
  [273007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_CARET_EQ,
  [273014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      sym_identifier,
  [273021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_AMP_EQ,
  [273028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12593), 1,
      anon_sym_DQUOTE,
  [273035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12595), 1,
      anon_sym_RPAREN,
  [273042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_RPAREN,
  [273049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_GT_GT_EQ,
  [273056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
  [273063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
  [273070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_RPAREN,
  [273077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_SEMI,
  [273084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_RPAREN,
  [273091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_SEMI,
  [273098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      anon_sym_RPAREN,
  [273105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
  [273112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12056), 1,
      anon_sym_RBRACE,
  [273119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 1,
      sym_identifier,
  [273126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_SEMI,
  [273133] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12617), 1,
      aux_sym_preproc_include_token2,
  [273140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
  [273147] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12619), 1,
      aux_sym_preproc_include_token2,
  [273154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12621), 1,
      sym_raw_string_delimiter,
  [273161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12623), 1,
      anon_sym_SEMI,
  [273168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      sym_identifier,
  [273175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8035), 1,
      anon_sym_COLON,
  [273182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym_auto,
  [273189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_SEMI,
  [273196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_SEMI,
  [273203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_SEMI,
  [273210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
  [273217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11003), 1,
      anon_sym_SEMI,
  [273224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_RPAREN,
  [273231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
  [273238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_LT_LT_EQ,
  [273245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
  [273252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12639), 1,
      sym_identifier,
  [273259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_RPAREN,
  [273266] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12643), 1,
      aux_sym_preproc_include_token2,
  [273273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_LPAREN2,
  [273280] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11548), 1,
      aux_sym_preproc_include_token2,
  [273287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10369), 1,
      anon_sym_SEMI,
  [273294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 1,
      aux_sym_preproc_if_token2,
  [273301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12649), 1,
      sym_identifier,
  [273308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12651), 1,
      anon_sym_RPAREN,
  [273315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12653), 1,
      anon_sym_RPAREN,
  [273322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12655), 1,
      anon_sym_SEMI,
  [273329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12657), 1,
      anon_sym_RPAREN,
  [273336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 1,
      anon_sym_RPAREN,
  [273343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_RPAREN,
  [273350] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12663), 1,
      aux_sym_preproc_include_token2,
  [273357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 1,
      sym_identifier,
  [273364] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9009), 1,
      aux_sym_preproc_include_token2,
  [273371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 1,
      anon_sym_RBRACE,
  [273378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12667), 1,
      aux_sym_preproc_if_token2,
  [273385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12669), 1,
      sym_identifier,
  [273392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12671), 1,
      aux_sym_preproc_if_token2,
  [273399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
  [273406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 1,
      sym_identifier,
  [273413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      sym_raw_string_delimiter,
  [273420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
  [273427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12679), 1,
      anon_sym_RPAREN,
  [273434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_DQUOTE,
  [273441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_SEMI,
  [273448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_SEMI,
  [273455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12687), 1,
      sym_identifier,
  [273462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12689), 1,
      anon_sym_LPAREN2,
  [273469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_RPAREN,
  [273476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_RBRACE,
  [273483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      aux_sym_preproc_if_token2,
  [273490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_RPAREN,
  [273497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12697), 1,
      anon_sym_DQUOTE,
  [273504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12699), 1,
      anon_sym_SEMI,
  [273511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12701), 1,
      sym_raw_string_delimiter,
  [273518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 1,
      anon_sym_SEMI,
  [273525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_RPAREN,
  [273532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_DASH_EQ,
  [273539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12707), 1,
      anon_sym_SEMI,
  [273546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12709), 1,
      anon_sym_LPAREN2,
  [273553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 1,
      anon_sym_RBRACE,
  [273560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PLUS_EQ,
  [273567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12711), 1,
      anon_sym_RPAREN,
  [273574] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12713), 1,
      aux_sym_preproc_include_token2,
  [273581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12715), 1,
      sym_raw_string_delimiter,
  [273588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PERCENT_EQ,
  [273595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_COLON,
  [273602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12717), 1,
      anon_sym_RPAREN,
  [273609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12719), 1,
      anon_sym_LPAREN2,
  [273616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
  [273623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12723), 1,
      sym_raw_string_delimiter,
  [273630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12725), 1,
      sym_auto,
  [273637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
  [273644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12729), 1,
      sym_raw_string_delimiter,
  [273651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12731), 1,
      anon_sym_SEMI,
  [273658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12733), 1,
      anon_sym_RPAREN,
  [273665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12735), 1,
      sym_raw_string_delimiter,
  [273672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
  [273679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      sym_raw_string_delimiter,
  [273686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12741), 1,
      anon_sym_RPAREN,
  [273693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12743), 1,
      sym_raw_string_delimiter,
  [273700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12745), 1,
      anon_sym_RPAREN,
  [273707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      sym_raw_string_delimiter,
  [273714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_RPAREN,
  [273721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12751), 1,
      sym_raw_string_delimiter,
  [273728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12753), 1,
      anon_sym_RPAREN,
  [273735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12755), 1,
      sym_raw_string_delimiter,
  [273742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12757), 1,
      anon_sym_RPAREN,
  [273749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_SEMI,
  [273756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_SEMI,
  [273763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12761), 1,
      anon_sym_LPAREN2,
  [273770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12763), 1,
      anon_sym_SEMI,
  [273777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 1,
      anon_sym_LPAREN2,
  [273784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12767), 1,
      anon_sym_LPAREN2,
  [273791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12769), 1,
      anon_sym_RBRACE,
  [273798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_SLASH_EQ,
  [273805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12771), 1,
      anon_sym_LPAREN2,
  [273812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_SEMI,
  [273819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_LPAREN2,
  [273826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_LPAREN2,
  [273833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12777), 1,
      anon_sym_RPAREN,
  [273840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12779), 1,
      anon_sym_LPAREN2,
  [273847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12781), 1,
      anon_sym_RPAREN,
  [273854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12783), 1,
      anon_sym_RPAREN,
  [273861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12785), 1,
      anon_sym_RPAREN,
  [273868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_STAR_EQ,
  [273875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12787), 1,
      anon_sym_RPAREN,
  [273882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8212), 1,
      anon_sym_RPAREN,
  [273889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_RBRACE,
  [273896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12789), 1,
      anon_sym_COLON,
  [273903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7849), 1,
      anon_sym_RBRACE,
  [273910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12791), 1,
      sym_identifier,
  [273917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12793), 1,
      anon_sym_RPAREN,
  [273924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12795), 1,
      aux_sym_preproc_if_token2,
  [273931] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12797), 1,
      aux_sym_preproc_include_token2,
  [273938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12799), 1,
      anon_sym_while,
  [273945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COLON,
  [273952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_LPAREN2,
  [273959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 1,
      aux_sym_preproc_if_token2,
  [273966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_GT_GT,
  [273973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_LT_LT,
  [273980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12805), 1,
      anon_sym_RPAREN,
  [273987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12807), 1,
      anon_sym_EQ,
  [273994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12809), 1,
      sym_raw_string_content,
  [274001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_SEMI,
  [274008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_RPAREN,
  [274015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12813), 1,
      anon_sym_COLON,
  [274022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12815), 1,
      anon_sym_STAR,
  [274029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6882), 1,
      sym_identifier,
  [274036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12817), 1,
      anon_sym_RPAREN,
  [274043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_EQ,
  [274050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_SEMI,
  [274057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      sym_identifier,
  [274064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_RPAREN,
  [274071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_RPAREN,
  [274078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      anon_sym_RPAREN,
  [274085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_RPAREN,
  [274092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12829), 1,
      sym_identifier,
  [274099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_RPAREN,
  [274106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_COMMA,
  [274113] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12835), 1,
      aux_sym_preproc_include_token2,
  [274120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_LT_EQ,
  [274127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_GT_EQ,
  [274134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12837), 1,
      sym_identifier,
  [274141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_COLON,
  [274148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12839), 1,
      anon_sym_RPAREN,
  [274155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_COLON,
  [274162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
  [274169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_GT,
  [274176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_SEMI,
  [274183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12845), 1,
      anon_sym_RPAREN,
  [274190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12847), 1,
      anon_sym_SEMI,
  [274197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_SEMI,
  [274204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
  [274211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_RPAREN,
  [274218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_BANG_EQ,
  [274225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_RPAREN,
  [274232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_EQ_EQ,
  [274239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_RPAREN,
  [274246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
  [274253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_DQUOTE,
  [274260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_COLON,
  [274267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 1,
      anon_sym_SEMI,
  [274274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      anon_sym_SEMI,
  [274281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_RPAREN,
  [274288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 1,
      sym_identifier,
  [274295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
  [274302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_AMP,
  [274309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_DQUOTE,
  [274316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_SEMI,
  [274323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_SEMI,
  [274330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
  [274337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_SEMI,
  [274344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_CARET,
  [274351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
  [274358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_SEMI,
  [274365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12885), 1,
      sym_identifier,
  [274372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12126), 1,
      anon_sym_RBRACE,
  [274379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 1,
      anon_sym_SEMI,
  [274386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_SEMI,
  [274393] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12891), 1,
      aux_sym_preproc_include_token2,
  [274400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7991), 1,
      anon_sym_COLON,
  [274407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_SEMI,
  [274414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
  [274421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      sym_auto,
  [274428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_SEMI,
  [274435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_SEMI,
  [274442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 1,
      anon_sym_COMMA,
  [274449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_SEMI,
  [274456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      anon_sym_RBRACK,
  [274463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 1,
      anon_sym_SEMI,
  [274470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_RPAREN,
  [274477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_RPAREN,
  [274484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_DQUOTE,
  [274491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 1,
      anon_sym_RPAREN,
  [274498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_RPAREN,
  [274505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 1,
      aux_sym_preproc_if_token2,
  [274512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PIPE,
  [274519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 1,
      aux_sym_preproc_if_token2,
  [274526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_AMP_AMP,
  [274533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 1,
      anon_sym_RBRACE,
  [274540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
  [274547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12923), 1,
      sym_identifier,
  [274554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12925), 1,
      sym_identifier,
  [274561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PIPE_PIPE,
  [274568] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12927), 1,
      aux_sym_preproc_include_token2,
  [274575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8204), 1,
      anon_sym_RPAREN,
  [274582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_RPAREN,
  [274589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PERCENT,
  [274596] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11554), 1,
      aux_sym_preproc_include_token2,
  [274603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 1,
      anon_sym_SEMI,
  [274610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      sym_identifier,
  [274617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_SEMI,
  [274624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12931), 1,
      anon_sym_SEMI,
  [274631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
  [274638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12933), 1,
      anon_sym_SEMI,
  [274645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      anon_sym_SLASH,
  [274652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      anon_sym_LBRACE,
  [274659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12939), 1,
      anon_sym_SEMI,
  [274666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12941), 1,
      anon_sym_RPAREN,
  [274673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7961), 1,
      anon_sym_SEMI,
  [274680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12943), 1,
      anon_sym_SEMI,
  [274687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_SEMI,
  [274694] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12947), 1,
      aux_sym_preproc_include_token2,
  [274701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_DOT_DOT_DOT,
  [274708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_DOT_DOT_DOT,
  [274715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_DOT_DOT_DOT,
  [274722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_DOT_DOT_DOT,
  [274729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 1,
      sym_identifier,
  [274736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12951), 1,
      anon_sym_RPAREN,
  [274743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_DOT_DOT_DOT,
  [274750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_DOT_DOT_DOT,
  [274757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_DOT_DOT_DOT,
  [274764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_DOT_DOT_DOT,
  [274771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_DOT_DOT_DOT,
  [274778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12953), 1,
      anon_sym_RPAREN,
  [274785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 1,
      anon_sym_RPAREN,
  [274792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12957), 1,
      anon_sym_RPAREN,
  [274799] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12959), 1,
      aux_sym_preproc_include_token2,
  [274806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_RPAREN,
  [274813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_PLUS,
  [274820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_RPAREN,
  [274827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
  [274834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_DOT_DOT_DOT,
  [274841] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(12963), 1,
      aux_sym_preproc_include_token2,
  [274848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_DOT_DOT_DOT,
  [274855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12965), 1,
      anon_sym_RPAREN,
  [274862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_DOT_DOT_DOT,
  [274869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_SEMI,
  [274876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      anon_sym_SEMI,
  [274883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12971), 1,
      anon_sym_RPAREN,
  [274890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 1,
      anon_sym_COLON,
  [274897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      anon_sym_RPAREN,
  [274904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_RPAREN,
  [274911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
  [274918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12981), 1,
      anon_sym_RPAREN,
  [274925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12983), 1,
      aux_sym_preproc_if_token2,
  [274932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_DASH,
  [274939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      anon_sym_SEMI,
  [274946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 1,
      aux_sym_preproc_if_token2,
  [274953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_SEMI,
  [274960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 1,
      anon_sym_RPAREN,
  [274967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_RPAREN,
  [274974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      aux_sym_preproc_if_token2,
  [274981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12995), 1,
      anon_sym_DQUOTE,
  [274988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_SEMI,
  [274995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_SEMI,
  [275002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
  [275009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
  [275016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_LPAREN2,
  [275023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 1,
      anon_sym_LPAREN2,
  [275030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      sym_raw_string_content,
  [275037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      anon_sym_LPAREN2,
  [275044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      anon_sym_RPAREN,
  [275051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_RPAREN,
  [275058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      anon_sym_RBRACE,
  [275065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
  [275072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13019), 1,
      anon_sym_while,
  [275079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      aux_sym_preproc_if_token2,
  [275086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_LPAREN2,
  [275093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13025), 1,
      anon_sym_DQUOTE,
  [275100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_SEMI,
  [275107] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11351), 1,
      aux_sym_preproc_include_token2,
  [275114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_EQ,
  [275121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_raw_string_content,
  [275128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      anon_sym_STAR,
  [275135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      anon_sym_SEMI,
  [275142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_RPAREN,
  [275149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13039), 1,
      anon_sym_COMMA,
  [275156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_SEMI,
  [275163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      anon_sym_RPAREN,
  [275170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      aux_sym_preproc_if_token2,
  [275177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13047), 1,
      anon_sym_RPAREN,
  [275184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_COLON,
  [275191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13051), 1,
      aux_sym_preproc_if_token2,
  [275198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_SEMI,
  [275205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13055), 1,
      anon_sym_LPAREN2,
  [275212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_LPAREN2,
  [275219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LBRACE,
  [275226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_LPAREN2,
  [275233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_STAR,
  [275240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_SEMI,
  [275247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      anon_sym_while,
  [275254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11996), 1,
      anon_sym_RBRACE,
  [275261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13067), 1,
      anon_sym_LPAREN2,
  [275268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      aux_sym_preproc_if_token2,
  [275275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      aux_sym_preproc_if_token2,
  [275282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_EQ,
  [275289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      sym_raw_string_content,
  [275296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_COMMA,
  [275303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      aux_sym_preproc_if_token2,
  [275310] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13081), 1,
      aux_sym_preproc_include_token2,
  [275317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_RBRACE,
  [275324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
  [275331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_COLON,
  [275338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_COLON,
  [275345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_LPAREN2,
  [275352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_LPAREN2,
  [275359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      sym_auto,
  [275366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13095), 1,
      anon_sym_LPAREN2,
  [275373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
  [275380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      aux_sym_preproc_if_token2,
  [275387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_while,
  [275394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_LPAREN2,
  [275401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_SEMI,
  [275408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_SEMI,
  [275415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_EQ,
  [275422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      sym_raw_string_content,
  [275429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_COMMA,
  [275436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_RBRACE,
  [275443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_SEMI,
  [275450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
  [275457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_RPAREN,
  [275464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      anon_sym_COLON,
  [275471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10941), 1,
      anon_sym_SEMI,
  [275478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      anon_sym_LPAREN2,
  [275485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_LPAREN2,
  [275492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [275499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_LPAREN2,
  [275506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      anon_sym_RPAREN,
  [275513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      anon_sym_RPAREN,
  [275520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_LPAREN2,
  [275527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_SEMI,
  [275534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9866), 1,
      anon_sym_RBRACE,
  [275541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_EQ,
  [275548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      sym_raw_string_content,
  [275555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_COMMA,
  [275562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7813), 1,
      anon_sym_RBRACE,
  [275569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      aux_sym_preproc_if_token2,
  [275576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_RPAREN,
  [275583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_RPAREN,
  [275590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_COLON,
  [275597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
  [275604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_LPAREN2,
  [275611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      aux_sym_preproc_if_token2,
  [275618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_LPAREN2,
  [275625] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13157), 1,
      aux_sym_preproc_include_token2,
  [275632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_STAR,
  [275639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7971), 1,
      anon_sym_SEMI,
  [275646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_SEMI,
  [275653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_EQ,
  [275660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      sym_raw_string_content,
  [275667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_COMMA,
  [275674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11893), 1,
      anon_sym_SEMI,
  [275681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6496), 1,
      sym_identifier,
  [275688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_RPAREN,
  [275695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_DQUOTE,
  [275702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_LPAREN2,
  [275709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_LPAREN2,
  [275716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10325), 1,
      anon_sym_SEMI,
  [275723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      sym_raw_string_content,
  [275730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_SEMI,
  [275737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      sym_identifier,
  [275744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
  [275751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_LPAREN2,
  [275758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_LPAREN2,
  [275765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_LPAREN2,
  [275772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_SEMI,
  [275779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      sym_raw_string_content,
  [275786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_SEMI,
  [275793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [275800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_LPAREN2,
  [275807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_LPAREN2,
  [275814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      sym_raw_string_content,
  [275821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_RPAREN,
  [275828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      sym_raw_string_content,
  [275835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
  [275842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      sym_raw_string_content,
  [275849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
  [275856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      sym_raw_string_content,
  [275863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_RPAREN,
  [275870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      sym_raw_string_content,
  [275877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
  [275884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      sym_raw_string_content,
  [275891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
  [275898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      sym_raw_string_content,
  [275905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_RPAREN,
  [275912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      sym_raw_string_content,
  [275919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_RPAREN,
  [275926] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9189), 1,
      aux_sym_preproc_include_token2,
  [275933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      aux_sym_preproc_if_token2,
  [275940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_LPAREN2,
  [275947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_LPAREN2,
  [275954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      sym_identifier,
  [275961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      aux_sym_preproc_if_token2,
  [275968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 1,
      anon_sym_SEMI,
  [275975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
  [275982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_SEMI,
  [275989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10321), 1,
      anon_sym_SEMI,
  [275996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      sym_identifier,
  [276003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      sym_identifier,
  [276010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      sym_identifier,
  [276017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      anon_sym_RPAREN,
  [276024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_RPAREN,
  [276031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
  [276038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
  [276045] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13257), 1,
      aux_sym_preproc_include_token2,
  [276052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      anon_sym_SEMI,
  [276059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      sym_identifier,
  [276066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_raw_string_content,
  [276073] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(11421), 1,
      aux_sym_preproc_include_token2,
  [276080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_RPAREN,
  [276087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_SEMI,
  [276094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      aux_sym_preproc_if_token2,
  [276101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      aux_sym_preproc_if_token2,
  [276108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      anon_sym_SEMI,
  [276115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      anon_sym_SEMI,
  [276122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_COLON,
  [276129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_RPAREN,
  [276136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      anon_sym_STAR,
  [276143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      aux_sym_preproc_if_token2,
  [276150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_STAR,
  [276157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      ts_builtin_sym_end,
  [276164] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13289), 1,
      aux_sym_preproc_include_token2,
  [276171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      sym_auto,
  [276178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_RBRACK,
  [276185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      sym_identifier,
  [276192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_LPAREN2,
  [276199] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13299), 1,
      aux_sym_preproc_include_token2,
  [276206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_RPAREN,
  [276213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8178), 1,
      anon_sym_RPAREN,
  [276220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      aux_sym_preproc_if_token2,
  [276227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
  [276234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_RPAREN,
  [276241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      aux_sym_preproc_if_token2,
  [276248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      anon_sym_LPAREN2,
  [276255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_LPAREN2,
  [276262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
  [276269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      aux_sym_preproc_if_token2,
  [276276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8037), 1,
      anon_sym_COLON,
  [276283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      anon_sym_SEMI,
  [276290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_SEMI,
  [276297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
  [276304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      anon_sym_SEMI,
  [276311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_LPAREN2,
  [276318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_LPAREN2,
  [276325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_LPAREN2,
  [276332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      sym_identifier,
  [276339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_SEMI,
  [276346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_SEMI,
  [276353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      anon_sym_LPAREN2,
  [276360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_SEMI,
  [276367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_COLON,
  [276374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_SEMI,
  [276381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_SEMI,
  [276388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      aux_sym_preproc_if_token2,
  [276395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      anon_sym_DQUOTE,
  [276402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_SEMI,
  [276409] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(9061), 1,
      aux_sym_preproc_include_token2,
  [276416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_RPAREN,
  [276423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_SEMI,
  [276430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      anon_sym_SEMI,
  [276437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_SEMI,
  [276444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_SEMI,
  [276451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      aux_sym_preproc_if_token2,
  [276458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_LPAREN2,
  [276465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      aux_sym_preproc_if_token2,
  [276472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_SEMI,
  [276479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_COLON,
  [276486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_SEMI,
  [276493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_COLON,
  [276500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_LPAREN2,
  [276507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_LPAREN2,
  [276514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      sym_identifier,
  [276521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
  [276528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_LPAREN2,
  [276535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
  [276542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      sym_identifier,
  [276549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      sym_raw_string_content,
  [276556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_SEMI,
  [276563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
  [276570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      aux_sym_preproc_if_token2,
  [276577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_LPAREN2,
  [276584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      anon_sym_LPAREN2,
  [276591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      sym_identifier,
  [276598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_DQUOTE,
  [276605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      anon_sym_SEMI,
  [276612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      sym_identifier,
  [276619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      sym_raw_string_content,
  [276626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_SEMI,
  [276633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_SEMI,
  [276640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
  [276647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_LPAREN2,
  [276654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      sym_identifier,
  [276661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      aux_sym_preproc_if_token2,
  [276668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_SEMI,
  [276675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      sym_identifier,
  [276682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      sym_raw_string_content,
  [276689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_SEMI,
  [276696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_SEMI,
  [276703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      anon_sym_LPAREN2,
  [276710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      sym_identifier,
  [276717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_RBRACE,
  [276724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      aux_sym_preproc_if_token2,
  [276731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      sym_identifier,
  [276738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      sym_raw_string_content,
  [276745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      aux_sym_preproc_if_token2,
  [276752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      aux_sym_preproc_if_token2,
  [276759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_LPAREN2,
  [276766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      sym_identifier,
  [276773] = 2,
    ACTIONS(8979), 1,
      sym_comment,
    ACTIONS(13443), 1,
      aux_sym_preproc_include_token2,
  [276780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      sym_identifier,
  [276787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      sym_raw_string_content,
  [276794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_RBRACE,
  [276801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_RBRACE,
  [276808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      sym_identifier,
  [276815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      sym_raw_string_content,
  [276822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      aux_sym_preproc_if_token2,
  [276829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8059), 1,
      anon_sym_COLON,
  [276836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      sym_raw_string_content,
  [276843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      sym_identifier,
  [276850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      sym_raw_string_content,
  [276857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      sym_auto,
  [276864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      sym_raw_string_content,
  [276871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_SEMI,
  [276878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      sym_raw_string_content,
  [276885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_SEMI,
  [276892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      sym_raw_string_content,
  [276899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [276906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_raw_string_content,
  [276913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_RBRACE,
  [276920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      sym_raw_string_content,
  [276927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11038), 1,
      anon_sym_SEMI,
  [276934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      sym_raw_string_content,
  [276941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10403), 1,
      anon_sym_COMMA,
  [276948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      sym_raw_string_content,
  [276955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_LPAREN2,
  [276962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_LPAREN2,
  [276969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
  [276976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_LPAREN2,
  [276983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_LPAREN2,
  [276990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      aux_sym_preproc_if_token2,
  [276997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_LPAREN2,
  [277004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_LPAREN2,
  [277011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_RPAREN,
  [277018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_LPAREN2,
  [277025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_LPAREN2,
  [277032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_RPAREN,
  [277039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_LPAREN2,
  [277046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_LPAREN2,
  [277053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_RPAREN,
  [277060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_LPAREN2,
  [277067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_LPAREN2,
  [277074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_LPAREN2,
  [277081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_LPAREN2,
  [277088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_LPAREN2,
  [277095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_LPAREN2,
  [277102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_LPAREN2,
  [277109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_LPAREN2,
  [277116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      anon_sym_LPAREN2,
  [277123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_LPAREN2,
  [277130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_LPAREN2,
  [277137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
  [277144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      sym_identifier,
  [277151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      sym_identifier,
  [277158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_COLON,
  [277165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      sym_identifier,
  [277172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_LPAREN2,
  [277179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_LPAREN2,
  [277186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_LPAREN2,
  [277193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_LPAREN2,
  [277200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2169)] = 0,
  [SMALL_STATE(2170)] = 71,
  [SMALL_STATE(2171)] = 142,
  [SMALL_STATE(2172)] = 213,
  [SMALL_STATE(2173)] = 284,
  [SMALL_STATE(2174)] = 355,
  [SMALL_STATE(2175)] = 426,
  [SMALL_STATE(2176)] = 501,
  [SMALL_STATE(2177)] = 572,
  [SMALL_STATE(2178)] = 643,
  [SMALL_STATE(2179)] = 714,
  [SMALL_STATE(2180)] = 785,
  [SMALL_STATE(2181)] = 856,
  [SMALL_STATE(2182)] = 931,
  [SMALL_STATE(2183)] = 1002,
  [SMALL_STATE(2184)] = 1073,
  [SMALL_STATE(2185)] = 1144,
  [SMALL_STATE(2186)] = 1215,
  [SMALL_STATE(2187)] = 1286,
  [SMALL_STATE(2188)] = 1357,
  [SMALL_STATE(2189)] = 1428,
  [SMALL_STATE(2190)] = 1501,
  [SMALL_STATE(2191)] = 1572,
  [SMALL_STATE(2192)] = 1643,
  [SMALL_STATE(2193)] = 1714,
  [SMALL_STATE(2194)] = 1785,
  [SMALL_STATE(2195)] = 1856,
  [SMALL_STATE(2196)] = 1927,
  [SMALL_STATE(2197)] = 1998,
  [SMALL_STATE(2198)] = 2069,
  [SMALL_STATE(2199)] = 2140,
  [SMALL_STATE(2200)] = 2215,
  [SMALL_STATE(2201)] = 2286,
  [SMALL_STATE(2202)] = 2357,
  [SMALL_STATE(2203)] = 2428,
  [SMALL_STATE(2204)] = 2499,
  [SMALL_STATE(2205)] = 2570,
  [SMALL_STATE(2206)] = 2641,
  [SMALL_STATE(2207)] = 2712,
  [SMALL_STATE(2208)] = 2783,
  [SMALL_STATE(2209)] = 2854,
  [SMALL_STATE(2210)] = 2925,
  [SMALL_STATE(2211)] = 2996,
  [SMALL_STATE(2212)] = 3067,
  [SMALL_STATE(2213)] = 3138,
  [SMALL_STATE(2214)] = 3209,
  [SMALL_STATE(2215)] = 3280,
  [SMALL_STATE(2216)] = 3351,
  [SMALL_STATE(2217)] = 3422,
  [SMALL_STATE(2218)] = 3493,
  [SMALL_STATE(2219)] = 3564,
  [SMALL_STATE(2220)] = 3635,
  [SMALL_STATE(2221)] = 3714,
  [SMALL_STATE(2222)] = 3785,
  [SMALL_STATE(2223)] = 3856,
  [SMALL_STATE(2224)] = 3927,
  [SMALL_STATE(2225)] = 3998,
  [SMALL_STATE(2226)] = 4069,
  [SMALL_STATE(2227)] = 4140,
  [SMALL_STATE(2228)] = 4211,
  [SMALL_STATE(2229)] = 4282,
  [SMALL_STATE(2230)] = 4353,
  [SMALL_STATE(2231)] = 4424,
  [SMALL_STATE(2232)] = 4495,
  [SMALL_STATE(2233)] = 4568,
  [SMALL_STATE(2234)] = 4639,
  [SMALL_STATE(2235)] = 4710,
  [SMALL_STATE(2236)] = 4781,
  [SMALL_STATE(2237)] = 4852,
  [SMALL_STATE(2238)] = 4923,
  [SMALL_STATE(2239)] = 4994,
  [SMALL_STATE(2240)] = 5065,
  [SMALL_STATE(2241)] = 5136,
  [SMALL_STATE(2242)] = 5207,
  [SMALL_STATE(2243)] = 5278,
  [SMALL_STATE(2244)] = 5349,
  [SMALL_STATE(2245)] = 5424,
  [SMALL_STATE(2246)] = 5495,
  [SMALL_STATE(2247)] = 5566,
  [SMALL_STATE(2248)] = 5637,
  [SMALL_STATE(2249)] = 5708,
  [SMALL_STATE(2250)] = 5779,
  [SMALL_STATE(2251)] = 5850,
  [SMALL_STATE(2252)] = 5921,
  [SMALL_STATE(2253)] = 5992,
  [SMALL_STATE(2254)] = 6063,
  [SMALL_STATE(2255)] = 6134,
  [SMALL_STATE(2256)] = 6205,
  [SMALL_STATE(2257)] = 6276,
  [SMALL_STATE(2258)] = 6347,
  [SMALL_STATE(2259)] = 6418,
  [SMALL_STATE(2260)] = 6489,
  [SMALL_STATE(2261)] = 6560,
  [SMALL_STATE(2262)] = 6631,
  [SMALL_STATE(2263)] = 6702,
  [SMALL_STATE(2264)] = 6773,
  [SMALL_STATE(2265)] = 6848,
  [SMALL_STATE(2266)] = 6919,
  [SMALL_STATE(2267)] = 6990,
  [SMALL_STATE(2268)] = 7113,
  [SMALL_STATE(2269)] = 7184,
  [SMALL_STATE(2270)] = 7255,
  [SMALL_STATE(2271)] = 7326,
  [SMALL_STATE(2272)] = 7397,
  [SMALL_STATE(2273)] = 7468,
  [SMALL_STATE(2274)] = 7539,
  [SMALL_STATE(2275)] = 7610,
  [SMALL_STATE(2276)] = 7681,
  [SMALL_STATE(2277)] = 7752,
  [SMALL_STATE(2278)] = 7835,
  [SMALL_STATE(2279)] = 7906,
  [SMALL_STATE(2280)] = 7977,
  [SMALL_STATE(2281)] = 8048,
  [SMALL_STATE(2282)] = 8119,
  [SMALL_STATE(2283)] = 8190,
  [SMALL_STATE(2284)] = 8261,
  [SMALL_STATE(2285)] = 8332,
  [SMALL_STATE(2286)] = 8455,
  [SMALL_STATE(2287)] = 8526,
  [SMALL_STATE(2288)] = 8601,
  [SMALL_STATE(2289)] = 8672,
  [SMALL_STATE(2290)] = 8743,
  [SMALL_STATE(2291)] = 8814,
  [SMALL_STATE(2292)] = 8885,
  [SMALL_STATE(2293)] = 8956,
  [SMALL_STATE(2294)] = 9027,
  [SMALL_STATE(2295)] = 9098,
  [SMALL_STATE(2296)] = 9169,
  [SMALL_STATE(2297)] = 9240,
  [SMALL_STATE(2298)] = 9311,
  [SMALL_STATE(2299)] = 9382,
  [SMALL_STATE(2300)] = 9461,
  [SMALL_STATE(2301)] = 9532,
  [SMALL_STATE(2302)] = 9603,
  [SMALL_STATE(2303)] = 9674,
  [SMALL_STATE(2304)] = 9745,
  [SMALL_STATE(2305)] = 9828,
  [SMALL_STATE(2306)] = 9899,
  [SMALL_STATE(2307)] = 9970,
  [SMALL_STATE(2308)] = 10041,
  [SMALL_STATE(2309)] = 10112,
  [SMALL_STATE(2310)] = 10187,
  [SMALL_STATE(2311)] = 10258,
  [SMALL_STATE(2312)] = 10329,
  [SMALL_STATE(2313)] = 10400,
  [SMALL_STATE(2314)] = 10471,
  [SMALL_STATE(2315)] = 10542,
  [SMALL_STATE(2316)] = 10613,
  [SMALL_STATE(2317)] = 10690,
  [SMALL_STATE(2318)] = 10761,
  [SMALL_STATE(2319)] = 10832,
  [SMALL_STATE(2320)] = 10903,
  [SMALL_STATE(2321)] = 10974,
  [SMALL_STATE(2322)] = 11045,
  [SMALL_STATE(2323)] = 11116,
  [SMALL_STATE(2324)] = 11187,
  [SMALL_STATE(2325)] = 11258,
  [SMALL_STATE(2326)] = 11329,
  [SMALL_STATE(2327)] = 11400,
  [SMALL_STATE(2328)] = 11471,
  [SMALL_STATE(2329)] = 11542,
  [SMALL_STATE(2330)] = 11613,
  [SMALL_STATE(2331)] = 11684,
  [SMALL_STATE(2332)] = 11755,
  [SMALL_STATE(2333)] = 11832,
  [SMALL_STATE(2334)] = 11903,
  [SMALL_STATE(2335)] = 11974,
  [SMALL_STATE(2336)] = 12045,
  [SMALL_STATE(2337)] = 12116,
  [SMALL_STATE(2338)] = 12187,
  [SMALL_STATE(2339)] = 12258,
  [SMALL_STATE(2340)] = 12345,
  [SMALL_STATE(2341)] = 12416,
  [SMALL_STATE(2342)] = 12495,
  [SMALL_STATE(2343)] = 12566,
  [SMALL_STATE(2344)] = 12637,
  [SMALL_STATE(2345)] = 12708,
  [SMALL_STATE(2346)] = 12779,
  [SMALL_STATE(2347)] = 12850,
  [SMALL_STATE(2348)] = 12921,
  [SMALL_STATE(2349)] = 12996,
  [SMALL_STATE(2350)] = 13067,
  [SMALL_STATE(2351)] = 13138,
  [SMALL_STATE(2352)] = 13209,
  [SMALL_STATE(2353)] = 13284,
  [SMALL_STATE(2354)] = 13355,
  [SMALL_STATE(2355)] = 13426,
  [SMALL_STATE(2356)] = 13497,
  [SMALL_STATE(2357)] = 13568,
  [SMALL_STATE(2358)] = 13639,
  [SMALL_STATE(2359)] = 13710,
  [SMALL_STATE(2360)] = 13781,
  [SMALL_STATE(2361)] = 13852,
  [SMALL_STATE(2362)] = 13923,
  [SMALL_STATE(2363)] = 13994,
  [SMALL_STATE(2364)] = 14065,
  [SMALL_STATE(2365)] = 14136,
  [SMALL_STATE(2366)] = 14215,
  [SMALL_STATE(2367)] = 14290,
  [SMALL_STATE(2368)] = 14361,
  [SMALL_STATE(2369)] = 14432,
  [SMALL_STATE(2370)] = 14503,
  [SMALL_STATE(2371)] = 14574,
  [SMALL_STATE(2372)] = 14645,
  [SMALL_STATE(2373)] = 14716,
  [SMALL_STATE(2374)] = 14787,
  [SMALL_STATE(2375)] = 14858,
  [SMALL_STATE(2376)] = 14929,
  [SMALL_STATE(2377)] = 15000,
  [SMALL_STATE(2378)] = 15071,
  [SMALL_STATE(2379)] = 15142,
  [SMALL_STATE(2380)] = 15213,
  [SMALL_STATE(2381)] = 15292,
  [SMALL_STATE(2382)] = 15363,
  [SMALL_STATE(2383)] = 15434,
  [SMALL_STATE(2384)] = 15504,
  [SMALL_STATE(2385)] = 15588,
  [SMALL_STATE(2386)] = 15658,
  [SMALL_STATE(2387)] = 15730,
  [SMALL_STATE(2388)] = 15808,
  [SMALL_STATE(2389)] = 15880,
  [SMALL_STATE(2390)] = 15950,
  [SMALL_STATE(2391)] = 16020,
  [SMALL_STATE(2392)] = 16090,
  [SMALL_STATE(2393)] = 16164,
  [SMALL_STATE(2394)] = 16234,
  [SMALL_STATE(2395)] = 16304,
  [SMALL_STATE(2396)] = 16374,
  [SMALL_STATE(2397)] = 16444,
  [SMALL_STATE(2398)] = 16514,
  [SMALL_STATE(2399)] = 16590,
  [SMALL_STATE(2400)] = 16668,
  [SMALL_STATE(2401)] = 16738,
  [SMALL_STATE(2402)] = 16808,
  [SMALL_STATE(2403)] = 16880,
  [SMALL_STATE(2404)] = 16964,
  [SMALL_STATE(2405)] = 17034,
  [SMALL_STATE(2406)] = 17104,
  [SMALL_STATE(2407)] = 17174,
  [SMALL_STATE(2408)] = 17244,
  [SMALL_STATE(2409)] = 17314,
  [SMALL_STATE(2410)] = 17398,
  [SMALL_STATE(2411)] = 17482,
  [SMALL_STATE(2412)] = 17552,
  [SMALL_STATE(2413)] = 17622,
  [SMALL_STATE(2414)] = 17704,
  [SMALL_STATE(2415)] = 17774,
  [SMALL_STATE(2416)] = 17844,
  [SMALL_STATE(2417)] = 17916,
  [SMALL_STATE(2418)] = 17986,
  [SMALL_STATE(2419)] = 18072,
  [SMALL_STATE(2420)] = 18150,
  [SMALL_STATE(2421)] = 18220,
  [SMALL_STATE(2422)] = 18290,
  [SMALL_STATE(2423)] = 18360,
  [SMALL_STATE(2424)] = 18430,
  [SMALL_STATE(2425)] = 18512,
  [SMALL_STATE(2426)] = 18582,
  [SMALL_STATE(2427)] = 18654,
  [SMALL_STATE(2428)] = 18732,
  [SMALL_STATE(2429)] = 18802,
  [SMALL_STATE(2430)] = 18874,
  [SMALL_STATE(2431)] = 18944,
  [SMALL_STATE(2432)] = 19018,
  [SMALL_STATE(2433)] = 19088,
  [SMALL_STATE(2434)] = 19158,
  [SMALL_STATE(2435)] = 19232,
  [SMALL_STATE(2436)] = 19302,
  [SMALL_STATE(2437)] = 19372,
  [SMALL_STATE(2438)] = 19442,
  [SMALL_STATE(2439)] = 19512,
  [SMALL_STATE(2440)] = 19586,
  [SMALL_STATE(2441)] = 19658,
  [SMALL_STATE(2442)] = 19728,
  [SMALL_STATE(2443)] = 19812,
  [SMALL_STATE(2444)] = 19888,
  [SMALL_STATE(2445)] = 19958,
  [SMALL_STATE(2446)] = 20028,
  [SMALL_STATE(2447)] = 20097,
  [SMALL_STATE(2448)] = 20166,
  [SMALL_STATE(2449)] = 20235,
  [SMALL_STATE(2450)] = 20304,
  [SMALL_STATE(2451)] = 20373,
  [SMALL_STATE(2452)] = 20442,
  [SMALL_STATE(2453)] = 20511,
  [SMALL_STATE(2454)] = 20580,
  [SMALL_STATE(2455)] = 20649,
  [SMALL_STATE(2456)] = 20770,
  [SMALL_STATE(2457)] = 20839,
  [SMALL_STATE(2458)] = 20908,
  [SMALL_STATE(2459)] = 20977,
  [SMALL_STATE(2460)] = 21046,
  [SMALL_STATE(2461)] = 21115,
  [SMALL_STATE(2462)] = 21236,
  [SMALL_STATE(2463)] = 21305,
  [SMALL_STATE(2464)] = 21374,
  [SMALL_STATE(2465)] = 21443,
  [SMALL_STATE(2466)] = 21520,
  [SMALL_STATE(2467)] = 21589,
  [SMALL_STATE(2468)] = 21658,
  [SMALL_STATE(2469)] = 21727,
  [SMALL_STATE(2470)] = 21796,
  [SMALL_STATE(2471)] = 21873,
  [SMALL_STATE(2472)] = 21958,
  [SMALL_STATE(2473)] = 22027,
  [SMALL_STATE(2474)] = 22096,
  [SMALL_STATE(2475)] = 22165,
  [SMALL_STATE(2476)] = 22234,
  [SMALL_STATE(2477)] = 22303,
  [SMALL_STATE(2478)] = 22372,
  [SMALL_STATE(2479)] = 22441,
  [SMALL_STATE(2480)] = 22562,
  [SMALL_STATE(2481)] = 22631,
  [SMALL_STATE(2482)] = 22700,
  [SMALL_STATE(2483)] = 22769,
  [SMALL_STATE(2484)] = 22838,
  [SMALL_STATE(2485)] = 22911,
  [SMALL_STATE(2486)] = 22980,
  [SMALL_STATE(2487)] = 23049,
  [SMALL_STATE(2488)] = 23118,
  [SMALL_STATE(2489)] = 23187,
  [SMALL_STATE(2490)] = 23256,
  [SMALL_STATE(2491)] = 23325,
  [SMALL_STATE(2492)] = 23394,
  [SMALL_STATE(2493)] = 23515,
  [SMALL_STATE(2494)] = 23584,
  [SMALL_STATE(2495)] = 23653,
  [SMALL_STATE(2496)] = 23722,
  [SMALL_STATE(2497)] = 23791,
  [SMALL_STATE(2498)] = 23860,
  [SMALL_STATE(2499)] = 23929,
  [SMALL_STATE(2500)] = 23998,
  [SMALL_STATE(2501)] = 24073,
  [SMALL_STATE(2502)] = 24142,
  [SMALL_STATE(2503)] = 24211,
  [SMALL_STATE(2504)] = 24292,
  [SMALL_STATE(2505)] = 24365,
  [SMALL_STATE(2506)] = 24434,
  [SMALL_STATE(2507)] = 24503,
  [SMALL_STATE(2508)] = 24572,
  [SMALL_STATE(2509)] = 24641,
  [SMALL_STATE(2510)] = 24710,
  [SMALL_STATE(2511)] = 24779,
  [SMALL_STATE(2512)] = 24848,
  [SMALL_STATE(2513)] = 24917,
  [SMALL_STATE(2514)] = 24986,
  [SMALL_STATE(2515)] = 25067,
  [SMALL_STATE(2516)] = 25144,
  [SMALL_STATE(2517)] = 25223,
  [SMALL_STATE(2518)] = 25292,
  [SMALL_STATE(2519)] = 25361,
  [SMALL_STATE(2520)] = 25430,
  [SMALL_STATE(2521)] = 25499,
  [SMALL_STATE(2522)] = 25568,
  [SMALL_STATE(2523)] = 25637,
  [SMALL_STATE(2524)] = 25706,
  [SMALL_STATE(2525)] = 25775,
  [SMALL_STATE(2526)] = 25844,
  [SMALL_STATE(2527)] = 25913,
  [SMALL_STATE(2528)] = 25982,
  [SMALL_STATE(2529)] = 26051,
  [SMALL_STATE(2530)] = 26120,
  [SMALL_STATE(2531)] = 26189,
  [SMALL_STATE(2532)] = 26266,
  [SMALL_STATE(2533)] = 26335,
  [SMALL_STATE(2534)] = 26404,
  [SMALL_STATE(2535)] = 26473,
  [SMALL_STATE(2536)] = 26550,
  [SMALL_STATE(2537)] = 26627,
  [SMALL_STATE(2538)] = 26704,
  [SMALL_STATE(2539)] = 26773,
  [SMALL_STATE(2540)] = 26842,
  [SMALL_STATE(2541)] = 26911,
  [SMALL_STATE(2542)] = 27031,
  [SMALL_STATE(2543)] = 27107,
  [SMALL_STATE(2544)] = 27179,
  [SMALL_STATE(2545)] = 27251,
  [SMALL_STATE(2546)] = 27323,
  [SMALL_STATE(2547)] = 27395,
  [SMALL_STATE(2548)] = 27467,
  [SMALL_STATE(2549)] = 27535,
  [SMALL_STATE(2550)] = 27607,
  [SMALL_STATE(2551)] = 27691,
  [SMALL_STATE(2552)] = 27763,
  [SMALL_STATE(2553)] = 27835,
  [SMALL_STATE(2554)] = 27907,
  [SMALL_STATE(2555)] = 27979,
  [SMALL_STATE(2556)] = 28047,
  [SMALL_STATE(2557)] = 28119,
  [SMALL_STATE(2558)] = 28191,
  [SMALL_STATE(2559)] = 28259,
  [SMALL_STATE(2560)] = 28331,
  [SMALL_STATE(2561)] = 28403,
  [SMALL_STATE(2562)] = 28493,
  [SMALL_STATE(2563)] = 28565,
  [SMALL_STATE(2564)] = 28637,
  [SMALL_STATE(2565)] = 28709,
  [SMALL_STATE(2566)] = 28781,
  [SMALL_STATE(2567)] = 28857,
  [SMALL_STATE(2568)] = 28929,
  [SMALL_STATE(2569)] = 29001,
  [SMALL_STATE(2570)] = 29073,
  [SMALL_STATE(2571)] = 29141,
  [SMALL_STATE(2572)] = 29217,
  [SMALL_STATE(2573)] = 29289,
  [SMALL_STATE(2574)] = 29361,
  [SMALL_STATE(2575)] = 29433,
  [SMALL_STATE(2576)] = 29511,
  [SMALL_STATE(2577)] = 29583,
  [SMALL_STATE(2578)] = 29655,
  [SMALL_STATE(2579)] = 29729,
  [SMALL_STATE(2580)] = 29797,
  [SMALL_STATE(2581)] = 29917,
  [SMALL_STATE(2582)] = 29985,
  [SMALL_STATE(2583)] = 30059,
  [SMALL_STATE(2584)] = 30149,
  [SMALL_STATE(2585)] = 30217,
  [SMALL_STATE(2586)] = 30288,
  [SMALL_STATE(2587)] = 30367,
  [SMALL_STATE(2588)] = 30438,
  [SMALL_STATE(2589)] = 30505,
  [SMALL_STATE(2590)] = 30572,
  [SMALL_STATE(2591)] = 30639,
  [SMALL_STATE(2592)] = 30710,
  [SMALL_STATE(2593)] = 30781,
  [SMALL_STATE(2594)] = 30854,
  [SMALL_STATE(2595)] = 30923,
  [SMALL_STATE(2596)] = 31002,
  [SMALL_STATE(2597)] = 31073,
  [SMALL_STATE(2598)] = 31148,
  [SMALL_STATE(2599)] = 31217,
  [SMALL_STATE(2600)] = 31288,
  [SMALL_STATE(2601)] = 31355,
  [SMALL_STATE(2602)] = 31422,
  [SMALL_STATE(2603)] = 31493,
  [SMALL_STATE(2604)] = 31570,
  [SMALL_STATE(2605)] = 31637,
  [SMALL_STATE(2606)] = 31710,
  [SMALL_STATE(2607)] = 31777,
  [SMALL_STATE(2608)] = 31848,
  [SMALL_STATE(2609)] = 31931,
  [SMALL_STATE(2610)] = 32006,
  [SMALL_STATE(2611)] = 32077,
  [SMALL_STATE(2612)] = 32150,
  [SMALL_STATE(2613)] = 32219,
  [SMALL_STATE(2614)] = 32302,
  [SMALL_STATE(2615)] = 32371,
  [SMALL_STATE(2616)] = 32442,
  [SMALL_STATE(2617)] = 32515,
  [SMALL_STATE(2618)] = 32581,
  [SMALL_STATE(2619)] = 32647,
  [SMALL_STATE(2620)] = 32713,
  [SMALL_STATE(2621)] = 32779,
  [SMALL_STATE(2622)] = 32845,
  [SMALL_STATE(2623)] = 32911,
  [SMALL_STATE(2624)] = 32977,
  [SMALL_STATE(2625)] = 33059,
  [SMALL_STATE(2626)] = 33125,
  [SMALL_STATE(2627)] = 33191,
  [SMALL_STATE(2628)] = 33273,
  [SMALL_STATE(2629)] = 33339,
  [SMALL_STATE(2630)] = 33405,
  [SMALL_STATE(2631)] = 33471,
  [SMALL_STATE(2632)] = 33553,
  [SMALL_STATE(2633)] = 33619,
  [SMALL_STATE(2634)] = 33685,
  [SMALL_STATE(2635)] = 33767,
  [SMALL_STATE(2636)] = 33833,
  [SMALL_STATE(2637)] = 33899,
  [SMALL_STATE(2638)] = 33965,
  [SMALL_STATE(2639)] = 34031,
  [SMALL_STATE(2640)] = 34113,
  [SMALL_STATE(2641)] = 34179,
  [SMALL_STATE(2642)] = 34257,
  [SMALL_STATE(2643)] = 34323,
  [SMALL_STATE(2644)] = 34405,
  [SMALL_STATE(2645)] = 34471,
  [SMALL_STATE(2646)] = 34537,
  [SMALL_STATE(2647)] = 34603,
  [SMALL_STATE(2648)] = 34671,
  [SMALL_STATE(2649)] = 34737,
  [SMALL_STATE(2650)] = 34803,
  [SMALL_STATE(2651)] = 34869,
  [SMALL_STATE(2652)] = 34937,
  [SMALL_STATE(2653)] = 35019,
  [SMALL_STATE(2654)] = 35085,
  [SMALL_STATE(2655)] = 35157,
  [SMALL_STATE(2656)] = 35223,
  [SMALL_STATE(2657)] = 35289,
  [SMALL_STATE(2658)] = 35355,
  [SMALL_STATE(2659)] = 35425,
  [SMALL_STATE(2660)] = 35491,
  [SMALL_STATE(2661)] = 35557,
  [SMALL_STATE(2662)] = 35623,
  [SMALL_STATE(2663)] = 35697,
  [SMALL_STATE(2664)] = 35763,
  [SMALL_STATE(2665)] = 35829,
  [SMALL_STATE(2666)] = 35895,
  [SMALL_STATE(2667)] = 35961,
  [SMALL_STATE(2668)] = 36039,
  [SMALL_STATE(2669)] = 36105,
  [SMALL_STATE(2670)] = 36173,
  [SMALL_STATE(2671)] = 36245,
  [SMALL_STATE(2672)] = 36321,
  [SMALL_STATE(2673)] = 36393,
  [SMALL_STATE(2674)] = 36459,
  [SMALL_STATE(2675)] = 36537,
  [SMALL_STATE(2676)] = 36603,
  [SMALL_STATE(2677)] = 36669,
  [SMALL_STATE(2678)] = 36738,
  [SMALL_STATE(2679)] = 36807,
  [SMALL_STATE(2680)] = 36876,
  [SMALL_STATE(2681)] = 36941,
  [SMALL_STATE(2682)] = 37010,
  [SMALL_STATE(2683)] = 37079,
  [SMALL_STATE(2684)] = 37152,
  [SMALL_STATE(2685)] = 37217,
  [SMALL_STATE(2686)] = 37286,
  [SMALL_STATE(2687)] = 37351,
  [SMALL_STATE(2688)] = 37424,
  [SMALL_STATE(2689)] = 37505,
  [SMALL_STATE(2690)] = 37570,
  [SMALL_STATE(2691)] = 37635,
  [SMALL_STATE(2692)] = 37700,
  [SMALL_STATE(2693)] = 37765,
  [SMALL_STATE(2694)] = 37834,
  [SMALL_STATE(2695)] = 37947,
  [SMALL_STATE(2696)] = 38056,
  [SMALL_STATE(2697)] = 38125,
  [SMALL_STATE(2698)] = 38238,
  [SMALL_STATE(2699)] = 38311,
  [SMALL_STATE(2700)] = 38380,
  [SMALL_STATE(2701)] = 38449,
  [SMALL_STATE(2702)] = 38514,
  [SMALL_STATE(2703)] = 38623,
  [SMALL_STATE(2704)] = 38688,
  [SMALL_STATE(2705)] = 38757,
  [SMALL_STATE(2706)] = 38844,
  [SMALL_STATE(2707)] = 38935,
  [SMALL_STATE(2708)] = 39004,
  [SMALL_STATE(2709)] = 39073,
  [SMALL_STATE(2710)] = 39138,
  [SMALL_STATE(2711)] = 39233,
  [SMALL_STATE(2712)] = 39302,
  [SMALL_STATE(2713)] = 39399,
  [SMALL_STATE(2714)] = 39498,
  [SMALL_STATE(2715)] = 39569,
  [SMALL_STATE(2716)] = 39638,
  [SMALL_STATE(2717)] = 39743,
  [SMALL_STATE(2718)] = 39856,
  [SMALL_STATE(2719)] = 39937,
  [SMALL_STATE(2720)] = 40008,
  [SMALL_STATE(2721)] = 40117,
  [SMALL_STATE(2722)] = 40182,
  [SMALL_STATE(2723)] = 40249,
  [SMALL_STATE(2724)] = 40316,
  [SMALL_STATE(2725)] = 40417,
  [SMALL_STATE(2726)] = 40526,
  [SMALL_STATE(2727)] = 40607,
  [SMALL_STATE(2728)] = 40680,
  [SMALL_STATE(2729)] = 40745,
  [SMALL_STATE(2730)] = 40826,
  [SMALL_STATE(2731)] = 40911,
  [SMALL_STATE(2732)] = 40994,
  [SMALL_STATE(2733)] = 41059,
  [SMALL_STATE(2734)] = 41124,
  [SMALL_STATE(2735)] = 41191,
  [SMALL_STATE(2736)] = 41272,
  [SMALL_STATE(2737)] = 41336,
  [SMALL_STATE(2738)] = 41400,
  [SMALL_STATE(2739)] = 41476,
  [SMALL_STATE(2740)] = 41542,
  [SMALL_STATE(2741)] = 41608,
  [SMALL_STATE(2742)] = 41676,
  [SMALL_STATE(2743)] = 41740,
  [SMALL_STATE(2744)] = 41808,
  [SMALL_STATE(2745)] = 41872,
  [SMALL_STATE(2746)] = 41940,
  [SMALL_STATE(2747)] = 42004,
  [SMALL_STATE(2748)] = 42072,
  [SMALL_STATE(2749)] = 42136,
  [SMALL_STATE(2750)] = 42200,
  [SMALL_STATE(2751)] = 42268,
  [SMALL_STATE(2752)] = 42332,
  [SMALL_STATE(2753)] = 42396,
  [SMALL_STATE(2754)] = 42472,
  [SMALL_STATE(2755)] = 42544,
  [SMALL_STATE(2756)] = 42612,
  [SMALL_STATE(2757)] = 42676,
  [SMALL_STATE(2758)] = 42744,
  [SMALL_STATE(2759)] = 42808,
  [SMALL_STATE(2760)] = 42880,
  [SMALL_STATE(2761)] = 42946,
  [SMALL_STATE(2762)] = 43014,
  [SMALL_STATE(2763)] = 43078,
  [SMALL_STATE(2764)] = 43146,
  [SMALL_STATE(2765)] = 43212,
  [SMALL_STATE(2766)] = 43280,
  [SMALL_STATE(2767)] = 43344,
  [SMALL_STATE(2768)] = 43412,
  [SMALL_STATE(2769)] = 43480,
  [SMALL_STATE(2770)] = 43548,
  [SMALL_STATE(2771)] = 43612,
  [SMALL_STATE(2772)] = 43676,
  [SMALL_STATE(2773)] = 43744,
  [SMALL_STATE(2774)] = 43810,
  [SMALL_STATE(2775)] = 43874,
  [SMALL_STATE(2776)] = 43942,
  [SMALL_STATE(2777)] = 44010,
  [SMALL_STATE(2778)] = 44078,
  [SMALL_STATE(2779)] = 44146,
  [SMALL_STATE(2780)] = 44212,
  [SMALL_STATE(2781)] = 44276,
  [SMALL_STATE(2782)] = 44340,
  [SMALL_STATE(2783)] = 44408,
  [SMALL_STATE(2784)] = 44474,
  [SMALL_STATE(2785)] = 44542,
  [SMALL_STATE(2786)] = 44606,
  [SMALL_STATE(2787)] = 44670,
  [SMALL_STATE(2788)] = 44738,
  [SMALL_STATE(2789)] = 44806,
  [SMALL_STATE(2790)] = 44870,
  [SMALL_STATE(2791)] = 44934,
  [SMALL_STATE(2792)] = 44998,
  [SMALL_STATE(2793)] = 45064,
  [SMALL_STATE(2794)] = 45132,
  [SMALL_STATE(2795)] = 45196,
  [SMALL_STATE(2796)] = 45264,
  [SMALL_STATE(2797)] = 45328,
  [SMALL_STATE(2798)] = 45394,
  [SMALL_STATE(2799)] = 45458,
  [SMALL_STATE(2800)] = 45522,
  [SMALL_STATE(2801)] = 45586,
  [SMALL_STATE(2802)] = 45650,
  [SMALL_STATE(2803)] = 45714,
  [SMALL_STATE(2804)] = 45778,
  [SMALL_STATE(2805)] = 45842,
  [SMALL_STATE(2806)] = 45906,
  [SMALL_STATE(2807)] = 45970,
  [SMALL_STATE(2808)] = 46038,
  [SMALL_STATE(2809)] = 46102,
  [SMALL_STATE(2810)] = 46166,
  [SMALL_STATE(2811)] = 46230,
  [SMALL_STATE(2812)] = 46294,
  [SMALL_STATE(2813)] = 46358,
  [SMALL_STATE(2814)] = 46422,
  [SMALL_STATE(2815)] = 46490,
  [SMALL_STATE(2816)] = 46558,
  [SMALL_STATE(2817)] = 46626,
  [SMALL_STATE(2818)] = 46690,
  [SMALL_STATE(2819)] = 46754,
  [SMALL_STATE(2820)] = 46818,
  [SMALL_STATE(2821)] = 46882,
  [SMALL_STATE(2822)] = 46950,
  [SMALL_STATE(2823)] = 47014,
  [SMALL_STATE(2824)] = 47078,
  [SMALL_STATE(2825)] = 47146,
  [SMALL_STATE(2826)] = 47241,
  [SMALL_STATE(2827)] = 47330,
  [SMALL_STATE(2828)] = 47409,
  [SMALL_STATE(2829)] = 47472,
  [SMALL_STATE(2830)] = 47585,
  [SMALL_STATE(2831)] = 47648,
  [SMALL_STATE(2832)] = 47721,
  [SMALL_STATE(2833)] = 47800,
  [SMALL_STATE(2834)] = 47873,
  [SMALL_STATE(2835)] = 47960,
  [SMALL_STATE(2836)] = 48023,
  [SMALL_STATE(2837)] = 48092,
  [SMALL_STATE(2838)] = 48201,
  [SMALL_STATE(2839)] = 48264,
  [SMALL_STATE(2840)] = 48327,
  [SMALL_STATE(2841)] = 48394,
  [SMALL_STATE(2842)] = 48481,
  [SMALL_STATE(2843)] = 48594,
  [SMALL_STATE(2844)] = 48661,
  [SMALL_STATE(2845)] = 48774,
  [SMALL_STATE(2846)] = 48861,
  [SMALL_STATE(2847)] = 48940,
  [SMALL_STATE(2848)] = 49101,
  [SMALL_STATE(2849)] = 49164,
  [SMALL_STATE(2850)] = 49269,
  [SMALL_STATE(2851)] = 49378,
  [SMALL_STATE(2852)] = 49441,
  [SMALL_STATE(2853)] = 49528,
  [SMALL_STATE(2854)] = 49629,
  [SMALL_STATE(2855)] = 49692,
  [SMALL_STATE(2856)] = 49765,
  [SMALL_STATE(2857)] = 49844,
  [SMALL_STATE(2858)] = 49909,
  [SMALL_STATE(2859)] = 49972,
  [SMALL_STATE(2860)] = 50081,
  [SMALL_STATE(2861)] = 50188,
  [SMALL_STATE(2862)] = 50285,
  [SMALL_STATE(2863)] = 50348,
  [SMALL_STATE(2864)] = 50411,
  [SMALL_STATE(2865)] = 50520,
  [SMALL_STATE(2866)] = 50583,
  [SMALL_STATE(2867)] = 50650,
  [SMALL_STATE(2868)] = 50717,
  [SMALL_STATE(2869)] = 50808,
  [SMALL_STATE(2870)] = 50895,
  [SMALL_STATE(2871)] = 50962,
  [SMALL_STATE(2872)] = 51029,
  [SMALL_STATE(2873)] = 51094,
  [SMALL_STATE(2874)] = 51161,
  [SMALL_STATE(2875)] = 51224,
  [SMALL_STATE(2876)] = 51287,
  [SMALL_STATE(2877)] = 51366,
  [SMALL_STATE(2878)] = 51433,
  [SMALL_STATE(2879)] = 51518,
  [SMALL_STATE(2880)] = 51585,
  [SMALL_STATE(2881)] = 51672,
  [SMALL_STATE(2882)] = 51739,
  [SMALL_STATE(2883)] = 51846,
  [SMALL_STATE(2884)] = 51913,
  [SMALL_STATE(2885)] = 51976,
  [SMALL_STATE(2886)] = 52045,
  [SMALL_STATE(2887)] = 52108,
  [SMALL_STATE(2888)] = 52189,
  [SMALL_STATE(2889)] = 52272,
  [SMALL_STATE(2890)] = 52337,
  [SMALL_STATE(2891)] = 52410,
  [SMALL_STATE(2892)] = 52571,
  [SMALL_STATE(2893)] = 52642,
  [SMALL_STATE(2894)] = 52715,
  [SMALL_STATE(2895)] = 52778,
  [SMALL_STATE(2896)] = 52841,
  [SMALL_STATE(2897)] = 52906,
  [SMALL_STATE(2898)] = 52969,
  [SMALL_STATE(2899)] = 53036,
  [SMALL_STATE(2900)] = 53197,
  [SMALL_STATE(2901)] = 53268,
  [SMALL_STATE(2902)] = 53335,
  [SMALL_STATE(2903)] = 53422,
  [SMALL_STATE(2904)] = 53490,
  [SMALL_STATE(2905)] = 53562,
  [SMALL_STATE(2906)] = 53628,
  [SMALL_STATE(2907)] = 53690,
  [SMALL_STATE(2908)] = 53752,
  [SMALL_STATE(2909)] = 53832,
  [SMALL_STATE(2910)] = 53902,
  [SMALL_STATE(2911)] = 53968,
  [SMALL_STATE(2912)] = 54048,
  [SMALL_STATE(2913)] = 54114,
  [SMALL_STATE(2914)] = 54194,
  [SMALL_STATE(2915)] = 54274,
  [SMALL_STATE(2916)] = 54336,
  [SMALL_STATE(2917)] = 54398,
  [SMALL_STATE(2918)] = 54460,
  [SMALL_STATE(2919)] = 54522,
  [SMALL_STATE(2920)] = 54594,
  [SMALL_STATE(2921)] = 54656,
  [SMALL_STATE(2922)] = 54718,
  [SMALL_STATE(2923)] = 54780,
  [SMALL_STATE(2924)] = 54860,
  [SMALL_STATE(2925)] = 54926,
  [SMALL_STATE(2926)] = 55006,
  [SMALL_STATE(2927)] = 55078,
  [SMALL_STATE(2928)] = 55148,
  [SMALL_STATE(2929)] = 55210,
  [SMALL_STATE(2930)] = 55272,
  [SMALL_STATE(2931)] = 55334,
  [SMALL_STATE(2932)] = 55396,
  [SMALL_STATE(2933)] = 55458,
  [SMALL_STATE(2934)] = 55520,
  [SMALL_STATE(2935)] = 55582,
  [SMALL_STATE(2936)] = 55644,
  [SMALL_STATE(2937)] = 55710,
  [SMALL_STATE(2938)] = 55772,
  [SMALL_STATE(2939)] = 55834,
  [SMALL_STATE(2940)] = 55896,
  [SMALL_STATE(2941)] = 55958,
  [SMALL_STATE(2942)] = 56020,
  [SMALL_STATE(2943)] = 56082,
  [SMALL_STATE(2944)] = 56144,
  [SMALL_STATE(2945)] = 56216,
  [SMALL_STATE(2946)] = 56278,
  [SMALL_STATE(2947)] = 56340,
  [SMALL_STATE(2948)] = 56402,
  [SMALL_STATE(2949)] = 56464,
  [SMALL_STATE(2950)] = 56526,
  [SMALL_STATE(2951)] = 56588,
  [SMALL_STATE(2952)] = 56650,
  [SMALL_STATE(2953)] = 56712,
  [SMALL_STATE(2954)] = 56774,
  [SMALL_STATE(2955)] = 56836,
  [SMALL_STATE(2956)] = 56898,
  [SMALL_STATE(2957)] = 56960,
  [SMALL_STATE(2958)] = 57022,
  [SMALL_STATE(2959)] = 57094,
  [SMALL_STATE(2960)] = 57156,
  [SMALL_STATE(2961)] = 57218,
  [SMALL_STATE(2962)] = 57280,
  [SMALL_STATE(2963)] = 57342,
  [SMALL_STATE(2964)] = 57404,
  [SMALL_STATE(2965)] = 57466,
  [SMALL_STATE(2966)] = 57528,
  [SMALL_STATE(2967)] = 57608,
  [SMALL_STATE(2968)] = 57670,
  [SMALL_STATE(2969)] = 57736,
  [SMALL_STATE(2970)] = 57798,
  [SMALL_STATE(2971)] = 57860,
  [SMALL_STATE(2972)] = 57922,
  [SMALL_STATE(2973)] = 57984,
  [SMALL_STATE(2974)] = 58046,
  [SMALL_STATE(2975)] = 58108,
  [SMALL_STATE(2976)] = 58170,
  [SMALL_STATE(2977)] = 58232,
  [SMALL_STATE(2978)] = 58294,
  [SMALL_STATE(2979)] = 58356,
  [SMALL_STATE(2980)] = 58418,
  [SMALL_STATE(2981)] = 58480,
  [SMALL_STATE(2982)] = 58542,
  [SMALL_STATE(2983)] = 58604,
  [SMALL_STATE(2984)] = 58666,
  [SMALL_STATE(2985)] = 58736,
  [SMALL_STATE(2986)] = 58798,
  [SMALL_STATE(2987)] = 58866,
  [SMALL_STATE(2988)] = 58930,
  [SMALL_STATE(2989)] = 58992,
  [SMALL_STATE(2990)] = 59058,
  [SMALL_STATE(2991)] = 59120,
  [SMALL_STATE(2992)] = 59182,
  [SMALL_STATE(2993)] = 59244,
  [SMALL_STATE(2994)] = 59314,
  [SMALL_STATE(2995)] = 59376,
  [SMALL_STATE(2996)] = 59438,
  [SMALL_STATE(2997)] = 59500,
  [SMALL_STATE(2998)] = 59562,
  [SMALL_STATE(2999)] = 59630,
  [SMALL_STATE(3000)] = 59692,
  [SMALL_STATE(3001)] = 59758,
  [SMALL_STATE(3002)] = 59828,
  [SMALL_STATE(3003)] = 59898,
  [SMALL_STATE(3004)] = 59968,
  [SMALL_STATE(3005)] = 60030,
  [SMALL_STATE(3006)] = 60098,
  [SMALL_STATE(3007)] = 60166,
  [SMALL_STATE(3008)] = 60228,
  [SMALL_STATE(3009)] = 60290,
  [SMALL_STATE(3010)] = 60354,
  [SMALL_STATE(3011)] = 60415,
  [SMALL_STATE(3012)] = 60486,
  [SMALL_STATE(3013)] = 60547,
  [SMALL_STATE(3014)] = 60608,
  [SMALL_STATE(3015)] = 60669,
  [SMALL_STATE(3016)] = 60774,
  [SMALL_STATE(3017)] = 60835,
  [SMALL_STATE(3018)] = 60910,
  [SMALL_STATE(3019)] = 60971,
  [SMALL_STATE(3020)] = 61032,
  [SMALL_STATE(3021)] = 61107,
  [SMALL_STATE(3022)] = 61168,
  [SMALL_STATE(3023)] = 61229,
  [SMALL_STATE(3024)] = 61290,
  [SMALL_STATE(3025)] = 61351,
  [SMALL_STATE(3026)] = 61412,
  [SMALL_STATE(3027)] = 61473,
  [SMALL_STATE(3028)] = 61534,
  [SMALL_STATE(3029)] = 61595,
  [SMALL_STATE(3030)] = 61656,
  [SMALL_STATE(3031)] = 61763,
  [SMALL_STATE(3032)] = 61824,
  [SMALL_STATE(3033)] = 61887,
  [SMALL_STATE(3034)] = 61948,
  [SMALL_STATE(3035)] = 62009,
  [SMALL_STATE(3036)] = 62070,
  [SMALL_STATE(3037)] = 62143,
  [SMALL_STATE(3038)] = 62254,
  [SMALL_STATE(3039)] = 62361,
  [SMALL_STATE(3040)] = 62422,
  [SMALL_STATE(3041)] = 62483,
  [SMALL_STATE(3042)] = 62558,
  [SMALL_STATE(3043)] = 62631,
  [SMALL_STATE(3044)] = 62708,
  [SMALL_STATE(3045)] = 62783,
  [SMALL_STATE(3046)] = 62844,
  [SMALL_STATE(3047)] = 62947,
  [SMALL_STATE(3048)] = 63046,
  [SMALL_STATE(3049)] = 63141,
  [SMALL_STATE(3050)] = 63206,
  [SMALL_STATE(3051)] = 63267,
  [SMALL_STATE(3052)] = 63360,
  [SMALL_STATE(3053)] = 63449,
  [SMALL_STATE(3054)] = 63514,
  [SMALL_STATE(3055)] = 63575,
  [SMALL_STATE(3056)] = 63662,
  [SMALL_STATE(3057)] = 63745,
  [SMALL_STATE(3058)] = 63806,
  [SMALL_STATE(3059)] = 63885,
  [SMALL_STATE(3060)] = 63966,
  [SMALL_STATE(3061)] = 64035,
  [SMALL_STATE(3062)] = 64102,
  [SMALL_STATE(3063)] = 64173,
  [SMALL_STATE(3064)] = 64234,
  [SMALL_STATE(3065)] = 64309,
  [SMALL_STATE(3066)] = 64370,
  [SMALL_STATE(3067)] = 64435,
  [SMALL_STATE(3068)] = 64496,
  [SMALL_STATE(3069)] = 64557,
  [SMALL_STATE(3070)] = 64622,
  [SMALL_STATE(3071)] = 64733,
  [SMALL_STATE(3072)] = 64794,
  [SMALL_STATE(3073)] = 64857,
  [SMALL_STATE(3074)] = 64918,
  [SMALL_STATE(3075)] = 64983,
  [SMALL_STATE(3076)] = 65048,
  [SMALL_STATE(3077)] = 65115,
  [SMALL_STATE(3078)] = 65196,
  [SMALL_STATE(3079)] = 65303,
  [SMALL_STATE(3080)] = 65372,
  [SMALL_STATE(3081)] = 65433,
  [SMALL_STATE(3082)] = 65498,
  [SMALL_STATE(3083)] = 65563,
  [SMALL_STATE(3084)] = 65624,
  [SMALL_STATE(3085)] = 65735,
  [SMALL_STATE(3086)] = 65846,
  [SMALL_STATE(3087)] = 65925,
  [SMALL_STATE(3088)] = 65990,
  [SMALL_STATE(3089)] = 66067,
  [SMALL_STATE(3090)] = 66142,
  [SMALL_STATE(3091)] = 66207,
  [SMALL_STATE(3092)] = 66314,
  [SMALL_STATE(3093)] = 66377,
  [SMALL_STATE(3094)] = 66442,
  [SMALL_STATE(3095)] = 66507,
  [SMALL_STATE(3096)] = 66614,
  [SMALL_STATE(3097)] = 66719,
  [SMALL_STATE(3098)] = 66786,
  [SMALL_STATE(3099)] = 66891,
  [SMALL_STATE(3100)] = 66998,
  [SMALL_STATE(3101)] = 67067,
  [SMALL_STATE(3102)] = 67134,
  [SMALL_STATE(3103)] = 67239,
  [SMALL_STATE(3104)] = 67350,
  [SMALL_STATE(3105)] = 67415,
  [SMALL_STATE(3106)] = 67522,
  [SMALL_STATE(3107)] = 67587,
  [SMALL_STATE(3108)] = 67652,
  [SMALL_STATE(3109)] = 67759,
  [SMALL_STATE(3110)] = 67832,
  [SMALL_STATE(3111)] = 67897,
  [SMALL_STATE(3112)] = 67980,
  [SMALL_STATE(3113)] = 68091,
  [SMALL_STATE(3114)] = 68158,
  [SMALL_STATE(3115)] = 68223,
  [SMALL_STATE(3116)] = 68310,
  [SMALL_STATE(3117)] = 68399,
  [SMALL_STATE(3118)] = 68492,
  [SMALL_STATE(3119)] = 68557,
  [SMALL_STATE(3120)] = 68622,
  [SMALL_STATE(3121)] = 68717,
  [SMALL_STATE(3122)] = 68816,
  [SMALL_STATE(3123)] = 68919,
  [SMALL_STATE(3124)] = 68986,
  [SMALL_STATE(3125)] = 69046,
  [SMALL_STATE(3126)] = 69112,
  [SMALL_STATE(3127)] = 69176,
  [SMALL_STATE(3128)] = 69240,
  [SMALL_STATE(3129)] = 69354,
  [SMALL_STATE(3130)] = 69418,
  [SMALL_STATE(3131)] = 69492,
  [SMALL_STATE(3132)] = 69596,
  [SMALL_STATE(3133)] = 69658,
  [SMALL_STATE(3134)] = 69718,
  [SMALL_STATE(3135)] = 69782,
  [SMALL_STATE(3136)] = 69846,
  [SMALL_STATE(3137)] = 69910,
  [SMALL_STATE(3138)] = 70066,
  [SMALL_STATE(3139)] = 70126,
  [SMALL_STATE(3140)] = 70186,
  [SMALL_STATE(3141)] = 70342,
  [SMALL_STATE(3142)] = 70402,
  [SMALL_STATE(3143)] = 70474,
  [SMALL_STATE(3144)] = 70548,
  [SMALL_STATE(3145)] = 70704,
  [SMALL_STATE(3146)] = 70812,
  [SMALL_STATE(3147)] = 70872,
  [SMALL_STATE(3148)] = 70976,
  [SMALL_STATE(3149)] = 71054,
  [SMALL_STATE(3150)] = 71116,
  [SMALL_STATE(3151)] = 71176,
  [SMALL_STATE(3152)] = 71244,
  [SMALL_STATE(3153)] = 71304,
  [SMALL_STATE(3154)] = 71386,
  [SMALL_STATE(3155)] = 71446,
  [SMALL_STATE(3156)] = 71510,
  [SMALL_STATE(3157)] = 71594,
  [SMALL_STATE(3158)] = 71654,
  [SMALL_STATE(3159)] = 71716,
  [SMALL_STATE(3160)] = 71802,
  [SMALL_STATE(3161)] = 71958,
  [SMALL_STATE(3162)] = 72022,
  [SMALL_STATE(3163)] = 72086,
  [SMALL_STATE(3164)] = 72194,
  [SMALL_STATE(3165)] = 72284,
  [SMALL_STATE(3166)] = 72376,
  [SMALL_STATE(3167)] = 72472,
  [SMALL_STATE(3168)] = 72572,
  [SMALL_STATE(3169)] = 72640,
  [SMALL_STATE(3170)] = 72700,
  [SMALL_STATE(3171)] = 72760,
  [SMALL_STATE(3172)] = 72820,
  [SMALL_STATE(3173)] = 72886,
  [SMALL_STATE(3174)] = 72946,
  [SMALL_STATE(3175)] = 73020,
  [SMALL_STATE(3176)] = 73096,
  [SMALL_STATE(3177)] = 73156,
  [SMALL_STATE(3178)] = 73312,
  [SMALL_STATE(3179)] = 73374,
  [SMALL_STATE(3180)] = 73438,
  [SMALL_STATE(3181)] = 73504,
  [SMALL_STATE(3182)] = 73568,
  [SMALL_STATE(3183)] = 73632,
  [SMALL_STATE(3184)] = 73696,
  [SMALL_STATE(3185)] = 73758,
  [SMALL_STATE(3186)] = 73828,
  [SMALL_STATE(3187)] = 73896,
  [SMALL_STATE(3188)] = 73960,
  [SMALL_STATE(3189)] = 74024,
  [SMALL_STATE(3190)] = 74084,
  [SMALL_STATE(3191)] = 74158,
  [SMALL_STATE(3192)] = 74218,
  [SMALL_STATE(3193)] = 74278,
  [SMALL_STATE(3194)] = 74340,
  [SMALL_STATE(3195)] = 74408,
  [SMALL_STATE(3196)] = 74468,
  [SMALL_STATE(3197)] = 74544,
  [SMALL_STATE(3198)] = 74624,
  [SMALL_STATE(3199)] = 74686,
  [SMALL_STATE(3200)] = 74842,
  [SMALL_STATE(3201)] = 74902,
  [SMALL_STATE(3202)] = 74968,
  [SMALL_STATE(3203)] = 75076,
  [SMALL_STATE(3204)] = 75232,
  [SMALL_STATE(3205)] = 75304,
  [SMALL_STATE(3206)] = 75364,
  [SMALL_STATE(3207)] = 75468,
  [SMALL_STATE(3208)] = 75528,
  [SMALL_STATE(3209)] = 75602,
  [SMALL_STATE(3210)] = 75676,
  [SMALL_STATE(3211)] = 75736,
  [SMALL_STATE(3212)] = 75802,
  [SMALL_STATE(3213)] = 75870,
  [SMALL_STATE(3214)] = 75930,
  [SMALL_STATE(3215)] = 75990,
  [SMALL_STATE(3216)] = 76058,
  [SMALL_STATE(3217)] = 76164,
  [SMALL_STATE(3218)] = 76236,
  [SMALL_STATE(3219)] = 76296,
  [SMALL_STATE(3220)] = 76356,
  [SMALL_STATE(3221)] = 76422,
  [SMALL_STATE(3222)] = 76486,
  [SMALL_STATE(3223)] = 76558,
  [SMALL_STATE(3224)] = 76618,
  [SMALL_STATE(3225)] = 76722,
  [SMALL_STATE(3226)] = 76786,
  [SMALL_STATE(3227)] = 76846,
  [SMALL_STATE(3228)] = 76912,
  [SMALL_STATE(3229)] = 76972,
  [SMALL_STATE(3230)] = 77038,
  [SMALL_STATE(3231)] = 77142,
  [SMALL_STATE(3232)] = 77246,
  [SMALL_STATE(3233)] = 77306,
  [SMALL_STATE(3234)] = 77366,
  [SMALL_STATE(3235)] = 77430,
  [SMALL_STATE(3236)] = 77536,
  [SMALL_STATE(3237)] = 77646,
  [SMALL_STATE(3238)] = 77802,
  [SMALL_STATE(3239)] = 77912,
  [SMALL_STATE(3240)] = 77988,
  [SMALL_STATE(3241)] = 78048,
  [SMALL_STATE(3242)] = 78154,
  [SMALL_STATE(3243)] = 78228,
  [SMALL_STATE(3244)] = 78338,
  [SMALL_STATE(3245)] = 78444,
  [SMALL_STATE(3246)] = 78504,
  [SMALL_STATE(3247)] = 78578,
  [SMALL_STATE(3248)] = 78680,
  [SMALL_STATE(3249)] = 78754,
  [SMALL_STATE(3250)] = 78814,
  [SMALL_STATE(3251)] = 78876,
  [SMALL_STATE(3252)] = 78974,
  [SMALL_STATE(3253)] = 79034,
  [SMALL_STATE(3254)] = 79108,
  [SMALL_STATE(3255)] = 79174,
  [SMALL_STATE(3256)] = 79240,
  [SMALL_STATE(3257)] = 79300,
  [SMALL_STATE(3258)] = 79456,
  [SMALL_STATE(3259)] = 79516,
  [SMALL_STATE(3260)] = 79596,
  [SMALL_STATE(3261)] = 79674,
  [SMALL_STATE(3262)] = 79756,
  [SMALL_STATE(3263)] = 79842,
  [SMALL_STATE(3264)] = 79936,
  [SMALL_STATE(3265)] = 80028,
  [SMALL_STATE(3266)] = 80116,
  [SMALL_STATE(3267)] = 80176,
  [SMALL_STATE(3268)] = 80236,
  [SMALL_STATE(3269)] = 80296,
  [SMALL_STATE(3270)] = 80355,
  [SMALL_STATE(3271)] = 80414,
  [SMALL_STATE(3272)] = 80473,
  [SMALL_STATE(3273)] = 80542,
  [SMALL_STATE(3274)] = 80601,
  [SMALL_STATE(3275)] = 80660,
  [SMALL_STATE(3276)] = 80719,
  [SMALL_STATE(3277)] = 80778,
  [SMALL_STATE(3278)] = 80837,
  [SMALL_STATE(3279)] = 80896,
  [SMALL_STATE(3280)] = 80997,
  [SMALL_STATE(3281)] = 81098,
  [SMALL_STATE(3282)] = 81157,
  [SMALL_STATE(3283)] = 81216,
  [SMALL_STATE(3284)] = 81275,
  [SMALL_STATE(3285)] = 81334,
  [SMALL_STATE(3286)] = 81401,
  [SMALL_STATE(3287)] = 81502,
  [SMALL_STATE(3288)] = 81571,
  [SMALL_STATE(3289)] = 81630,
  [SMALL_STATE(3290)] = 81689,
  [SMALL_STATE(3291)] = 81748,
  [SMALL_STATE(3292)] = 81807,
  [SMALL_STATE(3293)] = 81868,
  [SMALL_STATE(3294)] = 81969,
  [SMALL_STATE(3295)] = 82028,
  [SMALL_STATE(3296)] = 82087,
  [SMALL_STATE(3297)] = 82146,
  [SMALL_STATE(3298)] = 82205,
  [SMALL_STATE(3299)] = 82264,
  [SMALL_STATE(3300)] = 82323,
  [SMALL_STATE(3301)] = 82382,
  [SMALL_STATE(3302)] = 82441,
  [SMALL_STATE(3303)] = 82500,
  [SMALL_STATE(3304)] = 82559,
  [SMALL_STATE(3305)] = 82622,
  [SMALL_STATE(3306)] = 82681,
  [SMALL_STATE(3307)] = 82740,
  [SMALL_STATE(3308)] = 82799,
  [SMALL_STATE(3309)] = 82858,
  [SMALL_STATE(3310)] = 82917,
  [SMALL_STATE(3311)] = 82978,
  [SMALL_STATE(3312)] = 83037,
  [SMALL_STATE(3313)] = 83096,
  [SMALL_STATE(3314)] = 83157,
  [SMALL_STATE(3315)] = 83216,
  [SMALL_STATE(3316)] = 83317,
  [SMALL_STATE(3317)] = 83376,
  [SMALL_STATE(3318)] = 83477,
  [SMALL_STATE(3319)] = 83536,
  [SMALL_STATE(3320)] = 83595,
  [SMALL_STATE(3321)] = 83696,
  [SMALL_STATE(3322)] = 83797,
  [SMALL_STATE(3323)] = 83856,
  [SMALL_STATE(3324)] = 83915,
  [SMALL_STATE(3325)] = 83974,
  [SMALL_STATE(3326)] = 84033,
  [SMALL_STATE(3327)] = 84092,
  [SMALL_STATE(3328)] = 84151,
  [SMALL_STATE(3329)] = 84210,
  [SMALL_STATE(3330)] = 84269,
  [SMALL_STATE(3331)] = 84328,
  [SMALL_STATE(3332)] = 84429,
  [SMALL_STATE(3333)] = 84488,
  [SMALL_STATE(3334)] = 84549,
  [SMALL_STATE(3335)] = 84608,
  [SMALL_STATE(3336)] = 84675,
  [SMALL_STATE(3337)] = 84740,
  [SMALL_STATE(3338)] = 84799,
  [SMALL_STATE(3339)] = 84858,
  [SMALL_STATE(3340)] = 84917,
  [SMALL_STATE(3341)] = 84976,
  [SMALL_STATE(3342)] = 85035,
  [SMALL_STATE(3343)] = 85096,
  [SMALL_STATE(3344)] = 85155,
  [SMALL_STATE(3345)] = 85214,
  [SMALL_STATE(3346)] = 85275,
  [SMALL_STATE(3347)] = 85334,
  [SMALL_STATE(3348)] = 85435,
  [SMALL_STATE(3349)] = 85496,
  [SMALL_STATE(3350)] = 85555,
  [SMALL_STATE(3351)] = 85614,
  [SMALL_STATE(3352)] = 85715,
  [SMALL_STATE(3353)] = 85776,
  [SMALL_STATE(3354)] = 85835,
  [SMALL_STATE(3355)] = 85936,
  [SMALL_STATE(3356)] = 85995,
  [SMALL_STATE(3357)] = 86054,
  [SMALL_STATE(3358)] = 86113,
  [SMALL_STATE(3359)] = 86172,
  [SMALL_STATE(3360)] = 86231,
  [SMALL_STATE(3361)] = 86290,
  [SMALL_STATE(3362)] = 86349,
  [SMALL_STATE(3363)] = 86412,
  [SMALL_STATE(3364)] = 86513,
  [SMALL_STATE(3365)] = 86572,
  [SMALL_STATE(3366)] = 86633,
  [SMALL_STATE(3367)] = 86692,
  [SMALL_STATE(3368)] = 86751,
  [SMALL_STATE(3369)] = 86822,
  [SMALL_STATE(3370)] = 86889,
  [SMALL_STATE(3371)] = 86948,
  [SMALL_STATE(3372)] = 87007,
  [SMALL_STATE(3373)] = 87066,
  [SMALL_STATE(3374)] = 87125,
  [SMALL_STATE(3375)] = 87188,
  [SMALL_STATE(3376)] = 87247,
  [SMALL_STATE(3377)] = 87306,
  [SMALL_STATE(3378)] = 87377,
  [SMALL_STATE(3379)] = 87482,
  [SMALL_STATE(3380)] = 87583,
  [SMALL_STATE(3381)] = 87642,
  [SMALL_STATE(3382)] = 87701,
  [SMALL_STATE(3383)] = 87760,
  [SMALL_STATE(3384)] = 87821,
  [SMALL_STATE(3385)] = 87880,
  [SMALL_STATE(3386)] = 87939,
  [SMALL_STATE(3387)] = 87998,
  [SMALL_STATE(3388)] = 88103,
  [SMALL_STATE(3389)] = 88162,
  [SMALL_STATE(3390)] = 88221,
  [SMALL_STATE(3391)] = 88280,
  [SMALL_STATE(3392)] = 88339,
  [SMALL_STATE(3393)] = 88398,
  [SMALL_STATE(3394)] = 88463,
  [SMALL_STATE(3395)] = 88522,
  [SMALL_STATE(3396)] = 88581,
  [SMALL_STATE(3397)] = 88640,
  [SMALL_STATE(3398)] = 88699,
  [SMALL_STATE(3399)] = 88758,
  [SMALL_STATE(3400)] = 88817,
  [SMALL_STATE(3401)] = 88876,
  [SMALL_STATE(3402)] = 88945,
  [SMALL_STATE(3403)] = 89004,
  [SMALL_STATE(3404)] = 89065,
  [SMALL_STATE(3405)] = 89124,
  [SMALL_STATE(3406)] = 89183,
  [SMALL_STATE(3407)] = 89242,
  [SMALL_STATE(3408)] = 89301,
  [SMALL_STATE(3409)] = 89360,
  [SMALL_STATE(3410)] = 89419,
  [SMALL_STATE(3411)] = 89478,
  [SMALL_STATE(3412)] = 89537,
  [SMALL_STATE(3413)] = 89596,
  [SMALL_STATE(3414)] = 89655,
  [SMALL_STATE(3415)] = 89714,
  [SMALL_STATE(3416)] = 89815,
  [SMALL_STATE(3417)] = 89874,
  [SMALL_STATE(3418)] = 89933,
  [SMALL_STATE(3419)] = 89998,
  [SMALL_STATE(3420)] = 90057,
  [SMALL_STATE(3421)] = 90118,
  [SMALL_STATE(3422)] = 90177,
  [SMALL_STATE(3423)] = 90244,
  [SMALL_STATE(3424)] = 90303,
  [SMALL_STATE(3425)] = 90362,
  [SMALL_STATE(3426)] = 90421,
  [SMALL_STATE(3427)] = 90480,
  [SMALL_STATE(3428)] = 90539,
  [SMALL_STATE(3429)] = 90598,
  [SMALL_STATE(3430)] = 90699,
  [SMALL_STATE(3431)] = 90758,
  [SMALL_STATE(3432)] = 90817,
  [SMALL_STATE(3433)] = 90876,
  [SMALL_STATE(3434)] = 90937,
  [SMALL_STATE(3435)] = 90996,
  [SMALL_STATE(3436)] = 91055,
  [SMALL_STATE(3437)] = 91114,
  [SMALL_STATE(3438)] = 91173,
  [SMALL_STATE(3439)] = 91232,
  [SMALL_STATE(3440)] = 91333,
  [SMALL_STATE(3441)] = 91394,
  [SMALL_STATE(3442)] = 91453,
  [SMALL_STATE(3443)] = 91512,
  [SMALL_STATE(3444)] = 91571,
  [SMALL_STATE(3445)] = 91630,
  [SMALL_STATE(3446)] = 91701,
  [SMALL_STATE(3447)] = 91760,
  [SMALL_STATE(3448)] = 91819,
  [SMALL_STATE(3449)] = 91878,
  [SMALL_STATE(3450)] = 91937,
  [SMALL_STATE(3451)] = 91996,
  [SMALL_STATE(3452)] = 92055,
  [SMALL_STATE(3453)] = 92114,
  [SMALL_STATE(3454)] = 92173,
  [SMALL_STATE(3455)] = 92234,
  [SMALL_STATE(3456)] = 92293,
  [SMALL_STATE(3457)] = 92352,
  [SMALL_STATE(3458)] = 92419,
  [SMALL_STATE(3459)] = 92478,
  [SMALL_STATE(3460)] = 92537,
  [SMALL_STATE(3461)] = 92598,
  [SMALL_STATE(3462)] = 92665,
  [SMALL_STATE(3463)] = 92724,
  [SMALL_STATE(3464)] = 92783,
  [SMALL_STATE(3465)] = 92842,
  [SMALL_STATE(3466)] = 92901,
  [SMALL_STATE(3467)] = 92964,
  [SMALL_STATE(3468)] = 93029,
  [SMALL_STATE(3469)] = 93090,
  [SMALL_STATE(3470)] = 93191,
  [SMALL_STATE(3471)] = 93292,
  [SMALL_STATE(3472)] = 93393,
  [SMALL_STATE(3473)] = 93494,
  [SMALL_STATE(3474)] = 93553,
  [SMALL_STATE(3475)] = 93654,
  [SMALL_STATE(3476)] = 93719,
  [SMALL_STATE(3477)] = 93782,
  [SMALL_STATE(3478)] = 93883,
  [SMALL_STATE(3479)] = 93942,
  [SMALL_STATE(3480)] = 94001,
  [SMALL_STATE(3481)] = 94060,
  [SMALL_STATE(3482)] = 94119,
  [SMALL_STATE(3483)] = 94178,
  [SMALL_STATE(3484)] = 94237,
  [SMALL_STATE(3485)] = 94338,
  [SMALL_STATE(3486)] = 94397,
  [SMALL_STATE(3487)] = 94456,
  [SMALL_STATE(3488)] = 94515,
  [SMALL_STATE(3489)] = 94578,
  [SMALL_STATE(3490)] = 94637,
  [SMALL_STATE(3491)] = 94695,
  [SMALL_STATE(3492)] = 94801,
  [SMALL_STATE(3493)] = 94877,
  [SMALL_STATE(3494)] = 94963,
  [SMALL_STATE(3495)] = 95041,
  [SMALL_STATE(3496)] = 95099,
  [SMALL_STATE(3497)] = 95189,
  [SMALL_STATE(3498)] = 95247,
  [SMALL_STATE(3499)] = 95341,
  [SMALL_STATE(3500)] = 95439,
  [SMALL_STATE(3501)] = 95539,
  [SMALL_STATE(3502)] = 95597,
  [SMALL_STATE(3503)] = 95669,
  [SMALL_STATE(3504)] = 95743,
  [SMALL_STATE(3505)] = 95805,
  [SMALL_STATE(3506)] = 95863,
  [SMALL_STATE(3507)] = 95921,
  [SMALL_STATE(3508)] = 95993,
  [SMALL_STATE(3509)] = 96051,
  [SMALL_STATE(3510)] = 96109,
  [SMALL_STATE(3511)] = 96167,
  [SMALL_STATE(3512)] = 96229,
  [SMALL_STATE(3513)] = 96303,
  [SMALL_STATE(3514)] = 96365,
  [SMALL_STATE(3515)] = 96423,
  [SMALL_STATE(3516)] = 96495,
  [SMALL_STATE(3517)] = 96553,
  [SMALL_STATE(3518)] = 96617,
  [SMALL_STATE(3519)] = 96679,
  [SMALL_STATE(3520)] = 96737,
  [SMALL_STATE(3521)] = 96799,
  [SMALL_STATE(3522)] = 96861,
  [SMALL_STATE(3523)] = 96919,
  [SMALL_STATE(3524)] = 96977,
  [SMALL_STATE(3525)] = 97061,
  [SMALL_STATE(3526)] = 97123,
  [SMALL_STATE(3527)] = 97181,
  [SMALL_STATE(3528)] = 97239,
  [SMALL_STATE(3529)] = 97301,
  [SMALL_STATE(3530)] = 97359,
  [SMALL_STATE(3531)] = 97421,
  [SMALL_STATE(3532)] = 97483,
  [SMALL_STATE(3533)] = 97541,
  [SMALL_STATE(3534)] = 97647,
  [SMALL_STATE(3535)] = 97705,
  [SMALL_STATE(3536)] = 97769,
  [SMALL_STATE(3537)] = 97841,
  [SMALL_STATE(3538)] = 97921,
  [SMALL_STATE(3539)] = 97979,
  [SMALL_STATE(3540)] = 98037,
  [SMALL_STATE(3541)] = 98095,
  [SMALL_STATE(3542)] = 98153,
  [SMALL_STATE(3543)] = 98213,
  [SMALL_STATE(3544)] = 98271,
  [SMALL_STATE(3545)] = 98329,
  [SMALL_STATE(3546)] = 98387,
  [SMALL_STATE(3547)] = 98445,
  [SMALL_STATE(3548)] = 98503,
  [SMALL_STATE(3549)] = 98561,
  [SMALL_STATE(3550)] = 98619,
  [SMALL_STATE(3551)] = 98677,
  [SMALL_STATE(3552)] = 98735,
  [SMALL_STATE(3553)] = 98837,
  [SMALL_STATE(3554)] = 98895,
  [SMALL_STATE(3555)] = 98953,
  [SMALL_STATE(3556)] = 99055,
  [SMALL_STATE(3557)] = 99113,
  [SMALL_STATE(3558)] = 99171,
  [SMALL_STATE(3559)] = 99229,
  [SMALL_STATE(3560)] = 99287,
  [SMALL_STATE(3561)] = 99345,
  [SMALL_STATE(3562)] = 99409,
  [SMALL_STATE(3563)] = 99513,
  [SMALL_STATE(3564)] = 99571,
  [SMALL_STATE(3565)] = 99629,
  [SMALL_STATE(3566)] = 99691,
  [SMALL_STATE(3567)] = 99753,
  [SMALL_STATE(3568)] = 99811,
  [SMALL_STATE(3569)] = 99869,
  [SMALL_STATE(3570)] = 99927,
  [SMALL_STATE(3571)] = 99985,
  [SMALL_STATE(3572)] = 100043,
  [SMALL_STATE(3573)] = 100101,
  [SMALL_STATE(3574)] = 100159,
  [SMALL_STATE(3575)] = 100217,
  [SMALL_STATE(3576)] = 100275,
  [SMALL_STATE(3577)] = 100333,
  [SMALL_STATE(3578)] = 100391,
  [SMALL_STATE(3579)] = 100449,
  [SMALL_STATE(3580)] = 100555,
  [SMALL_STATE(3581)] = 100613,
  [SMALL_STATE(3582)] = 100671,
  [SMALL_STATE(3583)] = 100735,
  [SMALL_STATE(3584)] = 100793,
  [SMALL_STATE(3585)] = 100851,
  [SMALL_STATE(3586)] = 100909,
  [SMALL_STATE(3587)] = 100967,
  [SMALL_STATE(3588)] = 101025,
  [SMALL_STATE(3589)] = 101127,
  [SMALL_STATE(3590)] = 101185,
  [SMALL_STATE(3591)] = 101243,
  [SMALL_STATE(3592)] = 101305,
  [SMALL_STATE(3593)] = 101363,
  [SMALL_STATE(3594)] = 101421,
  [SMALL_STATE(3595)] = 101479,
  [SMALL_STATE(3596)] = 101543,
  [SMALL_STATE(3597)] = 101601,
  [SMALL_STATE(3598)] = 101659,
  [SMALL_STATE(3599)] = 101717,
  [SMALL_STATE(3600)] = 101779,
  [SMALL_STATE(3601)] = 101837,
  [SMALL_STATE(3602)] = 101895,
  [SMALL_STATE(3603)] = 101953,
  [SMALL_STATE(3604)] = 102011,
  [SMALL_STATE(3605)] = 102081,
  [SMALL_STATE(3606)] = 102139,
  [SMALL_STATE(3607)] = 102197,
  [SMALL_STATE(3608)] = 102255,
  [SMALL_STATE(3609)] = 102313,
  [SMALL_STATE(3610)] = 102371,
  [SMALL_STATE(3611)] = 102429,
  [SMALL_STATE(3612)] = 102487,
  [SMALL_STATE(3613)] = 102589,
  [SMALL_STATE(3614)] = 102647,
  [SMALL_STATE(3615)] = 102705,
  [SMALL_STATE(3616)] = 102763,
  [SMALL_STATE(3617)] = 102821,
  [SMALL_STATE(3618)] = 102879,
  [SMALL_STATE(3619)] = 102951,
  [SMALL_STATE(3620)] = 103023,
  [SMALL_STATE(3621)] = 103127,
  [SMALL_STATE(3622)] = 103185,
  [SMALL_STATE(3623)] = 103243,
  [SMALL_STATE(3624)] = 103301,
  [SMALL_STATE(3625)] = 103359,
  [SMALL_STATE(3626)] = 103425,
  [SMALL_STATE(3627)] = 103483,
  [SMALL_STATE(3628)] = 103541,
  [SMALL_STATE(3629)] = 103603,
  [SMALL_STATE(3630)] = 103665,
  [SMALL_STATE(3631)] = 103735,
  [SMALL_STATE(3632)] = 103797,
  [SMALL_STATE(3633)] = 103859,
  [SMALL_STATE(3634)] = 103925,
  [SMALL_STATE(3635)] = 103991,
  [SMALL_STATE(3636)] = 104049,
  [SMALL_STATE(3637)] = 104111,
  [SMALL_STATE(3638)] = 104169,
  [SMALL_STATE(3639)] = 104231,
  [SMALL_STATE(3640)] = 104293,
  [SMALL_STATE(3641)] = 104362,
  [SMALL_STATE(3642)] = 104465,
  [SMALL_STATE(3643)] = 104534,
  [SMALL_STATE(3644)] = 104637,
  [SMALL_STATE(3645)] = 104740,
  [SMALL_STATE(3646)] = 104843,
  [SMALL_STATE(3647)] = 104902,
  [SMALL_STATE(3648)] = 104967,
  [SMALL_STATE(3649)] = 105036,
  [SMALL_STATE(3650)] = 105109,
  [SMALL_STATE(3651)] = 105166,
  [SMALL_STATE(3652)] = 105225,
  [SMALL_STATE(3653)] = 105284,
  [SMALL_STATE(3654)] = 105341,
  [SMALL_STATE(3655)] = 105398,
  [SMALL_STATE(3656)] = 105501,
  [SMALL_STATE(3657)] = 105562,
  [SMALL_STATE(3658)] = 105619,
  [SMALL_STATE(3659)] = 105722,
  [SMALL_STATE(3660)] = 105779,
  [SMALL_STATE(3661)] = 105836,
  [SMALL_STATE(3662)] = 105893,
  [SMALL_STATE(3663)] = 105950,
  [SMALL_STATE(3664)] = 106007,
  [SMALL_STATE(3665)] = 106064,
  [SMALL_STATE(3666)] = 106167,
  [SMALL_STATE(3667)] = 106224,
  [SMALL_STATE(3668)] = 106281,
  [SMALL_STATE(3669)] = 106350,
  [SMALL_STATE(3670)] = 106409,
  [SMALL_STATE(3671)] = 106468,
  [SMALL_STATE(3672)] = 106525,
  [SMALL_STATE(3673)] = 106582,
  [SMALL_STATE(3674)] = 106643,
  [SMALL_STATE(3675)] = 106706,
  [SMALL_STATE(3676)] = 106765,
  [SMALL_STATE(3677)] = 106840,
  [SMALL_STATE(3678)] = 106907,
  [SMALL_STATE(3679)] = 107010,
  [SMALL_STATE(3680)] = 107073,
  [SMALL_STATE(3681)] = 107138,
  [SMALL_STATE(3682)] = 107194,
  [SMALL_STATE(3683)] = 107250,
  [SMALL_STATE(3684)] = 107306,
  [SMALL_STATE(3685)] = 107362,
  [SMALL_STATE(3686)] = 107464,
  [SMALL_STATE(3687)] = 107520,
  [SMALL_STATE(3688)] = 107576,
  [SMALL_STATE(3689)] = 107646,
  [SMALL_STATE(3690)] = 107702,
  [SMALL_STATE(3691)] = 107758,
  [SMALL_STATE(3692)] = 107814,
  [SMALL_STATE(3693)] = 107870,
  [SMALL_STATE(3694)] = 107926,
  [SMALL_STATE(3695)] = 107982,
  [SMALL_STATE(3696)] = 108038,
  [SMALL_STATE(3697)] = 108094,
  [SMALL_STATE(3698)] = 108150,
  [SMALL_STATE(3699)] = 108206,
  [SMALL_STATE(3700)] = 108268,
  [SMALL_STATE(3701)] = 108340,
  [SMALL_STATE(3702)] = 108412,
  [SMALL_STATE(3703)] = 108484,
  [SMALL_STATE(3704)] = 108556,
  [SMALL_STATE(3705)] = 108612,
  [SMALL_STATE(3706)] = 108668,
  [SMALL_STATE(3707)] = 108724,
  [SMALL_STATE(3708)] = 108794,
  [SMALL_STATE(3709)] = 108850,
  [SMALL_STATE(3710)] = 108906,
  [SMALL_STATE(3711)] = 108962,
  [SMALL_STATE(3712)] = 109018,
  [SMALL_STATE(3713)] = 109088,
  [SMALL_STATE(3714)] = 109144,
  [SMALL_STATE(3715)] = 109200,
  [SMALL_STATE(3716)] = 109256,
  [SMALL_STATE(3717)] = 109312,
  [SMALL_STATE(3718)] = 109368,
  [SMALL_STATE(3719)] = 109424,
  [SMALL_STATE(3720)] = 109480,
  [SMALL_STATE(3721)] = 109536,
  [SMALL_STATE(3722)] = 109592,
  [SMALL_STATE(3723)] = 109648,
  [SMALL_STATE(3724)] = 109704,
  [SMALL_STATE(3725)] = 109760,
  [SMALL_STATE(3726)] = 109816,
  [SMALL_STATE(3727)] = 109886,
  [SMALL_STATE(3728)] = 109942,
  [SMALL_STATE(3729)] = 109998,
  [SMALL_STATE(3730)] = 110054,
  [SMALL_STATE(3731)] = 110112,
  [SMALL_STATE(3732)] = 110178,
  [SMALL_STATE(3733)] = 110234,
  [SMALL_STATE(3734)] = 110290,
  [SMALL_STATE(3735)] = 110346,
  [SMALL_STATE(3736)] = 110448,
  [SMALL_STATE(3737)] = 110550,
  [SMALL_STATE(3738)] = 110618,
  [SMALL_STATE(3739)] = 110674,
  [SMALL_STATE(3740)] = 110730,
  [SMALL_STATE(3741)] = 110786,
  [SMALL_STATE(3742)] = 110854,
  [SMALL_STATE(3743)] = 110910,
  [SMALL_STATE(3744)] = 110966,
  [SMALL_STATE(3745)] = 111022,
  [SMALL_STATE(3746)] = 111078,
  [SMALL_STATE(3747)] = 111134,
  [SMALL_STATE(3748)] = 111194,
  [SMALL_STATE(3749)] = 111250,
  [SMALL_STATE(3750)] = 111306,
  [SMALL_STATE(3751)] = 111362,
  [SMALL_STATE(3752)] = 111428,
  [SMALL_STATE(3753)] = 111484,
  [SMALL_STATE(3754)] = 111540,
  [SMALL_STATE(3755)] = 111596,
  [SMALL_STATE(3756)] = 111652,
  [SMALL_STATE(3757)] = 111708,
  [SMALL_STATE(3758)] = 111764,
  [SMALL_STATE(3759)] = 111820,
  [SMALL_STATE(3760)] = 111876,
  [SMALL_STATE(3761)] = 111932,
  [SMALL_STATE(3762)] = 111988,
  [SMALL_STATE(3763)] = 112044,
  [SMALL_STATE(3764)] = 112100,
  [SMALL_STATE(3765)] = 112156,
  [SMALL_STATE(3766)] = 112212,
  [SMALL_STATE(3767)] = 112268,
  [SMALL_STATE(3768)] = 112324,
  [SMALL_STATE(3769)] = 112380,
  [SMALL_STATE(3770)] = 112482,
  [SMALL_STATE(3771)] = 112538,
  [SMALL_STATE(3772)] = 112600,
  [SMALL_STATE(3773)] = 112655,
  [SMALL_STATE(3774)] = 112710,
  [SMALL_STATE(3775)] = 112773,
  [SMALL_STATE(3776)] = 112828,
  [SMALL_STATE(3777)] = 112883,
  [SMALL_STATE(3778)] = 112984,
  [SMALL_STATE(3779)] = 113039,
  [SMALL_STATE(3780)] = 113094,
  [SMALL_STATE(3781)] = 113149,
  [SMALL_STATE(3782)] = 113212,
  [SMALL_STATE(3783)] = 113267,
  [SMALL_STATE(3784)] = 113322,
  [SMALL_STATE(3785)] = 113377,
  [SMALL_STATE(3786)] = 113432,
  [SMALL_STATE(3787)] = 113533,
  [SMALL_STATE(3788)] = 113588,
  [SMALL_STATE(3789)] = 113643,
  [SMALL_STATE(3790)] = 113698,
  [SMALL_STATE(3791)] = 113753,
  [SMALL_STATE(3792)] = 113816,
  [SMALL_STATE(3793)] = 113879,
  [SMALL_STATE(3794)] = 113934,
  [SMALL_STATE(3795)] = 113989,
  [SMALL_STATE(3796)] = 114044,
  [SMALL_STATE(3797)] = 114099,
  [SMALL_STATE(3798)] = 114170,
  [SMALL_STATE(3799)] = 114237,
  [SMALL_STATE(3800)] = 114292,
  [SMALL_STATE(3801)] = 114359,
  [SMALL_STATE(3802)] = 114414,
  [SMALL_STATE(3803)] = 114469,
  [SMALL_STATE(3804)] = 114524,
  [SMALL_STATE(3805)] = 114579,
  [SMALL_STATE(3806)] = 114634,
  [SMALL_STATE(3807)] = 114689,
  [SMALL_STATE(3808)] = 114744,
  [SMALL_STATE(3809)] = 114799,
  [SMALL_STATE(3810)] = 114854,
  [SMALL_STATE(3811)] = 114909,
  [SMALL_STATE(3812)] = 114964,
  [SMALL_STATE(3813)] = 115019,
  [SMALL_STATE(3814)] = 115082,
  [SMALL_STATE(3815)] = 115145,
  [SMALL_STATE(3816)] = 115200,
  [SMALL_STATE(3817)] = 115255,
  [SMALL_STATE(3818)] = 115341,
  [SMALL_STATE(3819)] = 115399,
  [SMALL_STATE(3820)] = 115457,
  [SMALL_STATE(3821)] = 115515,
  [SMALL_STATE(3822)] = 115579,
  [SMALL_STATE(3823)] = 115637,
  [SMALL_STATE(3824)] = 115695,
  [SMALL_STATE(3825)] = 115765,
  [SMALL_STATE(3826)] = 115823,
  [SMALL_STATE(3827)] = 115881,
  [SMALL_STATE(3828)] = 115939,
  [SMALL_STATE(3829)] = 115997,
  [SMALL_STATE(3830)] = 116053,
  [SMALL_STATE(3831)] = 116111,
  [SMALL_STATE(3832)] = 116197,
  [SMALL_STATE(3833)] = 116283,
  [SMALL_STATE(3834)] = 116353,
  [SMALL_STATE(3835)] = 116411,
  [SMALL_STATE(3836)] = 116469,
  [SMALL_STATE(3837)] = 116555,
  [SMALL_STATE(3838)] = 116613,
  [SMALL_STATE(3839)] = 116671,
  [SMALL_STATE(3840)] = 116729,
  [SMALL_STATE(3841)] = 116787,
  [SMALL_STATE(3842)] = 116845,
  [SMALL_STATE(3843)] = 116903,
  [SMALL_STATE(3844)] = 116961,
  [SMALL_STATE(3845)] = 117021,
  [SMALL_STATE(3846)] = 117075,
  [SMALL_STATE(3847)] = 117145,
  [SMALL_STATE(3848)] = 117203,
  [SMALL_STATE(3849)] = 117261,
  [SMALL_STATE(3850)] = 117319,
  [SMALL_STATE(3851)] = 117417,
  [SMALL_STATE(3852)] = 117475,
  [SMALL_STATE(3853)] = 117533,
  [SMALL_STATE(3854)] = 117593,
  [SMALL_STATE(3855)] = 117679,
  [SMALL_STATE(3856)] = 117765,
  [SMALL_STATE(3857)] = 117825,
  [SMALL_STATE(3858)] = 117883,
  [SMALL_STATE(3859)] = 117953,
  [SMALL_STATE(3860)] = 118011,
  [SMALL_STATE(3861)] = 118071,
  [SMALL_STATE(3862)] = 118124,
  [SMALL_STATE(3863)] = 118219,
  [SMALL_STATE(3864)] = 118314,
  [SMALL_STATE(3865)] = 118409,
  [SMALL_STATE(3866)] = 118504,
  [SMALL_STATE(3867)] = 118599,
  [SMALL_STATE(3868)] = 118694,
  [SMALL_STATE(3869)] = 118747,
  [SMALL_STATE(3870)] = 118842,
  [SMALL_STATE(3871)] = 118937,
  [SMALL_STATE(3872)] = 119032,
  [SMALL_STATE(3873)] = 119127,
  [SMALL_STATE(3874)] = 119222,
  [SMALL_STATE(3875)] = 119317,
  [SMALL_STATE(3876)] = 119412,
  [SMALL_STATE(3877)] = 119507,
  [SMALL_STATE(3878)] = 119602,
  [SMALL_STATE(3879)] = 119697,
  [SMALL_STATE(3880)] = 119792,
  [SMALL_STATE(3881)] = 119887,
  [SMALL_STATE(3882)] = 119982,
  [SMALL_STATE(3883)] = 120077,
  [SMALL_STATE(3884)] = 120172,
  [SMALL_STATE(3885)] = 120271,
  [SMALL_STATE(3886)] = 120366,
  [SMALL_STATE(3887)] = 120461,
  [SMALL_STATE(3888)] = 120556,
  [SMALL_STATE(3889)] = 120651,
  [SMALL_STATE(3890)] = 120746,
  [SMALL_STATE(3891)] = 120841,
  [SMALL_STATE(3892)] = 120936,
  [SMALL_STATE(3893)] = 121031,
  [SMALL_STATE(3894)] = 121084,
  [SMALL_STATE(3895)] = 121169,
  [SMALL_STATE(3896)] = 121224,
  [SMALL_STATE(3897)] = 121319,
  [SMALL_STATE(3898)] = 121414,
  [SMALL_STATE(3899)] = 121509,
  [SMALL_STATE(3900)] = 121604,
  [SMALL_STATE(3901)] = 121667,
  [SMALL_STATE(3902)] = 121726,
  [SMALL_STATE(3903)] = 121821,
  [SMALL_STATE(3904)] = 121916,
  [SMALL_STATE(3905)] = 122011,
  [SMALL_STATE(3906)] = 122064,
  [SMALL_STATE(3907)] = 122159,
  [SMALL_STATE(3908)] = 122254,
  [SMALL_STATE(3909)] = 122349,
  [SMALL_STATE(3910)] = 122444,
  [SMALL_STATE(3911)] = 122539,
  [SMALL_STATE(3912)] = 122592,
  [SMALL_STATE(3913)] = 122691,
  [SMALL_STATE(3914)] = 122786,
  [SMALL_STATE(3915)] = 122881,
  [SMALL_STATE(3916)] = 122976,
  [SMALL_STATE(3917)] = 123071,
  [SMALL_STATE(3918)] = 123166,
  [SMALL_STATE(3919)] = 123261,
  [SMALL_STATE(3920)] = 123328,
  [SMALL_STATE(3921)] = 123427,
  [SMALL_STATE(3922)] = 123486,
  [SMALL_STATE(3923)] = 123581,
  [SMALL_STATE(3924)] = 123676,
  [SMALL_STATE(3925)] = 123729,
  [SMALL_STATE(3926)] = 123824,
  [SMALL_STATE(3927)] = 123919,
  [SMALL_STATE(3928)] = 124014,
  [SMALL_STATE(3929)] = 124067,
  [SMALL_STATE(3930)] = 124126,
  [SMALL_STATE(3931)] = 124221,
  [SMALL_STATE(3932)] = 124316,
  [SMALL_STATE(3933)] = 124411,
  [SMALL_STATE(3934)] = 124506,
  [SMALL_STATE(3935)] = 124601,
  [SMALL_STATE(3936)] = 124696,
  [SMALL_STATE(3937)] = 124791,
  [SMALL_STATE(3938)] = 124886,
  [SMALL_STATE(3939)] = 124981,
  [SMALL_STATE(3940)] = 125076,
  [SMALL_STATE(3941)] = 125171,
  [SMALL_STATE(3942)] = 125266,
  [SMALL_STATE(3943)] = 125361,
  [SMALL_STATE(3944)] = 125456,
  [SMALL_STATE(3945)] = 125551,
  [SMALL_STATE(3946)] = 125650,
  [SMALL_STATE(3947)] = 125735,
  [SMALL_STATE(3948)] = 125830,
  [SMALL_STATE(3949)] = 125882,
  [SMALL_STATE(3950)] = 125950,
  [SMALL_STATE(3951)] = 126034,
  [SMALL_STATE(3952)] = 126126,
  [SMALL_STATE(3953)] = 126178,
  [SMALL_STATE(3954)] = 126262,
  [SMALL_STATE(3955)] = 126354,
  [SMALL_STATE(3956)] = 126406,
  [SMALL_STATE(3957)] = 126458,
  [SMALL_STATE(3958)] = 126550,
  [SMALL_STATE(3959)] = 126642,
  [SMALL_STATE(3960)] = 126694,
  [SMALL_STATE(3961)] = 126746,
  [SMALL_STATE(3962)] = 126838,
  [SMALL_STATE(3963)] = 126890,
  [SMALL_STATE(3964)] = 126974,
  [SMALL_STATE(3965)] = 127026,
  [SMALL_STATE(3966)] = 127078,
  [SMALL_STATE(3967)] = 127130,
  [SMALL_STATE(3968)] = 127194,
  [SMALL_STATE(3969)] = 127286,
  [SMALL_STATE(3970)] = 127338,
  [SMALL_STATE(3971)] = 127430,
  [SMALL_STATE(3972)] = 127514,
  [SMALL_STATE(3973)] = 127606,
  [SMALL_STATE(3974)] = 127674,
  [SMALL_STATE(3975)] = 127766,
  [SMALL_STATE(3976)] = 127858,
  [SMALL_STATE(3977)] = 127910,
  [SMALL_STATE(3978)] = 127962,
  [SMALL_STATE(3979)] = 128054,
  [SMALL_STATE(3980)] = 128122,
  [SMALL_STATE(3981)] = 128180,
  [SMALL_STATE(3982)] = 128232,
  [SMALL_STATE(3983)] = 128284,
  [SMALL_STATE(3984)] = 128336,
  [SMALL_STATE(3985)] = 128388,
  [SMALL_STATE(3986)] = 128440,
  [SMALL_STATE(3987)] = 128492,
  [SMALL_STATE(3988)] = 128556,
  [SMALL_STATE(3989)] = 128608,
  [SMALL_STATE(3990)] = 128660,
  [SMALL_STATE(3991)] = 128712,
  [SMALL_STATE(3992)] = 128804,
  [SMALL_STATE(3993)] = 128856,
  [SMALL_STATE(3994)] = 128948,
  [SMALL_STATE(3995)] = 129000,
  [SMALL_STATE(3996)] = 129052,
  [SMALL_STATE(3997)] = 129104,
  [SMALL_STATE(3998)] = 129156,
  [SMALL_STATE(3999)] = 129208,
  [SMALL_STATE(4000)] = 129260,
  [SMALL_STATE(4001)] = 129324,
  [SMALL_STATE(4002)] = 129376,
  [SMALL_STATE(4003)] = 129428,
  [SMALL_STATE(4004)] = 129480,
  [SMALL_STATE(4005)] = 129532,
  [SMALL_STATE(4006)] = 129624,
  [SMALL_STATE(4007)] = 129692,
  [SMALL_STATE(4008)] = 129756,
  [SMALL_STATE(4009)] = 129848,
  [SMALL_STATE(4010)] = 129916,
  [SMALL_STATE(4011)] = 130019,
  [SMALL_STATE(4012)] = 130104,
  [SMALL_STATE(4013)] = 130207,
  [SMALL_STATE(4014)] = 130292,
  [SMALL_STATE(4015)] = 130391,
  [SMALL_STATE(4016)] = 130476,
  [SMALL_STATE(4017)] = 130561,
  [SMALL_STATE(4018)] = 130646,
  [SMALL_STATE(4019)] = 130729,
  [SMALL_STATE(4020)] = 130796,
  [SMALL_STATE(4021)] = 130847,
  [SMALL_STATE(4022)] = 130898,
  [SMALL_STATE(4023)] = 130999,
  [SMALL_STATE(4024)] = 131074,
  [SMALL_STATE(4025)] = 131159,
  [SMALL_STATE(4026)] = 131238,
  [SMALL_STATE(4027)] = 131321,
  [SMALL_STATE(4028)] = 131406,
  [SMALL_STATE(4029)] = 131495,
  [SMALL_STATE(4030)] = 131586,
  [SMALL_STATE(4031)] = 131681,
  [SMALL_STATE(4032)] = 131766,
  [SMALL_STATE(4033)] = 131851,
  [SMALL_STATE(4034)] = 131936,
  [SMALL_STATE(4035)] = 132039,
  [SMALL_STATE(4036)] = 132108,
  [SMALL_STATE(4037)] = 132179,
  [SMALL_STATE(4038)] = 132252,
  [SMALL_STATE(4039)] = 132335,
  [SMALL_STATE(4040)] = 132420,
  [SMALL_STATE(4041)] = 132505,
  [SMALL_STATE(4042)] = 132572,
  [SMALL_STATE(4043)] = 132657,
  [SMALL_STATE(4044)] = 132716,
  [SMALL_STATE(4045)] = 132801,
  [SMALL_STATE(4046)] = 132886,
  [SMALL_STATE(4047)] = 132971,
  [SMALL_STATE(4048)] = 133056,
  [SMALL_STATE(4049)] = 133141,
  [SMALL_STATE(4050)] = 133208,
  [SMALL_STATE(4051)] = 133293,
  [SMALL_STATE(4052)] = 133396,
  [SMALL_STATE(4053)] = 133495,
  [SMALL_STATE(4054)] = 133562,
  [SMALL_STATE(4055)] = 133657,
  [SMALL_STATE(4056)] = 133756,
  [SMALL_STATE(4057)] = 133807,
  [SMALL_STATE(4058)] = 133908,
  [SMALL_STATE(4059)] = 134007,
  [SMALL_STATE(4060)] = 134058,
  [SMALL_STATE(4061)] = 134114,
  [SMALL_STATE(4062)] = 134170,
  [SMALL_STATE(4063)] = 134220,
  [SMALL_STATE(4064)] = 134296,
  [SMALL_STATE(4065)] = 134372,
  [SMALL_STATE(4066)] = 134454,
  [SMALL_STATE(4067)] = 134506,
  [SMALL_STATE(4068)] = 134562,
  [SMALL_STATE(4069)] = 134614,
  [SMALL_STATE(4070)] = 134666,
  [SMALL_STATE(4071)] = 134728,
  [SMALL_STATE(4072)] = 134780,
  [SMALL_STATE(4073)] = 134836,
  [SMALL_STATE(4074)] = 134918,
  [SMALL_STATE(4075)] = 134969,
  [SMALL_STATE(4076)] = 135050,
  [SMALL_STATE(4077)] = 135107,
  [SMALL_STATE(4078)] = 135188,
  [SMALL_STATE(4079)] = 135239,
  [SMALL_STATE(4080)] = 135288,
  [SMALL_STATE(4081)] = 135365,
  [SMALL_STATE(4082)] = 135414,
  [SMALL_STATE(4083)] = 135467,
  [SMALL_STATE(4084)] = 135570,
  [SMALL_STATE(4085)] = 135619,
  [SMALL_STATE(4086)] = 135696,
  [SMALL_STATE(4087)] = 135777,
  [SMALL_STATE(4088)] = 135858,
  [SMALL_STATE(4089)] = 135939,
  [SMALL_STATE(4090)] = 136020,
  [SMALL_STATE(4091)] = 136101,
  [SMALL_STATE(4092)] = 136182,
  [SMALL_STATE(4093)] = 136263,
  [SMALL_STATE(4094)] = 136344,
  [SMALL_STATE(4095)] = 136393,
  [SMALL_STATE(4096)] = 136474,
  [SMALL_STATE(4097)] = 136555,
  [SMALL_STATE(4098)] = 136636,
  [SMALL_STATE(4099)] = 136717,
  [SMALL_STATE(4100)] = 136766,
  [SMALL_STATE(4101)] = 136847,
  [SMALL_STATE(4102)] = 136928,
  [SMALL_STATE(4103)] = 136977,
  [SMALL_STATE(4104)] = 137058,
  [SMALL_STATE(4105)] = 137139,
  [SMALL_STATE(4106)] = 137242,
  [SMALL_STATE(4107)] = 137323,
  [SMALL_STATE(4108)] = 137426,
  [SMALL_STATE(4109)] = 137487,
  [SMALL_STATE(4110)] = 137536,
  [SMALL_STATE(4111)] = 137613,
  [SMALL_STATE(4112)] = 137694,
  [SMALL_STATE(4113)] = 137771,
  [SMALL_STATE(4114)] = 137848,
  [SMALL_STATE(4115)] = 137929,
  [SMALL_STATE(4116)] = 138010,
  [SMALL_STATE(4117)] = 138087,
  [SMALL_STATE(4118)] = 138136,
  [SMALL_STATE(4119)] = 138217,
  [SMALL_STATE(4120)] = 138306,
  [SMALL_STATE(4121)] = 138359,
  [SMALL_STATE(4122)] = 138410,
  [SMALL_STATE(4123)] = 138491,
  [SMALL_STATE(4124)] = 138572,
  [SMALL_STATE(4125)] = 138653,
  [SMALL_STATE(4126)] = 138734,
  [SMALL_STATE(4127)] = 138815,
  [SMALL_STATE(4128)] = 138876,
  [SMALL_STATE(4129)] = 138957,
  [SMALL_STATE(4130)] = 139038,
  [SMALL_STATE(4131)] = 139096,
  [SMALL_STATE(4132)] = 139172,
  [SMALL_STATE(4133)] = 139230,
  [SMALL_STATE(4134)] = 139306,
  [SMALL_STATE(4135)] = 139360,
  [SMALL_STATE(4136)] = 139414,
  [SMALL_STATE(4137)] = 139508,
  [SMALL_STATE(4138)] = 139602,
  [SMALL_STATE(4139)] = 139682,
  [SMALL_STATE(4140)] = 139762,
  [SMALL_STATE(4141)] = 139856,
  [SMALL_STATE(4142)] = 139956,
  [SMALL_STATE(4143)] = 140024,
  [SMALL_STATE(4144)] = 140082,
  [SMALL_STATE(4145)] = 140172,
  [SMALL_STATE(4146)] = 140230,
  [SMALL_STATE(4147)] = 140302,
  [SMALL_STATE(4148)] = 140392,
  [SMALL_STATE(4149)] = 140440,
  [SMALL_STATE(4150)] = 140488,
  [SMALL_STATE(4151)] = 140578,
  [SMALL_STATE(4152)] = 140654,
  [SMALL_STATE(4153)] = 140720,
  [SMALL_STATE(4154)] = 140790,
  [SMALL_STATE(4155)] = 140848,
  [SMALL_STATE(4156)] = 140938,
  [SMALL_STATE(4157)] = 141026,
  [SMALL_STATE(4158)] = 141112,
  [SMALL_STATE(4159)] = 141196,
  [SMALL_STATE(4160)] = 141278,
  [SMALL_STATE(4161)] = 141356,
  [SMALL_STATE(4162)] = 141453,
  [SMALL_STATE(4163)] = 141530,
  [SMALL_STATE(4164)] = 141577,
  [SMALL_STATE(4165)] = 141652,
  [SMALL_STATE(4166)] = 141701,
  [SMALL_STATE(4167)] = 141778,
  [SMALL_STATE(4168)] = 141825,
  [SMALL_STATE(4169)] = 141892,
  [SMALL_STATE(4170)] = 141939,
  [SMALL_STATE(4171)] = 142028,
  [SMALL_STATE(4172)] = 142075,
  [SMALL_STATE(4173)] = 142122,
  [SMALL_STATE(4174)] = 142199,
  [SMALL_STATE(4175)] = 142276,
  [SMALL_STATE(4176)] = 142365,
  [SMALL_STATE(4177)] = 142418,
  [SMALL_STATE(4178)] = 142513,
  [SMALL_STATE(4179)] = 142592,
  [SMALL_STATE(4180)] = 142669,
  [SMALL_STATE(4181)] = 142718,
  [SMALL_STATE(4182)] = 142815,
  [SMALL_STATE(4183)] = 142908,
  [SMALL_STATE(4184)] = 143005,
  [SMALL_STATE(4185)] = 143074,
  [SMALL_STATE(4186)] = 143141,
  [SMALL_STATE(4187)] = 143238,
  [SMALL_STATE(4188)] = 143335,
  [SMALL_STATE(4189)] = 143432,
  [SMALL_STATE(4190)] = 143499,
  [SMALL_STATE(4191)] = 143588,
  [SMALL_STATE(4192)] = 143685,
  [SMALL_STATE(4193)] = 143772,
  [SMALL_STATE(4194)] = 143843,
  [SMALL_STATE(4195)] = 143940,
  [SMALL_STATE(4196)] = 144033,
  [SMALL_STATE(4197)] = 144130,
  [SMALL_STATE(4198)] = 144227,
  [SMALL_STATE(4199)] = 144302,
  [SMALL_STATE(4200)] = 144399,
  [SMALL_STATE(4201)] = 144478,
  [SMALL_STATE(4202)] = 144531,
  [SMALL_STATE(4203)] = 144628,
  [SMALL_STATE(4204)] = 144725,
  [SMALL_STATE(4205)] = 144802,
  [SMALL_STATE(4206)] = 144879,
  [SMALL_STATE(4207)] = 144976,
  [SMALL_STATE(4208)] = 145023,
  [SMALL_STATE(4209)] = 145104,
  [SMALL_STATE(4210)] = 145151,
  [SMALL_STATE(4211)] = 145248,
  [SMALL_STATE(4212)] = 145331,
  [SMALL_STATE(4213)] = 145428,
  [SMALL_STATE(4214)] = 145477,
  [SMALL_STATE(4215)] = 145562,
  [SMALL_STATE(4216)] = 145655,
  [SMALL_STATE(4217)] = 145702,
  [SMALL_STATE(4218)] = 145799,
  [SMALL_STATE(4219)] = 145896,
  [SMALL_STATE(4220)] = 145993,
  [SMALL_STATE(4221)] = 146048,
  [SMALL_STATE(4222)] = 146145,
  [SMALL_STATE(4223)] = 146192,
  [SMALL_STATE(4224)] = 146269,
  [SMALL_STATE(4225)] = 146356,
  [SMALL_STATE(4226)] = 146443,
  [SMALL_STATE(4227)] = 146520,
  [SMALL_STATE(4228)] = 146617,
  [SMALL_STATE(4229)] = 146682,
  [SMALL_STATE(4230)] = 146735,
  [SMALL_STATE(4231)] = 146832,
  [SMALL_STATE(4232)] = 146885,
  [SMALL_STATE(4233)] = 146982,
  [SMALL_STATE(4234)] = 147029,
  [SMALL_STATE(4235)] = 147126,
  [SMALL_STATE(4236)] = 147173,
  [SMALL_STATE(4237)] = 147220,
  [SMALL_STATE(4238)] = 147317,
  [SMALL_STATE(4239)] = 147414,
  [SMALL_STATE(4240)] = 147511,
  [SMALL_STATE(4241)] = 147586,
  [SMALL_STATE(4242)] = 147683,
  [SMALL_STATE(4243)] = 147780,
  [SMALL_STATE(4244)] = 147877,
  [SMALL_STATE(4245)] = 147974,
  [SMALL_STATE(4246)] = 148071,
  [SMALL_STATE(4247)] = 148168,
  [SMALL_STATE(4248)] = 148261,
  [SMALL_STATE(4249)] = 148358,
  [SMALL_STATE(4250)] = 148455,
  [SMALL_STATE(4251)] = 148502,
  [SMALL_STATE(4252)] = 148599,
  [SMALL_STATE(4253)] = 148696,
  [SMALL_STATE(4254)] = 148793,
  [SMALL_STATE(4255)] = 148890,
  [SMALL_STATE(4256)] = 148983,
  [SMALL_STATE(4257)] = 149058,
  [SMALL_STATE(4258)] = 149155,
  [SMALL_STATE(4259)] = 149252,
  [SMALL_STATE(4260)] = 149319,
  [SMALL_STATE(4261)] = 149416,
  [SMALL_STATE(4262)] = 149513,
  [SMALL_STATE(4263)] = 149610,
  [SMALL_STATE(4264)] = 149663,
  [SMALL_STATE(4265)] = 149738,
  [SMALL_STATE(4266)] = 149835,
  [SMALL_STATE(4267)] = 149932,
  [SMALL_STATE(4268)] = 150029,
  [SMALL_STATE(4269)] = 150108,
  [SMALL_STATE(4270)] = 150187,
  [SMALL_STATE(4271)] = 150284,
  [SMALL_STATE(4272)] = 150331,
  [SMALL_STATE(4273)] = 150378,
  [SMALL_STATE(4274)] = 150475,
  [SMALL_STATE(4275)] = 150572,
  [SMALL_STATE(4276)] = 150619,
  [SMALL_STATE(4277)] = 150666,
  [SMALL_STATE(4278)] = 150755,
  [SMALL_STATE(4279)] = 150806,
  [SMALL_STATE(4280)] = 150903,
  [SMALL_STATE(4281)] = 150998,
  [SMALL_STATE(4282)] = 151095,
  [SMALL_STATE(4283)] = 151142,
  [SMALL_STATE(4284)] = 151202,
  [SMALL_STATE(4285)] = 151296,
  [SMALL_STATE(4286)] = 151388,
  [SMALL_STATE(4287)] = 151482,
  [SMALL_STATE(4288)] = 151576,
  [SMALL_STATE(4289)] = 151664,
  [SMALL_STATE(4290)] = 151756,
  [SMALL_STATE(4291)] = 151850,
  [SMALL_STATE(4292)] = 151942,
  [SMALL_STATE(4293)] = 152034,
  [SMALL_STATE(4294)] = 152126,
  [SMALL_STATE(4295)] = 152204,
  [SMALL_STATE(4296)] = 152282,
  [SMALL_STATE(4297)] = 152332,
  [SMALL_STATE(4298)] = 152426,
  [SMALL_STATE(4299)] = 152520,
  [SMALL_STATE(4300)] = 152614,
  [SMALL_STATE(4301)] = 152688,
  [SMALL_STATE(4302)] = 152782,
  [SMALL_STATE(4303)] = 152876,
  [SMALL_STATE(4304)] = 152932,
  [SMALL_STATE(4305)] = 153024,
  [SMALL_STATE(4306)] = 153118,
  [SMALL_STATE(4307)] = 153212,
  [SMALL_STATE(4308)] = 153304,
  [SMALL_STATE(4309)] = 153378,
  [SMALL_STATE(4310)] = 153470,
  [SMALL_STATE(4311)] = 153564,
  [SMALL_STATE(4312)] = 153620,
  [SMALL_STATE(4313)] = 153714,
  [SMALL_STATE(4314)] = 153802,
  [SMALL_STATE(4315)] = 153894,
  [SMALL_STATE(4316)] = 153982,
  [SMALL_STATE(4317)] = 154050,
  [SMALL_STATE(4318)] = 154118,
  [SMALL_STATE(4319)] = 154206,
  [SMALL_STATE(4320)] = 154298,
  [SMALL_STATE(4321)] = 154392,
  [SMALL_STATE(4322)] = 154450,
  [SMALL_STATE(4323)] = 154518,
  [SMALL_STATE(4324)] = 154610,
  [SMALL_STATE(4325)] = 154698,
  [SMALL_STATE(4326)] = 154790,
  [SMALL_STATE(4327)] = 154884,
  [SMALL_STATE(4328)] = 154952,
  [SMALL_STATE(4329)] = 155016,
  [SMALL_STATE(4330)] = 155076,
  [SMALL_STATE(4331)] = 155144,
  [SMALL_STATE(4332)] = 155236,
  [SMALL_STATE(4333)] = 155322,
  [SMALL_STATE(4334)] = 155390,
  [SMALL_STATE(4335)] = 155474,
  [SMALL_STATE(4336)] = 155556,
  [SMALL_STATE(4337)] = 155636,
  [SMALL_STATE(4338)] = 155712,
  [SMALL_STATE(4339)] = 155806,
  [SMALL_STATE(4340)] = 155858,
  [SMALL_STATE(4341)] = 155950,
  [SMALL_STATE(4342)] = 156024,
  [SMALL_STATE(4343)] = 156096,
  [SMALL_STATE(4344)] = 156162,
  [SMALL_STATE(4345)] = 156232,
  [SMALL_STATE(4346)] = 156324,
  [SMALL_STATE(4347)] = 156412,
  [SMALL_STATE(4348)] = 156482,
  [SMALL_STATE(4349)] = 156574,
  [SMALL_STATE(4350)] = 156622,
  [SMALL_STATE(4351)] = 156716,
  [SMALL_STATE(4352)] = 156764,
  [SMALL_STATE(4353)] = 156858,
  [SMALL_STATE(4354)] = 156926,
  [SMALL_STATE(4355)] = 156974,
  [SMALL_STATE(4356)] = 157048,
  [SMALL_STATE(4357)] = 157124,
  [SMALL_STATE(4358)] = 157218,
  [SMALL_STATE(4359)] = 157284,
  [SMALL_STATE(4360)] = 157378,
  [SMALL_STATE(4361)] = 157446,
  [SMALL_STATE(4362)] = 157496,
  [SMALL_STATE(4363)] = 157556,
  [SMALL_STATE(4364)] = 157638,
  [SMALL_STATE(4365)] = 157722,
  [SMALL_STATE(4366)] = 157782,
  [SMALL_STATE(4367)] = 157876,
  [SMALL_STATE(4368)] = 157970,
  [SMALL_STATE(4369)] = 158064,
  [SMALL_STATE(4370)] = 158132,
  [SMALL_STATE(4371)] = 158190,
  [SMALL_STATE(4372)] = 158282,
  [SMALL_STATE(4373)] = 158376,
  [SMALL_STATE(4374)] = 158444,
  [SMALL_STATE(4375)] = 158512,
  [SMALL_STATE(4376)] = 158572,
  [SMALL_STATE(4377)] = 158664,
  [SMALL_STATE(4378)] = 158758,
  [SMALL_STATE(4379)] = 158826,
  [SMALL_STATE(4380)] = 158920,
  [SMALL_STATE(4381)] = 159014,
  [SMALL_STATE(4382)] = 159108,
  [SMALL_STATE(4383)] = 159176,
  [SMALL_STATE(4384)] = 159262,
  [SMALL_STATE(4385)] = 159356,
  [SMALL_STATE(4386)] = 159450,
  [SMALL_STATE(4387)] = 159544,
  [SMALL_STATE(4388)] = 159636,
  [SMALL_STATE(4389)] = 159730,
  [SMALL_STATE(4390)] = 159824,
  [SMALL_STATE(4391)] = 159888,
  [SMALL_STATE(4392)] = 159982,
  [SMALL_STATE(4393)] = 160074,
  [SMALL_STATE(4394)] = 160168,
  [SMALL_STATE(4395)] = 160260,
  [SMALL_STATE(4396)] = 160354,
  [SMALL_STATE(4397)] = 160446,
  [SMALL_STATE(4398)] = 160534,
  [SMALL_STATE(4399)] = 160628,
  [SMALL_STATE(4400)] = 160722,
  [SMALL_STATE(4401)] = 160810,
  [SMALL_STATE(4402)] = 160856,
  [SMALL_STATE(4403)] = 160950,
  [SMALL_STATE(4404)] = 161044,
  [SMALL_STATE(4405)] = 161108,
  [SMALL_STATE(4406)] = 161196,
  [SMALL_STATE(4407)] = 161284,
  [SMALL_STATE(4408)] = 161370,
  [SMALL_STATE(4409)] = 161454,
  [SMALL_STATE(4410)] = 161532,
  [SMALL_STATE(4411)] = 161624,
  [SMALL_STATE(4412)] = 161682,
  [SMALL_STATE(4413)] = 161764,
  [SMALL_STATE(4414)] = 161844,
  [SMALL_STATE(4415)] = 161936,
  [SMALL_STATE(4416)] = 162016,
  [SMALL_STATE(4417)] = 162104,
  [SMALL_STATE(4418)] = 162198,
  [SMALL_STATE(4419)] = 162266,
  [SMALL_STATE(4420)] = 162332,
  [SMALL_STATE(4421)] = 162390,
  [SMALL_STATE(4422)] = 162484,
  [SMALL_STATE(4423)] = 162544,
  [SMALL_STATE(4424)] = 162636,
  [SMALL_STATE(4425)] = 162722,
  [SMALL_STATE(4426)] = 162816,
  [SMALL_STATE(4427)] = 162904,
  [SMALL_STATE(4428)] = 162974,
  [SMALL_STATE(4429)] = 163052,
  [SMALL_STATE(4430)] = 163112,
  [SMALL_STATE(4431)] = 163186,
  [SMALL_STATE(4432)] = 163246,
  [SMALL_STATE(4433)] = 163338,
  [SMALL_STATE(4434)] = 163414,
  [SMALL_STATE(4435)] = 163487,
  [SMALL_STATE(4436)] = 163578,
  [SMALL_STATE(4437)] = 163669,
  [SMALL_STATE(4438)] = 163760,
  [SMALL_STATE(4439)] = 163851,
  [SMALL_STATE(4440)] = 163934,
  [SMALL_STATE(4441)] = 163983,
  [SMALL_STATE(4442)] = 164074,
  [SMALL_STATE(4443)] = 164165,
  [SMALL_STATE(4444)] = 164256,
  [SMALL_STATE(4445)] = 164347,
  [SMALL_STATE(4446)] = 164396,
  [SMALL_STATE(4447)] = 164487,
  [SMALL_STATE(4448)] = 164578,
  [SMALL_STATE(4449)] = 164669,
  [SMALL_STATE(4450)] = 164760,
  [SMALL_STATE(4451)] = 164851,
  [SMALL_STATE(4452)] = 164942,
  [SMALL_STATE(4453)] = 164991,
  [SMALL_STATE(4454)] = 165040,
  [SMALL_STATE(4455)] = 165131,
  [SMALL_STATE(4456)] = 165222,
  [SMALL_STATE(4457)] = 165313,
  [SMALL_STATE(4458)] = 165362,
  [SMALL_STATE(4459)] = 165453,
  [SMALL_STATE(4460)] = 165544,
  [SMALL_STATE(4461)] = 165635,
  [SMALL_STATE(4462)] = 165726,
  [SMALL_STATE(4463)] = 165817,
  [SMALL_STATE(4464)] = 165908,
  [SMALL_STATE(4465)] = 165999,
  [SMALL_STATE(4466)] = 166090,
  [SMALL_STATE(4467)] = 166181,
  [SMALL_STATE(4468)] = 166272,
  [SMALL_STATE(4469)] = 166363,
  [SMALL_STATE(4470)] = 166444,
  [SMALL_STATE(4471)] = 166535,
  [SMALL_STATE(4472)] = 166626,
  [SMALL_STATE(4473)] = 166717,
  [SMALL_STATE(4474)] = 166808,
  [SMALL_STATE(4475)] = 166899,
  [SMALL_STATE(4476)] = 166990,
  [SMALL_STATE(4477)] = 167081,
  [SMALL_STATE(4478)] = 167138,
  [SMALL_STATE(4479)] = 167229,
  [SMALL_STATE(4480)] = 167286,
  [SMALL_STATE(4481)] = 167377,
  [SMALL_STATE(4482)] = 167468,
  [SMALL_STATE(4483)] = 167559,
  [SMALL_STATE(4484)] = 167650,
  [SMALL_STATE(4485)] = 167741,
  [SMALL_STATE(4486)] = 167832,
  [SMALL_STATE(4487)] = 167923,
  [SMALL_STATE(4488)] = 168014,
  [SMALL_STATE(4489)] = 168105,
  [SMALL_STATE(4490)] = 168156,
  [SMALL_STATE(4491)] = 168247,
  [SMALL_STATE(4492)] = 168328,
  [SMALL_STATE(4493)] = 168419,
  [SMALL_STATE(4494)] = 168486,
  [SMALL_STATE(4495)] = 168577,
  [SMALL_STATE(4496)] = 168668,
  [SMALL_STATE(4497)] = 168759,
  [SMALL_STATE(4498)] = 168850,
  [SMALL_STATE(4499)] = 168897,
  [SMALL_STATE(4500)] = 168988,
  [SMALL_STATE(4501)] = 169079,
  [SMALL_STATE(4502)] = 169128,
  [SMALL_STATE(4503)] = 169219,
  [SMALL_STATE(4504)] = 169268,
  [SMALL_STATE(4505)] = 169317,
  [SMALL_STATE(4506)] = 169398,
  [SMALL_STATE(4507)] = 169489,
  [SMALL_STATE(4508)] = 169580,
  [SMALL_STATE(4509)] = 169671,
  [SMALL_STATE(4510)] = 169724,
  [SMALL_STATE(4511)] = 169771,
  [SMALL_STATE(4512)] = 169862,
  [SMALL_STATE(4513)] = 169929,
  [SMALL_STATE(4514)] = 170020,
  [SMALL_STATE(4515)] = 170069,
  [SMALL_STATE(4516)] = 170160,
  [SMALL_STATE(4517)] = 170251,
  [SMALL_STATE(4518)] = 170342,
  [SMALL_STATE(4519)] = 170433,
  [SMALL_STATE(4520)] = 170484,
  [SMALL_STATE(4521)] = 170575,
  [SMALL_STATE(4522)] = 170666,
  [SMALL_STATE(4523)] = 170747,
  [SMALL_STATE(4524)] = 170838,
  [SMALL_STATE(4525)] = 170905,
  [SMALL_STATE(4526)] = 170996,
  [SMALL_STATE(4527)] = 171087,
  [SMALL_STATE(4528)] = 171178,
  [SMALL_STATE(4529)] = 171269,
  [SMALL_STATE(4530)] = 171350,
  [SMALL_STATE(4531)] = 171441,
  [SMALL_STATE(4532)] = 171532,
  [SMALL_STATE(4533)] = 171623,
  [SMALL_STATE(4534)] = 171696,
  [SMALL_STATE(4535)] = 171787,
  [SMALL_STATE(4536)] = 171878,
  [SMALL_STATE(4537)] = 171969,
  [SMALL_STATE(4538)] = 172060,
  [SMALL_STATE(4539)] = 172151,
  [SMALL_STATE(4540)] = 172202,
  [SMALL_STATE(4541)] = 172257,
  [SMALL_STATE(4542)] = 172324,
  [SMALL_STATE(4543)] = 172415,
  [SMALL_STATE(4544)] = 172506,
  [SMALL_STATE(4545)] = 172551,
  [SMALL_STATE(4546)] = 172642,
  [SMALL_STATE(4547)] = 172733,
  [SMALL_STATE(4548)] = 172824,
  [SMALL_STATE(4549)] = 172915,
  [SMALL_STATE(4550)] = 173006,
  [SMALL_STATE(4551)] = 173057,
  [SMALL_STATE(4552)] = 173138,
  [SMALL_STATE(4553)] = 173183,
  [SMALL_STATE(4554)] = 173274,
  [SMALL_STATE(4555)] = 173365,
  [SMALL_STATE(4556)] = 173456,
  [SMALL_STATE(4557)] = 173547,
  [SMALL_STATE(4558)] = 173638,
  [SMALL_STATE(4559)] = 173729,
  [SMALL_STATE(4560)] = 173810,
  [SMALL_STATE(4561)] = 173901,
  [SMALL_STATE(4562)] = 173992,
  [SMALL_STATE(4563)] = 174083,
  [SMALL_STATE(4564)] = 174174,
  [SMALL_STATE(4565)] = 174265,
  [SMALL_STATE(4566)] = 174356,
  [SMALL_STATE(4567)] = 174434,
  [SMALL_STATE(4568)] = 174478,
  [SMALL_STATE(4569)] = 174522,
  [SMALL_STATE(4570)] = 174566,
  [SMALL_STATE(4571)] = 174644,
  [SMALL_STATE(4572)] = 174688,
  [SMALL_STATE(4573)] = 174764,
  [SMALL_STATE(4574)] = 174808,
  [SMALL_STATE(4575)] = 174852,
  [SMALL_STATE(4576)] = 174896,
  [SMALL_STATE(4577)] = 174940,
  [SMALL_STATE(4578)] = 174990,
  [SMALL_STATE(4579)] = 175034,
  [SMALL_STATE(4580)] = 175106,
  [SMALL_STATE(4581)] = 175178,
  [SMALL_STATE(4582)] = 175222,
  [SMALL_STATE(4583)] = 175266,
  [SMALL_STATE(4584)] = 175310,
  [SMALL_STATE(4585)] = 175354,
  [SMALL_STATE(4586)] = 175398,
  [SMALL_STATE(4587)] = 175442,
  [SMALL_STATE(4588)] = 175486,
  [SMALL_STATE(4589)] = 175564,
  [SMALL_STATE(4590)] = 175608,
  [SMALL_STATE(4591)] = 175656,
  [SMALL_STATE(4592)] = 175700,
  [SMALL_STATE(4593)] = 175744,
  [SMALL_STATE(4594)] = 175788,
  [SMALL_STATE(4595)] = 175854,
  [SMALL_STATE(4596)] = 175936,
  [SMALL_STATE(4597)] = 176014,
  [SMALL_STATE(4598)] = 176058,
  [SMALL_STATE(4599)] = 176102,
  [SMALL_STATE(4600)] = 176184,
  [SMALL_STATE(4601)] = 176244,
  [SMALL_STATE(4602)] = 176288,
  [SMALL_STATE(4603)] = 176366,
  [SMALL_STATE(4604)] = 176432,
  [SMALL_STATE(4605)] = 176510,
  [SMALL_STATE(4606)] = 176556,
  [SMALL_STATE(4607)] = 176622,
  [SMALL_STATE(4608)] = 176672,
  [SMALL_STATE(4609)] = 176738,
  [SMALL_STATE(4610)] = 176782,
  [SMALL_STATE(4611)] = 176826,
  [SMALL_STATE(4612)] = 176870,
  [SMALL_STATE(4613)] = 176914,
  [SMALL_STATE(4614)] = 176980,
  [SMALL_STATE(4615)] = 177028,
  [SMALL_STATE(4616)] = 177104,
  [SMALL_STATE(4617)] = 177148,
  [SMALL_STATE(4618)] = 177192,
  [SMALL_STATE(4619)] = 177236,
  [SMALL_STATE(4620)] = 177280,
  [SMALL_STATE(4621)] = 177334,
  [SMALL_STATE(4622)] = 177422,
  [SMALL_STATE(4623)] = 177500,
  [SMALL_STATE(4624)] = 177544,
  [SMALL_STATE(4625)] = 177588,
  [SMALL_STATE(4626)] = 177632,
  [SMALL_STATE(4627)] = 177698,
  [SMALL_STATE(4628)] = 177742,
  [SMALL_STATE(4629)] = 177808,
  [SMALL_STATE(4630)] = 177886,
  [SMALL_STATE(4631)] = 177930,
  [SMALL_STATE(4632)] = 177996,
  [SMALL_STATE(4633)] = 178040,
  [SMALL_STATE(4634)] = 178084,
  [SMALL_STATE(4635)] = 178139,
  [SMALL_STATE(4636)] = 178204,
  [SMALL_STATE(4637)] = 178247,
  [SMALL_STATE(4638)] = 178294,
  [SMALL_STATE(4639)] = 178341,
  [SMALL_STATE(4640)] = 178386,
  [SMALL_STATE(4641)] = 178431,
  [SMALL_STATE(4642)] = 178474,
  [SMALL_STATE(4643)] = 178555,
  [SMALL_STATE(4644)] = 178602,
  [SMALL_STATE(4645)] = 178673,
  [SMALL_STATE(4646)] = 178720,
  [SMALL_STATE(4647)] = 178763,
  [SMALL_STATE(4648)] = 178818,
  [SMALL_STATE(4649)] = 178865,
  [SMALL_STATE(4650)] = 178930,
  [SMALL_STATE(4651)] = 178973,
  [SMALL_STATE(4652)] = 179020,
  [SMALL_STATE(4653)] = 179067,
  [SMALL_STATE(4654)] = 179120,
  [SMALL_STATE(4655)] = 179163,
  [SMALL_STATE(4656)] = 179206,
  [SMALL_STATE(4657)] = 179249,
  [SMALL_STATE(4658)] = 179308,
  [SMALL_STATE(4659)] = 179389,
  [SMALL_STATE(4660)] = 179432,
  [SMALL_STATE(4661)] = 179475,
  [SMALL_STATE(4662)] = 179520,
  [SMALL_STATE(4663)] = 179563,
  [SMALL_STATE(4664)] = 179628,
  [SMALL_STATE(4665)] = 179671,
  [SMALL_STATE(4666)] = 179736,
  [SMALL_STATE(4667)] = 179779,
  [SMALL_STATE(4668)] = 179828,
  [SMALL_STATE(4669)] = 179899,
  [SMALL_STATE(4670)] = 179944,
  [SMALL_STATE(4671)] = 179987,
  [SMALL_STATE(4672)] = 180030,
  [SMALL_STATE(4673)] = 180083,
  [SMALL_STATE(4674)] = 180147,
  [SMALL_STATE(4675)] = 180195,
  [SMALL_STATE(4676)] = 180275,
  [SMALL_STATE(4677)] = 180339,
  [SMALL_STATE(4678)] = 180403,
  [SMALL_STATE(4679)] = 180483,
  [SMALL_STATE(4680)] = 180529,
  [SMALL_STATE(4681)] = 180593,
  [SMALL_STATE(4682)] = 180651,
  [SMALL_STATE(4683)] = 180699,
  [SMALL_STATE(4684)] = 180747,
  [SMALL_STATE(4685)] = 180793,
  [SMALL_STATE(4686)] = 180843,
  [SMALL_STATE(4687)] = 180889,
  [SMALL_STATE(4688)] = 180937,
  [SMALL_STATE(4689)] = 180985,
  [SMALL_STATE(4690)] = 181055,
  [SMALL_STATE(4691)] = 181135,
  [SMALL_STATE(4692)] = 181185,
  [SMALL_STATE(4693)] = 181265,
  [SMALL_STATE(4694)] = 181345,
  [SMALL_STATE(4695)] = 181399,
  [SMALL_STATE(4696)] = 181469,
  [SMALL_STATE(4697)] = 181549,
  [SMALL_STATE(4698)] = 181629,
  [SMALL_STATE(4699)] = 181671,
  [SMALL_STATE(4700)] = 181751,
  [SMALL_STATE(4701)] = 181835,
  [SMALL_STATE(4702)] = 181889,
  [SMALL_STATE(4703)] = 181937,
  [SMALL_STATE(4704)] = 182002,
  [SMALL_STATE(4705)] = 182067,
  [SMALL_STATE(4706)] = 182156,
  [SMALL_STATE(4707)] = 182235,
  [SMALL_STATE(4708)] = 182304,
  [SMALL_STATE(4709)] = 182367,
  [SMALL_STATE(4710)] = 182430,
  [SMALL_STATE(4711)] = 182493,
  [SMALL_STATE(4712)] = 182544,
  [SMALL_STATE(4713)] = 182607,
  [SMALL_STATE(4714)] = 182652,
  [SMALL_STATE(4715)] = 182697,
  [SMALL_STATE(4716)] = 182744,
  [SMALL_STATE(4717)] = 182809,
  [SMALL_STATE(4718)] = 182874,
  [SMALL_STATE(4719)] = 182939,
  [SMALL_STATE(4720)] = 183004,
  [SMALL_STATE(4721)] = 183069,
  [SMALL_STATE(4722)] = 183134,
  [SMALL_STATE(4723)] = 183199,
  [SMALL_STATE(4724)] = 183264,
  [SMALL_STATE(4725)] = 183309,
  [SMALL_STATE(4726)] = 183354,
  [SMALL_STATE(4727)] = 183419,
  [SMALL_STATE(4728)] = 183484,
  [SMALL_STATE(4729)] = 183557,
  [SMALL_STATE(4730)] = 183636,
  [SMALL_STATE(4731)] = 183709,
  [SMALL_STATE(4732)] = 183756,
  [SMALL_STATE(4733)] = 183821,
  [SMALL_STATE(4734)] = 183886,
  [SMALL_STATE(4735)] = 183931,
  [SMALL_STATE(4736)] = 183996,
  [SMALL_STATE(4737)] = 184041,
  [SMALL_STATE(4738)] = 184086,
  [SMALL_STATE(4739)] = 184131,
  [SMALL_STATE(4740)] = 184196,
  [SMALL_STATE(4741)] = 184261,
  [SMALL_STATE(4742)] = 184334,
  [SMALL_STATE(4743)] = 184381,
  [SMALL_STATE(4744)] = 184426,
  [SMALL_STATE(4745)] = 184495,
  [SMALL_STATE(4746)] = 184560,
  [SMALL_STATE(4747)] = 184625,
  [SMALL_STATE(4748)] = 184670,
  [SMALL_STATE(4749)] = 184749,
  [SMALL_STATE(4750)] = 184790,
  [SMALL_STATE(4751)] = 184859,
  [SMALL_STATE(4752)] = 184938,
  [SMALL_STATE(4753)] = 184983,
  [SMALL_STATE(4754)] = 185052,
  [SMALL_STATE(4755)] = 185125,
  [SMALL_STATE(4756)] = 185170,
  [SMALL_STATE(4757)] = 185235,
  [SMALL_STATE(4758)] = 185300,
  [SMALL_STATE(4759)] = 185340,
  [SMALL_STATE(4760)] = 185380,
  [SMALL_STATE(4761)] = 185452,
  [SMALL_STATE(4762)] = 185494,
  [SMALL_STATE(4763)] = 185556,
  [SMALL_STATE(4764)] = 185596,
  [SMALL_STATE(4765)] = 185676,
  [SMALL_STATE(4766)] = 185716,
  [SMALL_STATE(4767)] = 185756,
  [SMALL_STATE(4768)] = 185836,
  [SMALL_STATE(4769)] = 185898,
  [SMALL_STATE(4770)] = 185938,
  [SMALL_STATE(4771)] = 186000,
  [SMALL_STATE(4772)] = 186080,
  [SMALL_STATE(4773)] = 186160,
  [SMALL_STATE(4774)] = 186200,
  [SMALL_STATE(4775)] = 186240,
  [SMALL_STATE(4776)] = 186280,
  [SMALL_STATE(4777)] = 186360,
  [SMALL_STATE(4778)] = 186400,
  [SMALL_STATE(4779)] = 186480,
  [SMALL_STATE(4780)] = 186560,
  [SMALL_STATE(4781)] = 186600,
  [SMALL_STATE(4782)] = 186640,
  [SMALL_STATE(4783)] = 186720,
  [SMALL_STATE(4784)] = 186760,
  [SMALL_STATE(4785)] = 186800,
  [SMALL_STATE(4786)] = 186840,
  [SMALL_STATE(4787)] = 186920,
  [SMALL_STATE(4788)] = 186960,
  [SMALL_STATE(4789)] = 187040,
  [SMALL_STATE(4790)] = 187090,
  [SMALL_STATE(4791)] = 187162,
  [SMALL_STATE(4792)] = 187242,
  [SMALL_STATE(4793)] = 187282,
  [SMALL_STATE(4794)] = 187322,
  [SMALL_STATE(4795)] = 187362,
  [SMALL_STATE(4796)] = 187410,
  [SMALL_STATE(4797)] = 187450,
  [SMALL_STATE(4798)] = 187530,
  [SMALL_STATE(4799)] = 187570,
  [SMALL_STATE(4800)] = 187610,
  [SMALL_STATE(4801)] = 187682,
  [SMALL_STATE(4802)] = 187762,
  [SMALL_STATE(4803)] = 187802,
  [SMALL_STATE(4804)] = 187882,
  [SMALL_STATE(4805)] = 187922,
  [SMALL_STATE(4806)] = 187962,
  [SMALL_STATE(4807)] = 188002,
  [SMALL_STATE(4808)] = 188042,
  [SMALL_STATE(4809)] = 188122,
  [SMALL_STATE(4810)] = 188202,
  [SMALL_STATE(4811)] = 188242,
  [SMALL_STATE(4812)] = 188314,
  [SMALL_STATE(4813)] = 188354,
  [SMALL_STATE(4814)] = 188416,
  [SMALL_STATE(4815)] = 188496,
  [SMALL_STATE(4816)] = 188536,
  [SMALL_STATE(4817)] = 188576,
  [SMALL_STATE(4818)] = 188616,
  [SMALL_STATE(4819)] = 188656,
  [SMALL_STATE(4820)] = 188704,
  [SMALL_STATE(4821)] = 188782,
  [SMALL_STATE(4822)] = 188822,
  [SMALL_STATE(4823)] = 188900,
  [SMALL_STATE(4824)] = 188940,
  [SMALL_STATE(4825)] = 188980,
  [SMALL_STATE(4826)] = 189020,
  [SMALL_STATE(4827)] = 189100,
  [SMALL_STATE(4828)] = 189151,
  [SMALL_STATE(4829)] = 189202,
  [SMALL_STATE(4830)] = 189263,
  [SMALL_STATE(4831)] = 189334,
  [SMALL_STATE(4832)] = 189377,
  [SMALL_STATE(4833)] = 189448,
  [SMALL_STATE(4834)] = 189519,
  [SMALL_STATE(4835)] = 189590,
  [SMALL_STATE(4836)] = 189633,
  [SMALL_STATE(4837)] = 189704,
  [SMALL_STATE(4838)] = 189765,
  [SMALL_STATE(4839)] = 189826,
  [SMALL_STATE(4840)] = 189897,
  [SMALL_STATE(4841)] = 189958,
  [SMALL_STATE(4842)] = 190029,
  [SMALL_STATE(4843)] = 190090,
  [SMALL_STATE(4844)] = 190133,
  [SMALL_STATE(4845)] = 190184,
  [SMALL_STATE(4846)] = 190245,
  [SMALL_STATE(4847)] = 190288,
  [SMALL_STATE(4848)] = 190331,
  [SMALL_STATE(4849)] = 190382,
  [SMALL_STATE(4850)] = 190425,
  [SMALL_STATE(4851)] = 190468,
  [SMALL_STATE(4852)] = 190519,
  [SMALL_STATE(4853)] = 190580,
  [SMALL_STATE(4854)] = 190623,
  [SMALL_STATE(4855)] = 190694,
  [SMALL_STATE(4856)] = 190737,
  [SMALL_STATE(4857)] = 190788,
  [SMALL_STATE(4858)] = 190859,
  [SMALL_STATE(4859)] = 190930,
  [SMALL_STATE(4860)] = 191001,
  [SMALL_STATE(4861)] = 191044,
  [SMALL_STATE(4862)] = 191087,
  [SMALL_STATE(4863)] = 191148,
  [SMALL_STATE(4864)] = 191209,
  [SMALL_STATE(4865)] = 191280,
  [SMALL_STATE(4866)] = 191323,
  [SMALL_STATE(4867)] = 191384,
  [SMALL_STATE(4868)] = 191455,
  [SMALL_STATE(4869)] = 191522,
  [SMALL_STATE(4870)] = 191593,
  [SMALL_STATE(4871)] = 191640,
  [SMALL_STATE(4872)] = 191701,
  [SMALL_STATE(4873)] = 191768,
  [SMALL_STATE(4874)] = 191839,
  [SMALL_STATE(4875)] = 191900,
  [SMALL_STATE(4876)] = 191971,
  [SMALL_STATE(4877)] = 192045,
  [SMALL_STATE(4878)] = 192115,
  [SMALL_STATE(4879)] = 192189,
  [SMALL_STATE(4880)] = 192263,
  [SMALL_STATE(4881)] = 192323,
  [SMALL_STATE(4882)] = 192397,
  [SMALL_STATE(4883)] = 192467,
  [SMALL_STATE(4884)] = 192505,
  [SMALL_STATE(4885)] = 192543,
  [SMALL_STATE(4886)] = 192617,
  [SMALL_STATE(4887)] = 192691,
  [SMALL_STATE(4888)] = 192765,
  [SMALL_STATE(4889)] = 192839,
  [SMALL_STATE(4890)] = 192909,
  [SMALL_STATE(4891)] = 192979,
  [SMALL_STATE(4892)] = 193053,
  [SMALL_STATE(4893)] = 193127,
  [SMALL_STATE(4894)] = 193201,
  [SMALL_STATE(4895)] = 193271,
  [SMALL_STATE(4896)] = 193345,
  [SMALL_STATE(4897)] = 193415,
  [SMALL_STATE(4898)] = 193485,
  [SMALL_STATE(4899)] = 193555,
  [SMALL_STATE(4900)] = 193615,
  [SMALL_STATE(4901)] = 193691,
  [SMALL_STATE(4902)] = 193765,
  [SMALL_STATE(4903)] = 193803,
  [SMALL_STATE(4904)] = 193877,
  [SMALL_STATE(4905)] = 193951,
  [SMALL_STATE(4906)] = 193989,
  [SMALL_STATE(4907)] = 194063,
  [SMALL_STATE(4908)] = 194133,
  [SMALL_STATE(4909)] = 194207,
  [SMALL_STATE(4910)] = 194281,
  [SMALL_STATE(4911)] = 194319,
  [SMALL_STATE(4912)] = 194393,
  [SMALL_STATE(4913)] = 194467,
  [SMALL_STATE(4914)] = 194541,
  [SMALL_STATE(4915)] = 194615,
  [SMALL_STATE(4916)] = 194691,
  [SMALL_STATE(4917)] = 194735,
  [SMALL_STATE(4918)] = 194809,
  [SMALL_STATE(4919)] = 194883,
  [SMALL_STATE(4920)] = 194953,
  [SMALL_STATE(4921)] = 195023,
  [SMALL_STATE(4922)] = 195093,
  [SMALL_STATE(4923)] = 195167,
  [SMALL_STATE(4924)] = 195241,
  [SMALL_STATE(4925)] = 195311,
  [SMALL_STATE(4926)] = 195371,
  [SMALL_STATE(4927)] = 195445,
  [SMALL_STATE(4928)] = 195485,
  [SMALL_STATE(4929)] = 195559,
  [SMALL_STATE(4930)] = 195633,
  [SMALL_STATE(4931)] = 195707,
  [SMALL_STATE(4932)] = 195781,
  [SMALL_STATE(4933)] = 195857,
  [SMALL_STATE(4934)] = 195931,
  [SMALL_STATE(4935)] = 196005,
  [SMALL_STATE(4936)] = 196065,
  [SMALL_STATE(4937)] = 196125,
  [SMALL_STATE(4938)] = 196195,
  [SMALL_STATE(4939)] = 196239,
  [SMALL_STATE(4940)] = 196277,
  [SMALL_STATE(4941)] = 196351,
  [SMALL_STATE(4942)] = 196427,
  [SMALL_STATE(4943)] = 196497,
  [SMALL_STATE(4944)] = 196571,
  [SMALL_STATE(4945)] = 196631,
  [SMALL_STATE(4946)] = 196691,
  [SMALL_STATE(4947)] = 196765,
  [SMALL_STATE(4948)] = 196839,
  [SMALL_STATE(4949)] = 196909,
  [SMALL_STATE(4950)] = 196983,
  [SMALL_STATE(4951)] = 197043,
  [SMALL_STATE(4952)] = 197093,
  [SMALL_STATE(4953)] = 197135,
  [SMALL_STATE(4954)] = 197209,
  [SMALL_STATE(4955)] = 197247,
  [SMALL_STATE(4956)] = 197284,
  [SMALL_STATE(4957)] = 197363,
  [SMALL_STATE(4958)] = 197430,
  [SMALL_STATE(4959)] = 197497,
  [SMALL_STATE(4960)] = 197542,
  [SMALL_STATE(4961)] = 197579,
  [SMALL_STATE(4962)] = 197658,
  [SMALL_STATE(4963)] = 197737,
  [SMALL_STATE(4964)] = 197816,
  [SMALL_STATE(4965)] = 197853,
  [SMALL_STATE(4966)] = 197890,
  [SMALL_STATE(4967)] = 197957,
  [SMALL_STATE(4968)] = 197994,
  [SMALL_STATE(4969)] = 198031,
  [SMALL_STATE(4970)] = 198110,
  [SMALL_STATE(4971)] = 198189,
  [SMALL_STATE(4972)] = 198268,
  [SMALL_STATE(4973)] = 198335,
  [SMALL_STATE(4974)] = 198402,
  [SMALL_STATE(4975)] = 198439,
  [SMALL_STATE(4976)] = 198506,
  [SMALL_STATE(4977)] = 198543,
  [SMALL_STATE(4978)] = 198588,
  [SMALL_STATE(4979)] = 198655,
  [SMALL_STATE(4980)] = 198692,
  [SMALL_STATE(4981)] = 198729,
  [SMALL_STATE(4982)] = 198808,
  [SMALL_STATE(4983)] = 198875,
  [SMALL_STATE(4984)] = 198954,
  [SMALL_STATE(4985)] = 199033,
  [SMALL_STATE(4986)] = 199112,
  [SMALL_STATE(4987)] = 199191,
  [SMALL_STATE(4988)] = 199270,
  [SMALL_STATE(4989)] = 199307,
  [SMALL_STATE(4990)] = 199374,
  [SMALL_STATE(4991)] = 199411,
  [SMALL_STATE(4992)] = 199448,
  [SMALL_STATE(4993)] = 199485,
  [SMALL_STATE(4994)] = 199552,
  [SMALL_STATE(4995)] = 199631,
  [SMALL_STATE(4996)] = 199710,
  [SMALL_STATE(4997)] = 199777,
  [SMALL_STATE(4998)] = 199856,
  [SMALL_STATE(4999)] = 199923,
  [SMALL_STATE(5000)] = 200002,
  [SMALL_STATE(5001)] = 200081,
  [SMALL_STATE(5002)] = 200148,
  [SMALL_STATE(5003)] = 200227,
  [SMALL_STATE(5004)] = 200264,
  [SMALL_STATE(5005)] = 200301,
  [SMALL_STATE(5006)] = 200338,
  [SMALL_STATE(5007)] = 200417,
  [SMALL_STATE(5008)] = 200496,
  [SMALL_STATE(5009)] = 200563,
  [SMALL_STATE(5010)] = 200642,
  [SMALL_STATE(5011)] = 200679,
  [SMALL_STATE(5012)] = 200758,
  [SMALL_STATE(5013)] = 200837,
  [SMALL_STATE(5014)] = 200916,
  [SMALL_STATE(5015)] = 200953,
  [SMALL_STATE(5016)] = 201032,
  [SMALL_STATE(5017)] = 201111,
  [SMALL_STATE(5018)] = 201190,
  [SMALL_STATE(5019)] = 201269,
  [SMALL_STATE(5020)] = 201306,
  [SMALL_STATE(5021)] = 201385,
  [SMALL_STATE(5022)] = 201464,
  [SMALL_STATE(5023)] = 201543,
  [SMALL_STATE(5024)] = 201622,
  [SMALL_STATE(5025)] = 201701,
  [SMALL_STATE(5026)] = 201780,
  [SMALL_STATE(5027)] = 201859,
  [SMALL_STATE(5028)] = 201938,
  [SMALL_STATE(5029)] = 202017,
  [SMALL_STATE(5030)] = 202096,
  [SMALL_STATE(5031)] = 202175,
  [SMALL_STATE(5032)] = 202254,
  [SMALL_STATE(5033)] = 202333,
  [SMALL_STATE(5034)] = 202412,
  [SMALL_STATE(5035)] = 202491,
  [SMALL_STATE(5036)] = 202570,
  [SMALL_STATE(5037)] = 202649,
  [SMALL_STATE(5038)] = 202728,
  [SMALL_STATE(5039)] = 202807,
  [SMALL_STATE(5040)] = 202886,
  [SMALL_STATE(5041)] = 202965,
  [SMALL_STATE(5042)] = 203044,
  [SMALL_STATE(5043)] = 203123,
  [SMALL_STATE(5044)] = 203190,
  [SMALL_STATE(5045)] = 203269,
  [SMALL_STATE(5046)] = 203348,
  [SMALL_STATE(5047)] = 203427,
  [SMALL_STATE(5048)] = 203506,
  [SMALL_STATE(5049)] = 203585,
  [SMALL_STATE(5050)] = 203664,
  [SMALL_STATE(5051)] = 203743,
  [SMALL_STATE(5052)] = 203822,
  [SMALL_STATE(5053)] = 203901,
  [SMALL_STATE(5054)] = 203980,
  [SMALL_STATE(5055)] = 204059,
  [SMALL_STATE(5056)] = 204126,
  [SMALL_STATE(5057)] = 204205,
  [SMALL_STATE(5058)] = 204272,
  [SMALL_STATE(5059)] = 204339,
  [SMALL_STATE(5060)] = 204418,
  [SMALL_STATE(5061)] = 204497,
  [SMALL_STATE(5062)] = 204576,
  [SMALL_STATE(5063)] = 204613,
  [SMALL_STATE(5064)] = 204680,
  [SMALL_STATE(5065)] = 204747,
  [SMALL_STATE(5066)] = 204814,
  [SMALL_STATE(5067)] = 204893,
  [SMALL_STATE(5068)] = 204972,
  [SMALL_STATE(5069)] = 205009,
  [SMALL_STATE(5070)] = 205046,
  [SMALL_STATE(5071)] = 205113,
  [SMALL_STATE(5072)] = 205150,
  [SMALL_STATE(5073)] = 205187,
  [SMALL_STATE(5074)] = 205254,
  [SMALL_STATE(5075)] = 205321,
  [SMALL_STATE(5076)] = 205400,
  [SMALL_STATE(5077)] = 205479,
  [SMALL_STATE(5078)] = 205558,
  [SMALL_STATE(5079)] = 205595,
  [SMALL_STATE(5080)] = 205632,
  [SMALL_STATE(5081)] = 205669,
  [SMALL_STATE(5082)] = 205706,
  [SMALL_STATE(5083)] = 205743,
  [SMALL_STATE(5084)] = 205780,
  [SMALL_STATE(5085)] = 205817,
  [SMALL_STATE(5086)] = 205896,
  [SMALL_STATE(5087)] = 205943,
  [SMALL_STATE(5088)] = 206012,
  [SMALL_STATE(5089)] = 206059,
  [SMALL_STATE(5090)] = 206128,
  [SMALL_STATE(5091)] = 206195,
  [SMALL_STATE(5092)] = 206262,
  [SMALL_STATE(5093)] = 206311,
  [SMALL_STATE(5094)] = 206360,
  [SMALL_STATE(5095)] = 206397,
  [SMALL_STATE(5096)] = 206464,
  [SMALL_STATE(5097)] = 206543,
  [SMALL_STATE(5098)] = 206612,
  [SMALL_STATE(5099)] = 206681,
  [SMALL_STATE(5100)] = 206760,
  [SMALL_STATE(5101)] = 206800,
  [SMALL_STATE(5102)] = 206876,
  [SMALL_STATE(5103)] = 206934,
  [SMALL_STATE(5104)] = 206972,
  [SMALL_STATE(5105)] = 207034,
  [SMALL_STATE(5106)] = 207110,
  [SMALL_STATE(5107)] = 207172,
  [SMALL_STATE(5108)] = 207248,
  [SMALL_STATE(5109)] = 207306,
  [SMALL_STATE(5110)] = 207382,
  [SMALL_STATE(5111)] = 207422,
  [SMALL_STATE(5112)] = 207484,
  [SMALL_STATE(5113)] = 207542,
  [SMALL_STATE(5114)] = 207618,
  [SMALL_STATE(5115)] = 207694,
  [SMALL_STATE(5116)] = 207770,
  [SMALL_STATE(5117)] = 207810,
  [SMALL_STATE(5118)] = 207872,
  [SMALL_STATE(5119)] = 207948,
  [SMALL_STATE(5120)] = 208010,
  [SMALL_STATE(5121)] = 208050,
  [SMALL_STATE(5122)] = 208126,
  [SMALL_STATE(5123)] = 208202,
  [SMALL_STATE(5124)] = 208250,
  [SMALL_STATE(5125)] = 208312,
  [SMALL_STATE(5126)] = 208388,
  [SMALL_STATE(5127)] = 208434,
  [SMALL_STATE(5128)] = 208478,
  [SMALL_STATE(5129)] = 208554,
  [SMALL_STATE(5130)] = 208630,
  [SMALL_STATE(5131)] = 208670,
  [SMALL_STATE(5132)] = 208710,
  [SMALL_STATE(5133)] = 208786,
  [SMALL_STATE(5134)] = 208826,
  [SMALL_STATE(5135)] = 208866,
  [SMALL_STATE(5136)] = 208924,
  [SMALL_STATE(5137)] = 209000,
  [SMALL_STATE(5138)] = 209076,
  [SMALL_STATE(5139)] = 209152,
  [SMALL_STATE(5140)] = 209198,
  [SMALL_STATE(5141)] = 209274,
  [SMALL_STATE(5142)] = 209313,
  [SMALL_STATE(5143)] = 209374,
  [SMALL_STATE(5144)] = 209413,
  [SMALL_STATE(5145)] = 209452,
  [SMALL_STATE(5146)] = 209513,
  [SMALL_STATE(5147)] = 209552,
  [SMALL_STATE(5148)] = 209591,
  [SMALL_STATE(5149)] = 209658,
  [SMALL_STATE(5150)] = 209697,
  [SMALL_STATE(5151)] = 209736,
  [SMALL_STATE(5152)] = 209803,
  [SMALL_STATE(5153)] = 209870,
  [SMALL_STATE(5154)] = 209909,
  [SMALL_STATE(5155)] = 209976,
  [SMALL_STATE(5156)] = 210015,
  [SMALL_STATE(5157)] = 210082,
  [SMALL_STATE(5158)] = 210143,
  [SMALL_STATE(5159)] = 210182,
  [SMALL_STATE(5160)] = 210249,
  [SMALL_STATE(5161)] = 210316,
  [SMALL_STATE(5162)] = 210355,
  [SMALL_STATE(5163)] = 210422,
  [SMALL_STATE(5164)] = 210461,
  [SMALL_STATE(5165)] = 210522,
  [SMALL_STATE(5166)] = 210583,
  [SMALL_STATE(5167)] = 210644,
  [SMALL_STATE(5168)] = 210704,
  [SMALL_STATE(5169)] = 210738,
  [SMALL_STATE(5170)] = 210798,
  [SMALL_STATE(5171)] = 210858,
  [SMALL_STATE(5172)] = 210918,
  [SMALL_STATE(5173)] = 210978,
  [SMALL_STATE(5174)] = 211038,
  [SMALL_STATE(5175)] = 211098,
  [SMALL_STATE(5176)] = 211158,
  [SMALL_STATE(5177)] = 211218,
  [SMALL_STATE(5178)] = 211278,
  [SMALL_STATE(5179)] = 211338,
  [SMALL_STATE(5180)] = 211398,
  [SMALL_STATE(5181)] = 211458,
  [SMALL_STATE(5182)] = 211516,
  [SMALL_STATE(5183)] = 211550,
  [SMALL_STATE(5184)] = 211610,
  [SMALL_STATE(5185)] = 211670,
  [SMALL_STATE(5186)] = 211730,
  [SMALL_STATE(5187)] = 211790,
  [SMALL_STATE(5188)] = 211850,
  [SMALL_STATE(5189)] = 211910,
  [SMALL_STATE(5190)] = 211970,
  [SMALL_STATE(5191)] = 212030,
  [SMALL_STATE(5192)] = 212090,
  [SMALL_STATE(5193)] = 212150,
  [SMALL_STATE(5194)] = 212208,
  [SMALL_STATE(5195)] = 212268,
  [SMALL_STATE(5196)] = 212306,
  [SMALL_STATE(5197)] = 212364,
  [SMALL_STATE(5198)] = 212422,
  [SMALL_STATE(5199)] = 212481,
  [SMALL_STATE(5200)] = 212542,
  [SMALL_STATE(5201)] = 212603,
  [SMALL_STATE(5202)] = 212662,
  [SMALL_STATE(5203)] = 212721,
  [SMALL_STATE(5204)] = 212782,
  [SMALL_STATE(5205)] = 212841,
  [SMALL_STATE(5206)] = 212900,
  [SMALL_STATE(5207)] = 212937,
  [SMALL_STATE(5208)] = 212974,
  [SMALL_STATE(5209)] = 213011,
  [SMALL_STATE(5210)] = 213072,
  [SMALL_STATE(5211)] = 213133,
  [SMALL_STATE(5212)] = 213192,
  [SMALL_STATE(5213)] = 213251,
  [SMALL_STATE(5214)] = 213310,
  [SMALL_STATE(5215)] = 213369,
  [SMALL_STATE(5216)] = 213430,
  [SMALL_STATE(5217)] = 213489,
  [SMALL_STATE(5218)] = 213548,
  [SMALL_STATE(5219)] = 213607,
  [SMALL_STATE(5220)] = 213668,
  [SMALL_STATE(5221)] = 213726,
  [SMALL_STATE(5222)] = 213784,
  [SMALL_STATE(5223)] = 213842,
  [SMALL_STATE(5224)] = 213900,
  [SMALL_STATE(5225)] = 213948,
  [SMALL_STATE(5226)] = 214006,
  [SMALL_STATE(5227)] = 214064,
  [SMALL_STATE(5228)] = 214112,
  [SMALL_STATE(5229)] = 214166,
  [SMALL_STATE(5230)] = 214200,
  [SMALL_STATE(5231)] = 214248,
  [SMALL_STATE(5232)] = 214295,
  [SMALL_STATE(5233)] = 214366,
  [SMALL_STATE(5234)] = 214437,
  [SMALL_STATE(5235)] = 214508,
  [SMALL_STATE(5236)] = 214545,
  [SMALL_STATE(5237)] = 214597,
  [SMALL_STATE(5238)] = 214653,
  [SMALL_STATE(5239)] = 214705,
  [SMALL_STATE(5240)] = 214757,
  [SMALL_STATE(5241)] = 214809,
  [SMALL_STATE(5242)] = 214865,
  [SMALL_STATE(5243)] = 214921,
  [SMALL_STATE(5244)] = 214973,
  [SMALL_STATE(5245)] = 215025,
  [SMALL_STATE(5246)] = 215077,
  [SMALL_STATE(5247)] = 215129,
  [SMALL_STATE(5248)] = 215185,
  [SMALL_STATE(5249)] = 215237,
  [SMALL_STATE(5250)] = 215293,
  [SMALL_STATE(5251)] = 215349,
  [SMALL_STATE(5252)] = 215387,
  [SMALL_STATE(5253)] = 215443,
  [SMALL_STATE(5254)] = 215481,
  [SMALL_STATE(5255)] = 215533,
  [SMALL_STATE(5256)] = 215603,
  [SMALL_STATE(5257)] = 215673,
  [SMALL_STATE(5258)] = 215725,
  [SMALL_STATE(5259)] = 215777,
  [SMALL_STATE(5260)] = 215829,
  [SMALL_STATE(5261)] = 215881,
  [SMALL_STATE(5262)] = 215927,
  [SMALL_STATE(5263)] = 215983,
  [SMALL_STATE(5264)] = 216035,
  [SMALL_STATE(5265)] = 216087,
  [SMALL_STATE(5266)] = 216139,
  [SMALL_STATE(5267)] = 216185,
  [SMALL_STATE(5268)] = 216237,
  [SMALL_STATE(5269)] = 216289,
  [SMALL_STATE(5270)] = 216341,
  [SMALL_STATE(5271)] = 216393,
  [SMALL_STATE(5272)] = 216445,
  [SMALL_STATE(5273)] = 216497,
  [SMALL_STATE(5274)] = 216549,
  [SMALL_STATE(5275)] = 216619,
  [SMALL_STATE(5276)] = 216671,
  [SMALL_STATE(5277)] = 216723,
  [SMALL_STATE(5278)] = 216775,
  [SMALL_STATE(5279)] = 216827,
  [SMALL_STATE(5280)] = 216879,
  [SMALL_STATE(5281)] = 216913,
  [SMALL_STATE(5282)] = 216965,
  [SMALL_STATE(5283)] = 217017,
  [SMALL_STATE(5284)] = 217073,
  [SMALL_STATE(5285)] = 217125,
  [SMALL_STATE(5286)] = 217177,
  [SMALL_STATE(5287)] = 217233,
  [SMALL_STATE(5288)] = 217289,
  [SMALL_STATE(5289)] = 217345,
  [SMALL_STATE(5290)] = 217397,
  [SMALL_STATE(5291)] = 217449,
  [SMALL_STATE(5292)] = 217501,
  [SMALL_STATE(5293)] = 217553,
  [SMALL_STATE(5294)] = 217605,
  [SMALL_STATE(5295)] = 217657,
  [SMALL_STATE(5296)] = 217709,
  [SMALL_STATE(5297)] = 217761,
  [SMALL_STATE(5298)] = 217820,
  [SMALL_STATE(5299)] = 217879,
  [SMALL_STATE(5300)] = 217938,
  [SMALL_STATE(5301)] = 217997,
  [SMALL_STATE(5302)] = 218056,
  [SMALL_STATE(5303)] = 218099,
  [SMALL_STATE(5304)] = 218162,
  [SMALL_STATE(5305)] = 218221,
  [SMALL_STATE(5306)] = 218280,
  [SMALL_STATE(5307)] = 218339,
  [SMALL_STATE(5308)] = 218382,
  [SMALL_STATE(5309)] = 218441,
  [SMALL_STATE(5310)] = 218496,
  [SMALL_STATE(5311)] = 218555,
  [SMALL_STATE(5312)] = 218614,
  [SMALL_STATE(5313)] = 218673,
  [SMALL_STATE(5314)] = 218732,
  [SMALL_STATE(5315)] = 218791,
  [SMALL_STATE(5316)] = 218850,
  [SMALL_STATE(5317)] = 218909,
  [SMALL_STATE(5318)] = 218968,
  [SMALL_STATE(5319)] = 219027,
  [SMALL_STATE(5320)] = 219086,
  [SMALL_STATE(5321)] = 219145,
  [SMALL_STATE(5322)] = 219204,
  [SMALL_STATE(5323)] = 219263,
  [SMALL_STATE(5324)] = 219306,
  [SMALL_STATE(5325)] = 219365,
  [SMALL_STATE(5326)] = 219424,
  [SMALL_STATE(5327)] = 219483,
  [SMALL_STATE(5328)] = 219542,
  [SMALL_STATE(5329)] = 219601,
  [SMALL_STATE(5330)] = 219660,
  [SMALL_STATE(5331)] = 219719,
  [SMALL_STATE(5332)] = 219778,
  [SMALL_STATE(5333)] = 219837,
  [SMALL_STATE(5334)] = 219896,
  [SMALL_STATE(5335)] = 219955,
  [SMALL_STATE(5336)] = 220014,
  [SMALL_STATE(5337)] = 220047,
  [SMALL_STATE(5338)] = 220106,
  [SMALL_STATE(5339)] = 220165,
  [SMALL_STATE(5340)] = 220224,
  [SMALL_STATE(5341)] = 220283,
  [SMALL_STATE(5342)] = 220342,
  [SMALL_STATE(5343)] = 220401,
  [SMALL_STATE(5344)] = 220460,
  [SMALL_STATE(5345)] = 220519,
  [SMALL_STATE(5346)] = 220578,
  [SMALL_STATE(5347)] = 220637,
  [SMALL_STATE(5348)] = 220696,
  [SMALL_STATE(5349)] = 220755,
  [SMALL_STATE(5350)] = 220814,
  [SMALL_STATE(5351)] = 220873,
  [SMALL_STATE(5352)] = 220932,
  [SMALL_STATE(5353)] = 220991,
  [SMALL_STATE(5354)] = 221050,
  [SMALL_STATE(5355)] = 221105,
  [SMALL_STATE(5356)] = 221134,
  [SMALL_STATE(5357)] = 221193,
  [SMALL_STATE(5358)] = 221222,
  [SMALL_STATE(5359)] = 221281,
  [SMALL_STATE(5360)] = 221340,
  [SMALL_STATE(5361)] = 221399,
  [SMALL_STATE(5362)] = 221458,
  [SMALL_STATE(5363)] = 221517,
  [SMALL_STATE(5364)] = 221576,
  [SMALL_STATE(5365)] = 221635,
  [SMALL_STATE(5366)] = 221694,
  [SMALL_STATE(5367)] = 221749,
  [SMALL_STATE(5368)] = 221808,
  [SMALL_STATE(5369)] = 221867,
  [SMALL_STATE(5370)] = 221926,
  [SMALL_STATE(5371)] = 221985,
  [SMALL_STATE(5372)] = 222044,
  [SMALL_STATE(5373)] = 222103,
  [SMALL_STATE(5374)] = 222162,
  [SMALL_STATE(5375)] = 222221,
  [SMALL_STATE(5376)] = 222280,
  [SMALL_STATE(5377)] = 222339,
  [SMALL_STATE(5378)] = 222398,
  [SMALL_STATE(5379)] = 222457,
  [SMALL_STATE(5380)] = 222516,
  [SMALL_STATE(5381)] = 222575,
  [SMALL_STATE(5382)] = 222634,
  [SMALL_STATE(5383)] = 222693,
  [SMALL_STATE(5384)] = 222752,
  [SMALL_STATE(5385)] = 222811,
  [SMALL_STATE(5386)] = 222870,
  [SMALL_STATE(5387)] = 222929,
  [SMALL_STATE(5388)] = 222988,
  [SMALL_STATE(5389)] = 223047,
  [SMALL_STATE(5390)] = 223106,
  [SMALL_STATE(5391)] = 223165,
  [SMALL_STATE(5392)] = 223224,
  [SMALL_STATE(5393)] = 223283,
  [SMALL_STATE(5394)] = 223342,
  [SMALL_STATE(5395)] = 223401,
  [SMALL_STATE(5396)] = 223460,
  [SMALL_STATE(5397)] = 223505,
  [SMALL_STATE(5398)] = 223564,
  [SMALL_STATE(5399)] = 223622,
  [SMALL_STATE(5400)] = 223662,
  [SMALL_STATE(5401)] = 223714,
  [SMALL_STATE(5402)] = 223766,
  [SMALL_STATE(5403)] = 223794,
  [SMALL_STATE(5404)] = 223834,
  [SMALL_STATE(5405)] = 223862,
  [SMALL_STATE(5406)] = 223920,
  [SMALL_STATE(5407)] = 223960,
  [SMALL_STATE(5408)] = 224010,
  [SMALL_STATE(5409)] = 224056,
  [SMALL_STATE(5410)] = 224106,
  [SMALL_STATE(5411)] = 224146,
  [SMALL_STATE(5412)] = 224186,
  [SMALL_STATE(5413)] = 224226,
  [SMALL_STATE(5414)] = 224290,
  [SMALL_STATE(5415)] = 224334,
  [SMALL_STATE(5416)] = 224384,
  [SMALL_STATE(5417)] = 224434,
  [SMALL_STATE(5418)] = 224492,
  [SMALL_STATE(5419)] = 224520,
  [SMALL_STATE(5420)] = 224584,
  [SMALL_STATE(5421)] = 224624,
  [SMALL_STATE(5422)] = 224672,
  [SMALL_STATE(5423)] = 224700,
  [SMALL_STATE(5424)] = 224750,
  [SMALL_STATE(5425)] = 224800,
  [SMALL_STATE(5426)] = 224840,
  [SMALL_STATE(5427)] = 224898,
  [SMALL_STATE(5428)] = 224930,
  [SMALL_STATE(5429)] = 224994,
  [SMALL_STATE(5430)] = 225044,
  [SMALL_STATE(5431)] = 225072,
  [SMALL_STATE(5432)] = 225106,
  [SMALL_STATE(5433)] = 225146,
  [SMALL_STATE(5434)] = 225182,
  [SMALL_STATE(5435)] = 225222,
  [SMALL_STATE(5436)] = 225262,
  [SMALL_STATE(5437)] = 225312,
  [SMALL_STATE(5438)] = 225362,
  [SMALL_STATE(5439)] = 225402,
  [SMALL_STATE(5440)] = 225460,
  [SMALL_STATE(5441)] = 225524,
  [SMALL_STATE(5442)] = 225564,
  [SMALL_STATE(5443)] = 225604,
  [SMALL_STATE(5444)] = 225654,
  [SMALL_STATE(5445)] = 225712,
  [SMALL_STATE(5446)] = 225764,
  [SMALL_STATE(5447)] = 225804,
  [SMALL_STATE(5448)] = 225844,
  [SMALL_STATE(5449)] = 225884,
  [SMALL_STATE(5450)] = 225948,
  [SMALL_STATE(5451)] = 225988,
  [SMALL_STATE(5452)] = 226038,
  [SMALL_STATE(5453)] = 226088,
  [SMALL_STATE(5454)] = 226116,
  [SMALL_STATE(5455)] = 226156,
  [SMALL_STATE(5456)] = 226206,
  [SMALL_STATE(5457)] = 226264,
  [SMALL_STATE(5458)] = 226304,
  [SMALL_STATE(5459)] = 226344,
  [SMALL_STATE(5460)] = 226408,
  [SMALL_STATE(5461)] = 226472,
  [SMALL_STATE(5462)] = 226512,
  [SMALL_STATE(5463)] = 226552,
  [SMALL_STATE(5464)] = 226580,
  [SMALL_STATE(5465)] = 226644,
  [SMALL_STATE(5466)] = 226672,
  [SMALL_STATE(5467)] = 226712,
  [SMALL_STATE(5468)] = 226740,
  [SMALL_STATE(5469)] = 226780,
  [SMALL_STATE(5470)] = 226830,
  [SMALL_STATE(5471)] = 226880,
  [SMALL_STATE(5472)] = 226916,
  [SMALL_STATE(5473)] = 226956,
  [SMALL_STATE(5474)] = 226996,
  [SMALL_STATE(5475)] = 227036,
  [SMALL_STATE(5476)] = 227082,
  [SMALL_STATE(5477)] = 227122,
  [SMALL_STATE(5478)] = 227186,
  [SMALL_STATE(5479)] = 227236,
  [SMALL_STATE(5480)] = 227264,
  [SMALL_STATE(5481)] = 227300,
  [SMALL_STATE(5482)] = 227350,
  [SMALL_STATE(5483)] = 227390,
  [SMALL_STATE(5484)] = 227430,
  [SMALL_STATE(5485)] = 227470,
  [SMALL_STATE(5486)] = 227510,
  [SMALL_STATE(5487)] = 227550,
  [SMALL_STATE(5488)] = 227614,
  [SMALL_STATE(5489)] = 227658,
  [SMALL_STATE(5490)] = 227722,
  [SMALL_STATE(5491)] = 227772,
  [SMALL_STATE(5492)] = 227812,
  [SMALL_STATE(5493)] = 227862,
  [SMALL_STATE(5494)] = 227926,
  [SMALL_STATE(5495)] = 227966,
  [SMALL_STATE(5496)] = 228006,
  [SMALL_STATE(5497)] = 228048,
  [SMALL_STATE(5498)] = 228088,
  [SMALL_STATE(5499)] = 228128,
  [SMALL_STATE(5500)] = 228168,
  [SMALL_STATE(5501)] = 228232,
  [SMALL_STATE(5502)] = 228259,
  [SMALL_STATE(5503)] = 228286,
  [SMALL_STATE(5504)] = 228333,
  [SMALL_STATE(5505)] = 228380,
  [SMALL_STATE(5506)] = 228411,
  [SMALL_STATE(5507)] = 228458,
  [SMALL_STATE(5508)] = 228497,
  [SMALL_STATE(5509)] = 228532,
  [SMALL_STATE(5510)] = 228567,
  [SMALL_STATE(5511)] = 228594,
  [SMALL_STATE(5512)] = 228643,
  [SMALL_STATE(5513)] = 228678,
  [SMALL_STATE(5514)] = 228705,
  [SMALL_STATE(5515)] = 228736,
  [SMALL_STATE(5516)] = 228775,
  [SMALL_STATE(5517)] = 228810,
  [SMALL_STATE(5518)] = 228857,
  [SMALL_STATE(5519)] = 228886,
  [SMALL_STATE(5520)] = 228935,
  [SMALL_STATE(5521)] = 228966,
  [SMALL_STATE(5522)] = 229001,
  [SMALL_STATE(5523)] = 229044,
  [SMALL_STATE(5524)] = 229071,
  [SMALL_STATE(5525)] = 229098,
  [SMALL_STATE(5526)] = 229125,
  [SMALL_STATE(5527)] = 229152,
  [SMALL_STATE(5528)] = 229187,
  [SMALL_STATE(5529)] = 229234,
  [SMALL_STATE(5530)] = 229273,
  [SMALL_STATE(5531)] = 229304,
  [SMALL_STATE(5532)] = 229349,
  [SMALL_STATE(5533)] = 229388,
  [SMALL_STATE(5534)] = 229435,
  [SMALL_STATE(5535)] = 229462,
  [SMALL_STATE(5536)] = 229489,
  [SMALL_STATE(5537)] = 229536,
  [SMALL_STATE(5538)] = 229581,
  [SMALL_STATE(5539)] = 229608,
  [SMALL_STATE(5540)] = 229665,
  [SMALL_STATE(5541)] = 229710,
  [SMALL_STATE(5542)] = 229737,
  [SMALL_STATE(5543)] = 229782,
  [SMALL_STATE(5544)] = 229839,
  [SMALL_STATE(5545)] = 229866,
  [SMALL_STATE(5546)] = 229893,
  [SMALL_STATE(5547)] = 229938,
  [SMALL_STATE(5548)] = 229983,
  [SMALL_STATE(5549)] = 230040,
  [SMALL_STATE(5550)] = 230085,
  [SMALL_STATE(5551)] = 230124,
  [SMALL_STATE(5552)] = 230163,
  [SMALL_STATE(5553)] = 230210,
  [SMALL_STATE(5554)] = 230245,
  [SMALL_STATE(5555)] = 230280,
  [SMALL_STATE(5556)] = 230337,
  [SMALL_STATE(5557)] = 230376,
  [SMALL_STATE(5558)] = 230415,
  [SMALL_STATE(5559)] = 230442,
  [SMALL_STATE(5560)] = 230489,
  [SMALL_STATE(5561)] = 230534,
  [SMALL_STATE(5562)] = 230569,
  [SMALL_STATE(5563)] = 230608,
  [SMALL_STATE(5564)] = 230639,
  [SMALL_STATE(5565)] = 230672,
  [SMALL_STATE(5566)] = 230719,
  [SMALL_STATE(5567)] = 230746,
  [SMALL_STATE(5568)] = 230791,
  [SMALL_STATE(5569)] = 230826,
  [SMALL_STATE(5570)] = 230853,
  [SMALL_STATE(5571)] = 230892,
  [SMALL_STATE(5572)] = 230929,
  [SMALL_STATE(5573)] = 230968,
  [SMALL_STATE(5574)] = 231003,
  [SMALL_STATE(5575)] = 231038,
  [SMALL_STATE(5576)] = 231083,
  [SMALL_STATE(5577)] = 231122,
  [SMALL_STATE(5578)] = 231149,
  [SMALL_STATE(5579)] = 231184,
  [SMALL_STATE(5580)] = 231211,
  [SMALL_STATE(5581)] = 231256,
  [SMALL_STATE(5582)] = 231283,
  [SMALL_STATE(5583)] = 231330,
  [SMALL_STATE(5584)] = 231357,
  [SMALL_STATE(5585)] = 231402,
  [SMALL_STATE(5586)] = 231441,
  [SMALL_STATE(5587)] = 231476,
  [SMALL_STATE(5588)] = 231503,
  [SMALL_STATE(5589)] = 231542,
  [SMALL_STATE(5590)] = 231581,
  [SMALL_STATE(5591)] = 231608,
  [SMALL_STATE(5592)] = 231637,
  [SMALL_STATE(5593)] = 231678,
  [SMALL_STATE(5594)] = 231705,
  [SMALL_STATE(5595)] = 231732,
  [SMALL_STATE(5596)] = 231763,
  [SMALL_STATE(5597)] = 231802,
  [SMALL_STATE(5598)] = 231841,
  [SMALL_STATE(5599)] = 231898,
  [SMALL_STATE(5600)] = 231937,
  [SMALL_STATE(5601)] = 231964,
  [SMALL_STATE(5602)] = 231999,
  [SMALL_STATE(5603)] = 232038,
  [SMALL_STATE(5604)] = 232095,
  [SMALL_STATE(5605)] = 232130,
  [SMALL_STATE(5606)] = 232165,
  [SMALL_STATE(5607)] = 232210,
  [SMALL_STATE(5608)] = 232245,
  [SMALL_STATE(5609)] = 232280,
  [SMALL_STATE(5610)] = 232315,
  [SMALL_STATE(5611)] = 232354,
  [SMALL_STATE(5612)] = 232389,
  [SMALL_STATE(5613)] = 232428,
  [SMALL_STATE(5614)] = 232455,
  [SMALL_STATE(5615)] = 232482,
  [SMALL_STATE(5616)] = 232525,
  [SMALL_STATE(5617)] = 232564,
  [SMALL_STATE(5618)] = 232593,
  [SMALL_STATE(5619)] = 232620,
  [SMALL_STATE(5620)] = 232647,
  [SMALL_STATE(5621)] = 232674,
  [SMALL_STATE(5622)] = 232713,
  [SMALL_STATE(5623)] = 232740,
  [SMALL_STATE(5624)] = 232769,
  [SMALL_STATE(5625)] = 232814,
  [SMALL_STATE(5626)] = 232861,
  [SMALL_STATE(5627)] = 232900,
  [SMALL_STATE(5628)] = 232931,
  [SMALL_STATE(5629)] = 232970,
  [SMALL_STATE(5630)] = 233001,
  [SMALL_STATE(5631)] = 233046,
  [SMALL_STATE(5632)] = 233082,
  [SMALL_STATE(5633)] = 233112,
  [SMALL_STATE(5634)] = 233142,
  [SMALL_STATE(5635)] = 233178,
  [SMALL_STATE(5636)] = 233230,
  [SMALL_STATE(5637)] = 233266,
  [SMALL_STATE(5638)] = 233296,
  [SMALL_STATE(5639)] = 233332,
  [SMALL_STATE(5640)] = 233368,
  [SMALL_STATE(5641)] = 233398,
  [SMALL_STATE(5642)] = 233434,
  [SMALL_STATE(5643)] = 233482,
  [SMALL_STATE(5644)] = 233530,
  [SMALL_STATE(5645)] = 233566,
  [SMALL_STATE(5646)] = 233614,
  [SMALL_STATE(5647)] = 233650,
  [SMALL_STATE(5648)] = 233692,
  [SMALL_STATE(5649)] = 233740,
  [SMALL_STATE(5650)] = 233789,
  [SMALL_STATE(5651)] = 233814,
  [SMALL_STATE(5652)] = 233839,
  [SMALL_STATE(5653)] = 233888,
  [SMALL_STATE(5654)] = 233937,
  [SMALL_STATE(5655)] = 233962,
  [SMALL_STATE(5656)] = 233993,
  [SMALL_STATE(5657)] = 234042,
  [SMALL_STATE(5658)] = 234091,
  [SMALL_STATE(5659)] = 234128,
  [SMALL_STATE(5660)] = 234177,
  [SMALL_STATE(5661)] = 234226,
  [SMALL_STATE(5662)] = 234277,
  [SMALL_STATE(5663)] = 234302,
  [SMALL_STATE(5664)] = 234351,
  [SMALL_STATE(5665)] = 234400,
  [SMALL_STATE(5666)] = 234449,
  [SMALL_STATE(5667)] = 234480,
  [SMALL_STATE(5668)] = 234505,
  [SMALL_STATE(5669)] = 234554,
  [SMALL_STATE(5670)] = 234603,
  [SMALL_STATE(5671)] = 234652,
  [SMALL_STATE(5672)] = 234689,
  [SMALL_STATE(5673)] = 234714,
  [SMALL_STATE(5674)] = 234739,
  [SMALL_STATE(5675)] = 234788,
  [SMALL_STATE(5676)] = 234825,
  [SMALL_STATE(5677)] = 234862,
  [SMALL_STATE(5678)] = 234911,
  [SMALL_STATE(5679)] = 234948,
  [SMALL_STATE(5680)] = 234985,
  [SMALL_STATE(5681)] = 235016,
  [SMALL_STATE(5682)] = 235065,
  [SMALL_STATE(5683)] = 235102,
  [SMALL_STATE(5684)] = 235127,
  [SMALL_STATE(5685)] = 235164,
  [SMALL_STATE(5686)] = 235213,
  [SMALL_STATE(5687)] = 235250,
  [SMALL_STATE(5688)] = 235299,
  [SMALL_STATE(5689)] = 235336,
  [SMALL_STATE(5690)] = 235373,
  [SMALL_STATE(5691)] = 235398,
  [SMALL_STATE(5692)] = 235435,
  [SMALL_STATE(5693)] = 235466,
  [SMALL_STATE(5694)] = 235491,
  [SMALL_STATE(5695)] = 235528,
  [SMALL_STATE(5696)] = 235563,
  [SMALL_STATE(5697)] = 235604,
  [SMALL_STATE(5698)] = 235629,
  [SMALL_STATE(5699)] = 235654,
  [SMALL_STATE(5700)] = 235679,
  [SMALL_STATE(5701)] = 235704,
  [SMALL_STATE(5702)] = 235729,
  [SMALL_STATE(5703)] = 235766,
  [SMALL_STATE(5704)] = 235803,
  [SMALL_STATE(5705)] = 235852,
  [SMALL_STATE(5706)] = 235901,
  [SMALL_STATE(5707)] = 235950,
  [SMALL_STATE(5708)] = 235981,
  [SMALL_STATE(5709)] = 236024,
  [SMALL_STATE(5710)] = 236049,
  [SMALL_STATE(5711)] = 236090,
  [SMALL_STATE(5712)] = 236127,
  [SMALL_STATE(5713)] = 236176,
  [SMALL_STATE(5714)] = 236219,
  [SMALL_STATE(5715)] = 236262,
  [SMALL_STATE(5716)] = 236311,
  [SMALL_STATE(5717)] = 236336,
  [SMALL_STATE(5718)] = 236385,
  [SMALL_STATE(5719)] = 236434,
  [SMALL_STATE(5720)] = 236459,
  [SMALL_STATE(5721)] = 236484,
  [SMALL_STATE(5722)] = 236509,
  [SMALL_STATE(5723)] = 236552,
  [SMALL_STATE(5724)] = 236577,
  [SMALL_STATE(5725)] = 236607,
  [SMALL_STATE(5726)] = 236633,
  [SMALL_STATE(5727)] = 236663,
  [SMALL_STATE(5728)] = 236703,
  [SMALL_STATE(5729)] = 236739,
  [SMALL_STATE(5730)] = 236775,
  [SMALL_STATE(5731)] = 236799,
  [SMALL_STATE(5732)] = 236821,
  [SMALL_STATE(5733)] = 236851,
  [SMALL_STATE(5734)] = 236875,
  [SMALL_STATE(5735)] = 236915,
  [SMALL_STATE(5736)] = 236937,
  [SMALL_STATE(5737)] = 236959,
  [SMALL_STATE(5738)] = 236981,
  [SMALL_STATE(5739)] = 237011,
  [SMALL_STATE(5740)] = 237047,
  [SMALL_STATE(5741)] = 237087,
  [SMALL_STATE(5742)] = 237113,
  [SMALL_STATE(5743)] = 237153,
  [SMALL_STATE(5744)] = 237197,
  [SMALL_STATE(5745)] = 237227,
  [SMALL_STATE(5746)] = 237249,
  [SMALL_STATE(5747)] = 237291,
  [SMALL_STATE(5748)] = 237331,
  [SMALL_STATE(5749)] = 237353,
  [SMALL_STATE(5750)] = 237393,
  [SMALL_STATE(5751)] = 237433,
  [SMALL_STATE(5752)] = 237473,
  [SMALL_STATE(5753)] = 237495,
  [SMALL_STATE(5754)] = 237525,
  [SMALL_STATE(5755)] = 237561,
  [SMALL_STATE(5756)] = 237583,
  [SMALL_STATE(5757)] = 237613,
  [SMALL_STATE(5758)] = 237643,
  [SMALL_STATE(5759)] = 237683,
  [SMALL_STATE(5760)] = 237705,
  [SMALL_STATE(5761)] = 237745,
  [SMALL_STATE(5762)] = 237785,
  [SMALL_STATE(5763)] = 237815,
  [SMALL_STATE(5764)] = 237855,
  [SMALL_STATE(5765)] = 237895,
  [SMALL_STATE(5766)] = 237917,
  [SMALL_STATE(5767)] = 237953,
  [SMALL_STATE(5768)] = 237983,
  [SMALL_STATE(5769)] = 238005,
  [SMALL_STATE(5770)] = 238041,
  [SMALL_STATE(5771)] = 238067,
  [SMALL_STATE(5772)] = 238093,
  [SMALL_STATE(5773)] = 238115,
  [SMALL_STATE(5774)] = 238145,
  [SMALL_STATE(5775)] = 238181,
  [SMALL_STATE(5776)] = 238217,
  [SMALL_STATE(5777)] = 238257,
  [SMALL_STATE(5778)] = 238279,
  [SMALL_STATE(5779)] = 238319,
  [SMALL_STATE(5780)] = 238341,
  [SMALL_STATE(5781)] = 238381,
  [SMALL_STATE(5782)] = 238403,
  [SMALL_STATE(5783)] = 238443,
  [SMALL_STATE(5784)] = 238483,
  [SMALL_STATE(5785)] = 238505,
  [SMALL_STATE(5786)] = 238545,
  [SMALL_STATE(5787)] = 238569,
  [SMALL_STATE(5788)] = 238591,
  [SMALL_STATE(5789)] = 238621,
  [SMALL_STATE(5790)] = 238661,
  [SMALL_STATE(5791)] = 238692,
  [SMALL_STATE(5792)] = 238721,
  [SMALL_STATE(5793)] = 238760,
  [SMALL_STATE(5794)] = 238783,
  [SMALL_STATE(5795)] = 238814,
  [SMALL_STATE(5796)] = 238845,
  [SMALL_STATE(5797)] = 238874,
  [SMALL_STATE(5798)] = 238907,
  [SMALL_STATE(5799)] = 238938,
  [SMALL_STATE(5800)] = 238969,
  [SMALL_STATE(5801)] = 239008,
  [SMALL_STATE(5802)] = 239037,
  [SMALL_STATE(5803)] = 239068,
  [SMALL_STATE(5804)] = 239101,
  [SMALL_STATE(5805)] = 239144,
  [SMALL_STATE(5806)] = 239173,
  [SMALL_STATE(5807)] = 239216,
  [SMALL_STATE(5808)] = 239247,
  [SMALL_STATE(5809)] = 239278,
  [SMALL_STATE(5810)] = 239307,
  [SMALL_STATE(5811)] = 239336,
  [SMALL_STATE(5812)] = 239365,
  [SMALL_STATE(5813)] = 239396,
  [SMALL_STATE(5814)] = 239425,
  [SMALL_STATE(5815)] = 239454,
  [SMALL_STATE(5816)] = 239497,
  [SMALL_STATE(5817)] = 239540,
  [SMALL_STATE(5818)] = 239571,
  [SMALL_STATE(5819)] = 239600,
  [SMALL_STATE(5820)] = 239633,
  [SMALL_STATE(5821)] = 239676,
  [SMALL_STATE(5822)] = 239715,
  [SMALL_STATE(5823)] = 239758,
  [SMALL_STATE(5824)] = 239789,
  [SMALL_STATE(5825)] = 239820,
  [SMALL_STATE(5826)] = 239847,
  [SMALL_STATE(5827)] = 239880,
  [SMALL_STATE(5828)] = 239919,
  [SMALL_STATE(5829)] = 239962,
  [SMALL_STATE(5830)] = 240001,
  [SMALL_STATE(5831)] = 240028,
  [SMALL_STATE(5832)] = 240059,
  [SMALL_STATE(5833)] = 240090,
  [SMALL_STATE(5834)] = 240121,
  [SMALL_STATE(5835)] = 240144,
  [SMALL_STATE(5836)] = 240177,
  [SMALL_STATE(5837)] = 240210,
  [SMALL_STATE(5838)] = 240237,
  [SMALL_STATE(5839)] = 240268,
  [SMALL_STATE(5840)] = 240301,
  [SMALL_STATE(5841)] = 240344,
  [SMALL_STATE(5842)] = 240387,
  [SMALL_STATE(5843)] = 240418,
  [SMALL_STATE(5844)] = 240449,
  [SMALL_STATE(5845)] = 240480,
  [SMALL_STATE(5846)] = 240509,
  [SMALL_STATE(5847)] = 240548,
  [SMALL_STATE(5848)] = 240587,
  [SMALL_STATE(5849)] = 240616,
  [SMALL_STATE(5850)] = 240645,
  [SMALL_STATE(5851)] = 240674,
  [SMALL_STATE(5852)] = 240713,
  [SMALL_STATE(5853)] = 240742,
  [SMALL_STATE(5854)] = 240771,
  [SMALL_STATE(5855)] = 240804,
  [SMALL_STATE(5856)] = 240833,
  [SMALL_STATE(5857)] = 240876,
  [SMALL_STATE(5858)] = 240907,
  [SMALL_STATE(5859)] = 240950,
  [SMALL_STATE(5860)] = 240979,
  [SMALL_STATE(5861)] = 241008,
  [SMALL_STATE(5862)] = 241037,
  [SMALL_STATE(5863)] = 241066,
  [SMALL_STATE(5864)] = 241095,
  [SMALL_STATE(5865)] = 241124,
  [SMALL_STATE(5866)] = 241153,
  [SMALL_STATE(5867)] = 241182,
  [SMALL_STATE(5868)] = 241220,
  [SMALL_STATE(5869)] = 241258,
  [SMALL_STATE(5870)] = 241288,
  [SMALL_STATE(5871)] = 241310,
  [SMALL_STATE(5872)] = 241334,
  [SMALL_STATE(5873)] = 241362,
  [SMALL_STATE(5874)] = 241392,
  [SMALL_STATE(5875)] = 241430,
  [SMALL_STATE(5876)] = 241468,
  [SMALL_STATE(5877)] = 241488,
  [SMALL_STATE(5878)] = 241516,
  [SMALL_STATE(5879)] = 241544,
  [SMALL_STATE(5880)] = 241576,
  [SMALL_STATE(5881)] = 241608,
  [SMALL_STATE(5882)] = 241628,
  [SMALL_STATE(5883)] = 241658,
  [SMALL_STATE(5884)] = 241690,
  [SMALL_STATE(5885)] = 241722,
  [SMALL_STATE(5886)] = 241742,
  [SMALL_STATE(5887)] = 241770,
  [SMALL_STATE(5888)] = 241798,
  [SMALL_STATE(5889)] = 241838,
  [SMALL_STATE(5890)] = 241876,
  [SMALL_STATE(5891)] = 241896,
  [SMALL_STATE(5892)] = 241916,
  [SMALL_STATE(5893)] = 241948,
  [SMALL_STATE(5894)] = 241978,
  [SMALL_STATE(5895)] = 242008,
  [SMALL_STATE(5896)] = 242046,
  [SMALL_STATE(5897)] = 242068,
  [SMALL_STATE(5898)] = 242088,
  [SMALL_STATE(5899)] = 242108,
  [SMALL_STATE(5900)] = 242136,
  [SMALL_STATE(5901)] = 242156,
  [SMALL_STATE(5902)] = 242194,
  [SMALL_STATE(5903)] = 242226,
  [SMALL_STATE(5904)] = 242254,
  [SMALL_STATE(5905)] = 242294,
  [SMALL_STATE(5906)] = 242326,
  [SMALL_STATE(5907)] = 242364,
  [SMALL_STATE(5908)] = 242396,
  [SMALL_STATE(5909)] = 242436,
  [SMALL_STATE(5910)] = 242466,
  [SMALL_STATE(5911)] = 242504,
  [SMALL_STATE(5912)] = 242544,
  [SMALL_STATE(5913)] = 242584,
  [SMALL_STATE(5914)] = 242616,
  [SMALL_STATE(5915)] = 242644,
  [SMALL_STATE(5916)] = 242682,
  [SMALL_STATE(5917)] = 242720,
  [SMALL_STATE(5918)] = 242758,
  [SMALL_STATE(5919)] = 242786,
  [SMALL_STATE(5920)] = 242814,
  [SMALL_STATE(5921)] = 242846,
  [SMALL_STATE(5922)] = 242878,
  [SMALL_STATE(5923)] = 242916,
  [SMALL_STATE(5924)] = 242944,
  [SMALL_STATE(5925)] = 242974,
  [SMALL_STATE(5926)] = 243002,
  [SMALL_STATE(5927)] = 243034,
  [SMALL_STATE(5928)] = 243066,
  [SMALL_STATE(5929)] = 243094,
  [SMALL_STATE(5930)] = 243124,
  [SMALL_STATE(5931)] = 243156,
  [SMALL_STATE(5932)] = 243184,
  [SMALL_STATE(5933)] = 243204,
  [SMALL_STATE(5934)] = 243226,
  [SMALL_STATE(5935)] = 243246,
  [SMALL_STATE(5936)] = 243274,
  [SMALL_STATE(5937)] = 243314,
  [SMALL_STATE(5938)] = 243352,
  [SMALL_STATE(5939)] = 243382,
  [SMALL_STATE(5940)] = 243410,
  [SMALL_STATE(5941)] = 243438,
  [SMALL_STATE(5942)] = 243478,
  [SMALL_STATE(5943)] = 243516,
  [SMALL_STATE(5944)] = 243548,
  [SMALL_STATE(5945)] = 243576,
  [SMALL_STATE(5946)] = 243616,
  [SMALL_STATE(5947)] = 243636,
  [SMALL_STATE(5948)] = 243668,
  [SMALL_STATE(5949)] = 243700,
  [SMALL_STATE(5950)] = 243724,
  [SMALL_STATE(5951)] = 243756,
  [SMALL_STATE(5952)] = 243776,
  [SMALL_STATE(5953)] = 243796,
  [SMALL_STATE(5954)] = 243828,
  [SMALL_STATE(5955)] = 243854,
  [SMALL_STATE(5956)] = 243880,
  [SMALL_STATE(5957)] = 243920,
  [SMALL_STATE(5958)] = 243944,
  [SMALL_STATE(5959)] = 243972,
  [SMALL_STATE(5960)] = 243992,
  [SMALL_STATE(5961)] = 244024,
  [SMALL_STATE(5962)] = 244052,
  [SMALL_STATE(5963)] = 244074,
  [SMALL_STATE(5964)] = 244094,
  [SMALL_STATE(5965)] = 244134,
  [SMALL_STATE(5966)] = 244162,
  [SMALL_STATE(5967)] = 244182,
  [SMALL_STATE(5968)] = 244214,
  [SMALL_STATE(5969)] = 244242,
  [SMALL_STATE(5970)] = 244274,
  [SMALL_STATE(5971)] = 244314,
  [SMALL_STATE(5972)] = 244346,
  [SMALL_STATE(5973)] = 244386,
  [SMALL_STATE(5974)] = 244414,
  [SMALL_STATE(5975)] = 244454,
  [SMALL_STATE(5976)] = 244482,
  [SMALL_STATE(5977)] = 244522,
  [SMALL_STATE(5978)] = 244562,
  [SMALL_STATE(5979)] = 244584,
  [SMALL_STATE(5980)] = 244604,
  [SMALL_STATE(5981)] = 244624,
  [SMALL_STATE(5982)] = 244662,
  [SMALL_STATE(5983)] = 244702,
  [SMALL_STATE(5984)] = 244730,
  [SMALL_STATE(5985)] = 244768,
  [SMALL_STATE(5986)] = 244788,
  [SMALL_STATE(5987)] = 244826,
  [SMALL_STATE(5988)] = 244846,
  [SMALL_STATE(5989)] = 244886,
  [SMALL_STATE(5990)] = 244926,
  [SMALL_STATE(5991)] = 244946,
  [SMALL_STATE(5992)] = 244972,
  [SMALL_STATE(5993)] = 245010,
  [SMALL_STATE(5994)] = 245050,
  [SMALL_STATE(5995)] = 245080,
  [SMALL_STATE(5996)] = 245113,
  [SMALL_STATE(5997)] = 245146,
  [SMALL_STATE(5998)] = 245179,
  [SMALL_STATE(5999)] = 245200,
  [SMALL_STATE(6000)] = 245221,
  [SMALL_STATE(6001)] = 245260,
  [SMALL_STATE(6002)] = 245293,
  [SMALL_STATE(6003)] = 245326,
  [SMALL_STATE(6004)] = 245353,
  [SMALL_STATE(6005)] = 245374,
  [SMALL_STATE(6006)] = 245395,
  [SMALL_STATE(6007)] = 245416,
  [SMALL_STATE(6008)] = 245443,
  [SMALL_STATE(6009)] = 245464,
  [SMALL_STATE(6010)] = 245491,
  [SMALL_STATE(6011)] = 245518,
  [SMALL_STATE(6012)] = 245555,
  [SMALL_STATE(6013)] = 245590,
  [SMALL_STATE(6014)] = 245617,
  [SMALL_STATE(6015)] = 245650,
  [SMALL_STATE(6016)] = 245677,
  [SMALL_STATE(6017)] = 245704,
  [SMALL_STATE(6018)] = 245731,
  [SMALL_STATE(6019)] = 245758,
  [SMALL_STATE(6020)] = 245785,
  [SMALL_STATE(6021)] = 245812,
  [SMALL_STATE(6022)] = 245845,
  [SMALL_STATE(6023)] = 245866,
  [SMALL_STATE(6024)] = 245893,
  [SMALL_STATE(6025)] = 245928,
  [SMALL_STATE(6026)] = 245953,
  [SMALL_STATE(6027)] = 245986,
  [SMALL_STATE(6028)] = 246021,
  [SMALL_STATE(6029)] = 246050,
  [SMALL_STATE(6030)] = 246079,
  [SMALL_STATE(6031)] = 246108,
  [SMALL_STATE(6032)] = 246141,
  [SMALL_STATE(6033)] = 246170,
  [SMALL_STATE(6034)] = 246205,
  [SMALL_STATE(6035)] = 246234,
  [SMALL_STATE(6036)] = 246255,
  [SMALL_STATE(6037)] = 246280,
  [SMALL_STATE(6038)] = 246315,
  [SMALL_STATE(6039)] = 246336,
  [SMALL_STATE(6040)] = 246363,
  [SMALL_STATE(6041)] = 246384,
  [SMALL_STATE(6042)] = 246417,
  [SMALL_STATE(6043)] = 246438,
  [SMALL_STATE(6044)] = 246471,
  [SMALL_STATE(6045)] = 246504,
  [SMALL_STATE(6046)] = 246531,
  [SMALL_STATE(6047)] = 246552,
  [SMALL_STATE(6048)] = 246577,
  [SMALL_STATE(6049)] = 246612,
  [SMALL_STATE(6050)] = 246651,
  [SMALL_STATE(6051)] = 246690,
  [SMALL_STATE(6052)] = 246711,
  [SMALL_STATE(6053)] = 246732,
  [SMALL_STATE(6054)] = 246753,
  [SMALL_STATE(6055)] = 246774,
  [SMALL_STATE(6056)] = 246795,
  [SMALL_STATE(6057)] = 246832,
  [SMALL_STATE(6058)] = 246853,
  [SMALL_STATE(6059)] = 246886,
  [SMALL_STATE(6060)] = 246911,
  [SMALL_STATE(6061)] = 246946,
  [SMALL_STATE(6062)] = 246981,
  [SMALL_STATE(6063)] = 247002,
  [SMALL_STATE(6064)] = 247035,
  [SMALL_STATE(6065)] = 247068,
  [SMALL_STATE(6066)] = 247101,
  [SMALL_STATE(6067)] = 247122,
  [SMALL_STATE(6068)] = 247143,
  [SMALL_STATE(6069)] = 247182,
  [SMALL_STATE(6070)] = 247203,
  [SMALL_STATE(6071)] = 247228,
  [SMALL_STATE(6072)] = 247261,
  [SMALL_STATE(6073)] = 247296,
  [SMALL_STATE(6074)] = 247335,
  [SMALL_STATE(6075)] = 247368,
  [SMALL_STATE(6076)] = 247393,
  [SMALL_STATE(6077)] = 247426,
  [SMALL_STATE(6078)] = 247461,
  [SMALL_STATE(6079)] = 247496,
  [SMALL_STATE(6080)] = 247517,
  [SMALL_STATE(6081)] = 247538,
  [SMALL_STATE(6082)] = 247571,
  [SMALL_STATE(6083)] = 247604,
  [SMALL_STATE(6084)] = 247637,
  [SMALL_STATE(6085)] = 247658,
  [SMALL_STATE(6086)] = 247691,
  [SMALL_STATE(6087)] = 247718,
  [SMALL_STATE(6088)] = 247739,
  [SMALL_STATE(6089)] = 247766,
  [SMALL_STATE(6090)] = 247799,
  [SMALL_STATE(6091)] = 247832,
  [SMALL_STATE(6092)] = 247865,
  [SMALL_STATE(6093)] = 247886,
  [SMALL_STATE(6094)] = 247911,
  [SMALL_STATE(6095)] = 247932,
  [SMALL_STATE(6096)] = 247953,
  [SMALL_STATE(6097)] = 247986,
  [SMALL_STATE(6098)] = 248019,
  [SMALL_STATE(6099)] = 248045,
  [SMALL_STATE(6100)] = 248071,
  [SMALL_STATE(6101)] = 248107,
  [SMALL_STATE(6102)] = 248143,
  [SMALL_STATE(6103)] = 248171,
  [SMALL_STATE(6104)] = 248195,
  [SMALL_STATE(6105)] = 248221,
  [SMALL_STATE(6106)] = 248249,
  [SMALL_STATE(6107)] = 248285,
  [SMALL_STATE(6108)] = 248309,
  [SMALL_STATE(6109)] = 248335,
  [SMALL_STATE(6110)] = 248361,
  [SMALL_STATE(6111)] = 248397,
  [SMALL_STATE(6112)] = 248423,
  [SMALL_STATE(6113)] = 248459,
  [SMALL_STATE(6114)] = 248487,
  [SMALL_STATE(6115)] = 248513,
  [SMALL_STATE(6116)] = 248543,
  [SMALL_STATE(6117)] = 248579,
  [SMALL_STATE(6118)] = 248609,
  [SMALL_STATE(6119)] = 248645,
  [SMALL_STATE(6120)] = 248671,
  [SMALL_STATE(6121)] = 248701,
  [SMALL_STATE(6122)] = 248731,
  [SMALL_STATE(6123)] = 248757,
  [SMALL_STATE(6124)] = 248793,
  [SMALL_STATE(6125)] = 248819,
  [SMALL_STATE(6126)] = 248845,
  [SMALL_STATE(6127)] = 248871,
  [SMALL_STATE(6128)] = 248901,
  [SMALL_STATE(6129)] = 248931,
  [SMALL_STATE(6130)] = 248957,
  [SMALL_STATE(6131)] = 248987,
  [SMALL_STATE(6132)] = 249017,
  [SMALL_STATE(6133)] = 249053,
  [SMALL_STATE(6134)] = 249089,
  [SMALL_STATE(6135)] = 249125,
  [SMALL_STATE(6136)] = 249161,
  [SMALL_STATE(6137)] = 249191,
  [SMALL_STATE(6138)] = 249217,
  [SMALL_STATE(6139)] = 249245,
  [SMALL_STATE(6140)] = 249275,
  [SMALL_STATE(6141)] = 249299,
  [SMALL_STATE(6142)] = 249329,
  [SMALL_STATE(6143)] = 249365,
  [SMALL_STATE(6144)] = 249393,
  [SMALL_STATE(6145)] = 249419,
  [SMALL_STATE(6146)] = 249445,
  [SMALL_STATE(6147)] = 249469,
  [SMALL_STATE(6148)] = 249495,
  [SMALL_STATE(6149)] = 249517,
  [SMALL_STATE(6150)] = 249547,
  [SMALL_STATE(6151)] = 249577,
  [SMALL_STATE(6152)] = 249613,
  [SMALL_STATE(6153)] = 249649,
  [SMALL_STATE(6154)] = 249685,
  [SMALL_STATE(6155)] = 249705,
  [SMALL_STATE(6156)] = 249725,
  [SMALL_STATE(6157)] = 249751,
  [SMALL_STATE(6158)] = 249787,
  [SMALL_STATE(6159)] = 249823,
  [SMALL_STATE(6160)] = 249845,
  [SMALL_STATE(6161)] = 249869,
  [SMALL_STATE(6162)] = 249905,
  [SMALL_STATE(6163)] = 249928,
  [SMALL_STATE(6164)] = 249963,
  [SMALL_STATE(6165)] = 249992,
  [SMALL_STATE(6166)] = 250011,
  [SMALL_STATE(6167)] = 250046,
  [SMALL_STATE(6168)] = 250075,
  [SMALL_STATE(6169)] = 250106,
  [SMALL_STATE(6170)] = 250137,
  [SMALL_STATE(6171)] = 250168,
  [SMALL_STATE(6172)] = 250187,
  [SMALL_STATE(6173)] = 250222,
  [SMALL_STATE(6174)] = 250251,
  [SMALL_STATE(6175)] = 250280,
  [SMALL_STATE(6176)] = 250305,
  [SMALL_STATE(6177)] = 250330,
  [SMALL_STATE(6178)] = 250365,
  [SMALL_STATE(6179)] = 250394,
  [SMALL_STATE(6180)] = 250429,
  [SMALL_STATE(6181)] = 250460,
  [SMALL_STATE(6182)] = 250495,
  [SMALL_STATE(6183)] = 250528,
  [SMALL_STATE(6184)] = 250563,
  [SMALL_STATE(6185)] = 250594,
  [SMALL_STATE(6186)] = 250615,
  [SMALL_STATE(6187)] = 250646,
  [SMALL_STATE(6188)] = 250673,
  [SMALL_STATE(6189)] = 250698,
  [SMALL_STATE(6190)] = 250725,
  [SMALL_STATE(6191)] = 250760,
  [SMALL_STATE(6192)] = 250793,
  [SMALL_STATE(6193)] = 250818,
  [SMALL_STATE(6194)] = 250843,
  [SMALL_STATE(6195)] = 250862,
  [SMALL_STATE(6196)] = 250891,
  [SMALL_STATE(6197)] = 250916,
  [SMALL_STATE(6198)] = 250951,
  [SMALL_STATE(6199)] = 250976,
  [SMALL_STATE(6200)] = 251007,
  [SMALL_STATE(6201)] = 251034,
  [SMALL_STATE(6202)] = 251069,
  [SMALL_STATE(6203)] = 251102,
  [SMALL_STATE(6204)] = 251127,
  [SMALL_STATE(6205)] = 251146,
  [SMALL_STATE(6206)] = 251179,
  [SMALL_STATE(6207)] = 251198,
  [SMALL_STATE(6208)] = 251233,
  [SMALL_STATE(6209)] = 251264,
  [SMALL_STATE(6210)] = 251299,
  [SMALL_STATE(6211)] = 251326,
  [SMALL_STATE(6212)] = 251351,
  [SMALL_STATE(6213)] = 251380,
  [SMALL_STATE(6214)] = 251411,
  [SMALL_STATE(6215)] = 251446,
  [SMALL_STATE(6216)] = 251477,
  [SMALL_STATE(6217)] = 251502,
  [SMALL_STATE(6218)] = 251529,
  [SMALL_STATE(6219)] = 251564,
  [SMALL_STATE(6220)] = 251595,
  [SMALL_STATE(6221)] = 251620,
  [SMALL_STATE(6222)] = 251655,
  [SMALL_STATE(6223)] = 251686,
  [SMALL_STATE(6224)] = 251713,
  [SMALL_STATE(6225)] = 251738,
  [SMALL_STATE(6226)] = 251761,
  [SMALL_STATE(6227)] = 251788,
  [SMALL_STATE(6228)] = 251817,
  [SMALL_STATE(6229)] = 251846,
  [SMALL_STATE(6230)] = 251877,
  [SMALL_STATE(6231)] = 251896,
  [SMALL_STATE(6232)] = 251931,
  [SMALL_STATE(6233)] = 251966,
  [SMALL_STATE(6234)] = 252001,
  [SMALL_STATE(6235)] = 252032,
  [SMALL_STATE(6236)] = 252051,
  [SMALL_STATE(6237)] = 252070,
  [SMALL_STATE(6238)] = 252105,
  [SMALL_STATE(6239)] = 252136,
  [SMALL_STATE(6240)] = 252171,
  [SMALL_STATE(6241)] = 252200,
  [SMALL_STATE(6242)] = 252227,
  [SMALL_STATE(6243)] = 252256,
  [SMALL_STATE(6244)] = 252275,
  [SMALL_STATE(6245)] = 252310,
  [SMALL_STATE(6246)] = 252329,
  [SMALL_STATE(6247)] = 252356,
  [SMALL_STATE(6248)] = 252385,
  [SMALL_STATE(6249)] = 252412,
  [SMALL_STATE(6250)] = 252436,
  [SMALL_STATE(6251)] = 252454,
  [SMALL_STATE(6252)] = 252478,
  [SMALL_STATE(6253)] = 252502,
  [SMALL_STATE(6254)] = 252526,
  [SMALL_STATE(6255)] = 252548,
  [SMALL_STATE(6256)] = 252572,
  [SMALL_STATE(6257)] = 252602,
  [SMALL_STATE(6258)] = 252620,
  [SMALL_STATE(6259)] = 252638,
  [SMALL_STATE(6260)] = 252668,
  [SMALL_STATE(6261)] = 252692,
  [SMALL_STATE(6262)] = 252722,
  [SMALL_STATE(6263)] = 252744,
  [SMALL_STATE(6264)] = 252776,
  [SMALL_STATE(6265)] = 252798,
  [SMALL_STATE(6266)] = 252822,
  [SMALL_STATE(6267)] = 252840,
  [SMALL_STATE(6268)] = 252864,
  [SMALL_STATE(6269)] = 252886,
  [SMALL_STATE(6270)] = 252916,
  [SMALL_STATE(6271)] = 252940,
  [SMALL_STATE(6272)] = 252962,
  [SMALL_STATE(6273)] = 252986,
  [SMALL_STATE(6274)] = 253004,
  [SMALL_STATE(6275)] = 253034,
  [SMALL_STATE(6276)] = 253056,
  [SMALL_STATE(6277)] = 253074,
  [SMALL_STATE(6278)] = 253096,
  [SMALL_STATE(6279)] = 253118,
  [SMALL_STATE(6280)] = 253148,
  [SMALL_STATE(6281)] = 253166,
  [SMALL_STATE(6282)] = 253196,
  [SMALL_STATE(6283)] = 253218,
  [SMALL_STATE(6284)] = 253240,
  [SMALL_STATE(6285)] = 253262,
  [SMALL_STATE(6286)] = 253284,
  [SMALL_STATE(6287)] = 253306,
  [SMALL_STATE(6288)] = 253336,
  [SMALL_STATE(6289)] = 253359,
  [SMALL_STATE(6290)] = 253390,
  [SMALL_STATE(6291)] = 253421,
  [SMALL_STATE(6292)] = 253452,
  [SMALL_STATE(6293)] = 253483,
  [SMALL_STATE(6294)] = 253510,
  [SMALL_STATE(6295)] = 253531,
  [SMALL_STATE(6296)] = 253562,
  [SMALL_STATE(6297)] = 253593,
  [SMALL_STATE(6298)] = 253614,
  [SMALL_STATE(6299)] = 253635,
  [SMALL_STATE(6300)] = 253662,
  [SMALL_STATE(6301)] = 253693,
  [SMALL_STATE(6302)] = 253716,
  [SMALL_STATE(6303)] = 253747,
  [SMALL_STATE(6304)] = 253774,
  [SMALL_STATE(6305)] = 253801,
  [SMALL_STATE(6306)] = 253828,
  [SMALL_STATE(6307)] = 253859,
  [SMALL_STATE(6308)] = 253890,
  [SMALL_STATE(6309)] = 253921,
  [SMALL_STATE(6310)] = 253952,
  [SMALL_STATE(6311)] = 253983,
  [SMALL_STATE(6312)] = 254014,
  [SMALL_STATE(6313)] = 254045,
  [SMALL_STATE(6314)] = 254076,
  [SMALL_STATE(6315)] = 254101,
  [SMALL_STATE(6316)] = 254124,
  [SMALL_STATE(6317)] = 254155,
  [SMALL_STATE(6318)] = 254186,
  [SMALL_STATE(6319)] = 254217,
  [SMALL_STATE(6320)] = 254248,
  [SMALL_STATE(6321)] = 254279,
  [SMALL_STATE(6322)] = 254310,
  [SMALL_STATE(6323)] = 254341,
  [SMALL_STATE(6324)] = 254364,
  [SMALL_STATE(6325)] = 254395,
  [SMALL_STATE(6326)] = 254414,
  [SMALL_STATE(6327)] = 254437,
  [SMALL_STATE(6328)] = 254468,
  [SMALL_STATE(6329)] = 254491,
  [SMALL_STATE(6330)] = 254522,
  [SMALL_STATE(6331)] = 254543,
  [SMALL_STATE(6332)] = 254566,
  [SMALL_STATE(6333)] = 254597,
  [SMALL_STATE(6334)] = 254616,
  [SMALL_STATE(6335)] = 254647,
  [SMALL_STATE(6336)] = 254670,
  [SMALL_STATE(6337)] = 254693,
  [SMALL_STATE(6338)] = 254714,
  [SMALL_STATE(6339)] = 254741,
  [SMALL_STATE(6340)] = 254768,
  [SMALL_STATE(6341)] = 254791,
  [SMALL_STATE(6342)] = 254822,
  [SMALL_STATE(6343)] = 254848,
  [SMALL_STATE(6344)] = 254870,
  [SMALL_STATE(6345)] = 254896,
  [SMALL_STATE(6346)] = 254914,
  [SMALL_STATE(6347)] = 254940,
  [SMALL_STATE(6348)] = 254966,
  [SMALL_STATE(6349)] = 254988,
  [SMALL_STATE(6350)] = 255004,
  [SMALL_STATE(6351)] = 255030,
  [SMALL_STATE(6352)] = 255056,
  [SMALL_STATE(6353)] = 255082,
  [SMALL_STATE(6354)] = 255108,
  [SMALL_STATE(6355)] = 255130,
  [SMALL_STATE(6356)] = 255152,
  [SMALL_STATE(6357)] = 255174,
  [SMALL_STATE(6358)] = 255200,
  [SMALL_STATE(6359)] = 255222,
  [SMALL_STATE(6360)] = 255248,
  [SMALL_STATE(6361)] = 255274,
  [SMALL_STATE(6362)] = 255294,
  [SMALL_STATE(6363)] = 255320,
  [SMALL_STATE(6364)] = 255346,
  [SMALL_STATE(6365)] = 255372,
  [SMALL_STATE(6366)] = 255394,
  [SMALL_STATE(6367)] = 255420,
  [SMALL_STATE(6368)] = 255442,
  [SMALL_STATE(6369)] = 255464,
  [SMALL_STATE(6370)] = 255490,
  [SMALL_STATE(6371)] = 255512,
  [SMALL_STATE(6372)] = 255534,
  [SMALL_STATE(6373)] = 255560,
  [SMALL_STATE(6374)] = 255586,
  [SMALL_STATE(6375)] = 255612,
  [SMALL_STATE(6376)] = 255632,
  [SMALL_STATE(6377)] = 255658,
  [SMALL_STATE(6378)] = 255684,
  [SMALL_STATE(6379)] = 255710,
  [SMALL_STATE(6380)] = 255730,
  [SMALL_STATE(6381)] = 255756,
  [SMALL_STATE(6382)] = 255782,
  [SMALL_STATE(6383)] = 255808,
  [SMALL_STATE(6384)] = 255834,
  [SMALL_STATE(6385)] = 255860,
  [SMALL_STATE(6386)] = 255876,
  [SMALL_STATE(6387)] = 255902,
  [SMALL_STATE(6388)] = 255928,
  [SMALL_STATE(6389)] = 255954,
  [SMALL_STATE(6390)] = 255974,
  [SMALL_STATE(6391)] = 255996,
  [SMALL_STATE(6392)] = 256019,
  [SMALL_STATE(6393)] = 256044,
  [SMALL_STATE(6394)] = 256069,
  [SMALL_STATE(6395)] = 256092,
  [SMALL_STATE(6396)] = 256107,
  [SMALL_STATE(6397)] = 256130,
  [SMALL_STATE(6398)] = 256153,
  [SMALL_STATE(6399)] = 256176,
  [SMALL_STATE(6400)] = 256197,
  [SMALL_STATE(6401)] = 256220,
  [SMALL_STATE(6402)] = 256241,
  [SMALL_STATE(6403)] = 256262,
  [SMALL_STATE(6404)] = 256283,
  [SMALL_STATE(6405)] = 256304,
  [SMALL_STATE(6406)] = 256327,
  [SMALL_STATE(6407)] = 256342,
  [SMALL_STATE(6408)] = 256363,
  [SMALL_STATE(6409)] = 256388,
  [SMALL_STATE(6410)] = 256411,
  [SMALL_STATE(6411)] = 256432,
  [SMALL_STATE(6412)] = 256457,
  [SMALL_STATE(6413)] = 256478,
  [SMALL_STATE(6414)] = 256493,
  [SMALL_STATE(6415)] = 256514,
  [SMALL_STATE(6416)] = 256529,
  [SMALL_STATE(6417)] = 256550,
  [SMALL_STATE(6418)] = 256571,
  [SMALL_STATE(6419)] = 256590,
  [SMALL_STATE(6420)] = 256611,
  [SMALL_STATE(6421)] = 256634,
  [SMALL_STATE(6422)] = 256655,
  [SMALL_STATE(6423)] = 256672,
  [SMALL_STATE(6424)] = 256693,
  [SMALL_STATE(6425)] = 256716,
  [SMALL_STATE(6426)] = 256741,
  [SMALL_STATE(6427)] = 256764,
  [SMALL_STATE(6428)] = 256779,
  [SMALL_STATE(6429)] = 256798,
  [SMALL_STATE(6430)] = 256813,
  [SMALL_STATE(6431)] = 256836,
  [SMALL_STATE(6432)] = 256857,
  [SMALL_STATE(6433)] = 256882,
  [SMALL_STATE(6434)] = 256901,
  [SMALL_STATE(6435)] = 256926,
  [SMALL_STATE(6436)] = 256949,
  [SMALL_STATE(6437)] = 256974,
  [SMALL_STATE(6438)] = 256989,
  [SMALL_STATE(6439)] = 257010,
  [SMALL_STATE(6440)] = 257025,
  [SMALL_STATE(6441)] = 257048,
  [SMALL_STATE(6442)] = 257071,
  [SMALL_STATE(6443)] = 257091,
  [SMALL_STATE(6444)] = 257107,
  [SMALL_STATE(6445)] = 257127,
  [SMALL_STATE(6446)] = 257147,
  [SMALL_STATE(6447)] = 257163,
  [SMALL_STATE(6448)] = 257183,
  [SMALL_STATE(6449)] = 257199,
  [SMALL_STATE(6450)] = 257213,
  [SMALL_STATE(6451)] = 257227,
  [SMALL_STATE(6452)] = 257247,
  [SMALL_STATE(6453)] = 257265,
  [SMALL_STATE(6454)] = 257285,
  [SMALL_STATE(6455)] = 257305,
  [SMALL_STATE(6456)] = 257319,
  [SMALL_STATE(6457)] = 257339,
  [SMALL_STATE(6458)] = 257355,
  [SMALL_STATE(6459)] = 257375,
  [SMALL_STATE(6460)] = 257389,
  [SMALL_STATE(6461)] = 257409,
  [SMALL_STATE(6462)] = 257425,
  [SMALL_STATE(6463)] = 257445,
  [SMALL_STATE(6464)] = 257463,
  [SMALL_STATE(6465)] = 257481,
  [SMALL_STATE(6466)] = 257497,
  [SMALL_STATE(6467)] = 257513,
  [SMALL_STATE(6468)] = 257533,
  [SMALL_STATE(6469)] = 257547,
  [SMALL_STATE(6470)] = 257561,
  [SMALL_STATE(6471)] = 257577,
  [SMALL_STATE(6472)] = 257593,
  [SMALL_STATE(6473)] = 257607,
  [SMALL_STATE(6474)] = 257625,
  [SMALL_STATE(6475)] = 257639,
  [SMALL_STATE(6476)] = 257659,
  [SMALL_STATE(6477)] = 257675,
  [SMALL_STATE(6478)] = 257689,
  [SMALL_STATE(6479)] = 257707,
  [SMALL_STATE(6480)] = 257721,
  [SMALL_STATE(6481)] = 257735,
  [SMALL_STATE(6482)] = 257751,
  [SMALL_STATE(6483)] = 257771,
  [SMALL_STATE(6484)] = 257787,
  [SMALL_STATE(6485)] = 257805,
  [SMALL_STATE(6486)] = 257825,
  [SMALL_STATE(6487)] = 257845,
  [SMALL_STATE(6488)] = 257859,
  [SMALL_STATE(6489)] = 257877,
  [SMALL_STATE(6490)] = 257893,
  [SMALL_STATE(6491)] = 257907,
  [SMALL_STATE(6492)] = 257925,
  [SMALL_STATE(6493)] = 257939,
  [SMALL_STATE(6494)] = 257955,
  [SMALL_STATE(6495)] = 257971,
  [SMALL_STATE(6496)] = 257990,
  [SMALL_STATE(6497)] = 258009,
  [SMALL_STATE(6498)] = 258028,
  [SMALL_STATE(6499)] = 258045,
  [SMALL_STATE(6500)] = 258064,
  [SMALL_STATE(6501)] = 258083,
  [SMALL_STATE(6502)] = 258102,
  [SMALL_STATE(6503)] = 258115,
  [SMALL_STATE(6504)] = 258132,
  [SMALL_STATE(6505)] = 258151,
  [SMALL_STATE(6506)] = 258170,
  [SMALL_STATE(6507)] = 258189,
  [SMALL_STATE(6508)] = 258208,
  [SMALL_STATE(6509)] = 258227,
  [SMALL_STATE(6510)] = 258246,
  [SMALL_STATE(6511)] = 258265,
  [SMALL_STATE(6512)] = 258282,
  [SMALL_STATE(6513)] = 258295,
  [SMALL_STATE(6514)] = 258314,
  [SMALL_STATE(6515)] = 258333,
  [SMALL_STATE(6516)] = 258352,
  [SMALL_STATE(6517)] = 258369,
  [SMALL_STATE(6518)] = 258388,
  [SMALL_STATE(6519)] = 258407,
  [SMALL_STATE(6520)] = 258426,
  [SMALL_STATE(6521)] = 258445,
  [SMALL_STATE(6522)] = 258464,
  [SMALL_STATE(6523)] = 258483,
  [SMALL_STATE(6524)] = 258502,
  [SMALL_STATE(6525)] = 258521,
  [SMALL_STATE(6526)] = 258540,
  [SMALL_STATE(6527)] = 258559,
  [SMALL_STATE(6528)] = 258578,
  [SMALL_STATE(6529)] = 258597,
  [SMALL_STATE(6530)] = 258616,
  [SMALL_STATE(6531)] = 258635,
  [SMALL_STATE(6532)] = 258654,
  [SMALL_STATE(6533)] = 258673,
  [SMALL_STATE(6534)] = 258692,
  [SMALL_STATE(6535)] = 258711,
  [SMALL_STATE(6536)] = 258730,
  [SMALL_STATE(6537)] = 258749,
  [SMALL_STATE(6538)] = 258768,
  [SMALL_STATE(6539)] = 258787,
  [SMALL_STATE(6540)] = 258806,
  [SMALL_STATE(6541)] = 258825,
  [SMALL_STATE(6542)] = 258844,
  [SMALL_STATE(6543)] = 258863,
  [SMALL_STATE(6544)] = 258882,
  [SMALL_STATE(6545)] = 258901,
  [SMALL_STATE(6546)] = 258920,
  [SMALL_STATE(6547)] = 258939,
  [SMALL_STATE(6548)] = 258952,
  [SMALL_STATE(6549)] = 258971,
  [SMALL_STATE(6550)] = 258988,
  [SMALL_STATE(6551)] = 259005,
  [SMALL_STATE(6552)] = 259018,
  [SMALL_STATE(6553)] = 259037,
  [SMALL_STATE(6554)] = 259056,
  [SMALL_STATE(6555)] = 259073,
  [SMALL_STATE(6556)] = 259092,
  [SMALL_STATE(6557)] = 259108,
  [SMALL_STATE(6558)] = 259122,
  [SMALL_STATE(6559)] = 259136,
  [SMALL_STATE(6560)] = 259152,
  [SMALL_STATE(6561)] = 259166,
  [SMALL_STATE(6562)] = 259182,
  [SMALL_STATE(6563)] = 259196,
  [SMALL_STATE(6564)] = 259210,
  [SMALL_STATE(6565)] = 259226,
  [SMALL_STATE(6566)] = 259240,
  [SMALL_STATE(6567)] = 259256,
  [SMALL_STATE(6568)] = 259270,
  [SMALL_STATE(6569)] = 259284,
  [SMALL_STATE(6570)] = 259300,
  [SMALL_STATE(6571)] = 259316,
  [SMALL_STATE(6572)] = 259330,
  [SMALL_STATE(6573)] = 259344,
  [SMALL_STATE(6574)] = 259358,
  [SMALL_STATE(6575)] = 259374,
  [SMALL_STATE(6576)] = 259390,
  [SMALL_STATE(6577)] = 259406,
  [SMALL_STATE(6578)] = 259422,
  [SMALL_STATE(6579)] = 259438,
  [SMALL_STATE(6580)] = 259452,
  [SMALL_STATE(6581)] = 259468,
  [SMALL_STATE(6582)] = 259484,
  [SMALL_STATE(6583)] = 259500,
  [SMALL_STATE(6584)] = 259514,
  [SMALL_STATE(6585)] = 259530,
  [SMALL_STATE(6586)] = 259546,
  [SMALL_STATE(6587)] = 259562,
  [SMALL_STATE(6588)] = 259578,
  [SMALL_STATE(6589)] = 259592,
  [SMALL_STATE(6590)] = 259608,
  [SMALL_STATE(6591)] = 259624,
  [SMALL_STATE(6592)] = 259638,
  [SMALL_STATE(6593)] = 259654,
  [SMALL_STATE(6594)] = 259668,
  [SMALL_STATE(6595)] = 259684,
  [SMALL_STATE(6596)] = 259700,
  [SMALL_STATE(6597)] = 259716,
  [SMALL_STATE(6598)] = 259730,
  [SMALL_STATE(6599)] = 259744,
  [SMALL_STATE(6600)] = 259760,
  [SMALL_STATE(6601)] = 259774,
  [SMALL_STATE(6602)] = 259790,
  [SMALL_STATE(6603)] = 259806,
  [SMALL_STATE(6604)] = 259822,
  [SMALL_STATE(6605)] = 259836,
  [SMALL_STATE(6606)] = 259850,
  [SMALL_STATE(6607)] = 259866,
  [SMALL_STATE(6608)] = 259882,
  [SMALL_STATE(6609)] = 259898,
  [SMALL_STATE(6610)] = 259914,
  [SMALL_STATE(6611)] = 259926,
  [SMALL_STATE(6612)] = 259942,
  [SMALL_STATE(6613)] = 259958,
  [SMALL_STATE(6614)] = 259974,
  [SMALL_STATE(6615)] = 259988,
  [SMALL_STATE(6616)] = 260002,
  [SMALL_STATE(6617)] = 260016,
  [SMALL_STATE(6618)] = 260032,
  [SMALL_STATE(6619)] = 260046,
  [SMALL_STATE(6620)] = 260062,
  [SMALL_STATE(6621)] = 260078,
  [SMALL_STATE(6622)] = 260088,
  [SMALL_STATE(6623)] = 260104,
  [SMALL_STATE(6624)] = 260118,
  [SMALL_STATE(6625)] = 260132,
  [SMALL_STATE(6626)] = 260146,
  [SMALL_STATE(6627)] = 260160,
  [SMALL_STATE(6628)] = 260174,
  [SMALL_STATE(6629)] = 260184,
  [SMALL_STATE(6630)] = 260200,
  [SMALL_STATE(6631)] = 260214,
  [SMALL_STATE(6632)] = 260230,
  [SMALL_STATE(6633)] = 260244,
  [SMALL_STATE(6634)] = 260260,
  [SMALL_STATE(6635)] = 260274,
  [SMALL_STATE(6636)] = 260290,
  [SMALL_STATE(6637)] = 260306,
  [SMALL_STATE(6638)] = 260322,
  [SMALL_STATE(6639)] = 260336,
  [SMALL_STATE(6640)] = 260350,
  [SMALL_STATE(6641)] = 260364,
  [SMALL_STATE(6642)] = 260378,
  [SMALL_STATE(6643)] = 260394,
  [SMALL_STATE(6644)] = 260408,
  [SMALL_STATE(6645)] = 260424,
  [SMALL_STATE(6646)] = 260440,
  [SMALL_STATE(6647)] = 260456,
  [SMALL_STATE(6648)] = 260472,
  [SMALL_STATE(6649)] = 260488,
  [SMALL_STATE(6650)] = 260504,
  [SMALL_STATE(6651)] = 260520,
  [SMALL_STATE(6652)] = 260534,
  [SMALL_STATE(6653)] = 260550,
  [SMALL_STATE(6654)] = 260566,
  [SMALL_STATE(6655)] = 260582,
  [SMALL_STATE(6656)] = 260596,
  [SMALL_STATE(6657)] = 260610,
  [SMALL_STATE(6658)] = 260626,
  [SMALL_STATE(6659)] = 260642,
  [SMALL_STATE(6660)] = 260656,
  [SMALL_STATE(6661)] = 260672,
  [SMALL_STATE(6662)] = 260682,
  [SMALL_STATE(6663)] = 260698,
  [SMALL_STATE(6664)] = 260714,
  [SMALL_STATE(6665)] = 260730,
  [SMALL_STATE(6666)] = 260746,
  [SMALL_STATE(6667)] = 260762,
  [SMALL_STATE(6668)] = 260778,
  [SMALL_STATE(6669)] = 260792,
  [SMALL_STATE(6670)] = 260808,
  [SMALL_STATE(6671)] = 260824,
  [SMALL_STATE(6672)] = 260838,
  [SMALL_STATE(6673)] = 260854,
  [SMALL_STATE(6674)] = 260868,
  [SMALL_STATE(6675)] = 260882,
  [SMALL_STATE(6676)] = 260898,
  [SMALL_STATE(6677)] = 260914,
  [SMALL_STATE(6678)] = 260928,
  [SMALL_STATE(6679)] = 260944,
  [SMALL_STATE(6680)] = 260960,
  [SMALL_STATE(6681)] = 260974,
  [SMALL_STATE(6682)] = 260990,
  [SMALL_STATE(6683)] = 261006,
  [SMALL_STATE(6684)] = 261022,
  [SMALL_STATE(6685)] = 261038,
  [SMALL_STATE(6686)] = 261052,
  [SMALL_STATE(6687)] = 261068,
  [SMALL_STATE(6688)] = 261082,
  [SMALL_STATE(6689)] = 261096,
  [SMALL_STATE(6690)] = 261110,
  [SMALL_STATE(6691)] = 261124,
  [SMALL_STATE(6692)] = 261138,
  [SMALL_STATE(6693)] = 261152,
  [SMALL_STATE(6694)] = 261166,
  [SMALL_STATE(6695)] = 261180,
  [SMALL_STATE(6696)] = 261196,
  [SMALL_STATE(6697)] = 261212,
  [SMALL_STATE(6698)] = 261226,
  [SMALL_STATE(6699)] = 261240,
  [SMALL_STATE(6700)] = 261256,
  [SMALL_STATE(6701)] = 261272,
  [SMALL_STATE(6702)] = 261288,
  [SMALL_STATE(6703)] = 261304,
  [SMALL_STATE(6704)] = 261320,
  [SMALL_STATE(6705)] = 261336,
  [SMALL_STATE(6706)] = 261350,
  [SMALL_STATE(6707)] = 261364,
  [SMALL_STATE(6708)] = 261380,
  [SMALL_STATE(6709)] = 261396,
  [SMALL_STATE(6710)] = 261410,
  [SMALL_STATE(6711)] = 261426,
  [SMALL_STATE(6712)] = 261442,
  [SMALL_STATE(6713)] = 261458,
  [SMALL_STATE(6714)] = 261474,
  [SMALL_STATE(6715)] = 261488,
  [SMALL_STATE(6716)] = 261504,
  [SMALL_STATE(6717)] = 261520,
  [SMALL_STATE(6718)] = 261536,
  [SMALL_STATE(6719)] = 261550,
  [SMALL_STATE(6720)] = 261564,
  [SMALL_STATE(6721)] = 261580,
  [SMALL_STATE(6722)] = 261596,
  [SMALL_STATE(6723)] = 261612,
  [SMALL_STATE(6724)] = 261628,
  [SMALL_STATE(6725)] = 261642,
  [SMALL_STATE(6726)] = 261658,
  [SMALL_STATE(6727)] = 261672,
  [SMALL_STATE(6728)] = 261686,
  [SMALL_STATE(6729)] = 261700,
  [SMALL_STATE(6730)] = 261716,
  [SMALL_STATE(6731)] = 261732,
  [SMALL_STATE(6732)] = 261746,
  [SMALL_STATE(6733)] = 261760,
  [SMALL_STATE(6734)] = 261776,
  [SMALL_STATE(6735)] = 261792,
  [SMALL_STATE(6736)] = 261806,
  [SMALL_STATE(6737)] = 261820,
  [SMALL_STATE(6738)] = 261834,
  [SMALL_STATE(6739)] = 261848,
  [SMALL_STATE(6740)] = 261862,
  [SMALL_STATE(6741)] = 261876,
  [SMALL_STATE(6742)] = 261892,
  [SMALL_STATE(6743)] = 261908,
  [SMALL_STATE(6744)] = 261922,
  [SMALL_STATE(6745)] = 261936,
  [SMALL_STATE(6746)] = 261950,
  [SMALL_STATE(6747)] = 261964,
  [SMALL_STATE(6748)] = 261978,
  [SMALL_STATE(6749)] = 261994,
  [SMALL_STATE(6750)] = 262010,
  [SMALL_STATE(6751)] = 262024,
  [SMALL_STATE(6752)] = 262040,
  [SMALL_STATE(6753)] = 262054,
  [SMALL_STATE(6754)] = 262068,
  [SMALL_STATE(6755)] = 262084,
  [SMALL_STATE(6756)] = 262100,
  [SMALL_STATE(6757)] = 262114,
  [SMALL_STATE(6758)] = 262130,
  [SMALL_STATE(6759)] = 262144,
  [SMALL_STATE(6760)] = 262160,
  [SMALL_STATE(6761)] = 262176,
  [SMALL_STATE(6762)] = 262190,
  [SMALL_STATE(6763)] = 262206,
  [SMALL_STATE(6764)] = 262222,
  [SMALL_STATE(6765)] = 262236,
  [SMALL_STATE(6766)] = 262250,
  [SMALL_STATE(6767)] = 262266,
  [SMALL_STATE(6768)] = 262280,
  [SMALL_STATE(6769)] = 262296,
  [SMALL_STATE(6770)] = 262312,
  [SMALL_STATE(6771)] = 262326,
  [SMALL_STATE(6772)] = 262342,
  [SMALL_STATE(6773)] = 262356,
  [SMALL_STATE(6774)] = 262370,
  [SMALL_STATE(6775)] = 262384,
  [SMALL_STATE(6776)] = 262400,
  [SMALL_STATE(6777)] = 262414,
  [SMALL_STATE(6778)] = 262430,
  [SMALL_STATE(6779)] = 262444,
  [SMALL_STATE(6780)] = 262460,
  [SMALL_STATE(6781)] = 262474,
  [SMALL_STATE(6782)] = 262488,
  [SMALL_STATE(6783)] = 262504,
  [SMALL_STATE(6784)] = 262518,
  [SMALL_STATE(6785)] = 262534,
  [SMALL_STATE(6786)] = 262550,
  [SMALL_STATE(6787)] = 262566,
  [SMALL_STATE(6788)] = 262580,
  [SMALL_STATE(6789)] = 262594,
  [SMALL_STATE(6790)] = 262608,
  [SMALL_STATE(6791)] = 262622,
  [SMALL_STATE(6792)] = 262636,
  [SMALL_STATE(6793)] = 262650,
  [SMALL_STATE(6794)] = 262664,
  [SMALL_STATE(6795)] = 262678,
  [SMALL_STATE(6796)] = 262692,
  [SMALL_STATE(6797)] = 262706,
  [SMALL_STATE(6798)] = 262722,
  [SMALL_STATE(6799)] = 262736,
  [SMALL_STATE(6800)] = 262752,
  [SMALL_STATE(6801)] = 262766,
  [SMALL_STATE(6802)] = 262782,
  [SMALL_STATE(6803)] = 262796,
  [SMALL_STATE(6804)] = 262810,
  [SMALL_STATE(6805)] = 262826,
  [SMALL_STATE(6806)] = 262840,
  [SMALL_STATE(6807)] = 262856,
  [SMALL_STATE(6808)] = 262872,
  [SMALL_STATE(6809)] = 262888,
  [SMALL_STATE(6810)] = 262902,
  [SMALL_STATE(6811)] = 262916,
  [SMALL_STATE(6812)] = 262930,
  [SMALL_STATE(6813)] = 262946,
  [SMALL_STATE(6814)] = 262962,
  [SMALL_STATE(6815)] = 262976,
  [SMALL_STATE(6816)] = 262992,
  [SMALL_STATE(6817)] = 263001,
  [SMALL_STATE(6818)] = 263014,
  [SMALL_STATE(6819)] = 263025,
  [SMALL_STATE(6820)] = 263038,
  [SMALL_STATE(6821)] = 263049,
  [SMALL_STATE(6822)] = 263062,
  [SMALL_STATE(6823)] = 263075,
  [SMALL_STATE(6824)] = 263088,
  [SMALL_STATE(6825)] = 263099,
  [SMALL_STATE(6826)] = 263112,
  [SMALL_STATE(6827)] = 263125,
  [SMALL_STATE(6828)] = 263138,
  [SMALL_STATE(6829)] = 263151,
  [SMALL_STATE(6830)] = 263164,
  [SMALL_STATE(6831)] = 263177,
  [SMALL_STATE(6832)] = 263186,
  [SMALL_STATE(6833)] = 263199,
  [SMALL_STATE(6834)] = 263212,
  [SMALL_STATE(6835)] = 263225,
  [SMALL_STATE(6836)] = 263238,
  [SMALL_STATE(6837)] = 263251,
  [SMALL_STATE(6838)] = 263264,
  [SMALL_STATE(6839)] = 263277,
  [SMALL_STATE(6840)] = 263290,
  [SMALL_STATE(6841)] = 263303,
  [SMALL_STATE(6842)] = 263316,
  [SMALL_STATE(6843)] = 263327,
  [SMALL_STATE(6844)] = 263340,
  [SMALL_STATE(6845)] = 263351,
  [SMALL_STATE(6846)] = 263364,
  [SMALL_STATE(6847)] = 263373,
  [SMALL_STATE(6848)] = 263386,
  [SMALL_STATE(6849)] = 263399,
  [SMALL_STATE(6850)] = 263412,
  [SMALL_STATE(6851)] = 263425,
  [SMALL_STATE(6852)] = 263438,
  [SMALL_STATE(6853)] = 263447,
  [SMALL_STATE(6854)] = 263460,
  [SMALL_STATE(6855)] = 263473,
  [SMALL_STATE(6856)] = 263486,
  [SMALL_STATE(6857)] = 263499,
  [SMALL_STATE(6858)] = 263512,
  [SMALL_STATE(6859)] = 263525,
  [SMALL_STATE(6860)] = 263534,
  [SMALL_STATE(6861)] = 263547,
  [SMALL_STATE(6862)] = 263560,
  [SMALL_STATE(6863)] = 263573,
  [SMALL_STATE(6864)] = 263586,
  [SMALL_STATE(6865)] = 263599,
  [SMALL_STATE(6866)] = 263610,
  [SMALL_STATE(6867)] = 263623,
  [SMALL_STATE(6868)] = 263636,
  [SMALL_STATE(6869)] = 263649,
  [SMALL_STATE(6870)] = 263662,
  [SMALL_STATE(6871)] = 263675,
  [SMALL_STATE(6872)] = 263688,
  [SMALL_STATE(6873)] = 263701,
  [SMALL_STATE(6874)] = 263714,
  [SMALL_STATE(6875)] = 263727,
  [SMALL_STATE(6876)] = 263740,
  [SMALL_STATE(6877)] = 263753,
  [SMALL_STATE(6878)] = 263766,
  [SMALL_STATE(6879)] = 263777,
  [SMALL_STATE(6880)] = 263790,
  [SMALL_STATE(6881)] = 263803,
  [SMALL_STATE(6882)] = 263816,
  [SMALL_STATE(6883)] = 263829,
  [SMALL_STATE(6884)] = 263840,
  [SMALL_STATE(6885)] = 263853,
  [SMALL_STATE(6886)] = 263866,
  [SMALL_STATE(6887)] = 263879,
  [SMALL_STATE(6888)] = 263888,
  [SMALL_STATE(6889)] = 263899,
  [SMALL_STATE(6890)] = 263912,
  [SMALL_STATE(6891)] = 263923,
  [SMALL_STATE(6892)] = 263936,
  [SMALL_STATE(6893)] = 263949,
  [SMALL_STATE(6894)] = 263962,
  [SMALL_STATE(6895)] = 263975,
  [SMALL_STATE(6896)] = 263988,
  [SMALL_STATE(6897)] = 264001,
  [SMALL_STATE(6898)] = 264014,
  [SMALL_STATE(6899)] = 264027,
  [SMALL_STATE(6900)] = 264040,
  [SMALL_STATE(6901)] = 264053,
  [SMALL_STATE(6902)] = 264066,
  [SMALL_STATE(6903)] = 264079,
  [SMALL_STATE(6904)] = 264090,
  [SMALL_STATE(6905)] = 264103,
  [SMALL_STATE(6906)] = 264116,
  [SMALL_STATE(6907)] = 264129,
  [SMALL_STATE(6908)] = 264142,
  [SMALL_STATE(6909)] = 264155,
  [SMALL_STATE(6910)] = 264168,
  [SMALL_STATE(6911)] = 264181,
  [SMALL_STATE(6912)] = 264192,
  [SMALL_STATE(6913)] = 264205,
  [SMALL_STATE(6914)] = 264218,
  [SMALL_STATE(6915)] = 264231,
  [SMALL_STATE(6916)] = 264244,
  [SMALL_STATE(6917)] = 264257,
  [SMALL_STATE(6918)] = 264270,
  [SMALL_STATE(6919)] = 264283,
  [SMALL_STATE(6920)] = 264296,
  [SMALL_STATE(6921)] = 264309,
  [SMALL_STATE(6922)] = 264320,
  [SMALL_STATE(6923)] = 264333,
  [SMALL_STATE(6924)] = 264346,
  [SMALL_STATE(6925)] = 264359,
  [SMALL_STATE(6926)] = 264372,
  [SMALL_STATE(6927)] = 264385,
  [SMALL_STATE(6928)] = 264398,
  [SMALL_STATE(6929)] = 264411,
  [SMALL_STATE(6930)] = 264422,
  [SMALL_STATE(6931)] = 264435,
  [SMALL_STATE(6932)] = 264448,
  [SMALL_STATE(6933)] = 264461,
  [SMALL_STATE(6934)] = 264474,
  [SMALL_STATE(6935)] = 264487,
  [SMALL_STATE(6936)] = 264500,
  [SMALL_STATE(6937)] = 264513,
  [SMALL_STATE(6938)] = 264522,
  [SMALL_STATE(6939)] = 264535,
  [SMALL_STATE(6940)] = 264548,
  [SMALL_STATE(6941)] = 264557,
  [SMALL_STATE(6942)] = 264566,
  [SMALL_STATE(6943)] = 264579,
  [SMALL_STATE(6944)] = 264592,
  [SMALL_STATE(6945)] = 264605,
  [SMALL_STATE(6946)] = 264618,
  [SMALL_STATE(6947)] = 264631,
  [SMALL_STATE(6948)] = 264644,
  [SMALL_STATE(6949)] = 264657,
  [SMALL_STATE(6950)] = 264670,
  [SMALL_STATE(6951)] = 264679,
  [SMALL_STATE(6952)] = 264692,
  [SMALL_STATE(6953)] = 264705,
  [SMALL_STATE(6954)] = 264718,
  [SMALL_STATE(6955)] = 264731,
  [SMALL_STATE(6956)] = 264744,
  [SMALL_STATE(6957)] = 264757,
  [SMALL_STATE(6958)] = 264770,
  [SMALL_STATE(6959)] = 264783,
  [SMALL_STATE(6960)] = 264796,
  [SMALL_STATE(6961)] = 264809,
  [SMALL_STATE(6962)] = 264822,
  [SMALL_STATE(6963)] = 264835,
  [SMALL_STATE(6964)] = 264848,
  [SMALL_STATE(6965)] = 264857,
  [SMALL_STATE(6966)] = 264868,
  [SMALL_STATE(6967)] = 264881,
  [SMALL_STATE(6968)] = 264894,
  [SMALL_STATE(6969)] = 264903,
  [SMALL_STATE(6970)] = 264916,
  [SMALL_STATE(6971)] = 264929,
  [SMALL_STATE(6972)] = 264940,
  [SMALL_STATE(6973)] = 264953,
  [SMALL_STATE(6974)] = 264966,
  [SMALL_STATE(6975)] = 264977,
  [SMALL_STATE(6976)] = 264990,
  [SMALL_STATE(6977)] = 265003,
  [SMALL_STATE(6978)] = 265016,
  [SMALL_STATE(6979)] = 265029,
  [SMALL_STATE(6980)] = 265042,
  [SMALL_STATE(6981)] = 265055,
  [SMALL_STATE(6982)] = 265068,
  [SMALL_STATE(6983)] = 265081,
  [SMALL_STATE(6984)] = 265094,
  [SMALL_STATE(6985)] = 265107,
  [SMALL_STATE(6986)] = 265120,
  [SMALL_STATE(6987)] = 265133,
  [SMALL_STATE(6988)] = 265146,
  [SMALL_STATE(6989)] = 265159,
  [SMALL_STATE(6990)] = 265172,
  [SMALL_STATE(6991)] = 265183,
  [SMALL_STATE(6992)] = 265196,
  [SMALL_STATE(6993)] = 265209,
  [SMALL_STATE(6994)] = 265222,
  [SMALL_STATE(6995)] = 265233,
  [SMALL_STATE(6996)] = 265246,
  [SMALL_STATE(6997)] = 265257,
  [SMALL_STATE(6998)] = 265270,
  [SMALL_STATE(6999)] = 265283,
  [SMALL_STATE(7000)] = 265296,
  [SMALL_STATE(7001)] = 265309,
  [SMALL_STATE(7002)] = 265322,
  [SMALL_STATE(7003)] = 265335,
  [SMALL_STATE(7004)] = 265348,
  [SMALL_STATE(7005)] = 265361,
  [SMALL_STATE(7006)] = 265374,
  [SMALL_STATE(7007)] = 265387,
  [SMALL_STATE(7008)] = 265400,
  [SMALL_STATE(7009)] = 265413,
  [SMALL_STATE(7010)] = 265426,
  [SMALL_STATE(7011)] = 265439,
  [SMALL_STATE(7012)] = 265452,
  [SMALL_STATE(7013)] = 265465,
  [SMALL_STATE(7014)] = 265478,
  [SMALL_STATE(7015)] = 265491,
  [SMALL_STATE(7016)] = 265502,
  [SMALL_STATE(7017)] = 265515,
  [SMALL_STATE(7018)] = 265528,
  [SMALL_STATE(7019)] = 265541,
  [SMALL_STATE(7020)] = 265554,
  [SMALL_STATE(7021)] = 265567,
  [SMALL_STATE(7022)] = 265580,
  [SMALL_STATE(7023)] = 265593,
  [SMALL_STATE(7024)] = 265606,
  [SMALL_STATE(7025)] = 265619,
  [SMALL_STATE(7026)] = 265632,
  [SMALL_STATE(7027)] = 265645,
  [SMALL_STATE(7028)] = 265658,
  [SMALL_STATE(7029)] = 265671,
  [SMALL_STATE(7030)] = 265682,
  [SMALL_STATE(7031)] = 265695,
  [SMALL_STATE(7032)] = 265708,
  [SMALL_STATE(7033)] = 265721,
  [SMALL_STATE(7034)] = 265734,
  [SMALL_STATE(7035)] = 265747,
  [SMALL_STATE(7036)] = 265758,
  [SMALL_STATE(7037)] = 265771,
  [SMALL_STATE(7038)] = 265782,
  [SMALL_STATE(7039)] = 265795,
  [SMALL_STATE(7040)] = 265806,
  [SMALL_STATE(7041)] = 265819,
  [SMALL_STATE(7042)] = 265832,
  [SMALL_STATE(7043)] = 265841,
  [SMALL_STATE(7044)] = 265850,
  [SMALL_STATE(7045)] = 265863,
  [SMALL_STATE(7046)] = 265876,
  [SMALL_STATE(7047)] = 265889,
  [SMALL_STATE(7048)] = 265902,
  [SMALL_STATE(7049)] = 265915,
  [SMALL_STATE(7050)] = 265924,
  [SMALL_STATE(7051)] = 265937,
  [SMALL_STATE(7052)] = 265950,
  [SMALL_STATE(7053)] = 265959,
  [SMALL_STATE(7054)] = 265972,
  [SMALL_STATE(7055)] = 265985,
  [SMALL_STATE(7056)] = 265998,
  [SMALL_STATE(7057)] = 266011,
  [SMALL_STATE(7058)] = 266022,
  [SMALL_STATE(7059)] = 266035,
  [SMALL_STATE(7060)] = 266048,
  [SMALL_STATE(7061)] = 266061,
  [SMALL_STATE(7062)] = 266072,
  [SMALL_STATE(7063)] = 266085,
  [SMALL_STATE(7064)] = 266098,
  [SMALL_STATE(7065)] = 266111,
  [SMALL_STATE(7066)] = 266124,
  [SMALL_STATE(7067)] = 266137,
  [SMALL_STATE(7068)] = 266150,
  [SMALL_STATE(7069)] = 266163,
  [SMALL_STATE(7070)] = 266176,
  [SMALL_STATE(7071)] = 266189,
  [SMALL_STATE(7072)] = 266202,
  [SMALL_STATE(7073)] = 266215,
  [SMALL_STATE(7074)] = 266228,
  [SMALL_STATE(7075)] = 266241,
  [SMALL_STATE(7076)] = 266254,
  [SMALL_STATE(7077)] = 266267,
  [SMALL_STATE(7078)] = 266280,
  [SMALL_STATE(7079)] = 266293,
  [SMALL_STATE(7080)] = 266306,
  [SMALL_STATE(7081)] = 266319,
  [SMALL_STATE(7082)] = 266332,
  [SMALL_STATE(7083)] = 266341,
  [SMALL_STATE(7084)] = 266354,
  [SMALL_STATE(7085)] = 266367,
  [SMALL_STATE(7086)] = 266380,
  [SMALL_STATE(7087)] = 266393,
  [SMALL_STATE(7088)] = 266406,
  [SMALL_STATE(7089)] = 266417,
  [SMALL_STATE(7090)] = 266428,
  [SMALL_STATE(7091)] = 266441,
  [SMALL_STATE(7092)] = 266454,
  [SMALL_STATE(7093)] = 266467,
  [SMALL_STATE(7094)] = 266480,
  [SMALL_STATE(7095)] = 266493,
  [SMALL_STATE(7096)] = 266504,
  [SMALL_STATE(7097)] = 266517,
  [SMALL_STATE(7098)] = 266530,
  [SMALL_STATE(7099)] = 266543,
  [SMALL_STATE(7100)] = 266552,
  [SMALL_STATE(7101)] = 266565,
  [SMALL_STATE(7102)] = 266576,
  [SMALL_STATE(7103)] = 266589,
  [SMALL_STATE(7104)] = 266602,
  [SMALL_STATE(7105)] = 266615,
  [SMALL_STATE(7106)] = 266628,
  [SMALL_STATE(7107)] = 266641,
  [SMALL_STATE(7108)] = 266654,
  [SMALL_STATE(7109)] = 266665,
  [SMALL_STATE(7110)] = 266678,
  [SMALL_STATE(7111)] = 266691,
  [SMALL_STATE(7112)] = 266704,
  [SMALL_STATE(7113)] = 266717,
  [SMALL_STATE(7114)] = 266730,
  [SMALL_STATE(7115)] = 266743,
  [SMALL_STATE(7116)] = 266756,
  [SMALL_STATE(7117)] = 266769,
  [SMALL_STATE(7118)] = 266782,
  [SMALL_STATE(7119)] = 266795,
  [SMALL_STATE(7120)] = 266808,
  [SMALL_STATE(7121)] = 266821,
  [SMALL_STATE(7122)] = 266832,
  [SMALL_STATE(7123)] = 266843,
  [SMALL_STATE(7124)] = 266856,
  [SMALL_STATE(7125)] = 266869,
  [SMALL_STATE(7126)] = 266882,
  [SMALL_STATE(7127)] = 266895,
  [SMALL_STATE(7128)] = 266908,
  [SMALL_STATE(7129)] = 266921,
  [SMALL_STATE(7130)] = 266932,
  [SMALL_STATE(7131)] = 266945,
  [SMALL_STATE(7132)] = 266958,
  [SMALL_STATE(7133)] = 266971,
  [SMALL_STATE(7134)] = 266984,
  [SMALL_STATE(7135)] = 266997,
  [SMALL_STATE(7136)] = 267010,
  [SMALL_STATE(7137)] = 267023,
  [SMALL_STATE(7138)] = 267034,
  [SMALL_STATE(7139)] = 267047,
  [SMALL_STATE(7140)] = 267060,
  [SMALL_STATE(7141)] = 267073,
  [SMALL_STATE(7142)] = 267086,
  [SMALL_STATE(7143)] = 267099,
  [SMALL_STATE(7144)] = 267112,
  [SMALL_STATE(7145)] = 267121,
  [SMALL_STATE(7146)] = 267134,
  [SMALL_STATE(7147)] = 267147,
  [SMALL_STATE(7148)] = 267158,
  [SMALL_STATE(7149)] = 267171,
  [SMALL_STATE(7150)] = 267184,
  [SMALL_STATE(7151)] = 267197,
  [SMALL_STATE(7152)] = 267210,
  [SMALL_STATE(7153)] = 267223,
  [SMALL_STATE(7154)] = 267236,
  [SMALL_STATE(7155)] = 267249,
  [SMALL_STATE(7156)] = 267262,
  [SMALL_STATE(7157)] = 267275,
  [SMALL_STATE(7158)] = 267288,
  [SMALL_STATE(7159)] = 267301,
  [SMALL_STATE(7160)] = 267314,
  [SMALL_STATE(7161)] = 267327,
  [SMALL_STATE(7162)] = 267340,
  [SMALL_STATE(7163)] = 267353,
  [SMALL_STATE(7164)] = 267366,
  [SMALL_STATE(7165)] = 267379,
  [SMALL_STATE(7166)] = 267392,
  [SMALL_STATE(7167)] = 267405,
  [SMALL_STATE(7168)] = 267414,
  [SMALL_STATE(7169)] = 267427,
  [SMALL_STATE(7170)] = 267440,
  [SMALL_STATE(7171)] = 267453,
  [SMALL_STATE(7172)] = 267466,
  [SMALL_STATE(7173)] = 267479,
  [SMALL_STATE(7174)] = 267492,
  [SMALL_STATE(7175)] = 267505,
  [SMALL_STATE(7176)] = 267516,
  [SMALL_STATE(7177)] = 267529,
  [SMALL_STATE(7178)] = 267542,
  [SMALL_STATE(7179)] = 267555,
  [SMALL_STATE(7180)] = 267568,
  [SMALL_STATE(7181)] = 267581,
  [SMALL_STATE(7182)] = 267594,
  [SMALL_STATE(7183)] = 267607,
  [SMALL_STATE(7184)] = 267620,
  [SMALL_STATE(7185)] = 267631,
  [SMALL_STATE(7186)] = 267644,
  [SMALL_STATE(7187)] = 267655,
  [SMALL_STATE(7188)] = 267668,
  [SMALL_STATE(7189)] = 267681,
  [SMALL_STATE(7190)] = 267694,
  [SMALL_STATE(7191)] = 267707,
  [SMALL_STATE(7192)] = 267718,
  [SMALL_STATE(7193)] = 267731,
  [SMALL_STATE(7194)] = 267744,
  [SMALL_STATE(7195)] = 267757,
  [SMALL_STATE(7196)] = 267768,
  [SMALL_STATE(7197)] = 267781,
  [SMALL_STATE(7198)] = 267794,
  [SMALL_STATE(7199)] = 267805,
  [SMALL_STATE(7200)] = 267816,
  [SMALL_STATE(7201)] = 267829,
  [SMALL_STATE(7202)] = 267842,
  [SMALL_STATE(7203)] = 267853,
  [SMALL_STATE(7204)] = 267866,
  [SMALL_STATE(7205)] = 267877,
  [SMALL_STATE(7206)] = 267890,
  [SMALL_STATE(7207)] = 267901,
  [SMALL_STATE(7208)] = 267914,
  [SMALL_STATE(7209)] = 267927,
  [SMALL_STATE(7210)] = 267938,
  [SMALL_STATE(7211)] = 267951,
  [SMALL_STATE(7212)] = 267964,
  [SMALL_STATE(7213)] = 267977,
  [SMALL_STATE(7214)] = 267990,
  [SMALL_STATE(7215)] = 268000,
  [SMALL_STATE(7216)] = 268010,
  [SMALL_STATE(7217)] = 268020,
  [SMALL_STATE(7218)] = 268028,
  [SMALL_STATE(7219)] = 268038,
  [SMALL_STATE(7220)] = 268048,
  [SMALL_STATE(7221)] = 268058,
  [SMALL_STATE(7222)] = 268068,
  [SMALL_STATE(7223)] = 268078,
  [SMALL_STATE(7224)] = 268088,
  [SMALL_STATE(7225)] = 268098,
  [SMALL_STATE(7226)] = 268108,
  [SMALL_STATE(7227)] = 268118,
  [SMALL_STATE(7228)] = 268128,
  [SMALL_STATE(7229)] = 268138,
  [SMALL_STATE(7230)] = 268148,
  [SMALL_STATE(7231)] = 268158,
  [SMALL_STATE(7232)] = 268166,
  [SMALL_STATE(7233)] = 268176,
  [SMALL_STATE(7234)] = 268186,
  [SMALL_STATE(7235)] = 268196,
  [SMALL_STATE(7236)] = 268206,
  [SMALL_STATE(7237)] = 268216,
  [SMALL_STATE(7238)] = 268224,
  [SMALL_STATE(7239)] = 268232,
  [SMALL_STATE(7240)] = 268242,
  [SMALL_STATE(7241)] = 268252,
  [SMALL_STATE(7242)] = 268260,
  [SMALL_STATE(7243)] = 268270,
  [SMALL_STATE(7244)] = 268280,
  [SMALL_STATE(7245)] = 268290,
  [SMALL_STATE(7246)] = 268300,
  [SMALL_STATE(7247)] = 268310,
  [SMALL_STATE(7248)] = 268320,
  [SMALL_STATE(7249)] = 268328,
  [SMALL_STATE(7250)] = 268338,
  [SMALL_STATE(7251)] = 268348,
  [SMALL_STATE(7252)] = 268358,
  [SMALL_STATE(7253)] = 268368,
  [SMALL_STATE(7254)] = 268378,
  [SMALL_STATE(7255)] = 268388,
  [SMALL_STATE(7256)] = 268396,
  [SMALL_STATE(7257)] = 268406,
  [SMALL_STATE(7258)] = 268416,
  [SMALL_STATE(7259)] = 268426,
  [SMALL_STATE(7260)] = 268436,
  [SMALL_STATE(7261)] = 268446,
  [SMALL_STATE(7262)] = 268456,
  [SMALL_STATE(7263)] = 268466,
  [SMALL_STATE(7264)] = 268476,
  [SMALL_STATE(7265)] = 268486,
  [SMALL_STATE(7266)] = 268496,
  [SMALL_STATE(7267)] = 268506,
  [SMALL_STATE(7268)] = 268516,
  [SMALL_STATE(7269)] = 268526,
  [SMALL_STATE(7270)] = 268536,
  [SMALL_STATE(7271)] = 268546,
  [SMALL_STATE(7272)] = 268556,
  [SMALL_STATE(7273)] = 268566,
  [SMALL_STATE(7274)] = 268576,
  [SMALL_STATE(7275)] = 268584,
  [SMALL_STATE(7276)] = 268592,
  [SMALL_STATE(7277)] = 268602,
  [SMALL_STATE(7278)] = 268612,
  [SMALL_STATE(7279)] = 268622,
  [SMALL_STATE(7280)] = 268632,
  [SMALL_STATE(7281)] = 268642,
  [SMALL_STATE(7282)] = 268652,
  [SMALL_STATE(7283)] = 268662,
  [SMALL_STATE(7284)] = 268672,
  [SMALL_STATE(7285)] = 268682,
  [SMALL_STATE(7286)] = 268692,
  [SMALL_STATE(7287)] = 268702,
  [SMALL_STATE(7288)] = 268712,
  [SMALL_STATE(7289)] = 268722,
  [SMALL_STATE(7290)] = 268732,
  [SMALL_STATE(7291)] = 268742,
  [SMALL_STATE(7292)] = 268752,
  [SMALL_STATE(7293)] = 268762,
  [SMALL_STATE(7294)] = 268772,
  [SMALL_STATE(7295)] = 268782,
  [SMALL_STATE(7296)] = 268792,
  [SMALL_STATE(7297)] = 268802,
  [SMALL_STATE(7298)] = 268810,
  [SMALL_STATE(7299)] = 268820,
  [SMALL_STATE(7300)] = 268830,
  [SMALL_STATE(7301)] = 268840,
  [SMALL_STATE(7302)] = 268850,
  [SMALL_STATE(7303)] = 268860,
  [SMALL_STATE(7304)] = 268870,
  [SMALL_STATE(7305)] = 268880,
  [SMALL_STATE(7306)] = 268890,
  [SMALL_STATE(7307)] = 268900,
  [SMALL_STATE(7308)] = 268910,
  [SMALL_STATE(7309)] = 268920,
  [SMALL_STATE(7310)] = 268930,
  [SMALL_STATE(7311)] = 268940,
  [SMALL_STATE(7312)] = 268950,
  [SMALL_STATE(7313)] = 268960,
  [SMALL_STATE(7314)] = 268970,
  [SMALL_STATE(7315)] = 268980,
  [SMALL_STATE(7316)] = 268990,
  [SMALL_STATE(7317)] = 269000,
  [SMALL_STATE(7318)] = 269010,
  [SMALL_STATE(7319)] = 269020,
  [SMALL_STATE(7320)] = 269028,
  [SMALL_STATE(7321)] = 269038,
  [SMALL_STATE(7322)] = 269046,
  [SMALL_STATE(7323)] = 269056,
  [SMALL_STATE(7324)] = 269066,
  [SMALL_STATE(7325)] = 269076,
  [SMALL_STATE(7326)] = 269086,
  [SMALL_STATE(7327)] = 269096,
  [SMALL_STATE(7328)] = 269106,
  [SMALL_STATE(7329)] = 269116,
  [SMALL_STATE(7330)] = 269126,
  [SMALL_STATE(7331)] = 269136,
  [SMALL_STATE(7332)] = 269146,
  [SMALL_STATE(7333)] = 269156,
  [SMALL_STATE(7334)] = 269166,
  [SMALL_STATE(7335)] = 269176,
  [SMALL_STATE(7336)] = 269186,
  [SMALL_STATE(7337)] = 269196,
  [SMALL_STATE(7338)] = 269206,
  [SMALL_STATE(7339)] = 269214,
  [SMALL_STATE(7340)] = 269224,
  [SMALL_STATE(7341)] = 269234,
  [SMALL_STATE(7342)] = 269244,
  [SMALL_STATE(7343)] = 269254,
  [SMALL_STATE(7344)] = 269264,
  [SMALL_STATE(7345)] = 269274,
  [SMALL_STATE(7346)] = 269284,
  [SMALL_STATE(7347)] = 269292,
  [SMALL_STATE(7348)] = 269302,
  [SMALL_STATE(7349)] = 269312,
  [SMALL_STATE(7350)] = 269322,
  [SMALL_STATE(7351)] = 269332,
  [SMALL_STATE(7352)] = 269340,
  [SMALL_STATE(7353)] = 269350,
  [SMALL_STATE(7354)] = 269360,
  [SMALL_STATE(7355)] = 269370,
  [SMALL_STATE(7356)] = 269380,
  [SMALL_STATE(7357)] = 269390,
  [SMALL_STATE(7358)] = 269400,
  [SMALL_STATE(7359)] = 269410,
  [SMALL_STATE(7360)] = 269420,
  [SMALL_STATE(7361)] = 269430,
  [SMALL_STATE(7362)] = 269440,
  [SMALL_STATE(7363)] = 269450,
  [SMALL_STATE(7364)] = 269460,
  [SMALL_STATE(7365)] = 269470,
  [SMALL_STATE(7366)] = 269480,
  [SMALL_STATE(7367)] = 269488,
  [SMALL_STATE(7368)] = 269496,
  [SMALL_STATE(7369)] = 269504,
  [SMALL_STATE(7370)] = 269514,
  [SMALL_STATE(7371)] = 269524,
  [SMALL_STATE(7372)] = 269534,
  [SMALL_STATE(7373)] = 269544,
  [SMALL_STATE(7374)] = 269552,
  [SMALL_STATE(7375)] = 269562,
  [SMALL_STATE(7376)] = 269570,
  [SMALL_STATE(7377)] = 269578,
  [SMALL_STATE(7378)] = 269588,
  [SMALL_STATE(7379)] = 269596,
  [SMALL_STATE(7380)] = 269606,
  [SMALL_STATE(7381)] = 269616,
  [SMALL_STATE(7382)] = 269624,
  [SMALL_STATE(7383)] = 269634,
  [SMALL_STATE(7384)] = 269642,
  [SMALL_STATE(7385)] = 269652,
  [SMALL_STATE(7386)] = 269660,
  [SMALL_STATE(7387)] = 269670,
  [SMALL_STATE(7388)] = 269680,
  [SMALL_STATE(7389)] = 269690,
  [SMALL_STATE(7390)] = 269700,
  [SMALL_STATE(7391)] = 269710,
  [SMALL_STATE(7392)] = 269720,
  [SMALL_STATE(7393)] = 269728,
  [SMALL_STATE(7394)] = 269738,
  [SMALL_STATE(7395)] = 269748,
  [SMALL_STATE(7396)] = 269758,
  [SMALL_STATE(7397)] = 269768,
  [SMALL_STATE(7398)] = 269778,
  [SMALL_STATE(7399)] = 269788,
  [SMALL_STATE(7400)] = 269798,
  [SMALL_STATE(7401)] = 269808,
  [SMALL_STATE(7402)] = 269818,
  [SMALL_STATE(7403)] = 269828,
  [SMALL_STATE(7404)] = 269838,
  [SMALL_STATE(7405)] = 269848,
  [SMALL_STATE(7406)] = 269858,
  [SMALL_STATE(7407)] = 269868,
  [SMALL_STATE(7408)] = 269878,
  [SMALL_STATE(7409)] = 269888,
  [SMALL_STATE(7410)] = 269898,
  [SMALL_STATE(7411)] = 269908,
  [SMALL_STATE(7412)] = 269916,
  [SMALL_STATE(7413)] = 269926,
  [SMALL_STATE(7414)] = 269934,
  [SMALL_STATE(7415)] = 269944,
  [SMALL_STATE(7416)] = 269954,
  [SMALL_STATE(7417)] = 269964,
  [SMALL_STATE(7418)] = 269974,
  [SMALL_STATE(7419)] = 269982,
  [SMALL_STATE(7420)] = 269992,
  [SMALL_STATE(7421)] = 270002,
  [SMALL_STATE(7422)] = 270012,
  [SMALL_STATE(7423)] = 270022,
  [SMALL_STATE(7424)] = 270030,
  [SMALL_STATE(7425)] = 270040,
  [SMALL_STATE(7426)] = 270050,
  [SMALL_STATE(7427)] = 270060,
  [SMALL_STATE(7428)] = 270070,
  [SMALL_STATE(7429)] = 270080,
  [SMALL_STATE(7430)] = 270090,
  [SMALL_STATE(7431)] = 270100,
  [SMALL_STATE(7432)] = 270110,
  [SMALL_STATE(7433)] = 270118,
  [SMALL_STATE(7434)] = 270128,
  [SMALL_STATE(7435)] = 270138,
  [SMALL_STATE(7436)] = 270146,
  [SMALL_STATE(7437)] = 270154,
  [SMALL_STATE(7438)] = 270164,
  [SMALL_STATE(7439)] = 270174,
  [SMALL_STATE(7440)] = 270184,
  [SMALL_STATE(7441)] = 270194,
  [SMALL_STATE(7442)] = 270204,
  [SMALL_STATE(7443)] = 270214,
  [SMALL_STATE(7444)] = 270224,
  [SMALL_STATE(7445)] = 270234,
  [SMALL_STATE(7446)] = 270244,
  [SMALL_STATE(7447)] = 270254,
  [SMALL_STATE(7448)] = 270264,
  [SMALL_STATE(7449)] = 270274,
  [SMALL_STATE(7450)] = 270284,
  [SMALL_STATE(7451)] = 270294,
  [SMALL_STATE(7452)] = 270304,
  [SMALL_STATE(7453)] = 270314,
  [SMALL_STATE(7454)] = 270324,
  [SMALL_STATE(7455)] = 270334,
  [SMALL_STATE(7456)] = 270344,
  [SMALL_STATE(7457)] = 270354,
  [SMALL_STATE(7458)] = 270364,
  [SMALL_STATE(7459)] = 270374,
  [SMALL_STATE(7460)] = 270384,
  [SMALL_STATE(7461)] = 270394,
  [SMALL_STATE(7462)] = 270404,
  [SMALL_STATE(7463)] = 270414,
  [SMALL_STATE(7464)] = 270424,
  [SMALL_STATE(7465)] = 270434,
  [SMALL_STATE(7466)] = 270444,
  [SMALL_STATE(7467)] = 270454,
  [SMALL_STATE(7468)] = 270462,
  [SMALL_STATE(7469)] = 270472,
  [SMALL_STATE(7470)] = 270482,
  [SMALL_STATE(7471)] = 270492,
  [SMALL_STATE(7472)] = 270502,
  [SMALL_STATE(7473)] = 270512,
  [SMALL_STATE(7474)] = 270520,
  [SMALL_STATE(7475)] = 270530,
  [SMALL_STATE(7476)] = 270538,
  [SMALL_STATE(7477)] = 270548,
  [SMALL_STATE(7478)] = 270558,
  [SMALL_STATE(7479)] = 270568,
  [SMALL_STATE(7480)] = 270578,
  [SMALL_STATE(7481)] = 270588,
  [SMALL_STATE(7482)] = 270598,
  [SMALL_STATE(7483)] = 270606,
  [SMALL_STATE(7484)] = 270616,
  [SMALL_STATE(7485)] = 270626,
  [SMALL_STATE(7486)] = 270636,
  [SMALL_STATE(7487)] = 270646,
  [SMALL_STATE(7488)] = 270656,
  [SMALL_STATE(7489)] = 270666,
  [SMALL_STATE(7490)] = 270676,
  [SMALL_STATE(7491)] = 270686,
  [SMALL_STATE(7492)] = 270696,
  [SMALL_STATE(7493)] = 270704,
  [SMALL_STATE(7494)] = 270714,
  [SMALL_STATE(7495)] = 270722,
  [SMALL_STATE(7496)] = 270732,
  [SMALL_STATE(7497)] = 270742,
  [SMALL_STATE(7498)] = 270752,
  [SMALL_STATE(7499)] = 270762,
  [SMALL_STATE(7500)] = 270772,
  [SMALL_STATE(7501)] = 270782,
  [SMALL_STATE(7502)] = 270792,
  [SMALL_STATE(7503)] = 270802,
  [SMALL_STATE(7504)] = 270812,
  [SMALL_STATE(7505)] = 270822,
  [SMALL_STATE(7506)] = 270830,
  [SMALL_STATE(7507)] = 270838,
  [SMALL_STATE(7508)] = 270848,
  [SMALL_STATE(7509)] = 270858,
  [SMALL_STATE(7510)] = 270868,
  [SMALL_STATE(7511)] = 270876,
  [SMALL_STATE(7512)] = 270886,
  [SMALL_STATE(7513)] = 270896,
  [SMALL_STATE(7514)] = 270906,
  [SMALL_STATE(7515)] = 270916,
  [SMALL_STATE(7516)] = 270926,
  [SMALL_STATE(7517)] = 270936,
  [SMALL_STATE(7518)] = 270946,
  [SMALL_STATE(7519)] = 270956,
  [SMALL_STATE(7520)] = 270966,
  [SMALL_STATE(7521)] = 270976,
  [SMALL_STATE(7522)] = 270986,
  [SMALL_STATE(7523)] = 270996,
  [SMALL_STATE(7524)] = 271006,
  [SMALL_STATE(7525)] = 271016,
  [SMALL_STATE(7526)] = 271026,
  [SMALL_STATE(7527)] = 271036,
  [SMALL_STATE(7528)] = 271046,
  [SMALL_STATE(7529)] = 271056,
  [SMALL_STATE(7530)] = 271064,
  [SMALL_STATE(7531)] = 271074,
  [SMALL_STATE(7532)] = 271084,
  [SMALL_STATE(7533)] = 271094,
  [SMALL_STATE(7534)] = 271104,
  [SMALL_STATE(7535)] = 271114,
  [SMALL_STATE(7536)] = 271124,
  [SMALL_STATE(7537)] = 271134,
  [SMALL_STATE(7538)] = 271144,
  [SMALL_STATE(7539)] = 271154,
  [SMALL_STATE(7540)] = 271164,
  [SMALL_STATE(7541)] = 271174,
  [SMALL_STATE(7542)] = 271184,
  [SMALL_STATE(7543)] = 271194,
  [SMALL_STATE(7544)] = 271202,
  [SMALL_STATE(7545)] = 271212,
  [SMALL_STATE(7546)] = 271222,
  [SMALL_STATE(7547)] = 271232,
  [SMALL_STATE(7548)] = 271242,
  [SMALL_STATE(7549)] = 271252,
  [SMALL_STATE(7550)] = 271262,
  [SMALL_STATE(7551)] = 271272,
  [SMALL_STATE(7552)] = 271282,
  [SMALL_STATE(7553)] = 271292,
  [SMALL_STATE(7554)] = 271299,
  [SMALL_STATE(7555)] = 271306,
  [SMALL_STATE(7556)] = 271313,
  [SMALL_STATE(7557)] = 271320,
  [SMALL_STATE(7558)] = 271327,
  [SMALL_STATE(7559)] = 271334,
  [SMALL_STATE(7560)] = 271341,
  [SMALL_STATE(7561)] = 271348,
  [SMALL_STATE(7562)] = 271355,
  [SMALL_STATE(7563)] = 271362,
  [SMALL_STATE(7564)] = 271369,
  [SMALL_STATE(7565)] = 271376,
  [SMALL_STATE(7566)] = 271383,
  [SMALL_STATE(7567)] = 271390,
  [SMALL_STATE(7568)] = 271397,
  [SMALL_STATE(7569)] = 271404,
  [SMALL_STATE(7570)] = 271411,
  [SMALL_STATE(7571)] = 271418,
  [SMALL_STATE(7572)] = 271425,
  [SMALL_STATE(7573)] = 271432,
  [SMALL_STATE(7574)] = 271439,
  [SMALL_STATE(7575)] = 271446,
  [SMALL_STATE(7576)] = 271453,
  [SMALL_STATE(7577)] = 271460,
  [SMALL_STATE(7578)] = 271467,
  [SMALL_STATE(7579)] = 271474,
  [SMALL_STATE(7580)] = 271481,
  [SMALL_STATE(7581)] = 271488,
  [SMALL_STATE(7582)] = 271495,
  [SMALL_STATE(7583)] = 271502,
  [SMALL_STATE(7584)] = 271509,
  [SMALL_STATE(7585)] = 271516,
  [SMALL_STATE(7586)] = 271523,
  [SMALL_STATE(7587)] = 271530,
  [SMALL_STATE(7588)] = 271537,
  [SMALL_STATE(7589)] = 271544,
  [SMALL_STATE(7590)] = 271551,
  [SMALL_STATE(7591)] = 271558,
  [SMALL_STATE(7592)] = 271565,
  [SMALL_STATE(7593)] = 271572,
  [SMALL_STATE(7594)] = 271579,
  [SMALL_STATE(7595)] = 271586,
  [SMALL_STATE(7596)] = 271593,
  [SMALL_STATE(7597)] = 271600,
  [SMALL_STATE(7598)] = 271607,
  [SMALL_STATE(7599)] = 271614,
  [SMALL_STATE(7600)] = 271621,
  [SMALL_STATE(7601)] = 271628,
  [SMALL_STATE(7602)] = 271635,
  [SMALL_STATE(7603)] = 271642,
  [SMALL_STATE(7604)] = 271649,
  [SMALL_STATE(7605)] = 271656,
  [SMALL_STATE(7606)] = 271663,
  [SMALL_STATE(7607)] = 271670,
  [SMALL_STATE(7608)] = 271677,
  [SMALL_STATE(7609)] = 271684,
  [SMALL_STATE(7610)] = 271691,
  [SMALL_STATE(7611)] = 271698,
  [SMALL_STATE(7612)] = 271705,
  [SMALL_STATE(7613)] = 271712,
  [SMALL_STATE(7614)] = 271719,
  [SMALL_STATE(7615)] = 271726,
  [SMALL_STATE(7616)] = 271733,
  [SMALL_STATE(7617)] = 271740,
  [SMALL_STATE(7618)] = 271747,
  [SMALL_STATE(7619)] = 271754,
  [SMALL_STATE(7620)] = 271761,
  [SMALL_STATE(7621)] = 271768,
  [SMALL_STATE(7622)] = 271775,
  [SMALL_STATE(7623)] = 271782,
  [SMALL_STATE(7624)] = 271789,
  [SMALL_STATE(7625)] = 271796,
  [SMALL_STATE(7626)] = 271803,
  [SMALL_STATE(7627)] = 271810,
  [SMALL_STATE(7628)] = 271817,
  [SMALL_STATE(7629)] = 271824,
  [SMALL_STATE(7630)] = 271831,
  [SMALL_STATE(7631)] = 271838,
  [SMALL_STATE(7632)] = 271845,
  [SMALL_STATE(7633)] = 271852,
  [SMALL_STATE(7634)] = 271859,
  [SMALL_STATE(7635)] = 271866,
  [SMALL_STATE(7636)] = 271873,
  [SMALL_STATE(7637)] = 271880,
  [SMALL_STATE(7638)] = 271887,
  [SMALL_STATE(7639)] = 271894,
  [SMALL_STATE(7640)] = 271901,
  [SMALL_STATE(7641)] = 271908,
  [SMALL_STATE(7642)] = 271915,
  [SMALL_STATE(7643)] = 271922,
  [SMALL_STATE(7644)] = 271929,
  [SMALL_STATE(7645)] = 271936,
  [SMALL_STATE(7646)] = 271943,
  [SMALL_STATE(7647)] = 271950,
  [SMALL_STATE(7648)] = 271957,
  [SMALL_STATE(7649)] = 271964,
  [SMALL_STATE(7650)] = 271971,
  [SMALL_STATE(7651)] = 271978,
  [SMALL_STATE(7652)] = 271985,
  [SMALL_STATE(7653)] = 271992,
  [SMALL_STATE(7654)] = 271999,
  [SMALL_STATE(7655)] = 272006,
  [SMALL_STATE(7656)] = 272013,
  [SMALL_STATE(7657)] = 272020,
  [SMALL_STATE(7658)] = 272027,
  [SMALL_STATE(7659)] = 272034,
  [SMALL_STATE(7660)] = 272041,
  [SMALL_STATE(7661)] = 272048,
  [SMALL_STATE(7662)] = 272055,
  [SMALL_STATE(7663)] = 272062,
  [SMALL_STATE(7664)] = 272069,
  [SMALL_STATE(7665)] = 272076,
  [SMALL_STATE(7666)] = 272083,
  [SMALL_STATE(7667)] = 272090,
  [SMALL_STATE(7668)] = 272097,
  [SMALL_STATE(7669)] = 272104,
  [SMALL_STATE(7670)] = 272111,
  [SMALL_STATE(7671)] = 272118,
  [SMALL_STATE(7672)] = 272125,
  [SMALL_STATE(7673)] = 272132,
  [SMALL_STATE(7674)] = 272139,
  [SMALL_STATE(7675)] = 272146,
  [SMALL_STATE(7676)] = 272153,
  [SMALL_STATE(7677)] = 272160,
  [SMALL_STATE(7678)] = 272167,
  [SMALL_STATE(7679)] = 272174,
  [SMALL_STATE(7680)] = 272181,
  [SMALL_STATE(7681)] = 272188,
  [SMALL_STATE(7682)] = 272195,
  [SMALL_STATE(7683)] = 272202,
  [SMALL_STATE(7684)] = 272209,
  [SMALL_STATE(7685)] = 272216,
  [SMALL_STATE(7686)] = 272223,
  [SMALL_STATE(7687)] = 272230,
  [SMALL_STATE(7688)] = 272237,
  [SMALL_STATE(7689)] = 272244,
  [SMALL_STATE(7690)] = 272251,
  [SMALL_STATE(7691)] = 272258,
  [SMALL_STATE(7692)] = 272265,
  [SMALL_STATE(7693)] = 272272,
  [SMALL_STATE(7694)] = 272279,
  [SMALL_STATE(7695)] = 272286,
  [SMALL_STATE(7696)] = 272293,
  [SMALL_STATE(7697)] = 272300,
  [SMALL_STATE(7698)] = 272307,
  [SMALL_STATE(7699)] = 272314,
  [SMALL_STATE(7700)] = 272321,
  [SMALL_STATE(7701)] = 272328,
  [SMALL_STATE(7702)] = 272335,
  [SMALL_STATE(7703)] = 272342,
  [SMALL_STATE(7704)] = 272349,
  [SMALL_STATE(7705)] = 272356,
  [SMALL_STATE(7706)] = 272363,
  [SMALL_STATE(7707)] = 272370,
  [SMALL_STATE(7708)] = 272377,
  [SMALL_STATE(7709)] = 272384,
  [SMALL_STATE(7710)] = 272391,
  [SMALL_STATE(7711)] = 272398,
  [SMALL_STATE(7712)] = 272405,
  [SMALL_STATE(7713)] = 272412,
  [SMALL_STATE(7714)] = 272419,
  [SMALL_STATE(7715)] = 272426,
  [SMALL_STATE(7716)] = 272433,
  [SMALL_STATE(7717)] = 272440,
  [SMALL_STATE(7718)] = 272447,
  [SMALL_STATE(7719)] = 272454,
  [SMALL_STATE(7720)] = 272461,
  [SMALL_STATE(7721)] = 272468,
  [SMALL_STATE(7722)] = 272475,
  [SMALL_STATE(7723)] = 272482,
  [SMALL_STATE(7724)] = 272489,
  [SMALL_STATE(7725)] = 272496,
  [SMALL_STATE(7726)] = 272503,
  [SMALL_STATE(7727)] = 272510,
  [SMALL_STATE(7728)] = 272517,
  [SMALL_STATE(7729)] = 272524,
  [SMALL_STATE(7730)] = 272531,
  [SMALL_STATE(7731)] = 272538,
  [SMALL_STATE(7732)] = 272545,
  [SMALL_STATE(7733)] = 272552,
  [SMALL_STATE(7734)] = 272559,
  [SMALL_STATE(7735)] = 272566,
  [SMALL_STATE(7736)] = 272573,
  [SMALL_STATE(7737)] = 272580,
  [SMALL_STATE(7738)] = 272587,
  [SMALL_STATE(7739)] = 272594,
  [SMALL_STATE(7740)] = 272601,
  [SMALL_STATE(7741)] = 272608,
  [SMALL_STATE(7742)] = 272615,
  [SMALL_STATE(7743)] = 272622,
  [SMALL_STATE(7744)] = 272629,
  [SMALL_STATE(7745)] = 272636,
  [SMALL_STATE(7746)] = 272643,
  [SMALL_STATE(7747)] = 272650,
  [SMALL_STATE(7748)] = 272657,
  [SMALL_STATE(7749)] = 272664,
  [SMALL_STATE(7750)] = 272671,
  [SMALL_STATE(7751)] = 272678,
  [SMALL_STATE(7752)] = 272685,
  [SMALL_STATE(7753)] = 272692,
  [SMALL_STATE(7754)] = 272699,
  [SMALL_STATE(7755)] = 272706,
  [SMALL_STATE(7756)] = 272713,
  [SMALL_STATE(7757)] = 272720,
  [SMALL_STATE(7758)] = 272727,
  [SMALL_STATE(7759)] = 272734,
  [SMALL_STATE(7760)] = 272741,
  [SMALL_STATE(7761)] = 272748,
  [SMALL_STATE(7762)] = 272755,
  [SMALL_STATE(7763)] = 272762,
  [SMALL_STATE(7764)] = 272769,
  [SMALL_STATE(7765)] = 272776,
  [SMALL_STATE(7766)] = 272783,
  [SMALL_STATE(7767)] = 272790,
  [SMALL_STATE(7768)] = 272797,
  [SMALL_STATE(7769)] = 272804,
  [SMALL_STATE(7770)] = 272811,
  [SMALL_STATE(7771)] = 272818,
  [SMALL_STATE(7772)] = 272825,
  [SMALL_STATE(7773)] = 272832,
  [SMALL_STATE(7774)] = 272839,
  [SMALL_STATE(7775)] = 272846,
  [SMALL_STATE(7776)] = 272853,
  [SMALL_STATE(7777)] = 272860,
  [SMALL_STATE(7778)] = 272867,
  [SMALL_STATE(7779)] = 272874,
  [SMALL_STATE(7780)] = 272881,
  [SMALL_STATE(7781)] = 272888,
  [SMALL_STATE(7782)] = 272895,
  [SMALL_STATE(7783)] = 272902,
  [SMALL_STATE(7784)] = 272909,
  [SMALL_STATE(7785)] = 272916,
  [SMALL_STATE(7786)] = 272923,
  [SMALL_STATE(7787)] = 272930,
  [SMALL_STATE(7788)] = 272937,
  [SMALL_STATE(7789)] = 272944,
  [SMALL_STATE(7790)] = 272951,
  [SMALL_STATE(7791)] = 272958,
  [SMALL_STATE(7792)] = 272965,
  [SMALL_STATE(7793)] = 272972,
  [SMALL_STATE(7794)] = 272979,
  [SMALL_STATE(7795)] = 272986,
  [SMALL_STATE(7796)] = 272993,
  [SMALL_STATE(7797)] = 273000,
  [SMALL_STATE(7798)] = 273007,
  [SMALL_STATE(7799)] = 273014,
  [SMALL_STATE(7800)] = 273021,
  [SMALL_STATE(7801)] = 273028,
  [SMALL_STATE(7802)] = 273035,
  [SMALL_STATE(7803)] = 273042,
  [SMALL_STATE(7804)] = 273049,
  [SMALL_STATE(7805)] = 273056,
  [SMALL_STATE(7806)] = 273063,
  [SMALL_STATE(7807)] = 273070,
  [SMALL_STATE(7808)] = 273077,
  [SMALL_STATE(7809)] = 273084,
  [SMALL_STATE(7810)] = 273091,
  [SMALL_STATE(7811)] = 273098,
  [SMALL_STATE(7812)] = 273105,
  [SMALL_STATE(7813)] = 273112,
  [SMALL_STATE(7814)] = 273119,
  [SMALL_STATE(7815)] = 273126,
  [SMALL_STATE(7816)] = 273133,
  [SMALL_STATE(7817)] = 273140,
  [SMALL_STATE(7818)] = 273147,
  [SMALL_STATE(7819)] = 273154,
  [SMALL_STATE(7820)] = 273161,
  [SMALL_STATE(7821)] = 273168,
  [SMALL_STATE(7822)] = 273175,
  [SMALL_STATE(7823)] = 273182,
  [SMALL_STATE(7824)] = 273189,
  [SMALL_STATE(7825)] = 273196,
  [SMALL_STATE(7826)] = 273203,
  [SMALL_STATE(7827)] = 273210,
  [SMALL_STATE(7828)] = 273217,
  [SMALL_STATE(7829)] = 273224,
  [SMALL_STATE(7830)] = 273231,
  [SMALL_STATE(7831)] = 273238,
  [SMALL_STATE(7832)] = 273245,
  [SMALL_STATE(7833)] = 273252,
  [SMALL_STATE(7834)] = 273259,
  [SMALL_STATE(7835)] = 273266,
  [SMALL_STATE(7836)] = 273273,
  [SMALL_STATE(7837)] = 273280,
  [SMALL_STATE(7838)] = 273287,
  [SMALL_STATE(7839)] = 273294,
  [SMALL_STATE(7840)] = 273301,
  [SMALL_STATE(7841)] = 273308,
  [SMALL_STATE(7842)] = 273315,
  [SMALL_STATE(7843)] = 273322,
  [SMALL_STATE(7844)] = 273329,
  [SMALL_STATE(7845)] = 273336,
  [SMALL_STATE(7846)] = 273343,
  [SMALL_STATE(7847)] = 273350,
  [SMALL_STATE(7848)] = 273357,
  [SMALL_STATE(7849)] = 273364,
  [SMALL_STATE(7850)] = 273371,
  [SMALL_STATE(7851)] = 273378,
  [SMALL_STATE(7852)] = 273385,
  [SMALL_STATE(7853)] = 273392,
  [SMALL_STATE(7854)] = 273399,
  [SMALL_STATE(7855)] = 273406,
  [SMALL_STATE(7856)] = 273413,
  [SMALL_STATE(7857)] = 273420,
  [SMALL_STATE(7858)] = 273427,
  [SMALL_STATE(7859)] = 273434,
  [SMALL_STATE(7860)] = 273441,
  [SMALL_STATE(7861)] = 273448,
  [SMALL_STATE(7862)] = 273455,
  [SMALL_STATE(7863)] = 273462,
  [SMALL_STATE(7864)] = 273469,
  [SMALL_STATE(7865)] = 273476,
  [SMALL_STATE(7866)] = 273483,
  [SMALL_STATE(7867)] = 273490,
  [SMALL_STATE(7868)] = 273497,
  [SMALL_STATE(7869)] = 273504,
  [SMALL_STATE(7870)] = 273511,
  [SMALL_STATE(7871)] = 273518,
  [SMALL_STATE(7872)] = 273525,
  [SMALL_STATE(7873)] = 273532,
  [SMALL_STATE(7874)] = 273539,
  [SMALL_STATE(7875)] = 273546,
  [SMALL_STATE(7876)] = 273553,
  [SMALL_STATE(7877)] = 273560,
  [SMALL_STATE(7878)] = 273567,
  [SMALL_STATE(7879)] = 273574,
  [SMALL_STATE(7880)] = 273581,
  [SMALL_STATE(7881)] = 273588,
  [SMALL_STATE(7882)] = 273595,
  [SMALL_STATE(7883)] = 273602,
  [SMALL_STATE(7884)] = 273609,
  [SMALL_STATE(7885)] = 273616,
  [SMALL_STATE(7886)] = 273623,
  [SMALL_STATE(7887)] = 273630,
  [SMALL_STATE(7888)] = 273637,
  [SMALL_STATE(7889)] = 273644,
  [SMALL_STATE(7890)] = 273651,
  [SMALL_STATE(7891)] = 273658,
  [SMALL_STATE(7892)] = 273665,
  [SMALL_STATE(7893)] = 273672,
  [SMALL_STATE(7894)] = 273679,
  [SMALL_STATE(7895)] = 273686,
  [SMALL_STATE(7896)] = 273693,
  [SMALL_STATE(7897)] = 273700,
  [SMALL_STATE(7898)] = 273707,
  [SMALL_STATE(7899)] = 273714,
  [SMALL_STATE(7900)] = 273721,
  [SMALL_STATE(7901)] = 273728,
  [SMALL_STATE(7902)] = 273735,
  [SMALL_STATE(7903)] = 273742,
  [SMALL_STATE(7904)] = 273749,
  [SMALL_STATE(7905)] = 273756,
  [SMALL_STATE(7906)] = 273763,
  [SMALL_STATE(7907)] = 273770,
  [SMALL_STATE(7908)] = 273777,
  [SMALL_STATE(7909)] = 273784,
  [SMALL_STATE(7910)] = 273791,
  [SMALL_STATE(7911)] = 273798,
  [SMALL_STATE(7912)] = 273805,
  [SMALL_STATE(7913)] = 273812,
  [SMALL_STATE(7914)] = 273819,
  [SMALL_STATE(7915)] = 273826,
  [SMALL_STATE(7916)] = 273833,
  [SMALL_STATE(7917)] = 273840,
  [SMALL_STATE(7918)] = 273847,
  [SMALL_STATE(7919)] = 273854,
  [SMALL_STATE(7920)] = 273861,
  [SMALL_STATE(7921)] = 273868,
  [SMALL_STATE(7922)] = 273875,
  [SMALL_STATE(7923)] = 273882,
  [SMALL_STATE(7924)] = 273889,
  [SMALL_STATE(7925)] = 273896,
  [SMALL_STATE(7926)] = 273903,
  [SMALL_STATE(7927)] = 273910,
  [SMALL_STATE(7928)] = 273917,
  [SMALL_STATE(7929)] = 273924,
  [SMALL_STATE(7930)] = 273931,
  [SMALL_STATE(7931)] = 273938,
  [SMALL_STATE(7932)] = 273945,
  [SMALL_STATE(7933)] = 273952,
  [SMALL_STATE(7934)] = 273959,
  [SMALL_STATE(7935)] = 273966,
  [SMALL_STATE(7936)] = 273973,
  [SMALL_STATE(7937)] = 273980,
  [SMALL_STATE(7938)] = 273987,
  [SMALL_STATE(7939)] = 273994,
  [SMALL_STATE(7940)] = 274001,
  [SMALL_STATE(7941)] = 274008,
  [SMALL_STATE(7942)] = 274015,
  [SMALL_STATE(7943)] = 274022,
  [SMALL_STATE(7944)] = 274029,
  [SMALL_STATE(7945)] = 274036,
  [SMALL_STATE(7946)] = 274043,
  [SMALL_STATE(7947)] = 274050,
  [SMALL_STATE(7948)] = 274057,
  [SMALL_STATE(7949)] = 274064,
  [SMALL_STATE(7950)] = 274071,
  [SMALL_STATE(7951)] = 274078,
  [SMALL_STATE(7952)] = 274085,
  [SMALL_STATE(7953)] = 274092,
  [SMALL_STATE(7954)] = 274099,
  [SMALL_STATE(7955)] = 274106,
  [SMALL_STATE(7956)] = 274113,
  [SMALL_STATE(7957)] = 274120,
  [SMALL_STATE(7958)] = 274127,
  [SMALL_STATE(7959)] = 274134,
  [SMALL_STATE(7960)] = 274141,
  [SMALL_STATE(7961)] = 274148,
  [SMALL_STATE(7962)] = 274155,
  [SMALL_STATE(7963)] = 274162,
  [SMALL_STATE(7964)] = 274169,
  [SMALL_STATE(7965)] = 274176,
  [SMALL_STATE(7966)] = 274183,
  [SMALL_STATE(7967)] = 274190,
  [SMALL_STATE(7968)] = 274197,
  [SMALL_STATE(7969)] = 274204,
  [SMALL_STATE(7970)] = 274211,
  [SMALL_STATE(7971)] = 274218,
  [SMALL_STATE(7972)] = 274225,
  [SMALL_STATE(7973)] = 274232,
  [SMALL_STATE(7974)] = 274239,
  [SMALL_STATE(7975)] = 274246,
  [SMALL_STATE(7976)] = 274253,
  [SMALL_STATE(7977)] = 274260,
  [SMALL_STATE(7978)] = 274267,
  [SMALL_STATE(7979)] = 274274,
  [SMALL_STATE(7980)] = 274281,
  [SMALL_STATE(7981)] = 274288,
  [SMALL_STATE(7982)] = 274295,
  [SMALL_STATE(7983)] = 274302,
  [SMALL_STATE(7984)] = 274309,
  [SMALL_STATE(7985)] = 274316,
  [SMALL_STATE(7986)] = 274323,
  [SMALL_STATE(7987)] = 274330,
  [SMALL_STATE(7988)] = 274337,
  [SMALL_STATE(7989)] = 274344,
  [SMALL_STATE(7990)] = 274351,
  [SMALL_STATE(7991)] = 274358,
  [SMALL_STATE(7992)] = 274365,
  [SMALL_STATE(7993)] = 274372,
  [SMALL_STATE(7994)] = 274379,
  [SMALL_STATE(7995)] = 274386,
  [SMALL_STATE(7996)] = 274393,
  [SMALL_STATE(7997)] = 274400,
  [SMALL_STATE(7998)] = 274407,
  [SMALL_STATE(7999)] = 274414,
  [SMALL_STATE(8000)] = 274421,
  [SMALL_STATE(8001)] = 274428,
  [SMALL_STATE(8002)] = 274435,
  [SMALL_STATE(8003)] = 274442,
  [SMALL_STATE(8004)] = 274449,
  [SMALL_STATE(8005)] = 274456,
  [SMALL_STATE(8006)] = 274463,
  [SMALL_STATE(8007)] = 274470,
  [SMALL_STATE(8008)] = 274477,
  [SMALL_STATE(8009)] = 274484,
  [SMALL_STATE(8010)] = 274491,
  [SMALL_STATE(8011)] = 274498,
  [SMALL_STATE(8012)] = 274505,
  [SMALL_STATE(8013)] = 274512,
  [SMALL_STATE(8014)] = 274519,
  [SMALL_STATE(8015)] = 274526,
  [SMALL_STATE(8016)] = 274533,
  [SMALL_STATE(8017)] = 274540,
  [SMALL_STATE(8018)] = 274547,
  [SMALL_STATE(8019)] = 274554,
  [SMALL_STATE(8020)] = 274561,
  [SMALL_STATE(8021)] = 274568,
  [SMALL_STATE(8022)] = 274575,
  [SMALL_STATE(8023)] = 274582,
  [SMALL_STATE(8024)] = 274589,
  [SMALL_STATE(8025)] = 274596,
  [SMALL_STATE(8026)] = 274603,
  [SMALL_STATE(8027)] = 274610,
  [SMALL_STATE(8028)] = 274617,
  [SMALL_STATE(8029)] = 274624,
  [SMALL_STATE(8030)] = 274631,
  [SMALL_STATE(8031)] = 274638,
  [SMALL_STATE(8032)] = 274645,
  [SMALL_STATE(8033)] = 274652,
  [SMALL_STATE(8034)] = 274659,
  [SMALL_STATE(8035)] = 274666,
  [SMALL_STATE(8036)] = 274673,
  [SMALL_STATE(8037)] = 274680,
  [SMALL_STATE(8038)] = 274687,
  [SMALL_STATE(8039)] = 274694,
  [SMALL_STATE(8040)] = 274701,
  [SMALL_STATE(8041)] = 274708,
  [SMALL_STATE(8042)] = 274715,
  [SMALL_STATE(8043)] = 274722,
  [SMALL_STATE(8044)] = 274729,
  [SMALL_STATE(8045)] = 274736,
  [SMALL_STATE(8046)] = 274743,
  [SMALL_STATE(8047)] = 274750,
  [SMALL_STATE(8048)] = 274757,
  [SMALL_STATE(8049)] = 274764,
  [SMALL_STATE(8050)] = 274771,
  [SMALL_STATE(8051)] = 274778,
  [SMALL_STATE(8052)] = 274785,
  [SMALL_STATE(8053)] = 274792,
  [SMALL_STATE(8054)] = 274799,
  [SMALL_STATE(8055)] = 274806,
  [SMALL_STATE(8056)] = 274813,
  [SMALL_STATE(8057)] = 274820,
  [SMALL_STATE(8058)] = 274827,
  [SMALL_STATE(8059)] = 274834,
  [SMALL_STATE(8060)] = 274841,
  [SMALL_STATE(8061)] = 274848,
  [SMALL_STATE(8062)] = 274855,
  [SMALL_STATE(8063)] = 274862,
  [SMALL_STATE(8064)] = 274869,
  [SMALL_STATE(8065)] = 274876,
  [SMALL_STATE(8066)] = 274883,
  [SMALL_STATE(8067)] = 274890,
  [SMALL_STATE(8068)] = 274897,
  [SMALL_STATE(8069)] = 274904,
  [SMALL_STATE(8070)] = 274911,
  [SMALL_STATE(8071)] = 274918,
  [SMALL_STATE(8072)] = 274925,
  [SMALL_STATE(8073)] = 274932,
  [SMALL_STATE(8074)] = 274939,
  [SMALL_STATE(8075)] = 274946,
  [SMALL_STATE(8076)] = 274953,
  [SMALL_STATE(8077)] = 274960,
  [SMALL_STATE(8078)] = 274967,
  [SMALL_STATE(8079)] = 274974,
  [SMALL_STATE(8080)] = 274981,
  [SMALL_STATE(8081)] = 274988,
  [SMALL_STATE(8082)] = 274995,
  [SMALL_STATE(8083)] = 275002,
  [SMALL_STATE(8084)] = 275009,
  [SMALL_STATE(8085)] = 275016,
  [SMALL_STATE(8086)] = 275023,
  [SMALL_STATE(8087)] = 275030,
  [SMALL_STATE(8088)] = 275037,
  [SMALL_STATE(8089)] = 275044,
  [SMALL_STATE(8090)] = 275051,
  [SMALL_STATE(8091)] = 275058,
  [SMALL_STATE(8092)] = 275065,
  [SMALL_STATE(8093)] = 275072,
  [SMALL_STATE(8094)] = 275079,
  [SMALL_STATE(8095)] = 275086,
  [SMALL_STATE(8096)] = 275093,
  [SMALL_STATE(8097)] = 275100,
  [SMALL_STATE(8098)] = 275107,
  [SMALL_STATE(8099)] = 275114,
  [SMALL_STATE(8100)] = 275121,
  [SMALL_STATE(8101)] = 275128,
  [SMALL_STATE(8102)] = 275135,
  [SMALL_STATE(8103)] = 275142,
  [SMALL_STATE(8104)] = 275149,
  [SMALL_STATE(8105)] = 275156,
  [SMALL_STATE(8106)] = 275163,
  [SMALL_STATE(8107)] = 275170,
  [SMALL_STATE(8108)] = 275177,
  [SMALL_STATE(8109)] = 275184,
  [SMALL_STATE(8110)] = 275191,
  [SMALL_STATE(8111)] = 275198,
  [SMALL_STATE(8112)] = 275205,
  [SMALL_STATE(8113)] = 275212,
  [SMALL_STATE(8114)] = 275219,
  [SMALL_STATE(8115)] = 275226,
  [SMALL_STATE(8116)] = 275233,
  [SMALL_STATE(8117)] = 275240,
  [SMALL_STATE(8118)] = 275247,
  [SMALL_STATE(8119)] = 275254,
  [SMALL_STATE(8120)] = 275261,
  [SMALL_STATE(8121)] = 275268,
  [SMALL_STATE(8122)] = 275275,
  [SMALL_STATE(8123)] = 275282,
  [SMALL_STATE(8124)] = 275289,
  [SMALL_STATE(8125)] = 275296,
  [SMALL_STATE(8126)] = 275303,
  [SMALL_STATE(8127)] = 275310,
  [SMALL_STATE(8128)] = 275317,
  [SMALL_STATE(8129)] = 275324,
  [SMALL_STATE(8130)] = 275331,
  [SMALL_STATE(8131)] = 275338,
  [SMALL_STATE(8132)] = 275345,
  [SMALL_STATE(8133)] = 275352,
  [SMALL_STATE(8134)] = 275359,
  [SMALL_STATE(8135)] = 275366,
  [SMALL_STATE(8136)] = 275373,
  [SMALL_STATE(8137)] = 275380,
  [SMALL_STATE(8138)] = 275387,
  [SMALL_STATE(8139)] = 275394,
  [SMALL_STATE(8140)] = 275401,
  [SMALL_STATE(8141)] = 275408,
  [SMALL_STATE(8142)] = 275415,
  [SMALL_STATE(8143)] = 275422,
  [SMALL_STATE(8144)] = 275429,
  [SMALL_STATE(8145)] = 275436,
  [SMALL_STATE(8146)] = 275443,
  [SMALL_STATE(8147)] = 275450,
  [SMALL_STATE(8148)] = 275457,
  [SMALL_STATE(8149)] = 275464,
  [SMALL_STATE(8150)] = 275471,
  [SMALL_STATE(8151)] = 275478,
  [SMALL_STATE(8152)] = 275485,
  [SMALL_STATE(8153)] = 275492,
  [SMALL_STATE(8154)] = 275499,
  [SMALL_STATE(8155)] = 275506,
  [SMALL_STATE(8156)] = 275513,
  [SMALL_STATE(8157)] = 275520,
  [SMALL_STATE(8158)] = 275527,
  [SMALL_STATE(8159)] = 275534,
  [SMALL_STATE(8160)] = 275541,
  [SMALL_STATE(8161)] = 275548,
  [SMALL_STATE(8162)] = 275555,
  [SMALL_STATE(8163)] = 275562,
  [SMALL_STATE(8164)] = 275569,
  [SMALL_STATE(8165)] = 275576,
  [SMALL_STATE(8166)] = 275583,
  [SMALL_STATE(8167)] = 275590,
  [SMALL_STATE(8168)] = 275597,
  [SMALL_STATE(8169)] = 275604,
  [SMALL_STATE(8170)] = 275611,
  [SMALL_STATE(8171)] = 275618,
  [SMALL_STATE(8172)] = 275625,
  [SMALL_STATE(8173)] = 275632,
  [SMALL_STATE(8174)] = 275639,
  [SMALL_STATE(8175)] = 275646,
  [SMALL_STATE(8176)] = 275653,
  [SMALL_STATE(8177)] = 275660,
  [SMALL_STATE(8178)] = 275667,
  [SMALL_STATE(8179)] = 275674,
  [SMALL_STATE(8180)] = 275681,
  [SMALL_STATE(8181)] = 275688,
  [SMALL_STATE(8182)] = 275695,
  [SMALL_STATE(8183)] = 275702,
  [SMALL_STATE(8184)] = 275709,
  [SMALL_STATE(8185)] = 275716,
  [SMALL_STATE(8186)] = 275723,
  [SMALL_STATE(8187)] = 275730,
  [SMALL_STATE(8188)] = 275737,
  [SMALL_STATE(8189)] = 275744,
  [SMALL_STATE(8190)] = 275751,
  [SMALL_STATE(8191)] = 275758,
  [SMALL_STATE(8192)] = 275765,
  [SMALL_STATE(8193)] = 275772,
  [SMALL_STATE(8194)] = 275779,
  [SMALL_STATE(8195)] = 275786,
  [SMALL_STATE(8196)] = 275793,
  [SMALL_STATE(8197)] = 275800,
  [SMALL_STATE(8198)] = 275807,
  [SMALL_STATE(8199)] = 275814,
  [SMALL_STATE(8200)] = 275821,
  [SMALL_STATE(8201)] = 275828,
  [SMALL_STATE(8202)] = 275835,
  [SMALL_STATE(8203)] = 275842,
  [SMALL_STATE(8204)] = 275849,
  [SMALL_STATE(8205)] = 275856,
  [SMALL_STATE(8206)] = 275863,
  [SMALL_STATE(8207)] = 275870,
  [SMALL_STATE(8208)] = 275877,
  [SMALL_STATE(8209)] = 275884,
  [SMALL_STATE(8210)] = 275891,
  [SMALL_STATE(8211)] = 275898,
  [SMALL_STATE(8212)] = 275905,
  [SMALL_STATE(8213)] = 275912,
  [SMALL_STATE(8214)] = 275919,
  [SMALL_STATE(8215)] = 275926,
  [SMALL_STATE(8216)] = 275933,
  [SMALL_STATE(8217)] = 275940,
  [SMALL_STATE(8218)] = 275947,
  [SMALL_STATE(8219)] = 275954,
  [SMALL_STATE(8220)] = 275961,
  [SMALL_STATE(8221)] = 275968,
  [SMALL_STATE(8222)] = 275975,
  [SMALL_STATE(8223)] = 275982,
  [SMALL_STATE(8224)] = 275989,
  [SMALL_STATE(8225)] = 275996,
  [SMALL_STATE(8226)] = 276003,
  [SMALL_STATE(8227)] = 276010,
  [SMALL_STATE(8228)] = 276017,
  [SMALL_STATE(8229)] = 276024,
  [SMALL_STATE(8230)] = 276031,
  [SMALL_STATE(8231)] = 276038,
  [SMALL_STATE(8232)] = 276045,
  [SMALL_STATE(8233)] = 276052,
  [SMALL_STATE(8234)] = 276059,
  [SMALL_STATE(8235)] = 276066,
  [SMALL_STATE(8236)] = 276073,
  [SMALL_STATE(8237)] = 276080,
  [SMALL_STATE(8238)] = 276087,
  [SMALL_STATE(8239)] = 276094,
  [SMALL_STATE(8240)] = 276101,
  [SMALL_STATE(8241)] = 276108,
  [SMALL_STATE(8242)] = 276115,
  [SMALL_STATE(8243)] = 276122,
  [SMALL_STATE(8244)] = 276129,
  [SMALL_STATE(8245)] = 276136,
  [SMALL_STATE(8246)] = 276143,
  [SMALL_STATE(8247)] = 276150,
  [SMALL_STATE(8248)] = 276157,
  [SMALL_STATE(8249)] = 276164,
  [SMALL_STATE(8250)] = 276171,
  [SMALL_STATE(8251)] = 276178,
  [SMALL_STATE(8252)] = 276185,
  [SMALL_STATE(8253)] = 276192,
  [SMALL_STATE(8254)] = 276199,
  [SMALL_STATE(8255)] = 276206,
  [SMALL_STATE(8256)] = 276213,
  [SMALL_STATE(8257)] = 276220,
  [SMALL_STATE(8258)] = 276227,
  [SMALL_STATE(8259)] = 276234,
  [SMALL_STATE(8260)] = 276241,
  [SMALL_STATE(8261)] = 276248,
  [SMALL_STATE(8262)] = 276255,
  [SMALL_STATE(8263)] = 276262,
  [SMALL_STATE(8264)] = 276269,
  [SMALL_STATE(8265)] = 276276,
  [SMALL_STATE(8266)] = 276283,
  [SMALL_STATE(8267)] = 276290,
  [SMALL_STATE(8268)] = 276297,
  [SMALL_STATE(8269)] = 276304,
  [SMALL_STATE(8270)] = 276311,
  [SMALL_STATE(8271)] = 276318,
  [SMALL_STATE(8272)] = 276325,
  [SMALL_STATE(8273)] = 276332,
  [SMALL_STATE(8274)] = 276339,
  [SMALL_STATE(8275)] = 276346,
  [SMALL_STATE(8276)] = 276353,
  [SMALL_STATE(8277)] = 276360,
  [SMALL_STATE(8278)] = 276367,
  [SMALL_STATE(8279)] = 276374,
  [SMALL_STATE(8280)] = 276381,
  [SMALL_STATE(8281)] = 276388,
  [SMALL_STATE(8282)] = 276395,
  [SMALL_STATE(8283)] = 276402,
  [SMALL_STATE(8284)] = 276409,
  [SMALL_STATE(8285)] = 276416,
  [SMALL_STATE(8286)] = 276423,
  [SMALL_STATE(8287)] = 276430,
  [SMALL_STATE(8288)] = 276437,
  [SMALL_STATE(8289)] = 276444,
  [SMALL_STATE(8290)] = 276451,
  [SMALL_STATE(8291)] = 276458,
  [SMALL_STATE(8292)] = 276465,
  [SMALL_STATE(8293)] = 276472,
  [SMALL_STATE(8294)] = 276479,
  [SMALL_STATE(8295)] = 276486,
  [SMALL_STATE(8296)] = 276493,
  [SMALL_STATE(8297)] = 276500,
  [SMALL_STATE(8298)] = 276507,
  [SMALL_STATE(8299)] = 276514,
  [SMALL_STATE(8300)] = 276521,
  [SMALL_STATE(8301)] = 276528,
  [SMALL_STATE(8302)] = 276535,
  [SMALL_STATE(8303)] = 276542,
  [SMALL_STATE(8304)] = 276549,
  [SMALL_STATE(8305)] = 276556,
  [SMALL_STATE(8306)] = 276563,
  [SMALL_STATE(8307)] = 276570,
  [SMALL_STATE(8308)] = 276577,
  [SMALL_STATE(8309)] = 276584,
  [SMALL_STATE(8310)] = 276591,
  [SMALL_STATE(8311)] = 276598,
  [SMALL_STATE(8312)] = 276605,
  [SMALL_STATE(8313)] = 276612,
  [SMALL_STATE(8314)] = 276619,
  [SMALL_STATE(8315)] = 276626,
  [SMALL_STATE(8316)] = 276633,
  [SMALL_STATE(8317)] = 276640,
  [SMALL_STATE(8318)] = 276647,
  [SMALL_STATE(8319)] = 276654,
  [SMALL_STATE(8320)] = 276661,
  [SMALL_STATE(8321)] = 276668,
  [SMALL_STATE(8322)] = 276675,
  [SMALL_STATE(8323)] = 276682,
  [SMALL_STATE(8324)] = 276689,
  [SMALL_STATE(8325)] = 276696,
  [SMALL_STATE(8326)] = 276703,
  [SMALL_STATE(8327)] = 276710,
  [SMALL_STATE(8328)] = 276717,
  [SMALL_STATE(8329)] = 276724,
  [SMALL_STATE(8330)] = 276731,
  [SMALL_STATE(8331)] = 276738,
  [SMALL_STATE(8332)] = 276745,
  [SMALL_STATE(8333)] = 276752,
  [SMALL_STATE(8334)] = 276759,
  [SMALL_STATE(8335)] = 276766,
  [SMALL_STATE(8336)] = 276773,
  [SMALL_STATE(8337)] = 276780,
  [SMALL_STATE(8338)] = 276787,
  [SMALL_STATE(8339)] = 276794,
  [SMALL_STATE(8340)] = 276801,
  [SMALL_STATE(8341)] = 276808,
  [SMALL_STATE(8342)] = 276815,
  [SMALL_STATE(8343)] = 276822,
  [SMALL_STATE(8344)] = 276829,
  [SMALL_STATE(8345)] = 276836,
  [SMALL_STATE(8346)] = 276843,
  [SMALL_STATE(8347)] = 276850,
  [SMALL_STATE(8348)] = 276857,
  [SMALL_STATE(8349)] = 276864,
  [SMALL_STATE(8350)] = 276871,
  [SMALL_STATE(8351)] = 276878,
  [SMALL_STATE(8352)] = 276885,
  [SMALL_STATE(8353)] = 276892,
  [SMALL_STATE(8354)] = 276899,
  [SMALL_STATE(8355)] = 276906,
  [SMALL_STATE(8356)] = 276913,
  [SMALL_STATE(8357)] = 276920,
  [SMALL_STATE(8358)] = 276927,
  [SMALL_STATE(8359)] = 276934,
  [SMALL_STATE(8360)] = 276941,
  [SMALL_STATE(8361)] = 276948,
  [SMALL_STATE(8362)] = 276955,
  [SMALL_STATE(8363)] = 276962,
  [SMALL_STATE(8364)] = 276969,
  [SMALL_STATE(8365)] = 276976,
  [SMALL_STATE(8366)] = 276983,
  [SMALL_STATE(8367)] = 276990,
  [SMALL_STATE(8368)] = 276997,
  [SMALL_STATE(8369)] = 277004,
  [SMALL_STATE(8370)] = 277011,
  [SMALL_STATE(8371)] = 277018,
  [SMALL_STATE(8372)] = 277025,
  [SMALL_STATE(8373)] = 277032,
  [SMALL_STATE(8374)] = 277039,
  [SMALL_STATE(8375)] = 277046,
  [SMALL_STATE(8376)] = 277053,
  [SMALL_STATE(8377)] = 277060,
  [SMALL_STATE(8378)] = 277067,
  [SMALL_STATE(8379)] = 277074,
  [SMALL_STATE(8380)] = 277081,
  [SMALL_STATE(8381)] = 277088,
  [SMALL_STATE(8382)] = 277095,
  [SMALL_STATE(8383)] = 277102,
  [SMALL_STATE(8384)] = 277109,
  [SMALL_STATE(8385)] = 277116,
  [SMALL_STATE(8386)] = 277123,
  [SMALL_STATE(8387)] = 277130,
  [SMALL_STATE(8388)] = 277137,
  [SMALL_STATE(8389)] = 277144,
  [SMALL_STATE(8390)] = 277151,
  [SMALL_STATE(8391)] = 277158,
  [SMALL_STATE(8392)] = 277165,
  [SMALL_STATE(8393)] = 277172,
  [SMALL_STATE(8394)] = 277179,
  [SMALL_STATE(8395)] = 277186,
  [SMALL_STATE(8396)] = 277193,
  [SMALL_STATE(8397)] = 277200,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8273),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8261),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7651),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7925),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7909),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7967),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(942),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6297),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7556),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5425),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7563),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7534),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4958),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(959),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3939),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2755),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6264),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7412),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3845),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5945),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5015),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5017),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5018),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7193),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8243),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7215),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8217),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1103),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7965),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7967),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7560),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7541),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8146),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8272),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4074),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6842),
  [538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3806),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3810),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8262),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3535),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4914),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7531),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6312),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6238),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8298),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8299),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1541),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7354),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4797),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5209),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6298),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7651),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5476),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7624),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7524),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3403),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3879),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2784),
  [654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3468),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6828),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1487),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7905),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7843),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7647),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7234),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7223),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6327),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6222),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8218),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8219),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7719),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6330),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7719),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5466),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7640),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7382),
  [846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3365),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3892),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3342),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7216),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1564),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8067),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7527),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8297),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7649),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7253),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8223),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7220),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6317),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6219),
  [918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8318),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8310),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6294),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8392),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5406),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8390),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7548),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [1001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [1013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4958),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(959),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3383),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3947),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2768),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [1031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6264),
  [1034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7412),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3845),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3460),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5945),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5015),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5017),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5018),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6892),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7391),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8278),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7387),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8276),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8275),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8274),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8273),
  [1112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8272),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [1130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4074),
  [1133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6842),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4639),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3810),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8262),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3535),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4914),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7357),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6307),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6184),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8253),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8252),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1636),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7354),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4797),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5209),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1077),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1567),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1567),
  [1230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3939),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [1245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6264),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7522),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [1254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5945),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5015),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5017),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5018),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7193),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7215),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8217),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1103),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7965),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7967),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7560),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7541),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8146),
  [1314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8272),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4074),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6842),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3806),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3810),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8262),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2160),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4914),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7519),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7531),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1541),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7354),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4797),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5209),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7765),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1082),
  [1435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3365),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3892),
  [1444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7216),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7527),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8297),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7649),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7253),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8223),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7220),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [1486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [1489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3403),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3879),
  [1506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6828),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7493),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7905),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7843),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7647),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7234),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7223),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3383),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3947),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6892),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7391),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7387),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8276),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8275),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8274),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8273),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7229),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7765),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7357),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1636),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7196),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8038),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1034),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4066),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3862),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(75),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7196),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7312),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7227),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1104),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8065),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8064),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7724),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7340),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8038),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8085),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2019),
  [2007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(221),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1462),
  [2013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1462),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1567),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(275),
  [2022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6264),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7522),
  [2028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(43),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1120),
  [2034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6713),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7193),
  [2040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7525),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1551),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8243),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7215),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(135),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8217),
  [2058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1103),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7965),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7967),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7560),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7541),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8146),
  [2076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1668),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1242),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8272),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8271),
  [2088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8270),
  [2091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6476),
  [2094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4074),
  [2097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6842),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6700),
  [2103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3806),
  [2106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3810),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7917),
  [2112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7519),
  [2115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7531),
  [2118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1655),
  [2121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1342),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1343),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1541),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7354),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1633),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4797),
  [2139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5209),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1969),
  [2159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1034),
  [2162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(75),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7196),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7312),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1538),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7962),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7227),
  [2180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(157),
  [2183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8308),
  [2186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1104),
  [2189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8065),
  [2192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8064),
  [2195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7724),
  [2198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7340),
  [2201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8038),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7374),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1332),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1331),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1565),
  [2216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1966),
  [2219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(533),
  [2222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(40),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7002),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7216),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1564),
  [2234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8067),
  [2237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7527),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(147),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8297),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1111),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8242),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8241),
  [2255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7649),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7253),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8223),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7220),
  [2267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1338),
  [2270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1337),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1553),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1901),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(597),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(79),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6828),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7226),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1487),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7925),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7493),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(169),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7909),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1106),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7905),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7843),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7647),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7234),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7749),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7223),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1287),
  [2330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1288),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1500),
  [2336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1995),
  [2339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(76),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7181),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7391),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7546),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(145),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8085),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1115),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8275),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8274),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8273),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7508),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7357),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1243),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1244),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1636),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1999),
  [2387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(479),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6892),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1656),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8278),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7387),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8276),
  [2405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7229),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7765),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8374),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8397),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [2465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7450),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1931),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6264),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6713),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7917),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7519),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1931),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6264),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6713),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7917),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7519),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7271),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7380),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1931),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6264),
  [2870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6713),
  [2873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7917),
  [2876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7519),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7293),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5497),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8368),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3919),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5461),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7614),
  [3192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [3195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4566),
  [3198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7862),
  [3201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3484),
  [3204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4958),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4958),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3348),
  [3213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3935),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [3219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5255),
  [3225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7230),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7412),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7848),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2775),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5911),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5020),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5021),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5022),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8262),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3535),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4895),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6666),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7932),
  [3288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6170),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8326),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6806),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8309),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7821),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5482),
  [3404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7573),
  [3407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7445),
  [3410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3932),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6769),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1737),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6229),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8334),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7639),
  [3455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5442),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7927),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7344),
  [3464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3433),
  [3467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3883),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6806),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6215),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8309),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6785),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3640] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [3646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(388),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [3659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [3666] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7397),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [3826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [3832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1567),
  [3838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [3841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6264),
  [3844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [3849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6713),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8272),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [3870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4074),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6842),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3806),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3810),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6287),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7519),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [3900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7354),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [3906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4797),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5209),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(408),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7826),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7890),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [4059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7946),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7921),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7911),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7881),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7877),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7873),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7791),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7798),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7800),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7804),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7831),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8178),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7971),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8073),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8056),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8116),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8032),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8024),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8020),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8015),
  [4303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8013),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7989),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7983),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7973),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7964),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7958),
  [4321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7957),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [4328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7770),
  [4331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7788),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7936),
  [4337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7935),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7789),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7752),
  [4354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7781),
  [4357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7779),
  [4360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7778),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6545),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(400),
  [4520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [4566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(416),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(416),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [4580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(413),
  [4583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(410),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [4634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(409),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [4655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6797),
  [4719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7491),
  [4722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1764),
  [4757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [4775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7437),
  [4778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(414),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [4814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [4816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [4818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7908),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7915),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(413),
  [4849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(409),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [4870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [4874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [4878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [4880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [4882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [4884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [4886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [4890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [4896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [4908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [4933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(397),
  [4938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(400),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(412),
  [4954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [4964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [4968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [4972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [4974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [4976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [4980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [4984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [4996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [4998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6647),
  [5050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [5055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [5065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(6040),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1970),
  [5111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6576),
  [5114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [5117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [5157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [5193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7466),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(404),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [5205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(7840),
  [5208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7347),
  [5275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [5289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2117),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [5371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6612),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7514),
  [5377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(397),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [5410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7372),
  [5435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(409),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [5487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2140),
  [5502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [5528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [5531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6622),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [5543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [5567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 70),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 70),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [5577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [5607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [5620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [5676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [5679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(409),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [5696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [5698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [5752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [5772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [5791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [5817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [5819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [5835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [5837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [5839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [5883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [5885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [5895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [5917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [5919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [5921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [5923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [5925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [5943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [5971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [5974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6663),
  [5977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [5992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(413),
  [5999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(397),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [6034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [6041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3283),
  [6048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3442),
  [6051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7906),
  [6054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7224),
  [6057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7908),
  [6060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [6063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7915),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [6074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1098),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [6091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2682),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [6162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2699),
  [6175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(404),
  [6184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [6196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [6276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [6380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [6456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7408),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(416),
  [6501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(400),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7453),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [6547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(413),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [6568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [6580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [6628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [6672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [6690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3168),
  [6693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6578),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7535),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [6771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3638),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6289),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [6820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(397),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [6839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [6845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5934),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [6852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5267),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [6865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3422),
  [6868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6642),
  [6871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7512),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [6884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1099),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [6931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [6949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8084),
  [6952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7310),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [6959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5654),
  [6962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5295),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [6967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(414),
  [6970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3599),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7224),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5281),
  [7007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6493),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [7014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [7017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [7020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [7023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7230),
  [7026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [7029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3649),
  [7032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3283),
  [7046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3442),
  [7049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7906),
  [7052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7224),
  [7055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7908),
  [7058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3676),
  [7061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7915),
  [7064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(412),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [7086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5236),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [7093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5254),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [7100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5258),
  [7103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [7110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3955),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [7121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [7123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [7143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [7145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [7161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5227),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [7219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [7277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(410),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [7284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5291),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [7293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [7301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [7351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [7359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [7367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [7375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4148),
  [7378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4149),
  [7381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [7447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [7499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [7603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [7627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [7639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [7641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [7649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [7653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [7707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [7710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [7713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [7716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [7719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8291),
  [7722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4189),
  [7725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8261),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [7770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4278),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [7893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1326),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [7900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1326),
  [7903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [7941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [7949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [7973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [7995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [8009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [8013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [8133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [8136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [8149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [8153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4501),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [8204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [8248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8301),
  [8259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5934),
  [8266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5267),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [8285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8084),
  [8288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7310),
  [8291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5654),
  [8294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5295),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4749),
  [8310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4749),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [8315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7224),
  [8318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6493),
  [8321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5281),
  [8324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [8331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [8335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [8339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [8341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5236),
  [8344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5934),
  [8351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5267),
  [8354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5254),
  [8357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8084),
  [8360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7310),
  [8363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [8426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [8468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [8492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5654),
  [8495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5295),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [8520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5258),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [8527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7224),
  [8530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5281),
  [8533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6493),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [8538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5254),
  [8541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4655),
  [8544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4655),
  [8547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5236),
  [8550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5291),
  [8553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1095),
  [8556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [8558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [8560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [8588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5182),
  [8591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5182),
  [8594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5168),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [8601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5258),
  [8604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(2140),
  [8607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(5100),
  [8610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(5130),
  [8613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5934),
  [8620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5267),
  [8623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7224),
  [8626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5116),
  [8633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5134),
  [8636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(5110),
  [8639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(2140),
  [8642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(2140),
  [8645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(2140),
  [8648] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(2140),
  [8652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8084),
  [8659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7310),
  [8662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5654),
  [8665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5295),
  [8668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5291),
  [8671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6493),
  [8674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7224),
  [8677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5281),
  [8680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(5131),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [8699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5236),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [8710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5254),
  [8713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [8729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6725),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [8737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [8747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5258),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [8780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [8783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [8800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [8822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5291),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [8827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [8847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [8853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [8857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [8879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7107),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [8889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [8893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [8913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5505),
  [8921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [8931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5494),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [8967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [8983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [8985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [9009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [9027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [9037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [9051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [9053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [9061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [9071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [9073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [9077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [9089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [9091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [9093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [9115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [9117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [9135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [9163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [9173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [9181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [9183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [9189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [9207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7050),
  [9209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [9211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7183),
  [9259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [9267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [9281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [9289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5654),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [9310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [9312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5654),
  [9315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5281),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6699),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7018),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5654),
  [9353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5295),
  [9356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5295),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [9367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [9373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [9379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5281),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [9392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [9404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7310),
  [9407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5934),
  [9410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5267),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [9417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [9437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [9457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [9467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5680),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6679),
  [9479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7504),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [9492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5934),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [9541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [9545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [9551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [9555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7777),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4672),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [9590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5934),
  [9593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5267),
  [9596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5254),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [9601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [9605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [9607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [9613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [9615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [9617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [9619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [9627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [9631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7906),
  [9636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7915),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [9647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [9649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [9651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [9657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [9659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [9661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [9667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [9675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [9678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5236),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [9687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [9707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [9709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [9711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [9721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [9737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5258),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [9752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [9764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [9776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [9780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [9782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [9790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [9800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5236),
  [9803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [9831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5254),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [9858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [9860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [9870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [9872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [9874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [9876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [9886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [9888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [9890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [9902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [9922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5291),
  [9925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [9933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [9939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [9951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [9955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [9957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5258),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [9966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [9976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [9978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [9980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [9984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [9994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [9996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [9998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [10008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [10010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6259),
  [10026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [10046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5291),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [10055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [10063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [10069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [10071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7101),
  [10074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5495),
  [10077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7605),
  [10080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7548),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [10093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [10099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [10101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [10105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [10115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [10129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [10133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [10135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [10141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [10153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [10155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [10157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [10169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [10177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [10181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [10209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [10231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6825),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [10261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [10263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [10271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [10293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [10307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [10329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7101),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [10350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6345),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [10361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [10373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [10387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7852),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [10401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [10405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [10409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [10417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7044),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [10427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [10455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6661),
  [10476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [10498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [10510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [10522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [10544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [10566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [10580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [10590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [10644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [10666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [10670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [10732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [10738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [10754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [10772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [10776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [10792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [10802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6375),
  [10805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [10819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [10821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6634),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [10826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [10828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [10882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [10896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [10898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6664),
  [10901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6664),
  [10904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [10916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5802),
  [10919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6676),
  [10937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [10979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [10987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [11025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5714),
  [11030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [11078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [11106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [11126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6361),
  [11129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [11131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5536),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [11142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [11150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [11166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [11171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [11189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [11213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [11219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [11223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [11231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [11245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7840),
  [11248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [11264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [11269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [11272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [11298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4889),
  [11301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [11303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [11317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7275),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [11338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3898),
  [11341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [11353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [11385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [11409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [11415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [11417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(7626),
  [11432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [11436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [11454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5645),
  [11457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [11465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [11477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1795),
  [11480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [11490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [11510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6011),
  [11513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [11539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1091),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [11620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [11632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [11638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [11649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [11655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [11681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [11695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7428),
  [11698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [11700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [11716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [11750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1803),
  [11753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [11755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6814),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [11789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [11801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [11845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [11881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [11895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [11909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [11923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3916),
  [11926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [11930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [11932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5411),
  [11935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [11938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [11950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [11954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [11990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [11998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [12008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [12012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [12020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [12022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [12034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [12046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8054),
  [12048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [12066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [12074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7818),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [12112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [12154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [12160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [12374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [12376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [12378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [12382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [12490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7776),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [12535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [12561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [12647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [12667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [12693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [12769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [12795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [12803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [12935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [12937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [12983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [12985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [13017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [13045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [13051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [13059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [13083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [13111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [13141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [13269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [13287] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [13305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [13449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [13479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
